(*

Plot the CDF after 10 periods and at the end of the simulations 

*)

CDFPlotSS = 
       ParametricPlot[
         {CDFxtFuncList[[-1]][CDFPoint],CDFPoint}
         ,{CDFPoint,0,1}
         ,PlotRange->{{CDFxtList[[-1, 1]],CDFxtList[[-1, -1]]},{0,1}}
         ,PlotStyle->{Thickness[.003],Dashing[{.01}]}
         ,DisplayFunction->Identity
       ];

CDFPlot10 = 
       ParametricPlot[
         {CDFxtFuncList[[10]][CDFPoint],CDFPoint}
         ,{CDFPoint,0,1}
         ,PlotRange->{{CDFxtList[[-1, 1]],CDFxtList[[-1, -1]]},{0,1}}
         ,PlotStyle->{Thickness[.003],Dashing[{}]}
         ,DisplayFunction->Identity
       ];


ActualVsErgodicCDF  = 
    Show[
       CDFPlotSS
      ,CDFPlot10
      ,Graphics[Text[" \[LongLeftArrow]Steady State CDF", {CDFxtFuncList[[-1]][.2],.2}, {-1, 0}]]
      ,Graphics[Text["CDF(\!\(x\_10\))\[LongRightArrow] ", {CDFxtFuncList[[10]][.4],.4}, {1, 0}]]
      ,AxesOrigin->{0.5,0}
      ,PlotRange->{{0.5,2.5},{0,1}}
      ,ImageSize -> HalfPageSize
      ,DisplayFunction->$DisplayFunction
      ,Ticks->(TickFunction[#1,#2,TextFunction->TrimText] &)
      ,TextStyle->{FontFamily->"Times"}
];

If[SaveFigs == True,
  Export[SubDirectoryString<>"Figures"<>SubDirectoryString<>"ActualVsErgodicCDF.eps", ActualVsErgodicCDF, "EPS"];
];
