(* 
Generate Figure 1 showing skeptics that the problems are 
not due to inaccurate numerical solutions of the true
Euler equation
*)

RealEulerRaw = Plot[Euler[x,LifePosn],{x,.01,3},PlotRange->All];

RealEuler = Show[RealEulerRaw
         ,PlotLabel->"True Euler Equation"
         ,AxesLabel->{"x",""}
         ,AxesOrigin->{0,.90}
         ,PlotRange->{{0,3},{.90,1.1}}
         ,Ticks -> (TickFunction[#1, #2, TextFunction -> TrimText]&)
         ,ImageSize -> HalfPageSize
         ,TextStyle->{FontFamily->"Times"}
];


If[SaveFigs == True,
  Export[SubDirectoryString<>"Figures"<>SubDirectoryString<>"RealEuler.eps",RealEuler , "EPS"];
];
