(*

Further investigation of why even the fourth-order Taylor expansion
does badly in capturing the true Euler equation.

Before running this it is necessary to have solved the baseline version of the problem
and for that solution to be resident in memory

*)

EulerList[xt_,LifePosn_] := Block[{},
  ctVal = ctSplice[xt,LifePosn];
  stVal = xt-ctVal;
  Return[
  Table[
   Sum[ PermShockProbs[[j]]*
    {TranShockProbs[[i]],
      (R beta)*(eta = 
      (G[[LifePosn+1]] PermShockVals[[j]])*
      ct[
        (RFunc[stVal]/(G[[LifePosn+1]]PermShockVals[[j]])) stVal+TranShockVals[[i]]
        ,LifePosn+1]/ctVal-1
     ;(1+eta)^-rho)
     ,(R beta)*(
       1 - rho eta 
         + (rho (rho+1)/2) eta^2 
         - (rho(rho+1)(rho+2)/6) eta^3
         + (rho(rho+1)(rho+2)(rho+3)/24) eta^4)
    }
    ,{j,Length[PermShockVals]}]
    ,{i,Length[TranShockVals]}
  ]
 ]; (* End Return *)
]; (* End Euler *)


Print["This matrix shows the true value and the approximated value using"];
Print["a fourth-order Taylor expansion of the Euler equation for the"];
Print["various possible realizations of the transitory shock.  Clearly,"];
Print["most of the error comes from the zero-income event."];

Print[MatrixForm[EulerList[1.2,LifePosn]]];
