
set more off

capture program drop etaOnRG
program define etaOnRG

postfile etaOnRG1 constant rcoeff gcoeff sconst srcoeff sgcoeff nobs using etaOnRG10k1, replace
postfile etaOnRG2 constant rcoeff gcoeff sconst srcoeff sgcoeff nobs using etaOnRG10k2, replace

quietly{
	local i = 1
	while `i' < 10001 {
		capture drop rndnum nobs rndrank rndorder
		noisily display "etaOnRG sim number `i'"
                sort idnum
                set seed `i'
		g rndnum = uniform()
		egen nobs = count(cgrowth)
		egen rndrank = rank(rndnum)/nobs
		g rndorder = rndrank/nobs
		reg cgsq interest ygrowth (dumr00 dumr04 dumg02 dumg06) if goodinc==1 & rndorder <= .1
		post etaOnRG1 _coef[_cons] _coef[interest] _coef[ygrowth] _se[_cons] _se[interest] _se[ygrowth] _result(1)
		reg cgsq interest ygrowth (dumr00 dumr04 dumg02 dumg06) if goodinc==1 & rndorder <= .1 & (rgrp==1 | ggrp==1)
		post etaOnRG2 _coef[_cons] _coef[interest] _coef[ygrowth] _se[_cons] _se[interest] _se[ygrowth] _result(1)
		local i = `i' + 1
}
}

postclose etaOnRG1
postclose etaOnRG2

end

clear
use cgrowth
g idnum = _n
drop if rhogrp==1 & dumbase != 1
etaOnRG

