set more off

capture program drop indiv
program define indiv

postfile i10kbase const sconst cgsq scgsq nobs using i10kbase, replace
postfile i10kr00 const sconst cgsq scgsq nobs using i10kr00, replace
postfile i10kr04 const sconst cgsq scgsq nobs using i10kr04, replace
postfile i10kd00 const sconst cgsq scgsq nobs using i10kd00, replace
postfile i10kd08 const sconst cgsq scgsq nobs using i10kd08, replace
postfile i10kg02 const sconst cgsq scgsq nobs using i10kg02, replace
postfile i10kg06 const sconst cgsq scgsq nobs using i10kg06, replace
postfile i10krho1 const sconst cgsq scgsq nobs using i10krho1, replace
postfile i10krho5 const sconst cgsq scgsq nobs using i10krho5, replace
postfile i10ket05 const sconst cgsq scgsq nobs using i10ket05, replace
postfile i10ket15 const sconst cgsq scgsq nobs using i10ket15, replace
postfile i10kep05 const sconst cgsq scgsq nobs using i10kep05, replace
postfile i10kep15 const sconst cgsq scgsq nobs using i10kep15, replace
postfile i10kIV    const sconst cgsq scgsq nobs using i10kIV,replace
postfile i10kIVr0 const sconst cgsq scgsq nobs using i10kIVr0,replace
postfile i10kIVr4 const sconst cgsq scgsq nobs using i10kIVr4,replace

capture g xvsqtm1 = xvaltm1 * xvaltm1

quietly{
	local i = 1
	while `i' < 10001 {
		capture drop rndnum
                sort idnum
                set seed `i'
		g rndnum = uniform()
		noisily display "Indivsecondorder sim number `i'"
		reg cgrowth ecgsqtm1 if dumbase==1 & goodinc==1 & rndnum < .1
		post i10kbase _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth ecgsqtm1 if dumr00==1 & goodinc==1 & rndnum < .1
		post i10kr00 _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth ecgsqtm1 if dumr04==1 & goodinc==1 & rndnum < .1
		post i10kr04 _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth ecgsqtm1 if dumdel00==1 & goodinc==1 & rndnum < .1
		post i10kd00 _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth ecgsqtm1 if dumdel08==1 & goodinc==1 & rndnum < .1
		post i10kd08 _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth ecgsqtm1 if dumg02==1 & goodinc==1 & rndnum < .1
		post i10kg02 _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth ecgsqtm1 if dumg06==1 & goodinc==1 & rndnum < .1
		post i10kg06 _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth ecgsqtm1 if dumrho1==1 & goodinc==1 & rndnum < .1
		post i10krho1 _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth ecgsqtm1 if dumrho5==1 & goodinc==1 & rndnum < .1
		post i10krho5 _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth ecgsqtm1 if dumet05==1 & goodinc==1 & rndnum < .1
		post i10ket05 _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth ecgsqtm1 if dumet15==1 & goodinc==1 & rndnum < .1
		post i10ket15 _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth ecgsqtm1 if dumep05==1 & goodinc==1 & rndnum < .1
		post i10kep05 _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth ecgsqtm1 if dumep15==1 & goodinc==1 & rndnum < .1
		post i10kep15 _coef[_cons] _se[_cons] _coef[ecgsqtm1] _se[ecgsqtm1] _result(1)
		reg cgrowth cgsq (xvaltm1 xvsqtm1) if dumbase==1 & goodinc==1 & rndnum < .1
		post i10kIV _coef[_cons] _se[_cons] _coef[cgsq] _se[cgsq] _result(1)
		reg cgrowth cgsq (xvaltm1 xvsqtm1) if dumr00==1 & goodinc==1 & rndnum < .1
		post i10kIVr0 _coef[_cons] _se[_cons] _coef[cgsq] _se[cgsq] _result(1)
		reg cgrowth cgsq (xvaltm1 xvsqtm1) if dumr04==1 & goodinc==1 & rndnum < .1
		post i10kIVr4 _coef[_cons] _se[_cons] _coef[cgsq] _se[cgsq] _result(1)
		local i = `i' + 1
}
}


postclose i10kbase
postclose i10kr00 
postclose i10kr04 
postclose i10kd00
postclose i10kd08
postclose i10kg02 
postclose i10kg06 
postclose i10krho1
postclose i10krho5
postclose i10ket05
postclose i10ket15
postclose i10kep05
postclose i10kep15
postclose i10kIV
postclose i10kIVr0
postclose i10kIVr4

end

clear
use cgrowth
g idnum = _n
indiv
