capture program drop loglin
program define loglin

postfile ll1 constant interest sconst sint nobs using loglin10k1, replace
postfile ll2 constant interest sconst sint nobs using loglin10k2, replace
postfile ll3 constant interest sconst sint ygrowth sygrowth nobs using loglin10k3, replace
postfile ll4 constant interest sconst sint ygrowth sygrowth nobs using loglin10k4, replace
postfile ll5 constant interest sconst sint ygrowth sygrowth nobs using loglin10k5, replace
postfile ll6 constant interest sconst sint ygrowth sygrowth nobs using loglin10k6, replace

quietly{
	local i = 1
	while `i' < 10001 {
		capture drop rndnum nobs rndrank rndorder
		noisily display "Loglin10k sim number `i'"
                sort idnum
                set seed `i'
		g rndnum = uniform()
		egen nobs = count(cgrowth)
		egen rndrank = rank(rndnum)/nobs
		g rndorder = rndrank/nobs
		reg cgrowth interest (dumr00 dumr04) if goodinc==1 & rndorder <= .1
		post ll1 _coef[_cons] _coef[interest] _se[_cons] _se[interest] _result(1)
		reg cgrowth interest (dumr00 dumr04) if goodinc==1 & rgrp == 1 & rndorder < .1
		post ll2 _coef[_cons] _coef[interest] _se[_cons] _se[interest] _result(1)
		reg cgrowth interest ygrowth (dumr00 dumr04 dumg02 dumg06) if goodinc==1 & rndorder < .1
		post ll3 _coef[_cons] _coef[interest] _se[_cons] _se[interest] _coef[ygrowth] _se[ygrowth] _result(1)
		reg cgrowth interest ygrowth (dumr00 dumr04 dumg02 dumg06) if goodinc==1 & rndorder < .1 & (rgrp==1 | ggrp==1)
		post ll4 _coef[_cons] _coef[interest] _se[_cons] _se[interest] _coef[ygrowth] _se[ygrowth] _result(1)
		reg cgrowth interest ygrowth (dumr00 dumr04 shockm1) if goodinc==1 & rndorder < .1
		post ll5 _coef[_cons] _coef[interest] _se[_cons] _se[interest] _coef[ygrowth] _se[ygrowth] _result(1)
		reg cgrowth interest ygrowth (dumr00 dumr04 shockm1) if goodinc==1 & rndorder < .1 & rgrp==1
		post ll6 _coef[_cons] _coef[interest] _se[_cons] _se[interest] _coef[ygrowth] _se[ygrowth] _result(1)
		local i = `i' + 1
}
}

postclose ll1
postclose ll2
postclose ll3
postclose ll4
postclose ll5
postclose ll6

end

clear
use cgrowth
g idnum = _n
drop if rhogrp==1 & dumbase != 1
loglin
