set more off

capture program drop second
program define second

postfile so1 constant interest sconst sint cgsq scgsq nobs using secondorder10k1, replace
postfile so2 constant interest sconst sint cgsq scgsq nobs using secondorder10k2, replace
postfile so3 constant interest sconst sint cgsq scgsq nobs using secondorder10k3, replace

quietly{
	local i = 1
	while `i' < 10001 {
		capture drop rndnum
		noisily display "Secondorder10k sim number `i'"
                sort idnum
                set seed `i'
		g rndnum = uniform()
		reg cgrowth interest cgsq (dumr00 dumr04 dumdel00 dumdel08) if goodinc==1 & rndnum < .1
		post so1 _coef[_cons] _coef[interest] _se[_cons] _se[interest] _coef[cgsq] _se[cgsq] _result(1)
		reg cgrowth interest cgsq (dumr00 dumr04 dumg02 dumg06) if goodinc==1 & (rgrp == 1 | ggrp==1) & rndnum < .1
		post so2 _coef[_cons] _coef[interest] _se[_cons] _se[interest] _coef[cgsq] _se[cgsq] _result(1)
		reg cgrowth interest cgsq (dumr00 dumr04 dumg02 dumg06 dumet05 dumet15 dumep05 dumep15) if delgrp != 1 &  goodinc==1 & rndnum < .1
		post so3 _coef[_cons] _coef[interest] _se[_cons] _se[interest] _coef[cgsq] _se[cgsq] _result(1)
		local i = `i' + 1
}
}

postclose so1
postclose so2
postclose so3

end

clear
use cgrowth
g idnum = _n
drop if rhogrp==1 & dumbase != 1
second
