
set more off

capture program drop xonstuff
program define xonstuff

postfile x10konr   const sconst r   sr   nobs rsq using x10konr,   replace
postfile x10kong   const sconst g   sg   nobs rsq using x10kong,   replace
postfile x10konep  const sconst ep  sep  nobs rsq using x10konep,  replace
postfile x10konet  const sconst et  set  nobs rsq using x10konet,  replace
postfile x10konrh  const sconst rho srho nobs rsq using x10konrh , replace

capture g g = .04
replace g = .02 if dumg02==1
replace g = .06 if dumg06==1

capture g epsig = .1
replace epsig = .05 if dumep05==1
replace epsig = .15 if dumep15==1
capture g epvar = epsig*epsig

capture g etsig = .1
replace etsig = .05 if dumet05==1
replace etsig = .15 if dumet15==1
capture g etvar = etsig*etsig

capture g rho = 3
replace rho = 1 if dumrho1==1
replace rho = 5 if dumrho5==1

quietly{
	local i = 1
	while `i' < 10001 {
		capture drop rndnum nobs rndrank rndorder
		noisily display "xonstuff sim number `i'"
                sort idnum
                set seed `i'
		g rndnum = uniform()
		egen nobs = count(cgrowth)
		egen rndrank = rank(rndnum)/nobs
		g rndorder = rndrank/nobs
		reg xval interest if  rndorder <= .1 & goodinc==1 & rgrp==1
		post x10konr _coef[_cons] _se[_cons] _coef[interest] _se[interest] _result(1) _result(8)
		reg xval g if  rndorder <= .1 & goodinc==1 & ggrp==1
		post x10kong _coef[_cons] _se[_cons] _coef[g] _se[g] _result(1) _result(8)
		reg xval epvar if  rndorder <= .1 & goodinc==1 & epgrp==1
		post x10konep _coef[_cons] _se[_cons] _coef[epvar] _se[epvar] _result(1) _result(8)
		reg xval etvar if  rndorder <= .1 & goodinc==1 & etgrp==1
		post x10konet _coef[_cons] _se[_cons] _coef[etvar] _se[etvar] _result(1) _result(8)
		reg xval rho if  rndorder <= .1 & goodinc==1 & rhogrp==1
		post x10konrh  _coef[_cons] _se[_cons] _coef[rho] _se[rho] _result(1) _result(8)
		local i = `i' + 1
}
}

postclose x10konr  
postclose x10kong  
postclose x10konep 
postclose x10konet 
postclose x10konrh 

end

clear
use cgrowth
g idnum = _n
xonstuff
