(* Parameter values for the baseline version of the model without constraints *)

rho = 3;                    (* Coefficient of Relative Risk Aversion *)
beta = 0.96  ;              (* Discount factor                       *)
NumOfTranShockPoints = 21.; (* Number of points in the discrete approximation to lognormal dist *)
NumOfPermShockPoints = 21.; (* Number of points in the discrete approximation to lognormal dist *)
sigmaTran = .1;             (* Standard deviation of lognormal distribution *)
sigmaPerm = .1;             (* Standard deviation of lognormal distribution *)
R = 1.02;                   (* Gross interest rate *)
Rborrow = R;                (* Gross interest rate for borrowing, if allowed *)
RFunc[st_] := If[st>=0,R,Rborrow];


LifeLength = 100;                   (* Number of periods backwards from the end to solve *)
G = Table[1.04,{i,LifeLength+1}];   (* Gross annual income growth is the same in all periods of life *)

PDVMinHtp1 = Table[0,{LifeLength}]; (* Minimum possible value of human wealth in each period *)

u[c_]      := (c^(1-rho))/(1-rho); (* CRRA utility function          *)
uprime[c_] := c^-rho;              (* CRRA marginal utility function *)

xMin = 0;               (* Minimum point in xGrid *)
xMax = 4.;              (* Maximum point in xGrid *)
NumOfxSteps = 80;       (* Number of points in xGrid *)

sMin = 0;               (* Minimum point in sGrid *)
sMax = 4.;              (* Maximum point in sGrid *)
NumOfsSteps = 80;       (* Number of points in sGrid *)

LowMem = False;          (* Don't keep every simulated point in memory *)

MaxDebt = 0;
LiqConstr = False;
LifeCycleOrInfHoriz = "InfHoriz";
ZeroProb = 0.005;

