
(* Construct the grid of possible values of x and s *)

(* The logarithmic approach chooses a denser grid at low levels of wealth, where curvature is greater *)
LogxGrid = Table[LoopOverLogxVals,{LoopOverLogxVals,Log[xMin+1],Log[xMax+1],(Log[xMax+1]-Log[xMin+1])/(NumOfxSteps-1)}];
xGrid = Exp[LogxGrid]-1 //N;

xGridBaseline = xGrid;

(* Multiple logs really concentrate the points at low levels of s where curvature is greatest *)
LogsGrid = 
  Table[LoopOverLogsVals,{LoopOverLogsVals,Log[Log[Log[sMin+1]+1]+1],Log[Log[Log[sMax+1]+1]+1],(Log[Log[Log[sMax+1]+1]+1]-Log[Log[Log[sMin+1]+1]+1])/(NumOfsSteps-1)}];
sGrid = Exp[Exp[Exp[LogsGrid]-1]-1]-1 //N;

sGridBaseline = sGrid;
