(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[   1354823,      56083]*)
(*NotebookOutlinePosition[   1355538,      56108]*)
(*  CellTagsIndexPosition[   1355494,      56104]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(SetDirectory["\<C:\\Data\\CDC\\Work\\Death\\New Math\\\>"]\)], "Input"],

Cell[BoxData[
    \("C:\\Data\\CDC\\Work\\Death\\New Math"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< doall_death.m\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({4.999999999999999`}\) lies outside the range of data \
in the interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({14.`}\) lies outside the range of data in the \
interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({104.`}\) lies outside the range of data in the \
interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(General::"stop" \(\(:\)\(\ \)\) 
      "Further output of \!\(InterpolatingFunction :: \"dmval\"\) will be \
suppressed during this calculation."\)], "Message"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
%%ImageSize: 432 266.991 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.309017 0.47619 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of sub-graphic
p
0.0238095 0.0147151 0.97619 0.603319 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-1.46667 1.33333 -8.53809e-018 5.15028 [
[.13333 -0.0125 -11 -12.75 ]
[.13333 -0.0125 11 0 ]
[.26667 -0.0125 -11 -12.75 ]
[.26667 -0.0125 11 0 ]
[.4 -0.0125 -11 -12.75 ]
[.4 -0.0125 11 0 ]
[.53333 -0.0125 -11 -12.75 ]
[.53333 -0.0125 11 0 ]
[.66667 -0.0125 -11 -12.75 ]
[.66667 -0.0125 11 0 ]
[.8 -0.0125 -11 -12.75 ]
[.8 -0.0125 11 0 ]
[.93333 -0.0125 -11 -12.75 ]
[.93333 -0.0125 11 0 ]
[1.025 0 0 -6.375 ]
[1.025 0 10 6.375 ]
[-0.0125 .10301 -28 -6.375 ]
[-0.0125 .10301 0 6.375 ]
[-0.0125 .20601 -28 -6.375 ]
[-0.0125 .20601 0 6.375 ]
[-0.0125 .30902 -28 -6.375 ]
[-0.0125 .30902 0 6.375 ]
[-0.0125 .41202 -28 -6.375 ]
[-0.0125 .41202 0 6.375 ]
[-0.0125 .51503 -28 -6.375 ]
[-0.0125 .51503 0 6.375 ]
[-0.0125 .61803 -28 -6.375 ]
[-0.0125 .61803 0 6.375 ]
[ -0.001 -0.001 0 0 ]
[ 1.0005 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.002 w
[ ] 0 setdash
.13333 0 m
.13333 .00625 L
s
gsave
.13333 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.2) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.26667 0 m
.26667 .00625 L
s
gsave
.26667 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.3) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.4 0 m
.4 .00625 L
s
gsave
.4 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.4) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.53333 0 m
.53333 .00625 L
s
gsave
.53333 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.66667 0 m
.66667 .00625 L
s
gsave
.66667 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.6) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.8 0 m
.8 .00625 L
s
gsave
.8 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.7) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.93333 0 m
.93333 .00625 L
s
gsave
.93333 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.8) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
.03333 0 m
.03333 .00312 L
s
.06667 0 m
.06667 .00312 L
s
.1 0 m
.1 .00312 L
s
.16667 0 m
.16667 .00312 L
s
.2 0 m
.2 .00312 L
s
.23333 0 m
.23333 .00312 L
s
.3 0 m
.3 .00312 L
s
.33333 0 m
.33333 .00312 L
s
.36667 0 m
.36667 .00312 L
s
.43333 0 m
.43333 .00312 L
s
.46667 0 m
.46667 .00312 L
s
.5 0 m
.5 .00312 L
s
.56667 0 m
.56667 .00312 L
s
.6 0 m
.6 .00312 L
s
.63333 0 m
.63333 .00312 L
s
.7 0 m
.7 .00312 L
s
.73333 0 m
.73333 .00312 L
s
.76667 0 m
.76667 .00312 L
s
.83333 0 m
.83333 .00312 L
s
.86667 0 m
.86667 .00312 L
s
.9 0 m
.9 .00312 L
s
.96667 0 m
.96667 .00312 L
s
1 0 m
1 .00312 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
1.025 0 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
69.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.002 w
0 .10301 m
.00625 .10301 L
s
gsave
-0.0125 .10301 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.02) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .20601 m
.00625 .20601 L
s
gsave
-0.0125 .20601 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.04) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.06) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .41202 m
.00625 .41202 L
s
gsave
-0.0125 .41202 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.08) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .51503 m
.00625 .51503 L
s
gsave
-0.0125 .51503 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.10) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.12) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
0 .02575 m
.00313 .02575 L
s
0 .0515 m
.00313 .0515 L
s
0 .07725 m
.00313 .07725 L
s
0 .12876 m
.00313 .12876 L
s
0 .15451 m
.00313 .15451 L
s
0 .18026 m
.00313 .18026 L
s
0 .23176 m
.00313 .23176 L
s
0 .25751 m
.00313 .25751 L
s
0 .28327 m
.00313 .28327 L
s
0 .33477 m
.00313 .33477 L
s
0 .36052 m
.00313 .36052 L
s
0 .38627 m
.00313 .38627 L
s
0 .43777 m
.00313 .43777 L
s
0 .46353 m
.00313 .46353 L
s
0 .48928 m
.00313 .48928 L
s
0 .54078 m
.00313 .54078 L
s
0 .56653 m
.00313 .56653 L
s
0 .59228 m
.00313 .59228 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.03467 .58846 m
.0741 .52364 L
.1171 .46119 L
.15749 .40972 L
.19633 .3661 L
.23767 .3253 L
.27747 .29095 L
.31977 .25907 L
.36052 .23233 L
.39972 .20983 L
.44143 .18891 L
.48159 .17132 L
.52021 .15647 L
.56133 .14259 L
.6009 .13085 L
.64297 .1199 L
.6835 .11064 L
.72248 .10276 L
.76396 .09537 L
.8039 .08906 L
.84633 .08312 L
.88723 .07808 L
.92657 .07374 L
.96842 .06964 L
s
.96842 .06964 m
1 .06688 L
s
[ .01 ] 0 setdash
.03467 .26076 m
.0741 .22597 L
.1171 .19535 L
.15749 .1722 L
.19633 .15401 L
.23767 .13814 L
.27747 .1256 L
.31977 .11458 L
.36052 .10577 L
.39972 .09862 L
.44143 .09216 L
.48159 .08684 L
.52021 .0824 L
.56133 .07828 L
.6009 .07478 L
.64297 .0715 L
.6835 .06868 L
.72248 .06624 L
.76396 .06389 L
.8039 .06183 L
.84633 .05984 L
.88723 .05809 L
.92657 .05653 L
.96842 .055 L
s
.96842 .055 m
1 .05392 L
s
[ .03 ] 0 setdash
.03467 .27012 m
.0741 .24175 L
.1171 .21619 L
.15749 .19627 L
.19633 .1801 L
.23767 .16544 L
.27747 .15334 L
.31977 .14221 L
.36052 .13284 L
.39972 .12485 L
.44143 .11726 L
.48159 .11068 L
.52021 .10493 L
.56133 .09934 L
.6009 .09441 L
.64297 .08959 L
.6835 .08532 L
.72248 .08152 L
.76396 .07777 L
.8039 .07443 L
.84633 .07114 L
.88723 .0682 L
.92657 .06558 L
.96842 .063 L
s
.96842 .063 m
1 .06119 L
s
MathSubEnd
P
% End of sub-graphic
0 g
.45238 .30902 m
.45238 .45187 L
.95238 .45187 L
.95238 .30902 L
F
1 g
.42857 .33283 m
.42857 .47568 L
.92857 .47568 L
.92857 .33283 L
F
0 g
.001 w
[ ] 0 setdash
.42857 .33283 m
.92857 .33283 L
.92857 .47568 L
.42857 .47568 L
.42857 .33283 L
s
% Start of sub-graphic
p
0.428571 0.332827 0.928571 0.475684 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0297619 0.297619 0.00776398 0.0776398 [
[ 0 0 0 0 ]
[ 1 .28571 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .28571 L
0 .28571 L
closepath
clip
newpath
% Start of sub-graphic
p
0.0535714 0.0139752 0.35119 0.0916149 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.309017 0.294302 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
0 g
.5 Mabswid
[ .2 ] 0 setdash
.02381 .30902 m
.97619 .30902 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .0528 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Fourth) show
105.000 13.000 moveto
(Order) show
135.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.104037 0.35119 0.181677 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.309017 0.294302 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
0 g
.5 Mabswid
[ .06667 ] 0 setdash
.02381 .30902 m
.97619 .30902 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .14286 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Second) show
105.000 13.000 moveto
(Order) show
135.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.194099 0.35119 0.271739 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.309017 0.294302 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.02381 .30902 m
.97619 .30902 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .23292 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(True) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
MathSubEnd
P
% End of sub-graphic
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{432, 266.938},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006`00012Q000`40O003h00Oogoo/Goo003oOona
Ool00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00
ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00DWoo1@000Woo0P00
0goo100087oo1@000Woo0P0017oo0P008Goo1@000Woo0P001Goo0`007goo1@000Woo0P0017oo0P00
87oo1@000Woo0P000goo0`008Goo1@000Woo0P001Goo00<007ooOol07goo1@000Woo0P0017oo0P00
<7oo001DOol00`00Oomoo`07Ool00`00Oomoo`0SOol00`00Oomoo`07Ool01000Oomoo`008Woo00<0
07ooOol02Woo00<007ooOol087oo00<007ooOol01goo00@007ooOol0025oo`03001oogoo00Moo`04
001oogoo000ROol00`00Oomoo`09Ool00`00Oomoo`0QOol00`00Oomoo`07Ool01000Oomoo`00;goo
001DOol00`00Oomoo`08Ool00`00Oomoo`0ROol00`00Oomoo`09Ool00`00Oomoo`0QOol00`00Oomo
o`07Ool5000QOol00`00Oomoo`0:Ool00`00Oomoo`0OOol00`00Oomoo`07Ool01000Oomoo`008Woo
00<007ooOol02Goo00<007ooOol08Goo00<007ooOol01goo00@007ooOol002moo`00E7oo00<007oo
Ool02Goo00<007ooOol08Goo00<007ooOol02Woo00<007ooOol087oo00<007ooOol01goo00@007oo
Ool0029oo`03001oogoo00Qoo`80029oo`03001oogoo00Moo`<002=oo`03001oogoo00Yoo`03001o
ogoo021oo`03001oogoo00Qoo`80031oo`00E7oo00<007ooOol01goo00@007ooOol0029oo`03001o
ogoo00Moo`04001oogoo000ROol00`00Oomoo`08Ool00`00Ool0000ROol00`00Oomoo`08Ool00`00
Oomoo`0QOol00`00Oomoo`08Ool00`00Oomoo`0ROol00`00Oomoo`07Ool01000Oomoo`008Woo00<0
07ooOol01goo00@007ooOol002moo`00Dgoo0P002Woo0P008Woo0P002Woo0P008Woo0P002goo0P00
8Goo0P002Woo0`0087oo0P002Woo0`008Goo0P002Goo10008Goo0P002Woo0P00<7oo003oOonaOol0
0?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00ogooWGoo0P0000=oo`0000003goo000[Oooo
001X000;Ool00`00Ool0000@Ool002]oo`03001oogoo00Qoo`03001oogoo00Uoo`03001oogoo00Uo
o`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uo
o`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uo
o`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uo
o`03001oogoo00Uoo`03001oogoo00Qoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uo
o`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uo
o`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Yoo`03001oogoo00moo`00:goo00<007oo
Ool0;7oo00<007ooOol0;Goo00<007ooOol0;Goo00<007ooOol0;Goo00<007ooOol0;7oo00<007oo
Ool0;Goo00<007ooOol0;Goo00<007ooOol087oo0P0000=oo`0000003goo000[Ool00`00Oomoo`3o
Oon3Ool002]oo`03001oogoo0?mooh=oo`00:goo00<007ooOol0ogooPgoo000[Ool00`00Oomoo`3o
Oon3Ool002]oo`03001oogoo0?mooh=oo`00:goo00<007ooOol0ogooPgoo000[Ool2003oOon4Ool0
02]oo`03001oogoo0?mooh=oo`00:goo00<007ooOol0ogooPgoo000[Ool00`00Oomoo`3oOon3Ool0
02]oo`03001oogoo0?mooh=oo`00:goo00<007ooOol0ogooPgoo000[Ool00`00Oomoo`3oOon3Ool0
02]oo`03001oogoo0?mooh=oo`00:goo00<007ooOol0ogooPgoo000[Ool00`00Oomoo`3oOon3Ool0
02]oo`800?moohAoo`00:goo00<007ooOol0ogooBgoo1@000goo10000Woo10000goo10007goo000[
Ool00`00Oomoo`3oOolfOol40003Ool50002Ool5000jOol002]oo`03001oogoo0?mooa]oo`<0009o
o`D000=oo`@000=oo`@002]oo`H001moo`00:goo00<007ooOol0ogoo2goo1@000Woo1@000Woo0P00
>Woo2@009Goo000[Ool00`00Oomoo`3fOol30003Ool40003Ool4000hOol<000COol6000NOol002]o
o`03001oogoo0>Qoo`<0009oo`D0009oo`8003Yoo`D0021oo`T002Aoo`00:goo00<007ooOol0fWoo
0P000goo1@000Woo0P00@Goo1`007Goo2000;Goo000[Ool00`00Oomoo`3AOol40003Ool2000oOol7
000ROol;000eOol002]oo`800<Eoo`<000=oo`@004Ioo`D001moo`X0041oo`00:goo00<007ooOol0
^goo1@000Woo0P00>goo2`009Woo2000BWoo000[Ool00`00Oomoo`2dOol50016Ool00`00Oomoo`0W
Ool7001BOol002]oo`03001oogoo0:Qoo`<0009oo`D003]oo`P002aoo`P005Uoo`00:goo00<007oo
Ool0XGoo0P000goo0P00@Goo1000;Goo1`00HGoo000[Ool00`00Oomoo`2JOol20003Ool2000hOol6
000cOol8001XOol002]oo`03001oogoo09=oo`8000=oo`8003Yoo`D003=oo`H0071oo`00:goo00<0
07ooOol0SGoo00@007ooOomoo`8003Eoo`8003eoo`D007Ioo`003Woo0P0017oo0P0017oo0P000goo
100027oo00<007ooOol0RWoo0`00=Goo1P00>Woo1@00Ngoo000=Ool01000Oomoo`0027oo00@007oo
Ool0009oo`03001oogoo00Uoo`<008=oo`@003Moo`@003]oo`D0081oo`003Goo00@007ooOol000Qo
o`04001oogoo0003Ool00`00Oomoo`08Ool00`00Oomoo`1mOol3000bOol30013Ool50025Ool000eo
o`04001oogoo0008Ool01000Oomoo`0017oo00<007ooOol01goo00<007ooOol0Mgoo0P000goo00<0
07ooOol0;Goo1P00@Woo1000RWoo000=Ool01000Oomoo`0027oo00@007ooOol0009oo`04001oogoo
0008Ool00`00Oomoo`1eOol2000bOol30013Ool5002>Ool000ioo`8000Yoo`8000Aoo`8000Uoo`03
001oogoo06moo`<007Qoo`D009=oo`00:goo00<007ooOol0KWoo00<007ooOol0:Goo1P00AWoo1000
V7oo000[Ool00`00Oomoo`1YOol2000[Ool40018Ool4002LOol002]oo`03001oogoo069oo`8000=o
o`8002]oo`8004Qoo`@00:1oo`00:goo00<007ooOol0H7oo0P009Woo0P00D7oo1000Y7oo000[Ool2
001MOol00`00Oomoo`0UOol4001>Ool4002XOol002]oo`03001oogoo05Yoo`8002Eoo`<004moo`<0
0:aoo`00:goo00<007ooOol0FGoo00<007ooOol08goo0P00CWoo1000[goo000[Ool00`00Oomoo`1D
Ool2001fOol3002cOol002]oo`03001oogoo059oo`8001ioo`<005=oo`@00;Ioo`00:goo00<007oo
Ool0CGoo0`007Woo1000Dgoo0`00^Woo000[Ool00`00Oomoo`1;Ool2000OOol2001DOol3002mOol0
02]oo`03001oogoo06Yoo`8005=oo`<00<1oo`00:goo00<007ooOol0Agoo0P00Lgoo0`00`goo000[
Ool00`00Oomoo`15Ool2000HOol2001HOol30036Ool002]oo`80049oo`03001oogoo01Moo`@005Mo
o`<00<Uoo`00:goo00<007ooOol0?goo0P005Woo1000FGoo0P00c7oo000[Ool00`00Oomoo`0nOol0
0`00Oomoo`0DOol2001KOol2003>Ool002]oo`03001oogoo03]oo`03001oogoo075oo`<00=1oo`00
:goo00<007ooOol0>Goo0P00LWoo0P00dgoo000[Ool00`00Oomoo`0hOol00`00Oomoo`1`Ool2003E
Ool002]oo`03001oogoo03Aoo`03001oogoo01=oo`8005aoo`<00=Moo`00:goo00<007ooOol0<Woo
0P004goo0`00G7oo0P00fWoo000[Ool00`00Oomoo`0aOol00`00Oomoo`0AOol2001MOol2003LOol0
02]oo`8004=oo`<005aoo`<00=ioo`00:goo00<007ooOol0;Woo00<007ooOol047oo00<007ooOol0
Fgoo0P00hGoo000[Ool00`00Oomoo`0/Ool2001_Ool2003SOol002]oo`03001oogoo02]oo`03001o
ogoo06aoo`<00>Eoo`00:goo00<007ooOol0:7oo00<007ooOol0KGoo0P00j7oo000[Ool00`00Oomo
o`0VOol2000>Ool2001NOol2003ZOol002]oo`03001oogoo02Eoo`03001oogoo00aoo`8005ioo`80
0>aoo`003Woo0P0017oo0P0017oo0P001Goo0`001goo00<007ooOol0<Goo0`00GWoo0P00kWoo000=
Ool01000Oomoo`0027oo00@007ooOol000Eoo`03001oogoo00Ioo`03001oogoo02moo`8005moo`80
0?1oo`003Goo00@007ooOol000Qoo`04001oogoo0002Ool50007Ool3000ROol00`00Oomoo`08Ool2
001OOol2003bOol000eoo`04001oogoo0008Ool01000Oomoo`000Woo00@007ooOol000Qoo`03001o
ogoo021oo`8006Yoo`800?Aoo`003Goo00@007ooOol000Qoo`04001oogoo0003Ool00`00Ool00008
Ool00`00Oomoo`0OOol00`00Oomoo`1XOol2003fOol000ioo`8000Yoo`8000Eoo`8000Qoo`03001o
ogoo08Uoo`03001oogoo0?Ioo`00:goo00<007ooOol077oo00<007ooOol0J7oo0P00nGoo000[Ool0
0`00Oomoo`0JOol20008Ool00`00Oomoo`1NOol2003kOol002]oo`03001oogoo01Uoo`03001oogoo
00Ioo`80061oo`03001oogoo0?]oo`00:goo00<007ooOol08Goo00<007ooOol0GWoo0P00oWoo000[
Ool00`00Oomoo`0FOol00`00Oomoo`06Ool2001POol00`00Oomoo`3nOol002]oo`8001Ioo`03001o
ogoo00Ioo`03001oogoo05ioo`800?moo`9oo`00:goo00<007ooOol057oo00<007ooOol01Goo0P00
H7oo00<007ooOol0ogoo0Woo000[Ool00`00Oomoo`0KOol00`00Oomoo`1NOol2003oOol5Ool002]o
o`03001oogoo07Yoo`800?moo`Moo`00:goo00<007ooOol04Goo00<007ooOol0IGoo00<007ooOol0
ogoo1goo000[Ool00`00Oomoo`0?Ool2001VOol2003oOol:Ool002]oo`03001oogoo00ioo`03001o
ogoo06Aoo`800?moo`aoo`00:goo00<007ooOol0M7oo00<007ooOol0ogoo37oo000[Ool00`00Oomo
o`0<Ool00`00Oomoo`03Ool00`00Oomoo`1MOol2003oOol?Ool002]oo`03001oogoo00]oo`03001o
ogoo009oo`8005ioo`800?mooa5oo`00:goo0P002goo00<007ooOol00Woo00<007ooOol0GGoo00<0
07ooOol0ogoo4Goo000[Ool00`00Oomoo`09Ool01000Oomoogoo0P00Ggoo00<007ooOol0ogoo4Woo
000[Ool00`00Oomoo`0<Ool00`00Oomoo`1MOol2003oOolEOol002]oo`03001oogoo00Yoo`8005mo
o`03001oogoo0?mooaEoo`00:goo00<007ooOol02Goo00<007ooOol0GWoo00<007ooOol0ogoo5Woo
000[Ool00`00Oomoo`1YOol00`00Oomoo`3oOolGOol002]oo`03001oogoo06Moo`800?mooaYoo`00
:goo00<007ooOol0IWoo00<007ooOol0ogoo6Woo000[Ool00`00Oomoo`1UOol00`00Oomoo`3oOolK
Ool002]oo`8006Eoo`03001oogoo0?mooaaoo`00:goo00<007ooOol0HWoo0P00ogoo7goo000[Ool0
0`00Oomoo`1QOol00`00Oomoo`3oOolOOol002]oo`03001oogoo061oo`03001oogoo0?moob1oo`00
:goo00<007ooOol0Ggoo00<007ooOol0ogoo8Goo000[Ool00`00Oomoo`1NOol00`00Oomoo`0dOooG
000FOol002]oo`03001oogoo05aoo`8003MoomL001Ioo`003Woo0P0017oo0P0017oo0P000goo0`00
2Goo00<007ooOol0Fgoo00<007ooOol0=gooe`005Woo000=Ool01000Oomoo`0027oo00@007ooOol0
009oo`04001oogoo0008Ool00`00Oomoo`1JOol00`00Oomoo`0hOooG000FOol000eoo`04001oogoo
0008Ool01000Oomoo`000Woo00@007ooOol000Qoo`<005Uoo`03001oogoo03UoomL001Ioo`003Goo
00@007ooOol000Qoo`04001oogoo0002Ool30009Ool00`00Oomoo`1HOol00`00Oomoo`0jOooG000F
Ool000eoo`04001oogoo0008Ool01000Oomoo`000goo00<007ooOol027oo00<007ooOol0Egoo00<0
07ooOol0>gooe`005Woo000>Ool2000:Ool20004Ool30008Ool00`00Oomoo`1EOol2000nOooG000F
Ool002]oo`03001oogoo05Aoo`03001oogoo03ioomL001Ioo`00:goo00<007ooOol0Dgoo00<007oo
Ool0=7oohP005Woo000[Ool00`00Oomoo`1BOol00`00Oomoo`0eOol00`00Oomoo`3DOol;000FOol0
02]oo`03001oogoo055oo`03001oogoo03Ioo`03001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0
D7oo00<007ooOol0=goo00<007ooOol0e7oo2`005Woo000[Ool2001@Ool00`00Oomoo`0hOol00`00
Oomoo`3DOol;000FOol002]oo`03001oogoo04ioo`03001oogoo03Uoo`03001oogoo0=Aoo`/001Io
o`00:goo00<007ooOol0CGoo00<007ooOol0>Woo00<007ooOol0e7oo2`005Woo000[Ool00`00Oomo
o`1<Ool00`00Oomoo`0kOol00`00Oomoo`3DOol;000FOol002]oo`03001oogoo04Yoo`8003ioo`03
001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0BGoo00<007ooOol0?Woo00<007ooOol0e7oo2`00
5Woo000[Ool00`00Oomoo`18Ool00`00Oomoo`0oOol00`00Oomoo`1DOol30004Ool20004Ool40000
0goo000000020003Ool20002Ool300000goo00000008Ool20003Ool40003Ool40002Ool30002Ool4
000jOol;000FOol002]oo`03001oogoo04Moo`03001oogoo041oo`03001oogoo01aoo`H000Eoo`H0
00Eoo`D001ioo`03001oogoo009oo`04001oogoo0002Ool01000Oomoo`000goo00<007ooOol00Woo
00@007ooOol0009oo`04001oogoo0008Ool01000Oomoo`000goo00<007ooOol00Woo00@007ooOol0
009oo`03001oogoo00Aoo`03001oogoo03Yoo`/001Ioo`00:goo00<007ooOol0AWoo00<007ooOol0
@Goo00<007ooOol0EGoo00<007ooOol00Woo00@007ooOol0009oo`04001oogoo0003Ool00`00Oomo
o`02Ool00`00Oomoo`03Ool01000Oomoo`0027oo00@007ooOol000=oo`03001oogoo009oo`04001o
ogoo0002Ool40003Ool00`00Oomoo`0jOol;000FOol002]oo`8004Ioo`03001oogoo049oo`03001o
ogoo05Eoo`8000Aoo`80009oo`800003Ool00000009oo`@00003Ool0000000<0009oo`<000Uoo`04
001oogoo0002Ool40003Ool30003Ool20003Ool4000jOol;000FOol002]oo`03001oogoo04Aoo`03
001oogoo04=oo`03001oogoo05Eoo`04001oogoo000COol00`00Oomoo`03Ool00`00Oomoo`09Ool0
1000Oomoo`002goo00<007ooOol0A7oo2`005Woo000[Ool00`00Oomoo`13Ool00`00Oomoo`14Ool0
0`00Oomoo`1DOol5000HOol2000<Ool2000;Ool20016Ool;000FOol002]oo`03001oogoo049oo`03
001oogoo04Eoo`03001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0@Goo00<007ooOol0AWoo00<0
07ooOol0e7oo2`005Woo000[Ool00`00Oomoo`10Ool00`00Oomoo`17Ool00`00Oomoo`3DOol;000F
Ool002]oo`03001oogoo041oo`03001oogoo04Moo`03001oogoo0=Aoo`/001Ioo`00:goo00<007oo
Ool0?goo00<007ooOol0B7oo00<007ooOol0e7oo2`005Woo000[Ool00`00Oomoo`0nOol00`00Oomo
o`19Ool00`00Oomoo`3DOol;000FOol002]oo`03001oogoo03eoo`03001oogoo04Yoo`03001oogoo
0=Aoo`/001Ioo`00:goo0P00?Goo00<007ooOol0Bgoo00<007ooOol0e7oo2`005Woo000[Ool00`00
Oomoo`0kOol00`00Oomoo`1<Ool00`00Oomoo`3DOol;000FOol002]oo`03001oogoo03Yoo`03001o
ogoo04eoo`03001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0>Goo00<007ooOol0CWoo00<007oo
Ool0e7oo2`005Woo000[Ool00`00Oomoo`0iOol00`00Oomoo`1>Ool00`00Oomoo`3DOol;000FOol0
02]oo`03001oogoo03Qoo`03001oogoo04moo`03001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0
=goo00<007ooOol0D7oo00<007ooOol0E7oo0`0017oo0`000goo0`000goo0P000Woo0P000Woo0P00
0Woo100027oo0P000goo10000goo10000Woo0`000Woo1000>Woo2`005Woo000>Ool20004Ool20004
Ool20004Ool20009Ool00`00Oomoo`0fOol00`00Oomoo`1AOol00`00Oomoo`1DOol01000Oomoo`00
0Woo00<007ooOol00goo00<007ooOol00goo00@007ooOol0009oo`04001oogoo0002Ool01000Oomo
o`0027oo00@007ooOol000=oo`03001oogoo009oo`04001oogoo0002Ool00`00Oomoo`04Ool00`00
Oomoo`0jOol;000FOol000eoo`04001oogoo0008Ool01000Oomoo`000Woo00@007ooOol000Qoo`03
001oogoo03Eoo`03001oogoo059oo`03001oogoo01aoo`H00005Ool00000001oo`0600001Goo0000
0000Ool00P0000=oo`00000087oo00<007ooOol010000Woo00<007ooOol00goo00@007ooOol0009o
o`04001oogoo0002Ool01000Oomoo`0027oo00@007ooOol000=oo`03001oogoo009oo`04001oogoo
0002Ool40003Ool00`00Oomoo`0jOol;000FOol000eoo`04001oogoo0008Ool01000Oomoo`000Woo
00@007ooOol000Qoo`<003Aoo`03001oogoo05=oo`03001oogoo05Eoo`8000Aoo`8000Aoo`<000=o
o`80009oo`@000Aoo`<000Qoo`04001oogoo0002Ool40003Ool30003Ool20003Ool4000jOol;000F
Ool000eoo`04001oogoo0008Ool01000Oomoo`000goo0P002Goo00<007ooOol0=7oo00<007ooOol0
Dgoo00<007ooOol0E7oo00@007ooOol001eoo`03001oogoo00Ioo`04001oogoo000;Ool00`00Oomo
o`14Ool;000FOol000eoo`04001oogoo0008Ool01000Oomoo`000Woo00@007ooOol000Qoo`03001o
ogoo03=oo`03001oogoo05Aoo`03001oogoo05Aoo`@001aoo`8000Uoo`8000]oo`8004Ioo`/001Io
o`003Woo0P002Woo0P0017oo0P002Goo00<007ooOol0<Woo00<007ooOol0EGoo00<007ooOol0e7oo
2`005Woo000[Ool00`00Oomoo`0aOol00`00Oomoo`1FOol00`00Oomoo`3DOol;000FOol002]oo`03
001oogoo035oo`03001oogoo05Ioo`03001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0<7oo00<0
07ooOol0Egoo00<007ooOol0e7oo2`005Woo000[Ool00`00Oomoo`0_Ool00`00Oomoo`1HOol00`00
Oomoo`3DOol;000FOol002]oo`03001oogoo02ioo`03001oogoo05Uoo`03001oogoo0=Aoo`/001Io
o`00:goo0P00;goo00<007ooOol0FGoo00<007ooOol0e7oo2`005Woo000[Ool00`00Oomoo`0]Ool0
0`00Oomoo`1JOol00`00Oomoo`3DOol;000FOol002]oo`03001oogoo02aoo`03001oogoo05]oo`03
001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0:goo00<007ooOol0G7oo00<007ooOol0e7oo2`00
5Woo000[Ool00`00Oomoo`0[Ool00`00Oomoo`1LOol00`00Oomoo`3DOol;000FOol002]oo`03001o
ogoo02Yoo`03001oogoo05eoo`03001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0:Goo00<007oo
Ool0GWoo00<007ooOol0e7oo2`005Woo000[Ool00`00Oomoo`0XOol00`00Oomoo`1OOol00`00Oomo
o`1DOol30003Ool40003Ool40002Ool3001ZOol;000FOol002]oo`03001oogoo02Qoo`03001oogoo
05moo`03001oogoo05Eoo`03001oogoo00=oo`03001oogoo009oo`04001oogoo0002Ool00`00Oomo
o`1[Ool;000FOol002]oo`8002Qoo`03001oogoo061oo`03001oogoo01aooa/001ioo`03001oogoo
00=oo`03001oogoo009oo`04001oogoo0002Ool4001ZOol;000FOol002]oo`03001oogoo02Ioo`03
001oogoo065oo`03001oogoo05Eoo`03001oogoo009oo`@00004Ool00000Ool20003Ool2001[Ool;
000FOol002]oo`03001oogoo02Ioo`03001oogoo065oo`03001oogoo05=oo`05001oo`00Ool0001l
Ool00`00Oomoo`0NOol002]oo`03001oogoo02Eoo`03001oogoo069oo`03001oogoo05=oo`D007ao
o`03001oogoo01ioo`00:goo00<007ooOol097oo00<007ooOol0Hgoo00<007ooOol0e7oo00<007oo
Ool07Woo000[Ool00`00Oomoo`0SOol00`00Oomoo`1TOol00`00Oomoo`3DOol00`00Oomoo`0NOol0
02]oo`03001oogoo02=oo`03001oogoo06Aoo`03001oogoo0=Aoo`03001oogoo01ioo`00:goo00<0
07ooOol08Woo00<007ooOol0IGoo00<007ooOol0e7oo00<007ooOol07Woo000[Ool00`00Oomoo`0Q
Ool00`00Oomoo`1VOol00`00Oomoo`3DOol00`00Oomoo`0NOol002]oo`03001oogoo021oo`03001o
ogoo06Moo`03001oogoo0=Aoo`03001oogoo01ioo`00:goo0P008Goo00<007ooOol0Igoo00<007oo
Ool0e7oo00<007ooOol07Woo000[Ool00`00Oomoo`0OOol00`00Oomoo`1XOooH000POol002]oo`03
001oogoo01ioo`03001oogoo0?moof9oo`00:goo00<007ooOol07Woo00<007ooOol0ogooHWoo000[
Ool00`00Oomoo`0MOol00`00Oomoo`3oOomSOol002]oo`03001oogoo01aoo`03001oogoo0?moofAo
o`00:goo00<007ooOol06goo00<007ooOol0ogooIGoo000>Ool20004Ool20003Ool50002Ool20009
Ool00`00Oomoo`0KOol00`00Oomoo`3oOomUOol000eoo`04001oogoo000:Ool01@00Oomoogoo0000
0Woo00<007ooOol01Woo00<007ooOol06Woo00<007ooOol0ogooIWoo000=Ool01000Oomoo`002Woo
00D007ooOomoo`00009oo`03001oogoo00Ioo`<001Uoo`03001oogoo0?moofMoo`003Goo00@007oo
Ool000Yoo`05001oogooOol00002Ool00`00Oomoo`06Ool00`00Oomoo`0HOol00`00Oomoo`3oOomX
Ool000eoo`04001oogoo000:Ool01@00Oomoogoo00000Woo00<007ooOol01Woo00<007ooOol067oo
00<007ooOol0ogooJ7oo000>Ool2000:Ool20004Ool20009Ool00`00Oomoo`0GOol00`00Oomoo`3o
OomYOol002]oo`03001oogoo01Ioo`03001oogoo0?moofYoo`00:goo00<007ooOol05Woo00<007oo
Ool0ogooJWoo000[Ool00`00Oomoo`0EOol00`00Oomoo`3oOom[Ool002]oo`03001oogoo01Eoo`03
001oogoo0?moof]oo`00:goo00<007ooOol057oo00<007ooOol0ogooK7oo000[Ool2000DOol00`00
Oomoo`3oOom]Ool002]oo`03001oogoo01=oo`03001oogoo0?moofeoo`00:goo00<007ooOol04Woo
00<007ooOol0ogooKWoo000[Ool00`00Oomoo`0BOol00`00Oomoo`3oOom^Ool002]oo`03001oogoo
015oo`03001oogoo0?moofmoo`00:goo00<007ooOol047oo00<007ooOol0ogooL7oo000[Ool00`00
Oomoo`0@Ool00`00Oomoo`3oOom`Ool002]oo`03001oogoo00moo`03001oogoo0?moog5oo`00:goo
00<007ooOol03Woo00<007ooOol0ogooLWoo000[Ool2000?Ool00`00Oomoo`3oOombOol002]oo`03
001oogoo00eoo`03001oogoo0?moog=oo`00:goo00<007ooOol03Goo00<007ooOol0ogooLgoo000[
Ool00`00Oomoo`0<Ool00`00Oomoo`3oOomdOol002]oo`03001oogoo00]oo`03001oogoo0?moogEo
o`00:goo00<007ooOol02goo00<007ooOol0ogooMGoo000[Ool00`00Oomoo`0:Ool00`00Oomoo`3o
OomfOol002]oo`03001oogoo00Yoo`03001oogoo0?moogIoo`00:goo00<007ooOol02Goo00<007oo
Ool0ogooMgoo000[Ool00`00Oomoo`3oOon3Ool002]oo`800?moohAoo`00:goo00<007ooOol0ogoo
Pgoo000[Ool00`00Oomoo`3oOon3Ool002]oo`03001oogoo0?mooh=oo`00:goo00<007ooOol0ogoo
Pgoo000[Ool00`00Oomoo`3oOon3Ool002]oo`03001oogoo0?mooh=oo`003Woo0P0017oo0P000goo
1@0000=oo`0000000P0027oo00<007ooOol0ogooPgoo000=Ool01000Oomoo`002Woo00D007ooOomo
o`0000]oo`03001oogoo0?mooh=oo`003Goo00@007ooOol000Yoo`03001oogoo009oo`03001oogoo
00Qoo`<00?mooh=oo`003Goo00@007ooOol000Yoo`03001oogoo00=oo`03001oogoo0?mooheoo`00
3Goo00@007ooOol000Yoo`05001oogooOol00002Ool00`00Oomoo`3oOon<Ool000ioo`8000Yoo`80
00Aoo`800?moohmoo`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00?mook5o
o`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo0000
\
\>"],
  ImageRangeCache->{{{0, 431}, {265.938, 0}} -> {-1.05172, -0.648943, \
0.00488038, 0.00488038}, {{10.5625, 420.375}, {259.563, 6.3125}} -> {1.00992, \
-0.015, 0.00209281, 0.000541798}, {{184.75, 399.875}, {122.688, 61.25}} -> \
{-2.98755, -8.6804, 0.0156256, 0.0598979}, {{196.313, 260.313}, {119.625, \
102.938}} -> {-8.37854, -19.4624, 0.0388877, 0.125843}, {{196.313, 260.313}, \
{100.313, 83.5625}} -> {-8.34541, -21.815, 0.0387426, 0.125374}, {{196.313, \
260.313}, {80.9375, 64.25}} -> {-8.37854, -24.331, 0.0388877, 0.125843}}],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
%%ImageSize: 432 266.991 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.25 0.5 0 0.618034 [
[.125 -0.0125 -14 -12.75 ]
[.125 -0.0125 14 0 ]
[.25 -0.0125 -14 -12.75 ]
[.25 -0.0125 14 0 ]
[.375 -0.0125 -14 -12.75 ]
[.375 -0.0125 14 0 ]
[.5 -0.0125 -14 -12.75 ]
[.5 -0.0125 14 0 ]
[.625 -0.0125 -14 -12.75 ]
[.625 -0.0125 14 0 ]
[.75 -0.0125 -14 -12.75 ]
[.75 -0.0125 14 0 ]
[.875 -0.0125 -14 -12.75 ]
[.875 -0.0125 14 0 ]
[1 -0.0125 -14 -12.75 ]
[1 -0.0125 14 0 ]
[-0.0125 .12361 -22 -6.375 ]
[-0.0125 .12361 0 6.375 ]
[-0.0125 .24721 -22 -6.375 ]
[-0.0125 .24721 0 6.375 ]
[-0.0125 .37082 -22 -6.375 ]
[-0.0125 .37082 0 6.375 ]
[-0.0125 .49443 -22 -6.375 ]
[-0.0125 .49443 0 6.375 ]
[-0.0125 .61803 -22 -6.375 ]
[-0.0125 .61803 0 6.375 ]
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.002 w
[ ] 0 setdash
.125 0 m
.125 .00625 L
s
gsave
.125 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.75) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 0 m
.25 .00625 L
s
gsave
.25 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.00) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.375 0 m
.375 .00625 L
s
gsave
.375 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.25) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.50) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.625 0 m
.625 .00625 L
s
gsave
.625 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.75) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.75 0 m
.75 .00625 L
s
gsave
.75 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.00) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.875 0 m
.875 .00625 L
s
gsave
.875 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.25) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.50) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
.05 0 m
.05 .00313 L
s
.1 0 m
.1 .00313 L
s
.15 0 m
.15 .00313 L
s
.2 0 m
.2 .00313 L
s
.3 0 m
.3 .00313 L
s
.35 0 m
.35 .00313 L
s
.4 0 m
.4 .00313 L
s
.45 0 m
.45 .00313 L
s
.55 0 m
.55 .00313 L
s
.6 0 m
.6 .00313 L
s
.65 0 m
.65 .00313 L
s
.7 0 m
.7 .00313 L
s
.8 0 m
.8 .00313 L
s
.85 0 m
.85 .00313 L
s
.9 0 m
.9 .00313 L
s
.95 0 m
.95 .00313 L
s
.25 Mabswid
0 0 m
1 0 L
s
.002 w
0 .12361 m
.00625 .12361 L
s
gsave
-0.0125 .12361 -83 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.2) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .24721 m
.00625 .24721 L
s
gsave
-0.0125 .24721 -83 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.4) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .37082 m
.00625 .37082 L
s
gsave
-0.0125 .37082 -83 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.6) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .49443 m
.00625 .49443 L
s
gsave
-0.0125 .49443 -83 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.8) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -83 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.0) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
0 .0309 m
.00312 .0309 L
s
0 .0618 m
.00312 .0618 L
s
0 .09271 m
.00312 .09271 L
s
0 .15451 m
.00312 .15451 L
s
0 .18541 m
.00312 .18541 L
s
0 .21631 m
.00312 .21631 L
s
0 .27812 m
.00312 .27812 L
s
0 .30902 m
.00312 .30902 L
s
0 .33992 m
.00312 .33992 L
s
0 .40172 m
.00312 .40172 L
s
0 .43262 m
.00312 .43262 L
s
0 .46353 m
.00312 .46353 L
s
0 .52533 m
.00312 .52533 L
s
0 .55623 m
.00312 .55623 L
s
0 .58713 m
.00312 .58713 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.003 w
[ .01 ] 0 setdash
0 .00028 m
.13259 .00146 L
.22317 .00226 L
.30879 .00302 L
.32033 .00372 L
.32201 .00449 L
.32496 .00582 L
.32762 .00729 L
.32898 .00809 L
.33027 .00886 L
.331 .00929 L
.33316 .00976 L
.33708 .01059 L
.34111 .01144 L
.34476 .01221 L
.34602 .01302 L
.34619 .01347 L
.34634 .01389 L
.34662 .01465 L
.34692 .01545 L
.34715 .01586 L
.34743 .01631 L
.34791 .01711 L
.34818 .01755 L
.34848 .01803 L
.34875 .01848 L
.34949 .0189 L
.35324 .02041 L
.35522 .02122 L
.35654 .02207 L
.35659 .02281 L
.35665 .02363 L
.3567 .02437 L
.35723 .02507 L
.37056 .03934 L
.37956 .05241 L
.38147 .0587 L
.38436 .06542 L
.38557 .06699 L
.3862 .06781 L
.38655 .06826 L
.3867 .06868 L
.38691 .06944 L
.38714 .07028 L
.38735 .07104 L
.3877 .07176 L
.38821 .07245 L
.38877 .07321 L
.38928 .07391 L
.38974 .07454 L
Mistroke
.39064 .07529 L
.3916 .07609 L
.39243 .07677 L
.39333 .07752 L
.39368 .07829 L
.39394 .07911 L
.39419 .07987 L
.39441 .08056 L
.39454 .08138 L
.39465 .08226 L
.39475 .08309 L
.39484 .08385 L
.39513 .08456 L
.39544 .08531 L
.39577 .08614 L
.39608 .08691 L
.39613 .08757 L
.39617 .08828 L
.3962 .08902 L
.39624 .0898 L
.39661 .09065 L
.39708 .09143 L
.3976 .09229 L
.39787 .09274 L
.39813 .09322 L
.3982 .09372 L
.39825 .09419 L
.39836 .0951 L
.39846 .09592 L
.39856 .09638 L
.39881 .09681 L
.39973 .0984 L
.40018 .09919 L
.40035 .09991 L
.40044 .10074 L
.40053 .10165 L
.40066 .10323 L
.40071 .104 L
.40076 .1048 L
.4008 .10548 L
.40164 .10623 L
.40526 .10947 L
.40565 .11023 L
.40608 .11105 L
.40652 .11182 L
.40806 .11254 L
.41091 .11387 L
.41242 .11457 L
.41331 .11533 L
.41364 .11617 L
Mistroke
.41394 .11695 L
.4146 .11868 L
.41592 .12225 L
.41865 .12869 L
.43096 .15546 L
.44023 .18124 L
.44549 .19425 L
.44822 .19991 L
.44882 .20066 L
.44947 .20145 L
.44993 .20221 L
.45016 .20289 L
.45068 .20439 L
.4509 .20524 L
.45096 .20604 L
.45102 .20683 L
.45107 .20768 L
.45111 .20812 L
.45121 .20861 L
.45138 .20947 L
.45202 .21262 L
.45218 .21337 L
.45234 .21416 L
.45239 .21457 L
.45243 .21502 L
.45249 .21581 L
.45255 .21657 L
.45262 .21737 L
.45351 .21813 L
.45434 .21881 L
.45537 .21966 L
.45594 .22013 L
.4564 .22056 L
.45648 .22133 L
.45656 .22218 L
.45689 .22582 L
.45725 .22901 L
.45752 .23079 L
.45768 .23164 L
.45782 .23243 L
.458 .23321 L
.45825 .23406 L
.45846 .23476 L
.45869 .23553 L
.45935 .23637 L
.46005 .23683 L
.46069 .23726 L
.46192 .23807 L
.46308 .23884 L
.46385 .23956 L
Mistroke
.46445 .24034 L
.4655 .24171 L
.46594 .24249 L
.46606 .24331 L
.46627 .24478 L
.46714 .24811 L
.46754 .24974 L
.46772 .25054 L
.46789 .25127 L
.46797 .25211 L
.46797 .25257 L
.46798 .25301 L
.46799 .25392 L
.468 .25443 L
.46804 .25491 L
.46813 .25568 L
.46823 .25653 L
.46842 .25824 L
.46849 .25909 L
.46856 .2599 L
.46861 .26062 L
.46911 .2614 L
.4706 .26305 L
.47208 .26479 L
.47325 .2663 L
.47357 .26672 L
.47385 .26716 L
.47386 .26797 L
.47388 .27091 L
.47389 .27235 L
.4739 .27317 L
.47402 .27393 L
.4743 .27547 L
.47439 .27591 L
.47446 .27633 L
.47476 .27711 L
.47528 .27843 L
.47557 .27915 L
.47605 .27983 L
.47681 .28056 L
.47765 .28137 L
.47843 .28211 L
.47897 .28279 L
.47906 .2836 L
.47916 .28446 L
.47925 .28526 L
.47949 .28602 L
.47976 .28644 L
.48005 .2869 L
.48057 .28771 L
Mistroke
.48085 .28816 L
.48113 .28859 L
.48134 .28909 L
.48144 .28954 L
.48161 .29029 L
.48179 .29112 L
.48197 .29189 L
.48203 .29259 L
.48231 .29595 L
.48279 .30174 L
.48346 .30797 L
.48354 .30957 L
.48357 .31037 L
.4837 .31082 L
.4839 .31124 L
.48429 .31205 L
.48465 .31281 L
.48497 .31349 L
.48511 .31423 L
.48518 .31495 L
.48525 .31571 L
.48539 .31707 L
.48563 .31866 L
.48573 .31935 L
.48581 .3201 L
.48581 .32092 L
.48582 .32169 L
.48582 .32212 L
.48582 .32258 L
.48606 .3234 L
.4865 .32415 L
.48692 .32486 L
.48737 .32563 L
.48771 .32648 L
.48786 .32733 L
.48802 .32823 L
.48839 .32985 L
.48932 .33348 L
.49384 .34725 L
.49497 .35041 L
.4955 .35214 L
.49596 .35376 L
.49653 .35662 L
.49685 .35827 L
.49701 .35905 L
.49715 .35977 L
.49747 .36051 L
.49822 .36131 L
.49958 .36278 L
.50014 .3636 L
Mistroke
.50017 .36434 L
.5002 .36516 L
.50024 .36601 L
.50025 .36643 L
.50036 .36689 L
.50057 .36769 L
.50105 .3695 L
.50167 .37122 L
.50196 .37203 L
.5022 .37278 L
.50222 .37354 L
.50223 .37436 L
.50224 .37509 L
.50235 .37585 L
.50353 .37666 L
.50464 .37742 L
.50587 .37826 L
.50654 .37872 L
.50698 .37915 L
.50749 .37986 L
.50806 .38064 L
.50857 .38134 L
.50905 .382 L
.50906 .38278 L
.50908 .38349 L
.50909 .38426 L
.50911 .38508 L
.50933 .38589 L
.50953 .38663 L
.50974 .38739 L
.50994 .38809 L
.51033 .3889 L
.5108 .38978 L
.51166 .39139 L
.51266 .39306 L
.51315 .39388 L
.51349 .39463 L
.51353 .39505 L
.51357 .3955 L
.51365 .39644 L
.51379 .39807 L
.51391 .3995 L
.51398 .4003 L
.51423 .40103 L
.51463 .40171 L
.51505 .40245 L
.51583 .40379 L
.51865 .41005 L
.52243 .41612 L
.52264 .41772 L
Mistroke
.52268 .41816 L
.52273 .41863 L
.52307 .41947 L
.52365 .41988 L
.52427 .42033 L
.5254 .42114 L
.52641 .42186 L
.52716 .42266 L
.52724 .42315 L
.52731 .4236 L
.52746 .42461 L
.52753 .42505 L
.5276 .42547 L
.52777 .42596 L
.52792 .4264 L
.52821 .4272 L
.52851 .42804 L
.52866 .42848 L
.5291 .42897 L
.52998 .42983 L
.53082 .43064 L
.53171 .4315 L
.53192 .43195 L
.53196 .43244 L
.53202 .4333 L
.53208 .43411 L
.53211 .43457 L
.53218 .43498 L
.53243 .43579 L
.53266 .43655 L
.53376 .43988 L
.5349 .443 L
.53519 .4438 L
.53535 .44457 L
.53538 .44499 L
.53542 .44544 L
.53549 .44625 L
.53553 .44671 L
.53557 .44715 L
.53558 .44765 L
.53558 .4481 L
.53559 .44893 L
.53559 .44936 L
.53559 .44983 L
.53574 .4506 L
.53611 .45132 L
.53691 .45289 L
.53774 .45424 L
.53874 .45571 L
.53903 .45614 L
Mistroke
.5393 .4566 L
.53938 .45742 L
.53954 .45904 L
.53992 .46207 L
.54013 .46351 L
.54037 .46502 L
.5405 .46581 L
.54067 .46626 L
.54084 .46668 L
.54145 .46819 L
.54175 .46894 L
.5419 .46965 L
.54217 .47097 L
.54245 .47238 L
.54271 .47394 L
.54284 .47476 L
.54344 .47552 L
.54465 .47633 L
.54595 .4772 L
.54716 .47801 L
.54777 .47878 L
.54807 .47947 L
.5484 .48022 L
.54858 .48064 L
.54878 .4811 L
.54892 .48193 L
.54894 .48242 L
.54895 .48288 L
.54898 .48375 L
.54902 .48451 L
.54939 .48534 L
.55014 .48702 L
.55042 .48787 L
.55047 .48867 L
.55052 .4895 L
.55057 .49041 L
.55069 .49233 L
.55072 .49276 L
.55075 .49323 L
.55078 .49368 L
.55079 .49409 L
.55079 .49491 L
.55079 .49578 L
.55079 .49658 L
.5509 .49732 L
.55115 .49817 L
.55142 .4991 L
.55185 .50078 L
.55256 .50395 L
.55274 .50472 L
Mistroke
.55294 .50555 L
.55305 .50602 L
.55326 .50646 L
.55387 .5073 L
.55643 .51021 L
.55739 .51098 L
.55843 .51181 L
.55926 .51259 L
.55946 .5133 L
.55989 .51484 L
.56014 .51567 L
.56034 .51608 L
.56056 .51654 L
.56239 .51953 L
.56595 .5263 L
.5743 .5386 L
.57934 .54515 L
.58098 .54596 L
.58231 .54671 L
.58237 .5475 L
.58243 .54836 L
.58248 .5491 L
.58255 .54979 L
.5828 .5506 L
.58303 .55133 L
.58328 .55212 L
.58352 .55296 L
.58359 .55345 L
.58366 .55389 L
.58378 .55475 L
.58415 .55665 L
.58464 .55845 L
.5853 .55994 L
.58575 .56076 L
.58618 .56154 L
.58642 .56198 L
.58651 .56245 L
.58652 .56329 L
.58652 .56407 L
.58653 .56492 L
.58697 .56575 L
.58762 .56652 L
.58837 .56741 L
.58906 .56822 L
.59031 .56894 L
.59176 .56969 L
.59335 .57052 L
.5948 .57127 L
.59538 .57208 L
.59571 .57293 L
Mistroke
.59602 .57374 L
.5963 .57448 L
.59637 .5749 L
.59642 .57534 L
.59652 .57628 L
.5966 .57709 L
.59665 .57755 L
.59685 .57798 L
.59728 .57872 L
.59775 .57953 L
.5982 .58029 L
.60099 .581 L
.60778 .58164 L
.61528 .58234 L
.62267 .58303 L
.63047 .58376 L
.63376 .58456 L
.63603 .5853 L
.63867 .58616 L
.64113 .58696 L
.64156 .58766 L
.64198 .5884 L
.64244 .58921 L
.64287 .58997 L
.64517 .59077 L
.64803 .59165 L
.65104 .59257 L
.65313 .59342 L
.65341 .59421 L
.65368 .59496 L
.65396 .59574 L
.65412 .59619 L
.65529 .59661 L
.67066 .6038 L
.67097 .60457 L
.67131 .60537 L
.6716 .60579 L
.67208 .60625 L
.67293 .60706 L
.67374 .60783 L
.6746 .60865 L
.67797 .60943 L
.68126 .61013 L
.6898 .61195 L
.6945 .61284 L
.69885 .61367 L
.70276 .61441 L
.71536 .61521 L
.74366 .616 L
.77489 .61688 L
Mistroke
.81616 .61803 L
Mfstroke
[ ] 0 setdash
.02719 0 m
.12905 .00146 L
.18506 .00226 L
.238 .00302 L
.26107 .00372 L
.28193 .00449 L
.30075 .00518 L
.31839 .00582 L
.33052 .00659 L
.33407 .00744 L
.34125 .00914 L
.3485 .01061 L
.3524 .01138 L
.35656 .01221 L
.35784 .01266 L
.35816 .01307 L
.35878 .01386 L
.36001 .01544 L
.3623 .0184 L
.36702 .02507 L
.36802 .02667 L
.36828 .02709 L
.36857 .02754 L
.36891 .02837 L
.36908 .02921 L
.36923 .02999 L
.36938 .0307 L
.36981 .03146 L
.37052 .03225 L
.37119 .03299 L
.37259 .03468 L
.37376 .0364 L
.37404 .03681 L
.37434 .03726 L
.37511 .03775 L
.37583 .03821 L
.37736 .03918 L
.37803 .0396 L
.37876 .04006 L
.37964 .04052 L
.38078 .04094 L
.38302 .04177 L
.38563 .04273 L
.3869 .0432 L
.3877 .04363 L
.38785 .04409 L
.38801 .04457 L
.38835 .04561 L
.39096 .05241 L
.40489 .07842 L
Mistroke
.4104 .0918 L
.41251 .09832 L
.41255 .09909 L
.41289 .09981 L
.41345 .10057 L
.41407 .10139 L
.4146 .10209 L
.41493 .10276 L
.41501 .10352 L
.41508 .10422 L
.41535 .10719 L
.4154 .10794 L
.41546 .10874 L
.41548 .10915 L
.4155 .10961 L
.41553 .11041 L
.41556 .11112 L
.4156 .11186 L
.41593 .11267 L
.41623 .11342 L
.41714 .11624 L
.42079 .12904 L
.42112 .1306 L
.42151 .13224 L
.42171 .13311 L
.42184 .1336 L
.42214 .13405 L
.4227 .13491 L
.42323 .13572 L
.42372 .13648 L
.42387 .13731 L
.42392 .13806 L
.42397 .13876 L
.42402 .13957 L
.42405 .14034 L
.42408 .14114 L
.42411 .14202 L
.42414 .14271 L
.42426 .14346 L
.4244 .14419 L
.42456 .14497 L
.4247 .14571 L
.42504 .14638 L
.42596 .14769 L
.42859 .15087 L
.42921 .15154 L
.42983 .15226 L
.43011 .15306 L
.43037 .1538 L
.43091 .15533 L
Mistroke
.43152 .15694 L
.43169 .15738 L
.43187 .15786 L
.43204 .15831 L
.43207 .15873 L
.43209 .15952 L
.43211 .16036 L
.43213 .16116 L
.43213 .16161 L
.43213 .16203 L
.43213 .16278 L
.43213 .16361 L
.43213 .16435 L
.43228 .16504 L
.43253 .16577 L
.43279 .16655 L
.43294 .16699 L
.4331 .16746 L
.43319 .1683 L
.4332 .16877 L
.43321 .16921 L
.43322 .16969 L
.43323 .17021 L
.43324 .17062 L
.43328 .17108 L
.43339 .17187 L
.43353 .17281 L
.43365 .17367 L
.43389 .17451 L
.43417 .17529 L
.43478 .17703 L
.43577 .18016 L
.44148 .20513 L
.4488 .2317 L
.45802 .25728 L
.46801 .28188 L
.47197 .29451 L
.47513 .30807 L
.47715 .31127 L
.47781 .31204 L
.47852 .31284 L
.47912 .31353 L
.47936 .31428 L
.47944 .3147 L
.47952 .31515 L
.47967 .31595 L
.47976 .31644 L
.47983 .3169 L
.47985 .31731 L
.47987 .31775 L
Mistroke
.47999 .3209 L
.47999 .32184 L
.47999 .3223 L
.47999 .32273 L
.48001 .32317 L
.48005 .32365 L
.48013 .32467 L
.4802 .32552 L
.48024 .326 L
.48034 .32645 L
.4808 .32815 L
.48092 .32857 L
.48104 .32903 L
.48119 .32985 L
.48142 .3314 L
.48164 .33319 L
.48172 .33407 L
.48179 .33487 L
.48196 .33564 L
.48233 .33637 L
.48316 .33798 L
.48446 .3414 L
.48807 .34831 L
.49369 .36068 L
.50205 .38555 L
.50249 .3885 L
.50266 .3901 L
.50274 .39089 L
.50286 .3916 L
.50306 .39238 L
.50328 .39322 L
.50364 .395 L
.50372 .39579 L
.5038 .39663 L
.50387 .39734 L
.50433 .39812 L
.50564 .39989 L
.506 .40037 L
.50626 .40088 L
.50638 .40136 L
.50649 .40181 L
.50723 .40528 L
.50849 .41201 L
.50913 .41503 L
.50921 .41545 L
.5093 .4159 L
.50939 .41672 L
.50945 .41752 L
.5095 .41826 L
.50955 .41908 L
Mistroke
.50967 .41954 L
.50984 .41998 L
.5102 .42093 L
.51036 .42134 L
.51053 .42179 L
.51105 .42261 L
.51201 .42338 L
.51311 .42425 L
.51413 .42507 L
.51472 .42579 L
.5149 .42656 L
.51509 .42734 L
.5153 .4282 L
.5159 .42904 L
.51642 .42951 L
.51689 .42993 L
.51781 .43075 L
.51867 .43152 L
.51899 .43225 L
.51918 .43303 L
.51951 .4344 L
.51966 .43518 L
.51977 .436 L
.51987 .43677 L
.51997 .43748 L
.52016 .43827 L
.52045 .43913 L
.521 .44069 L
.52144 .4422 L
.52183 .44362 L
.52199 .44435 L
.52207 .44513 L
.52214 .44593 L
.52219 .44639 L
.52223 .44681 L
.52227 .44722 L
.52262 .44767 L
.52332 .44858 L
.52398 .44942 L
.52458 .4502 L
.52485 .45095 L
.52507 .45174 L
.52531 .4526 L
.52553 .4534 L
.52589 .4541 L
.52629 .45484 L
.52713 .45643 L
.52788 .45794 L
.52824 .45869 L
.52858 .45939 L
Mistroke
.52871 .46001 L
.52871 .46068 L
.52872 .46141 L
.52873 .46209 L
.52878 .4629 L
.52892 .46333 L
.52907 .46378 L
.52966 .46557 L
.53079 .46877 L
.53369 .47599 L
.54055 .48908 L
.54846 .50194 L
.54863 .50237 L
.54881 .50282 L
.54911 .50331 L
.54954 .50376 L
.55121 .50546 L
.55196 .50631 L
.55198 .5068 L
.55199 .50724 L
.55203 .50825 L
.55205 .50875 L
.55207 .50921 L
.55221 .51002 L
.55237 .51091 L
.55267 .51246 L
.5529 .51413 L
.55296 .51461 L
.55302 .51507 L
.55326 .51593 L
.55361 .51669 L
.55393 .51741 L
.55471 .51902 L
.55642 .52191 L
.55772 .52355 L
.55903 .5251 L
.56112 .52688 L
.56318 .52849 L
.57602 .54179 L
.58563 .55485 L
.58765 .56064 L
.5877 .56144 L
.58772 .56189 L
.58787 .56231 L
.58842 .56308 L
.589 .56389 L
.58949 .56457 L
.59006 .56529 L
.59122 .56609 L
.59231 .56684 L
Mistroke
.59348 .56765 L
.5941 .56808 L
.59507 .56854 L
.5976 .56938 L
.59994 .57015 L
.6024 .57097 L
.60385 .57174 L
.60386 .57243 L
.60388 .57318 L
.60389 .57389 L
.60399 .57468 L
.60457 .57549 L
.60512 .57626 L
.60561 .57696 L
.60608 .57762 L
.60731 .57839 L
.60847 .57909 L
.62663 .59251 L
.63566 .59876 L
.64669 .60542 L
.64812 .60675 L
.64982 .60815 L
.65095 .60888 L
.6531 .60968 L
.65688 .61109 L
.65923 .6119 L
.66152 .61236 L
.66359 .61277 L
.67144 .61433 L
.68314 .61737 L
.68551 .61803 L
Mfstroke
gsave
.41642 .12361 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
69.000 13.000 moveto
(\\230) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Steady) show
123.000 13.000 moveto
(State) show
159.000 13.000 moveto
(CDF) show
177.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.45307 .24721 -128 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(CDF) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
81.000 13.000 moveto
(H) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
93.000 14.500 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
102.000 13.000 moveto
(L) show
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
108.000 13.000 moveto
(\\231) show
126.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{432, 266.938},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006`00012Q000`40O003h00Oogoo/Goo003oOona
Ool00?mook5oo`00ogoo/Goo003oOonaOol0045oo`8000Aoo`8000Eoo`03001oogoo009oo`8001ao
o`D0009oo`8000Aoo`8000Aoo`8001aoo`D0009oo`8000=oo`@000=oo`8001]oo`D0009oo`8000Ao
o`8000Aoo`8001aoo`D0009oo`8000Eoo`03001oogoo009oo`8001aoo`@000=oo`8000Aoo`8000Ao
o`8001aoo`@000=oo`8000=oo`@000=oo`8001]oo`@000=oo`8000Aoo`8000Aoo`8000Ioo`00@7oo
00@007ooOol000Yoo`05001oogooOol00002Ool00`00Oomoo`0KOol00`00Oomoo`07Ool01000Oomo
o`000Woo00@007ooOol001eoo`03001oogoo00Moo`03001oogoo00=oo`04001oogoo000LOol00`00
Oomoo`07Ool01000Oomoo`000Woo00@007ooOol001eoo`03001oogoo00Uoo`05001oogooOol00002
Ool00`00Oomoo`0IOol00`00Oomoo`09Ool01000Oomoo`000Woo00@007ooOol001]oo`03001oogoo
00Uoo`03001oogoo00=oo`04001oogoo000JOol00`00Oomoo`09Ool01000Oomoo`000Woo00@007oo
Ool000Eoo`00@7oo00@007ooOol000Yoo`03001oogoo00Aoo`03001oogoo01]oo`03001oogoo00Mo
o`04001oogoo0002Ool01000Oomoo`007Goo00<007ooOol027oo00<007ooOol01Goo00<007ooOol0
6Woo00<007ooOol02Woo00@007ooOol0009oo`03001oogoo01]oo`03001oogoo00Uoo`03001oogoo
00Aoo`03001oogoo01Yoo`03001oogoo00Qoo`04001oogoo0002Ool01000Oomoo`0077oo00<007oo
Ool02Goo00<007ooOol01Goo00<007ooOol06Goo00<007ooOol02goo00@007ooOol0009oo`03001o
ogoo00=oo`00@7oo00@007ooOol000]oo`04001oogooOol2000NOol00`00Oomoo`07Ool01000Oomo
o`000Woo00@007ooOol001eoo`03001oogoo00Uoo`03001oogoo009oo`8001eoo`03001oogoo00Qo
o`8000=oo`04001oogoo000MOol00`00Oomoo`0:Ool01000Oomoogoo0P007Woo00<007ooOol01goo
00@007ooOol0009oo`04001oogoo000MOol00`00Oomoo`09Ool00`00Oomoo`02Ool2000MOol00`00
Oomoo`08Ool20003Ool01000Oomoo`001Goo0010Ool01000Oomoo`0027oo00@007ooOol000=oo`03
001oogoo01eoo`03001oogoo00Moo`04001oogoo0002Ool01000Oomoo`007Goo00<007ooOol01goo
00@007ooOol000=oo`03001oogoo01aoo`03001oogoo00Qoo`03001oogoo009oo`04001oogoo000M
Ool00`00Oomoo`07Ool01000Oomoo`000goo00<007ooOol06goo00@007ooOol000Qoo`04001oogoo
0002Ool01000Oomoo`006goo00@007ooOol000Qoo`04001oogoo0003Ool00`00Oomoo`0JOol01000
Oomoo`002Goo00<007ooOol00Woo00@007ooOol000Eoo`00@Goo0P002Goo10000goo0`0077oo0P00
2Woo0P0017oo0P007Goo0P002Woo0P0017oo0`006goo0P002Woo0`000goo0P007Goo0P002Goo1000
0goo0`0077oo0P002Woo0P0017oo0P007Goo0P002Woo0P0017oo0`006goo0P002Woo0`000goo0P00
1Woo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol0
01Yoool008P000moo`006Woo00<007ooOol04Goo00<007ooOol047oo00<007ooOol01goo00<007oo
Ool01goo00<007ooOol047oo00<007ooOol00Woo7`0000=oo`0000000`000goo10002Woo00<007oo
Ool01goo00<007ooOol01Woo00<007ooOol04Goo00<007ooOol047oo00<007ooOol04Goo00<007oo
Ool047oo00<007ooOol01goo00<007ooOol01goo00<007ooOol047oo00<007ooOol04Goo00<007oo
Ool047oo00<007ooOol04Goo00<007ooOol01goo00<007ooOol01Woo00<007ooOol04Goo00<007oo
Ool047oo00<007ooOol03Goo000JOol00`00Oomoo`0^Ool00`00Oomoo`0^Ool00`00Oomoo`0=Ool@
000AOol00`00Oomoo`0]Ool00`00Oomoo`0^Ool00`00Oomoo`0^Ool00`00Oomoo`0^Ool00`00Oomo
o`0]Ool00`00Oomoo`0=Ool001Yoo`03001oogoo07moo`D00?mooa1oo`006Woo00<007ooOol0P7oo
2@00ogoo2goo000JOol00`00Oomoo`29Ool00`00Oomoo`3oOol8Ool001Yoo`03001oogoo08Yoo`03
001oogoo0?moo`Moo`006Woo00<007ooOol0QGoo0P0017oo00<007ooOol0ogoo1Woo000JOol00`00
Oomoo`27Ool20003Ool00`00Oomoo`3oOol5Ool001Yoo`03001oogoo08Qoo`03001oogoo009oo`03
001oogoo0?moo`Aoo`006Woo00<007ooOol0SGoo00<007ooOol0ogoo17oo000JOol00`00Oomoo`2=
Ool00`00Oomoo`3oOol4Ool001Yoo`<008]oo`04001oo`00003oOol5Ool001Yoo`03001oogoo08ao
o`04001oogoo003oOol4Ool001Yoo`03001oogoo08eoo`04001oo`00003oOol3Ool001Yoo`03001o
ogoo08ioo`04001oo`00003oOol2Ool001Yoo`03001oogoo099oo`<00?ioo`006Woo00<007ooOol0
UGoo00<007ooOol0ngoo000JOol00`00Oomoo`2@Ool00`00Oomoo`02Ool00`00Oomoo`3kOol001Yo
o`03001oogoo095oo`03001oogoo009oo`03001oogoo0?Yoo`006Woo00<007ooOol0TGoo00<007oo
Ool00Woo00<007ooOol0nWoo000JOol00`00Oomoo`2BOol00`00Oomoo`02Ool00`00Oomoo`3iOol0
01Yoo`03001oogoo09Moo`03001oogoo0?Uoo`006Woo00<007ooOol0V7oo00<007ooOol0n7oo000J
Ool3002HOol00`00Oomoo`3hOol001Yoo`03001oogoo09=oo`03001oogoo00=oo`03001oogoo0?Mo
o`006Woo00<007ooOol0U7oo00<007ooOol00Woo00<007ooOol0mgoo000JOol00`00Oomoo`2DOol0
0`00Oomoo`03Ool00`00Oomoo`3fOol001Yoo`03001oogoo09Eoo`03001oogoo009oo`03001oogoo
0?Ioo`006Woo00<007ooOol0UWoo00<007ooOol00Woo00<007ooOol0mGoo000JOol00`00Oomoo`2F
Ool20003Ool00`00Oomoo`3eOol001Yoo`03001oogoo09Moo`05001oogooOol0003gOol001Yoo`03
001oogoo09Moo`03001oogoo009oo`03001oogoo0?Aoo`006Woo00<007ooOol0V7oo00D007ooOomo
o`000?Ioo`006Woo00<007ooOol0WGoo00<007ooOol0lgoo000JOol00`00Oomoo`2MOol00`00Oomo
o`3cOol001Yoo`<009Uoo`05001oogooOol0003eOol001Yoo`03001oogoo09Uoo`03001oogoo009o
o`03001oogoo0?9oo`006Woo00<007ooOol0VGoo00<007ooOol00Woo00<007ooOol0lWoo000JOol0
0`00Oomoo`2JOol01000Oomoogoo0P00lgoo000JOol00`00Oomoo`2JOol00`00Oomoo`02Ool00`00
Oomoo`3aOol001Yoo`03001oogoo09moo`03001oogoo0?5oo`006Woo00<007ooOol0Wgoo00<007oo
Ool0lGoo000JOol00`00Oomoo`2LOol00`00Oomoo`02003bOol001Yoo`03001oogoo09eoo`800003
Ool007oo035oo`800;ioo`006Woo00<007ooOol0Wgoo0P0027oo00<007ooOol0:7oo00<007ooOol0
_7oo0004Ool20004Ool20003Ool40007Ool00`00Oomoo`2POol00`00Oomoo`05Ool00`00Oomoo`0:
Ool30004Ool20004Ool30002Ool50002Ool40003Ool00`00Oomoo`07Ool30004Ool20003Ool50002
Ool20004Ool30009Ool300000goo000000020003Ool30021Ool000=oo`04001oogoo0008Ool00`00
Oomoo`08Ool00`00Oomoo`2POol20006Ool<00001Goo001oogoo00000Woo00@007ooOol0009oo`03
001oogoo00=oo`@0009oo`04001oogoo0003Ool00`00Ool00008Ool01000Oomoo`000Woo00@007oo
Ool0009oo`@0009oo`04001oogoo0002Ool00`00Oomoo`09Ool00`00Oomoo`03Ool01000Oomoo`00
0goo00<007ooOol0P7oo0003Ool01000Oomoo`002Goo00<007ooOol01goo1000Wgoo0P001Woo00<0
07ooOol03Goo00@007ooOol000Eoo`@000Eoo`04001oogoo0002Ool01000Oomoo`000Woo00<007oo
Ool02Goo00@007ooOol000Qoo`04001oogoo0005Ool40008Ool00`00Oomoo`03Ool01000Oomoo`00
0goo00<007ooOol0P7oo0003Ool01000Oomoo`002Woo00<007ooOol01Woo00<007ooOol0XGoo0P00
1Woo00<007ooOol02Woo0P000Woo1@000goo0P0017oo0`000goo0`0000Eoo`00000007oo008000Qo
o`80009oo`D000=oo`<00003Ool0000000<000=oo`8000Uoo`03001oogoo00=oo`04001oogoo0003
Ool20021Ool000=oo`04001oogoo0008Ool01000Oomoo`001goo00<007ooOol0XGoo0P004Woo00@0
07ooOol0009oo`03001oogoo019oo`03001oogoo00aoo`04001oogoo0002Ool00`00Oomoo`09Ool0
0`00Oomoo`0?Ool01000Oomoo`000Woo00@007ooOol000=oo`04001oogoo001oOol000Aoo`8000Yo
o`8000Qoo`03001oogoo0:5oo`80019oo`@001Ioo`8000ioo`@0025oo`<00003Ool00000008000=o
o`D007moo`006Woo00<007ooOol0XWoo00<007ooOol0kWoo000JOol00`00Oomoo`2ROol2003_Ool0
01Yoo`03001oogoo0:=oo`03001oogoo0>eoo`006Woo00<007ooOol0Xgoo00<007ooOol0kGoo000J
Ool00`00Oomoo`2SOol00`00Oomoo`3]Ool001Yoo`03001oogoo0:=oo`800>ioo`006Woo00<007oo
Ool0Y7oo0P00kGoo000JOol00`00Oomoo`2UOol00`00Oomoo`3[Ool001Yoo`<00:Eoo`03001oogoo
0>]oo`006Woo00<007ooOol0YWoo00<007ooOol0jWoo000JOol00`00Oomoo`2VOol00`00Oomoo`3Z
Ool001Yoo`03001oogoo0:Ioo`03001oogoo0>Yoo`006Woo00<007ooOol0YWoo0P00jgoo000JOol0
0`00Oomoo`2VOol2003[Ool001Yoo`03001oogoo0:Ioo`03001oogoo0>Yoo`006Woo00<007ooOol0
YWoo0P00jgoo000JOol00`00Oomoo`2WOol00`00Oomoo`3YOol001Yoo`03001oogoo0:Moo`03001o
o`000>Uoo`006Woo00<007ooOol0Ygoo00<007oo0000jGoo000JOol00`00Oomoo`2WOol00`00Ool0
003YOol001Yoo`<00:Qoo`03001oo`000>Qoo`006Woo00<007ooOol0Z7oo00<007oo0000j7oo000J
Ool00`00Oomoo`2XOol00`00Oomoo`3XOol001Yoo`03001oogoo0:Uoo`03001oogoo0>Moo`006Woo
00<007ooOol0ZGoo00@007ooOol00>Ioo`006Woo00<007ooOol0ZGoo00@007ooOol00>Ioo`006Woo
00<007ooOol0ZGoo00<007ooOol00P00iGoo000JOol00`00Oomoo`2ZOol01000Oomoo`00iGoo000J
Ool00`00Oomoo`2ZOol01000Oomoo`00iGoo000JOol00`00Oomoo`2ZOol00`00Oomoo`3VOol001Yo
o`03001oogoo0:Yoo`03001oogoo0>Ioo`006Woo00<007ooOol0Zgoo00<007ooOol0iGoo000JOol3
002[Ool01000Oomoo`00i7oo000JOol00`00Oomoo`2[Ool00`00Oomoo`02003SOol001Yoo`03001o
ogoo0:]oo`05001oogooOol0003SOol001Yoo`03001oogoo0:]oo`05001oogooOol0003SOol001Yo
o`03001oogoo0:aoo`03001oogoo0>Aoo`006Woo00<007ooOol0[7oo00<007ooOol0i7oo000JOol0
0`00Oomoo`2/Ool00`00Oomoo`3TOol001Yoo`03001oogoo0:aoo`05001oogooOol0003ROol001Yo
o`03001oogoo08=oo`03001oogoo00moo`03001oogoo01Eoo`04001oogooOol2003POol001Yoo`03
001oogoo089oo`03001oogoo00Moo`80009oo`8000Aoo`03001oogoo00]oo`03001oogoo00Ioo`03
001oogoo009oo`800=moo`0017oo0P0017oo0P001Goo0`001Woo00<007ooOol0Kgoo0`0000=oo`00
00000P000goo0`0017oo00@007ooOomoo`800003Ool0000000=oo`03001oogoo008000Eoo`03001o
ogoo00]oo`03001oogoo00Ioo`03001oogoo009oo`03001oogoo0=eoo`000goo00@007ooOol000]o
o`03001oogoo00Eoo`03001oogoo06ioo`03001oogoo00=oo`04001oogoo0003Ool00`00Oomoo`03
Ool00`00Oomoo`02Ool00`00Ool00004Ool00`00Oomoo`020005Ool00`00Oomoo`0<0008Ool00`00
Oomoo`3ROol000=oo`04001oogoo0008Ool50006Ool4001]Ool00`00Oomoo`03Ool01000Oomoo`00
0goo00<007ooOol00goo00<007ooOol00goo00<007ooOol00Woo0P000Woo0P001Goo00<007ooOol0
2goo00<007ooOol01Woo00<007ooOol0hWoo0003Ool01000Oomoo`0027oo00@007ooOol000Moo`03
001oogoo06ioo`03001oogoo00=oo`04001oogoo0003Ool20004Ool01000Oomoogoo0P0000=oo`00
00003Goo00<007ooOol02Woo00<007ooOol027oo00<007ooOol0hGoo0003Ool01000Oomoo`002Goo
00<007oo00001goo00<007ooOol0KWoo00@007ooOol0009oo`04001oogoo0003Ool01000Oomoo`00
0goo00<007ooOol04Goo00<007ooOol05Woo00<007ooOol00Woo00<007ooOol0g7oo0004Ool2000;
Ool20007Ool00`00Oomoo`1_Ool300000goo000000020003Ool50004Ool00`00Oomoo`0?Ool00`00
Oomoo`0HOol01@00Oomoogoo0000gWoo000JOol00`00Oomoo`2`Ool01@00Oomoogoo0000gWoo000J
Ool00`00Oomoo`2`Ool01@00Oomoogoo0000gWoo000JOol00`00Oomoo`2aOol00`00Oomoo`02003M
Ool001Yoo`03001oogoo0;5oo`03001oogoo0=moo`006Woo00<007ooOol0/Woo00<007ooOol0gWoo
000JOol00`00Oomoo`2bOol01@00Oomoogoo0000g7oo000JOol00`00Oomoo`2bOol01@00Oomoogoo
0000g7oo000JOol00`00Oomoo`2cOol01000Oomoo`00g7oo000JOol3002cOol01@00Oomoogoo0000
fgoo000JOol00`00Oomoo`2dOol01000Oomoo`00fgoo000JOol00`00Oomoo`2dOol00`00Oomoo`3L
Ool001Yoo`03001oogoo0;Eoo`03001oogoo0=]oo`006Woo00<007ooOol0]Goo00D007ooOomoo`00
0=Uoo`006Woo00<007ooOol0]Woo00@007ooOol00=Uoo`006Woo00<007ooOol0]Woo00<007ooOol0
fWoo000JOol00`00Oomoo`2fOol00`00Oomoo`3JOol001Yoo`03001oogoo0;Ioo`03001oogoo0=Yo
o`006Woo00<007ooOol0]goo00@007ooOol00=Qoo`006Woo00<007ooOol0]goo00@007ooOol00=Qo
o`006Woo00<007ooOol0]goo00@007ooOol00=Qoo`006Woo0`00]goo00@007ooOol00=Qoo`006Woo
00<007ooOol0^7oo00<007oo0000f7oo000JOol00`00Oomoo`2hOol00`00Oomoo`3HOol001Yoo`03
001oogoo0;Qoo`800=Uoo`006Woo00<007ooOol0^Goo00<007ooOol0egoo000JOol00`00Oomoo`2i
Ool00`00Ool0003GOol001Yoo`03001oogoo0;Uoo`03001oo`000=Moo`006Woo00<007ooOol0^Goo
00@007ooOol00=Ioo`006Woo00<007ooOol0^Goo00@007ooOol00=Ioo`006Woo00<007ooOol0^Goo
00@007ooOol00=Ioo`006Woo00<007ooOol0^Goo00<007ooOol0egoo000JOol00`00Oomoo`2iOol2
003HOol001Yoo`<00;Yoo`04001oogoo003EOol001Yoo`03001oogoo0;Yoo`04001oogoo003EOol0
01Yoo`03001oogoo0;]oo`04001oogoo003DOol001Yoo`03001oogoo0;aoo`03001oo`000=Aoo`00
6Woo00<007ooOol0_7oo00<007oo0000e7oo000JOol00`00Oomoo`2mOol00`00Oomoo`3COol001Yo
o`03001oogoo0;eoo`03001oogoo0==oo`006Woo00<007ooOol0_Woo00<007ooOol0dWoo000JOol0
0`00Oomoo`2nOol2003COol001Yoo`03001oogoo0;ioo`03001oo`000=9oo`006Woo00<007ooOol0
_goo00<007oo0000dGoo0004Ool20004Ool20003Ool30008Ool00`00Oomoo`2oOol00`00Ool0003A
Ool000=oo`04001oogoo0008Ool01000Oomoo`001goo1000_Woo00<007ooOol0dGoo0003Ool01000
Oomoo`0027oo00@007ooOol000Moo`03001oogoo0<1oo`03001oogoo0=1oo`000goo00@007ooOol0
00Qoo`<000Qoo`03001oogoo0<1oo`03001oo`000=1oo`000goo00@007ooOol000Uoo`03001oogoo
00Moo`03001oogoo0<1oo`04001oo`00003?Ool000Aoo`8000Yoo`<000Moo`03001oogoo0<1oo`03
001oogoo00800<ioo`006Woo00<007ooOol0`Goo00@007ooOol00<ioo`006Woo00<007ooOol0`Goo
00<007ooOol0cgoo000JOol00`00Oomoo`31Ool00`00Oomoo`3?Ool001Yoo`03001oogoo0<5oo`80
0=1oo`006Woo00<007ooOol0`Woo00<007ooOol00P00c7oo000JOol00`00Oomoo`32Ool01@00Oomo
ogoo0000c7oo000JOol00`00Oomoo`32Ool01@00Oomoogoo0000c7oo000JOol30033Ool01000Oomo
o`00c7oo000JOol00`00Oomoo`33Ool01000Oomoo`00c7oo000JOol00`00Oomoo`33Ool00`00Oomo
o`3=Ool001Yoo`03001oogoo0<Aoo`03001oogoo0<aoo`006Woo00<007ooOol0a7oo00D007ooOomo
o`000<Yoo`006Woo00<007ooOol0a7oo00<007ooOol00Woo00<007ooOol0agoo000JOol00`00Oomo
o`34Ool00`00Oomoo`02Ool00`00Oomoo`37Ool001Yoo`03001oogoo0<Aoo`03001oogoo009oo`03
001oogoo0<Moo`006Woo00<007ooOol0a7oo0P00cGoo000JOol00`00Oomoo`35Ool2003<Ool001Yo
o`03001oogoo0<Ioo`03001oogoo009oo`03001oogoo0<Eoo`006Woo00<007ooOol0aWoo0P0017oo
00<007ooOol0a7oo000JOol30037Ool20003Ool20035Ool001Yoo`03001oogoo0<Qoo`03001oogoo
009oo`03001oogoo0<=oo`006Woo00<007ooOol0b7oo00<007ooOol0b7oo000JOol00`00Oomoo`38
Ool00`00Oomoo`38Ool001Yoo`03001oogoo0<Uoo`03001oogoo0<Moo`006Woo00<007ooOol0bGoo
00<007ooOol00Woo00<007ooOol0`Woo000JOol00`00Oomoo`39Ool00`00Oomoo`02Ool00`00Oomo
o`32Ool001Yoo`03001oogoo0<Yoo`05001oogooOol00034Ool001Yoo`03001oogoo0<Yoo`03001o
ogoo009oo`03001oogoo0<5oo`006Woo00<007ooOol0bgoo00<007ooOol0aGoo000JOol00`00Oomo
o`3;Ool00`00Oomoo`02Ool00`00Oomoo`30Ool001Yoo`03001oogoo0<]oo`8000=oo`03001oogoo
0<1oo`006Woo0`00c7oo00D007ooOomoo`000<9oo`006Woo00<007ooOol0c7oo00<007ooOol0a7oo
000JOol00`00Oomoo`3<Ool00`00Oomoo`34Ool001Yoo`03001oogoo0<eoo`03001oogoo0<=oo`00
6Woo00<007ooOol0cGoo00D007ooOomoo`000<5oo`006Woo00<007ooOol0cWoo00<007ooOol00P00
`7oo000JOol00`00Oomoo`3>Ool01000Oomoogoo0P00_goo000JOol00`00Oomoo`3?Ool01@00Oomo
ogoo0000_goo000JOol00`00Oomoo`3?Ool00`00Oomoo`31Ool001Yoo`03001oogoo0=1oo`03001o
ogoo0<1oo`006Woo00<007ooOol0d7oo00<007ooOol0`7oo0004Ool20004Ool20004Ool20008Ool0
0`00Oomoo`3AOol01000Oomoo`00_Woo0003Ool01000Oomoo`0027oo00@007ooOol000Moo`@00=1o
o`04001oogoo002nOol000=oo`04001oogoo0008Ool01000Oomoo`001goo00<007ooOol0dWoo00<0
07oo0000_Woo0003Ool01000Oomoo`002Goo0P0027oo00<007ooOol0dWoo00@007oo00000;eoo`00
0goo00@007ooOol000Qoo`04001oogoo0007Ool00`00Oomoo`3COol00`00Ool0002mOol000Aoo`80
00Yoo`8000Qoo`03001oogoo0==oo`800;ioo`006Woo00<007ooOol0e7oo0P00_Goo000JOol00`00
Oomoo`3EOol2002lOol001Yoo`03001oogoo0=Eoo`03001oogoo0;]oo`006Woo00<007ooOol0eGoo
00<007ooOol0^goo000JOol00`00Oomoo`3EOol01000Oomoo`00^Woo000JOol00`00Oomoo`3FOol0
1000Oomoo`00^Goo000JOol00`00Oomoo`3FOol01@00Oomoogoo0000^7oo000JOol00`00Oomoo`3G
Ool01000Oomoo`00^7oo000JOol3003HOol00`00Oomoo`2hOol001Yoo`03001oogoo0=Uoo`03001o
ogoo0;Moo`006Woo00<007ooOol0fWoo00<007ooOol0]Woo000JOol00`00Oomoo`3KOol2002fOol0
01Yoo`03001oogoo0=aoo`800;Eoo`006Woo00<007ooOol0gGoo00<007ooOol0/goo000JOol00`00
Oomoo`3NOol00`00Oomoo`2bOol001Yoo`03001oogoo0=moo`03001oogoo0;5oo`006Woo00<007oo
Ool0h7oo00<007ooOol0/7oo000JOol00`00Oomoo`3POol2002aOol001Yoo`03001oogoo0>5oo`03
001oogoo0:moo`006Woo00<007ooOol0hGoo0P00/7oo000JOol3003QOol00`00Ool0002_Ool001Yo
o`03001oogoo0>=oo`03001oogoo0:eoo`006Woo00<007ooOol0hgoo00<007ooOol0[Goo000JOol0
0`00Oomoo`3SOol2002^Ool001Yoo`03001oogoo0>=oo`@00:aoo`006Woo00<007ooOol0i7oo0P00
00=oo`000000ZWoo000JOol00`00Oomoo`3VOol01000Oomoo`00ZGoo000JOol00`00Oomoo`3VOol0
1000Oomoo`00ZGoo000JOol00`00Oomoo`3VOol01@00Oomoogoo0000Z7oo000JOol00`00Oomoo`3W
Ool01@00Oomoogoo0000Ygoo000JOol00`00Oomoo`3[Ool50003Ool00`00Oomoo`2MOol001Yoo`03
001oogoo0>ioo`03001oogoo00=oo`@009]oo`006Woo0`00kgoo00<007ooOol0XGoo000JOol00`00
Oomoo`3`Ool20008Ool00`00Oomoo`2FOol001Yoo`03001oogoo0?9oo`03001oogoo00Ioo`8009Io
o`006Woo00<007ooOol0lgoo0P001goo0P00UGoo000JOol00`00Oomoo`3eOol00`00Oomoo`2KOol0
01Yoo`03001oogoo0?Ioo`8000Qoo`80095oo`006Woo00<007ooOol0n7oo0P0027oo0P00Sgoo000J
Ool00`00Oomoo`3jOol00`00Oomoo`06Ool00`00Oomoo`2=Ool001Yoo`03001oogoo0?]oo`8009Io
o`006Woo00<007ooOol0oGoo0`001goo1@00Qgoo0003Ool50002Ool20004Ool20008Ool00`00Oomo
o`3oOol1Ool60008Ool50020Ool000Eoo`03001oogoo00Moo`04001oogoo0007Ool00`00Oomoo`3o
Ool7Ool3000=Ool50003Ool50003Ool500000goo00000002001SOol000Eoo`03001oogoo00Moo`04
001oogoo0007Ool4003oOol9Ool00`00Oomoo`0WOol50003Ool2001FOol000Eoo`03001oogoo00Mo
o`04001oogoo003oOonNOol000Eoo`03001oogoo00Moo`04001oogoo003oOonNOol000Aoo`8000Yo
o`800?mooimoo`00ogoo/Goo003oOonaOol00?mook5oo`00\
\>"],
  ImageRangeCache->{{{0, 431}, {265.938, 0}} -> {0.362204, -0.0748286, \
0.00512663, 0.00414753}}],

Cell[BoxData[
    \("Solving base"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating base"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving base"\)], "Print"],

Cell[BoxData[
    \("Solving r00"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9052306673682456`\),
      SequenceForm[ "Impatience condition:", .90523066736824565],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating r00"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving r00"\)], "Print"],

Cell[BoxData[
    \("Solving r04"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9414398940629756`\),
      SequenceForm[ "Impatience condition:", .94143989406297557],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating r04"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving r04"\)], "Print"],

Cell[BoxData[
    \("Solving del00"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9618075840787611`\),
      SequenceForm[ "Impatience condition:", .9618075840787611],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating del00"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving del00"\)], "Print"],

Cell[BoxData[
    \("Solving del08"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.8905625778507045`\),
      SequenceForm[ "Impatience condition:", .89056257785070447],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating del08"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving del08"\)], "Print"],

Cell[BoxData[
    \("Solving g02"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9787210586490909`\),
      SequenceForm[ "Impatience condition:", .97872105864909087],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating g02"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving g02"\)], "Print"],

Cell[BoxData[
    \("Solving g06"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.8720509356775096`\),
      SequenceForm[ "Impatience condition:", .87205093567750958],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating g06"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving g06"\)], "Print"],

Cell[BoxData[
    \("Solving rho1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9508474455585504`\),
      SequenceForm[ "Impatience condition:", .95084744555855039],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating rho1"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving rho1"\)], "Print"],

Cell[BoxData[
    \("Solving rho5"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9319481989632509`\),
      SequenceForm[ "Impatience condition:", .93194819896325087],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating rho5"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving rho5"\)], "Print"],

Cell[BoxData[
    \("Solving ep05"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.883445594010992`\),
      SequenceForm[ "Impatience condition:", .88344559401099199],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating ep05"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving ep05"\)], "Print"],

Cell[BoxData[
    \("Solving ep15"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9935130282268713`\),
      SequenceForm[ "Impatience condition:", .99351302822687126],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating ep15"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving ep15"\)], "Print"],

Cell[BoxData[
    \("Solving et05"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating et05"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving et05"\)], "Print"],

Cell[BoxData[
    \("Solving et15"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating et15"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving et15"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]1\),
      SequenceForm[ "Monte Carlo Sim # ", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]2\),
      SequenceForm[ "Monte Carlo Sim # ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]3\),
      SequenceForm[ "Monte Carlo Sim # ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]4\),
      SequenceForm[ "Monte Carlo Sim # ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]5\),
      SequenceForm[ "Monte Carlo Sim # ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]6\),
      SequenceForm[ "Monte Carlo Sim # ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]7\),
      SequenceForm[ "Monte Carlo Sim # ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]8\),
      SequenceForm[ "Monte Carlo Sim # ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]9\),
      SequenceForm[ "Monte Carlo Sim # ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]10\),
      SequenceForm[ "Monte Carlo Sim # ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]11\),
      SequenceForm[ "Monte Carlo Sim # ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]12\),
      SequenceForm[ "Monte Carlo Sim # ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]13\),
      SequenceForm[ "Monte Carlo Sim # ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]14\),
      SequenceForm[ "Monte Carlo Sim # ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]15\),
      SequenceForm[ "Monte Carlo Sim # ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]16\),
      SequenceForm[ "Monte Carlo Sim # ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]17\),
      SequenceForm[ "Monte Carlo Sim # ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]18\),
      SequenceForm[ "Monte Carlo Sim # ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]19\),
      SequenceForm[ "Monte Carlo Sim # ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]20\),
      SequenceForm[ "Monte Carlo Sim # ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]21\),
      SequenceForm[ "Monte Carlo Sim # ", 21],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]22\),
      SequenceForm[ "Monte Carlo Sim # ", 22],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]23\),
      SequenceForm[ "Monte Carlo Sim # ", 23],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]24\),
      SequenceForm[ "Monte Carlo Sim # ", 24],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]25\),
      SequenceForm[ "Monte Carlo Sim # ", 25],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]26\),
      SequenceForm[ "Monte Carlo Sim # ", 26],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]27\),
      SequenceForm[ "Monte Carlo Sim # ", 27],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]28\),
      SequenceForm[ "Monte Carlo Sim # ", 28],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]29\),
      SequenceForm[ "Monte Carlo Sim # ", 29],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]30\),
      SequenceForm[ "Monte Carlo Sim # ", 30],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]31\),
      SequenceForm[ "Monte Carlo Sim # ", 31],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]32\),
      SequenceForm[ "Monte Carlo Sim # ", 32],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]33\),
      SequenceForm[ "Monte Carlo Sim # ", 33],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]34\),
      SequenceForm[ "Monte Carlo Sim # ", 34],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]35\),
      SequenceForm[ "Monte Carlo Sim # ", 35],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]36\),
      SequenceForm[ "Monte Carlo Sim # ", 36],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]37\),
      SequenceForm[ "Monte Carlo Sim # ", 37],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]38\),
      SequenceForm[ "Monte Carlo Sim # ", 38],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]39\),
      SequenceForm[ "Monte Carlo Sim # ", 39],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]40\),
      SequenceForm[ "Monte Carlo Sim # ", 40],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]41\),
      SequenceForm[ "Monte Carlo Sim # ", 41],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]42\),
      SequenceForm[ "Monte Carlo Sim # ", 42],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]43\),
      SequenceForm[ "Monte Carlo Sim # ", 43],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]44\),
      SequenceForm[ "Monte Carlo Sim # ", 44],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]45\),
      SequenceForm[ "Monte Carlo Sim # ", 45],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]46\),
      SequenceForm[ "Monte Carlo Sim # ", 46],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]47\),
      SequenceForm[ "Monte Carlo Sim # ", 47],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]48\),
      SequenceForm[ "Monte Carlo Sim # ", 48],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]49\),
      SequenceForm[ "Monte Carlo Sim # ", 49],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]50\),
      SequenceForm[ "Monte Carlo Sim # ", 50],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]51\),
      SequenceForm[ "Monte Carlo Sim # ", 51],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]52\),
      SequenceForm[ "Monte Carlo Sim # ", 52],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]53\),
      SequenceForm[ "Monte Carlo Sim # ", 53],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]54\),
      SequenceForm[ "Monte Carlo Sim # ", 54],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]55\),
      SequenceForm[ "Monte Carlo Sim # ", 55],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]56\),
      SequenceForm[ "Monte Carlo Sim # ", 56],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]57\),
      SequenceForm[ "Monte Carlo Sim # ", 57],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]58\),
      SequenceForm[ "Monte Carlo Sim # ", 58],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]59\),
      SequenceForm[ "Monte Carlo Sim # ", 59],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]60\),
      SequenceForm[ "Monte Carlo Sim # ", 60],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]61\),
      SequenceForm[ "Monte Carlo Sim # ", 61],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]62\),
      SequenceForm[ "Monte Carlo Sim # ", 62],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]63\),
      SequenceForm[ "Monte Carlo Sim # ", 63],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]64\),
      SequenceForm[ "Monte Carlo Sim # ", 64],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]65\),
      SequenceForm[ "Monte Carlo Sim # ", 65],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]66\),
      SequenceForm[ "Monte Carlo Sim # ", 66],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]67\),
      SequenceForm[ "Monte Carlo Sim # ", 67],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]68\),
      SequenceForm[ "Monte Carlo Sim # ", 68],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]69\),
      SequenceForm[ "Monte Carlo Sim # ", 69],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]70\),
      SequenceForm[ "Monte Carlo Sim # ", 70],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]71\),
      SequenceForm[ "Monte Carlo Sim # ", 71],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]72\),
      SequenceForm[ "Monte Carlo Sim # ", 72],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]73\),
      SequenceForm[ "Monte Carlo Sim # ", 73],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]74\),
      SequenceForm[ "Monte Carlo Sim # ", 74],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]75\),
      SequenceForm[ "Monte Carlo Sim # ", 75],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]76\),
      SequenceForm[ "Monte Carlo Sim # ", 76],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]77\),
      SequenceForm[ "Monte Carlo Sim # ", 77],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]78\),
      SequenceForm[ "Monte Carlo Sim # ", 78],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]79\),
      SequenceForm[ "Monte Carlo Sim # ", 79],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]80\),
      SequenceForm[ "Monte Carlo Sim # ", 80],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]81\),
      SequenceForm[ "Monte Carlo Sim # ", 81],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]82\),
      SequenceForm[ "Monte Carlo Sim # ", 82],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]83\),
      SequenceForm[ "Monte Carlo Sim # ", 83],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]84\),
      SequenceForm[ "Monte Carlo Sim # ", 84],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]85\),
      SequenceForm[ "Monte Carlo Sim # ", 85],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]86\),
      SequenceForm[ "Monte Carlo Sim # ", 86],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]87\),
      SequenceForm[ "Monte Carlo Sim # ", 87],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]88\),
      SequenceForm[ "Monte Carlo Sim # ", 88],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]89\),
      SequenceForm[ "Monte Carlo Sim # ", 89],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]90\),
      SequenceForm[ "Monte Carlo Sim # ", 90],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]91\),
      SequenceForm[ "Monte Carlo Sim # ", 91],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]92\),
      SequenceForm[ "Monte Carlo Sim # ", 92],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]93\),
      SequenceForm[ "Monte Carlo Sim # ", 93],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]94\),
      SequenceForm[ "Monte Carlo Sim # ", 94],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]95\),
      SequenceForm[ "Monte Carlo Sim # ", 95],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]96\),
      SequenceForm[ "Monte Carlo Sim # ", 96],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]97\),
      SequenceForm[ "Monte Carlo Sim # ", 97],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]98\),
      SequenceForm[ "Monte Carlo Sim # ", 98],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]99\),
      SequenceForm[ "Monte Carlo Sim # ", 99],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]100\),
      SequenceForm[ "Monte Carlo Sim # ", 100],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]101\),
      SequenceForm[ "Monte Carlo Sim # ", 101],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]102\),
      SequenceForm[ "Monte Carlo Sim # ", 102],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]103\),
      SequenceForm[ "Monte Carlo Sim # ", 103],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]104\),
      SequenceForm[ "Monte Carlo Sim # ", 104],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]105\),
      SequenceForm[ "Monte Carlo Sim # ", 105],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]106\),
      SequenceForm[ "Monte Carlo Sim # ", 106],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]107\),
      SequenceForm[ "Monte Carlo Sim # ", 107],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]108\),
      SequenceForm[ "Monte Carlo Sim # ", 108],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]109\),
      SequenceForm[ "Monte Carlo Sim # ", 109],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]110\),
      SequenceForm[ "Monte Carlo Sim # ", 110],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]111\),
      SequenceForm[ "Monte Carlo Sim # ", 111],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]112\),
      SequenceForm[ "Monte Carlo Sim # ", 112],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]113\),
      SequenceForm[ "Monte Carlo Sim # ", 113],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]114\),
      SequenceForm[ "Monte Carlo Sim # ", 114],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]115\),
      SequenceForm[ "Monte Carlo Sim # ", 115],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]116\),
      SequenceForm[ "Monte Carlo Sim # ", 116],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]117\),
      SequenceForm[ "Monte Carlo Sim # ", 117],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]118\),
      SequenceForm[ "Monte Carlo Sim # ", 118],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]119\),
      SequenceForm[ "Monte Carlo Sim # ", 119],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]120\),
      SequenceForm[ "Monte Carlo Sim # ", 120],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]121\),
      SequenceForm[ "Monte Carlo Sim # ", 121],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]122\),
      SequenceForm[ "Monte Carlo Sim # ", 122],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]123\),
      SequenceForm[ "Monte Carlo Sim # ", 123],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]124\),
      SequenceForm[ "Monte Carlo Sim # ", 124],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]125\),
      SequenceForm[ "Monte Carlo Sim # ", 125],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]126\),
      SequenceForm[ "Monte Carlo Sim # ", 126],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]127\),
      SequenceForm[ "Monte Carlo Sim # ", 127],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]128\),
      SequenceForm[ "Monte Carlo Sim # ", 128],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]129\),
      SequenceForm[ "Monte Carlo Sim # ", 129],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]130\),
      SequenceForm[ "Monte Carlo Sim # ", 130],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]131\),
      SequenceForm[ "Monte Carlo Sim # ", 131],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]132\),
      SequenceForm[ "Monte Carlo Sim # ", 132],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]133\),
      SequenceForm[ "Monte Carlo Sim # ", 133],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]134\),
      SequenceForm[ "Monte Carlo Sim # ", 134],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]135\),
      SequenceForm[ "Monte Carlo Sim # ", 135],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]136\),
      SequenceForm[ "Monte Carlo Sim # ", 136],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]137\),
      SequenceForm[ "Monte Carlo Sim # ", 137],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]138\),
      SequenceForm[ "Monte Carlo Sim # ", 138],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]139\),
      SequenceForm[ "Monte Carlo Sim # ", 139],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]140\),
      SequenceForm[ "Monte Carlo Sim # ", 140],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]141\),
      SequenceForm[ "Monte Carlo Sim # ", 141],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]142\),
      SequenceForm[ "Monte Carlo Sim # ", 142],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]143\),
      SequenceForm[ "Monte Carlo Sim # ", 143],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]144\),
      SequenceForm[ "Monte Carlo Sim # ", 144],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]145\),
      SequenceForm[ "Monte Carlo Sim # ", 145],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]146\),
      SequenceForm[ "Monte Carlo Sim # ", 146],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]147\),
      SequenceForm[ "Monte Carlo Sim # ", 147],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]148\),
      SequenceForm[ "Monte Carlo Sim # ", 148],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]149\),
      SequenceForm[ "Monte Carlo Sim # ", 149],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]150\),
      SequenceForm[ "Monte Carlo Sim # ", 150],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]151\),
      SequenceForm[ "Monte Carlo Sim # ", 151],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]152\),
      SequenceForm[ "Monte Carlo Sim # ", 152],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]153\),
      SequenceForm[ "Monte Carlo Sim # ", 153],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]154\),
      SequenceForm[ "Monte Carlo Sim # ", 154],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]155\),
      SequenceForm[ "Monte Carlo Sim # ", 155],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]156\),
      SequenceForm[ "Monte Carlo Sim # ", 156],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]157\),
      SequenceForm[ "Monte Carlo Sim # ", 157],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]158\),
      SequenceForm[ "Monte Carlo Sim # ", 158],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]159\),
      SequenceForm[ "Monte Carlo Sim # ", 159],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]160\),
      SequenceForm[ "Monte Carlo Sim # ", 160],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]161\),
      SequenceForm[ "Monte Carlo Sim # ", 161],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]162\),
      SequenceForm[ "Monte Carlo Sim # ", 162],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]163\),
      SequenceForm[ "Monte Carlo Sim # ", 163],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]164\),
      SequenceForm[ "Monte Carlo Sim # ", 164],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]165\),
      SequenceForm[ "Monte Carlo Sim # ", 165],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]166\),
      SequenceForm[ "Monte Carlo Sim # ", 166],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]167\),
      SequenceForm[ "Monte Carlo Sim # ", 167],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]168\),
      SequenceForm[ "Monte Carlo Sim # ", 168],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]169\),
      SequenceForm[ "Monte Carlo Sim # ", 169],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]170\),
      SequenceForm[ "Monte Carlo Sim # ", 170],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]171\),
      SequenceForm[ "Monte Carlo Sim # ", 171],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]172\),
      SequenceForm[ "Monte Carlo Sim # ", 172],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]173\),
      SequenceForm[ "Monte Carlo Sim # ", 173],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]174\),
      SequenceForm[ "Monte Carlo Sim # ", 174],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]175\),
      SequenceForm[ "Monte Carlo Sim # ", 175],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]176\),
      SequenceForm[ "Monte Carlo Sim # ", 176],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]177\),
      SequenceForm[ "Monte Carlo Sim # ", 177],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]178\),
      SequenceForm[ "Monte Carlo Sim # ", 178],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]179\),
      SequenceForm[ "Monte Carlo Sim # ", 179],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]180\),
      SequenceForm[ "Monte Carlo Sim # ", 180],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]181\),
      SequenceForm[ "Monte Carlo Sim # ", 181],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]182\),
      SequenceForm[ "Monte Carlo Sim # ", 182],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]183\),
      SequenceForm[ "Monte Carlo Sim # ", 183],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]184\),
      SequenceForm[ "Monte Carlo Sim # ", 184],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]185\),
      SequenceForm[ "Monte Carlo Sim # ", 185],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]186\),
      SequenceForm[ "Monte Carlo Sim # ", 186],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]187\),
      SequenceForm[ "Monte Carlo Sim # ", 187],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]188\),
      SequenceForm[ "Monte Carlo Sim # ", 188],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]189\),
      SequenceForm[ "Monte Carlo Sim # ", 189],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]190\),
      SequenceForm[ "Monte Carlo Sim # ", 190],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]191\),
      SequenceForm[ "Monte Carlo Sim # ", 191],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]192\),
      SequenceForm[ "Monte Carlo Sim # ", 192],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]193\),
      SequenceForm[ "Monte Carlo Sim # ", 193],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]194\),
      SequenceForm[ "Monte Carlo Sim # ", 194],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]195\),
      SequenceForm[ "Monte Carlo Sim # ", 195],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]196\),
      SequenceForm[ "Monte Carlo Sim # ", 196],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]197\),
      SequenceForm[ "Monte Carlo Sim # ", 197],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]198\),
      SequenceForm[ "Monte Carlo Sim # ", 198],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]199\),
      SequenceForm[ "Monte Carlo Sim # ", 199],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]200\),
      SequenceForm[ "Monte Carlo Sim # ", 200],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]201\),
      SequenceForm[ "Monte Carlo Sim # ", 201],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]202\),
      SequenceForm[ "Monte Carlo Sim # ", 202],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]203\),
      SequenceForm[ "Monte Carlo Sim # ", 203],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]204\),
      SequenceForm[ "Monte Carlo Sim # ", 204],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]205\),
      SequenceForm[ "Monte Carlo Sim # ", 205],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]206\),
      SequenceForm[ "Monte Carlo Sim # ", 206],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]207\),
      SequenceForm[ "Monte Carlo Sim # ", 207],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]208\),
      SequenceForm[ "Monte Carlo Sim # ", 208],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]209\),
      SequenceForm[ "Monte Carlo Sim # ", 209],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]210\),
      SequenceForm[ "Monte Carlo Sim # ", 210],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]211\),
      SequenceForm[ "Monte Carlo Sim # ", 211],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]212\),
      SequenceForm[ "Monte Carlo Sim # ", 212],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]213\),
      SequenceForm[ "Monte Carlo Sim # ", 213],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]214\),
      SequenceForm[ "Monte Carlo Sim # ", 214],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]215\),
      SequenceForm[ "Monte Carlo Sim # ", 215],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]216\),
      SequenceForm[ "Monte Carlo Sim # ", 216],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]217\),
      SequenceForm[ "Monte Carlo Sim # ", 217],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]218\),
      SequenceForm[ "Monte Carlo Sim # ", 218],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]219\),
      SequenceForm[ "Monte Carlo Sim # ", 219],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]220\),
      SequenceForm[ "Monte Carlo Sim # ", 220],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]221\),
      SequenceForm[ "Monte Carlo Sim # ", 221],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]222\),
      SequenceForm[ "Monte Carlo Sim # ", 222],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]223\),
      SequenceForm[ "Monte Carlo Sim # ", 223],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]224\),
      SequenceForm[ "Monte Carlo Sim # ", 224],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]225\),
      SequenceForm[ "Monte Carlo Sim # ", 225],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]226\),
      SequenceForm[ "Monte Carlo Sim # ", 226],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]227\),
      SequenceForm[ "Monte Carlo Sim # ", 227],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]228\),
      SequenceForm[ "Monte Carlo Sim # ", 228],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]229\),
      SequenceForm[ "Monte Carlo Sim # ", 229],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]230\),
      SequenceForm[ "Monte Carlo Sim # ", 230],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]231\),
      SequenceForm[ "Monte Carlo Sim # ", 231],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]232\),
      SequenceForm[ "Monte Carlo Sim # ", 232],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]233\),
      SequenceForm[ "Monte Carlo Sim # ", 233],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]234\),
      SequenceForm[ "Monte Carlo Sim # ", 234],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]235\),
      SequenceForm[ "Monte Carlo Sim # ", 235],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]236\),
      SequenceForm[ "Monte Carlo Sim # ", 236],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]237\),
      SequenceForm[ "Monte Carlo Sim # ", 237],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]238\),
      SequenceForm[ "Monte Carlo Sim # ", 238],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]239\),
      SequenceForm[ "Monte Carlo Sim # ", 239],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]240\),
      SequenceForm[ "Monte Carlo Sim # ", 240],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]241\),
      SequenceForm[ "Monte Carlo Sim # ", 241],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]242\),
      SequenceForm[ "Monte Carlo Sim # ", 242],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]243\),
      SequenceForm[ "Monte Carlo Sim # ", 243],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]244\),
      SequenceForm[ "Monte Carlo Sim # ", 244],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]245\),
      SequenceForm[ "Monte Carlo Sim # ", 245],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]246\),
      SequenceForm[ "Monte Carlo Sim # ", 246],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]247\),
      SequenceForm[ "Monte Carlo Sim # ", 247],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]248\),
      SequenceForm[ "Monte Carlo Sim # ", 248],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]249\),
      SequenceForm[ "Monte Carlo Sim # ", 249],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]250\),
      SequenceForm[ "Monte Carlo Sim # ", 250],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]251\),
      SequenceForm[ "Monte Carlo Sim # ", 251],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]252\),
      SequenceForm[ "Monte Carlo Sim # ", 252],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]253\),
      SequenceForm[ "Monte Carlo Sim # ", 253],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]254\),
      SequenceForm[ "Monte Carlo Sim # ", 254],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]255\),
      SequenceForm[ "Monte Carlo Sim # ", 255],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]256\),
      SequenceForm[ "Monte Carlo Sim # ", 256],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]257\),
      SequenceForm[ "Monte Carlo Sim # ", 257],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]258\),
      SequenceForm[ "Monte Carlo Sim # ", 258],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]259\),
      SequenceForm[ "Monte Carlo Sim # ", 259],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]260\),
      SequenceForm[ "Monte Carlo Sim # ", 260],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]261\),
      SequenceForm[ "Monte Carlo Sim # ", 261],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]262\),
      SequenceForm[ "Monte Carlo Sim # ", 262],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]263\),
      SequenceForm[ "Monte Carlo Sim # ", 263],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]264\),
      SequenceForm[ "Monte Carlo Sim # ", 264],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]265\),
      SequenceForm[ "Monte Carlo Sim # ", 265],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]266\),
      SequenceForm[ "Monte Carlo Sim # ", 266],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]267\),
      SequenceForm[ "Monte Carlo Sim # ", 267],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]268\),
      SequenceForm[ "Monte Carlo Sim # ", 268],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]269\),
      SequenceForm[ "Monte Carlo Sim # ", 269],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]270\),
      SequenceForm[ "Monte Carlo Sim # ", 270],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]271\),
      SequenceForm[ "Monte Carlo Sim # ", 271],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]272\),
      SequenceForm[ "Monte Carlo Sim # ", 272],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]273\),
      SequenceForm[ "Monte Carlo Sim # ", 273],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]274\),
      SequenceForm[ "Monte Carlo Sim # ", 274],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]275\),
      SequenceForm[ "Monte Carlo Sim # ", 275],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]276\),
      SequenceForm[ "Monte Carlo Sim # ", 276],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]277\),
      SequenceForm[ "Monte Carlo Sim # ", 277],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]278\),
      SequenceForm[ "Monte Carlo Sim # ", 278],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]279\),
      SequenceForm[ "Monte Carlo Sim # ", 279],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]280\),
      SequenceForm[ "Monte Carlo Sim # ", 280],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]281\),
      SequenceForm[ "Monte Carlo Sim # ", 281],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]282\),
      SequenceForm[ "Monte Carlo Sim # ", 282],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]283\),
      SequenceForm[ "Monte Carlo Sim # ", 283],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]284\),
      SequenceForm[ "Monte Carlo Sim # ", 284],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]285\),
      SequenceForm[ "Monte Carlo Sim # ", 285],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]286\),
      SequenceForm[ "Monte Carlo Sim # ", 286],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]287\),
      SequenceForm[ "Monte Carlo Sim # ", 287],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]288\),
      SequenceForm[ "Monte Carlo Sim # ", 288],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]289\),
      SequenceForm[ "Monte Carlo Sim # ", 289],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]290\),
      SequenceForm[ "Monte Carlo Sim # ", 290],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]291\),
      SequenceForm[ "Monte Carlo Sim # ", 291],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]292\),
      SequenceForm[ "Monte Carlo Sim # ", 292],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]293\),
      SequenceForm[ "Monte Carlo Sim # ", 293],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]294\),
      SequenceForm[ "Monte Carlo Sim # ", 294],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]295\),
      SequenceForm[ "Monte Carlo Sim # ", 295],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]296\),
      SequenceForm[ "Monte Carlo Sim # ", 296],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]297\),
      SequenceForm[ "Monte Carlo Sim # ", 297],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]298\),
      SequenceForm[ "Monte Carlo Sim # ", 298],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]299\),
      SequenceForm[ "Monte Carlo Sim # ", 299],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]300\),
      SequenceForm[ "Monte Carlo Sim # ", 300],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]301\),
      SequenceForm[ "Monte Carlo Sim # ", 301],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]302\),
      SequenceForm[ "Monte Carlo Sim # ", 302],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]303\),
      SequenceForm[ "Monte Carlo Sim # ", 303],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]304\),
      SequenceForm[ "Monte Carlo Sim # ", 304],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]305\),
      SequenceForm[ "Monte Carlo Sim # ", 305],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]306\),
      SequenceForm[ "Monte Carlo Sim # ", 306],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]307\),
      SequenceForm[ "Monte Carlo Sim # ", 307],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]308\),
      SequenceForm[ "Monte Carlo Sim # ", 308],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]309\),
      SequenceForm[ "Monte Carlo Sim # ", 309],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]310\),
      SequenceForm[ "Monte Carlo Sim # ", 310],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]311\),
      SequenceForm[ "Monte Carlo Sim # ", 311],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]312\),
      SequenceForm[ "Monte Carlo Sim # ", 312],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]313\),
      SequenceForm[ "Monte Carlo Sim # ", 313],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]314\),
      SequenceForm[ "Monte Carlo Sim # ", 314],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]315\),
      SequenceForm[ "Monte Carlo Sim # ", 315],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]316\),
      SequenceForm[ "Monte Carlo Sim # ", 316],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]317\),
      SequenceForm[ "Monte Carlo Sim # ", 317],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]318\),
      SequenceForm[ "Monte Carlo Sim # ", 318],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]319\),
      SequenceForm[ "Monte Carlo Sim # ", 319],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]320\),
      SequenceForm[ "Monte Carlo Sim # ", 320],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]321\),
      SequenceForm[ "Monte Carlo Sim # ", 321],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]322\),
      SequenceForm[ "Monte Carlo Sim # ", 322],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]323\),
      SequenceForm[ "Monte Carlo Sim # ", 323],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]324\),
      SequenceForm[ "Monte Carlo Sim # ", 324],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]325\),
      SequenceForm[ "Monte Carlo Sim # ", 325],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]326\),
      SequenceForm[ "Monte Carlo Sim # ", 326],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]327\),
      SequenceForm[ "Monte Carlo Sim # ", 327],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]328\),
      SequenceForm[ "Monte Carlo Sim # ", 328],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]329\),
      SequenceForm[ "Monte Carlo Sim # ", 329],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]330\),
      SequenceForm[ "Monte Carlo Sim # ", 330],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]331\),
      SequenceForm[ "Monte Carlo Sim # ", 331],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]332\),
      SequenceForm[ "Monte Carlo Sim # ", 332],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]333\),
      SequenceForm[ "Monte Carlo Sim # ", 333],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]334\),
      SequenceForm[ "Monte Carlo Sim # ", 334],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]335\),
      SequenceForm[ "Monte Carlo Sim # ", 335],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]336\),
      SequenceForm[ "Monte Carlo Sim # ", 336],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]337\),
      SequenceForm[ "Monte Carlo Sim # ", 337],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]338\),
      SequenceForm[ "Monte Carlo Sim # ", 338],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]339\),
      SequenceForm[ "Monte Carlo Sim # ", 339],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]340\),
      SequenceForm[ "Monte Carlo Sim # ", 340],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]341\),
      SequenceForm[ "Monte Carlo Sim # ", 341],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]342\),
      SequenceForm[ "Monte Carlo Sim # ", 342],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]343\),
      SequenceForm[ "Monte Carlo Sim # ", 343],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]344\),
      SequenceForm[ "Monte Carlo Sim # ", 344],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]345\),
      SequenceForm[ "Monte Carlo Sim # ", 345],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]346\),
      SequenceForm[ "Monte Carlo Sim # ", 346],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]347\),
      SequenceForm[ "Monte Carlo Sim # ", 347],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]348\),
      SequenceForm[ "Monte Carlo Sim # ", 348],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]349\),
      SequenceForm[ "Monte Carlo Sim # ", 349],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]350\),
      SequenceForm[ "Monte Carlo Sim # ", 350],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]351\),
      SequenceForm[ "Monte Carlo Sim # ", 351],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]352\),
      SequenceForm[ "Monte Carlo Sim # ", 352],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]353\),
      SequenceForm[ "Monte Carlo Sim # ", 353],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]354\),
      SequenceForm[ "Monte Carlo Sim # ", 354],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]355\),
      SequenceForm[ "Monte Carlo Sim # ", 355],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]356\),
      SequenceForm[ "Monte Carlo Sim # ", 356],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]357\),
      SequenceForm[ "Monte Carlo Sim # ", 357],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]358\),
      SequenceForm[ "Monte Carlo Sim # ", 358],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]359\),
      SequenceForm[ "Monte Carlo Sim # ", 359],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]360\),
      SequenceForm[ "Monte Carlo Sim # ", 360],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]361\),
      SequenceForm[ "Monte Carlo Sim # ", 361],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]362\),
      SequenceForm[ "Monte Carlo Sim # ", 362],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]363\),
      SequenceForm[ "Monte Carlo Sim # ", 363],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]364\),
      SequenceForm[ "Monte Carlo Sim # ", 364],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]365\),
      SequenceForm[ "Monte Carlo Sim # ", 365],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]366\),
      SequenceForm[ "Monte Carlo Sim # ", 366],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]367\),
      SequenceForm[ "Monte Carlo Sim # ", 367],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]368\),
      SequenceForm[ "Monte Carlo Sim # ", 368],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]369\),
      SequenceForm[ "Monte Carlo Sim # ", 369],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]370\),
      SequenceForm[ "Monte Carlo Sim # ", 370],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]371\),
      SequenceForm[ "Monte Carlo Sim # ", 371],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]372\),
      SequenceForm[ "Monte Carlo Sim # ", 372],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]373\),
      SequenceForm[ "Monte Carlo Sim # ", 373],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]374\),
      SequenceForm[ "Monte Carlo Sim # ", 374],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]375\),
      SequenceForm[ "Monte Carlo Sim # ", 375],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]376\),
      SequenceForm[ "Monte Carlo Sim # ", 376],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]377\),
      SequenceForm[ "Monte Carlo Sim # ", 377],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]378\),
      SequenceForm[ "Monte Carlo Sim # ", 378],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]379\),
      SequenceForm[ "Monte Carlo Sim # ", 379],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]380\),
      SequenceForm[ "Monte Carlo Sim # ", 380],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]381\),
      SequenceForm[ "Monte Carlo Sim # ", 381],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]382\),
      SequenceForm[ "Monte Carlo Sim # ", 382],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]383\),
      SequenceForm[ "Monte Carlo Sim # ", 383],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]384\),
      SequenceForm[ "Monte Carlo Sim # ", 384],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]385\),
      SequenceForm[ "Monte Carlo Sim # ", 385],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]386\),
      SequenceForm[ "Monte Carlo Sim # ", 386],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]387\),
      SequenceForm[ "Monte Carlo Sim # ", 387],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]388\),
      SequenceForm[ "Monte Carlo Sim # ", 388],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]389\),
      SequenceForm[ "Monte Carlo Sim # ", 389],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]390\),
      SequenceForm[ "Monte Carlo Sim # ", 390],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]391\),
      SequenceForm[ "Monte Carlo Sim # ", 391],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]392\),
      SequenceForm[ "Monte Carlo Sim # ", 392],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]393\),
      SequenceForm[ "Monte Carlo Sim # ", 393],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]394\),
      SequenceForm[ "Monte Carlo Sim # ", 394],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]395\),
      SequenceForm[ "Monte Carlo Sim # ", 395],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]396\),
      SequenceForm[ "Monte Carlo Sim # ", 396],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]397\),
      SequenceForm[ "Monte Carlo Sim # ", 397],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]398\),
      SequenceForm[ "Monte Carlo Sim # ", 398],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]399\),
      SequenceForm[ "Monte Carlo Sim # ", 399],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]400\),
      SequenceForm[ "Monte Carlo Sim # ", 400],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]401\),
      SequenceForm[ "Monte Carlo Sim # ", 401],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]402\),
      SequenceForm[ "Monte Carlo Sim # ", 402],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]403\),
      SequenceForm[ "Monte Carlo Sim # ", 403],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]404\),
      SequenceForm[ "Monte Carlo Sim # ", 404],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]405\),
      SequenceForm[ "Monte Carlo Sim # ", 405],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]406\),
      SequenceForm[ "Monte Carlo Sim # ", 406],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]407\),
      SequenceForm[ "Monte Carlo Sim # ", 407],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]408\),
      SequenceForm[ "Monte Carlo Sim # ", 408],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]409\),
      SequenceForm[ "Monte Carlo Sim # ", 409],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]410\),
      SequenceForm[ "Monte Carlo Sim # ", 410],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]411\),
      SequenceForm[ "Monte Carlo Sim # ", 411],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]412\),
      SequenceForm[ "Monte Carlo Sim # ", 412],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]413\),
      SequenceForm[ "Monte Carlo Sim # ", 413],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]414\),
      SequenceForm[ "Monte Carlo Sim # ", 414],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]415\),
      SequenceForm[ "Monte Carlo Sim # ", 415],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]416\),
      SequenceForm[ "Monte Carlo Sim # ", 416],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]417\),
      SequenceForm[ "Monte Carlo Sim # ", 417],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]418\),
      SequenceForm[ "Monte Carlo Sim # ", 418],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]419\),
      SequenceForm[ "Monte Carlo Sim # ", 419],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]420\),
      SequenceForm[ "Monte Carlo Sim # ", 420],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]421\),
      SequenceForm[ "Monte Carlo Sim # ", 421],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]422\),
      SequenceForm[ "Monte Carlo Sim # ", 422],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]423\),
      SequenceForm[ "Monte Carlo Sim # ", 423],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]424\),
      SequenceForm[ "Monte Carlo Sim # ", 424],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]425\),
      SequenceForm[ "Monte Carlo Sim # ", 425],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]426\),
      SequenceForm[ "Monte Carlo Sim # ", 426],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]427\),
      SequenceForm[ "Monte Carlo Sim # ", 427],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]428\),
      SequenceForm[ "Monte Carlo Sim # ", 428],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]429\),
      SequenceForm[ "Monte Carlo Sim # ", 429],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]430\),
      SequenceForm[ "Monte Carlo Sim # ", 430],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]431\),
      SequenceForm[ "Monte Carlo Sim # ", 431],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]432\),
      SequenceForm[ "Monte Carlo Sim # ", 432],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]433\),
      SequenceForm[ "Monte Carlo Sim # ", 433],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]434\),
      SequenceForm[ "Monte Carlo Sim # ", 434],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]435\),
      SequenceForm[ "Monte Carlo Sim # ", 435],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]436\),
      SequenceForm[ "Monte Carlo Sim # ", 436],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]437\),
      SequenceForm[ "Monte Carlo Sim # ", 437],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]438\),
      SequenceForm[ "Monte Carlo Sim # ", 438],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]439\),
      SequenceForm[ "Monte Carlo Sim # ", 439],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]440\),
      SequenceForm[ "Monte Carlo Sim # ", 440],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]441\),
      SequenceForm[ "Monte Carlo Sim # ", 441],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]442\),
      SequenceForm[ "Monte Carlo Sim # ", 442],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]443\),
      SequenceForm[ "Monte Carlo Sim # ", 443],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]444\),
      SequenceForm[ "Monte Carlo Sim # ", 444],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]445\),
      SequenceForm[ "Monte Carlo Sim # ", 445],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]446\),
      SequenceForm[ "Monte Carlo Sim # ", 446],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]447\),
      SequenceForm[ "Monte Carlo Sim # ", 447],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]448\),
      SequenceForm[ "Monte Carlo Sim # ", 448],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]449\),
      SequenceForm[ "Monte Carlo Sim # ", 449],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]450\),
      SequenceForm[ "Monte Carlo Sim # ", 450],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]451\),
      SequenceForm[ "Monte Carlo Sim # ", 451],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]452\),
      SequenceForm[ "Monte Carlo Sim # ", 452],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]453\),
      SequenceForm[ "Monte Carlo Sim # ", 453],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]454\),
      SequenceForm[ "Monte Carlo Sim # ", 454],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]455\),
      SequenceForm[ "Monte Carlo Sim # ", 455],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]456\),
      SequenceForm[ "Monte Carlo Sim # ", 456],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]457\),
      SequenceForm[ "Monte Carlo Sim # ", 457],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]458\),
      SequenceForm[ "Monte Carlo Sim # ", 458],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]459\),
      SequenceForm[ "Monte Carlo Sim # ", 459],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]460\),
      SequenceForm[ "Monte Carlo Sim # ", 460],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]461\),
      SequenceForm[ "Monte Carlo Sim # ", 461],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]462\),
      SequenceForm[ "Monte Carlo Sim # ", 462],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]463\),
      SequenceForm[ "Monte Carlo Sim # ", 463],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]464\),
      SequenceForm[ "Monte Carlo Sim # ", 464],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]465\),
      SequenceForm[ "Monte Carlo Sim # ", 465],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]466\),
      SequenceForm[ "Monte Carlo Sim # ", 466],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]467\),
      SequenceForm[ "Monte Carlo Sim # ", 467],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]468\),
      SequenceForm[ "Monte Carlo Sim # ", 468],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]469\),
      SequenceForm[ "Monte Carlo Sim # ", 469],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]470\),
      SequenceForm[ "Monte Carlo Sim # ", 470],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]471\),
      SequenceForm[ "Monte Carlo Sim # ", 471],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]472\),
      SequenceForm[ "Monte Carlo Sim # ", 472],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]473\),
      SequenceForm[ "Monte Carlo Sim # ", 473],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]474\),
      SequenceForm[ "Monte Carlo Sim # ", 474],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]475\),
      SequenceForm[ "Monte Carlo Sim # ", 475],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]476\),
      SequenceForm[ "Monte Carlo Sim # ", 476],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]477\),
      SequenceForm[ "Monte Carlo Sim # ", 477],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]478\),
      SequenceForm[ "Monte Carlo Sim # ", 478],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]479\),
      SequenceForm[ "Monte Carlo Sim # ", 479],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]480\),
      SequenceForm[ "Monte Carlo Sim # ", 480],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]481\),
      SequenceForm[ "Monte Carlo Sim # ", 481],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]482\),
      SequenceForm[ "Monte Carlo Sim # ", 482],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]483\),
      SequenceForm[ "Monte Carlo Sim # ", 483],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]484\),
      SequenceForm[ "Monte Carlo Sim # ", 484],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]485\),
      SequenceForm[ "Monte Carlo Sim # ", 485],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]486\),
      SequenceForm[ "Monte Carlo Sim # ", 486],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]487\),
      SequenceForm[ "Monte Carlo Sim # ", 487],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]488\),
      SequenceForm[ "Monte Carlo Sim # ", 488],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]489\),
      SequenceForm[ "Monte Carlo Sim # ", 489],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]490\),
      SequenceForm[ "Monte Carlo Sim # ", 490],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]491\),
      SequenceForm[ "Monte Carlo Sim # ", 491],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]492\),
      SequenceForm[ "Monte Carlo Sim # ", 492],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]493\),
      SequenceForm[ "Monte Carlo Sim # ", 493],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]494\),
      SequenceForm[ "Monte Carlo Sim # ", 494],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]495\),
      SequenceForm[ "Monte Carlo Sim # ", 495],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]496\),
      SequenceForm[ "Monte Carlo Sim # ", 496],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]497\),
      SequenceForm[ "Monte Carlo Sim # ", 497],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]498\),
      SequenceForm[ "Monte Carlo Sim # ", 498],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]499\),
      SequenceForm[ "Monte Carlo Sim # ", 499],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]500\),
      SequenceForm[ "Monte Carlo Sim # ", 500],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]501\),
      SequenceForm[ "Monte Carlo Sim # ", 501],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]502\),
      SequenceForm[ "Monte Carlo Sim # ", 502],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]503\),
      SequenceForm[ "Monte Carlo Sim # ", 503],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]504\),
      SequenceForm[ "Monte Carlo Sim # ", 504],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]505\),
      SequenceForm[ "Monte Carlo Sim # ", 505],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]506\),
      SequenceForm[ "Monte Carlo Sim # ", 506],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]507\),
      SequenceForm[ "Monte Carlo Sim # ", 507],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]508\),
      SequenceForm[ "Monte Carlo Sim # ", 508],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]509\),
      SequenceForm[ "Monte Carlo Sim # ", 509],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]510\),
      SequenceForm[ "Monte Carlo Sim # ", 510],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]511\),
      SequenceForm[ "Monte Carlo Sim # ", 511],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]512\),
      SequenceForm[ "Monte Carlo Sim # ", 512],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]513\),
      SequenceForm[ "Monte Carlo Sim # ", 513],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]514\),
      SequenceForm[ "Monte Carlo Sim # ", 514],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]515\),
      SequenceForm[ "Monte Carlo Sim # ", 515],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]516\),
      SequenceForm[ "Monte Carlo Sim # ", 516],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]517\),
      SequenceForm[ "Monte Carlo Sim # ", 517],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]518\),
      SequenceForm[ "Monte Carlo Sim # ", 518],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]519\),
      SequenceForm[ "Monte Carlo Sim # ", 519],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]520\),
      SequenceForm[ "Monte Carlo Sim # ", 520],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]521\),
      SequenceForm[ "Monte Carlo Sim # ", 521],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]522\),
      SequenceForm[ "Monte Carlo Sim # ", 522],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]523\),
      SequenceForm[ "Monte Carlo Sim # ", 523],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]524\),
      SequenceForm[ "Monte Carlo Sim # ", 524],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]525\),
      SequenceForm[ "Monte Carlo Sim # ", 525],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]526\),
      SequenceForm[ "Monte Carlo Sim # ", 526],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]527\),
      SequenceForm[ "Monte Carlo Sim # ", 527],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]528\),
      SequenceForm[ "Monte Carlo Sim # ", 528],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]529\),
      SequenceForm[ "Monte Carlo Sim # ", 529],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]530\),
      SequenceForm[ "Monte Carlo Sim # ", 530],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]531\),
      SequenceForm[ "Monte Carlo Sim # ", 531],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]532\),
      SequenceForm[ "Monte Carlo Sim # ", 532],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]533\),
      SequenceForm[ "Monte Carlo Sim # ", 533],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]534\),
      SequenceForm[ "Monte Carlo Sim # ", 534],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]535\),
      SequenceForm[ "Monte Carlo Sim # ", 535],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]536\),
      SequenceForm[ "Monte Carlo Sim # ", 536],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]537\),
      SequenceForm[ "Monte Carlo Sim # ", 537],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]538\),
      SequenceForm[ "Monte Carlo Sim # ", 538],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]539\),
      SequenceForm[ "Monte Carlo Sim # ", 539],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]540\),
      SequenceForm[ "Monte Carlo Sim # ", 540],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]541\),
      SequenceForm[ "Monte Carlo Sim # ", 541],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]542\),
      SequenceForm[ "Monte Carlo Sim # ", 542],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]543\),
      SequenceForm[ "Monte Carlo Sim # ", 543],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]544\),
      SequenceForm[ "Monte Carlo Sim # ", 544],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]545\),
      SequenceForm[ "Monte Carlo Sim # ", 545],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]546\),
      SequenceForm[ "Monte Carlo Sim # ", 546],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]547\),
      SequenceForm[ "Monte Carlo Sim # ", 547],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]548\),
      SequenceForm[ "Monte Carlo Sim # ", 548],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]549\),
      SequenceForm[ "Monte Carlo Sim # ", 549],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]550\),
      SequenceForm[ "Monte Carlo Sim # ", 550],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]551\),
      SequenceForm[ "Monte Carlo Sim # ", 551],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]552\),
      SequenceForm[ "Monte Carlo Sim # ", 552],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]553\),
      SequenceForm[ "Monte Carlo Sim # ", 553],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]554\),
      SequenceForm[ "Monte Carlo Sim # ", 554],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]555\),
      SequenceForm[ "Monte Carlo Sim # ", 555],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]556\),
      SequenceForm[ "Monte Carlo Sim # ", 556],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]557\),
      SequenceForm[ "Monte Carlo Sim # ", 557],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]558\),
      SequenceForm[ "Monte Carlo Sim # ", 558],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]559\),
      SequenceForm[ "Monte Carlo Sim # ", 559],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]560\),
      SequenceForm[ "Monte Carlo Sim # ", 560],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]561\),
      SequenceForm[ "Monte Carlo Sim # ", 561],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]562\),
      SequenceForm[ "Monte Carlo Sim # ", 562],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]563\),
      SequenceForm[ "Monte Carlo Sim # ", 563],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]564\),
      SequenceForm[ "Monte Carlo Sim # ", 564],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]565\),
      SequenceForm[ "Monte Carlo Sim # ", 565],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]566\),
      SequenceForm[ "Monte Carlo Sim # ", 566],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]567\),
      SequenceForm[ "Monte Carlo Sim # ", 567],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]568\),
      SequenceForm[ "Monte Carlo Sim # ", 568],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]569\),
      SequenceForm[ "Monte Carlo Sim # ", 569],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]570\),
      SequenceForm[ "Monte Carlo Sim # ", 570],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]571\),
      SequenceForm[ "Monte Carlo Sim # ", 571],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]572\),
      SequenceForm[ "Monte Carlo Sim # ", 572],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]573\),
      SequenceForm[ "Monte Carlo Sim # ", 573],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]574\),
      SequenceForm[ "Monte Carlo Sim # ", 574],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]575\),
      SequenceForm[ "Monte Carlo Sim # ", 575],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]576\),
      SequenceForm[ "Monte Carlo Sim # ", 576],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]577\),
      SequenceForm[ "Monte Carlo Sim # ", 577],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]578\),
      SequenceForm[ "Monte Carlo Sim # ", 578],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]579\),
      SequenceForm[ "Monte Carlo Sim # ", 579],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]580\),
      SequenceForm[ "Monte Carlo Sim # ", 580],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]581\),
      SequenceForm[ "Monte Carlo Sim # ", 581],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]582\),
      SequenceForm[ "Monte Carlo Sim # ", 582],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]583\),
      SequenceForm[ "Monte Carlo Sim # ", 583],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]584\),
      SequenceForm[ "Monte Carlo Sim # ", 584],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]585\),
      SequenceForm[ "Monte Carlo Sim # ", 585],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]586\),
      SequenceForm[ "Monte Carlo Sim # ", 586],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]587\),
      SequenceForm[ "Monte Carlo Sim # ", 587],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]588\),
      SequenceForm[ "Monte Carlo Sim # ", 588],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]589\),
      SequenceForm[ "Monte Carlo Sim # ", 589],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]590\),
      SequenceForm[ "Monte Carlo Sim # ", 590],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]591\),
      SequenceForm[ "Monte Carlo Sim # ", 591],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]592\),
      SequenceForm[ "Monte Carlo Sim # ", 592],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]593\),
      SequenceForm[ "Monte Carlo Sim # ", 593],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]594\),
      SequenceForm[ "Monte Carlo Sim # ", 594],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]595\),
      SequenceForm[ "Monte Carlo Sim # ", 595],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]596\),
      SequenceForm[ "Monte Carlo Sim # ", 596],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]597\),
      SequenceForm[ "Monte Carlo Sim # ", 597],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]598\),
      SequenceForm[ "Monte Carlo Sim # ", 598],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]599\),
      SequenceForm[ "Monte Carlo Sim # ", 599],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]600\),
      SequenceForm[ "Monte Carlo Sim # ", 600],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]601\),
      SequenceForm[ "Monte Carlo Sim # ", 601],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]602\),
      SequenceForm[ "Monte Carlo Sim # ", 602],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]603\),
      SequenceForm[ "Monte Carlo Sim # ", 603],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]604\),
      SequenceForm[ "Monte Carlo Sim # ", 604],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]605\),
      SequenceForm[ "Monte Carlo Sim # ", 605],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]606\),
      SequenceForm[ "Monte Carlo Sim # ", 606],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]607\),
      SequenceForm[ "Monte Carlo Sim # ", 607],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]608\),
      SequenceForm[ "Monte Carlo Sim # ", 608],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]609\),
      SequenceForm[ "Monte Carlo Sim # ", 609],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]610\),
      SequenceForm[ "Monte Carlo Sim # ", 610],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]611\),
      SequenceForm[ "Monte Carlo Sim # ", 611],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]612\),
      SequenceForm[ "Monte Carlo Sim # ", 612],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]613\),
      SequenceForm[ "Monte Carlo Sim # ", 613],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]614\),
      SequenceForm[ "Monte Carlo Sim # ", 614],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]615\),
      SequenceForm[ "Monte Carlo Sim # ", 615],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]616\),
      SequenceForm[ "Monte Carlo Sim # ", 616],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]617\),
      SequenceForm[ "Monte Carlo Sim # ", 617],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]618\),
      SequenceForm[ "Monte Carlo Sim # ", 618],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]619\),
      SequenceForm[ "Monte Carlo Sim # ", 619],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]620\),
      SequenceForm[ "Monte Carlo Sim # ", 620],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]621\),
      SequenceForm[ "Monte Carlo Sim # ", 621],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]622\),
      SequenceForm[ "Monte Carlo Sim # ", 622],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]623\),
      SequenceForm[ "Monte Carlo Sim # ", 623],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]624\),
      SequenceForm[ "Monte Carlo Sim # ", 624],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]625\),
      SequenceForm[ "Monte Carlo Sim # ", 625],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]626\),
      SequenceForm[ "Monte Carlo Sim # ", 626],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]627\),
      SequenceForm[ "Monte Carlo Sim # ", 627],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]628\),
      SequenceForm[ "Monte Carlo Sim # ", 628],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]629\),
      SequenceForm[ "Monte Carlo Sim # ", 629],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]630\),
      SequenceForm[ "Monte Carlo Sim # ", 630],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]631\),
      SequenceForm[ "Monte Carlo Sim # ", 631],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]632\),
      SequenceForm[ "Monte Carlo Sim # ", 632],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]633\),
      SequenceForm[ "Monte Carlo Sim # ", 633],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]634\),
      SequenceForm[ "Monte Carlo Sim # ", 634],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]635\),
      SequenceForm[ "Monte Carlo Sim # ", 635],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]636\),
      SequenceForm[ "Monte Carlo Sim # ", 636],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]637\),
      SequenceForm[ "Monte Carlo Sim # ", 637],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]638\),
      SequenceForm[ "Monte Carlo Sim # ", 638],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]639\),
      SequenceForm[ "Monte Carlo Sim # ", 639],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]640\),
      SequenceForm[ "Monte Carlo Sim # ", 640],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]641\),
      SequenceForm[ "Monte Carlo Sim # ", 641],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]642\),
      SequenceForm[ "Monte Carlo Sim # ", 642],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]643\),
      SequenceForm[ "Monte Carlo Sim # ", 643],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]644\),
      SequenceForm[ "Monte Carlo Sim # ", 644],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]645\),
      SequenceForm[ "Monte Carlo Sim # ", 645],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]646\),
      SequenceForm[ "Monte Carlo Sim # ", 646],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]647\),
      SequenceForm[ "Monte Carlo Sim # ", 647],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]648\),
      SequenceForm[ "Monte Carlo Sim # ", 648],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]649\),
      SequenceForm[ "Monte Carlo Sim # ", 649],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]650\),
      SequenceForm[ "Monte Carlo Sim # ", 650],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]651\),
      SequenceForm[ "Monte Carlo Sim # ", 651],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]652\),
      SequenceForm[ "Monte Carlo Sim # ", 652],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]653\),
      SequenceForm[ "Monte Carlo Sim # ", 653],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]654\),
      SequenceForm[ "Monte Carlo Sim # ", 654],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]655\),
      SequenceForm[ "Monte Carlo Sim # ", 655],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]656\),
      SequenceForm[ "Monte Carlo Sim # ", 656],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]657\),
      SequenceForm[ "Monte Carlo Sim # ", 657],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]658\),
      SequenceForm[ "Monte Carlo Sim # ", 658],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]659\),
      SequenceForm[ "Monte Carlo Sim # ", 659],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]660\),
      SequenceForm[ "Monte Carlo Sim # ", 660],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]661\),
      SequenceForm[ "Monte Carlo Sim # ", 661],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]662\),
      SequenceForm[ "Monte Carlo Sim # ", 662],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]663\),
      SequenceForm[ "Monte Carlo Sim # ", 663],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]664\),
      SequenceForm[ "Monte Carlo Sim # ", 664],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]665\),
      SequenceForm[ "Monte Carlo Sim # ", 665],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]666\),
      SequenceForm[ "Monte Carlo Sim # ", 666],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]667\),
      SequenceForm[ "Monte Carlo Sim # ", 667],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]668\),
      SequenceForm[ "Monte Carlo Sim # ", 668],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]669\),
      SequenceForm[ "Monte Carlo Sim # ", 669],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]670\),
      SequenceForm[ "Monte Carlo Sim # ", 670],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]671\),
      SequenceForm[ "Monte Carlo Sim # ", 671],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]672\),
      SequenceForm[ "Monte Carlo Sim # ", 672],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]673\),
      SequenceForm[ "Monte Carlo Sim # ", 673],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]674\),
      SequenceForm[ "Monte Carlo Sim # ", 674],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]675\),
      SequenceForm[ "Monte Carlo Sim # ", 675],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]676\),
      SequenceForm[ "Monte Carlo Sim # ", 676],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]677\),
      SequenceForm[ "Monte Carlo Sim # ", 677],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]678\),
      SequenceForm[ "Monte Carlo Sim # ", 678],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]679\),
      SequenceForm[ "Monte Carlo Sim # ", 679],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]680\),
      SequenceForm[ "Monte Carlo Sim # ", 680],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]681\),
      SequenceForm[ "Monte Carlo Sim # ", 681],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]682\),
      SequenceForm[ "Monte Carlo Sim # ", 682],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]683\),
      SequenceForm[ "Monte Carlo Sim # ", 683],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]684\),
      SequenceForm[ "Monte Carlo Sim # ", 684],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]685\),
      SequenceForm[ "Monte Carlo Sim # ", 685],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]686\),
      SequenceForm[ "Monte Carlo Sim # ", 686],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]687\),
      SequenceForm[ "Monte Carlo Sim # ", 687],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]688\),
      SequenceForm[ "Monte Carlo Sim # ", 688],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]689\),
      SequenceForm[ "Monte Carlo Sim # ", 689],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]690\),
      SequenceForm[ "Monte Carlo Sim # ", 690],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]691\),
      SequenceForm[ "Monte Carlo Sim # ", 691],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]692\),
      SequenceForm[ "Monte Carlo Sim # ", 692],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]693\),
      SequenceForm[ "Monte Carlo Sim # ", 693],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]694\),
      SequenceForm[ "Monte Carlo Sim # ", 694],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]695\),
      SequenceForm[ "Monte Carlo Sim # ", 695],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]696\),
      SequenceForm[ "Monte Carlo Sim # ", 696],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]697\),
      SequenceForm[ "Monte Carlo Sim # ", 697],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]698\),
      SequenceForm[ "Monte Carlo Sim # ", 698],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]699\),
      SequenceForm[ "Monte Carlo Sim # ", 699],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]700\),
      SequenceForm[ "Monte Carlo Sim # ", 700],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]701\),
      SequenceForm[ "Monte Carlo Sim # ", 701],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]702\),
      SequenceForm[ "Monte Carlo Sim # ", 702],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]703\),
      SequenceForm[ "Monte Carlo Sim # ", 703],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]704\),
      SequenceForm[ "Monte Carlo Sim # ", 704],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]705\),
      SequenceForm[ "Monte Carlo Sim # ", 705],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]706\),
      SequenceForm[ "Monte Carlo Sim # ", 706],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]707\),
      SequenceForm[ "Monte Carlo Sim # ", 707],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]708\),
      SequenceForm[ "Monte Carlo Sim # ", 708],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]709\),
      SequenceForm[ "Monte Carlo Sim # ", 709],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]710\),
      SequenceForm[ "Monte Carlo Sim # ", 710],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]711\),
      SequenceForm[ "Monte Carlo Sim # ", 711],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]712\),
      SequenceForm[ "Monte Carlo Sim # ", 712],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]713\),
      SequenceForm[ "Monte Carlo Sim # ", 713],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]714\),
      SequenceForm[ "Monte Carlo Sim # ", 714],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]715\),
      SequenceForm[ "Monte Carlo Sim # ", 715],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]716\),
      SequenceForm[ "Monte Carlo Sim # ", 716],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]717\),
      SequenceForm[ "Monte Carlo Sim # ", 717],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]718\),
      SequenceForm[ "Monte Carlo Sim # ", 718],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]719\),
      SequenceForm[ "Monte Carlo Sim # ", 719],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]720\),
      SequenceForm[ "Monte Carlo Sim # ", 720],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]721\),
      SequenceForm[ "Monte Carlo Sim # ", 721],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]722\),
      SequenceForm[ "Monte Carlo Sim # ", 722],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]723\),
      SequenceForm[ "Monte Carlo Sim # ", 723],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]724\),
      SequenceForm[ "Monte Carlo Sim # ", 724],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]725\),
      SequenceForm[ "Monte Carlo Sim # ", 725],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]726\),
      SequenceForm[ "Monte Carlo Sim # ", 726],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]727\),
      SequenceForm[ "Monte Carlo Sim # ", 727],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]728\),
      SequenceForm[ "Monte Carlo Sim # ", 728],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]729\),
      SequenceForm[ "Monte Carlo Sim # ", 729],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]730\),
      SequenceForm[ "Monte Carlo Sim # ", 730],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]731\),
      SequenceForm[ "Monte Carlo Sim # ", 731],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]732\),
      SequenceForm[ "Monte Carlo Sim # ", 732],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]733\),
      SequenceForm[ "Monte Carlo Sim # ", 733],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]734\),
      SequenceForm[ "Monte Carlo Sim # ", 734],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]735\),
      SequenceForm[ "Monte Carlo Sim # ", 735],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]736\),
      SequenceForm[ "Monte Carlo Sim # ", 736],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]737\),
      SequenceForm[ "Monte Carlo Sim # ", 737],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]738\),
      SequenceForm[ "Monte Carlo Sim # ", 738],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]739\),
      SequenceForm[ "Monte Carlo Sim # ", 739],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]740\),
      SequenceForm[ "Monte Carlo Sim # ", 740],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]741\),
      SequenceForm[ "Monte Carlo Sim # ", 741],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]742\),
      SequenceForm[ "Monte Carlo Sim # ", 742],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]743\),
      SequenceForm[ "Monte Carlo Sim # ", 743],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]744\),
      SequenceForm[ "Monte Carlo Sim # ", 744],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]745\),
      SequenceForm[ "Monte Carlo Sim # ", 745],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]746\),
      SequenceForm[ "Monte Carlo Sim # ", 746],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]747\),
      SequenceForm[ "Monte Carlo Sim # ", 747],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]748\),
      SequenceForm[ "Monte Carlo Sim # ", 748],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]749\),
      SequenceForm[ "Monte Carlo Sim # ", 749],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]750\),
      SequenceForm[ "Monte Carlo Sim # ", 750],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]751\),
      SequenceForm[ "Monte Carlo Sim # ", 751],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]752\),
      SequenceForm[ "Monte Carlo Sim # ", 752],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]753\),
      SequenceForm[ "Monte Carlo Sim # ", 753],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]754\),
      SequenceForm[ "Monte Carlo Sim # ", 754],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]755\),
      SequenceForm[ "Monte Carlo Sim # ", 755],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]756\),
      SequenceForm[ "Monte Carlo Sim # ", 756],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]757\),
      SequenceForm[ "Monte Carlo Sim # ", 757],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]758\),
      SequenceForm[ "Monte Carlo Sim # ", 758],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]759\),
      SequenceForm[ "Monte Carlo Sim # ", 759],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]760\),
      SequenceForm[ "Monte Carlo Sim # ", 760],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]761\),
      SequenceForm[ "Monte Carlo Sim # ", 761],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]762\),
      SequenceForm[ "Monte Carlo Sim # ", 762],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]763\),
      SequenceForm[ "Monte Carlo Sim # ", 763],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]764\),
      SequenceForm[ "Monte Carlo Sim # ", 764],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]765\),
      SequenceForm[ "Monte Carlo Sim # ", 765],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]766\),
      SequenceForm[ "Monte Carlo Sim # ", 766],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]767\),
      SequenceForm[ "Monte Carlo Sim # ", 767],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]768\),
      SequenceForm[ "Monte Carlo Sim # ", 768],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]769\),
      SequenceForm[ "Monte Carlo Sim # ", 769],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]770\),
      SequenceForm[ "Monte Carlo Sim # ", 770],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]771\),
      SequenceForm[ "Monte Carlo Sim # ", 771],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]772\),
      SequenceForm[ "Monte Carlo Sim # ", 772],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]773\),
      SequenceForm[ "Monte Carlo Sim # ", 773],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]774\),
      SequenceForm[ "Monte Carlo Sim # ", 774],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]775\),
      SequenceForm[ "Monte Carlo Sim # ", 775],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]776\),
      SequenceForm[ "Monte Carlo Sim # ", 776],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]777\),
      SequenceForm[ "Monte Carlo Sim # ", 777],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]778\),
      SequenceForm[ "Monte Carlo Sim # ", 778],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]779\),
      SequenceForm[ "Monte Carlo Sim # ", 779],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]780\),
      SequenceForm[ "Monte Carlo Sim # ", 780],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]781\),
      SequenceForm[ "Monte Carlo Sim # ", 781],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]782\),
      SequenceForm[ "Monte Carlo Sim # ", 782],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]783\),
      SequenceForm[ "Monte Carlo Sim # ", 783],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]784\),
      SequenceForm[ "Monte Carlo Sim # ", 784],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]785\),
      SequenceForm[ "Monte Carlo Sim # ", 785],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]786\),
      SequenceForm[ "Monte Carlo Sim # ", 786],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]787\),
      SequenceForm[ "Monte Carlo Sim # ", 787],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]788\),
      SequenceForm[ "Monte Carlo Sim # ", 788],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]789\),
      SequenceForm[ "Monte Carlo Sim # ", 789],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]790\),
      SequenceForm[ "Monte Carlo Sim # ", 790],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]791\),
      SequenceForm[ "Monte Carlo Sim # ", 791],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]792\),
      SequenceForm[ "Monte Carlo Sim # ", 792],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]793\),
      SequenceForm[ "Monte Carlo Sim # ", 793],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]794\),
      SequenceForm[ "Monte Carlo Sim # ", 794],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]795\),
      SequenceForm[ "Monte Carlo Sim # ", 795],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]796\),
      SequenceForm[ "Monte Carlo Sim # ", 796],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]797\),
      SequenceForm[ "Monte Carlo Sim # ", 797],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]798\),
      SequenceForm[ "Monte Carlo Sim # ", 798],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]799\),
      SequenceForm[ "Monte Carlo Sim # ", 799],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]800\),
      SequenceForm[ "Monte Carlo Sim # ", 800],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]801\),
      SequenceForm[ "Monte Carlo Sim # ", 801],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]802\),
      SequenceForm[ "Monte Carlo Sim # ", 802],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]803\),
      SequenceForm[ "Monte Carlo Sim # ", 803],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]804\),
      SequenceForm[ "Monte Carlo Sim # ", 804],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]805\),
      SequenceForm[ "Monte Carlo Sim # ", 805],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]806\),
      SequenceForm[ "Monte Carlo Sim # ", 806],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]807\),
      SequenceForm[ "Monte Carlo Sim # ", 807],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]808\),
      SequenceForm[ "Monte Carlo Sim # ", 808],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]809\),
      SequenceForm[ "Monte Carlo Sim # ", 809],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]810\),
      SequenceForm[ "Monte Carlo Sim # ", 810],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]811\),
      SequenceForm[ "Monte Carlo Sim # ", 811],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]812\),
      SequenceForm[ "Monte Carlo Sim # ", 812],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]813\),
      SequenceForm[ "Monte Carlo Sim # ", 813],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]814\),
      SequenceForm[ "Monte Carlo Sim # ", 814],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]815\),
      SequenceForm[ "Monte Carlo Sim # ", 815],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]816\),
      SequenceForm[ "Monte Carlo Sim # ", 816],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]817\),
      SequenceForm[ "Monte Carlo Sim # ", 817],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]818\),
      SequenceForm[ "Monte Carlo Sim # ", 818],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]819\),
      SequenceForm[ "Monte Carlo Sim # ", 819],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]820\),
      SequenceForm[ "Monte Carlo Sim # ", 820],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]821\),
      SequenceForm[ "Monte Carlo Sim # ", 821],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]822\),
      SequenceForm[ "Monte Carlo Sim # ", 822],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]823\),
      SequenceForm[ "Monte Carlo Sim # ", 823],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]824\),
      SequenceForm[ "Monte Carlo Sim # ", 824],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]825\),
      SequenceForm[ "Monte Carlo Sim # ", 825],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]826\),
      SequenceForm[ "Monte Carlo Sim # ", 826],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]827\),
      SequenceForm[ "Monte Carlo Sim # ", 827],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]828\),
      SequenceForm[ "Monte Carlo Sim # ", 828],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]829\),
      SequenceForm[ "Monte Carlo Sim # ", 829],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]830\),
      SequenceForm[ "Monte Carlo Sim # ", 830],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]831\),
      SequenceForm[ "Monte Carlo Sim # ", 831],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]832\),
      SequenceForm[ "Monte Carlo Sim # ", 832],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]833\),
      SequenceForm[ "Monte Carlo Sim # ", 833],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]834\),
      SequenceForm[ "Monte Carlo Sim # ", 834],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]835\),
      SequenceForm[ "Monte Carlo Sim # ", 835],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]836\),
      SequenceForm[ "Monte Carlo Sim # ", 836],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]837\),
      SequenceForm[ "Monte Carlo Sim # ", 837],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]838\),
      SequenceForm[ "Monte Carlo Sim # ", 838],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]839\),
      SequenceForm[ "Monte Carlo Sim # ", 839],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]840\),
      SequenceForm[ "Monte Carlo Sim # ", 840],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]841\),
      SequenceForm[ "Monte Carlo Sim # ", 841],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]842\),
      SequenceForm[ "Monte Carlo Sim # ", 842],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]843\),
      SequenceForm[ "Monte Carlo Sim # ", 843],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]844\),
      SequenceForm[ "Monte Carlo Sim # ", 844],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]845\),
      SequenceForm[ "Monte Carlo Sim # ", 845],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]846\),
      SequenceForm[ "Monte Carlo Sim # ", 846],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]847\),
      SequenceForm[ "Monte Carlo Sim # ", 847],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]848\),
      SequenceForm[ "Monte Carlo Sim # ", 848],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]849\),
      SequenceForm[ "Monte Carlo Sim # ", 849],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]850\),
      SequenceForm[ "Monte Carlo Sim # ", 850],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]851\),
      SequenceForm[ "Monte Carlo Sim # ", 851],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]852\),
      SequenceForm[ "Monte Carlo Sim # ", 852],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]853\),
      SequenceForm[ "Monte Carlo Sim # ", 853],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]854\),
      SequenceForm[ "Monte Carlo Sim # ", 854],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]855\),
      SequenceForm[ "Monte Carlo Sim # ", 855],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]856\),
      SequenceForm[ "Monte Carlo Sim # ", 856],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]857\),
      SequenceForm[ "Monte Carlo Sim # ", 857],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]858\),
      SequenceForm[ "Monte Carlo Sim # ", 858],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]859\),
      SequenceForm[ "Monte Carlo Sim # ", 859],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]860\),
      SequenceForm[ "Monte Carlo Sim # ", 860],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]861\),
      SequenceForm[ "Monte Carlo Sim # ", 861],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]862\),
      SequenceForm[ "Monte Carlo Sim # ", 862],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]863\),
      SequenceForm[ "Monte Carlo Sim # ", 863],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]864\),
      SequenceForm[ "Monte Carlo Sim # ", 864],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]865\),
      SequenceForm[ "Monte Carlo Sim # ", 865],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]866\),
      SequenceForm[ "Monte Carlo Sim # ", 866],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]867\),
      SequenceForm[ "Monte Carlo Sim # ", 867],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]868\),
      SequenceForm[ "Monte Carlo Sim # ", 868],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]869\),
      SequenceForm[ "Monte Carlo Sim # ", 869],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]870\),
      SequenceForm[ "Monte Carlo Sim # ", 870],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]871\),
      SequenceForm[ "Monte Carlo Sim # ", 871],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]872\),
      SequenceForm[ "Monte Carlo Sim # ", 872],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]873\),
      SequenceForm[ "Monte Carlo Sim # ", 873],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]874\),
      SequenceForm[ "Monte Carlo Sim # ", 874],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]875\),
      SequenceForm[ "Monte Carlo Sim # ", 875],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]876\),
      SequenceForm[ "Monte Carlo Sim # ", 876],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]877\),
      SequenceForm[ "Monte Carlo Sim # ", 877],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]878\),
      SequenceForm[ "Monte Carlo Sim # ", 878],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]879\),
      SequenceForm[ "Monte Carlo Sim # ", 879],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]880\),
      SequenceForm[ "Monte Carlo Sim # ", 880],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]881\),
      SequenceForm[ "Monte Carlo Sim # ", 881],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]882\),
      SequenceForm[ "Monte Carlo Sim # ", 882],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]883\),
      SequenceForm[ "Monte Carlo Sim # ", 883],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]884\),
      SequenceForm[ "Monte Carlo Sim # ", 884],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]885\),
      SequenceForm[ "Monte Carlo Sim # ", 885],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]886\),
      SequenceForm[ "Monte Carlo Sim # ", 886],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]887\),
      SequenceForm[ "Monte Carlo Sim # ", 887],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]888\),
      SequenceForm[ "Monte Carlo Sim # ", 888],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]889\),
      SequenceForm[ "Monte Carlo Sim # ", 889],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]890\),
      SequenceForm[ "Monte Carlo Sim # ", 890],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]891\),
      SequenceForm[ "Monte Carlo Sim # ", 891],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]892\),
      SequenceForm[ "Monte Carlo Sim # ", 892],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]893\),
      SequenceForm[ "Monte Carlo Sim # ", 893],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]894\),
      SequenceForm[ "Monte Carlo Sim # ", 894],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]895\),
      SequenceForm[ "Monte Carlo Sim # ", 895],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]896\),
      SequenceForm[ "Monte Carlo Sim # ", 896],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]897\),
      SequenceForm[ "Monte Carlo Sim # ", 897],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]898\),
      SequenceForm[ "Monte Carlo Sim # ", 898],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]899\),
      SequenceForm[ "Monte Carlo Sim # ", 899],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]900\),
      SequenceForm[ "Monte Carlo Sim # ", 900],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]901\),
      SequenceForm[ "Monte Carlo Sim # ", 901],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]902\),
      SequenceForm[ "Monte Carlo Sim # ", 902],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]903\),
      SequenceForm[ "Monte Carlo Sim # ", 903],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]904\),
      SequenceForm[ "Monte Carlo Sim # ", 904],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]905\),
      SequenceForm[ "Monte Carlo Sim # ", 905],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]906\),
      SequenceForm[ "Monte Carlo Sim # ", 906],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]907\),
      SequenceForm[ "Monte Carlo Sim # ", 907],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]908\),
      SequenceForm[ "Monte Carlo Sim # ", 908],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]909\),
      SequenceForm[ "Monte Carlo Sim # ", 909],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]910\),
      SequenceForm[ "Monte Carlo Sim # ", 910],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]911\),
      SequenceForm[ "Monte Carlo Sim # ", 911],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]912\),
      SequenceForm[ "Monte Carlo Sim # ", 912],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]913\),
      SequenceForm[ "Monte Carlo Sim # ", 913],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]914\),
      SequenceForm[ "Monte Carlo Sim # ", 914],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]915\),
      SequenceForm[ "Monte Carlo Sim # ", 915],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]916\),
      SequenceForm[ "Monte Carlo Sim # ", 916],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]917\),
      SequenceForm[ "Monte Carlo Sim # ", 917],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]918\),
      SequenceForm[ "Monte Carlo Sim # ", 918],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]919\),
      SequenceForm[ "Monte Carlo Sim # ", 919],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]920\),
      SequenceForm[ "Monte Carlo Sim # ", 920],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]921\),
      SequenceForm[ "Monte Carlo Sim # ", 921],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]922\),
      SequenceForm[ "Monte Carlo Sim # ", 922],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]923\),
      SequenceForm[ "Monte Carlo Sim # ", 923],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]924\),
      SequenceForm[ "Monte Carlo Sim # ", 924],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]925\),
      SequenceForm[ "Monte Carlo Sim # ", 925],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]926\),
      SequenceForm[ "Monte Carlo Sim # ", 926],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]927\),
      SequenceForm[ "Monte Carlo Sim # ", 927],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]928\),
      SequenceForm[ "Monte Carlo Sim # ", 928],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]929\),
      SequenceForm[ "Monte Carlo Sim # ", 929],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]930\),
      SequenceForm[ "Monte Carlo Sim # ", 930],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]931\),
      SequenceForm[ "Monte Carlo Sim # ", 931],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]932\),
      SequenceForm[ "Monte Carlo Sim # ", 932],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]933\),
      SequenceForm[ "Monte Carlo Sim # ", 933],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]934\),
      SequenceForm[ "Monte Carlo Sim # ", 934],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]935\),
      SequenceForm[ "Monte Carlo Sim # ", 935],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]936\),
      SequenceForm[ "Monte Carlo Sim # ", 936],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]937\),
      SequenceForm[ "Monte Carlo Sim # ", 937],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]938\),
      SequenceForm[ "Monte Carlo Sim # ", 938],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]939\),
      SequenceForm[ "Monte Carlo Sim # ", 939],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]940\),
      SequenceForm[ "Monte Carlo Sim # ", 940],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]941\),
      SequenceForm[ "Monte Carlo Sim # ", 941],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]942\),
      SequenceForm[ "Monte Carlo Sim # ", 942],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]943\),
      SequenceForm[ "Monte Carlo Sim # ", 943],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]944\),
      SequenceForm[ "Monte Carlo Sim # ", 944],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]945\),
      SequenceForm[ "Monte Carlo Sim # ", 945],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]946\),
      SequenceForm[ "Monte Carlo Sim # ", 946],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]947\),
      SequenceForm[ "Monte Carlo Sim # ", 947],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]948\),
      SequenceForm[ "Monte Carlo Sim # ", 948],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]949\),
      SequenceForm[ "Monte Carlo Sim # ", 949],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]950\),
      SequenceForm[ "Monte Carlo Sim # ", 950],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]951\),
      SequenceForm[ "Monte Carlo Sim # ", 951],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]952\),
      SequenceForm[ "Monte Carlo Sim # ", 952],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]953\),
      SequenceForm[ "Monte Carlo Sim # ", 953],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]954\),
      SequenceForm[ "Monte Carlo Sim # ", 954],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]955\),
      SequenceForm[ "Monte Carlo Sim # ", 955],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]956\),
      SequenceForm[ "Monte Carlo Sim # ", 956],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]957\),
      SequenceForm[ "Monte Carlo Sim # ", 957],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]958\),
      SequenceForm[ "Monte Carlo Sim # ", 958],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]959\),
      SequenceForm[ "Monte Carlo Sim # ", 959],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]960\),
      SequenceForm[ "Monte Carlo Sim # ", 960],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]961\),
      SequenceForm[ "Monte Carlo Sim # ", 961],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]962\),
      SequenceForm[ "Monte Carlo Sim # ", 962],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]963\),
      SequenceForm[ "Monte Carlo Sim # ", 963],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]964\),
      SequenceForm[ "Monte Carlo Sim # ", 964],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]965\),
      SequenceForm[ "Monte Carlo Sim # ", 965],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]966\),
      SequenceForm[ "Monte Carlo Sim # ", 966],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]967\),
      SequenceForm[ "Monte Carlo Sim # ", 967],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]968\),
      SequenceForm[ "Monte Carlo Sim # ", 968],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]969\),
      SequenceForm[ "Monte Carlo Sim # ", 969],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]970\),
      SequenceForm[ "Monte Carlo Sim # ", 970],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]971\),
      SequenceForm[ "Monte Carlo Sim # ", 971],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]972\),
      SequenceForm[ "Monte Carlo Sim # ", 972],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]973\),
      SequenceForm[ "Monte Carlo Sim # ", 973],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]974\),
      SequenceForm[ "Monte Carlo Sim # ", 974],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]975\),
      SequenceForm[ "Monte Carlo Sim # ", 975],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]976\),
      SequenceForm[ "Monte Carlo Sim # ", 976],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]977\),
      SequenceForm[ "Monte Carlo Sim # ", 977],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]978\),
      SequenceForm[ "Monte Carlo Sim # ", 978],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]979\),
      SequenceForm[ "Monte Carlo Sim # ", 979],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]980\),
      SequenceForm[ "Monte Carlo Sim # ", 980],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]981\),
      SequenceForm[ "Monte Carlo Sim # ", 981],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]982\),
      SequenceForm[ "Monte Carlo Sim # ", 982],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]983\),
      SequenceForm[ "Monte Carlo Sim # ", 983],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]984\),
      SequenceForm[ "Monte Carlo Sim # ", 984],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]985\),
      SequenceForm[ "Monte Carlo Sim # ", 985],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]986\),
      SequenceForm[ "Monte Carlo Sim # ", 986],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]987\),
      SequenceForm[ "Monte Carlo Sim # ", 987],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]988\),
      SequenceForm[ "Monte Carlo Sim # ", 988],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]989\),
      SequenceForm[ "Monte Carlo Sim # ", 989],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]990\),
      SequenceForm[ "Monte Carlo Sim # ", 990],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]991\),
      SequenceForm[ "Monte Carlo Sim # ", 991],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]992\),
      SequenceForm[ "Monte Carlo Sim # ", 992],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]993\),
      SequenceForm[ "Monte Carlo Sim # ", 993],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]994\),
      SequenceForm[ "Monte Carlo Sim # ", 994],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]995\),
      SequenceForm[ "Monte Carlo Sim # ", 995],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]996\),
      SequenceForm[ "Monte Carlo Sim # ", 996],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]997\),
      SequenceForm[ "Monte Carlo Sim # ", 997],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]998\),
      SequenceForm[ "Monte Carlo Sim # ", 998],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]999\),
      SequenceForm[ "Monte Carlo Sim # ", 999],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]1000\),
      SequenceForm[ "Monte Carlo Sim # ", 1000],
      Editable->False]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< doall_death.m\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({4.999999999999999`}\) lies outside the range of data \
in the interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({14.`}\) lies outside the range of data in the \
interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({104.`}\) lies outside the range of data in the \
interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(General::"stop" \(\(:\)\(\ \)\) 
      "Further output of \!\(InterpolatingFunction :: \"dmval\"\) will be \
suppressed during this calculation."\)], "Message"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
%%ImageSize: 432 266.991 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.309017 0.47619 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of sub-graphic
p
0.0238095 0.0147151 0.97619 0.603319 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-1.46667 1.33333 -8.53809e-018 5.15028 [
[.13333 -0.0125 -11 -12.75 ]
[.13333 -0.0125 11 0 ]
[.26667 -0.0125 -11 -12.75 ]
[.26667 -0.0125 11 0 ]
[.4 -0.0125 -11 -12.75 ]
[.4 -0.0125 11 0 ]
[.53333 -0.0125 -11 -12.75 ]
[.53333 -0.0125 11 0 ]
[.66667 -0.0125 -11 -12.75 ]
[.66667 -0.0125 11 0 ]
[.8 -0.0125 -11 -12.75 ]
[.8 -0.0125 11 0 ]
[.93333 -0.0125 -11 -12.75 ]
[.93333 -0.0125 11 0 ]
[1.025 0 0 -6.375 ]
[1.025 0 10 6.375 ]
[-0.0125 .10301 -28 -6.375 ]
[-0.0125 .10301 0 6.375 ]
[-0.0125 .20601 -28 -6.375 ]
[-0.0125 .20601 0 6.375 ]
[-0.0125 .30902 -28 -6.375 ]
[-0.0125 .30902 0 6.375 ]
[-0.0125 .41202 -28 -6.375 ]
[-0.0125 .41202 0 6.375 ]
[-0.0125 .51503 -28 -6.375 ]
[-0.0125 .51503 0 6.375 ]
[-0.0125 .61803 -28 -6.375 ]
[-0.0125 .61803 0 6.375 ]
[ -0.001 -0.001 0 0 ]
[ 1.0005 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.002 w
[ ] 0 setdash
.13333 0 m
.13333 .00625 L
s
gsave
.13333 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.2) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.26667 0 m
.26667 .00625 L
s
gsave
.26667 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.3) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.4 0 m
.4 .00625 L
s
gsave
.4 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.4) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.53333 0 m
.53333 .00625 L
s
gsave
.53333 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.66667 0 m
.66667 .00625 L
s
gsave
.66667 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.6) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.8 0 m
.8 .00625 L
s
gsave
.8 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.7) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.93333 0 m
.93333 .00625 L
s
gsave
.93333 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.8) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
.03333 0 m
.03333 .00312 L
s
.06667 0 m
.06667 .00312 L
s
.1 0 m
.1 .00312 L
s
.16667 0 m
.16667 .00312 L
s
.2 0 m
.2 .00312 L
s
.23333 0 m
.23333 .00312 L
s
.3 0 m
.3 .00312 L
s
.33333 0 m
.33333 .00312 L
s
.36667 0 m
.36667 .00312 L
s
.43333 0 m
.43333 .00312 L
s
.46667 0 m
.46667 .00312 L
s
.5 0 m
.5 .00312 L
s
.56667 0 m
.56667 .00312 L
s
.6 0 m
.6 .00312 L
s
.63333 0 m
.63333 .00312 L
s
.7 0 m
.7 .00312 L
s
.73333 0 m
.73333 .00312 L
s
.76667 0 m
.76667 .00312 L
s
.83333 0 m
.83333 .00312 L
s
.86667 0 m
.86667 .00312 L
s
.9 0 m
.9 .00312 L
s
.96667 0 m
.96667 .00312 L
s
1 0 m
1 .00312 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
1.025 0 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
69.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.002 w
0 .10301 m
.00625 .10301 L
s
gsave
-0.0125 .10301 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.02) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .20601 m
.00625 .20601 L
s
gsave
-0.0125 .20601 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.04) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.06) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .41202 m
.00625 .41202 L
s
gsave
-0.0125 .41202 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.08) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .51503 m
.00625 .51503 L
s
gsave
-0.0125 .51503 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.10) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.12) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
0 .02575 m
.00313 .02575 L
s
0 .0515 m
.00313 .0515 L
s
0 .07725 m
.00313 .07725 L
s
0 .12876 m
.00313 .12876 L
s
0 .15451 m
.00313 .15451 L
s
0 .18026 m
.00313 .18026 L
s
0 .23176 m
.00313 .23176 L
s
0 .25751 m
.00313 .25751 L
s
0 .28327 m
.00313 .28327 L
s
0 .33477 m
.00313 .33477 L
s
0 .36052 m
.00313 .36052 L
s
0 .38627 m
.00313 .38627 L
s
0 .43777 m
.00313 .43777 L
s
0 .46353 m
.00313 .46353 L
s
0 .48928 m
.00313 .48928 L
s
0 .54078 m
.00313 .54078 L
s
0 .56653 m
.00313 .56653 L
s
0 .59228 m
.00313 .59228 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.03467 .58846 m
.0741 .52364 L
.1171 .46119 L
.15749 .40972 L
.19633 .3661 L
.23767 .3253 L
.27747 .29095 L
.31977 .25907 L
.36052 .23233 L
.39972 .20983 L
.44143 .18891 L
.48159 .17132 L
.52021 .15647 L
.56133 .14259 L
.6009 .13085 L
.64297 .1199 L
.6835 .11064 L
.72248 .10276 L
.76396 .09537 L
.8039 .08906 L
.84633 .08312 L
.88723 .07808 L
.92657 .07374 L
.96842 .06964 L
s
.96842 .06964 m
1 .06688 L
s
[ .01 ] 0 setdash
.03467 .26076 m
.0741 .22597 L
.1171 .19535 L
.15749 .1722 L
.19633 .15401 L
.23767 .13814 L
.27747 .1256 L
.31977 .11458 L
.36052 .10577 L
.39972 .09862 L
.44143 .09216 L
.48159 .08684 L
.52021 .0824 L
.56133 .07828 L
.6009 .07478 L
.64297 .0715 L
.6835 .06868 L
.72248 .06624 L
.76396 .06389 L
.8039 .06183 L
.84633 .05984 L
.88723 .05809 L
.92657 .05653 L
.96842 .055 L
s
.96842 .055 m
1 .05392 L
s
[ .03 ] 0 setdash
.03467 .27012 m
.0741 .24175 L
.1171 .21619 L
.15749 .19627 L
.19633 .1801 L
.23767 .16544 L
.27747 .15334 L
.31977 .14221 L
.36052 .13284 L
.39972 .12485 L
.44143 .11726 L
.48159 .11068 L
.52021 .10493 L
.56133 .09934 L
.6009 .09441 L
.64297 .08959 L
.6835 .08532 L
.72248 .08152 L
.76396 .07777 L
.8039 .07443 L
.84633 .07114 L
.88723 .0682 L
.92657 .06558 L
.96842 .063 L
s
.96842 .063 m
1 .06119 L
s
MathSubEnd
P
% End of sub-graphic
0 g
.45238 .30902 m
.45238 .45187 L
.95238 .45187 L
.95238 .30902 L
F
1 g
.42857 .33283 m
.42857 .47568 L
.92857 .47568 L
.92857 .33283 L
F
0 g
.001 w
[ ] 0 setdash
.42857 .33283 m
.92857 .33283 L
.92857 .47568 L
.42857 .47568 L
.42857 .33283 L
s
% Start of sub-graphic
p
0.428571 0.332827 0.928571 0.475684 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0297619 0.297619 0.00776398 0.0776398 [
[ 0 0 0 0 ]
[ 1 .28571 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .28571 L
0 .28571 L
closepath
clip
newpath
% Start of sub-graphic
p
0.0535714 0.0139752 0.35119 0.0916149 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.309017 0.294302 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
0 g
.5 Mabswid
[ .2 ] 0 setdash
.02381 .30902 m
.97619 .30902 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .0528 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Fourth) show
105.000 13.000 moveto
(Order) show
135.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.104037 0.35119 0.181677 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.309017 0.294302 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
0 g
.5 Mabswid
[ .06667 ] 0 setdash
.02381 .30902 m
.97619 .30902 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .14286 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Second) show
105.000 13.000 moveto
(Order) show
135.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.194099 0.35119 0.271739 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.309017 0.294302 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.02381 .30902 m
.97619 .30902 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .23292 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(True) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
MathSubEnd
P
% End of sub-graphic
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{432, 266.938},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006`00012Q000`40O003h00Oogoo/Goo003oOona
Ool00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00
ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00DWoo1@000Woo0P00
0goo100087oo1@000Woo0P0017oo0P008Goo1@000Woo0P001Goo0`007goo1@000Woo0P0017oo0P00
87oo1@000Woo0P000goo0`008Goo1@000Woo0P001Goo00<007ooOol07goo1@000Woo0P0017oo0P00
<7oo001DOol00`00Oomoo`07Ool00`00Oomoo`0SOol00`00Oomoo`07Ool01000Oomoo`008Woo00<0
07ooOol02Woo00<007ooOol087oo00<007ooOol01goo00@007ooOol0025oo`03001oogoo00Moo`04
001oogoo000ROol00`00Oomoo`09Ool00`00Oomoo`0QOol00`00Oomoo`07Ool01000Oomoo`00;goo
001DOol00`00Oomoo`08Ool00`00Oomoo`0ROol00`00Oomoo`09Ool00`00Oomoo`0QOol00`00Oomo
o`07Ool5000QOol00`00Oomoo`0:Ool00`00Oomoo`0OOol00`00Oomoo`07Ool01000Oomoo`008Woo
00<007ooOol02Goo00<007ooOol08Goo00<007ooOol01goo00@007ooOol002moo`00E7oo00<007oo
Ool02Goo00<007ooOol08Goo00<007ooOol02Woo00<007ooOol087oo00<007ooOol01goo00@007oo
Ool0029oo`03001oogoo00Qoo`80029oo`03001oogoo00Moo`<002=oo`03001oogoo00Yoo`03001o
ogoo021oo`03001oogoo00Qoo`80031oo`00E7oo00<007ooOol01goo00@007ooOol0029oo`03001o
ogoo00Moo`04001oogoo000ROol00`00Oomoo`08Ool00`00Ool0000ROol00`00Oomoo`08Ool00`00
Oomoo`0QOol00`00Oomoo`08Ool00`00Oomoo`0ROol00`00Oomoo`07Ool01000Oomoo`008Woo00<0
07ooOol01goo00@007ooOol002moo`00Dgoo0P002Woo0P008Woo0P002Woo0P008Woo0P002goo0P00
8Goo0P002Woo0`0087oo0P002Woo0`008Goo0P002Goo10008Goo0P002Woo0P00<7oo003oOonaOol0
0?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00ogooWGoo0P0000=oo`0000003goo000[Oooo
001X000;Ool00`00Ool0000@Ool002]oo`03001oogoo00Qoo`03001oogoo00Uoo`03001oogoo00Uo
o`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uo
o`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uo
o`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uo
o`03001oogoo00Uoo`03001oogoo00Qoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uo
o`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Uo
o`03001oogoo00Uoo`03001oogoo00Uoo`03001oogoo00Yoo`03001oogoo00moo`00:goo00<007oo
Ool0;7oo00<007ooOol0;Goo00<007ooOol0;Goo00<007ooOol0;Goo00<007ooOol0;7oo00<007oo
Ool0;Goo00<007ooOol0;Goo00<007ooOol087oo0P0000=oo`0000003goo000[Ool00`00Oomoo`3o
Oon3Ool002]oo`03001oogoo0?mooh=oo`00:goo00<007ooOol0ogooPgoo000[Ool00`00Oomoo`3o
Oon3Ool002]oo`03001oogoo0?mooh=oo`00:goo00<007ooOol0ogooPgoo000[Ool2003oOon4Ool0
02]oo`03001oogoo0?mooh=oo`00:goo00<007ooOol0ogooPgoo000[Ool00`00Oomoo`3oOon3Ool0
02]oo`03001oogoo0?mooh=oo`00:goo00<007ooOol0ogooPgoo000[Ool00`00Oomoo`3oOon3Ool0
02]oo`03001oogoo0?mooh=oo`00:goo00<007ooOol0ogooPgoo000[Ool00`00Oomoo`3oOon3Ool0
02]oo`800?moohAoo`00:goo00<007ooOol0ogooBgoo1@000goo10000Woo10000goo10007goo000[
Ool00`00Oomoo`3oOolfOol40003Ool50002Ool5000jOol002]oo`03001oogoo0?mooa]oo`<0009o
o`D000=oo`@000=oo`@002]oo`H001moo`00:goo00<007ooOol0ogoo2goo1@000Woo1@000Woo0P00
>Woo2@009Goo000[Ool00`00Oomoo`3fOol30003Ool40003Ool4000hOol<000COol6000NOol002]o
o`03001oogoo0>Qoo`<0009oo`D0009oo`8003Yoo`D0021oo`T002Aoo`00:goo00<007ooOol0fWoo
0P000goo1@000Woo0P00@Goo1`007Goo2000;Goo000[Ool00`00Oomoo`3AOol40003Ool2000oOol7
000ROol;000eOol002]oo`800<Eoo`<000=oo`@004Ioo`D001moo`X0041oo`00:goo00<007ooOol0
^goo1@000Woo0P00>goo2`009Woo2000BWoo000[Ool00`00Oomoo`2dOol50016Ool00`00Oomoo`0W
Ool7001BOol002]oo`03001oogoo0:Qoo`<0009oo`D003]oo`P002aoo`P005Uoo`00:goo00<007oo
Ool0XGoo0P000goo0P00@Goo1000;Goo1`00HGoo000[Ool00`00Oomoo`2JOol20003Ool2000hOol6
000cOol8001XOol002]oo`03001oogoo09=oo`8000=oo`8003Yoo`D003=oo`H0071oo`00:goo00<0
07ooOol0SGoo00@007ooOomoo`8003Eoo`8003eoo`D007Ioo`003Woo0P0017oo0P0017oo0P000goo
100027oo00<007ooOol0RWoo0`00=Goo1P00>Woo1@00Ngoo000=Ool01000Oomoo`0027oo00@007oo
Ool0009oo`03001oogoo00Uoo`<008=oo`@003Moo`@003]oo`D0081oo`003Goo00@007ooOol000Qo
o`04001oogoo0003Ool00`00Oomoo`08Ool00`00Oomoo`1mOol3000bOol30013Ool50025Ool000eo
o`04001oogoo0008Ool01000Oomoo`0017oo00<007ooOol01goo00<007ooOol0Mgoo0P000goo00<0
07ooOol0;Goo1P00@Woo1000RWoo000=Ool01000Oomoo`0027oo00@007ooOol0009oo`04001oogoo
0008Ool00`00Oomoo`1eOol2000bOol30013Ool5002>Ool000ioo`8000Yoo`8000Aoo`8000Uoo`03
001oogoo06moo`<007Qoo`D009=oo`00:goo00<007ooOol0KWoo00<007ooOol0:Goo1P00AWoo1000
V7oo000[Ool00`00Oomoo`1YOol2000[Ool40018Ool4002LOol002]oo`03001oogoo069oo`8000=o
o`8002]oo`8004Qoo`@00:1oo`00:goo00<007ooOol0H7oo0P009Woo0P00D7oo1000Y7oo000[Ool2
001MOol00`00Oomoo`0UOol4001>Ool4002XOol002]oo`03001oogoo05Yoo`8002Eoo`<004moo`<0
0:aoo`00:goo00<007ooOol0FGoo00<007ooOol08goo0P00CWoo1000[goo000[Ool00`00Oomoo`1D
Ool2001fOol3002cOol002]oo`03001oogoo059oo`8001ioo`<005=oo`@00;Ioo`00:goo00<007oo
Ool0CGoo0`007Woo1000Dgoo0`00^Woo000[Ool00`00Oomoo`1;Ool2000OOol2001DOol3002mOol0
02]oo`03001oogoo06Yoo`8005=oo`<00<1oo`00:goo00<007ooOol0Agoo0P00Lgoo0`00`goo000[
Ool00`00Oomoo`15Ool2000HOol2001HOol30036Ool002]oo`80049oo`03001oogoo01Moo`@005Mo
o`<00<Uoo`00:goo00<007ooOol0?goo0P005Woo1000FGoo0P00c7oo000[Ool00`00Oomoo`0nOol0
0`00Oomoo`0DOol2001KOol2003>Ool002]oo`03001oogoo03]oo`03001oogoo075oo`<00=1oo`00
:goo00<007ooOol0>Goo0P00LWoo0P00dgoo000[Ool00`00Oomoo`0hOol00`00Oomoo`1`Ool2003E
Ool002]oo`03001oogoo03Aoo`03001oogoo01=oo`8005aoo`<00=Moo`00:goo00<007ooOol0<Woo
0P004goo0`00G7oo0P00fWoo000[Ool00`00Oomoo`0aOol00`00Oomoo`0AOol2001MOol2003LOol0
02]oo`8004=oo`<005aoo`<00=ioo`00:goo00<007ooOol0;Woo00<007ooOol047oo00<007ooOol0
Fgoo0P00hGoo000[Ool00`00Oomoo`0/Ool2001_Ool2003SOol002]oo`03001oogoo02]oo`03001o
ogoo06aoo`<00>Eoo`00:goo00<007ooOol0:7oo00<007ooOol0KGoo0P00j7oo000[Ool00`00Oomo
o`0VOol2000>Ool2001NOol2003ZOol002]oo`03001oogoo02Eoo`03001oogoo00aoo`8005ioo`80
0>aoo`003Woo0P0017oo0P0017oo0P001Goo0`001goo00<007ooOol0<Goo0`00GWoo0P00kWoo000=
Ool01000Oomoo`0027oo00@007ooOol000Eoo`03001oogoo00Ioo`03001oogoo02moo`8005moo`80
0?1oo`003Goo00@007ooOol000Qoo`04001oogoo0002Ool50007Ool3000ROol00`00Oomoo`08Ool2
001OOol2003bOol000eoo`04001oogoo0008Ool01000Oomoo`000Woo00@007ooOol000Qoo`03001o
ogoo021oo`8006Yoo`800?Aoo`003Goo00@007ooOol000Qoo`04001oogoo0003Ool00`00Ool00008
Ool00`00Oomoo`0OOol00`00Oomoo`1XOol2003fOol000ioo`8000Yoo`8000Eoo`8000Qoo`03001o
ogoo08Uoo`03001oogoo0?Ioo`00:goo00<007ooOol077oo00<007ooOol0J7oo0P00nGoo000[Ool0
0`00Oomoo`0JOol20008Ool00`00Oomoo`1NOol2003kOol002]oo`03001oogoo01Uoo`03001oogoo
00Ioo`80061oo`03001oogoo0?]oo`00:goo00<007ooOol08Goo00<007ooOol0GWoo0P00oWoo000[
Ool00`00Oomoo`0FOol00`00Oomoo`06Ool2001POol00`00Oomoo`3nOol002]oo`8001Ioo`03001o
ogoo00Ioo`03001oogoo05ioo`800?moo`9oo`00:goo00<007ooOol057oo00<007ooOol01Goo0P00
H7oo00<007ooOol0ogoo0Woo000[Ool00`00Oomoo`0KOol00`00Oomoo`1NOol2003oOol5Ool002]o
o`03001oogoo07Yoo`800?moo`Moo`00:goo00<007ooOol04Goo00<007ooOol0IGoo00<007ooOol0
ogoo1goo000[Ool00`00Oomoo`0?Ool2001VOol2003oOol:Ool002]oo`03001oogoo00ioo`03001o
ogoo06Aoo`800?moo`aoo`00:goo00<007ooOol0M7oo00<007ooOol0ogoo37oo000[Ool00`00Oomo
o`0<Ool00`00Oomoo`03Ool00`00Oomoo`1MOol2003oOol?Ool002]oo`03001oogoo00]oo`03001o
ogoo009oo`8005ioo`800?mooa5oo`00:goo0P002goo00<007ooOol00Woo00<007ooOol0GGoo00<0
07ooOol0ogoo4Goo000[Ool00`00Oomoo`09Ool01000Oomoogoo0P00Ggoo00<007ooOol0ogoo4Woo
000[Ool00`00Oomoo`0<Ool00`00Oomoo`1MOol2003oOolEOol002]oo`03001oogoo00Yoo`8005mo
o`03001oogoo0?mooaEoo`00:goo00<007ooOol02Goo00<007ooOol0GWoo00<007ooOol0ogoo5Woo
000[Ool00`00Oomoo`1YOol00`00Oomoo`3oOolGOol002]oo`03001oogoo06Moo`800?mooaYoo`00
:goo00<007ooOol0IWoo00<007ooOol0ogoo6Woo000[Ool00`00Oomoo`1UOol00`00Oomoo`3oOolK
Ool002]oo`8006Eoo`03001oogoo0?mooaaoo`00:goo00<007ooOol0HWoo0P00ogoo7goo000[Ool0
0`00Oomoo`1QOol00`00Oomoo`3oOolOOol002]oo`03001oogoo061oo`03001oogoo0?moob1oo`00
:goo00<007ooOol0Ggoo00<007ooOol0ogoo8Goo000[Ool00`00Oomoo`1NOol00`00Oomoo`0dOooG
000FOol002]oo`03001oogoo05aoo`8003MoomL001Ioo`003Woo0P0017oo0P0017oo0P000goo0`00
2Goo00<007ooOol0Fgoo00<007ooOol0=gooe`005Woo000=Ool01000Oomoo`0027oo00@007ooOol0
009oo`04001oogoo0008Ool00`00Oomoo`1JOol00`00Oomoo`0hOooG000FOol000eoo`04001oogoo
0008Ool01000Oomoo`000Woo00@007ooOol000Qoo`<005Uoo`03001oogoo03UoomL001Ioo`003Goo
00@007ooOol000Qoo`04001oogoo0002Ool30009Ool00`00Oomoo`1HOol00`00Oomoo`0jOooG000F
Ool000eoo`04001oogoo0008Ool01000Oomoo`000goo00<007ooOol027oo00<007ooOol0Egoo00<0
07ooOol0>gooe`005Woo000>Ool2000:Ool20004Ool30008Ool00`00Oomoo`1EOol2000nOooG000F
Ool002]oo`03001oogoo05Aoo`03001oogoo03ioomL001Ioo`00:goo00<007ooOol0Dgoo00<007oo
Ool0=7oohP005Woo000[Ool00`00Oomoo`1BOol00`00Oomoo`0eOol00`00Oomoo`3DOol;000FOol0
02]oo`03001oogoo055oo`03001oogoo03Ioo`03001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0
D7oo00<007ooOol0=goo00<007ooOol0e7oo2`005Woo000[Ool2001@Ool00`00Oomoo`0hOol00`00
Oomoo`3DOol;000FOol002]oo`03001oogoo04ioo`03001oogoo03Uoo`03001oogoo0=Aoo`/001Io
o`00:goo00<007ooOol0CGoo00<007ooOol0>Woo00<007ooOol0e7oo2`005Woo000[Ool00`00Oomo
o`1<Ool00`00Oomoo`0kOol00`00Oomoo`3DOol;000FOol002]oo`03001oogoo04Yoo`8003ioo`03
001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0BGoo00<007ooOol0?Woo00<007ooOol0e7oo2`00
5Woo000[Ool00`00Oomoo`18Ool00`00Oomoo`0oOol00`00Oomoo`1DOol30004Ool20004Ool40000
0goo000000020003Ool20002Ool300000goo00000008Ool20003Ool40003Ool40002Ool30002Ool4
000jOol;000FOol002]oo`03001oogoo04Moo`03001oogoo041oo`03001oogoo01aoo`H000Eoo`H0
00Eoo`D001ioo`03001oogoo009oo`04001oogoo0002Ool01000Oomoo`000goo00<007ooOol00Woo
00@007ooOol0009oo`04001oogoo0008Ool01000Oomoo`000goo00<007ooOol00Woo00@007ooOol0
009oo`03001oogoo00Aoo`03001oogoo03Yoo`/001Ioo`00:goo00<007ooOol0AWoo00<007ooOol0
@Goo00<007ooOol0EGoo00<007ooOol00Woo00@007ooOol0009oo`04001oogoo0003Ool00`00Oomo
o`02Ool00`00Oomoo`03Ool01000Oomoo`0027oo00@007ooOol000=oo`03001oogoo009oo`04001o
ogoo0002Ool40003Ool00`00Oomoo`0jOol;000FOol002]oo`8004Ioo`03001oogoo049oo`03001o
ogoo05Eoo`8000Aoo`80009oo`800003Ool00000009oo`@00003Ool0000000<0009oo`<000Uoo`04
001oogoo0002Ool40003Ool30003Ool20003Ool4000jOol;000FOol002]oo`03001oogoo04Aoo`03
001oogoo04=oo`03001oogoo05Eoo`04001oogoo000COol00`00Oomoo`03Ool00`00Oomoo`09Ool0
1000Oomoo`002goo00<007ooOol0A7oo2`005Woo000[Ool00`00Oomoo`13Ool00`00Oomoo`14Ool0
0`00Oomoo`1DOol5000HOol2000<Ool2000;Ool20016Ool;000FOol002]oo`03001oogoo049oo`03
001oogoo04Eoo`03001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0@Goo00<007ooOol0AWoo00<0
07ooOol0e7oo2`005Woo000[Ool00`00Oomoo`10Ool00`00Oomoo`17Ool00`00Oomoo`3DOol;000F
Ool002]oo`03001oogoo041oo`03001oogoo04Moo`03001oogoo0=Aoo`/001Ioo`00:goo00<007oo
Ool0?goo00<007ooOol0B7oo00<007ooOol0e7oo2`005Woo000[Ool00`00Oomoo`0nOol00`00Oomo
o`19Ool00`00Oomoo`3DOol;000FOol002]oo`03001oogoo03eoo`03001oogoo04Yoo`03001oogoo
0=Aoo`/001Ioo`00:goo0P00?Goo00<007ooOol0Bgoo00<007ooOol0e7oo2`005Woo000[Ool00`00
Oomoo`0kOol00`00Oomoo`1<Ool00`00Oomoo`3DOol;000FOol002]oo`03001oogoo03Yoo`03001o
ogoo04eoo`03001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0>Goo00<007ooOol0CWoo00<007oo
Ool0e7oo2`005Woo000[Ool00`00Oomoo`0iOol00`00Oomoo`1>Ool00`00Oomoo`3DOol;000FOol0
02]oo`03001oogoo03Qoo`03001oogoo04moo`03001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0
=goo00<007ooOol0D7oo00<007ooOol0E7oo0`0017oo0`000goo0`000goo0P000Woo0P000Woo0P00
0Woo100027oo0P000goo10000goo10000Woo0`000Woo1000>Woo2`005Woo000>Ool20004Ool20004
Ool20004Ool20009Ool00`00Oomoo`0fOol00`00Oomoo`1AOol00`00Oomoo`1DOol01000Oomoo`00
0Woo00<007ooOol00goo00<007ooOol00goo00@007ooOol0009oo`04001oogoo0002Ool01000Oomo
o`0027oo00@007ooOol000=oo`03001oogoo009oo`04001oogoo0002Ool00`00Oomoo`04Ool00`00
Oomoo`0jOol;000FOol000eoo`04001oogoo0008Ool01000Oomoo`000Woo00@007ooOol000Qoo`03
001oogoo03Eoo`03001oogoo059oo`03001oogoo01aoo`H00005Ool00000001oo`0600001Goo0000
0000Ool00P0000=oo`00000087oo00<007ooOol010000Woo00<007ooOol00goo00@007ooOol0009o
o`04001oogoo0002Ool01000Oomoo`0027oo00@007ooOol000=oo`03001oogoo009oo`04001oogoo
0002Ool40003Ool00`00Oomoo`0jOol;000FOol000eoo`04001oogoo0008Ool01000Oomoo`000Woo
00@007ooOol000Qoo`<003Aoo`03001oogoo05=oo`03001oogoo05Eoo`8000Aoo`8000Aoo`<000=o
o`80009oo`@000Aoo`<000Qoo`04001oogoo0002Ool40003Ool30003Ool20003Ool4000jOol;000F
Ool000eoo`04001oogoo0008Ool01000Oomoo`000goo0P002Goo00<007ooOol0=7oo00<007ooOol0
Dgoo00<007ooOol0E7oo00@007ooOol001eoo`03001oogoo00Ioo`04001oogoo000;Ool00`00Oomo
o`14Ool;000FOol000eoo`04001oogoo0008Ool01000Oomoo`000Woo00@007ooOol000Qoo`03001o
ogoo03=oo`03001oogoo05Aoo`03001oogoo05Aoo`@001aoo`8000Uoo`8000]oo`8004Ioo`/001Io
o`003Woo0P002Woo0P0017oo0P002Goo00<007ooOol0<Woo00<007ooOol0EGoo00<007ooOol0e7oo
2`005Woo000[Ool00`00Oomoo`0aOol00`00Oomoo`1FOol00`00Oomoo`3DOol;000FOol002]oo`03
001oogoo035oo`03001oogoo05Ioo`03001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0<7oo00<0
07ooOol0Egoo00<007ooOol0e7oo2`005Woo000[Ool00`00Oomoo`0_Ool00`00Oomoo`1HOol00`00
Oomoo`3DOol;000FOol002]oo`03001oogoo02ioo`03001oogoo05Uoo`03001oogoo0=Aoo`/001Io
o`00:goo0P00;goo00<007ooOol0FGoo00<007ooOol0e7oo2`005Woo000[Ool00`00Oomoo`0]Ool0
0`00Oomoo`1JOol00`00Oomoo`3DOol;000FOol002]oo`03001oogoo02aoo`03001oogoo05]oo`03
001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0:goo00<007ooOol0G7oo00<007ooOol0e7oo2`00
5Woo000[Ool00`00Oomoo`0[Ool00`00Oomoo`1LOol00`00Oomoo`3DOol;000FOol002]oo`03001o
ogoo02Yoo`03001oogoo05eoo`03001oogoo0=Aoo`/001Ioo`00:goo00<007ooOol0:Goo00<007oo
Ool0GWoo00<007ooOol0e7oo2`005Woo000[Ool00`00Oomoo`0XOol00`00Oomoo`1OOol00`00Oomo
o`1DOol30003Ool40003Ool40002Ool3001ZOol;000FOol002]oo`03001oogoo02Qoo`03001oogoo
05moo`03001oogoo05Eoo`03001oogoo00=oo`03001oogoo009oo`04001oogoo0002Ool00`00Oomo
o`1[Ool;000FOol002]oo`8002Qoo`03001oogoo061oo`03001oogoo01aooa/001ioo`03001oogoo
00=oo`03001oogoo009oo`04001oogoo0002Ool4001ZOol;000FOol002]oo`03001oogoo02Ioo`03
001oogoo065oo`03001oogoo05Eoo`03001oogoo009oo`@00004Ool00000Ool20003Ool2001[Ool;
000FOol002]oo`03001oogoo02Ioo`03001oogoo065oo`03001oogoo05=oo`05001oo`00Ool0001l
Ool00`00Oomoo`0NOol002]oo`03001oogoo02Eoo`03001oogoo069oo`03001oogoo05=oo`D007ao
o`03001oogoo01ioo`00:goo00<007ooOol097oo00<007ooOol0Hgoo00<007ooOol0e7oo00<007oo
Ool07Woo000[Ool00`00Oomoo`0SOol00`00Oomoo`1TOol00`00Oomoo`3DOol00`00Oomoo`0NOol0
02]oo`03001oogoo02=oo`03001oogoo06Aoo`03001oogoo0=Aoo`03001oogoo01ioo`00:goo00<0
07ooOol08Woo00<007ooOol0IGoo00<007ooOol0e7oo00<007ooOol07Woo000[Ool00`00Oomoo`0Q
Ool00`00Oomoo`1VOol00`00Oomoo`3DOol00`00Oomoo`0NOol002]oo`03001oogoo021oo`03001o
ogoo06Moo`03001oogoo0=Aoo`03001oogoo01ioo`00:goo0P008Goo00<007ooOol0Igoo00<007oo
Ool0e7oo00<007ooOol07Woo000[Ool00`00Oomoo`0OOol00`00Oomoo`1XOooH000POol002]oo`03
001oogoo01ioo`03001oogoo0?moof9oo`00:goo00<007ooOol07Woo00<007ooOol0ogooHWoo000[
Ool00`00Oomoo`0MOol00`00Oomoo`3oOomSOol002]oo`03001oogoo01aoo`03001oogoo0?moofAo
o`00:goo00<007ooOol06goo00<007ooOol0ogooIGoo000>Ool20004Ool20003Ool50002Ool20009
Ool00`00Oomoo`0KOol00`00Oomoo`3oOomUOol000eoo`04001oogoo000:Ool01@00Oomoogoo0000
0Woo00<007ooOol01Woo00<007ooOol06Woo00<007ooOol0ogooIWoo000=Ool01000Oomoo`002Woo
00D007ooOomoo`00009oo`03001oogoo00Ioo`<001Uoo`03001oogoo0?moofMoo`003Goo00@007oo
Ool000Yoo`05001oogooOol00002Ool00`00Oomoo`06Ool00`00Oomoo`0HOol00`00Oomoo`3oOomX
Ool000eoo`04001oogoo000:Ool01@00Oomoogoo00000Woo00<007ooOol01Woo00<007ooOol067oo
00<007ooOol0ogooJ7oo000>Ool2000:Ool20004Ool20009Ool00`00Oomoo`0GOol00`00Oomoo`3o
OomYOol002]oo`03001oogoo01Ioo`03001oogoo0?moofYoo`00:goo00<007ooOol05Woo00<007oo
Ool0ogooJWoo000[Ool00`00Oomoo`0EOol00`00Oomoo`3oOom[Ool002]oo`03001oogoo01Eoo`03
001oogoo0?moof]oo`00:goo00<007ooOol057oo00<007ooOol0ogooK7oo000[Ool2000DOol00`00
Oomoo`3oOom]Ool002]oo`03001oogoo01=oo`03001oogoo0?moofeoo`00:goo00<007ooOol04Woo
00<007ooOol0ogooKWoo000[Ool00`00Oomoo`0BOol00`00Oomoo`3oOom^Ool002]oo`03001oogoo
015oo`03001oogoo0?moofmoo`00:goo00<007ooOol047oo00<007ooOol0ogooL7oo000[Ool00`00
Oomoo`0@Ool00`00Oomoo`3oOom`Ool002]oo`03001oogoo00moo`03001oogoo0?moog5oo`00:goo
00<007ooOol03Woo00<007ooOol0ogooLWoo000[Ool2000?Ool00`00Oomoo`3oOombOol002]oo`03
001oogoo00eoo`03001oogoo0?moog=oo`00:goo00<007ooOol03Goo00<007ooOol0ogooLgoo000[
Ool00`00Oomoo`0<Ool00`00Oomoo`3oOomdOol002]oo`03001oogoo00]oo`03001oogoo0?moogEo
o`00:goo00<007ooOol02goo00<007ooOol0ogooMGoo000[Ool00`00Oomoo`0:Ool00`00Oomoo`3o
OomfOol002]oo`03001oogoo00Yoo`03001oogoo0?moogIoo`00:goo00<007ooOol02Goo00<007oo
Ool0ogooMgoo000[Ool00`00Oomoo`3oOon3Ool002]oo`800?moohAoo`00:goo00<007ooOol0ogoo
Pgoo000[Ool00`00Oomoo`3oOon3Ool002]oo`03001oogoo0?mooh=oo`00:goo00<007ooOol0ogoo
Pgoo000[Ool00`00Oomoo`3oOon3Ool002]oo`03001oogoo0?mooh=oo`003Woo0P0017oo0P000goo
1@0000=oo`0000000P0027oo00<007ooOol0ogooPgoo000=Ool01000Oomoo`002Woo00D007ooOomo
o`0000]oo`03001oogoo0?mooh=oo`003Goo00@007ooOol000Yoo`03001oogoo009oo`03001oogoo
00Qoo`<00?mooh=oo`003Goo00@007ooOol000Yoo`03001oogoo00=oo`03001oogoo0?mooheoo`00
3Goo00@007ooOol000Yoo`05001oogooOol00002Ool00`00Oomoo`3oOon<Ool000ioo`8000Yoo`80
00Aoo`800?moohmoo`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00?mook5o
o`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo0000
\
\>"],
  ImageRangeCache->{{{0, 431}, {265.938, 0}} -> {-1.05172, -0.648943, \
0.00488038, 0.00488038}, {{10.5625, 420.375}, {259.563, 6.3125}} -> {1.00992, \
-0.015, 0.00209281, 0.000541798}, {{184.75, 399.875}, {122.688, 61.25}} -> \
{-2.98755, -8.6804, 0.0156256, 0.0598979}, {{196.313, 260.313}, {119.625, \
102.938}} -> {-8.37854, -19.4624, 0.0388877, 0.125843}, {{196.313, 260.313}, \
{100.313, 83.5625}} -> {-8.34541, -21.815, 0.0387426, 0.125374}, {{196.313, \
260.313}, {80.9375, 64.25}} -> {-8.37854, -24.331, 0.0388877, 0.125843}}],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
%%ImageSize: 432 266.991 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.25 0.5 0 0.618034 [
[.125 -0.0125 -14 -12.75 ]
[.125 -0.0125 14 0 ]
[.25 -0.0125 -14 -12.75 ]
[.25 -0.0125 14 0 ]
[.375 -0.0125 -14 -12.75 ]
[.375 -0.0125 14 0 ]
[.5 -0.0125 -14 -12.75 ]
[.5 -0.0125 14 0 ]
[.625 -0.0125 -14 -12.75 ]
[.625 -0.0125 14 0 ]
[.75 -0.0125 -14 -12.75 ]
[.75 -0.0125 14 0 ]
[.875 -0.0125 -14 -12.75 ]
[.875 -0.0125 14 0 ]
[1 -0.0125 -14 -12.75 ]
[1 -0.0125 14 0 ]
[-0.0125 .12361 -22 -6.375 ]
[-0.0125 .12361 0 6.375 ]
[-0.0125 .24721 -22 -6.375 ]
[-0.0125 .24721 0 6.375 ]
[-0.0125 .37082 -22 -6.375 ]
[-0.0125 .37082 0 6.375 ]
[-0.0125 .49443 -22 -6.375 ]
[-0.0125 .49443 0 6.375 ]
[-0.0125 .61803 -22 -6.375 ]
[-0.0125 .61803 0 6.375 ]
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.002 w
[ ] 0 setdash
.125 0 m
.125 .00625 L
s
gsave
.125 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.75) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 0 m
.25 .00625 L
s
gsave
.25 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.00) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.375 0 m
.375 .00625 L
s
gsave
.375 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.25) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.50) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.625 0 m
.625 .00625 L
s
gsave
.625 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.75) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.75 0 m
.75 .00625 L
s
gsave
.75 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.00) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.875 0 m
.875 .00625 L
s
gsave
.875 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.25) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -75 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.50) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
.05 0 m
.05 .00313 L
s
.1 0 m
.1 .00313 L
s
.15 0 m
.15 .00313 L
s
.2 0 m
.2 .00313 L
s
.3 0 m
.3 .00313 L
s
.35 0 m
.35 .00313 L
s
.4 0 m
.4 .00313 L
s
.45 0 m
.45 .00313 L
s
.55 0 m
.55 .00313 L
s
.6 0 m
.6 .00313 L
s
.65 0 m
.65 .00313 L
s
.7 0 m
.7 .00313 L
s
.8 0 m
.8 .00313 L
s
.85 0 m
.85 .00313 L
s
.9 0 m
.9 .00313 L
s
.95 0 m
.95 .00313 L
s
.25 Mabswid
0 0 m
1 0 L
s
.002 w
0 .12361 m
.00625 .12361 L
s
gsave
-0.0125 .12361 -83 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.2) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .24721 m
.00625 .24721 L
s
gsave
-0.0125 .24721 -83 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.4) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .37082 m
.00625 .37082 L
s
gsave
-0.0125 .37082 -83 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.6) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .49443 m
.00625 .49443 L
s
gsave
-0.0125 .49443 -83 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.8) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -83 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.0) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
0 .0309 m
.00312 .0309 L
s
0 .0618 m
.00312 .0618 L
s
0 .09271 m
.00312 .09271 L
s
0 .15451 m
.00312 .15451 L
s
0 .18541 m
.00312 .18541 L
s
0 .21631 m
.00312 .21631 L
s
0 .27812 m
.00312 .27812 L
s
0 .30902 m
.00312 .30902 L
s
0 .33992 m
.00312 .33992 L
s
0 .40172 m
.00312 .40172 L
s
0 .43262 m
.00312 .43262 L
s
0 .46353 m
.00312 .46353 L
s
0 .52533 m
.00312 .52533 L
s
0 .55623 m
.00312 .55623 L
s
0 .58713 m
.00312 .58713 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.003 w
[ .01 ] 0 setdash
0 .00028 m
.13259 .00146 L
.22317 .00226 L
.30879 .00302 L
.32033 .00372 L
.32201 .00449 L
.32496 .00582 L
.32762 .00729 L
.32898 .00809 L
.33027 .00886 L
.331 .00929 L
.33316 .00976 L
.33708 .01059 L
.34111 .01144 L
.34476 .01221 L
.34602 .01302 L
.34619 .01347 L
.34634 .01389 L
.34662 .01465 L
.34692 .01545 L
.34715 .01586 L
.34743 .01631 L
.34791 .01711 L
.34818 .01755 L
.34848 .01803 L
.34875 .01848 L
.34949 .0189 L
.35324 .02041 L
.35522 .02122 L
.35654 .02207 L
.35659 .02281 L
.35665 .02363 L
.3567 .02437 L
.35723 .02507 L
.37056 .03934 L
.37956 .05241 L
.38147 .0587 L
.38436 .06542 L
.38557 .06699 L
.3862 .06781 L
.38655 .06826 L
.3867 .06868 L
.38691 .06944 L
.38714 .07028 L
.38735 .07104 L
.3877 .07176 L
.38821 .07245 L
.38877 .07321 L
.38928 .07391 L
.38974 .07454 L
Mistroke
.39064 .07529 L
.3916 .07609 L
.39243 .07677 L
.39333 .07752 L
.39368 .07829 L
.39394 .07911 L
.39419 .07987 L
.39441 .08056 L
.39454 .08138 L
.39465 .08226 L
.39475 .08309 L
.39484 .08385 L
.39513 .08456 L
.39544 .08531 L
.39577 .08614 L
.39608 .08691 L
.39613 .08757 L
.39617 .08828 L
.3962 .08902 L
.39624 .0898 L
.39661 .09065 L
.39708 .09143 L
.3976 .09229 L
.39787 .09274 L
.39813 .09322 L
.3982 .09372 L
.39825 .09419 L
.39836 .0951 L
.39846 .09592 L
.39856 .09638 L
.39881 .09681 L
.39973 .0984 L
.40018 .09919 L
.40035 .09991 L
.40044 .10074 L
.40053 .10165 L
.40066 .10323 L
.40071 .104 L
.40076 .1048 L
.4008 .10548 L
.40164 .10623 L
.40526 .10947 L
.40565 .11023 L
.40608 .11105 L
.40652 .11182 L
.40806 .11254 L
.41091 .11387 L
.41242 .11457 L
.41331 .11533 L
.41364 .11617 L
Mistroke
.41394 .11695 L
.4146 .11868 L
.41592 .12225 L
.41865 .12869 L
.43096 .15546 L
.44023 .18124 L
.44549 .19425 L
.44822 .19991 L
.44882 .20066 L
.44947 .20145 L
.44993 .20221 L
.45016 .20289 L
.45068 .20439 L
.4509 .20524 L
.45096 .20604 L
.45102 .20683 L
.45107 .20768 L
.45111 .20812 L
.45121 .20861 L
.45138 .20947 L
.45202 .21262 L
.45218 .21337 L
.45234 .21416 L
.45239 .21457 L
.45243 .21502 L
.45249 .21581 L
.45255 .21657 L
.45262 .21737 L
.45351 .21813 L
.45434 .21881 L
.45537 .21966 L
.45594 .22013 L
.4564 .22056 L
.45648 .22133 L
.45656 .22218 L
.45689 .22582 L
.45725 .22901 L
.45752 .23079 L
.45768 .23164 L
.45782 .23243 L
.458 .23321 L
.45825 .23406 L
.45846 .23476 L
.45869 .23553 L
.45935 .23637 L
.46005 .23683 L
.46069 .23726 L
.46192 .23807 L
.46308 .23884 L
.46385 .23956 L
Mistroke
.46445 .24034 L
.4655 .24171 L
.46594 .24249 L
.46606 .24331 L
.46627 .24478 L
.46714 .24811 L
.46754 .24974 L
.46772 .25054 L
.46789 .25127 L
.46797 .25211 L
.46797 .25257 L
.46798 .25301 L
.46799 .25392 L
.468 .25443 L
.46804 .25491 L
.46813 .25568 L
.46823 .25653 L
.46842 .25824 L
.46849 .25909 L
.46856 .2599 L
.46861 .26062 L
.46911 .2614 L
.4706 .26305 L
.47208 .26479 L
.47325 .2663 L
.47357 .26672 L
.47385 .26716 L
.47386 .26797 L
.47388 .27091 L
.47389 .27235 L
.4739 .27317 L
.47402 .27393 L
.4743 .27547 L
.47439 .27591 L
.47446 .27633 L
.47476 .27711 L
.47528 .27843 L
.47557 .27915 L
.47605 .27983 L
.47681 .28056 L
.47765 .28137 L
.47843 .28211 L
.47897 .28279 L
.47906 .2836 L
.47916 .28446 L
.47925 .28526 L
.47949 .28602 L
.47976 .28644 L
.48005 .2869 L
.48057 .28771 L
Mistroke
.48085 .28816 L
.48113 .28859 L
.48134 .28909 L
.48144 .28954 L
.48161 .29029 L
.48179 .29112 L
.48197 .29189 L
.48203 .29259 L
.48231 .29595 L
.48279 .30174 L
.48346 .30797 L
.48354 .30957 L
.48357 .31037 L
.4837 .31082 L
.4839 .31124 L
.48429 .31205 L
.48465 .31281 L
.48497 .31349 L
.48511 .31423 L
.48518 .31495 L
.48525 .31571 L
.48539 .31707 L
.48563 .31866 L
.48573 .31935 L
.48581 .3201 L
.48581 .32092 L
.48582 .32169 L
.48582 .32212 L
.48582 .32258 L
.48606 .3234 L
.4865 .32415 L
.48692 .32486 L
.48737 .32563 L
.48771 .32648 L
.48786 .32733 L
.48802 .32823 L
.48839 .32985 L
.48932 .33348 L
.49384 .34725 L
.49497 .35041 L
.4955 .35214 L
.49596 .35376 L
.49653 .35662 L
.49685 .35827 L
.49701 .35905 L
.49715 .35977 L
.49747 .36051 L
.49822 .36131 L
.49958 .36278 L
.50014 .3636 L
Mistroke
.50017 .36434 L
.5002 .36516 L
.50024 .36601 L
.50025 .36643 L
.50036 .36689 L
.50057 .36769 L
.50105 .3695 L
.50167 .37122 L
.50196 .37203 L
.5022 .37278 L
.50222 .37354 L
.50223 .37436 L
.50224 .37509 L
.50235 .37585 L
.50353 .37666 L
.50464 .37742 L
.50587 .37826 L
.50654 .37872 L
.50698 .37915 L
.50749 .37986 L
.50806 .38064 L
.50857 .38134 L
.50905 .382 L
.50906 .38278 L
.50908 .38349 L
.50909 .38426 L
.50911 .38508 L
.50933 .38589 L
.50953 .38663 L
.50974 .38739 L
.50994 .38809 L
.51033 .3889 L
.5108 .38978 L
.51166 .39139 L
.51266 .39306 L
.51315 .39388 L
.51349 .39463 L
.51353 .39505 L
.51357 .3955 L
.51365 .39644 L
.51379 .39807 L
.51391 .3995 L
.51398 .4003 L
.51423 .40103 L
.51463 .40171 L
.51505 .40245 L
.51583 .40379 L
.51865 .41005 L
.52243 .41612 L
.52264 .41772 L
Mistroke
.52268 .41816 L
.52273 .41863 L
.52307 .41947 L
.52365 .41988 L
.52427 .42033 L
.5254 .42114 L
.52641 .42186 L
.52716 .42266 L
.52724 .42315 L
.52731 .4236 L
.52746 .42461 L
.52753 .42505 L
.5276 .42547 L
.52777 .42596 L
.52792 .4264 L
.52821 .4272 L
.52851 .42804 L
.52866 .42848 L
.5291 .42897 L
.52998 .42983 L
.53082 .43064 L
.53171 .4315 L
.53192 .43195 L
.53196 .43244 L
.53202 .4333 L
.53208 .43411 L
.53211 .43457 L
.53218 .43498 L
.53243 .43579 L
.53266 .43655 L
.53376 .43988 L
.5349 .443 L
.53519 .4438 L
.53535 .44457 L
.53538 .44499 L
.53542 .44544 L
.53549 .44625 L
.53553 .44671 L
.53557 .44715 L
.53558 .44765 L
.53558 .4481 L
.53559 .44893 L
.53559 .44936 L
.53559 .44983 L
.53574 .4506 L
.53611 .45132 L
.53691 .45289 L
.53774 .45424 L
.53874 .45571 L
.53903 .45614 L
Mistroke
.5393 .4566 L
.53938 .45742 L
.53954 .45904 L
.53992 .46207 L
.54013 .46351 L
.54037 .46502 L
.5405 .46581 L
.54067 .46626 L
.54084 .46668 L
.54145 .46819 L
.54175 .46894 L
.5419 .46965 L
.54217 .47097 L
.54245 .47238 L
.54271 .47394 L
.54284 .47476 L
.54344 .47552 L
.54465 .47633 L
.54595 .4772 L
.54716 .47801 L
.54777 .47878 L
.54807 .47947 L
.5484 .48022 L
.54858 .48064 L
.54878 .4811 L
.54892 .48193 L
.54894 .48242 L
.54895 .48288 L
.54898 .48375 L
.54902 .48451 L
.54939 .48534 L
.55014 .48702 L
.55042 .48787 L
.55047 .48867 L
.55052 .4895 L
.55057 .49041 L
.55069 .49233 L
.55072 .49276 L
.55075 .49323 L
.55078 .49368 L
.55079 .49409 L
.55079 .49491 L
.55079 .49578 L
.55079 .49658 L
.5509 .49732 L
.55115 .49817 L
.55142 .4991 L
.55185 .50078 L
.55256 .50395 L
.55274 .50472 L
Mistroke
.55294 .50555 L
.55305 .50602 L
.55326 .50646 L
.55387 .5073 L
.55643 .51021 L
.55739 .51098 L
.55843 .51181 L
.55926 .51259 L
.55946 .5133 L
.55989 .51484 L
.56014 .51567 L
.56034 .51608 L
.56056 .51654 L
.56239 .51953 L
.56595 .5263 L
.5743 .5386 L
.57934 .54515 L
.58098 .54596 L
.58231 .54671 L
.58237 .5475 L
.58243 .54836 L
.58248 .5491 L
.58255 .54979 L
.5828 .5506 L
.58303 .55133 L
.58328 .55212 L
.58352 .55296 L
.58359 .55345 L
.58366 .55389 L
.58378 .55475 L
.58415 .55665 L
.58464 .55845 L
.5853 .55994 L
.58575 .56076 L
.58618 .56154 L
.58642 .56198 L
.58651 .56245 L
.58652 .56329 L
.58652 .56407 L
.58653 .56492 L
.58697 .56575 L
.58762 .56652 L
.58837 .56741 L
.58906 .56822 L
.59031 .56894 L
.59176 .56969 L
.59335 .57052 L
.5948 .57127 L
.59538 .57208 L
.59571 .57293 L
Mistroke
.59602 .57374 L
.5963 .57448 L
.59637 .5749 L
.59642 .57534 L
.59652 .57628 L
.5966 .57709 L
.59665 .57755 L
.59685 .57798 L
.59728 .57872 L
.59775 .57953 L
.5982 .58029 L
.60099 .581 L
.60778 .58164 L
.61528 .58234 L
.62267 .58303 L
.63047 .58376 L
.63376 .58456 L
.63603 .5853 L
.63867 .58616 L
.64113 .58696 L
.64156 .58766 L
.64198 .5884 L
.64244 .58921 L
.64287 .58997 L
.64517 .59077 L
.64803 .59165 L
.65104 .59257 L
.65313 .59342 L
.65341 .59421 L
.65368 .59496 L
.65396 .59574 L
.65412 .59619 L
.65529 .59661 L
.67066 .6038 L
.67097 .60457 L
.67131 .60537 L
.6716 .60579 L
.67208 .60625 L
.67293 .60706 L
.67374 .60783 L
.6746 .60865 L
.67797 .60943 L
.68126 .61013 L
.6898 .61195 L
.6945 .61284 L
.69885 .61367 L
.70276 .61441 L
.71536 .61521 L
.74366 .616 L
.77489 .61688 L
Mistroke
.81616 .61803 L
Mfstroke
[ ] 0 setdash
.02719 0 m
.12905 .00146 L
.18506 .00226 L
.238 .00302 L
.26107 .00372 L
.28193 .00449 L
.30075 .00518 L
.31839 .00582 L
.33052 .00659 L
.33407 .00744 L
.34125 .00914 L
.3485 .01061 L
.3524 .01138 L
.35656 .01221 L
.35784 .01266 L
.35816 .01307 L
.35878 .01386 L
.36001 .01544 L
.3623 .0184 L
.36702 .02507 L
.36802 .02667 L
.36828 .02709 L
.36857 .02754 L
.36891 .02837 L
.36908 .02921 L
.36923 .02999 L
.36938 .0307 L
.36981 .03146 L
.37052 .03225 L
.37119 .03299 L
.37259 .03468 L
.37376 .0364 L
.37404 .03681 L
.37434 .03726 L
.37511 .03775 L
.37583 .03821 L
.37736 .03918 L
.37803 .0396 L
.37876 .04006 L
.37964 .04052 L
.38078 .04094 L
.38302 .04177 L
.38563 .04273 L
.3869 .0432 L
.3877 .04363 L
.38785 .04409 L
.38801 .04457 L
.38835 .04561 L
.39096 .05241 L
.40489 .07842 L
Mistroke
.4104 .0918 L
.41251 .09832 L
.41255 .09909 L
.41289 .09981 L
.41345 .10057 L
.41407 .10139 L
.4146 .10209 L
.41493 .10276 L
.41501 .10352 L
.41508 .10422 L
.41535 .10719 L
.4154 .10794 L
.41546 .10874 L
.41548 .10915 L
.4155 .10961 L
.41553 .11041 L
.41556 .11112 L
.4156 .11186 L
.41593 .11267 L
.41623 .11342 L
.41714 .11624 L
.42079 .12904 L
.42112 .1306 L
.42151 .13224 L
.42171 .13311 L
.42184 .1336 L
.42214 .13405 L
.4227 .13491 L
.42323 .13572 L
.42372 .13648 L
.42387 .13731 L
.42392 .13806 L
.42397 .13876 L
.42402 .13957 L
.42405 .14034 L
.42408 .14114 L
.42411 .14202 L
.42414 .14271 L
.42426 .14346 L
.4244 .14419 L
.42456 .14497 L
.4247 .14571 L
.42504 .14638 L
.42596 .14769 L
.42859 .15087 L
.42921 .15154 L
.42983 .15226 L
.43011 .15306 L
.43037 .1538 L
.43091 .15533 L
Mistroke
.43152 .15694 L
.43169 .15738 L
.43187 .15786 L
.43204 .15831 L
.43207 .15873 L
.43209 .15952 L
.43211 .16036 L
.43213 .16116 L
.43213 .16161 L
.43213 .16203 L
.43213 .16278 L
.43213 .16361 L
.43213 .16435 L
.43228 .16504 L
.43253 .16577 L
.43279 .16655 L
.43294 .16699 L
.4331 .16746 L
.43319 .1683 L
.4332 .16877 L
.43321 .16921 L
.43322 .16969 L
.43323 .17021 L
.43324 .17062 L
.43328 .17108 L
.43339 .17187 L
.43353 .17281 L
.43365 .17367 L
.43389 .17451 L
.43417 .17529 L
.43478 .17703 L
.43577 .18016 L
.44148 .20513 L
.4488 .2317 L
.45802 .25728 L
.46801 .28188 L
.47197 .29451 L
.47513 .30807 L
.47715 .31127 L
.47781 .31204 L
.47852 .31284 L
.47912 .31353 L
.47936 .31428 L
.47944 .3147 L
.47952 .31515 L
.47967 .31595 L
.47976 .31644 L
.47983 .3169 L
.47985 .31731 L
.47987 .31775 L
Mistroke
.47999 .3209 L
.47999 .32184 L
.47999 .3223 L
.47999 .32273 L
.48001 .32317 L
.48005 .32365 L
.48013 .32467 L
.4802 .32552 L
.48024 .326 L
.48034 .32645 L
.4808 .32815 L
.48092 .32857 L
.48104 .32903 L
.48119 .32985 L
.48142 .3314 L
.48164 .33319 L
.48172 .33407 L
.48179 .33487 L
.48196 .33564 L
.48233 .33637 L
.48316 .33798 L
.48446 .3414 L
.48807 .34831 L
.49369 .36068 L
.50205 .38555 L
.50249 .3885 L
.50266 .3901 L
.50274 .39089 L
.50286 .3916 L
.50306 .39238 L
.50328 .39322 L
.50364 .395 L
.50372 .39579 L
.5038 .39663 L
.50387 .39734 L
.50433 .39812 L
.50564 .39989 L
.506 .40037 L
.50626 .40088 L
.50638 .40136 L
.50649 .40181 L
.50723 .40528 L
.50849 .41201 L
.50913 .41503 L
.50921 .41545 L
.5093 .4159 L
.50939 .41672 L
.50945 .41752 L
.5095 .41826 L
.50955 .41908 L
Mistroke
.50967 .41954 L
.50984 .41998 L
.5102 .42093 L
.51036 .42134 L
.51053 .42179 L
.51105 .42261 L
.51201 .42338 L
.51311 .42425 L
.51413 .42507 L
.51472 .42579 L
.5149 .42656 L
.51509 .42734 L
.5153 .4282 L
.5159 .42904 L
.51642 .42951 L
.51689 .42993 L
.51781 .43075 L
.51867 .43152 L
.51899 .43225 L
.51918 .43303 L
.51951 .4344 L
.51966 .43518 L
.51977 .436 L
.51987 .43677 L
.51997 .43748 L
.52016 .43827 L
.52045 .43913 L
.521 .44069 L
.52144 .4422 L
.52183 .44362 L
.52199 .44435 L
.52207 .44513 L
.52214 .44593 L
.52219 .44639 L
.52223 .44681 L
.52227 .44722 L
.52262 .44767 L
.52332 .44858 L
.52398 .44942 L
.52458 .4502 L
.52485 .45095 L
.52507 .45174 L
.52531 .4526 L
.52553 .4534 L
.52589 .4541 L
.52629 .45484 L
.52713 .45643 L
.52788 .45794 L
.52824 .45869 L
.52858 .45939 L
Mistroke
.52871 .46001 L
.52871 .46068 L
.52872 .46141 L
.52873 .46209 L
.52878 .4629 L
.52892 .46333 L
.52907 .46378 L
.52966 .46557 L
.53079 .46877 L
.53369 .47599 L
.54055 .48908 L
.54846 .50194 L
.54863 .50237 L
.54881 .50282 L
.54911 .50331 L
.54954 .50376 L
.55121 .50546 L
.55196 .50631 L
.55198 .5068 L
.55199 .50724 L
.55203 .50825 L
.55205 .50875 L
.55207 .50921 L
.55221 .51002 L
.55237 .51091 L
.55267 .51246 L
.5529 .51413 L
.55296 .51461 L
.55302 .51507 L
.55326 .51593 L
.55361 .51669 L
.55393 .51741 L
.55471 .51902 L
.55642 .52191 L
.55772 .52355 L
.55903 .5251 L
.56112 .52688 L
.56318 .52849 L
.57602 .54179 L
.58563 .55485 L
.58765 .56064 L
.5877 .56144 L
.58772 .56189 L
.58787 .56231 L
.58842 .56308 L
.589 .56389 L
.58949 .56457 L
.59006 .56529 L
.59122 .56609 L
.59231 .56684 L
Mistroke
.59348 .56765 L
.5941 .56808 L
.59507 .56854 L
.5976 .56938 L
.59994 .57015 L
.6024 .57097 L
.60385 .57174 L
.60386 .57243 L
.60388 .57318 L
.60389 .57389 L
.60399 .57468 L
.60457 .57549 L
.60512 .57626 L
.60561 .57696 L
.60608 .57762 L
.60731 .57839 L
.60847 .57909 L
.62663 .59251 L
.63566 .59876 L
.64669 .60542 L
.64812 .60675 L
.64982 .60815 L
.65095 .60888 L
.6531 .60968 L
.65688 .61109 L
.65923 .6119 L
.66152 .61236 L
.66359 .61277 L
.67144 .61433 L
.68314 .61737 L
.68551 .61803 L
Mfstroke
gsave
.41642 .12361 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
69.000 13.000 moveto
(\\230) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Steady) show
123.000 13.000 moveto
(State) show
159.000 13.000 moveto
(CDF) show
177.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.45307 .24721 -128 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(CDF) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
81.000 13.000 moveto
(H) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
93.000 14.500 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
%%IncludeResource: font Math2Mono
%%IncludeFont: Math2Mono
/Math2Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
102.000 13.000 moveto
(L) show
%%IncludeResource: font Math1Mono
%%IncludeFont: Math1Mono
/Math1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
108.000 13.000 moveto
(\\231) show
126.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{432, 266.938},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006`00012Q000`40O003h00Oogoo/Goo003oOona
Ool00?mook5oo`00ogoo/Goo003oOonaOol0045oo`8000Aoo`8000Eoo`03001oogoo009oo`8001ao
o`D0009oo`8000Aoo`8000Aoo`8001aoo`D0009oo`8000=oo`@000=oo`8001]oo`D0009oo`8000Ao
o`8000Aoo`8001aoo`D0009oo`8000Eoo`03001oogoo009oo`8001aoo`@000=oo`8000Aoo`8000Ao
o`8001aoo`@000=oo`8000=oo`@000=oo`8001]oo`@000=oo`8000Aoo`8000Aoo`8000Ioo`00@7oo
00@007ooOol000Yoo`05001oogooOol00002Ool00`00Oomoo`0KOol00`00Oomoo`07Ool01000Oomo
o`000Woo00@007ooOol001eoo`03001oogoo00Moo`03001oogoo00=oo`04001oogoo000LOol00`00
Oomoo`07Ool01000Oomoo`000Woo00@007ooOol001eoo`03001oogoo00Uoo`05001oogooOol00002
Ool00`00Oomoo`0IOol00`00Oomoo`09Ool01000Oomoo`000Woo00@007ooOol001]oo`03001oogoo
00Uoo`03001oogoo00=oo`04001oogoo000JOol00`00Oomoo`09Ool01000Oomoo`000Woo00@007oo
Ool000Eoo`00@7oo00@007ooOol000Yoo`03001oogoo00Aoo`03001oogoo01]oo`03001oogoo00Mo
o`04001oogoo0002Ool01000Oomoo`007Goo00<007ooOol027oo00<007ooOol01Goo00<007ooOol0
6Woo00<007ooOol02Woo00@007ooOol0009oo`03001oogoo01]oo`03001oogoo00Uoo`03001oogoo
00Aoo`03001oogoo01Yoo`03001oogoo00Qoo`04001oogoo0002Ool01000Oomoo`0077oo00<007oo
Ool02Goo00<007ooOol01Goo00<007ooOol06Goo00<007ooOol02goo00@007ooOol0009oo`03001o
ogoo00=oo`00@7oo00@007ooOol000]oo`04001oogooOol2000NOol00`00Oomoo`07Ool01000Oomo
o`000Woo00@007ooOol001eoo`03001oogoo00Uoo`03001oogoo009oo`8001eoo`03001oogoo00Qo
o`8000=oo`04001oogoo000MOol00`00Oomoo`0:Ool01000Oomoogoo0P007Woo00<007ooOol01goo
00@007ooOol0009oo`04001oogoo000MOol00`00Oomoo`09Ool00`00Oomoo`02Ool2000MOol00`00
Oomoo`08Ool20003Ool01000Oomoo`001Goo0010Ool01000Oomoo`0027oo00@007ooOol000=oo`03
001oogoo01eoo`03001oogoo00Moo`04001oogoo0002Ool01000Oomoo`007Goo00<007ooOol01goo
00@007ooOol000=oo`03001oogoo01aoo`03001oogoo00Qoo`03001oogoo009oo`04001oogoo000M
Ool00`00Oomoo`07Ool01000Oomoo`000goo00<007ooOol06goo00@007ooOol000Qoo`04001oogoo
0002Ool01000Oomoo`006goo00@007ooOol000Qoo`04001oogoo0003Ool00`00Oomoo`0JOol01000
Oomoo`002Goo00<007ooOol00Woo00@007ooOol000Eoo`00@Goo0P002Goo10000goo0`0077oo0P00
2Woo0P0017oo0P007Goo0P002Woo0P0017oo0`006goo0P002Woo0`000goo0P007Goo0P002Goo1000
0goo0`0077oo0P002Woo0P0017oo0P007Goo0P002Woo0P0017oo0`006goo0P002Woo0`000goo0P00
1Woo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol0
01Yoool008P000moo`006Woo00<007ooOol04Goo00<007ooOol047oo00<007ooOol01goo00<007oo
Ool01goo00<007ooOol047oo00<007ooOol00Woo7`0000=oo`0000000`000goo10002Woo00<007oo
Ool01goo00<007ooOol01Woo00<007ooOol04Goo00<007ooOol047oo00<007ooOol04Goo00<007oo
Ool047oo00<007ooOol01goo00<007ooOol01goo00<007ooOol047oo00<007ooOol04Goo00<007oo
Ool047oo00<007ooOol04Goo00<007ooOol01goo00<007ooOol01Woo00<007ooOol04Goo00<007oo
Ool047oo00<007ooOol03Goo000JOol00`00Oomoo`0^Ool00`00Oomoo`0^Ool00`00Oomoo`0=Ool@
000AOol00`00Oomoo`0]Ool00`00Oomoo`0^Ool00`00Oomoo`0^Ool00`00Oomoo`0^Ool00`00Oomo
o`0]Ool00`00Oomoo`0=Ool001Yoo`03001oogoo07moo`D00?mooa1oo`006Woo00<007ooOol0P7oo
2@00ogoo2goo000JOol00`00Oomoo`29Ool00`00Oomoo`3oOol8Ool001Yoo`03001oogoo08Yoo`03
001oogoo0?moo`Moo`006Woo00<007ooOol0QGoo0P0017oo00<007ooOol0ogoo1Woo000JOol00`00
Oomoo`27Ool20003Ool00`00Oomoo`3oOol5Ool001Yoo`03001oogoo08Qoo`03001oogoo009oo`03
001oogoo0?moo`Aoo`006Woo00<007ooOol0SGoo00<007ooOol0ogoo17oo000JOol00`00Oomoo`2=
Ool00`00Oomoo`3oOol4Ool001Yoo`<008]oo`04001oo`00003oOol5Ool001Yoo`03001oogoo08ao
o`04001oogoo003oOol4Ool001Yoo`03001oogoo08eoo`04001oo`00003oOol3Ool001Yoo`03001o
ogoo08ioo`04001oo`00003oOol2Ool001Yoo`03001oogoo099oo`<00?ioo`006Woo00<007ooOol0
UGoo00<007ooOol0ngoo000JOol00`00Oomoo`2@Ool00`00Oomoo`02Ool00`00Oomoo`3kOol001Yo
o`03001oogoo095oo`03001oogoo009oo`03001oogoo0?Yoo`006Woo00<007ooOol0TGoo00<007oo
Ool00Woo00<007ooOol0nWoo000JOol00`00Oomoo`2BOol00`00Oomoo`02Ool00`00Oomoo`3iOol0
01Yoo`03001oogoo09Moo`03001oogoo0?Uoo`006Woo00<007ooOol0V7oo00<007ooOol0n7oo000J
Ool3002HOol00`00Oomoo`3hOol001Yoo`03001oogoo09=oo`03001oogoo00=oo`03001oogoo0?Mo
o`006Woo00<007ooOol0U7oo00<007ooOol00Woo00<007ooOol0mgoo000JOol00`00Oomoo`2DOol0
0`00Oomoo`03Ool00`00Oomoo`3fOol001Yoo`03001oogoo09Eoo`03001oogoo009oo`03001oogoo
0?Ioo`006Woo00<007ooOol0UWoo00<007ooOol00Woo00<007ooOol0mGoo000JOol00`00Oomoo`2F
Ool20003Ool00`00Oomoo`3eOol001Yoo`03001oogoo09Moo`05001oogooOol0003gOol001Yoo`03
001oogoo09Moo`03001oogoo009oo`03001oogoo0?Aoo`006Woo00<007ooOol0V7oo00D007ooOomo
o`000?Ioo`006Woo00<007ooOol0WGoo00<007ooOol0lgoo000JOol00`00Oomoo`2MOol00`00Oomo
o`3cOol001Yoo`<009Uoo`05001oogooOol0003eOol001Yoo`03001oogoo09Uoo`03001oogoo009o
o`03001oogoo0?9oo`006Woo00<007ooOol0VGoo00<007ooOol00Woo00<007ooOol0lWoo000JOol0
0`00Oomoo`2JOol01000Oomoogoo0P00lgoo000JOol00`00Oomoo`2JOol00`00Oomoo`02Ool00`00
Oomoo`3aOol001Yoo`03001oogoo09moo`03001oogoo0?5oo`006Woo00<007ooOol0Wgoo00<007oo
Ool0lGoo000JOol00`00Oomoo`2LOol00`00Oomoo`02003bOol001Yoo`03001oogoo09eoo`800003
Ool007oo035oo`800;ioo`006Woo00<007ooOol0Wgoo0P0027oo00<007ooOol0:7oo00<007ooOol0
_7oo0004Ool20004Ool20003Ool40007Ool00`00Oomoo`2POol00`00Oomoo`05Ool00`00Oomoo`0:
Ool30004Ool20004Ool30002Ool50002Ool40003Ool00`00Oomoo`07Ool30004Ool20003Ool50002
Ool20004Ool30009Ool300000goo000000020003Ool30021Ool000=oo`04001oogoo0008Ool00`00
Oomoo`08Ool00`00Oomoo`2POol20006Ool<00001Goo001oogoo00000Woo00@007ooOol0009oo`03
001oogoo00=oo`@0009oo`04001oogoo0003Ool00`00Ool00008Ool01000Oomoo`000Woo00@007oo
Ool0009oo`@0009oo`04001oogoo0002Ool00`00Oomoo`09Ool00`00Oomoo`03Ool01000Oomoo`00
0goo00<007ooOol0P7oo0003Ool01000Oomoo`002Goo00<007ooOol01goo1000Wgoo0P001Woo00<0
07ooOol03Goo00@007ooOol000Eoo`@000Eoo`04001oogoo0002Ool01000Oomoo`000Woo00<007oo
Ool02Goo00@007ooOol000Qoo`04001oogoo0005Ool40008Ool00`00Oomoo`03Ool01000Oomoo`00
0goo00<007ooOol0P7oo0003Ool01000Oomoo`002Woo00<007ooOol01Woo00<007ooOol0XGoo0P00
1Woo00<007ooOol02Woo0P000Woo1@000goo0P0017oo0`000goo0`0000Eoo`00000007oo008000Qo
o`80009oo`D000=oo`<00003Ool0000000<000=oo`8000Uoo`03001oogoo00=oo`04001oogoo0003
Ool20021Ool000=oo`04001oogoo0008Ool01000Oomoo`001goo00<007ooOol0XGoo0P004Woo00@0
07ooOol0009oo`03001oogoo019oo`03001oogoo00aoo`04001oogoo0002Ool00`00Oomoo`09Ool0
0`00Oomoo`0?Ool01000Oomoo`000Woo00@007ooOol000=oo`04001oogoo001oOol000Aoo`8000Yo
o`8000Qoo`03001oogoo0:5oo`80019oo`@001Ioo`8000ioo`@0025oo`<00003Ool00000008000=o
o`D007moo`006Woo00<007ooOol0XWoo00<007ooOol0kWoo000JOol00`00Oomoo`2ROol2003_Ool0
01Yoo`03001oogoo0:=oo`03001oogoo0>eoo`006Woo00<007ooOol0Xgoo00<007ooOol0kGoo000J
Ool00`00Oomoo`2SOol00`00Oomoo`3]Ool001Yoo`03001oogoo0:=oo`800>ioo`006Woo00<007oo
Ool0Y7oo0P00kGoo000JOol00`00Oomoo`2UOol00`00Oomoo`3[Ool001Yoo`<00:Eoo`03001oogoo
0>]oo`006Woo00<007ooOol0YWoo00<007ooOol0jWoo000JOol00`00Oomoo`2VOol00`00Oomoo`3Z
Ool001Yoo`03001oogoo0:Ioo`03001oogoo0>Yoo`006Woo00<007ooOol0YWoo0P00jgoo000JOol0
0`00Oomoo`2VOol2003[Ool001Yoo`03001oogoo0:Ioo`03001oogoo0>Yoo`006Woo00<007ooOol0
YWoo0P00jgoo000JOol00`00Oomoo`2WOol00`00Oomoo`3YOol001Yoo`03001oogoo0:Moo`03001o
o`000>Uoo`006Woo00<007ooOol0Ygoo00<007oo0000jGoo000JOol00`00Oomoo`2WOol00`00Ool0
003YOol001Yoo`<00:Qoo`03001oo`000>Qoo`006Woo00<007ooOol0Z7oo00<007oo0000j7oo000J
Ool00`00Oomoo`2XOol00`00Oomoo`3XOol001Yoo`03001oogoo0:Uoo`03001oogoo0>Moo`006Woo
00<007ooOol0ZGoo00@007ooOol00>Ioo`006Woo00<007ooOol0ZGoo00@007ooOol00>Ioo`006Woo
00<007ooOol0ZGoo00<007ooOol00P00iGoo000JOol00`00Oomoo`2ZOol01000Oomoo`00iGoo000J
Ool00`00Oomoo`2ZOol01000Oomoo`00iGoo000JOol00`00Oomoo`2ZOol00`00Oomoo`3VOol001Yo
o`03001oogoo0:Yoo`03001oogoo0>Ioo`006Woo00<007ooOol0Zgoo00<007ooOol0iGoo000JOol3
002[Ool01000Oomoo`00i7oo000JOol00`00Oomoo`2[Ool00`00Oomoo`02003SOol001Yoo`03001o
ogoo0:]oo`05001oogooOol0003SOol001Yoo`03001oogoo0:]oo`05001oogooOol0003SOol001Yo
o`03001oogoo0:aoo`03001oogoo0>Aoo`006Woo00<007ooOol0[7oo00<007ooOol0i7oo000JOol0
0`00Oomoo`2/Ool00`00Oomoo`3TOol001Yoo`03001oogoo0:aoo`05001oogooOol0003ROol001Yo
o`03001oogoo08=oo`03001oogoo00moo`03001oogoo01Eoo`04001oogooOol2003POol001Yoo`03
001oogoo089oo`03001oogoo00Moo`80009oo`8000Aoo`03001oogoo00]oo`03001oogoo00Ioo`03
001oogoo009oo`800=moo`0017oo0P0017oo0P001Goo0`001Woo00<007ooOol0Kgoo0`0000=oo`00
00000P000goo0`0017oo00@007ooOomoo`800003Ool0000000=oo`03001oogoo008000Eoo`03001o
ogoo00]oo`03001oogoo00Ioo`03001oogoo009oo`03001oogoo0=eoo`000goo00@007ooOol000]o
o`03001oogoo00Eoo`03001oogoo06ioo`03001oogoo00=oo`04001oogoo0003Ool00`00Oomoo`03
Ool00`00Oomoo`02Ool00`00Ool00004Ool00`00Oomoo`020005Ool00`00Oomoo`0<0008Ool00`00
Oomoo`3ROol000=oo`04001oogoo0008Ool50006Ool4001]Ool00`00Oomoo`03Ool01000Oomoo`00
0goo00<007ooOol00goo00<007ooOol00goo00<007ooOol00Woo0P000Woo0P001Goo00<007ooOol0
2goo00<007ooOol01Woo00<007ooOol0hWoo0003Ool01000Oomoo`0027oo00@007ooOol000Moo`03
001oogoo06ioo`03001oogoo00=oo`04001oogoo0003Ool20004Ool01000Oomoogoo0P0000=oo`00
00003Goo00<007ooOol02Woo00<007ooOol027oo00<007ooOol0hGoo0003Ool01000Oomoo`002Goo
00<007oo00001goo00<007ooOol0KWoo00@007ooOol0009oo`04001oogoo0003Ool01000Oomoo`00
0goo00<007ooOol04Goo00<007ooOol05Woo00<007ooOol00Woo00<007ooOol0g7oo0004Ool2000;
Ool20007Ool00`00Oomoo`1_Ool300000goo000000020003Ool50004Ool00`00Oomoo`0?Ool00`00
Oomoo`0HOol01@00Oomoogoo0000gWoo000JOol00`00Oomoo`2`Ool01@00Oomoogoo0000gWoo000J
Ool00`00Oomoo`2`Ool01@00Oomoogoo0000gWoo000JOol00`00Oomoo`2aOol00`00Oomoo`02003M
Ool001Yoo`03001oogoo0;5oo`03001oogoo0=moo`006Woo00<007ooOol0/Woo00<007ooOol0gWoo
000JOol00`00Oomoo`2bOol01@00Oomoogoo0000g7oo000JOol00`00Oomoo`2bOol01@00Oomoogoo
0000g7oo000JOol00`00Oomoo`2cOol01000Oomoo`00g7oo000JOol3002cOol01@00Oomoogoo0000
fgoo000JOol00`00Oomoo`2dOol01000Oomoo`00fgoo000JOol00`00Oomoo`2dOol00`00Oomoo`3L
Ool001Yoo`03001oogoo0;Eoo`03001oogoo0=]oo`006Woo00<007ooOol0]Goo00D007ooOomoo`00
0=Uoo`006Woo00<007ooOol0]Woo00@007ooOol00=Uoo`006Woo00<007ooOol0]Woo00<007ooOol0
fWoo000JOol00`00Oomoo`2fOol00`00Oomoo`3JOol001Yoo`03001oogoo0;Ioo`03001oogoo0=Yo
o`006Woo00<007ooOol0]goo00@007ooOol00=Qoo`006Woo00<007ooOol0]goo00@007ooOol00=Qo
o`006Woo00<007ooOol0]goo00@007ooOol00=Qoo`006Woo0`00]goo00@007ooOol00=Qoo`006Woo
00<007ooOol0^7oo00<007oo0000f7oo000JOol00`00Oomoo`2hOol00`00Oomoo`3HOol001Yoo`03
001oogoo0;Qoo`800=Uoo`006Woo00<007ooOol0^Goo00<007ooOol0egoo000JOol00`00Oomoo`2i
Ool00`00Ool0003GOol001Yoo`03001oogoo0;Uoo`03001oo`000=Moo`006Woo00<007ooOol0^Goo
00@007ooOol00=Ioo`006Woo00<007ooOol0^Goo00@007ooOol00=Ioo`006Woo00<007ooOol0^Goo
00@007ooOol00=Ioo`006Woo00<007ooOol0^Goo00<007ooOol0egoo000JOol00`00Oomoo`2iOol2
003HOol001Yoo`<00;Yoo`04001oogoo003EOol001Yoo`03001oogoo0;Yoo`04001oogoo003EOol0
01Yoo`03001oogoo0;]oo`04001oogoo003DOol001Yoo`03001oogoo0;aoo`03001oo`000=Aoo`00
6Woo00<007ooOol0_7oo00<007oo0000e7oo000JOol00`00Oomoo`2mOol00`00Oomoo`3COol001Yo
o`03001oogoo0;eoo`03001oogoo0==oo`006Woo00<007ooOol0_Woo00<007ooOol0dWoo000JOol0
0`00Oomoo`2nOol2003COol001Yoo`03001oogoo0;ioo`03001oo`000=9oo`006Woo00<007ooOol0
_goo00<007oo0000dGoo0004Ool20004Ool20003Ool30008Ool00`00Oomoo`2oOol00`00Ool0003A
Ool000=oo`04001oogoo0008Ool01000Oomoo`001goo1000_Woo00<007ooOol0dGoo0003Ool01000
Oomoo`0027oo00@007ooOol000Moo`03001oogoo0<1oo`03001oogoo0=1oo`000goo00@007ooOol0
00Qoo`<000Qoo`03001oogoo0<1oo`03001oo`000=1oo`000goo00@007ooOol000Uoo`03001oogoo
00Moo`03001oogoo0<1oo`04001oo`00003?Ool000Aoo`8000Yoo`<000Moo`03001oogoo0<1oo`03
001oogoo00800<ioo`006Woo00<007ooOol0`Goo00@007ooOol00<ioo`006Woo00<007ooOol0`Goo
00<007ooOol0cgoo000JOol00`00Oomoo`31Ool00`00Oomoo`3?Ool001Yoo`03001oogoo0<5oo`80
0=1oo`006Woo00<007ooOol0`Woo00<007ooOol00P00c7oo000JOol00`00Oomoo`32Ool01@00Oomo
ogoo0000c7oo000JOol00`00Oomoo`32Ool01@00Oomoogoo0000c7oo000JOol30033Ool01000Oomo
o`00c7oo000JOol00`00Oomoo`33Ool01000Oomoo`00c7oo000JOol00`00Oomoo`33Ool00`00Oomo
o`3=Ool001Yoo`03001oogoo0<Aoo`03001oogoo0<aoo`006Woo00<007ooOol0a7oo00D007ooOomo
o`000<Yoo`006Woo00<007ooOol0a7oo00<007ooOol00Woo00<007ooOol0agoo000JOol00`00Oomo
o`34Ool00`00Oomoo`02Ool00`00Oomoo`37Ool001Yoo`03001oogoo0<Aoo`03001oogoo009oo`03
001oogoo0<Moo`006Woo00<007ooOol0a7oo0P00cGoo000JOol00`00Oomoo`35Ool2003<Ool001Yo
o`03001oogoo0<Ioo`03001oogoo009oo`03001oogoo0<Eoo`006Woo00<007ooOol0aWoo0P0017oo
00<007ooOol0a7oo000JOol30037Ool20003Ool20035Ool001Yoo`03001oogoo0<Qoo`03001oogoo
009oo`03001oogoo0<=oo`006Woo00<007ooOol0b7oo00<007ooOol0b7oo000JOol00`00Oomoo`38
Ool00`00Oomoo`38Ool001Yoo`03001oogoo0<Uoo`03001oogoo0<Moo`006Woo00<007ooOol0bGoo
00<007ooOol00Woo00<007ooOol0`Woo000JOol00`00Oomoo`39Ool00`00Oomoo`02Ool00`00Oomo
o`32Ool001Yoo`03001oogoo0<Yoo`05001oogooOol00034Ool001Yoo`03001oogoo0<Yoo`03001o
ogoo009oo`03001oogoo0<5oo`006Woo00<007ooOol0bgoo00<007ooOol0aGoo000JOol00`00Oomo
o`3;Ool00`00Oomoo`02Ool00`00Oomoo`30Ool001Yoo`03001oogoo0<]oo`8000=oo`03001oogoo
0<1oo`006Woo0`00c7oo00D007ooOomoo`000<9oo`006Woo00<007ooOol0c7oo00<007ooOol0a7oo
000JOol00`00Oomoo`3<Ool00`00Oomoo`34Ool001Yoo`03001oogoo0<eoo`03001oogoo0<=oo`00
6Woo00<007ooOol0cGoo00D007ooOomoo`000<5oo`006Woo00<007ooOol0cWoo00<007ooOol00P00
`7oo000JOol00`00Oomoo`3>Ool01000Oomoogoo0P00_goo000JOol00`00Oomoo`3?Ool01@00Oomo
ogoo0000_goo000JOol00`00Oomoo`3?Ool00`00Oomoo`31Ool001Yoo`03001oogoo0=1oo`03001o
ogoo0<1oo`006Woo00<007ooOol0d7oo00<007ooOol0`7oo0004Ool20004Ool20004Ool20008Ool0
0`00Oomoo`3AOol01000Oomoo`00_Woo0003Ool01000Oomoo`0027oo00@007ooOol000Moo`@00=1o
o`04001oogoo002nOol000=oo`04001oogoo0008Ool01000Oomoo`001goo00<007ooOol0dWoo00<0
07oo0000_Woo0003Ool01000Oomoo`002Goo0P0027oo00<007ooOol0dWoo00@007oo00000;eoo`00
0goo00@007ooOol000Qoo`04001oogoo0007Ool00`00Oomoo`3COol00`00Ool0002mOol000Aoo`80
00Yoo`8000Qoo`03001oogoo0==oo`800;ioo`006Woo00<007ooOol0e7oo0P00_Goo000JOol00`00
Oomoo`3EOol2002lOol001Yoo`03001oogoo0=Eoo`03001oogoo0;]oo`006Woo00<007ooOol0eGoo
00<007ooOol0^goo000JOol00`00Oomoo`3EOol01000Oomoo`00^Woo000JOol00`00Oomoo`3FOol0
1000Oomoo`00^Goo000JOol00`00Oomoo`3FOol01@00Oomoogoo0000^7oo000JOol00`00Oomoo`3G
Ool01000Oomoo`00^7oo000JOol3003HOol00`00Oomoo`2hOol001Yoo`03001oogoo0=Uoo`03001o
ogoo0;Moo`006Woo00<007ooOol0fWoo00<007ooOol0]Woo000JOol00`00Oomoo`3KOol2002fOol0
01Yoo`03001oogoo0=aoo`800;Eoo`006Woo00<007ooOol0gGoo00<007ooOol0/goo000JOol00`00
Oomoo`3NOol00`00Oomoo`2bOol001Yoo`03001oogoo0=moo`03001oogoo0;5oo`006Woo00<007oo
Ool0h7oo00<007ooOol0/7oo000JOol00`00Oomoo`3POol2002aOol001Yoo`03001oogoo0>5oo`03
001oogoo0:moo`006Woo00<007ooOol0hGoo0P00/7oo000JOol3003QOol00`00Ool0002_Ool001Yo
o`03001oogoo0>=oo`03001oogoo0:eoo`006Woo00<007ooOol0hgoo00<007ooOol0[Goo000JOol0
0`00Oomoo`3SOol2002^Ool001Yoo`03001oogoo0>=oo`@00:aoo`006Woo00<007ooOol0i7oo0P00
00=oo`000000ZWoo000JOol00`00Oomoo`3VOol01000Oomoo`00ZGoo000JOol00`00Oomoo`3VOol0
1000Oomoo`00ZGoo000JOol00`00Oomoo`3VOol01@00Oomoogoo0000Z7oo000JOol00`00Oomoo`3W
Ool01@00Oomoogoo0000Ygoo000JOol00`00Oomoo`3[Ool50003Ool00`00Oomoo`2MOol001Yoo`03
001oogoo0>ioo`03001oogoo00=oo`@009]oo`006Woo0`00kgoo00<007ooOol0XGoo000JOol00`00
Oomoo`3`Ool20008Ool00`00Oomoo`2FOol001Yoo`03001oogoo0?9oo`03001oogoo00Ioo`8009Io
o`006Woo00<007ooOol0lgoo0P001goo0P00UGoo000JOol00`00Oomoo`3eOol00`00Oomoo`2KOol0
01Yoo`03001oogoo0?Ioo`8000Qoo`80095oo`006Woo00<007ooOol0n7oo0P0027oo0P00Sgoo000J
Ool00`00Oomoo`3jOol00`00Oomoo`06Ool00`00Oomoo`2=Ool001Yoo`03001oogoo0?]oo`8009Io
o`006Woo00<007ooOol0oGoo0`001goo1@00Qgoo0003Ool50002Ool20004Ool20008Ool00`00Oomo
o`3oOol1Ool60008Ool50020Ool000Eoo`03001oogoo00Moo`04001oogoo0007Ool00`00Oomoo`3o
Ool7Ool3000=Ool50003Ool50003Ool500000goo00000002001SOol000Eoo`03001oogoo00Moo`04
001oogoo0007Ool4003oOol9Ool00`00Oomoo`0WOol50003Ool2001FOol000Eoo`03001oogoo00Mo
o`04001oogoo003oOonNOol000Eoo`03001oogoo00Moo`04001oogoo003oOonNOol000Aoo`8000Yo
o`800?mooimoo`00ogoo/Goo003oOonaOol00?mook5oo`00\
\>"],
  ImageRangeCache->{{{0, 431}, {265.938, 0}} -> {0.362204, -0.0748286, \
0.00512663, 0.00414753}}],

Cell[BoxData[
    \("Solving base"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating base"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving base"\)], "Print"],

Cell[BoxData[
    \("Solving r00"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9052306673682456`\),
      SequenceForm[ "Impatience condition:", .90523066736824565],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating r00"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving r00"\)], "Print"],

Cell[BoxData[
    \("Solving r04"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9414398940629756`\),
      SequenceForm[ "Impatience condition:", .94143989406297557],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating r04"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving r04"\)], "Print"],

Cell[BoxData[
    \("Solving del00"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9618075840787611`\),
      SequenceForm[ "Impatience condition:", .9618075840787611],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating del00"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving del00"\)], "Print"],

Cell[BoxData[
    \("Solving del08"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.8905625778507045`\),
      SequenceForm[ "Impatience condition:", .89056257785070447],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating del08"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving del08"\)], "Print"],

Cell[BoxData[
    \("Solving g02"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9787210586490909`\),
      SequenceForm[ "Impatience condition:", .97872105864909087],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating g02"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving g02"\)], "Print"],

Cell[BoxData[
    \("Solving g06"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.8720509356775096`\),
      SequenceForm[ "Impatience condition:", .87205093567750958],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating g06"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving g06"\)], "Print"],

Cell[BoxData[
    \("Solving rho1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9508474455585504`\),
      SequenceForm[ "Impatience condition:", .95084744555855039],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating rho1"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving rho1"\)], "Print"],

Cell[BoxData[
    \("Solving rho5"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9319481989632509`\),
      SequenceForm[ "Impatience condition:", .93194819896325087],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating rho5"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving rho5"\)], "Print"],

Cell[BoxData[
    \("Solving ep05"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.883445594010992`\),
      SequenceForm[ "Impatience condition:", .88344559401099199],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating ep05"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving ep05"\)], "Print"],

Cell[BoxData[
    \("Solving ep15"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9935130282268713`\),
      SequenceForm[ "Impatience condition:", .99351302822687126],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating ep15"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    \($Aborted\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(<< params_baseline.m\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SolveIt["\<base\>"]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({4.999999999999999`}\) lies outside the range of data \
in the interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({14.`}\) lies outside the range of data in the \
interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({104.`}\) lies outside the range of data in the \
interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(General::"stop" \(\(:\)\(\ \)\) 
      "Further output of \!\(InterpolatingFunction :: \"dmval\"\) will be \
suppressed during this calculation."\)], "Message"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< RealEuler.m\)], "Input"],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0206243 0.318522 0.014663 5.63842e-005 [
[.17989 .00216 -9 -9 ]
[.17989 .00216 9 0 ]
[.33915 .00216 -3 -9 ]
[.33915 .00216 3 0 ]
[.49841 .00216 -9 -9 ]
[.49841 .00216 9 0 ]
[.65767 .00216 -3 -9 ]
[.65767 .00216 3 0 ]
[.81693 .00216 -9 -9 ]
[.81693 .00216 9 0 ]
[.97619 .00216 -3 -9 ]
[.97619 .00216 3 0 ]
[.00812 .12743 -24 -4.5 ]
[.00812 .12743 0 4.5 ]
[.00812 .2402 -24 -4.5 ]
[.00812 .2402 0 4.5 ]
[.00812 .35297 -24 -4.5 ]
[.00812 .35297 0 4.5 ]
[.00812 .46574 -24 -4.5 ]
[.00812 .46574 0 4.5 ]
[.00812 .57851 -30 -4.5 ]
[.00812 .57851 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17989 .01466 m
.17989 .02091 L
s
[(0.5)] .17989 .00216 0 1 Mshowa
.33915 .01466 m
.33915 .02091 L
s
[(1)] .33915 .00216 0 1 Mshowa
.49841 .01466 m
.49841 .02091 L
s
[(1.5)] .49841 .00216 0 1 Mshowa
.65767 .01466 m
.65767 .02091 L
s
[(2)] .65767 .00216 0 1 Mshowa
.81693 .01466 m
.81693 .02091 L
s
[(2.5)] .81693 .00216 0 1 Mshowa
.97619 .01466 m
.97619 .02091 L
s
[(3)] .97619 .00216 0 1 Mshowa
.125 Mabswid
.05248 .01466 m
.05248 .01841 L
s
.08433 .01466 m
.08433 .01841 L
s
.11618 .01466 m
.11618 .01841 L
s
.14803 .01466 m
.14803 .01841 L
s
.21174 .01466 m
.21174 .01841 L
s
.24359 .01466 m
.24359 .01841 L
s
.27544 .01466 m
.27544 .01841 L
s
.30729 .01466 m
.30729 .01841 L
s
.371 .01466 m
.371 .01841 L
s
.40285 .01466 m
.40285 .01841 L
s
.4347 .01466 m
.4347 .01841 L
s
.46656 .01466 m
.46656 .01841 L
s
.53026 .01466 m
.53026 .01841 L
s
.56211 .01466 m
.56211 .01841 L
s
.59396 .01466 m
.59396 .01841 L
s
.62582 .01466 m
.62582 .01841 L
s
.68952 .01466 m
.68952 .01841 L
s
.72137 .01466 m
.72137 .01841 L
s
.75323 .01466 m
.75323 .01841 L
s
.78508 .01466 m
.78508 .01841 L
s
.84878 .01466 m
.84878 .01841 L
s
.88063 .01466 m
.88063 .01841 L
s
.91249 .01466 m
.91249 .01841 L
s
.94434 .01466 m
.94434 .01841 L
s
.25 Mabswid
0 .01466 m
1 .01466 L
s
.02062 .12743 m
.02687 .12743 L
s
[(2000)] .00812 .12743 1 0 Mshowa
.02062 .2402 m
.02687 .2402 L
s
[(4000)] .00812 .2402 1 0 Mshowa
.02062 .35297 m
.02687 .35297 L
s
[(6000)] .00812 .35297 1 0 Mshowa
.02062 .46574 m
.02687 .46574 L
s
[(8000)] .00812 .46574 1 0 Mshowa
.02062 .57851 m
.02687 .57851 L
s
[(10000)] .00812 .57851 1 0 Mshowa
.125 Mabswid
.02062 .04286 m
.02437 .04286 L
s
.02062 .07105 m
.02437 .07105 L
s
.02062 .09924 m
.02437 .09924 L
s
.02062 .15562 m
.02437 .15562 L
s
.02062 .18382 m
.02437 .18382 L
s
.02062 .21201 m
.02437 .21201 L
s
.02062 .26839 m
.02437 .26839 L
s
.02062 .29658 m
.02437 .29658 L
s
.02062 .32478 m
.02437 .32478 L
s
.02062 .38116 m
.02437 .38116 L
s
.02062 .40935 m
.02437 .40935 L
s
.02062 .43754 m
.02437 .43754 L
s
.02062 .49393 m
.02437 .49393 L
s
.02062 .52212 m
.02437 .52212 L
s
.02062 .55031 m
.02437 .55031 L
s
.02062 .6067 m
.02437 .6067 L
s
.25 Mabswid
.02062 0 m
.02062 .61803 L
s
.5 Mabswid
.02381 .60332 m
.02499 .32987 L
.02605 .21855 L
.02729 .15045 L
.02846 .11328 L
.02954 .09103 L
.03053 .07658 L
.03163 .065 L
.03279 .05596 L
.03395 .04914 L
.0352 .04355 L
.03746 .0364 L
.03884 .03328 L
.04016 .0309 L
.04262 .02752 L
.045 .02517 L
.04753 .02332 L
.04993 .02199 L
.0521 .02103 L
.05466 .02013 L
.05743 .01936 L
.06244 .01832 L
.06508 .01791 L
.06753 .01759 L
.07312 .01702 L
.07856 .01661 L
.08439 .01628 L
.08981 .01604 L
.09495 .01587 L
.10458 .01561 L
.11423 .01544 L
.12449 .0153 L
.13324 .01521 L
.14291 .01513 L
.16226 .01501 L
.17314 .01497 L
.18311 .01493 L
.20204 .01488 L
.22274 .01484 L
.24235 .01482 L
.2633 .01479 L
.28464 .01478 L
.3048 .01476 L
.34326 .01474 L
.36314 .01474 L
.38418 .01473 L
.40375 .01473 L
.42207 .01473 L
.44235 .01472 L
.46089 .01472 L
Mistroke
.47992 .01472 L
.50065 .01472 L
.52036 .01472 L
.54135 .01472 L
.5628 .01472 L
.58298 .01472 L
.6031 .01472 L
.62159 .01472 L
.64205 .01472 L
.66113 .01472 L
.68067 .01472 L
.69915 .01472 L
.71954 .01472 L
.73811 .01472 L
.75637 .01472 L
.77649 .01472 L
.79631 .01472 L
.81733 .01472 L
.83671 .01472 L
.85758 .01472 L
.87766 .01472 L
.89878 .01472 L
.93694 .01472 L
.95593 .01472 L
.97619 .01472 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo003oOolQ
Ool00?moob5oo`00ogoo8Goo003oOolQOol004=oo`8000Aoo`8000Aoo`80021oo`D001moo`D0009o
o`8000Aoo`80021oo`@001moo`@000=oo`8000Aoo`80025oo`8000Moo`00@Woo00@007ooOol000Qo
o`04001oogoo000QOol00`00Oomoo`0QOol00`00Oomoo`07Ool01000Oomoo`007goo00<007ooOol0
87oo00<007ooOol02Goo00@007ooOol001moo`04001oogoo0006Ool0049oo`04001oogoo000;Ool0
0`00Oomoo`0OOol00`00Oomoo`0QOol00`00Oomoo`0:Ool00`00Oomoo`0NOol00`00Oomoo`0POol0
0`00Oomoo`0;Ool00`00Oomoo`0OOol00`00Oomoo`05Ool0049oo`04001oogoo0009Ool2000ROol0
0`00Oomoo`0QOol00`00Oomoo`08Ool2000ROol00`00Oomoo`0POol00`00Oomoo`08Ool2000SOol0
0`00Oomoo`04Ool0049oo`04001oogoo0009Ool00`00Oomoo`0QOol00`00Oomoo`0QOol00`00Oomo
o`08Ool00`00Oomoo`0OOol01000Oomoo`007goo00@007ooOol000Uoo`03001oogoo01moo`04001o
ogoo0006Ool004=oo`8000Yoo`<0021oo`80029oo`8000Yoo`<0021oo`80025oo`8000Yoo`<0021o
o`8000Moo`00ogoo8Goo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007oo
Ool0o7oo000QOol00`00Oomoo`3lOol001]oool000H000008Goo00<007ooOol01Goo1P000Woo00<0
07ooOol01Woo00<007ooOol01Goo00<007ooOol01Goo00<007ooOol01Goo00<007ooOol01Woo00<0
07ooOol01Goo00<007ooOol01Goo00<007ooOol01Goo00<007ooOol01Woo00<007ooOol01Goo00<0
07ooOol01Goo00<007ooOol01Goo00<007ooOol01Woo00<007ooOol01Goo00<007ooOol01Goo00<0
07ooOol01Goo00<007ooOol01Woo00<007ooOol01Goo00<007ooOol01Goo00<007ooOol01Goo00<0
07ooOol01Woo00<007ooOol01Goo00<007ooOol01Goo00<007ooOol01Goo00<007ooOol01Woo00<0
07ooOol01Goo00<007ooOol01Goo00<007ooOol01Goo00<007ooOol01Goo000QOol00`00Oomoo`04
Ool2000POol00`00Oomoo`0VOol00`00Oomoo`0WOol00`00Oomoo`0VOol00`00Oomoo`0VOol00`00
Oomoo`0VOol00`00Oomoo`05Ool0025oo`03001oogoo009oo`800?Qoo`008Goo00<007ooOol00Woo
00<007ooOol0mgoo000QOol01@00Oomoogoo0000nWoo000QOol01@00Oomoogoo0000nWoo000QOol2
0002Ool00`00Oomoo`3hOol0025oo`05001oogooOol0003jOol0025oo`04001oogoo003kOol0025o
o`04001oogoo003kOol0025oo`04001oogoo003kOol0025oo`04001oogoo003kOol0025oo`04001o
ogoo003kOol0025oo`04001oogoo003kOol0025oo`<00?aoo`008Goo00<007oo0000o7oo000QOol0
0`00Ool0003lOol0025oo`03001oo`000?aoo`008Goo00<007oo0000o7oo000QOol00`00Ool0003l
Ool0025oo`03001oo`000?aoo`008Goo0`00o7oo000QOol00`00Ool0003lOol0025oo`03001oo`00
0?aoo`008Goo00<007oo0000o7oo000QOol00`00Ool0003lOol000Moo`@000=oo`8000Aoo`8000Ao
o`8000Eoo`03001oo`000?aoo`001goo00<007ooOol00goo00@007ooOol0009oo`04001oogoo0002
Ool01000Oomoo`0017oo00<007oo0000o7oo0008Ool00`00Oomoo`02Ool01000Oomoo`000Woo00@0
07ooOol0009oo`04001oogoo0004Ool3003lOol000Uoo`05001oogooOol00002Ool01000Oomoo`00
0Woo00@007ooOol0009oo`03001oogoo009oo`03001oo`000?aoo`001goo00@007ooOol0009oo`04
001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000Aoo`800?eoo`0027oo0P0017oo0P0017oo
0P0017oo0P001Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol2003m
Ool0025oo`800?eoo`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000Q
Ool2003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00
oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`00
8Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`002Goo0`000Woo0P0017oo0P0017oo0P001Goo
0P00oGoo000:Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool00`00Oomoo`02
Ool2003mOol000Moo`D00005Ool007ooOol00002Ool01000Oomoo`000Woo00@007ooOol000Aoo`80
0?eoo`001goo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000Ao
o`800?eoo`0027oo00<007oo00000Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`00
17oo0P00oGoo0009Ool20003Ool20004Ool20004Ool20005Ool2003mOol0025oo`800?eoo`008Goo
0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol2003mOol0025oo`800?eo
o`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol2003mOol0025o
o`800?eoo`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol2003m
Ool0025oo`800?eoo`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000Q
Ool2003mOol000Moo`<000Aoo`8000Aoo`8000Aoo`8000Eoo`800?eoo`001goo00@007ooOol0009o
o`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000Aoo`800?eoo`001goo00@007ooOol0
009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000Aoo`800?eoo`001goo0`000goo
00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`0017oo0P00oGoo0008Ool00`00Oomoo`02
Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0004Ool2003mOol000Qoo`<000=oo`80
00Aoo`8000Aoo`8000Eoo`800?eoo`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo
0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol2003mOol0025oo`800?eo
o`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol2003mOol0025o
o`800?eoo`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol2003m
Ool0025oo`800?eoo`008Goo0P00oGoo000QOol2003mOol000Qoo`8000Aoo`8000Aoo`8000Aoo`80
00Eoo`800?eoo`001goo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007oo
Ool000Aoo`800?eoo`001goo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000Woo00@0
07ooOol000Aoo`800?eoo`0027oo0P000goo00@007ooOol0009oo`04001oogoo0002Ool01000Oomo
o`0017oo0P00oGoo0007Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool01000
Oomoo`0017oo0P00oGoo0008Ool20004Ool20004Ool20004Ool20005Ool2003mOol0025oo`800?eo
o`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol2003mOol0025o
o`800?eoo`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol2003m
Ool0025oo`800?eoo`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00oGoo000Q
Ool2003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol2003mOol0025oo`800?eoo`008Goo0P00
oGoo00000goo000000030002Ool20004Ool20004Ool20004Ool20005Ool2003mOol000=oo`05001o
ogooOol00002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool00`00Oomoo`02
Ool2003mOol000=oo`05001oogooOol00002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001o
ogoo0002Ool00`00Oomoo`02Ool2003mOol000=oo`05001oogooOol00002Ool01000Oomoo`000Woo
00@007ooOol0009oo`04001oogoo0002Ool00`00Oomoo`02Ool2003mOol000=oo`05001oogooOol0
0002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool00`00Oomoo`02Ool2003m
Ool0009oo`8000Aoo`8000Aoo`8000Aoo`8000Aoo`8000Eoo`800?eoo`008Goo0P00oGoo000QOol2
003mOol0025oo`800?eoo`008Goo0P00oGoo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?ao
o`008Goo00<007ooOol0o7oo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol00001\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.402779, -1124.08, \
0.0121169, 68.4499}}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
2.77556e-017 0.333333 -2.78115 3.09017 [
[.16667 -0.0125 -11 -12.75 ]
[.16667 -0.0125 11 0 ]
[.33333 -0.0125 -11 -12.75 ]
[.33333 -0.0125 11 0 ]
[.5 -0.0125 -11 -12.75 ]
[.5 -0.0125 11 0 ]
[.66667 -0.0125 -11 -12.75 ]
[.66667 -0.0125 11 0 ]
[.83333 -0.0125 -11 -12.75 ]
[.83333 -0.0125 11 0 ]
[1 -0.0125 -11 -12.75 ]
[1 -0.0125 11 0 ]
[1.025 0 0 -6.375 ]
[1.025 0 10 6.375 ]
[-0.0125 .15451 -28 -6.375 ]
[-0.0125 .15451 0 6.375 ]
[-0.0125 .30902 -28 -6.375 ]
[-0.0125 .30902 0 6.375 ]
[-0.0125 .46353 -28 -6.375 ]
[-0.0125 .46353 0 6.375 ]
[-0.0125 .61803 -28 -6.375 ]
[-0.0125 .61803 0 6.375 ]
[.5 .63053 -59 0 ]
[.5 .63053 59 12.75 ]
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.002 w
[ ] 0 setdash
.16667 0 m
.16667 .00625 L
s
gsave
.16667 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.33333 0 m
.33333 .00625 L
s
gsave
.33333 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.0) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.66667 0 m
.66667 .00625 L
s
gsave
.66667 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.0) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.83333 0 m
.83333 .00625 L
s
gsave
.83333 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.5) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3.0) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
.03333 0 m
.03333 .00313 L
s
.06667 0 m
.06667 .00313 L
s
.1 0 m
.1 .00313 L
s
.13333 0 m
.13333 .00313 L
s
.2 0 m
.2 .00313 L
s
.23333 0 m
.23333 .00313 L
s
.26667 0 m
.26667 .00313 L
s
.3 0 m
.3 .00313 L
s
.36667 0 m
.36667 .00313 L
s
.4 0 m
.4 .00313 L
s
.43333 0 m
.43333 .00313 L
s
.46667 0 m
.46667 .00313 L
s
.53333 0 m
.53333 .00313 L
s
.56667 0 m
.56667 .00313 L
s
.6 0 m
.6 .00313 L
s
.63333 0 m
.63333 .00313 L
s
.7 0 m
.7 .00313 L
s
.73333 0 m
.73333 .00313 L
s
.76667 0 m
.76667 .00313 L
s
.8 0 m
.8 .00313 L
s
.86667 0 m
.86667 .00313 L
s
.9 0 m
.9 .00313 L
s
.93333 0 m
.93333 .00313 L
s
.96667 0 m
.96667 .00313 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
1.025 0 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
69.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.002 w
0 .15451 m
.00625 .15451 L
s
gsave
-0.0125 .15451 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.95) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.00) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .46353 m
.00625 .46353 L
s
gsave
-0.0125 .46353 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.05) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.10) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
0 .0309 m
.00313 .0309 L
s
0 .0618 m
.00313 .0618 L
s
0 .09271 m
.00313 .09271 L
s
0 .12361 m
.00313 .12361 L
s
0 .18541 m
.00313 .18541 L
s
0 .21631 m
.00313 .21631 L
s
0 .24721 m
.00313 .24721 L
s
0 .27812 m
.00313 .27812 L
s
0 .33992 m
.00313 .33992 L
s
0 .37082 m
.00313 .37082 L
s
0 .40172 m
.00313 .40172 L
s
0 .43262 m
.00313 .43262 L
s
0 .49443 m
.00313 .49443 L
s
0 .52533 m
.00313 .52533 L
s
0 .55623 m
.00313 .55623 L
s
0 .58713 m
.00313 .58713 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
.5 .63053 -120 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(True) show
93.000 13.000 moveto
(Euler) show
129.000 13.000 moveto
(Equation) show
177.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.42064 .61803 m
.44134 .49195 L
.46074 .40185 L
.48065 .33016 L
.50235 .27034 L
.52298 .22694 L
.54494 .19145 L
.56739 .16375 L
.58851 .14368 L
.60956 .12815 L
.62891 .11686 L
.65032 .107 L
.67029 .09978 L
.69073 .0939 L
.71008 .08951 L
.73142 .08568 L
.75085 .08294 L
.76996 .0808 L
.79102 .07892 L
.81175 .0775 L
.83375 .07631 L
.85404 .07546 L
.87588 .07474 L
.89689 .07421 L
.91899 .07376 L
.95892 .07319 L
.9788 .07299 L
1 .07282 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo003oOolQ
Ool00?moob5oo`00ogoo8Goo0011Ool20004Ool20004Ool2000HOol50002Ool20004Ool2000IOol5
0002Ool20004Ool2000HOol40003Ool20004Ool2000HOol40003Ool20004Ool2000IOol20004Ool2
0004Ool2000=Ool0041oo`04001oogoo0008Ool01000Oomoo`006Goo00<007ooOol01goo00@007oo
Ool001Yoo`03001oogoo00Moo`04001oogoo000GOol00`00Oomoo`09Ool01000Oomoo`005goo00<0
07ooOol02Goo00@007ooOol001Moo`04001oogoo0008Ool01000Oomoo`0037oo0010Ool01000Oomo
o`002goo00<007ooOol05goo00<007ooOol01goo00@007ooOol001Yoo`03001oogoo00Yoo`03001o
ogoo01Ioo`03001oogoo00Qoo`04001oogoo000HOol00`00Oomoo`0;Ool00`00Oomoo`0GOol00`00
Oomoo`07Ool01000Oomoo`0037oo0010Ool01000Oomoo`002Goo0P006Woo00<007ooOol01goo00@0
07ooOol001Yoo`03001oogoo00Qoo`8001Yoo`03001oogoo00Moo`04001oogoo000IOol00`00Oomo
o`08Ool2000KOol00`00Oomoo`06Ool01000Oomoo`0037oo0010Ool01000Oomoo`002Goo00<007oo
Ool06Goo00<007ooOol01goo00@007ooOol001Yoo`03001oogoo00Qoo`03001oogoo01Moo`04001o
ogoo0008Ool01000Oomoo`005goo00@007ooOol000Uoo`03001oogoo01Moo`04001oogoo0008Ool0
1000Oomoo`0037oo0011Ool2000:Ool3000HOol2000:Ool2000JOol2000:Ool3000HOol2000:Ool2
000IOol2000:Ool3000HOol2000:Ool2000=Ool00?moob5oo`00ogoo8Goo003oOolQOol00?moob5o
o`00ogoo5Goo0P0000=oo`0000001goo000QOoo/0008Ool00`00Ool00008Ool0025oo`03001oogoo
00Eoo`03001oogoo00Aoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo
00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Aoo`03001oogoo00Eoo`03001oogoo
00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo
00Aoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo
00Eoo`03001oogoo00Aoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo
00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Aoo`03001oogoo00Eoo`03001oogoo
00Moo`03001oogoo00Moo`008Goo00<007ooOol097oo00<007ooOol097oo00<007ooOol09Goo00<0
07ooOol097oo00<007ooOol097oo00<007ooOol097oo00<007ooOol01Goo0P0000=oo`0000001goo
000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00
Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo0P00oGoo000QOol00`00Oomoo`3lOol0025oo`03
001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?ao
o`008Goo00<007ooOol0o7oo000QOol2003mOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0
fWoo3`004goo000QOol00`00Oomoo`2oOolK000ROol0025oo`03001oogoo0;1oo`l003eoo`008Goo
00<007ooOol0Ygoo2@00C7oo000QOol00`00Oomoo`2ROol5001EOol0025oo`8009moo`@005Yoo`00
8Goo00<007ooOol0W7oo0P00GWoo000QOol00`00Oomoo`2IOol3001POol0025oo`03001oogoo09Io
o`<006=oo`008Goo00<007ooOol0U7oo0P00IWoo000QOol00`00Oomoo`2BOol2001XOol0025oo`03
001oogoo091oo`8006Yoo`008Goo0P00Sgoo0P00K7oo000QOol00`00Oomoo`2<Ool2001^Ool0025o
o`03001oogoo08]oo`03001oogoo06ioo`008Goo00<007ooOol0RGoo0P00LGoo000QOol00`00Oomo
o`28Ool00`00Oomoo`1aOol0025oo`03001oogoo08Moo`03001oogoo079oo`001Woo0P0017oo0P00
0goo0`0017oo0P001goo00<007ooOol0QWoo00<007ooOol0Lgoo0005Ool01000Oomoo`002Woo00D0
07ooOomoo`00009oo`03001oogoo00Aoo`03001oogoo08Eoo`03001oogoo07Aoo`001Goo00@007oo
Ool000Uoo`<000Eoo`03001oogoo00Aoo`8008Eoo`03001oogoo07Eoo`001Goo00@007ooOol000Qo
o`04001oogoo0003Ool20007Ool00`00Oomoo`23Ool00`00Oomoo`1fOol000Eoo`04001oogoo0008
Ool01000Oomoo`000goo00<007ooOol01Woo00<007ooOol0PWoo00<007ooOol0Mgoo0006Ool2000:
Ool30003Ool30006Ool00`00Oomoo`21Ool00`00Oomoo`1hOol0025oo`03001oogoo081oo`03001o
ogoo07Uoo`008Goo00<007ooOol0P7oo00<007ooOol0NGoo000QOol00`00Oomoo`1oOol00`00Oomo
o`1jOol0025oo`8007moo`03001oogoo07]oo`008Goo00<007ooOol0OGoo00<007ooOol0O7oo000Q
Ool00`00Oomoo`1lOol00`00Oomoo`1mOol0025oo`03001oogoo07aoo`03001oogoo07eoo`008Goo
00<007ooOol0Ngoo00<007ooOol0OWoo000QOol00`00Oomoo`1kOol00`00Oomoo`1nOol0025oo`03
001oogoo07Yoo`03001oogoo07moo`008Goo0P00Ngoo00<007ooOol0Ogoo000QOol00`00Oomoo`1i
Ool00`00Oomoo`20Ool0025oo`03001oogoo07Uoo`03001oogoo081oo`008Goo00<007ooOol0N7oo
00<007ooOol0PGoo000QOol00`00Oomoo`1hOol00`00Oomoo`21Ool0025oo`03001oogoo07Moo`03
001oogoo089oo`008Goo00<007ooOol0Mgoo00<007ooOol0PWoo000QOol2001gOol00`00Oomoo`23
Ool0025oo`03001oogoo07Ioo`03001oogoo08=oo`008Goo00<007ooOol0MGoo00<007ooOol0Q7oo
000QOol00`00Oomoo`1eOol00`00Oomoo`24Ool0025oo`03001oogoo07Aoo`03001oogoo08Eoo`00
8Goo00<007ooOol0M7oo00<007ooOol0QGoo000QOol00`00Oomoo`1cOol00`00Oomoo`26Ool0025o
o`03001oogoo07=oo`03001oogoo08Ioo`008Goo0P00Lgoo00<007ooOol0Qgoo000QOol00`00Oomo
o`1bOol00`00Oomoo`27Ool0025oo`03001oogoo079oo`03001oogoo08Moo`008Goo00<007ooOol0
LGoo00<007ooOol0R7oo000QOol00`00Oomoo`1aOol00`00Oomoo`28Ool000Eoo`D0009oo`8000Ao
o`8000Aoo`8000Moo`03001oogoo075oo`03001oogoo08Qoo`001goo00<007ooOol01goo00@007oo
Ool0009oo`04001oogoo0006Ool00`00Oomoo`1`Ool00`00Oomoo`29Ool000Moo`03001oogoo00Mo
o`04001oogoo0002Ool01000Oomoo`001Woo0P00LGoo00<007ooOol0RGoo0007Ool00`00Oomoo`07
Ool01000Oomoo`000Woo00@007ooOol000Ioo`03001oogoo06moo`03001oogoo08Yoo`001goo00<0
07ooOol01goo00@007ooOol0009oo`04001oogoo0006Ool00`00Oomoo`1_Ool00`00Oomoo`2:Ool0
00Ioo`8000Yoo`8000Aoo`8000Moo`03001oogoo06moo`03001oogoo08Yoo`008Goo00<007ooOol0
KWoo00<007ooOol0Rgoo000QOol00`00Oomoo`1^Ool00`00Oomoo`2;Ool0025oo`03001oogoo06io
o`03001oogoo08]oo`008Goo0P00KWoo00<007ooOol0S7oo000QOol00`00Oomoo`1]Ool00`00Oomo
o`2<Ool0025oo`03001oogoo06eoo`03001oogoo08aoo`008Goo00<007ooOol0KGoo00<007ooOol0
S7oo000QOol00`00Oomoo`1/Ool00`00Oomoo`2=Ool0025oo`03001oogoo06aoo`03001oogoo08eo
o`008Goo00<007ooOol0K7oo00<007ooOol0SGoo000QOol00`00Oomoo`1[Ool00`00Oomoo`2>Ool0
025oo`8006aoo`03001oogoo08ioo`008Goo00<007ooOol0Jgoo00<007ooOol0SWoo000QOol00`00
Oomoo`1ZOol00`00Oomoo`2?Ool0025oo`03001oogoo06Yoo`03001oogoo08moo`008Goo00<007oo
Ool0JWoo00<007ooOol0Sgoo000QOol00`00Oomoo`1ZOol00`00Oomoo`2?Ool0025oo`03001oogoo
06Uoo`03001oogoo091oo`008Goo0P00JWoo00<007ooOol0T7oo000QOol00`00Oomoo`1YOol00`00
Oomoo`2@Ool0025oo`03001oogoo06Uoo`03001oogoo091oo`008Goo00<007ooOol0J7oo00<007oo
Ool0TGoo000QOol00`00Oomoo`1XOol00`00Oomoo`2AOol0025oo`03001oogoo06Qoo`03001oogoo
095oo`008Goo00<007ooOol0J7oo00<007ooOol0TGoo000QOol2001YOol00`00Oomoo`2AOol0025o
o`03001oogoo06Moo`03001oogoo099oo`008Goo00<007ooOol0Igoo00<007ooOol0TWoo000QOol0
0`00Oomoo`1WOol00`00Oomoo`2BOol0025oo`03001oogoo06Moo`03001oogoo099oo`008Goo00<0
07ooOol0Igoo00<007ooOol0TWoo0005Ool50002Ool20004Ool20004Ool20007Ool00`00Oomoo`1W
Ool00`00Oomoo`2BOol000Moo`03001oogoo00Moo`04001oogoo0002Ool01000Oomoo`001Woo0P00
Igoo00<007ooOol0Tgoo0007Ool00`00Oomoo`07Ool01000Oomoo`001Goo00<007ooOol017oo00<0
07ooOol0IWoo00<007ooOol0Tgoo0007Ool00`00Oomoo`07Ool01000Oomoo`000goo0P001goo00<0
07ooOol0IWoo00<007ooOol0Tgoo0007Ool00`00Oomoo`07Ool01000Oomoo`000goo00<007ooOol0
1Woo00<007ooOol0IWoo00<007ooOol0Tgoo0006Ool2000:Ool20004Ool30006Ool00`00Oomoo`1V
Ool00`00Oomoo`2COol0025oo`03001oogoo06Eoo`03001oogoo09Aoo`008Goo00<007ooOol0IGoo
00<007ooOol0U7oo000QOol00`00Oomoo`1UOol00`00Oomoo`2DOol0025oo`8006Ioo`03001oogoo
09Aoo`008Goo00<007ooOol0IGoo00<007ooOol0U7oo000QOol00`00Oomoo`1UOol00`00Oomoo`2D
Ool0025oo`03001oogoo06Aoo`03001oogoo09Eoo`008Goo00<007ooOol0I7oo00<007ooOol0UGoo
000QOol00`00Oomoo`1TOol00`00Oomoo`2EOol0025oo`03001oogoo06Aoo`03001oogoo09Eoo`00
8Goo0P00IGoo00<007ooOol0UGoo000QOol00`00Oomoo`1TOol00`00Oomoo`2EOol0025oo`03001o
ogoo06=oo`03001oogoo09Ioo`008Goo00<007ooOol0Hgoo00<007ooOol0UWoo000QOol00`00Oomo
o`1SOol00`00Oomoo`2FOol0025oo`03001oogoo06=oo`03001oogoo09Ioo`008Goo00<007ooOol0
Hgoo00<007ooOol0UWoo000QOol2001TOol00`00Oomoo`2FOol0025oo`03001oogoo069oo`03001o
ogoo09Moo`008Goo00<007ooOol0HWoo00<007ooOol0Ugoo000QOol00`00Oomoo`1ROol00`00Oomo
o`2GOol0025oo`03001oogoo069oo`03001oogoo09Moo`008Goo00<007ooOol0HWoo00<007ooOol0
Ugoo000QOol00`00Oomoo`1ROol00`00Oomoo`2GOol0025oo`03001oogoo065oo`03001oogoo09Qo
o`008Goo0P00HWoo00<007ooOol0V7oo000QOol00`00Oomoo`1QOol00`00Oomoo`2HOol0025oo`03
001oogoo065oo`03001oogoo09Qoo`008Goo00<007ooOol0HGoo00<007ooOol0V7oo000QOol00`00
Oomoo`1QOol00`00Oomoo`2HOol000Eoo`D0009oo`8000=oo`D0009oo`8000Moo`03001oogoo061o
o`03001oogoo09Uoo`001goo00<007ooOol02Goo00D007ooOomoo`00009oo`03001oogoo00Aoo`03
001oogoo061oo`03001oogoo09Uoo`001goo00<007ooOol02Goo00D007ooOomoo`00009oo`03001o
ogoo00Aoo`80065oo`03001oogoo09Uoo`001goo00<007ooOol02Goo00D007ooOomoo`00009oo`03
001oogoo0?moo`Aoo`001goo00<007ooOol02Goo00D007ooOomoo`00009oo`03001oogoo0?moo`Ao
o`001Woo0P002Woo0P0017oo0P00ogoo1goo003oOolQOol00:Uoo`<007Aoo`00ZWoo00<007ooOol0
Lgoo001OOol30003Ool40003Ool40002Ool30007Ool50003Ool4000017oo0000000017oo0`000Woo
10001goo1@000goo0`000goo100000=oo`0000000`000Woo0P0017oo0`000goo0P000Woo0P000Woo
0P00D7oo001POol00`00Oomoo`03Ool00`00Oomoo`02Ool01000Oomoo`000Woo00<007ooOol02Goo
00@007ooOol0009oo`04001oogoo0003Ool00`00Oomoo`02Ool00`00Oomoo`04Ool00`00Oomoo`08
Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool40002Ool01000Oomoo`0017oo
00D007ooOomoo`00009oo`04001oogoo0002Ool00`00Oomoo`1?Ool0061oo`03001oogoo00=oo`03
001oogoo009oo`04001oogoo0002Ool40008Ool00`00Oomoo`03Ool01000Oomoo`000goo00<007oo
Ool00Woo10000goo00<007ooOol027oo00<007ooOol00goo00@007ooOol0009oo`04001oogoo0005
Ool01000Oomoo`001goo00D007ooOomoo`00009oo`04001oogoo0002Ool00`00Oomoo`1?Ool0061o
o`03001oogoo009oo`@00004Ool00000Ool20003Ool20009Ool20003Ool200000goo00000003Ool0
0`00Oomoo`03Ool20003Ool40008Ool20005Ool600000goo00000003Ool300000goo000000030003
Ool20004Ool20002Ool4001BOol005ioo`05001oo`00Ool0000JOol01000Oomoo`002Goo00<007oo
Ool057oo00@007ooOol001Aoo`03001oogoo06Aoo`00GWoo1@006Goo1@0027oo0P005Goo1@0077oo
00<007ooOol0G7oo003oOolQOol00?moob5oo`00ogoo8Goo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.423895, 0.878433, \
0.0127387, 0.0013741}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Euler[1]\)], "Input"],

Cell[BoxData[
    \(Euler[1]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Euler[1, LifeLength - 1]\)], "Input"],

Cell[BoxData[
    \(1.3981862641638043`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?Euler\)\)], "Input"],

Cell[BoxData[
    \("Global`Euler"\)], "Print"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {GridBox[{
                {\(Euler[xt_, LifePosn_] := 
                    Block[{}, ctVal = ctSplice[xt, LifePosn]; 
                      stVal = xt - ctVal; 
                      Return[\((R\ beta)\)\ \(\[Sum]\+\(i = \
1\)\%\(Length[TranShockVals]\)\(\[Sum]\+\(j = \
1\)\%\(Length[PermShockVals]\)TranShockProbs\[LeftDoubleBracket]
                                  i\[RightDoubleBracket]\ PermShockProbs\
\[LeftDoubleBracket]
                                  j\[RightDoubleBracket]\ \
\((\(1\/ctVal\)\((\((G\[LeftDoubleBracket]LifePosn + 
                                        1\[RightDoubleBracket]\ PermShockVals\
\[LeftDoubleBracket]
                                        j\[RightDoubleBracket])\)\ \
ct[\(RFunc[stVal]\ stVal\)\/\(G\[LeftDoubleBracket]LifePosn + 1\
\[RightDoubleBracket]\ \
PermShockVals\[LeftDoubleBracket]j\[RightDoubleBracket]\) + 
                                        TranShockVals\[LeftDoubleBracket]
                                        i\[RightDoubleBracket], 
                                        LifePosn + 
                                        1])\))\)^\((\(-rho\))\)\)\)]; ]\)}
                },
              GridBaseline->{Baseline, {1, 1}},
              ColumnWidths->0.999,
              ColumnAlignments->{Left}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      Definition[ Euler],
      Editable->False]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(G[\([2]\)]\)], "Input"],

Cell[BoxData[
    \(1.04`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RFunc[1]\)], "Input"],

Cell[BoxData[
    \(1.02`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RFunc[0]\)], "Input"],

Cell[BoxData[
    \(1.02`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TranShockVals\  . \ TranShockProbs\)], "Input"],

Cell[BoxData[
    \(1.0000000000000253`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PermShockVals\  . \ PermShockProbs\)], "Input"],

Cell[BoxData[
    \(1.0000000000000255`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ctSplice[1, 1]\)], "Input"],

Cell[BoxData[
    \(0.8387817374669349`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ct[1, 1]\)], "Input"],

Cell[BoxData[
    \(0.8387817374669349`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(beta\)], "Input"],

Cell[BoxData[
    \(0.96`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(R\)], "Input"],

Cell[BoxData[
    \(1.02`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< impatience.m\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Euler[1, 1]\)], "Input"],

Cell[BoxData[
    \(1.46056216532499`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Euler[4, 1]\)], "Input"],

Cell[BoxData[
    \(0.9233443482724865`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot[ct[x, 1], {x, 0, 3}]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.31746 0.0147151 0.558016 [
[.18254 .00222 -9 -9 ]
[.18254 .00222 9 0 ]
[.34127 .00222 -3 -9 ]
[.34127 .00222 3 0 ]
[.5 .00222 -9 -9 ]
[.5 .00222 9 0 ]
[.65873 .00222 -3 -9 ]
[.65873 .00222 3 0 ]
[.81746 .00222 -9 -9 ]
[.81746 .00222 9 0 ]
[.97619 .00222 -3 -9 ]
[.97619 .00222 3 0 ]
[.01131 .12632 -18 -4.5 ]
[.01131 .12632 0 4.5 ]
[.01131 .23792 -18 -4.5 ]
[.01131 .23792 0 4.5 ]
[.01131 .34952 -18 -4.5 ]
[.01131 .34952 0 4.5 ]
[.01131 .46113 -18 -4.5 ]
[.01131 .46113 0 4.5 ]
[.01131 .57273 -6 -4.5 ]
[.01131 .57273 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.18254 .01472 m
.18254 .02097 L
s
[(0.5)] .18254 .00222 0 1 Mshowa
.34127 .01472 m
.34127 .02097 L
s
[(1)] .34127 .00222 0 1 Mshowa
.5 .01472 m
.5 .02097 L
s
[(1.5)] .5 .00222 0 1 Mshowa
.65873 .01472 m
.65873 .02097 L
s
[(2)] .65873 .00222 0 1 Mshowa
.81746 .01472 m
.81746 .02097 L
s
[(2.5)] .81746 .00222 0 1 Mshowa
.97619 .01472 m
.97619 .02097 L
s
[(3)] .97619 .00222 0 1 Mshowa
.125 Mabswid
.05556 .01472 m
.05556 .01847 L
s
.0873 .01472 m
.0873 .01847 L
s
.11905 .01472 m
.11905 .01847 L
s
.15079 .01472 m
.15079 .01847 L
s
.21429 .01472 m
.21429 .01847 L
s
.24603 .01472 m
.24603 .01847 L
s
.27778 .01472 m
.27778 .01847 L
s
.30952 .01472 m
.30952 .01847 L
s
.37302 .01472 m
.37302 .01847 L
s
.40476 .01472 m
.40476 .01847 L
s
.43651 .01472 m
.43651 .01847 L
s
.46825 .01472 m
.46825 .01847 L
s
.53175 .01472 m
.53175 .01847 L
s
.56349 .01472 m
.56349 .01847 L
s
.59524 .01472 m
.59524 .01847 L
s
.62698 .01472 m
.62698 .01847 L
s
.69048 .01472 m
.69048 .01847 L
s
.72222 .01472 m
.72222 .01847 L
s
.75397 .01472 m
.75397 .01847 L
s
.78571 .01472 m
.78571 .01847 L
s
.84921 .01472 m
.84921 .01847 L
s
.88095 .01472 m
.88095 .01847 L
s
.9127 .01472 m
.9127 .01847 L
s
.94444 .01472 m
.94444 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .12632 m
.03006 .12632 L
s
[(0.2)] .01131 .12632 1 0 Mshowa
.02381 .23792 m
.03006 .23792 L
s
[(0.4)] .01131 .23792 1 0 Mshowa
.02381 .34952 m
.03006 .34952 L
s
[(0.6)] .01131 .34952 1 0 Mshowa
.02381 .46113 m
.03006 .46113 L
s
[(0.8)] .01131 .46113 1 0 Mshowa
.02381 .57273 m
.03006 .57273 L
s
[(1)] .01131 .57273 1 0 Mshowa
.125 Mabswid
.02381 .04262 m
.02756 .04262 L
s
.02381 .07052 m
.02756 .07052 L
s
.02381 .09842 m
.02756 .09842 L
s
.02381 .15422 m
.02756 .15422 L
s
.02381 .18212 m
.02756 .18212 L
s
.02381 .21002 m
.02756 .21002 L
s
.02381 .26582 m
.02756 .26582 L
s
.02381 .29372 m
.02756 .29372 L
s
.02381 .32162 m
.02756 .32162 L
s
.02381 .37743 m
.02756 .37743 L
s
.02381 .40533 m
.02756 .40533 L
s
.02381 .43323 m
.02756 .43323 L
s
.02381 .48903 m
.02756 .48903 L
s
.02381 .51693 m
.02756 .51693 L
s
.02381 .54483 m
.02756 .54483 L
s
.02381 .60063 m
.02756 .60063 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .0792 L
.10458 .14796 L
.14415 .20955 L
.18221 .26717 L
.22272 .32672 L
.26171 .38185 L
.30316 .43701 L
.34309 .48479 L
.3815 .523 L
.40095 .53866 L
.42237 .55288 L
.46172 .57174 L
.48113 .57832 L
.502 .5839 L
.52314 .58828 L
.54323 .59153 L
.56326 .59406 L
.58142 .59589 L
.60109 .59747 L
.62207 .59879 L
.64131 .59975 L
.66213 .60056 L
.68207 .60117 L
.70314 .60167 L
.72277 .60204 L
.74111 .60231 L
.75974 .60253 L
.78002 .60271 L
.80126 .60287 L
.82138 .60298 L
.84115 .60306 L
.86216 .60313 L
.89991 .60322 L
.91926 .60326 L
.94011 .60328 L
.97619 .60332 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo000iOol2
0004Ool20004Ool2000ROol5000POol50002Ool20004Ool2000SOol4000QOol40003Ool20004Ool2
000SOol20007Ool003Qoo`04001oogoo0008Ool01000Oomoo`008goo00<007ooOol08Woo00<007oo
Ool01goo00@007ooOol0029oo`03001oogoo029oo`03001oogoo00Uoo`04001oogoo000QOol01000
Oomoo`001Woo000hOol01000Oomoo`002goo00<007ooOol08Goo00<007ooOol08Woo00<007ooOol0
2Woo00<007ooOol08Goo00<007ooOol08Woo00<007ooOol02goo00<007ooOol08Goo00<007ooOol0
1Goo000hOol01000Oomoo`002Goo0P0097oo00<007ooOol08Woo00<007ooOol027oo0P009Goo00<0
07ooOol08Woo00<007ooOol027oo0P009Goo00<007ooOol017oo000hOol01000Oomoo`002Goo00<0
07ooOol08goo00<007ooOol08Woo00<007ooOol027oo00<007ooOol08Woo00@007ooOol0025oo`04
001oogoo0009Ool00`00Oomoo`0QOol01000Oomoo`001Woo000iOol2000:Ool3000ROol2000SOol2
000:Ool3000SOol2000SOol2000:Ool3000ROol20007Ool00?moob5oo`005Goo00<007ooOol0ogoo
2Goo000EOol00`00Oomoo`3oOol9Ool001Eoo`03001oogoo0?moo`Uoo`005Goo00<007ooOol0ogoo
2Goo000>Oooo000C000001Eoo`8000Moo`03001oogoo00Eoo`03001oogoo00Ioo`03001oogoo00Eo
o`03001oogoo00Ioo`03001oogoo00Ioo`03001oogoo00Eoo`03001oogoo00Ioo`03001oogoo00Io
o`03001oogoo00Eoo`03001oogoo00Ioo`03001oogoo00Ioo`03001oogoo00Eoo`03001oogoo00Io
o`03001oogoo00Eoo`03001oogoo00Ioo`03001oogoo00Ioo`03001oogoo00Eoo`03001oogoo00Io
o`03001oogoo00Ioo`03001oogoo00Eoo`03001oogoo00Ioo`03001oogoo00Ioo`03001oogoo00Eo
o`03001oogoo00Ioo`03001oogoo00Eoo`03001oogoo00Ioo`03001oogoo00Ioo`03001oogoo00Eo
o`03001oogoo00Ioo`03001oogoo00Eoo`005Goo0P00:Goo00<007ooOol0:7oo00<007ooOol0:7oo
00<007ooOol0:Goo00<007ooOol0:7oo00<007ooOol0:7oo00<007ooOol01Goo000EOol00`00Ool0
003oOol9Ool001Eoo`03001oo`000?moo`Uoo`005Goo00@007ooOol00?moo`Qoo`005Goo00@007oo
Ool00?moo`Qoo`005Goo00D007ooOomoo`000?moo`Moo`005Goo0P000Woo00<007ooOol0ogoo1Goo
000EOol00`00Oomoo`02Ool00`00Oomoo`3oOol4Ool001Eoo`03001oogoo00=oo`03001oogoo0?mo
o`=oo`005Goo00<007ooOol00goo00<007ooOol0ogoo0goo000EOol00`00Oomoo`04Ool00`00Oomo
o`3oOol2Ool001Eoo`03001oogoo00Aoo`03001oogoo0?moo`9oo`005Goo00<007ooOol01Goo00<0
07ooOol0ogoo0Goo000EOol20006Ool00`00Oomoo`3oOol1Ool001Eoo`03001oogoo00Ioo`03001o
ogoo0?moo`005Goo00<007ooOol01Woo00<007ooOol0ogoo000EOol00`00Oomoo`07Ool00`00Oomo
o`3nOol001Eoo`03001oogoo00Qoo`03001oogoo0?eoo`005Goo00<007ooOol027oo00<007ooOol0
oGoo000EOol00`00Oomoo`09Ool00`00Oomoo`3lOol001Eoo`03001oogoo00Yoo`03001oogoo0?]o
o`005Goo0P002goo00<007ooOol0ngoo000EOol00`00Oomoo`0;Ool00`00Oomoo`3jOol001Eoo`03
001oogoo00aoo`03001oogoo0?Uoo`005Goo00<007ooOol037oo00<007ooOol0nGoo000EOol00`00
Oomoo`0=Ool00`00Oomoo`3hOol001Eoo`03001oogoo00ioo`03001oogoo0?Moo`000Woo0P0017oo
0P000goo100017oo00<007ooOol03Woo00<007ooOol0mgoo00001Goo001oogoo000027oo00<007oo
Ool01Goo00<007ooOol03goo00<007ooOol0mWoo00001Goo001oogoo00002Goo00<007ooOol017oo
0`0047oo00<007ooOol0mGoo00001Goo001oogoo00002Woo00<007ooOol00goo00<007ooOol047oo
00<007ooOol0mGoo00001Goo001oogoo000027oo00@007ooOol000Aoo`03001oogoo015oo`03001o
ogoo0?Aoo`000Woo0P002Woo0P001Goo00<007ooOol04Woo00<007ooOol0lgoo000EOol00`00Oomo
o`0BOol00`00Oomoo`3cOol001Eoo`03001oogoo01=oo`03001oogoo0?9oo`005Goo00<007ooOol0
57oo00<007ooOol0lGoo000EOol2000EOol00`00Oomoo`3aOol001Eoo`03001oogoo01Eoo`03001o
ogoo0?1oo`005Goo00<007ooOol05Woo00<007ooOol0kgoo000EOol00`00Oomoo`0FOol00`00Oomo
o`3_Ool001Eoo`03001oogoo01Moo`03001oogoo0>ioo`005Goo00<007ooOol067oo00<007ooOol0
kGoo000EOol00`00Oomoo`0HOol00`00Oomoo`3]Ool001Eoo`03001oogoo01Uoo`03001oogoo0>ao
o`005Goo0P006Woo00<007ooOol0k7oo000EOol00`00Oomoo`0JOol00`00Oomoo`3[Ool001Eoo`03
001oogoo01]oo`03001oogoo0>Yoo`005Goo00<007ooOol06goo00<007ooOol0jWoo000EOol00`00
Oomoo`0LOol00`00Oomoo`3YOol001Eoo`03001oogoo01eoo`03001oogoo0>Qoo`005Goo00<007oo
Ool07Goo00<007ooOol0j7oo000EOol2000OOol00`00Oomoo`3WOol001Eoo`03001oogoo01moo`03
001oogoo0>Ioo`005Goo00<007ooOol07goo00<007ooOol0iWoo000EOol00`00Oomoo`0POol00`00
Oomoo`3UOol001Eoo`03001oogoo025oo`03001oogoo0>Aoo`005Goo00<007ooOol08Goo00<007oo
Ool0i7oo0002Ool20004Ool20005Ool30003Ool00`00Oomoo`0ROol00`00Oomoo`3SOol00005Ool0
07ooOol0000;Ool00`00Oomoo`02Ool00`00Oomoo`0ROol00`00Oomoo`3SOol00005Ool007ooOol0
0008Ool50003Ool3000SOol00`00Oomoo`3ROol00005Ool007ooOol00008Ool01000Oomoo`0017oo
00<007ooOol097oo00<007ooOol0hGoo00001Goo001oogoo00002Goo00<007oo000017oo00<007oo
Ool097oo00<007ooOol0hGoo0002Ool2000;Ool20004Ool00`00Oomoo`0UOol00`00Oomoo`3POol0
01Eoo`03001oogoo02Ioo`03001oogoo0=moo`005Goo00<007ooOol09Woo00<007ooOol0ggoo000E
Ool00`00Oomoo`0WOol00`00Oomoo`3NOol001Eoo`8002Qoo`03001oogoo0=ioo`005Goo00<007oo
Ool0:7oo00<007ooOol0gGoo000EOol00`00Oomoo`0YOol00`00Oomoo`3LOol001Eoo`03001oogoo
02Uoo`03001oogoo0=aoo`005Goo00<007ooOol0:Woo00<007ooOol0fgoo000EOol00`00Oomoo`0[
Ool00`00Oomoo`3JOol001Eoo`03001oogoo02]oo`03001oogoo0=Yoo`005Goo00<007ooOol0;7oo
00<007ooOol0fGoo000EOol2000^Ool00`00Oomoo`3HOol001Eoo`03001oogoo02ioo`03001oogoo
0=Moo`005Goo00<007ooOol0;Woo00<007ooOol0egoo000EOol00`00Oomoo`0_Ool00`00Oomoo`3F
Ool001Eoo`03001oogoo031oo`03001oogoo0=Eoo`005Goo00<007ooOol0<7oo00<007ooOol0eGoo
000EOol00`00Oomoo`0aOol00`00Oomoo`3DOol001Eoo`03001oogoo039oo`03001oogoo0==oo`00
5Goo0P00<goo00<007ooOol0dgoo000EOol00`00Oomoo`0cOol00`00Oomoo`3BOol001Eoo`03001o
ogoo03Aoo`03001oogoo0=5oo`005Goo00<007ooOol0=7oo00<007ooOol0dGoo000EOol00`00Oomo
o`0eOol00`00Oomoo`3@Ool0009oo`8000Aoo`8000=oo`<000Eoo`03001oogoo03Ioo`03001oogoo
0<moo`0000Eoo`00Oomoo`0000Qoo`04001oogoo0004Ool00`00Oomoo`0gOol00`00Oomoo`3>Ool0
0005Ool007ooOol00008Ool01000Oomoo`0017oo0`00=goo00<007ooOol0cWoo00001Goo001oogoo
000027oo0`001Goo00<007ooOol0>7oo00<007ooOol0cGoo00001Goo001oogoo00002Goo00<007oo
Ool017oo00<007ooOol0>Goo00<007ooOol0c7oo0002Ool2000:Ool30004Ool00`00Oomoo`0jOol0
0`00Oomoo`3;Ool001Eoo`03001oogoo03Yoo`03001oogoo0<]oo`005Goo00<007ooOol0>goo00<0
07ooOol0bWoo000EOol00`00Oomoo`0lOol00`00Oomoo`39Ool001Eoo`03001oogoo03eoo`03001o
ogoo0<Qoo`005Goo0P00?Woo00<007ooOol0b7oo000EOol00`00Oomoo`0nOol00`00Oomoo`37Ool0
01Eoo`03001oogoo03moo`03001oogoo0<Ioo`005Goo00<007ooOol0?goo00<007ooOol0aWoo000E
Ool00`00Oomoo`10Ool00`00Oomoo`35Ool001Eoo`03001oogoo045oo`03001oogoo0<Aoo`005Goo
00<007ooOol0@Woo00<007ooOol0`goo000EOol20013Ool00`00Oomoo`33Ool001Eoo`03001oogoo
04=oo`03001oogoo0<9oo`005Goo00<007ooOol0A7oo00<007ooOol0`Goo000EOol00`00Oomoo`15
Ool00`00Oomoo`30Ool001Eoo`03001oogoo04Eoo`03001oogoo0<1oo`005Goo00<007ooOol0AWoo
00<007ooOol0_goo000EOol00`00Oomoo`17Ool00`00Oomoo`2nOol001Eoo`03001oogoo04Qoo`03
001oogoo0;eoo`005Goo0P00BGoo00<007ooOol0_Goo000EOol00`00Oomoo`19Ool00`00Oomoo`2l
Ool001Eoo`03001oogoo04Yoo`03001oogoo0;]oo`005Goo00<007ooOol0Bgoo00<007ooOol0^Woo
000EOol00`00Oomoo`1<Ool00`00Oomoo`2iOol001Eoo`03001oogoo04aoo`03001oogoo0;Uoo`00
0Woo0P0017oo0P0017oo0P001Goo00<007ooOol0CGoo00<007ooOol0^7oo00001Goo001oogoo0000
27oo00@007ooOol000Aoo`03001oogoo04ioo`03001oogoo0;Moo`0000Eoo`00Oomoo`0000Qoo`04
001oogoo0004Ool3001?Ool00`00Oomoo`2fOol00005Ool007ooOol00009Ool20005Ool00`00Oomo
o`1@Ool00`00Oomoo`2eOol00005Ool007ooOol00008Ool01000Oomoo`0017oo00<007ooOol0DGoo
00<007ooOol0]7oo0002Ool2000:Ool20005Ool00`00Oomoo`1AOol00`00Oomoo`2dOol001Eoo`03
001oogoo059oo`03001oogoo0;=oo`005Goo00<007ooOol0Dgoo00<007ooOol0/Woo000EOol00`00
Oomoo`1DOol00`00Oomoo`2aOol001Eoo`8005Ioo`03001oogoo0;1oo`005Goo00<007ooOol0EWoo
00<007ooOol0[goo000EOol00`00Oomoo`1GOol00`00Oomoo`2^Ool001Eoo`03001oogoo05Qoo`03
001oogoo0:eoo`005Goo00<007ooOol0FGoo00<007ooOol0[7oo000EOol00`00Oomoo`1JOol00`00
Oomoo`2[Ool001Eoo`03001oogoo05]oo`03001oogoo0:Yoo`005Goo00<007ooOol0G7oo00<007oo
Ool0ZGoo000EOol2001NOol00`00Oomoo`2XOol001Eoo`03001oogoo05ioo`03001oogoo0:Moo`00
5Goo00<007ooOol0Ggoo00<007ooOol0YWoo000EOol00`00Oomoo`1POol00`00Oomoo`2UOol001Eo
o`03001oogoo065oo`800:Eoo`005Goo00<007ooOol0Hgoo00<007ooOol0XWoo000EOol00`00Oomo
o`1TOol00`00Oomoo`2QOol001Eoo`8006Ioo`03001oogoo0:1oo`005Goo00<007ooOol0IWoo0P00
X7oo000EOol00`00Oomoo`1XOol00`00Oomoo`2MOol001Eoo`03001oogoo06Uoo`8009eoo`005Goo
00<007ooOol0Jgoo0P00Vgoo000EOol00`00Oomoo`1]Ool2002IOol000eoo`D000=oo`03001oogoo
06moo`8009Moo`003goo00<007ooOol00goo00<007ooOol0LGoo0P00UGoo000?Ool00`00Oomoo`03
Ool3001cOol4002AOol000moo`03001oogoo00=oo`03001oogoo07Moo`@008eoo`003goo00<007oo
Ool00goo00<007ooOol0Ngoo0`00RWoo000>Ool20005Ool00`00Oomoo`1nOol40026Ool001Eoo`03
001oogoo089oo`H0081oo`005Goo00<007ooOol0R7oo1@00Ngoo000EOol00`00Oomoo`2=Ool;001`
Ool001Eoo`03001oogoo09Qooa00061oo`005Goo0P00ZGooF@001goo000EOol00`00Oomoo`3oOol9
Ool001Eoo`03001oogoo0?moo`Uoo`005Goo00<007ooOol0ogoo2Goo000EOol00`00Oomoo`3oOol9
Ool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.247788, -0.0829607, \
0.0115777, 0.00658666}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot[MPC[x, 1], {x, 1.5, 3}]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.928572 0.634921 0.0147151 4.30775 [
[.0873 .00222 -9 -9 ]
[.0873 .00222 9 0 ]
[.21429 .00222 -9 -9 ]
[.21429 .00222 9 0 ]
[.46825 .00222 -9 -9 ]
[.46825 .00222 9 0 ]
[.59524 .00222 -9 -9 ]
[.59524 .00222 9 0 ]
[.72222 .00222 -9 -9 ]
[.72222 .00222 9 0 ]
[.84921 .00222 -9 -9 ]
[.84921 .00222 9 0 ]
[.97619 .00222 -3 -9 ]
[.97619 .00222 3 0 ]
[.32877 .10087 -24 -4.5 ]
[.32877 .10087 0 4.5 ]
[.32877 .18702 -24 -4.5 ]
[.32877 .18702 0 4.5 ]
[.32877 .27318 -24 -4.5 ]
[.32877 .27318 0 4.5 ]
[.32877 .35933 -24 -4.5 ]
[.32877 .35933 0 4.5 ]
[.32877 .44549 -18 -4.5 ]
[.32877 .44549 0 4.5 ]
[.32877 .53164 -24 -4.5 ]
[.32877 .53164 0 4.5 ]
[.32877 .6178 -24 -4.5 ]
[.32877 .6178 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.0873 .01472 m
.0873 .02097 L
s
[(1.6)] .0873 .00222 0 1 Mshowa
.21429 .01472 m
.21429 .02097 L
s
[(1.8)] .21429 .00222 0 1 Mshowa
.46825 .01472 m
.46825 .02097 L
s
[(2.2)] .46825 .00222 0 1 Mshowa
.59524 .01472 m
.59524 .02097 L
s
[(2.4)] .59524 .00222 0 1 Mshowa
.72222 .01472 m
.72222 .02097 L
s
[(2.6)] .72222 .00222 0 1 Mshowa
.84921 .01472 m
.84921 .02097 L
s
[(2.8)] .84921 .00222 0 1 Mshowa
.97619 .01472 m
.97619 .02097 L
s
[(3)] .97619 .00222 0 1 Mshowa
.125 Mabswid
.11905 .01472 m
.11905 .01847 L
s
.15079 .01472 m
.15079 .01847 L
s
.18254 .01472 m
.18254 .01847 L
s
.24603 .01472 m
.24603 .01847 L
s
.27778 .01472 m
.27778 .01847 L
s
.30952 .01472 m
.30952 .01847 L
s
.37302 .01472 m
.37302 .01847 L
s
.40476 .01472 m
.40476 .01847 L
s
.43651 .01472 m
.43651 .01847 L
s
.5 .01472 m
.5 .01847 L
s
.53175 .01472 m
.53175 .01847 L
s
.56349 .01472 m
.56349 .01847 L
s
.62698 .01472 m
.62698 .01847 L
s
.65873 .01472 m
.65873 .01847 L
s
.69048 .01472 m
.69048 .01847 L
s
.75397 .01472 m
.75397 .01847 L
s
.78571 .01472 m
.78571 .01847 L
s
.81746 .01472 m
.81746 .01847 L
s
.88095 .01472 m
.88095 .01847 L
s
.9127 .01472 m
.9127 .01847 L
s
.94444 .01472 m
.94444 .01847 L
s
.05556 .01472 m
.05556 .01847 L
s
.02381 .01472 m
.02381 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.34127 .10087 m
.34752 .10087 L
s
[(0.02)] .32877 .10087 1 0 Mshowa
.34127 .18702 m
.34752 .18702 L
s
[(0.04)] .32877 .18702 1 0 Mshowa
.34127 .27318 m
.34752 .27318 L
s
[(0.06)] .32877 .27318 1 0 Mshowa
.34127 .35933 m
.34752 .35933 L
s
[(0.08)] .32877 .35933 1 0 Mshowa
.34127 .44549 m
.34752 .44549 L
s
[(0.1)] .32877 .44549 1 0 Mshowa
.34127 .53164 m
.34752 .53164 L
s
[(0.12)] .32877 .53164 1 0 Mshowa
.34127 .6178 m
.34752 .6178 L
s
[(0.14)] .32877 .6178 1 0 Mshowa
.125 Mabswid
.34127 .03625 m
.34502 .03625 L
s
.34127 .05779 m
.34502 .05779 L
s
.34127 .07933 m
.34502 .07933 L
s
.34127 .12241 m
.34502 .12241 L
s
.34127 .14395 m
.34502 .14395 L
s
.34127 .16549 m
.34502 .16549 L
s
.34127 .20856 m
.34502 .20856 L
s
.34127 .2301 m
.34502 .2301 L
s
.34127 .25164 m
.34502 .25164 L
s
.34127 .29472 m
.34502 .29472 L
s
.34127 .31626 m
.34502 .31626 L
s
.34127 .3378 m
.34502 .3378 L
s
.34127 .38087 m
.34502 .38087 L
s
.34127 .40241 m
.34502 .40241 L
s
.34127 .42395 m
.34502 .42395 L
s
.34127 .46703 m
.34502 .46703 L
s
.34127 .48857 m
.34502 .48857 L
s
.34127 .51011 m
.34502 .51011 L
s
.34127 .55318 m
.34502 .55318 L
s
.34127 .57472 m
.34502 .57472 L
s
.34127 .59626 m
.34502 .59626 L
s
.25 Mabswid
.34127 0 m
.34127 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .60332 m
.06244 .48127 L
.10458 .37692 L
.14415 .30053 L
.18221 .24091 L
.22272 .19266 L
.26171 .15619 L
.30316 .12454 L
.34309 .10152 L
.3815 .08389 L
.42237 .06841 L
.46172 .05714 L
.49955 .04808 L
.53984 .04085 L
.57861 .03537 L
.61984 .03059 L
.65954 .02724 L
.69774 .02453 L
.73838 .02246 L
.77751 .02077 L
.81909 .0195 L
.85916 .01845 L
.89771 .01774 L
.93871 .01708 L
.97619 .01665 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo000IOol5
0002Ool20003Ool3000COol50002Ool20004Ool2000eOol40003Ool20003Ool4000AOol40003Ool2
0005Ool3000AOol40003Ool20003Ool3000COol40003Ool20004Ool2000IOol2000BOol001]oo`03
001oogoo00Moo`04001oogoo000DOol00`00Oomoo`07Ool01000Oomoo`00=7oo00<007ooOol02Goo
00<007ooOol04Woo00<007ooOol037oo00<007ooOol047oo00<007ooOol02Goo00@007ooOol0019o
o`03001oogoo00Uoo`04001oogoo000GOol01000Oomoo`004Goo000KOol00`00Oomoo`07Ool01000
Oomoo`0057oo00<007ooOol01goo00@007ooOol003Eoo`03001oogoo00Uoo`03001oogoo019oo`03
001oogoo00Qoo`D0019oo`03001oogoo00Qoo`04001oogoo000COol00`00Oomoo`08Ool01000Oomo
o`006Goo00<007ooOol047oo000KOol00`00Oomoo`07Ool3000EOol00`00Oomoo`08Ool2000gOol0
0`00Oomoo`09Ool00`00Oomoo`0BOol00`00Oomoo`07Ool01000Oomoo`0057oo00<007ooOol01goo
0`005Goo00<007ooOol027oo0P006goo00<007ooOol03goo000KOol00`00Oomoo`08Ool00`00Oomo
o`0DOol00`00Oomoo`07Ool01000Oomoo`00=7oo00@007ooOol000Qoo`04001oogoo000AOol01000
Oomoo`002Goo00<007oo00004Woo00@007ooOol000Uoo`03001oogoo019oo`04001oogoo0008Ool0
1000Oomoo`005goo00@007ooOol0015oo`006Woo0P002Woo0`004goo0P002Woo0P00=Woo0P002Woo
0P004goo0P002goo0P004goo0P002Woo0`004goo0P002Woo0P006Goo0P004Woo003oOolQOol006Eo
o`03001oogoo0;Qoo`00IGoo00<007ooOol0^7oo001UOol00`00Oomoo`2hOol006Eoo`03001oogoo
0;Qoo`002Wooo`0030002goo000AOol00`00Oomoo`05Ool00`00Oomoo`05Ool00`00Oomoo`06Ool0
0`00Oomoo`05Ool00`00Oomoo`06Ool00`00Oomoo`05Ool00`00Oomoo`06Ool00`00Oomoo`05Ool0
0`00Oomoo`05Ool00`00Oomoo`06Ool00`00Oomoo`05Ool00`00Oomoo`06Ool00`00Oomoo`05Ool0
0`00Oomoo`06Ool00`00Oomoo`05Ool00`00Oomoo`05Ool00`00Oomoo`06Ool00`00Oomoo`05Ool0
0`00Oomoo`06Ool00`00Oomoo`05Ool00`00Oomoo`06Ool00`00Oomoo`05Ool00`00Oomoo`05Ool0
0`00Ool0000c0005Ool00`00Oomoo`0@Ool0025oo`03001oogoo01moo`03001oogoo01moo`03001o
ogoo01moo`03001oogoo01ioo`03001oogoo01AooaD001Qoo`03001oogoo01ioo`03001oogoo011o
o`00IGoo00<007ooOol0C7oo2`00HGoo001UOol00`00Oomoo`12Ool:001/Ool006Eoo`03001oogoo
03Yoo`P007Ioo`00IGoo0P00=Woo1@00OWoo001UOol00`00Oomoo`0`Ool50023Ool006Eoo`03001o
ogoo02Yoo`H008Qoo`00IGoo00<007ooOol09Goo1@00SWoo001UOol00`00Oomoo`0POol5002COol0
06Eoo`8001eoo`@009Qoo`00IGoo00<007ooOol067oo1000W7oo001UOol00`00Oomoo`0DOol4002P
Ool006Eoo`03001oogoo015oo`<00:Aoo`00IGoo00<007ooOol03goo0P00Ygoo001UOol00`00Oomo
o`0<Ool3002YOol006Eoo`8000]oo`800:aoo`00IGoo00<007ooOol01goo0`00[Woo001UOol00`00
Oomoo`05Ool2002aOol006Eoo`03001oogoo00=oo`800;=oo`00C7oo0P0017oo0P0017oo0P000goo
100017oo00@007ooOomoo`800;Eoo`00Bgoo00@007ooOol000Qoo`04001oogoo0002Ool00`00Oomo
o`05Ool01000Ool00000]goo001;Ool01000Oomoo`0027oo00@007ooOol000=oo`03001oogoo00Ao
o`<00;Qoo`00Bgoo00@007ooOol000Qoo`04001oogoo0004Ool01000Oomoogoo0`00^Woo001;Ool0
1000Oomoo`0027oo00@007ooOol0009oo`03001oogoo00<0009oo`03001oogoo0;Qoo`00C7oo0P00
2Woo0P0017oo0`0017oo00<007ooOol0^7oo001NOol20005Ool00`00Oomoo`2hOol005aoo`8000Mo
o`800;Uoo`00Fgoo00<007ooOol01goo00<007ooOol0^7oo001IOol2000:Ool00`00Oomoo`2hOol0
05Qoo`03001oogoo00Yoo`03001oogoo0;Qoo`00Egoo00<007ooOol02goo00<007ooOol0^7oo001E
Ool2000>Ool00`00Oomoo`2hOol005Aoo`03001oogoo00ioo`800;Uoo`00Dgoo00<007ooOol03goo
00<007ooOol0^7oo001AOol2000BOol00`00Oomoo`2hOol0051oo`03001oogoo019oo`03001oogoo
0;Qoo`00Cgoo00<007ooOol04goo00<007ooOol0^7oo001>Ool00`00Oomoo`0DOol00`00Oomoo`2h
Ool004eoo`03001oogoo01Eoo`800;Uoo`00C7oo00<007ooOol05Woo00<007ooOol0^7oo001:Ool2
000IOol00`00Oomoo`2hOol004Uoo`03001oogoo01Uoo`03001oogoo0;Qoo`00B7oo00@007ooOomo
o`8000Aoo`8000Aoo`8000Eoo`<000=oo`03001oogoo0;Qoo`00Agoo00D007ooOomoo`00009oo`03
001oogoo00Ioo`04001oogoo0005Ool00`00Oomoo`02Ool00`00Oomoo`2hOol004Ioo`03001oogoo
009oo`04001oogoo0008Ool01000Oomoo`000Woo1@000goo0`00^7oo0015Ool00`00Oomoo`03Ool0
1000Oomoo`0027oo00@007ooOol0009oo`04001oogoo0004Ool00`00Oomoo`2hOol004Aoo`03001o
ogoo00Aoo`04001oogoo0008Ool01000Oomoo`000goo00<007oo000017oo00<007ooOol0^7oo0013
Ool00`00Oomoo`06Ool2000:Ool20005Ool20004Ool00`00Oomoo`2hOol004=oo`03001oogoo01mo
o`03001oogoo0;Qoo`00@Woo00<007ooOol087oo0P00^Goo0011Ool00`00Oomoo`0QOol00`00Oomo
o`2hOol0041oo`03001oogoo029oo`03001oogoo0;Qoo`00@7oo00<007ooOol08Woo00<007ooOol0
^7oo000oOol00`00Oomoo`0SOol00`00Oomoo`2hOol003ioo`03001oogoo02Aoo`03001oogoo0;Qo
o`00?Goo00<007ooOol09Goo0P00^Goo000mOol00`00Oomoo`0UOol00`00Oomoo`2hOol003aoo`03
001oogoo02Ioo`03001oogoo0;Qoo`00>goo00<007ooOol09goo00<007ooOol0^7oo000jOol00`00
Oomoo`0XOol00`00Oomoo`2hOol003Yoo`03001oogoo02Qoo`03001oogoo0;Qoo`00>Goo00<007oo
Ool0:Goo0P00^Goo000iOol00`00Oomoo`0YOol00`00Oomoo`2hOol003Qoo`03001oogoo02Yoo`03
001oogoo0;Qoo`00=goo00<007ooOol0:goo00<007ooOol0^7oo000gOol00`00Oomoo`0BOol20004
Ool20004Ool20003Ool30005Ool00`00Oomoo`2hOol003Ioo`03001oogoo019oo`04001oogoo0008
Ool01000Oomoo`000Woo00@007ooOol000Aoo`03001oogoo0;Qoo`00=Goo00<007ooOol04goo00@0
07ooOol000Qoo`04001oogoo0002Ool01000Oomoo`0017oo0`00^7oo000eOol00`00Oomoo`0COol0
1000Oomoo`0027oo00@007ooOol0009oo`<000Eoo`03001oogoo0;Qoo`00=7oo00<007ooOol057oo
00@007ooOol000Qoo`04001oogoo0003Ool00`00Oomoo`04Ool00`00Oomoo`2hOol003Aoo`03001o
ogoo01Eoo`8000Yoo`8000Aoo`<000Aoo`03001oogoo0;Qoo`00<goo00<007ooOol0;goo00<007oo
Ool0^7oo000bOol00`00Oomoo`0`Ool2002iOol0039oo`03001oogoo031oo`03001oogoo0;Qoo`00
<Goo00<007ooOol0<Goo00<007ooOol0^7oo000`Ool00`00Oomoo`0bOol00`00Oomoo`2hOol0031o
o`03001oogoo039oo`03001oogoo0;Qoo`00;goo00<007ooOol0<goo00<007ooOol0^7oo000_Ool0
0`00Oomoo`0cOol2002iOol002ioo`03001oogoo03Aoo`03001oogoo0;Qoo`00;Woo00<007ooOol0
=7oo00<007ooOol0^7oo000]Ool00`00Oomoo`0eOol00`00Oomoo`2hOol002eoo`03001oogoo03Eo
o`03001oogoo0;Qoo`00;7oo00<007ooOol0=Woo00<007ooOol0^7oo000/Ool00`00Oomoo`0fOol2
002iOol002]oo`03001oogoo03Moo`03001oogoo0;Qoo`00:Woo00<007ooOol0>7oo00<007ooOol0
^7oo000ZOol00`00Oomoo`0OOol20004Ool20004Ool20004Ool20005Ool00`00Oomoo`2hOol002Uo
o`03001oogoo01moo`04001oogoo0008Ool01000Oomoo`000Woo00@007ooOol000Aoo`03001oogoo
0;Qoo`00:Goo00<007ooOol07goo00@007ooOol000Qoo`04001oogoo0002Ool01000Oomoo`0017oo
0`00^7oo000XOol00`00Oomoo`0POol01000Oomoo`0027oo00@007ooOol000=oo`8000Eoo`03001o
ogoo0;Qoo`00:7oo00<007ooOol087oo00@007ooOol000Qoo`04001oogoo0002Ool01000Oomoo`00
17oo00<007ooOol0^7oo000WOol00`00Oomoo`0ROol2000:Ool20004Ool20005Ool00`00Oomoo`2h
Ool002Moo`03001oogoo03]oo`03001oogoo0;Qoo`009Woo00<007ooOol0?7oo00<007ooOol0^7oo
000VOol00`00Oomoo`0lOol2002iOol002Eoo`03001oogoo03eoo`03001oogoo0;Qoo`009Goo00<0
07ooOol0?Goo00<007ooOol0^7oo000TOol00`00Oomoo`0nOol00`00Oomoo`2hOol002Aoo`03001o
ogoo03ioo`03001oogoo0;Qoo`0097oo00<007ooOol0?Woo00<007ooOol0^7oo000SOol00`00Oomo
o`0oOol2002iOol002=oo`03001oogoo03moo`03001oogoo0;Qoo`008Woo00<007ooOol0@7oo00<0
07ooOol0^7oo000ROol00`00Oomoo`10Ool00`00Oomoo`2hOol0029oo`03001oogoo041oo`03001o
ogoo0;Qoo`008Goo00<007ooOol0@Goo00<007ooOol0^7oo000QOol00`00Oomoo`11Ool2002iOol0
025oo`03001oogoo045oo`03001oogoo0;Qoo`0087oo00<007ooOol0@Woo00<007ooOol0^7oo000P
Ool00`00Oomoo`0_Ool20004Ool20003Ool50003Ool00`00Oomoo`2hOol001moo`03001oogoo02mo
o`04001oogoo000:Ool00`00Oomoo`03Ool00`00Oomoo`2hOol001moo`03001oogoo02moo`04001o
ogoo000:Ool00`00Oomoo`03Ool3002hOol001moo`03001oogoo02moo`04001oogoo000:Ool00`00
Oomoo`03Ool00`00Oomoo`2hOol001ioo`03001oogoo031oo`04001oogoo000:Ool00`00Oomoo`03
Ool00`00Oomoo`2hOol001ioo`03001oogoo035oo`8000Yoo`8000Eoo`03001oogoo0;Qoo`007Goo
00<007ooOol0AGoo00<007ooOol0^7oo000MOol00`00Oomoo`15Ool00`00Oomoo`2hOol001eoo`03
001oogoo04Eoo`800;Uoo`0077oo00<007ooOol0AWoo00<007ooOol0^7oo000LOol00`00Oomoo`16
Ool00`00Oomoo`2hOol001]oo`03001oogoo04Moo`03001oogoo0;Qoo`006goo00<007ooOol0Agoo
00<007ooOol0^7oo000KOol00`00Oomoo`17Ool00`00Oomoo`2hOol001Yoo`03001oogoo04Qoo`80
0;Uoo`006Woo00<007ooOol0B7oo00<007ooOol0^7oo000JOol00`00Oomoo`18Ool00`00Oomoo`2h
Ool001Uoo`03001oogoo04Uoo`03001oogoo0;Qoo`006Goo00<007ooOol0BGoo00<007ooOol0^7oo
000IOol00`00Oomoo`19Ool2002iOol001Uoo`03001oogoo04Uoo`03001oogoo0;Qoo`0067oo00<0
07ooOol0BWoo00<007ooOol0^7oo000HOol00`00Oomoo`1:Ool00`00Oomoo`2hOol001Qoo`03001o
ogoo035oo`8000Aoo`8000=oo`D00003Ool00000008000Aoo`03001oogoo0;Qoo`005goo00<007oo
Ool0<Goo00@007ooOol000Yoo`05001oogooOol00007Ool00`00Oomoo`2hOol001Moo`03001oogoo
035oo`04001oogoo000:Ool00`00Oomoo`02Ool00`00Oomoo`04Ool3002hOol001Moo`03001oogoo
035oo`04001oogoo000:Ool00`00Oomoo`03Ool00`00Oomoo`03Ool00`00Oomoo`2hOol001Ioo`03
001oogoo039oo`04001oogoo000:Ool01@00Oomoogoo00000Woo00<007ooOol00Woo00<007ooOol0
^7oo000FOol00`00Oomoo`0cOol2000:Ool20004Ool20005Ool00`00Oomoo`2hOol001Ioo`03001o
ogoo04aoo`03001oogoo0;Qoo`005Goo00<007ooOol0CGoo00<007ooOol0^7oo000EOol00`00Oomo
o`1=Ool2002iOol001Eoo`03001oogoo04eoo`03001oogoo0;Qoo`0057oo00<007ooOol0CWoo00<0
07ooOol0^7oo000DOol00`00Oomoo`1>Ool00`00Oomoo`2hOol001Aoo`03001oogoo04ioo`03001o
ogoo0;Qoo`0057oo00<007ooOol0CWoo00<007ooOol0^7oo000COol00`00Oomoo`1?Ool2002iOol0
01=oo`03001oogoo04moo`03001oogoo0;Qoo`004goo00<007ooOol0Cgoo00<007ooOol0^7oo000B
Ool00`00Oomoo`1@Ool00`00Oomoo`2hOol0019oo`03001oogoo051oo`03001oogoo0;Qoo`004Woo
00<007ooOol0D7oo0P00^Goo000AOol00`00Oomoo`1AOol00`00Oomoo`2hOol0015oo`03001oogoo
055oo`03001oogoo0;Qoo`00IGoo00<007ooOol0^7oo001<Ool20004Ool20003Ool50003Ool30003
Ool00`00Oomoo`2hOol004]oo`04001oogoo000:Ool00`00Oomoo`04Ool00`00Oomoo`02Ool00`00
Oomoo`2hOol004]oo`04001oogoo000:Ool01000Oomoogoo1@000goo0`00^7oo001;Ool01000Oomo
o`002Woo00D007ooOomoo`00009oo`03001oogoo0;eoo`00Bgoo00@007ooOol000Yoo`03001oogoo
009oo`03001oo`000;moo`00C7oo0P002Woo0P001Goo0P00_goo003oOolQOol00001\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {1.39873, -0.0107705, \
0.00593222, 0.000874353}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot[{ct[x, LifeLength - 1], ct[x, LifeLength]}, {x, 0, 4}]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.238095 0.0147151 0.147151 [
[.2619 .00222 -3 -9 ]
[.2619 .00222 3 0 ]
[.5 .00222 -3 -9 ]
[.5 .00222 3 0 ]
[.7381 .00222 -3 -9 ]
[.7381 .00222 3 0 ]
[.97619 .00222 -3 -9 ]
[.97619 .00222 3 0 ]
[.01131 .16187 -6 -4.5 ]
[.01131 .16187 0 4.5 ]
[.01131 .30902 -6 -4.5 ]
[.01131 .30902 0 4.5 ]
[.01131 .45617 -6 -4.5 ]
[.01131 .45617 0 4.5 ]
[.01131 .60332 -6 -4.5 ]
[.01131 .60332 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .01472 m
.2619 .02097 L
s
[(1)] .2619 .00222 0 1 Mshowa
.5 .01472 m
.5 .02097 L
s
[(2)] .5 .00222 0 1 Mshowa
.7381 .01472 m
.7381 .02097 L
s
[(3)] .7381 .00222 0 1 Mshowa
.97619 .01472 m
.97619 .02097 L
s
[(4)] .97619 .00222 0 1 Mshowa
.125 Mabswid
.07143 .01472 m
.07143 .01847 L
s
.11905 .01472 m
.11905 .01847 L
s
.16667 .01472 m
.16667 .01847 L
s
.21429 .01472 m
.21429 .01847 L
s
.30952 .01472 m
.30952 .01847 L
s
.35714 .01472 m
.35714 .01847 L
s
.40476 .01472 m
.40476 .01847 L
s
.45238 .01472 m
.45238 .01847 L
s
.54762 .01472 m
.54762 .01847 L
s
.59524 .01472 m
.59524 .01847 L
s
.64286 .01472 m
.64286 .01847 L
s
.69048 .01472 m
.69048 .01847 L
s
.78571 .01472 m
.78571 .01847 L
s
.83333 .01472 m
.83333 .01847 L
s
.88095 .01472 m
.88095 .01847 L
s
.92857 .01472 m
.92857 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .16187 m
.03006 .16187 L
s
[(1)] .01131 .16187 1 0 Mshowa
.02381 .30902 m
.03006 .30902 L
s
[(2)] .01131 .30902 1 0 Mshowa
.02381 .45617 m
.03006 .45617 L
s
[(3)] .01131 .45617 1 0 Mshowa
.02381 .60332 m
.03006 .60332 L
s
[(4)] .01131 .60332 1 0 Mshowa
.125 Mabswid
.02381 .04415 m
.02756 .04415 L
s
.02381 .07358 m
.02756 .07358 L
s
.02381 .10301 m
.02756 .10301 L
s
.02381 .13244 m
.02756 .13244 L
s
.02381 .1913 m
.02756 .1913 L
s
.02381 .22073 m
.02756 .22073 L
s
.02381 .25016 m
.02756 .25016 L
s
.02381 .27959 m
.02756 .27959 L
s
.02381 .33845 m
.02756 .33845 L
s
.02381 .36788 m
.02756 .36788 L
s
.02381 .39731 m
.02756 .39731 L
s
.02381 .42674 m
.02756 .42674 L
s
.02381 .4856 m
.02756 .4856 L
s
.02381 .51503 m
.02756 .51503 L
s
.02381 .54446 m
.02756 .54446 L
s
.02381 .57389 m
.02756 .57389 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .03736 L
.10458 .06115 L
.14415 .0824 L
.18221 .10221 L
.22272 .12244 L
.26171 .14078 L
.30316 .15845 L
.34309 .17313 L
.3815 .18506 L
.42237 .19604 L
.46172 .20559 L
.49955 .2142 L
.53984 .22297 L
.57861 .23114 L
.61984 .23958 L
.65954 .24753 L
.69774 .25503 L
.73838 .26287 L
.77751 .27029 L
.81909 .27805 L
.85916 .28542 L
.89771 .29242 L
.93871 .29976 L
.97619 .30639 L
s
.02381 .01472 m
.06244 .03859 L
.10458 .06463 L
.14415 .08909 L
.18221 .11261 L
.22272 .13765 L
.26171 .16175 L
.30316 .18736 L
.34309 .21204 L
.3815 .23578 L
.42237 .26104 L
.46172 .28536 L
.49955 .30874 L
.53984 .33364 L
.57861 .3576 L
.61984 .38308 L
.65954 .40762 L
.69774 .43123 L
.73838 .45635 L
.77751 .48053 L
.81909 .50623 L
.85916 .53099 L
.89771 .55482 L
.93871 .58016 L
.97619 .60332 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo001>Ool5
000kOol4000nOol20010Ool3000;Ool0051oo`03001oogoo03]oo`03001oogoo03ioo`04001oogoo
0010Ool00`00Oomoo`0:Ool0051oo`03001oogoo03aoo`03001oogoo03moo`03001oogoo03aoo`D0
00]oo`00D7oo00<007ooOol0?Goo00<007ooOol0?goo00<007ooOol0>goo00@007ooOol000aoo`00
D7oo00<007ooOol0>goo00@007ooOol003eoo`04001oogoo000nOol00`00Ool0000<Ool004moo`80
03ioo`8003moo`80041oo`8000aoo`00ogoo8Goo000?Ool00`00Oomoo`3oOol?Ool000moo`03001o
ogoo0?moo`moo`003goo00<007ooOol0ogoo3goo000?Ool00`00Oomoo`3oOol?Ool000Uoool00140
00Moo`003goo0`002Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol0
2Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol0
2Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol0
2Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol0
2Woo00<007ooOol02goo000?Ool00`00Oomoo`02000lOol00`00Oomoo`0mOol00`00Oomoo`0nOol0
0`00Oomoo`0nOol00`00Oomoo`0;Ool000moo`03001oogoo009oo`03001oogoo0?moo`Yoo`003goo
00<007ooOol00goo0P00ogoo2Woo000?Ool00`00Oomoo`05Ool2003oOol8Ool000moo`03001oogoo
00Moo`03001oogoo0?moo`Eoo`003goo00<007ooOol027oo0P00ogoo1Goo000?Ool2000;Ool2003o
Ool3Ool000moo`03001oogoo00]oo`800?moo`9oo`003goo00<007ooOol03Goo0P00ogoo000?Ool0
0`00Oomoo`0>Ool3003mOol000moo`03001oogoo011oo`<00?]oo`003goo00<007ooOol04Goo1000
nGoo000?Ool00`00Oomoo`0COol01000Ool00000mgoo000?Ool00`00Oomoo`0DOol200000goo0000
003eOol000moo`8001Moo`800003Ool000000?=oo`003goo00<007ooOol067oo0P0000=oo`000000
lGoo000?Ool00`00Oomoo`0JOol200000goo0000003_Ool000moo`03001oogoo01aoo`800003Ool0
00000>eoo`003goo00<007ooOol07Woo00<007ooOol00P00jgoo000?Ool00`00Oomoo`0OOol20002
Ool00`00Oomoo`3XOol000moo`03001oogoo025oo`03001oogoo00800>Qoo`003goo00<007ooOol0
8Woo00@007ooOomoo`800>Ioo`003goo0P0097oo0P000goo0P00i7oo000?Ool00`00Oomoo`0UOol0
0`00Oomoo`02Ool2003ROol000moo`03001oogoo02Ioo`8000Aoo`800>1oo`003goo00<007ooOol0
:7oo00<007ooOol00goo0P00gWoo000?Ool00`00Oomoo`0YOol20005Ool2003LOol000moo`03001o
ogoo02]oo`8000Eoo`<00=Uoo`003goo00<007ooOol0;Goo0P001Woo0P00egoo000?Ool00`00Oomo
o`0_Ool20006Ool2003EOol000moo`80039oo`8000Ioo`800==oo`003goo00<007ooOol0<goo00<0
07ooOol01Goo0P00dGoo000?Ool00`00Oomoo`0dOol20007Ool3003>Ool000moo`03001oogoo03Io
o`03001oogoo00Moo`800<aoo`003goo00<007ooOol0=goo0P002Goo0P00bWoo000?Ool00`00Oomo
o`0iOol20009Ool20038Ool000Moo`D000=oo`03001oogoo03]oo`03001oogoo00Qoo`800<Ioo`00
2Goo00<007ooOol00goo00<007ooOol0?7oo0P002Woo0`00`goo0009Ool00`00Oomoo`03Ool3000n
Ool00`00Oomoo`0:Ool30030Ool000Uoo`03001oogoo00=oo`03001oogoo03moo`8000eoo`800;io
o`002Goo00<007ooOol00goo00<007ooOol0@Goo00<007ooOol037oo0`00^goo0008Ool20005Ool0
0`00Oomoo`12Ool2000?Ool3002hOol000moo`03001oogoo04Aoo`80011oo`<00;Eoo`003goo00<0
07ooOol0AWoo00<007ooOol047oo1000/Goo000?Ool00`00Oomoo`17Ool2000DOol3002^Ool000mo
o`03001oogoo04Uoo`03001oogoo01Aoo`@00:Yoo`003goo0P00Bgoo0P0067oo1000YWoo000?Ool0
0`00Oomoo`1<Ool00`00Oomoo`0IOol3002SOol000moo`03001oogoo04eoo`8001aoo`@009moo`00
3goo00<007ooOol0Cgoo0P007Woo1000Vgoo000?Ool00`00Oomoo`1AOol00`00Oomoo`0OOol4002G
Ool000moo`03001oogoo059oo`8002=oo`D0099oo`003goo00<007ooOol0E7oo00<007ooOol09Goo
1000SWoo000?Ool00`00Oomoo`1EOol2000YOol4002:Ool000moo`8005Qoo`8002]oo`@008Ioo`00
3goo00<007ooOol0FGoo00<007ooOol0;7oo1000PWoo000?Ool00`00Oomoo`1JOol2000`Ool6001l
Ool000moo`03001oogoo05aoo`8003Aoo`D007Moo`003goo00<007ooOol0GWoo00<007ooOol0=Woo
1P00LGoo000?Ool00`00Oomoo`1OOol2000lOol5001/Ool000moo`03001oogoo065oo`03001oogoo
03ioo`H006Ioo`003goo00<007ooOol0HWoo0P00A7oo1@00HGoo000?Ool2001UOol20017Ool5001L
Ool000moo`03001oogoo06Ioo`03001oogoo04Uoo`D005Moo`003goo00<007ooOol0Igoo0P00CWoo
1P00DGoo000?Ool00`00Oomoo`1YOol00`00Oomoo`1AOol5001<Ool000moo`03001oogoo06Yoo`80
05Ioo`H004Ioo`003goo00<007ooOol0K7oo00<007ooOol0FGoo1000@Woo000?Ool00`00Oomoo`1]
Ool2001MOol4000nOol000moo`03001oogoo06moo`8005moo`@003Yoo`003goo0P00LWoo00<007oo
Ool0H7oo1000=Woo000?Ool00`00Oomoo`1bOol2001TOol6000`Ool000moo`03001oogoo07Aoo`03
001oogoo06Moo`P002Qoo`003goo00<007ooOol0MGoo0P00Kgoo200087oo000?Ool00`00Oomoo`1g
Ool2001eOol6000JOol000moo`03001oogoo07Uoo`03001oogoo07Qoo`D001Eoo`001goo100017oo
00<007ooOol0NWoo0P00OGoo1@0047oo0007Ool00`00Oomoo`05Ool00`00Oomoo`1lOol20020Ool3
000=Ool000Qoo`03001oogoo00Aoo`<007ioo`03001oogoo08eoo`002Goo00<007ooOol00goo00<0
07ooOol0Ogoo0P00SGoo0007Ool01000Oomoo`0017oo00<007ooOol0PGoo00<007ooOol0RWoo0008
Ool20005Ool00`00Oomoo`22Ool2002:Ool000moo`03001oogoo08Aoo`8008Qoo`003goo00<007oo
Ool0QWoo00<007ooOol0QGoo000?Ool00`00Oomoo`27Ool20025Ool000moo`03001oogoo08Uoo`03
001oogoo089oo`003goo0P00Rgoo0P00PWoo000?Ool00`00Oomoo`2<Ool20020Ool000moo`03001o
ogoo08ioo`8007ioo`003goo00<007ooOol0T7oo0P00O7oo000?Ool00`00Oomoo`2BOol2001jOol0
00moo`03001oogoo09Aoo`03001oogoo07Moo`003goo00<007ooOol0UGoo0P00Mgoo000?Ool00`00
Oomoo`2GOol00`00Oomoo`1dOol000moo`8009Uoo`8007Aoo`003goo00<007ooOol0VWoo0P00LWoo
000?Ool00`00Oomoo`2LOol00`00Oomoo`1_Ool000moo`03001oogoo09eoo`8006moo`003goo00<0
07ooOol0Wgoo00<007ooOol0K7oo000?Ool00`00Oomoo`2POol2001/Ool000moo`03001oogoo0:9o
o`03001oogoo06Uoo`003goo00<007ooOol0Xgoo0P00JGoo000?Ool2002VOol2001WOol000moo`03
001oogoo0:Moo`03001oogoo06Aoo`003goo00<007ooOol0Z7oo0P00I7oo000?Ool00`00Oomoo`2Z
Ool00`00Oomoo`1QOol000moo`03001oogoo0:]oo`80065oo`003goo00<007ooOol0[Goo0P00Ggoo
000?Ool00`00Oomoo`2_Ool00`00Oomoo`1LOol000moo`03001oogoo0;1oo`8005aoo`003goo0P00
/goo0P00FWoo000?Ool00`00Oomoo`2dOol00`00Oomoo`1GOol000moo`03001oogoo0;Eoo`8005Mo
o`003goo00<007ooOol0]goo00<007ooOol0E7oo000?Ool00`00Oomoo`2hOol2001DOol000moo`03
001oogoo0;Yoo`80059oo`0027oo0P001Goo00<007ooOol0_7oo00<007ooOol0Cgoo0007Ool01000
Oomoo`0017oo00<007ooOol0_Goo0P00Cgoo0009Ool00`00Oomoo`03Ool3002oOol00`00Oomoo`1<
Ool000Yoo`03001oogoo009oo`03001oogoo0<1oo`8004aoo`001goo00@007ooOol000Aoo`03001o
ogoo0<9oo`03001oogoo04Uoo`0027oo0P001Goo00<007ooOol0`goo0P00BGoo000?Ool00`00Oomo
o`35Ool20017Ool000moo`03001oogoo0<Moo`03001oogoo04Aoo`003goo00<007ooOol0b7oo0P00
A7oo000?Ool00`00Oomoo`3:Ool00`00Oomoo`11Ool000moo`800<aoo`80045oo`003goo00<007oo
Ool0cGoo00<007ooOol0?Woo000?Ool00`00Oomoo`3>Ool2000nOol000moo`03001oogoo0=1oo`80
03aoo`003goo00<007ooOol0dWoo00<007ooOol0>Goo000?Ool00`00Oomoo`3COol2000iOol000mo
o`03001oogoo0=Eoo`03001oogoo03Ioo`003goo00<007ooOol0eWoo0P00=Woo000?Ool2003IOol2
000dOol000moo`03001oogoo0=Yoo`80039oo`003goo00<007ooOol0g7oo0P00<7oo000?Ool00`00
Oomoo`3NOol2000^Ool000moo`03001oogoo0>1oo`03001oogoo02]oo`003goo00<007ooOol0hGoo
0P00:goo000?Ool00`00Oomoo`3SOol00`00Oomoo`0XOol000moo`03001oogoo0>Aoo`8002Qoo`00
3goo0P00igoo0P009Woo000?Ool00`00Oomoo`3XOol00`00Oomoo`0SOol000moo`03001oogoo0>Uo
o`8002=oo`003goo00<007ooOol0jgoo00<007ooOol087oo000?Ool00`00Oomoo`3/Ool2000POol0
00moo`03001oogoo0>ioo`03001oogoo01eoo`003goo00<007ooOol0kgoo0P007Goo000?Ool00`00
Oomoo`3aOol2000KOol000moo`800?Aoo`03001oogoo01Qoo`003goo00<007ooOol0m7oo0P0067oo
000?Ool00`00Oomoo`3fOol00`00Oomoo`0EOol000moo`03001oogoo0?Moo`8001Eoo`003goo00<0
07ooOol0nGoo0P004goo000?Ool00`00Oomoo`3kOol00`00Oomoo`0@Ool000Uoo`<000=oo`03001o
ogoo0?aoo`80011oo`002Woo00<007ooOol00Woo00<007ooOol0oWoo0P003Woo0007Ool50003Ool3
003oOol1Ool00`00Oomoo`0;Ool000Moo`04001oogoo0004Ool00`00Oomoo`3oOol?Ool000Qoo`03
001oo`0000Aoo`03001oogoo0?moo`moo`002Goo0P0017oo00<007ooOol0ogoo3goo000?Ool00`00
Oomoo`3oOol?Ool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.239258, -0.30988, \
0.0154472, 0.024994}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< doall_death.m\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({4.999999999999999`}\) lies outside the range of data \
in the interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({14.`}\) lies outside the range of data in the \
interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({104.`}\) lies outside the range of data in the \
interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(General::"stop" \(\(:\)\(\ \)\) 
      "Further output of \!\(InterpolatingFunction :: \"dmval\"\) will be \
suppressed during this calculation."\)], "Message"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \($Aborted\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Euler[1, 1]\)], "Input"],

Cell[BoxData[
    \(0.9999983194629006`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< RealEuler.m\)], "Input"],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0206243 0.318522 -4642.47 4642.95 [
[.17989 .46666 -9 -9 ]
[.17989 .46666 9 0 ]
[.33915 .46666 -3 -9 ]
[.33915 .46666 3 0 ]
[.49841 .46666 -9 -9 ]
[.49841 .46666 9 0 ]
[.65767 .46666 -3 -9 ]
[.65767 .46666 3 0 ]
[.81693 .46666 -9 -9 ]
[.81693 .46666 9 0 ]
[.97619 .46666 -3 -9 ]
[.97619 .46666 3 0 ]
[.00812 .01487 -36 -4.5 ]
[.00812 .01487 0 4.5 ]
[.00812 .10773 -42 -4.5 ]
[.00812 .10773 0 4.5 ]
[.00812 .20059 -42 -4.5 ]
[.00812 .20059 0 4.5 ]
[.00812 .29345 -42 -4.5 ]
[.00812 .29345 0 4.5 ]
[.00812 .38631 -42 -4.5 ]
[.00812 .38631 0 4.5 ]
[.00812 .57202 -42 -4.5 ]
[.00812 .57202 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17989 .47916 m
.17989 .48541 L
s
[(0.5)] .17989 .46666 0 1 Mshowa
.33915 .47916 m
.33915 .48541 L
s
[(1)] .33915 .46666 0 1 Mshowa
.49841 .47916 m
.49841 .48541 L
s
[(1.5)] .49841 .46666 0 1 Mshowa
.65767 .47916 m
.65767 .48541 L
s
[(2)] .65767 .46666 0 1 Mshowa
.81693 .47916 m
.81693 .48541 L
s
[(2.5)] .81693 .46666 0 1 Mshowa
.97619 .47916 m
.97619 .48541 L
s
[(3)] .97619 .46666 0 1 Mshowa
.125 Mabswid
.05248 .47916 m
.05248 .48291 L
s
.08433 .47916 m
.08433 .48291 L
s
.11618 .47916 m
.11618 .48291 L
s
.14803 .47916 m
.14803 .48291 L
s
.21174 .47916 m
.21174 .48291 L
s
.24359 .47916 m
.24359 .48291 L
s
.27544 .47916 m
.27544 .48291 L
s
.30729 .47916 m
.30729 .48291 L
s
.371 .47916 m
.371 .48291 L
s
.40285 .47916 m
.40285 .48291 L
s
.4347 .47916 m
.4347 .48291 L
s
.46656 .47916 m
.46656 .48291 L
s
.53026 .47916 m
.53026 .48291 L
s
.56211 .47916 m
.56211 .48291 L
s
.59396 .47916 m
.59396 .48291 L
s
.62582 .47916 m
.62582 .48291 L
s
.68952 .47916 m
.68952 .48291 L
s
.72137 .47916 m
.72137 .48291 L
s
.75323 .47916 m
.75323 .48291 L
s
.78508 .47916 m
.78508 .48291 L
s
.84878 .47916 m
.84878 .48291 L
s
.88063 .47916 m
.88063 .48291 L
s
.91249 .47916 m
.91249 .48291 L
s
.94434 .47916 m
.94434 .48291 L
s
.25 Mabswid
0 .47916 m
1 .47916 L
s
.02062 .01487 m
.02687 .01487 L
s
[(0.9999)] .00812 .01487 1 0 Mshowa
.02062 .10773 m
.02687 .10773 L
s
[(0.99992)] .00812 .10773 1 0 Mshowa
.02062 .20059 m
.02687 .20059 L
s
[(0.99994)] .00812 .20059 1 0 Mshowa
.02062 .29345 m
.02687 .29345 L
s
[(0.99996)] .00812 .29345 1 0 Mshowa
.02062 .38631 m
.02687 .38631 L
s
[(0.99998)] .00812 .38631 1 0 Mshowa
.02062 .57202 m
.02687 .57202 L
s
[(1.00002)] .00812 .57202 1 0 Mshowa
.125 Mabswid
.02062 .03808 m
.02437 .03808 L
s
.02062 .0613 m
.02437 .0613 L
s
.02062 .08451 m
.02437 .08451 L
s
.02062 .13094 m
.02437 .13094 L
s
.02062 .15416 m
.02437 .15416 L
s
.02062 .17737 m
.02437 .17737 L
s
.02062 .2238 m
.02437 .2238 L
s
.02062 .24702 m
.02437 .24702 L
s
.02062 .27023 m
.02437 .27023 L
s
.02062 .31666 m
.02437 .31666 L
s
.02062 .33988 m
.02437 .33988 L
s
.02062 .36309 m
.02437 .36309 L
s
.02062 .40952 m
.02437 .40952 L
s
.02062 .43273 m
.02437 .43273 L
s
.02062 .45595 m
.02437 .45595 L
s
.02062 .50238 m
.02437 .50238 L
s
.02062 .52559 m
.02437 .52559 L
s
.02062 .54881 m
.02437 .54881 L
s
.02062 .59524 m
.02437 .59524 L
s
.25 Mabswid
.02062 0 m
.02062 .61803 L
s
.5 Mabswid
.02381 .47916 m
.02499 .47916 L
.02605 .47916 L
.02729 .47916 L
.02846 .47916 L
.02954 .47916 L
.03053 .47916 L
.03163 .47916 L
.03279 .47916 L
.03395 .47916 L
.0352 .47916 L
.03638 .47916 L
.03746 .47915 L
.03873 .47914 L
.03944 .47914 L
.04011 .47913 L
.04132 .47912 L
.04262 .47909 L
.04327 .47908 L
.04396 .47906 L
.04519 .47919 L
.04588 .4792 L
.04652 .4792 L
.04797 .47922 L
.05041 .47925 L
.05177 .47928 L
.05302 .47931 L
.05534 .47938 L
.05786 .47949 L
.06024 .47964 L
.06244 .47981 L
.06486 .48006 L
.06745 .48041 L
.06991 .48083 L
.07216 .48132 L
.07738 .4829 L
.08 .484 L
.08288 .48548 L
.08831 .48928 L
.09135 .49211 L
.09412 .4952 L
.0967 .49859 L
.09806 .50059 L
.0988 .50175 L
.0995 .50289 L
.10076 .47916 L
.10143 .47916 L
.10214 .47916 L
.10458 .47916 L
.10713 .47916 L
Mistroke
.10984 .47916 L
.11239 .47916 L
.11471 .47916 L
.11745 .47916 L
.1204 .47915 L
.12319 .47915 L
.12575 .47914 L
.13042 .47913 L
.13307 .47912 L
.13554 .47911 L
.14052 .47908 L
.14331 .47906 L
.14586 .47904 L
.15068 .47898 L
.1558 .47889 L
.16016 .47879 L
.16498 .47864 L
.17014 .47843 L
.17285 .47829 L
.1757 .47813 L
.17821 .47796 L
.1789 .47792 L
.17963 .47786 L
.18095 .27009 L
.18225 .29718 L
.18347 .31954 L
.18466 .33797 L
.18575 .35154 L
.18691 .36229 L
.18816 .36946 L
.18931 .37191 L
.1904 .36982 L
.19167 .35662 L
.19284 .34036 L
.1955 .2909 L
.2004 .16768 L
.203 .09564 L
.20437 .05896 L
.20511 .03979 L
.20581 .02268 L
.20696 .01472 L
.20821 .05008 L
.21042 .11401 L
.21476 .23004 L
.21717 .28102 L
.21936 .31571 L
.22057 .32962 L
.22188 .34029 L
.22313 .34611 L
.22427 .35274 L
Mistroke
.22552 .35778 L
.22671 .35854 L
.22777 .35593 L
.22894 .34958 L
.2302 .33875 L
.23154 .32294 L
.23395 .28464 L
.2383 .19214 L
.2395 .16392 L
.24076 .13387 L
.24183 .14135 L
.24301 .15198 L
.2444 .1634 L
.2459 .17382 L
.2473 .18161 L
.24859 .18678 L
.24988 .19006 L
.25061 .19105 L
.25128 .19143 L
.25252 .19086 L
.25384 .18858 L
.25499 .18532 L
.25624 .18074 L
.25732 .17613 L
.2585 .17067 L
.25981 .19139 L
.26118 .22157 L
.26364 .2709 L
.26618 .31354 L
.26752 .33208 L
.26893 .34859 L
.27017 .36031 L
.27153 .37035 L
.27277 .37705 L
.27393 .38133 L
.27503 .38376 L
.27624 .38474 L
.27738 .38426 L
.27843 .39715 L
.28096 .42405 L
.28216 .43402 L
.28327 .44159 L
.28459 .44865 L
.28528 .45151 L
.28601 .45389 L
.28725 .45645 L
.28795 .45718 L
.2886 .45742 L
.28982 .45676 L
.29093 .45498 L
Mistroke
.29221 .45177 L
.29342 .44776 L
.29472 .44259 L
.29593 .43723 L
.2972 .43456 L
.29788 .43514 L
.2986 .43568 L
.30013 .43656 L
.30152 .43721 L
.30291 .43787 L
.30422 .43851 L
.30542 .43929 L
.30672 .4404 L
.3079 .44174 L
.30899 .4433 L
.31145 .44825 L
.3127 .45157 L
.31406 .45591 L
.31523 .46016 L
.31634 .46469 L
.31762 .45455 L
.31879 .44469 L
.3209 .43019 L
.3221 .42439 L
.3232 .42066 L
.32438 .41863 L
.32566 .41878 L
.32687 .4212 L
.32797 .42542 L
.3292 .43232 L
.33054 .44244 L
.33325 .47061 L
.33462 .48835 L
.33592 .50681 L
.33664 .51759 L
.33741 .5124 L
.33812 .49508 L
.33877 .47977 L
.34015 .44993 L
.34146 .42537 L
.34274 .40542 L
.34392 .39071 L
.345 .38066 L
.34615 .37361 L
.34743 .37035 L
.34859 .37156 L
.34983 .37718 L
.35053 .38231 L
.35118 .38826 L
.35236 .40208 L
Mistroke
.35361 .42052 L
.3557 .45922 L
.35685 .48415 L
.35793 .50958 L
.35922 .48311 L
.36039 .44871 L
.36267 .39222 L
.36386 .3694 L
.36517 .34976 L
.36583 .34218 L
.36653 .33579 L
.36781 .32888 L
.36902 .32792 L
.37029 .33263 L
.37138 .34129 L
.37256 .35542 L
.38331 .46239 L
.38453 .44071 L
.38567 .42422 L
.38686 .41121 L
.38816 .40185 L
.38948 .39772 L
.39022 .39775 L
.3909 .39922 L
.39219 .40584 L
.39342 .41657 L
.39457 .43032 L
.39579 .44871 L
.39798 .49032 L
.40037 .54578 L
.40163 .57802 L
.40231 .59622 L
.40295 .60332 L
.40362 .58992 L
.40435 .57584 L
.40564 .55278 L
.40817 .5148 L
.40963 .49774 L
.41096 .48551 L
.41169 .48011 L
.41249 .47541 L
.41324 .47205 L
.41394 .46983 L
.41513 .46799 L
.41624 .4685 L
.41747 .47144 L
.41878 .4772 L
.41944 .48101 L
.42015 .48586 L
.42146 .49633 L
Mistroke
.42391 .52103 L
.42515 .53548 L
.42647 .54504 L
.42715 .54011 L
.4279 .53505 L
.42923 .52712 L
.43048 .52066 L
.43182 .51487 L
.43308 .51055 L
.43423 .50754 L
.43543 .50535 L
.43654 .50415 L
.43775 .50366 L
.43904 .50403 L
.44016 .50507 L
.4412 .50661 L
.44235 .50881 L
.44359 .51172 L
.44843 .52709 L
.44971 .53169 L
.4511 .53566 L
.45361 .5412 L
.45658 .54685 L
.45787 .54882 L
.4586 .54975 L
.45928 .5505 L
.45998 .55115 L
.46062 .55161 L
.4613 .55198 L
.46203 .55222 L
.46333 .55222 L
.46456 .55175 L
.46583 .55075 L
.46698 .54935 L
.4683 .54716 L
.46954 .54462 L
.47176 .53865 L
.47416 .53059 L
.47542 .52701 L
.47614 .53107 L
.47681 .53471 L
.47961 .54805 L
.48202 .55664 L
.48272 .55854 L
.48338 .56008 L
.48461 .56226 L
.48582 .56346 L
.48652 .56376 L
.48716 .56379 L
.48847 .56303 L
Mistroke
.4892 .56212 L
.48987 .56097 L
.49106 .55828 L
.49236 .55437 L
.49473 .54471 L
.49748 .52994 L
.499 .52041 L
.49974 .51543 L
.50042 .51072 L
.50107 .50617 L
.50175 .5104 L
.5032 .52004 L
.50571 .53487 L
.50693 .54098 L
.50825 .54666 L
.50942 .55076 L
.51066 .55427 L
.51178 .55659 L
.51301 .55824 L
.51413 .55884 L
.51518 .55869 L
.51642 .5576 L
.51773 .55533 L
.51884 .55255 L
.52006 .54866 L
.52279 .53686 L
.52533 .52271 L
.52648 .51545 L
.52772 .5071 L
.52889 .51291 L
.52997 .51877 L
.53215 .52919 L
.53419 .53689 L
.53533 .54033 L
.53638 .54284 L
.53754 .54498 L
.53879 .54644 L
.53998 .54693 L
.54129 .54658 L
.54252 .54542 L
.54366 .54359 L
.54495 .5407 L
.54631 .53674 L
.54874 .52745 L
.55159 .51335 L
.55298 .5055 L
.55424 .49783 L
.55542 .49104 L
.55653 .49693 L
.55899 .50883 L
Mistroke
.56152 .51926 L
.5629 .524 L
.5642 .52769 L
.56535 .53041 L
.56641 .53241 L
.56758 .53405 L
.56884 .53514 L
.56983 .53552 L
.57093 .53538 L
.57206 .53471 L
.57312 .53357 L
.57439 .53157 L
.57558 .52912 L
.57781 .52311 L
.58021 .51465 L
.58157 .50912 L
.58282 .50362 L
.58403 .49941 L
.58518 .50348 L
.58772 .51145 L
.58991 .51688 L
.59114 .51936 L
.59229 .52121 L
.59296 .52209 L
.59367 .52287 L
.59491 .52382 L
.59562 .52411 L
.59637 .52423 L
.59701 .52419 L
.5977 .52397 L
.59896 .52311 L
.59966 .52241 L
.6003 .52165 L
.60271 .51762 L
.60402 .51461 L
.60541 .51098 L
.6079 .50316 L
.61081 .49238 L
.61154 .48943 L
.61223 .48654 L
.61353 .48283 L
.61465 .48628 L
.61588 .48987 L
.6184 .49654 L
.62098 .5022 L
.62233 .50464 L
.62376 .50682 L
.62508 .50836 L
.62583 .50902 L
.62653 .50953 L
Mistroke
.62776 .51014 L
.62907 .51043 L
.62972 .51041 L
.63042 .5103 L
.63169 .50973 L
.63293 .50884 L
.63408 .50768 L
.63623 .50483 L
.63861 .50059 L
.64096 .49551 L
.64224 .49242 L
.64343 .48935 L
.64473 .4911 L
.64542 .49273 L
.64615 .49442 L
.64864 .49972 L
.65158 .50476 L
.65297 .50666 L
.65425 .50809 L
.65547 .50914 L
.65675 .50991 L
.65805 .51041 L
.65878 .51056 L
.65947 .5106 L
.66071 .51048 L
.66185 .51007 L
.66316 .50929 L
.6644 .5083 L
.667 .5054 L
.66945 .50172 L
.67167 .49765 L
.67401 .49276 L
.67524 .49027 L
.67593 .49146 L
.67658 .49255 L
.67893 .49605 L
.68166 .49949 L
.683 .50091 L
.68425 .50198 L
.68531 .50275 L
.68647 .50346 L
.68765 .50394 L
.6889 .50422 L
.68995 .50429 L
.69108 .50421 L
.69215 .50398 L
.69313 .50362 L
.69428 .50306 L
.69535 .50237 L
.69777 .50016 L
Mistroke
.70013 .49742 L
.70264 .49384 L
.70524 .48956 L
.70593 .48839 L
.70666 .48707 L
.70736 .4858 L
.70799 .48562 L
.70919 .48696 L
.71033 .48818 L
.71291 .49056 L
.71425 .49161 L
.71567 .49259 L
.7169 .49327 L
.71823 .49383 L
.71897 .49408 L
.71965 .49427 L
.7203 .49442 L
.72099 .4945 L
.72174 .49451 L
.72244 .49449 L
.72321 .49441 L
.72403 .49428 L
.72468 .49415 L
.72538 .49396 L
.72663 .49347 L
.72798 .4928 L
.72946 .49189 L
.73459 .48742 L
.73698 .48463 L
.73829 .48299 L
.73955 .48136 L
.74071 .47981 L
.74197 .47991 L
.74312 .48116 L
.74419 .48227 L
.74927 .48675 L
.75213 .48862 L
.75349 .48937 L
.75476 .48992 L
.75588 .49026 L
.75707 .49055 L
.75776 .49068 L
.7584 .49078 L
.75961 .4909 L
.76088 .49086 L
.76206 .4907 L
.76335 .49043 L
.76472 .49007 L
.76587 .48965 L
.76692 .48917 L
Mistroke
.76929 .48787 L
.77357 .48481 L
.77467 .48389 L
.77584 .48287 L
.77713 .48398 L
.77833 .48509 L
.78333 .48919 L
.78593 .49075 L
.78734 .49147 L
.78867 .49202 L
.79101 .49272 L
.79225 .49299 L
.79295 .49309 L
.79358 .49315 L
.79427 .49317 L
.795 .49316 L
.79631 .49307 L
.79712 .49297 L
.79787 .49284 L
.79855 .4927 L
.79928 .4925 L
.8021 .49146 L
.80469 .49016 L
.80937 .48699 L
.81066 .48599 L
.81137 .48541 L
.81203 .48528 L
.8133 .4863 L
.8145 .48723 L
.81942 .49051 L
.82222 .49191 L
.82357 .49246 L
.82485 .4929 L
.82601 .49322 L
.82728 .49347 L
.82844 .49362 L
.82951 .4937 L
.83079 .49372 L
.83194 .49368 L
.83258 .49364 L
.83328 .49357 L
.83453 .49335 L
.83577 .49305 L
.83714 .49264 L
.83988 .49159 L
.84481 .48892 L
.84594 .48818 L
.84717 .48733 L
.84833 .4865 L
.84941 .48651 L
Mistroke
.85066 .48734 L
.85199 .48817 L
.85434 .48953 L
.85857 .49148 L
.86098 .49228 L
.86324 .49285 L
.86442 .49306 L
.86567 .49322 L
.86686 .4933 L
.86793 .49333 L
.8692 .4933 L
.86992 .49325 L
.87057 .4932 L
.87179 .49304 L
.87307 .49278 L
.87561 .49208 L
.87799 .49123 L
.88341 .48858 L
.88456 .4879 L
.8858 .48713 L
.88698 .48637 L
.88807 .48677 L
.89233 .48888 L
.89697 .49065 L
.89831 .49106 L
.89957 .49139 L
.90079 .49166 L
.90191 .49186 L
.90308 .49202 L
.90433 .49214 L
.90548 .49219 L
.90658 .49221 L
.90785 .49218 L
.90903 .4921 L
.91032 .49196 L
.91098 .49186 L
.9117 .49174 L
.91426 .49114 L
.91702 .49029 L
.92202 .48818 L
.92446 .48694 L
.92564 .4863 L
.92672 .48572 L
.92786 .48621 L
.92908 .48672 L
.93166 .48773 L
.93385 .48848 L
.93621 .48916 L
.93828 .48965 L
.9405 .49005 L
Mistroke
.94165 .4902 L
.94273 .49031 L
.94371 .49039 L
.94477 .49044 L
.94578 .49045 L
.94684 .49043 L
.94776 .49038 L
.94876 .49031 L
.94994 .49019 L
.95101 .49006 L
.9522 .48988 L
.95344 .48963 L
.95784 .48845 L
.96238 .48678 L
.96455 .48581 L
.9666 .48485 L
.96776 .48444 L
.96903 .48486 L
.97123 .48552 L
.97619 .48678 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo003oOolQ
Ool00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00
ogoo8Goo003oOolQOol00?moob5oo`00;Goo00<007ooOol0l7oo000]Ool00`00Oomoo`3`Ool000Qo
o`8000Aoo`8000=oo`<000=oo`<000=oo`<000=oo`<000Eoo`03001oogoo0?1oo`001goo00@007oo
Ool000Yoo`03001oogoo00=oo`03001oogoo00=oo`03001oogoo00=oo`03001oogoo00=oo`03001o
ogoo0?1oo`001goo00@007ooOol000Uoo`<000=oo`<000=oo`<000=oo`<000Aoo`8002aoo`03001o
ogoo0<9oo`001goo00@007ooOol000Qoo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0
009oo`04001oogoo0004Ool00`00Oomoo`0[Ool00`00Oomoo`32Ool000Moo`04001oogoo0008Ool0
1000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`0017oo00<007ooOol0
:Woo0P00a7oo0008Ool2000:Ool30003Ool30003Ool30003Ool30004Ool00`00Oomoo`0ZOol20034
Ool002eoo`03001oogoo02Yoo`800<Aoo`00;Goo00<007ooOol0:Woo0P00a7oo000]Ool2000[Ool2
0034Ool002eoo`03001oogoo02Yoo`800<Aoo`00;Goo00<007ooOol0:Woo0P00a7oo000]Ool00`00
Oomoo`0ZOol20034Ool002eoo`03001oogoo02Yoo`800<Aoo`00;Goo0P00:goo0P00a7oo000]Ool0
0`00Oomoo`0ZOol20034Ool002eoo`03001oogoo02Yoo`800<Aoo`00;Goo00<007ooOol0:Woo0P00
a7oo000]Ool00`00Oomoo`0ZOol20034Ool002eoo`03001oogoo02Yoo`800<Aoo`00;Goo0P00:goo
0P00a7oo000]Ool00`00Oomoo`0ZOol20034Ool002eoo`03001oogoo02Yoo`800<Aoo`00;Goo00<0
07ooOol0:Woo0P00a7oo0002Ool20004Ool20003Ool30003Ool30003Ool30003Ool30003Ool40004
Ool00`00Oomoo`0ZOol20034Ool00005Ool007ooOol0000:Ool00`00Oomoo`03Ool00`00Oomoo`03
Ool00`00Oomoo`03Ool01@00Oomoogoo00001goo00<007ooOol0:Woo0P00a7oo00001Goo001oogoo
00002Goo0`000goo0`000goo0`000goo0`000goo00<007ooOol017oo0P00:goo0P00a7oo00001Goo
001oogoo000027oo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0
00Aoo`03001oogoo00=oo`03001oogoo02Yoo`800<Aoo`0000Eoo`00Oomoo`0000Qoo`04001oogoo
0002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`0017oo00<0
07ooOol0:Woo0P00a7oo0002Ool2000:Ool30003Ool30003Ool30003Ool30003Ool20005Ool00`00
Oomoo`0ZOol20034Ool002eoo`03001oogoo02Yoo`800<Aoo`00;Goo0P00:goo0P00a7oo000]Ool0
0`00Oomoo`0ZOol20007Ool00`00Oomoo`2jOol002eoo`03001oogoo02Uoo`03001oo`0000Moo`03
001oogoo0;Yoo`00;Goo00<007ooOol0:Goo00<007oo00001goo00<007ooOol0^Woo000]Ool00`00
Oomoo`0YOol01000Oomoo`001Woo00<007ooOol0^Woo000]Ool00`00Oomoo`0YOol01000Oomoo`00
1Woo0P00^goo000]Ool2000ZOol01000Oomoo`001Woo0P00^goo000]Ool00`00Oomoo`0YOol01000
Oomoo`001Woo0P00^goo000]Ool00`00Oomoo`0YOol01000Oomoo`001Woo0P00^goo000]Ool00`00
Oomoo`0YOol01000Oomoo`001Woo0P00^goo000]Ool00`00Oomoo`0YOol01000Oomoo`001Woo0P00
0Woo00<007ooOol0]Woo000]Ool00`00Oomoo`0YOol01000Oomoo`001Woo0P000Woo00<007ooOol0
]Woo000]Ool2000ZOol01000Oomoo`001Woo00D007oo001oo`000;Qoo`00;Goo00<007ooOol0:Goo
00@007ooOol000Eoo`05001oogoo001oo`02002gOol002eoo`03001oogoo02Uoo`04001oogoo0005
Ool00`00Oomoo`0200000goo001oo`2fOol002eoo`03001oogoo02Uoo`04001oogoo0005Ool00`00
Oomoo`0200000goo001oo`2fOol0009oo`8000Aoo`8000=oo`<000=oo`<000=oo`<000=oo`<000Eo
o`<000=oo`03001oogoo02Uoo`04001oogoo0005Ool00`00Oomoo`03Ool00`00Oomoo`2eOol00005
Ool007ooOol0000:Ool00`00Oomoo`03Ool00`00Oomoo`03Ool00`00Oomoo`03Ool00`00Oomoo`04
Ool00`00Oomoo`02Ool00`00Oomoo`0YOol01000Oomoo`001Goo00<007ooOol00goo00<007ooOol0
]Goo00001Goo001oogoo00002Goo0`000goo0`000goo0`000goo0`000Woo1@000goo0P00:Woo00D0
07ooOomoo`0000Aoo`03001oogoo00=oo`03001oogoo0;Eoo`0000Eoo`00Oomoo`0000Qoo`04001o
ogoo0002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`0017oo
00<007ooOol0:Goo00D007ooOomoo`0000Aoo`03001oogoo00=oo`03001oogoo0;Eoo`0000Eoo`00
Oomoo`0000Qoo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0003
Ool00`00Ool00004Ool00`00Oomoo`0YOol01@00Oomoogoo000017oo00<007ooOol00goo00<007oo
Ool0]Goo0002Ool2000:Ool30003Ool30003Ool30003Ool30004Ool20004Ool00`00Oomoo`0YOol0
1@00Oomoogoo000017oo00<007ooOol00goo00<007ooOol0]Goo000]Ool00`00Oomoo`0YOol01@00
Oomoogoo000017oo00<007ooOol00goo00<007ooOol0]Goo000]Ool2000ZOol01@00Oomoogoo0000
17oo00<007ooOol00goo00<007ooOol0]Goo000]Ool00`00Oomoo`0YOol01@00Oomoogoo000017oo
00<007ooOol00goo00<007ooOol0]Goo000]Ool00`00Oomoo`0YOol01@00Oomoogoo000017oo00<0
07ooOol00goo00<007ooOol0]Goo000]Ool00`00Oomoo`0XOol00`00Oomoo`02Ool00`00Oomoo`02
Ool00`00Oomoo`03Ool00`00Oomoo`2eOol002eoo`03001oogoo02Qoo`03001oogoo009oo`03001o
ogoo009oo`03001oogoo00=oo`03001oogoo0;Eoo`00;Goo00<007ooOol0:7oo00<007ooOol00Woo
00D007ooOomoo`0000Ioo`03001oogoo0;Eoo`00;Goo0P00:Goo00<007ooOol00Woo00D007ooOomo
o`0000Moo`03001oogoo0;Aoo`00;Goo00<007ooOol0:7oo00<007ooOol00Woo00D007ooOomoo`00
00Moo`03001oogoo0;Aoo`00;Goo00<007ooOol0:7oo00<007ooOol00Woo00D007ooOomoo`0000Mo
o`03001oogoo0;Aoo`00;Goo00<007ooOol0:7oo00<007ooOol00Woo00D007ooOomoo`0000Moo`03
001oogoo0;Aoo`00;Goo00<007ooOol0:7oo00<007ooOol00Woo00D007ooOomoo`0000Moo`03001o
ogoo0;Aoo`00;Goo00<007ooOol0:7oo00<007ooOol00Woo00D007ooOomoo`0000Moo`03001oogoo
0;Aoo`00;Goo0P009Goo00D007ooOomoo`0000Aoo`05001oogooOol00007Ool00`00Oomoo`2dOol0
02eoo`03001oogoo02Aoo`05001oogooOol00004Ool01@00Oomoogoo00001goo00<007ooOol0]7oo
000]Ool00`00Oomoo`0TOol01@00Oomoogoo000017oo00D007ooOomoo`0000Moo`03001oogoo0;Ao
o`00;Goo00<007ooOol097oo00D007ooOomoo`0000Aoo`05001oogooOol00007Ool00`00Oomoo`2d
Ool0009oo`8000Aoo`8000=oo`<000=oo`<000=oo`<000=oo`<000=oo`<000Eoo`03001oogoo02Ao
o`80009oo`03001oogoo009oo`05001oogooOol00007Ool00`00Oomoo`2dOol00005Ool007ooOol0
000:Ool00`00Oomoo`03Ool00`00Oomoo`03Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00<0
07ooOol00Woo00<007ooOol097oo0P000Woo00<007ooOol00Woo00D007ooOomoo`0000Moo`03001o
ogoo0;Aoo`0000Eoo`00Oomoo`0000Uoo`<000=oo`<000=oo`<000=oo`<0009oo`04001oogoo0004
Ool2000UOol20002Ool00`00Oomoo`02Ool01@00Oomoogoo00001goo00<007ooOol0]7oo00001Goo
001oogoo000027oo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0
009oo`<000Eoo`03001oogoo02Aoo`80009oo`03001oogoo00=oo`04001oogoo0007Ool00`00Oomo
o`2dOol00005Ool007ooOol00008Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002
Ool01000Oomoo`000goo00<007ooOol017oo00<007ooOol097oo0P000Woo00<007ooOol00goo00@0
07ooOol000Moo`03001oogoo0;Aoo`000Woo0P002Woo0`000goo0`000goo0`000goo0`000goo0`00
17oo00<007ooOol097oo0P000Woo00<007ooOol00goo00@007ooOol000Moo`03001oogoo0;Aoo`00
;Goo00<007ooOol097oo0P000Woo00<007ooOol00goo00@007ooOol000Moo`03001oogoo0;Aoo`00
;Goo0P009Goo0P000Woo00<007ooOol00goo00@007ooOol000Moo`03001oogoo0;Aoo`00;Goo00<0
07ooOol097oo0P0000=oo`00Ool01Goo00@007ooOol000Moo`03001oogoo0;Aoo`00;Goo00<007oo
Ool097oo0P0000=oo`00Ool01Goo00@007ooOol000Qoo`03001oogoo0;=oo`00;Goo00<007ooOol0
97oo0P0000=oo`00Ool01Goo00@007ooOol000Qoo`03001oogoo01Eoo`8009aoo`00;Goo00<007oo
Ool097oo0P0000=oo`00Ool01Goo00@007ooOol000Qoo`03001oogoo01Eoo`8009aoo`00;Goo00<0
07ooOol097oo0P0000=oo`00Ool01Goo00<007oo00002Goo00<007ooOol05Goo0P00W7oo000]Ool2
000UOol200000goo001oo`05Ool00`00Ool00009Ool00`00Oomoo`0EOol2002LOol002eoo`03001o
ogoo02Aoo`800003Ool007oo00Ioo`8000Uoo`03001oogoo01Eoo`8009aoo`00;Goo00<007ooOol0
97oo0P0000=oo`00Ool01Woo0P002Goo00<007ooOol05Goo00<007oo0000Vgoo000]Ool00`00Oomo
o`0TOol200000goo001oo`06Ool20009Ool00`00Oomoo`0EOol00`00Ool0002KOol002eoo`03001o
ogoo02Aoo`800003Ool007oo00Ioo`8000Uoo`03001oogoo01Eoo`03001oo`0009]oo`00;Goo00<0
07ooOol097oo00@007oo000000Moo`03001oogoo00Qoo`03001oogoo01Eoo`03001oo`0009]oo`00
;Goo0P009Goo00@007oo0000019oo`03001oogoo01Aoo`04001oogoo002KOol002eoo`03001oogoo
02Aoo`04001oo`00000COol00`00Oomoo`0COol01000Oomoo`00Vgoo000]Ool00`00Oomoo`0TOol0
0`00Ool0000DOol00`00Oomoo`0?Ool20002Ool01000Oomoo`00Vgoo000]Ool00`00Oomoo`0TOol0
0`00Oomoo`0DOol00`00Oomoo`0?Ool20002Ool01000Oomoo`00Vgoo0002Ool20004Ool20003Ool3
0003Ool30003Ool30003Ool30004Ool20005Ool00`00Oomoo`0TOol00`00Oomoo`0DOol00`00Oomo
o`0?Ool20002Ool01000Oomoo`00Vgoo00001Goo001oogoo00002Woo00<007ooOol00goo00<007oo
Ool00goo00<007ooOol00goo00D007ooOomoo`00009oo`03001oogoo009oo`03001oogoo02Aoo`03
001oogoo01Aoo`80011oo`80009oo`05001oogooOol0002JOol00005Ool007ooOol00009Ool30003
Ool30003Ool30003Ool30002Ool01000Oomoo`0017oo0P009Goo00<007ooOol05Goo00<007ooOol0
3Goo00<007oo00000Woo00D007ooOomoo`0009Yoo`0000Eoo`00Oomoo`0000Qoo`04001oogoo0002
Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0003Ool20005Ool00`00Oomoo`0TOol0
0`00Oomoo`0EOol00`00Oomoo`0=Ool00`00Ool00002Ool01@00Oomoogoo0000VWoo00001Goo001o
ogoo000027oo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0009o
o`04001oogoo0004Ool00`00Oomoo`0TOol00`00Oomoo`0EOol00`00Oomoo`0=Ool01P00Oomoo`00
Ool000=oo`04001oogoo002GOol0009oo`8000Yoo`<000=oo`<000=oo`<000=oo`<000=oo`8000Eo
o`03001oogoo02Aoo`03001oogoo01Eoo`03001oogoo00eoo`06001oogoo001oo`000goo00@007oo
000009Moo`00;Goo00<007ooOol097oo00<007ooOol05Goo00<007ooOol03Goo00H007ooOol007oo
0003Ool01000Ool00000Ugoo000]Ool2000UOol00`00Oomoo`0EOol00`00Oomoo`0=Ool01P00Oomo
o`00Ool000=oo`04001oo`00002GOol002eoo`03001oogoo02Aoo`03001oogoo01Ioo`03001oogoo
00aoo`06001oogoo001oo`000goo00D007oo001oo`0009Ioo`00;Goo00<007ooOol097oo00<007oo
Ool05Woo00<007ooOol037oo00H007ooOol007oo0003Ool01@00Ool007oo0000UWoo000]Ool00`00
Oomoo`0TOol00`00Oomoo`0FOol00`00Oomoo`07Ool20003Ool01P00Oomoo`00Ool000=oo`05001o
o`00Ool0002FOol002eoo`03001oogoo02Aoo`03001oogoo01Ioo`03001oogoo00Moo`03001oo`00
009oo`06001oogoo001oo`000goo00D007oo001oo`0009Ioo`00;Goo00<007ooOol097oo00<007oo
Ool05Woo00<007ooOol01goo00<007oo00000Woo00H007ooOol007oo0003Ool01@00Ool007oo0000
UWoo000]Ool2000NOol20004Ool20004Ool2000BOol01@00Oomoogoo00001Goo00<007oo00001000
00Aoo`00Ool000=oo`05001oo`00Ool0000AOol50002Ool20004Ool2000NOol4000MOol40003Ool2
0004Ool2000POol20006Ool002eoo`03001oogoo01aoo`04001oogoo0004Ool01@00Oomoogoo0000
0Woo00<007ooOol03goo00@007ooOomoo`<000=oo`04001oo`00Ool20002Ool00`00Ool00004Ool0
1000Oomoo`004goo00<007ooOol01goo00@007ooOol001eoo`03001oogoo01ioo`03001oogoo00Uo
o`04001oogoo000NOol01000Oomoo`001Goo000]Ool00`00Oomoo`0LOol01000Oomoo`0017oo00<0
07ooOol017oo00<007ooOol03goo00@007ooOol0009oo`800006Ool007ooOol007oo0P000Woo00<0
07oo000017oo00@007ooOol001=oo`03001oogoo00Yoo`03001oogoo01aoo`03001oogoo01ioo`03
001oogoo00]oo`03001oogoo01ioo`03001oogoo00Aoo`00;Goo00<007ooOol077oo00@007ooOol0
00Aoo`03001oogoo009oo`8001=oo`03001oo`0000=oo`03001oo`00009oo`04001oo`000002Ool0
0`00Ool00004Ool01000Oomoo`004goo00<007ooOol027oo0P0087oo00<007ooOol07Woo00<007oo
Ool027oo0P008Woo00<007ooOol00goo000]Ool00`00Oomoo`0LOol01000Oomoo`0017oo00<007oo
Ool00Woo00<007ooOol04Woo00<007oo00000goo00<007oo00000Woo00@007oo0000009oo`03001o
o`0000Aoo`04001oogoo000COol00`00Oomoo`08Ool00`00Oomoo`0MOol01000Oomoo`007Goo00@0
07ooOol000Uoo`03001oogoo01ioo`04001oogoo0005Ool002eoo`03001oogoo01eoo`8000Eoo`03
001oogoo009oo`<0019oo`<000Aoo`80009oo`@0009oo`03001oo`0000Aoo`04001oogoo000BOol2
000:Ool3000NOol2000OOol2000:Ool3000OOol20006Ool002eoo`8002Eoo`03001oogoo01Moo`80
00Eoo`8000=oo`03001oo`00009oo`03001oo`0000Aoo`04001oogoo002FOol002eoo`03001oogoo
02Aoo`03001oogoo01ioo`8000=oo`03001oo`00009oo`03001oo`0000Aoo`04001oogoo002FOol0
02eoo`03001oogoo02Aoo`03001oogoo01moo`07001oogooOol007oo00000Woo00<007oo00001goo
00<007ooOol0U7oo000]Ool00`00Oomoo`0TOol00`00Oomoo`0SOol20003Ool20009Ool01@00Oomo
ogoo0000TGoo000]Ool00`00Oomoo`0TOol00`00Oomoo`0SOol20004Ool00`00Oomoo`07Ool01000
Oomoogoo0P00T7oo000WOooi000002eoo`03001oogoo00Aoo`T000=oo`05001oogooOol00007Ool0
0`00Oomoo`05Ool00`00Oomoo`05Ool00`00Oomoo`05Ool00`00Oomoo`05Ool00`00Oomoo`04Ool0
0`00Oomoo`04Ool20004Ool01000Oomoo`001Woo0P0000Aoo`00Ool000=oo`03001oogoo00Eoo`03
001oogoo00Eoo`03001oogoo00Aoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo009oo`04
001oogoo0007Ool00`00Oomoo`05Ool00`00Oomoo`05Ool01000Oomoogoo0P000Woo00<007ooOol0
0Woo00<007oo00001goo00<007ooOol01Goo00<007ooOol01Goo00<007ooOol01Goo00<007ooOol0
1Goo00<007ooOol01Goo00<007ooOol017oo000]Ool00`00Oomoo`0;Ool20003Ool00`00Oomoo`0A
Ool00`00Oomoo`0SOol20004Ool00`00Oomoo`07Ool01P00Oomoo`00Ool001=oo`03001oogoo01Uo
o`03001oogoo00Qoo`03001oogoo00Uoo`8000Ioo`04001oo`000005Ool20006Ool30007Ool20007
Ool20008Ool20007Ool50006Ool002eoo`03001oogoo00eoo`04001oogoo000iOol20004Ool00`00
Oomoo`07Ool01P00Oomoo`00Ool0025oo`03001oogoo00]oo`8000Eoo`8000Ioo`03001oogoo00Eo
o`<000Aoo`04001oogooOol60002Ool20003Ool01@00Oomoogoo00001Goo00@007oo000000Aoo`<0
0004Ool000000002Ool30002Ool7000;Ool002eoo`03001oogoo00ioo`<003Uoo`8000Aoo`03001o
ogoo00Moo`04001oogoo0002Ool00`00Oomoo`0NOol00`00Oomoo`0:Ool00`00Ool00005Ool20006
Ool20005Ool00`00Oomoo`05000=Ool50004Ool50004Ool50005Ool4000FOol002eoo`03001oogoo
00moo`8003Uoo`8000Aoo`03001oogoo00Moo`04001oogoo0002Ool00`00Oomoo`0MOol20006Ool0
0`00Oomoo`03Ool00`00Ool00005Ool00`00Ool00004Ool01000Ool000000goo00<007ooOol0BGoo
000]Ool2000AOol00`00Oomoo`0gOol20004Ool00`00Oomoo`07Ool01000Oomoo`000Woo00<007oo
Ool07Goo0P001Woo00<007ooOol00goo00@007ooOol000=oo`04001oogoo0004Ool00`00Oomoo`02
00000goo0000001;Ool002eoo`03001oogoo04Yoo`8000Aoo`03001oogoo00Moo`04001oogoo0002
Ool00`00Oomoo`02000>Ool00`00Oomoo`04Ool00`00Oomoo`03Ool00`00Ool00004Ool00`00Ool0
0004Ool00`00Oomoo`020002Ool00`00Oomoo`020002Ool00`00Oomoo`02Ool3001<Ool002eoo`03
001oogoo04Yoo`8000Aoo`03001oogoo00Moo`03001oo`0000=oo`03001oo`00009oo`03001oogoo
00]oo`03001oogoo00Aoo`03001oogoo00=oo`03001oo`0000Aoo`03001oo`0000=oo`03001oogoo
009oo`<000Aoo`@005=oo`00;Goo00<007ooOol0Bgoo00<007ooOol037oo00<007oo00000goo00<0
07oo00000Woo00<007ooOol02goo00<007ooOol017oo00<007ooOol00goo00<007oo000017oo00<0
07oo00000goo00<007ooOol0H7oo000]Ool00`00Oomoo`1;Ool00`00Oomoo`0<Ool00`00Ool00003
Ool00`00Ool00002Ool00`00Oomoo`0;Ool20005Ool00`00Oomoo`03Ool00`00Ool00004Ool01P00
Ool00000Ool006=oo`00;Goo00<007ooOol0FWoo00<007oo00000goo00<007oo00000goo00<007oo
Ool02Woo0P0017oo0P0017oo00D007ooOomoo`00009oo`04001oogooOol3001SOol002eoo`8005]o
o`03001oo`0000=oo`03001oo`0000=oo`03001oogoo00Aoo`03001oogoo00=oo`8000Aoo`03001o
o`0000=oo`05001oogooOol00002Ool01000Oomoogoo0P00I7oo000]Ool00`00Oomoo`1JOol00`00
Ool00004Ool20004Ool00`00Oomoo`03Ool00`00Oomoo`02Ool00`00Ool00004Ool00`00Ool00003
Ool01P00Oomoogoo001oo`8006Uoo`00;Goo00<007ooOol0FWoo00<007oo000017oo00<007ooOol0
0goo00<007ooOol00goo00<007ooOol00Woo00<007oo000017oo00<007oo00000Woo00<007ooOol0
0Woo0`00JWoo000]Ool00`00Oomoo`1JOol00`00Ool00004Ool00`00Oomoo`04Ool01000Oomoogoo
0P0017oo00@007ooOol000=oo`03001oo`00009oo`03001oogoo06moo`00;Goo00<007ooOol0FWoo
00<007oo000017oo00<007ooOol017oo00L007ooOomoo`00Ool00003Ool01000Oomoo`000goo00H0
07ooOol007oo001aOol002eoo`03001oogoo05Yoo`03001oo`0000Aoo`03001oogoo00Aoo`04001o
ogoo0002Ool01@00Oomoogoo00000Woo00@007ooOol000=oo`<0075oo`00;Goo0P00Fgoo00<007oo
000037oo0`000Woo00D007ooOomoo`00009oo`04001oogoo001gOol002eoo`03001oogoo05Yoo`03
001oo`0000eoo`03001oogoo009oo`03001oo`0000Aoo`<007Moo`00;Goo00<007ooOol0FWoo00<0
07oo00004Woo00<007oo000017oo0P00N7oo00000goo000000030002Ool20004Ool20004Ool20004
Ool20004Ool20003Ool40004Ool00`00Oomoo`1KOol2000BOol2001oOol000=oo`03001oogoo00Mo
o`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool00`00Oomo
o`05Ool00`00Oomoo`1KOol00`00Oomoo`2BOol000=oo`03001oogoo00Moo`04001oogoo0002Ool0
1000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0003Ool00`00Oomoo`04Ool2001LOol00`00
Oomoo`2BOol000=oo`03001oogoo00Moo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0
009oo`04001oogoo0004Ool00`00Oomoo`03Ool00`00Oomoo`1KOol00`00Oomoo`2BOol000=oo`03
001oogoo00Moo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002
Ool01000Oomoo`0017oo00<007ooOol0Fgoo00<007ooOol0TWoo0002Ool2000:Ool20004Ool20004
Ool20004Ool20004Ool20005Ool00`00Oomoo`1KOol00`00Oomoo`2BOol002eoo`03001oogoo05]o
o`03001oogoo099oo`00;Goo00<007ooOol0Fgoo00<007ooOol0TWoo000]Ool2001LOol00`00Oomo
o`2BOol002eoo`03001oogoo05]oo`03001oogoo099oo`00;Goo00<007ooOol0Fgoo00<007ooOol0
TWoo000]Ool00`00Oomoo`3`Ool002eoo`03001oogoo0?1oo`00;Goo00<007ooOol0l7oo000]Ool0
0`00Oomoo`3`Ool00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol0
0?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.573108, 0.999886, \
0.0127104, 8.71974*^-07}}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
2.77556e-017 0.333333 -2.78115 3.09017 [
[.16667 -0.0125 -11 -12.75 ]
[.16667 -0.0125 11 0 ]
[.33333 -0.0125 -11 -12.75 ]
[.33333 -0.0125 11 0 ]
[.5 -0.0125 -11 -12.75 ]
[.5 -0.0125 11 0 ]
[.66667 -0.0125 -11 -12.75 ]
[.66667 -0.0125 11 0 ]
[.83333 -0.0125 -11 -12.75 ]
[.83333 -0.0125 11 0 ]
[1 -0.0125 -11 -12.75 ]
[1 -0.0125 11 0 ]
[1.025 0 0 -6.375 ]
[1.025 0 10 6.375 ]
[-0.0125 .15451 -28 -6.375 ]
[-0.0125 .15451 0 6.375 ]
[-0.0125 .30902 -28 -6.375 ]
[-0.0125 .30902 0 6.375 ]
[-0.0125 .46353 -28 -6.375 ]
[-0.0125 .46353 0 6.375 ]
[-0.0125 .61803 -28 -6.375 ]
[-0.0125 .61803 0 6.375 ]
[.5 .63053 -59 0 ]
[.5 .63053 59 12.75 ]
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.002 w
[ ] 0 setdash
.16667 0 m
.16667 .00625 L
s
gsave
.16667 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.33333 0 m
.33333 .00625 L
s
gsave
.33333 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.0) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.66667 0 m
.66667 .00625 L
s
gsave
.66667 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.0) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.83333 0 m
.83333 .00625 L
s
gsave
.83333 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.5) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -72 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3.0) show
81.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
.03333 0 m
.03333 .00313 L
s
.06667 0 m
.06667 .00313 L
s
.1 0 m
.1 .00313 L
s
.13333 0 m
.13333 .00313 L
s
.2 0 m
.2 .00313 L
s
.23333 0 m
.23333 .00313 L
s
.26667 0 m
.26667 .00313 L
s
.3 0 m
.3 .00313 L
s
.36667 0 m
.36667 .00313 L
s
.4 0 m
.4 .00313 L
s
.43333 0 m
.43333 .00313 L
s
.46667 0 m
.46667 .00313 L
s
.53333 0 m
.53333 .00313 L
s
.56667 0 m
.56667 .00313 L
s
.6 0 m
.6 .00313 L
s
.63333 0 m
.63333 .00313 L
s
.7 0 m
.7 .00313 L
s
.73333 0 m
.73333 .00313 L
s
.76667 0 m
.76667 .00313 L
s
.8 0 m
.8 .00313 L
s
.86667 0 m
.86667 .00313 L
s
.9 0 m
.9 .00313 L
s
.93333 0 m
.93333 .00313 L
s
.96667 0 m
.96667 .00313 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
1.025 0 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
69.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.002 w
0 .15451 m
.00625 .15451 L
s
gsave
-0.0125 .15451 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.95) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.00) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .46353 m
.00625 .46353 L
s
gsave
-0.0125 .46353 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.05) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -89 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.10) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
0 .0309 m
.00313 .0309 L
s
0 .0618 m
.00313 .0618 L
s
0 .09271 m
.00313 .09271 L
s
0 .12361 m
.00313 .12361 L
s
0 .18541 m
.00313 .18541 L
s
0 .21631 m
.00313 .21631 L
s
0 .24721 m
.00313 .24721 L
s
0 .27812 m
.00313 .27812 L
s
0 .33992 m
.00313 .33992 L
s
0 .37082 m
.00313 .37082 L
s
0 .40172 m
.00313 .40172 L
s
0 .43262 m
.00313 .43262 L
s
0 .49443 m
.00313 .49443 L
s
0 .52533 m
.00313 .52533 L
s
0 .55623 m
.00313 .55623 L
s
0 .58713 m
.00313 .58713 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
.5 .63053 -120 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(True) show
93.000 13.000 moveto
(Euler) show
129.000 13.000 moveto
(Equation) show
177.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.00333 .30902 m
.00456 .30902 L
.00568 .30902 L
.00698 .30902 L
.0082 .30902 L
.00933 .30902 L
.01037 .30902 L
.01151 .30902 L
.01273 .30902 L
.01394 .30902 L
.01525 .30902 L
.01649 .30902 L
.01762 .30902 L
.01894 .30902 L
.01969 .30902 L
.02039 .30902 L
.02166 .30902 L
.02302 .30902 L
.0237 .30902 L
.02442 .30902 L
.02571 .30902 L
.02643 .30902 L
.0271 .30902 L
.02862 .30902 L
.03117 .30902 L
.0326 .30902 L
.0339 .30902 L
.03633 .30902 L
.03897 .30902 L
.04146 .30902 L
.04377 .30902 L
.04629 .30902 L
.04901 .30902 L
.05157 .30902 L
.05393 .30902 L
.05939 .30902 L
.06214 .30902 L
.06515 .30902 L
.07083 .30902 L
.07402 .30903 L
.07691 .30903 L
.07961 .30903 L
.08104 .30903 L
.08182 .30903 L
.08254 .30903 L
.08386 .30902 L
.08456 .30902 L
.08531 .30902 L
.08786 .30902 L
.09052 .30902 L
Mistroke
.09336 .30902 L
.09604 .30902 L
.09846 .30902 L
.10132 .30902 L
.10442 .30902 L
.10734 .30902 L
.11002 .30902 L
.1149 .30902 L
.11767 .30902 L
.12026 .30902 L
.12547 .30902 L
.12839 .30902 L
.13106 .30902 L
.1361 .30902 L
.14146 .30902 L
.14603 .30902 L
.15107 .30902 L
.15647 .30902 L
.15931 .30902 L
.16229 .30902 L
.16491 .30902 L
.16563 .30902 L
.1664 .30902 L
.16778 .30888 L
.16914 .3089 L
.17042 .30891 L
.17167 .30892 L
.17281 .30893 L
.17402 .30894 L
.17532 .30894 L
.17653 .30895 L
.17767 .30894 L
.179 .30894 L
.18023 .30892 L
.18301 .30889 L
.18813 .30881 L
.19086 .30876 L
.19229 .30874 L
.19307 .30872 L
.19379 .30871 L
.195 .30871 L
.19631 .30873 L
.19862 .30877 L
.20316 .30885 L
.20568 .30889 L
.20797 .30891 L
.20924 .30892 L
.21062 .30892 L
.21192 .30893 L
.21312 .30893 L
Mistroke
.21442 .30894 L
.21567 .30894 L
.21678 .30893 L
.218 .30893 L
.21932 .30892 L
.22072 .30891 L
.22325 .30889 L
.2278 .30883 L
.22905 .30881 L
.23037 .30879 L
.23149 .30879 L
.23273 .3088 L
.23419 .30881 L
.23575 .30881 L
.23722 .30882 L
.23856 .30882 L
.23991 .30882 L
.24068 .30883 L
.24138 .30883 L
.24268 .30883 L
.24406 .30882 L
.24527 .30882 L
.24657 .30882 L
.2477 .30882 L
.24894 .30881 L
.2503 .30883 L
.25174 .30885 L
.25432 .30888 L
.25698 .30891 L
.25838 .30892 L
.25986 .30893 L
.26115 .30894 L
.26258 .30894 L
.26387 .30895 L
.26508 .30895 L
.26624 .30895 L
.2675 .30895 L
.26869 .30895 L
.2698 .30896 L
.27244 .30898 L
.2737 .30899 L
.27486 .30899 L
.27624 .309 L
.27697 .309 L
.27773 .309 L
.27902 .309 L
.27975 .309 L
.28043 .309 L
.28171 .309 L
.28287 .309 L
Mistroke
.28421 .309 L
.28548 .309 L
.28684 .30899 L
.28811 .30899 L
.28944 .30899 L
.29014 .30899 L
.2909 .30899 L
.2925 .30899 L
.29396 .30899 L
.29542 .30899 L
.29679 .30899 L
.29804 .30899 L
.2994 .30899 L
.30063 .30899 L
.30177 .30899 L
.30435 .309 L
.30565 .309 L
.30708 .309 L
.30831 .309 L
.30947 .30901 L
.31081 .309 L
.31203 .30899 L
.31424 .30898 L
.31549 .30898 L
.31665 .30898 L
.31789 .30898 L
.31922 .30898 L
.32048 .30898 L
.32164 .30898 L
.32292 .30899 L
.32433 .30899 L
.32716 .30901 L
.3286 .30902 L
.32996 .30904 L
.33071 .30904 L
.33152 .30904 L
.33226 .30903 L
.33294 .30902 L
.33439 .309 L
.33576 .30898 L
.33709 .30897 L
.33833 .30896 L
.33946 .30895 L
.34067 .30895 L
.342 .30894 L
.34322 .30895 L
.34452 .30895 L
.34525 .30895 L
.34592 .30896 L
.34716 .30897 L
Mistroke
.34847 .30898 L
.35065 .309 L
.35186 .30902 L
.35299 .30904 L
.35434 .30902 L
.35556 .309 L
.35796 .30896 L
.3592 .30894 L
.36056 .30893 L
.36125 .30893 L
.36199 .30892 L
.36333 .30892 L
.3646 .30892 L
.36593 .30892 L
.36706 .30893 L
.36831 .30893 L
.37955 .30901 L
.38083 .30899 L
.38202 .30898 L
.38326 .30897 L
.38463 .30897 L
.38601 .30896 L
.38679 .30896 L
.38749 .30896 L
.38885 .30897 L
.39013 .30898 L
.39133 .30898 L
.39261 .309 L
.3949 .30902 L
.39741 .30906 L
.39872 .30908 L
.39944 .30909 L
.40011 .3091 L
.40081 .30909 L
.40157 .30908 L
.40292 .30907 L
.40557 .30904 L
.40709 .30903 L
.40848 .30902 L
.40925 .30902 L
.41009 .30901 L
.41088 .30901 L
.4116 .30901 L
.41285 .30901 L
.41401 .30901 L
.41529 .30901 L
.41667 .30902 L
.41736 .30902 L
.41811 .30902 L
.41947 .30903 L
Mistroke
.42204 .30904 L
.42334 .30905 L
.42471 .30906 L
.42543 .30906 L
.42622 .30905 L
.4276 .30905 L
.42891 .30904 L
.43031 .30904 L
.43164 .30904 L
.43284 .30904 L
.43409 .30903 L
.43525 .30903 L
.43652 .30903 L
.43787 .30903 L
.43904 .30903 L
.44014 .30904 L
.44134 .30904 L
.44263 .30904 L
.4477 .30905 L
.44904 .30905 L
.45049 .30905 L
.45312 .30906 L
.45623 .30906 L
.45758 .30906 L
.45834 .30906 L
.45906 .30906 L
.45979 .30906 L
.46045 .30907 L
.46117 .30907 L
.46193 .30907 L
.46329 .30907 L
.46458 .30907 L
.46591 .30906 L
.46711 .30906 L
.46849 .30906 L
.46979 .30906 L
.47211 .30906 L
.47462 .30905 L
.47595 .30905 L
.4767 .30905 L
.4774 .30905 L
.48032 .30906 L
.48285 .30907 L
.48358 .30907 L
.48427 .30907 L
.48556 .30907 L
.48683 .30907 L
.48755 .30907 L
.48823 .30907 L
.4896 .30907 L
Mistroke
.49036 .30907 L
.49106 .30907 L
.49231 .30907 L
.49367 .30907 L
.49615 .30906 L
.49903 .30905 L
.50062 .30904 L
.50139 .30904 L
.50211 .30904 L
.50279 .30903 L
.5035 .30904 L
.50501 .30904 L
.50764 .30905 L
.50892 .30906 L
.5103 .30906 L
.51153 .30906 L
.51282 .30907 L
.51399 .30907 L
.51528 .30907 L
.51645 .30907 L
.51755 .30907 L
.51885 .30907 L
.52022 .30907 L
.52138 .30907 L
.52266 .30906 L
.52552 .30906 L
.52818 .30905 L
.52937 .30904 L
.53067 .30904 L
.5319 .30904 L
.53303 .30904 L
.53531 .30905 L
.53745 .30906 L
.53864 .30906 L
.53974 .30906 L
.54095 .30906 L
.54226 .30906 L
.54351 .30906 L
.54487 .30906 L
.54616 .30906 L
.54736 .30906 L
.54871 .30906 L
.55013 .30906 L
.55268 .30905 L
.55565 .30904 L
.55711 .30903 L
.55843 .30903 L
.55966 .30902 L
.56083 .30903 L
.5634 .30904 L
Mistroke
.56605 .30904 L
.5675 .30905 L
.56886 .30905 L
.57006 .30905 L
.57116 .30905 L
.57239 .30905 L
.5737 .30905 L
.57475 .30905 L
.57589 .30905 L
.57708 .30905 L
.57819 .30905 L
.57951 .30905 L
.58076 .30905 L
.5831 .30905 L
.58561 .30904 L
.58703 .30904 L
.58833 .30903 L
.5896 .30903 L
.59081 .30903 L
.59346 .30904 L
.59575 .30904 L
.59704 .30904 L
.59825 .30904 L
.59895 .30905 L
.59969 .30905 L
.601 .30905 L
.60174 .30905 L
.60252 .30905 L
.60318 .30905 L
.60391 .30905 L
.60522 .30905 L
.60596 .30905 L
.60663 .30905 L
.60916 .30904 L
.61053 .30904 L
.61198 .30904 L
.61459 .30903 L
.61763 .30903 L
.61839 .30902 L
.61912 .30902 L
.62048 .30902 L
.62165 .30902 L
.62293 .30902 L
.62557 .30903 L
.62827 .30903 L
.62969 .30903 L
.63118 .30904 L
.63256 .30904 L
.63335 .30904 L
.63408 .30904 L
Mistroke
.63536 .30904 L
.63674 .30904 L
.63742 .30904 L
.63815 .30904 L
.63948 .30904 L
.64078 .30904 L
.64198 .30904 L
.64424 .30903 L
.64673 .30903 L
.64918 .30903 L
.65052 .30903 L
.65177 .30902 L
.65313 .30902 L
.65384 .30903 L
.65461 .30903 L
.65722 .30903 L
.66029 .30903 L
.66175 .30904 L
.66309 .30904 L
.66436 .30904 L
.66571 .30904 L
.66706 .30904 L
.66783 .30904 L
.66855 .30904 L
.66985 .30904 L
.67104 .30904 L
.67241 .30904 L
.67372 .30904 L
.67643 .30903 L
.67899 .30903 L
.68132 .30903 L
.68377 .30903 L
.68505 .30902 L
.68578 .30903 L
.68645 .30903 L
.68892 .30903 L
.69178 .30903 L
.69318 .30903 L
.69448 .30903 L
.69559 .30903 L
.69681 .30903 L
.69804 .30903 L
.69935 .30903 L
.70045 .30903 L
.70163 .30903 L
.70275 .30903 L
.70378 .30903 L
.70498 .30903 L
.7061 .30903 L
.70863 .30903 L
Mistroke
.7111 .30903 L
.71373 .30903 L
.71645 .30902 L
.71717 .30902 L
.71794 .30902 L
.71866 .30902 L
.71933 .30902 L
.72059 .30902 L
.72178 .30902 L
.72448 .30902 L
.72588 .30903 L
.72737 .30903 L
.72866 .30903 L
.73005 .30903 L
.73082 .30903 L
.73153 .30903 L
.73221 .30903 L
.73293 .30903 L
.73371 .30903 L
.73445 .30903 L
.73525 .30903 L
.73611 .30903 L
.7368 .30903 L
.73753 .30903 L
.73884 .30903 L
.74024 .30903 L
.74179 .30903 L
.74716 .30902 L
.74966 .30902 L
.75104 .30902 L
.75235 .30902 L
.75356 .30902 L
.75489 .30902 L
.75609 .30902 L
.75721 .30902 L
.76253 .30902 L
.76552 .30902 L
.76695 .30902 L
.76828 .30902 L
.76944 .30902 L
.77069 .30902 L
.77141 .30902 L
.77208 .30902 L
.77335 .30902 L
.77468 .30902 L
.77591 .30902 L
.77726 .30902 L
.7787 .30902 L
.7799 .30902 L
.781 .30902 L
Mistroke
.78348 .30902 L
.78796 .30902 L
.78911 .30902 L
.79034 .30902 L
.79168 .30902 L
.79294 .30902 L
.79818 .30902 L
.80089 .30902 L
.80237 .30903 L
.80376 .30903 L
.80621 .30903 L
.80751 .30903 L
.80824 .30903 L
.8089 .30903 L
.80962 .30903 L
.81038 .30903 L
.81176 .30903 L
.8126 .30903 L
.81339 .30903 L
.8141 .30903 L
.81487 .30903 L
.81782 .30903 L
.82053 .30902 L
.82543 .30902 L
.82677 .30902 L
.82752 .30902 L
.8282 .30902 L
.82953 .30902 L
.83079 .30902 L
.83594 .30902 L
.83887 .30903 L
.84028 .30903 L
.84162 .30903 L
.84284 .30903 L
.84417 .30903 L
.84538 .30903 L
.8465 .30903 L
.84784 .30903 L
.84904 .30903 L
.84972 .30903 L
.85044 .30903 L
.85176 .30903 L
.85305 .30903 L
.85448 .30903 L
.85736 .30903 L
.86251 .30902 L
.86369 .30902 L
.86498 .30902 L
.8662 .30902 L
.86732 .30902 L
Mistroke
.86863 .30902 L
.87002 .30902 L
.87248 .30902 L
.87691 .30903 L
.87943 .30903 L
.8818 .30903 L
.88303 .30903 L
.88434 .30903 L
.88558 .30903 L
.88671 .30903 L
.88804 .30903 L
.88878 .30903 L
.88947 .30903 L
.89074 .30903 L
.89208 .30903 L
.89474 .30903 L
.89724 .30903 L
.90291 .30902 L
.90411 .30902 L
.90541 .30902 L
.90664 .30902 L
.90778 .30902 L
.91224 .30902 L
.9171 .30902 L
.9185 .30902 L
.91981 .30903 L
.9211 .30903 L
.92227 .30903 L
.92349 .30903 L
.9248 .30903 L
.92601 .30903 L
.92715 .30903 L
.92849 .30903 L
.92972 .30903 L
.93107 .30903 L
.93175 .30903 L
.93251 .30903 L
.93519 .30902 L
.93808 .30902 L
.94331 .30902 L
.94586 .30902 L
.9471 .30902 L
.94823 .30902 L
.94943 .30902 L
.9507 .30902 L
.9534 .30902 L
.95569 .30902 L
.95816 .30902 L
.96033 .30902 L
.96265 .30902 L
Mistroke
.96385 .30902 L
.96499 .30902 L
.96601 .30902 L
.96712 .30902 L
.96817 .30902 L
.96929 .30902 L
.97024 .30902 L
.9713 .30902 L
.97253 .30902 L
.97365 .30902 L
.97489 .30902 L
.9762 .30902 L
.9808 .30902 L
.98554 .30902 L
.98782 .30902 L
.98996 .30902 L
.99118 .30902 L
.9925 .30902 L
.99481 .30902 L
1 .30902 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo003oOolQ
Ool00?moob5oo`00ogoo8Goo0011Ool20004Ool20004Ool2000HOol50002Ool20004Ool2000IOol5
0002Ool20004Ool2000HOol40003Ool20004Ool2000HOol40003Ool20004Ool2000IOol20004Ool2
0004Ool2000=Ool0041oo`04001oogoo0008Ool01000Oomoo`006Goo00<007ooOol01goo00@007oo
Ool001Yoo`03001oogoo00Moo`04001oogoo000GOol00`00Oomoo`09Ool01000Oomoo`005goo00<0
07ooOol02Goo00@007ooOol001Moo`04001oogoo0008Ool01000Oomoo`0037oo0010Ool01000Oomo
o`002goo00<007ooOol05goo00<007ooOol01goo00@007ooOol001Yoo`03001oogoo00Yoo`03001o
ogoo01Ioo`03001oogoo00Qoo`04001oogoo000HOol00`00Oomoo`0;Ool00`00Oomoo`0GOol00`00
Oomoo`07Ool01000Oomoo`0037oo0010Ool01000Oomoo`002Goo0P006Woo00<007ooOol01goo00@0
07ooOol001Yoo`03001oogoo00Qoo`8001Yoo`03001oogoo00Moo`04001oogoo000IOol00`00Oomo
o`08Ool2000KOol00`00Oomoo`06Ool01000Oomoo`0037oo0010Ool01000Oomoo`002Goo00<007oo
Ool06Goo00<007ooOol01goo00@007ooOol001Yoo`03001oogoo00Qoo`03001oogoo01Moo`04001o
ogoo0008Ool01000Oomoo`005goo00@007ooOol000Uoo`03001oogoo01Moo`04001oogoo0008Ool0
1000Oomoo`0037oo0011Ool2000:Ool3000HOol2000:Ool2000JOol2000:Ool3000HOol2000:Ool2
000IOol2000:Ool3000HOol2000:Ool2000=Ool00?moob5oo`00ogoo8Goo003oOolQOol00?moob5o
o`00ogoo5Goo0P0000=oo`0000001goo000QOoo/0008Ool00`00Ool00008Ool0025oo`03001oogoo
00Eoo`03001oogoo00Aoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo
00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Aoo`03001oogoo00Eoo`03001oogoo
00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo
00Aoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo
00Eoo`03001oogoo00Aoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo
00Eoo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Aoo`03001oogoo00Eoo`03001oogoo
00Moo`03001oogoo00Moo`008Goo00<007ooOol097oo00<007ooOol097oo00<007ooOol09Goo00<0
07ooOol097oo00<007ooOol097oo00<007ooOol097oo00<007ooOol01Goo0P0000=oo`0000001goo
000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00
Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo0P00oGoo000QOol00`00Oomoo`3lOol0025oo`03
001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?ao
o`008Goo00<007ooOol0o7oo000QOol2003mOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0
o7oo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol0
0`00Oomoo`3lOol0025oo`800?eoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025o
o`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025oo`03001oogoo
0?aoo`008Goo0P00oGoo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007oo
Ool0o7oo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`001Woo0P0017oo0P000goo0`00
17oo0P001goo00<007ooOol0o7oo0005Ool01000Oomoo`002Woo00D007ooOomoo`00009oo`03001o
ogoo00Aoo`03001oogoo0?aoo`001Goo00@007ooOol000Uoo`<000Eoo`03001oogoo00Aoo`800?eo
o`001Goo00@007ooOol000Qoo`04001oogoo0003Ool20007Ool00`00Oomoo`3lOol000Eoo`04001o
ogoo0008Ool01000Oomoo`000goo00<007ooOol01Woo00<007ooOol0o7oo0006Ool2000:Ool30003
Ool30006Ool00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol0
0`00Oomoo`3lOol0025oo`800?eoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025o
o`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025oo`03001oogoo
0?aoo`008Goo0P00oGoo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007oo
Ool0o7oo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000Q
Ool2003mOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0
025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025oo`03001o
ogoo0?aoo`008Goo0P00oGoo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<0
07ooOol0o7oo000QOol00`00Oomoo`3lOol000Eoo`D0009oo`8000Aoo`8000Aoo`8000Moo`03001o
ogoo0?aoo`001goo00<007ooOol01goo00@007ooOol0009oo`04001oogoo0006Ool00`00Oomoo`3l
Ool000Moo`03001oogoo00Moo`04001oogoo0002Ool01000Oomoo`001Wook0004goo0007Ool00`00
Oomoo`07Ool01000Oomoo`000Woo00@007ooOol000Ioo`03001oogoo0?aoo`001goo00<007ooOol0
1goo00@007ooOol0009oo`04001oogoo0006Ool00`00Oomoo`3lOol000Ioo`8000Yoo`8000Aoo`80
00Moo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025oo`03001o
ogoo0?aoo`008Goo0P00oGoo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<0
07ooOol0o7oo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo
000QOol00`00Oomoo`3lOol0025oo`800?eoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3l
Ool0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025oo`03
001oogoo0?aoo`008Goo0P00oGoo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo
00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0
o7oo000QOol2003mOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00Oomo
o`3lOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo0005Ool50002Ool20004Ool20004
Ool20007Ool00`00Oomoo`3lOol000Moo`03001oogoo00Moo`04001oogoo0002Ool01000Oomoo`00
1Woo0P00oGoo0007Ool00`00Oomoo`07Ool01000Oomoo`001Goo00<007ooOol017oo00<007ooOol0
o7oo0007Ool00`00Oomoo`07Ool01000Oomoo`000goo0P001goo00<007ooOol0o7oo0007Ool00`00
Oomoo`07Ool01000Oomoo`000goo00<007ooOol01Woo00<007ooOol0o7oo0006Ool2000:Ool20004
Ool30006Ool00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol0
0`00Oomoo`3lOol0025oo`800?eoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025o
o`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025oo`03001oogoo
0?aoo`008Goo0P00oGoo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007oo
Ool0o7oo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000Q
Ool2003mOol0025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0
025oo`03001oogoo0?aoo`008Goo00<007ooOol0o7oo000QOol00`00Oomoo`3lOol0025oo`03001o
ogoo0?aoo`008Goo0P00oGoo000QOol00`00Oomoo`3lOol0025oo`03001oogoo0?aoo`008Goo00<0
07ooOol0o7oo000QOol00`00Oomoo`3lOol000Eoo`D0009oo`8000=oo`D0009oo`8000Moo`03001o
ogoo0?aoo`001goo00<007ooOol02Goo00D007ooOomoo`00009oo`03001oogoo00Aoo`03001oogoo
0?aoo`001goo00<007ooOol02Goo00D007ooOomoo`00009oo`03001oogoo00Aoo`800?eoo`001goo
00<007ooOol02Goo00D007ooOomoo`00009oo`03001oogoo0?moo`Aoo`001goo00<007ooOol02Goo
00D007ooOomoo`00009oo`03001oogoo0?moo`Aoo`001Woo0P002Woo0P0017oo0P00ogoo1goo003o
OolQOol00:Uoo`<007Aoo`00ZWoo00<007ooOol0Lgoo001OOol30003Ool40003Ool40002Ool30007
Ool50003Ool4000017oo0000000017oo0`000Woo10001goo1@000goo0`000goo100000=oo`000000
0`000Woo0P0017oo0`000goo0P000Woo0P000Woo0P00D7oo001POol00`00Oomoo`03Ool00`00Oomo
o`02Ool01000Oomoo`000Woo00<007ooOol02Goo00@007ooOol0009oo`04001oogoo0003Ool00`00
Oomoo`02Ool00`00Oomoo`04Ool00`00Oomoo`08Ool01000Oomoo`000Woo00@007ooOol0009oo`04
001oogoo0002Ool40002Ool01000Oomoo`0017oo00D007ooOomoo`00009oo`04001oogoo0002Ool0
0`00Oomoo`1?Ool0061oo`03001oogoo00=oo`03001oogoo009oo`04001oogoo0002Ool40008Ool0
0`00Oomoo`03Ool01000Oomoo`000goo00<007ooOol00Woo10000goo00<007ooOol027oo00<007oo
Ool00goo00@007ooOol0009oo`04001oogoo0005Ool01000Oomoo`001goo00D007ooOomoo`00009o
o`04001oogoo0002Ool00`00Oomoo`1?Ool0061oo`03001oogoo009oo`@00004Ool00000Ool20003
Ool20009Ool20003Ool200000goo00000003Ool00`00Oomoo`03Ool20003Ool40008Ool20005Ool6
00000goo00000003Ool300000goo000000030003Ool20004Ool20002Ool4001BOol005ioo`05001o
o`00Ool0000JOol01000Oomoo`002Goo00<007ooOol057oo00@007ooOol001Aoo`03001oogoo06Ao
o`00GWoo1@006Goo1@0027oo0P005Goo1@0077oo00<007ooOol0G7oo003oOolQOol00?moob5oo`00
ogoo8Goo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.423895, 0.878433, \
0.0127387, 0.0013741}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(RealEuler = 
        Show[RealEulerRaw, PlotLabel \[Rule] "\<True Euler Equation\>", 
          AxesLabel \[Rule] {"\<x\>", "\<\>"}, AxesOrigin \[Rule] {0,  .90}, 
          PlotRange \[Rule] {{0, 3}, { .89, 1.1}}, 
          Ticks \[Rule] \((TickFunction[#1, #2, 
                  TextFunction \[Rule] TrimText] &)\), 
          ImageSize \[Rule] HalfPageSize, 
          TextStyle \[Rule] {FontFamily \[Rule] "\<Times\>"}];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
%%ImageSize: 432 266.991 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
2.77556e-017 0.333333 -2.61929 2.94302 [
[.16667 .01693 -9.5 -15.5 ]
[.16667 .01693 9.5 0 ]
[.33333 .01693 -9.5 -15.5 ]
[.33333 .01693 9.5 0 ]
[.5 .01693 -9.5 -15.5 ]
[.5 .01693 9.5 0 ]
[.66667 .01693 -9.5 -15.5 ]
[.66667 .01693 9.5 0 ]
[.83333 .01693 -9.5 -15.5 ]
[.83333 .01693 9.5 0 ]
[1 .01693 -9.5 -15.5 ]
[1 .01693 9.5 0 ]
[1.025 .02943 0 -7.75 ]
[1.025 .02943 10 7.75 ]
[-0.0125 .17658 -25 -7.75 ]
[-0.0125 .17658 0 7.75 ]
[-0.0125 .32373 -25 -7.75 ]
[-0.0125 .32373 0 7.75 ]
[-0.0125 .47088 -25 -7.75 ]
[-0.0125 .47088 0 7.75 ]
[-0.0125 .61803 -25 -7.75 ]
[-0.0125 .61803 0 7.75 ]
[.5 .63053 -50.9063 0 ]
[.5 .63053 50.9063 15.5 ]
[ -0.001 -0.0005 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.002 w
[ ] 0 setdash
.16667 .02943 m
.16667 .03568 L
s
gsave
.16667 .01693 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.33333 .02943 m
.33333 .03568 L
s
gsave
.33333 .01693 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.5 .02943 m
.5 .03568 L
s
gsave
.5 .01693 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.66667 .02943 m
.66667 .03568 L
s
gsave
.66667 .01693 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.83333 .02943 m
.83333 .03568 L
s
gsave
.83333 .01693 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
1 .02943 m
1 .03568 L
s
gsave
1 .01693 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
.03333 .02943 m
.03333 .03256 L
s
.06667 .02943 m
.06667 .03256 L
s
.1 .02943 m
.1 .03256 L
s
.13333 .02943 m
.13333 .03256 L
s
.2 .02943 m
.2 .03256 L
s
.23333 .02943 m
.23333 .03256 L
s
.26667 .02943 m
.26667 .03256 L
s
.3 .02943 m
.3 .03256 L
s
.36667 .02943 m
.36667 .03256 L
s
.4 .02943 m
.4 .03256 L
s
.43333 .02943 m
.43333 .03256 L
s
.46667 .02943 m
.46667 .03256 L
s
.53333 .02943 m
.53333 .03256 L
s
.56667 .02943 m
.56667 .03256 L
s
.6 .02943 m
.6 .03256 L
s
.63333 .02943 m
.63333 .03256 L
s
.7 .02943 m
.7 .03256 L
s
.73333 .02943 m
.73333 .03256 L
s
.76667 .02943 m
.76667 .03256 L
s
.8 .02943 m
.8 .03256 L
s
.86667 .02943 m
.86667 .03256 L
s
.9 .02943 m
.9 .03256 L
s
.93333 .02943 m
.93333 .03256 L
s
.96667 .02943 m
.96667 .03256 L
s
.25 Mabswid
0 .02943 m
1 .02943 L
s
gsave
1.025 .02943 -61 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
69.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.002 w
0 .17658 m
.00625 .17658 L
s
gsave
-0.0125 .17658 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.95) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .32373 m
.00625 .32373 L
s
gsave
-0.0125 .32373 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.00) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .47088 m
.00625 .47088 L
s
gsave
-0.0125 .47088 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.05) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.10) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
0 0 m
.00313 0 L
s
0 .05886 m
.00313 .05886 L
s
0 .08829 m
.00313 .08829 L
s
0 .11772 m
.00313 .11772 L
s
0 .14715 m
.00313 .14715 L
s
0 .20601 m
.00313 .20601 L
s
0 .23544 m
.00313 .23544 L
s
0 .26487 m
.00313 .26487 L
s
0 .2943 m
.00313 .2943 L
s
0 .35316 m
.00313 .35316 L
s
0 .38259 m
.00313 .38259 L
s
0 .41202 m
.00313 .41202 L
s
0 .44145 m
.00313 .44145 L
s
0 .50031 m
.00313 .50031 L
s
0 .52974 m
.00313 .52974 L
s
0 .55917 m
.00313 .55917 L
s
0 .5886 m
.00313 .5886 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
.5 .63053 -111.906 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(True) show
88.625 15.813 moveto
(Euler) show
117.563 15.813 moveto
(Equation) show
160.813 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.00333 .32373 m
.00456 .32373 L
.00568 .32373 L
.00698 .32373 L
.0082 .32373 L
.00933 .32373 L
.01037 .32373 L
.01151 .32373 L
.01273 .32373 L
.01394 .32373 L
.01525 .32373 L
.01649 .32373 L
.01762 .32373 L
.01894 .32373 L
.01969 .32373 L
.02039 .32373 L
.02166 .32373 L
.02302 .32373 L
.0237 .32373 L
.02442 .32373 L
.02571 .32373 L
.02643 .32373 L
.0271 .32373 L
.02862 .32373 L
.03117 .32373 L
.0326 .32373 L
.0339 .32373 L
.03633 .32373 L
.03897 .32373 L
.04146 .32373 L
.04377 .32373 L
.04629 .32373 L
.04901 .32373 L
.05157 .32373 L
.05393 .32373 L
.05939 .32373 L
.06214 .32374 L
.06515 .32374 L
.07083 .32374 L
.07402 .32374 L
.07691 .32374 L
.07961 .32374 L
.08104 .32375 L
.08182 .32375 L
.08254 .32375 L
.08386 .32373 L
.08456 .32373 L
.08531 .32373 L
.08786 .32373 L
.09052 .32373 L
Mistroke
.09336 .32373 L
.09604 .32373 L
.09846 .32373 L
.10132 .32373 L
.10442 .32373 L
.10734 .32373 L
.11002 .32373 L
.1149 .32373 L
.11767 .32373 L
.12026 .32373 L
.12547 .32373 L
.12839 .32373 L
.13106 .32373 L
.1361 .32373 L
.14146 .32373 L
.14603 .32373 L
.15107 .32373 L
.15647 .32373 L
.15931 .32373 L
.16229 .32373 L
.16491 .32373 L
.16563 .32373 L
.1664 .32373 L
.16778 .3236 L
.16914 .32362 L
.17042 .32363 L
.17167 .32364 L
.17281 .32365 L
.17402 .32366 L
.17532 .32366 L
.17653 .32366 L
.17767 .32366 L
.179 .32365 L
.18023 .32364 L
.18301 .32361 L
.18813 .32353 L
.19086 .32349 L
.19229 .32347 L
.19307 .32345 L
.19379 .32344 L
.195 .32344 L
.19631 .32346 L
.19862 .3235 L
.20316 .32357 L
.20568 .32361 L
.20797 .32363 L
.20924 .32364 L
.21062 .32364 L
.21192 .32365 L
.21312 .32365 L
Mistroke
.21442 .32366 L
.21567 .32366 L
.21678 .32365 L
.218 .32365 L
.21932 .32364 L
.22072 .32363 L
.22325 .32361 L
.2278 .32355 L
.22905 .32353 L
.23037 .32351 L
.23149 .32352 L
.23273 .32352 L
.23419 .32353 L
.23575 .32354 L
.23722 .32354 L
.23856 .32355 L
.23991 .32355 L
.24068 .32355 L
.24138 .32355 L
.24268 .32355 L
.24406 .32355 L
.24527 .32355 L
.24657 .32354 L
.2477 .32354 L
.24894 .32354 L
.2503 .32355 L
.25174 .32357 L
.25432 .3236 L
.25698 .32363 L
.25838 .32364 L
.25986 .32365 L
.26115 .32366 L
.26258 .32366 L
.26387 .32367 L
.26508 .32367 L
.26624 .32367 L
.2675 .32367 L
.26869 .32367 L
.2698 .32368 L
.27244 .3237 L
.2737 .3237 L
.27486 .32371 L
.27624 .32371 L
.27697 .32371 L
.27773 .32372 L
.27902 .32372 L
.27975 .32372 L
.28043 .32372 L
.28171 .32372 L
.28287 .32372 L
Mistroke
.28421 .32371 L
.28548 .32371 L
.28684 .32371 L
.28811 .32371 L
.28944 .3237 L
.29014 .3237 L
.2909 .3237 L
.2925 .32371 L
.29396 .32371 L
.29542 .32371 L
.29679 .32371 L
.29804 .32371 L
.2994 .32371 L
.30063 .32371 L
.30177 .32371 L
.30435 .32371 L
.30565 .32371 L
.30708 .32372 L
.30831 .32372 L
.30947 .32372 L
.31081 .32372 L
.31203 .32371 L
.31424 .3237 L
.31549 .3237 L
.31665 .3237 L
.31789 .32369 L
.31922 .32369 L
.32048 .3237 L
.32164 .3237 L
.32292 .3237 L
.32433 .32371 L
.32716 .32373 L
.3286 .32374 L
.32996 .32375 L
.33071 .32376 L
.33152 .32375 L
.33226 .32374 L
.33294 .32373 L
.33439 .32371 L
.33576 .3237 L
.33709 .32369 L
.33833 .32368 L
.33946 .32367 L
.34067 .32367 L
.342 .32366 L
.34322 .32366 L
.34452 .32367 L
.34525 .32367 L
.34592 .32367 L
.34716 .32368 L
Mistroke
.34847 .32369 L
.35065 .32372 L
.35186 .32374 L
.35299 .32375 L
.35434 .32373 L
.35556 .32371 L
.35796 .32368 L
.3592 .32366 L
.36056 .32365 L
.36125 .32365 L
.36199 .32364 L
.36333 .32364 L
.3646 .32364 L
.36593 .32364 L
.36706 .32364 L
.36831 .32365 L
.37955 .32372 L
.38083 .32371 L
.38202 .3237 L
.38326 .32369 L
.38463 .32368 L
.38601 .32368 L
.38679 .32368 L
.38749 .32368 L
.38885 .32369 L
.39013 .32369 L
.39133 .3237 L
.39261 .32371 L
.3949 .32374 L
.39741 .32377 L
.39872 .32379 L
.39944 .32381 L
.40011 .32381 L
.40081 .3238 L
.40157 .32379 L
.40292 .32378 L
.40557 .32375 L
.40709 .32374 L
.40848 .32374 L
.40925 .32373 L
.41009 .32373 L
.41088 .32373 L
.4116 .32373 L
.41285 .32373 L
.41401 .32373 L
.41529 .32373 L
.41667 .32373 L
.41736 .32373 L
.41811 .32374 L
.41947 .32374 L
Mistroke
.42204 .32376 L
.42334 .32377 L
.42471 .32377 L
.42543 .32377 L
.42622 .32377 L
.4276 .32376 L
.42891 .32376 L
.43031 .32375 L
.43164 .32375 L
.43284 .32375 L
.43409 .32375 L
.43525 .32375 L
.43652 .32375 L
.43787 .32375 L
.43904 .32375 L
.44014 .32375 L
.44134 .32375 L
.44263 .32375 L
.4477 .32376 L
.44904 .32377 L
.45049 .32377 L
.45312 .32377 L
.45623 .32377 L
.45758 .32378 L
.45834 .32378 L
.45906 .32378 L
.45979 .32378 L
.46045 .32378 L
.46117 .32378 L
.46193 .32378 L
.46329 .32378 L
.46458 .32378 L
.46591 .32378 L
.46711 .32378 L
.46849 .32378 L
.46979 .32377 L
.47211 .32377 L
.47462 .32376 L
.47595 .32376 L
.4767 .32376 L
.4774 .32377 L
.48032 .32378 L
.48285 .32378 L
.48358 .32378 L
.48427 .32378 L
.48556 .32378 L
.48683 .32379 L
.48755 .32379 L
.48823 .32379 L
.4896 .32379 L
Mistroke
.49036 .32378 L
.49106 .32378 L
.49231 .32378 L
.49367 .32378 L
.49615 .32377 L
.49903 .32376 L
.50062 .32376 L
.50139 .32376 L
.50211 .32375 L
.50279 .32375 L
.5035 .32375 L
.50501 .32376 L
.50764 .32377 L
.50892 .32377 L
.5103 .32377 L
.51153 .32378 L
.51282 .32378 L
.51399 .32378 L
.51528 .32378 L
.51645 .32378 L
.51755 .32378 L
.51885 .32378 L
.52022 .32378 L
.52138 .32378 L
.52266 .32378 L
.52552 .32377 L
.52818 .32376 L
.52937 .32376 L
.53067 .32375 L
.5319 .32375 L
.53303 .32376 L
.53531 .32376 L
.53745 .32377 L
.53864 .32377 L
.53974 .32377 L
.54095 .32377 L
.54226 .32377 L
.54351 .32378 L
.54487 .32377 L
.54616 .32377 L
.54736 .32377 L
.54871 .32377 L
.55013 .32377 L
.55268 .32376 L
.55565 .32375 L
.55711 .32375 L
.55843 .32374 L
.55966 .32374 L
.56083 .32374 L
.5634 .32375 L
Mistroke
.56605 .32376 L
.5675 .32376 L
.56886 .32376 L
.57006 .32376 L
.57116 .32377 L
.57239 .32377 L
.5737 .32377 L
.57475 .32377 L
.57589 .32377 L
.57708 .32377 L
.57819 .32377 L
.57951 .32377 L
.58076 .32376 L
.5831 .32376 L
.58561 .32375 L
.58703 .32375 L
.58833 .32375 L
.5896 .32374 L
.59081 .32375 L
.59346 .32375 L
.59575 .32376 L
.59704 .32376 L
.59825 .32376 L
.59895 .32376 L
.59969 .32376 L
.601 .32376 L
.60174 .32376 L
.60252 .32376 L
.60318 .32376 L
.60391 .32376 L
.60522 .32376 L
.60596 .32376 L
.60663 .32376 L
.60916 .32376 L
.61053 .32375 L
.61198 .32375 L
.61459 .32375 L
.61763 .32374 L
.61839 .32374 L
.61912 .32374 L
.62048 .32373 L
.62165 .32374 L
.62293 .32374 L
.62557 .32374 L
.62827 .32375 L
.62969 .32375 L
.63118 .32375 L
.63256 .32375 L
.63335 .32375 L
.63408 .32375 L
Mistroke
.63536 .32375 L
.63674 .32375 L
.63742 .32375 L
.63815 .32375 L
.63948 .32375 L
.64078 .32375 L
.64198 .32375 L
.64424 .32375 L
.64673 .32375 L
.64918 .32374 L
.65052 .32374 L
.65177 .32374 L
.65313 .32374 L
.65384 .32374 L
.65461 .32374 L
.65722 .32375 L
.66029 .32375 L
.66175 .32375 L
.66309 .32375 L
.66436 .32375 L
.66571 .32375 L
.66706 .32375 L
.66783 .32375 L
.66855 .32375 L
.66985 .32375 L
.67104 .32375 L
.67241 .32375 L
.67372 .32375 L
.67643 .32375 L
.67899 .32375 L
.68132 .32374 L
.68377 .32374 L
.68505 .32374 L
.68578 .32374 L
.68645 .32374 L
.68892 .32374 L
.69178 .32374 L
.69318 .32375 L
.69448 .32375 L
.69559 .32375 L
.69681 .32375 L
.69804 .32375 L
.69935 .32375 L
.70045 .32375 L
.70163 .32375 L
.70275 .32375 L
.70378 .32375 L
.70498 .32375 L
.7061 .32375 L
.70863 .32375 L
Mistroke
.7111 .32374 L
.71373 .32374 L
.71645 .32374 L
.71717 .32374 L
.71794 .32374 L
.71866 .32374 L
.71933 .32374 L
.72059 .32374 L
.72178 .32374 L
.72448 .32374 L
.72588 .32374 L
.72737 .32374 L
.72866 .32374 L
.73005 .32374 L
.73082 .32374 L
.73153 .32374 L
.73221 .32374 L
.73293 .32374 L
.73371 .32374 L
.73445 .32374 L
.73525 .32374 L
.73611 .32374 L
.7368 .32374 L
.73753 .32374 L
.73884 .32374 L
.74024 .32374 L
.74179 .32374 L
.74716 .32374 L
.74966 .32374 L
.75104 .32373 L
.75235 .32373 L
.75356 .32373 L
.75489 .32373 L
.75609 .32373 L
.75721 .32373 L
.76253 .32374 L
.76552 .32374 L
.76695 .32374 L
.76828 .32374 L
.76944 .32374 L
.77069 .32374 L
.77141 .32374 L
.77208 .32374 L
.77335 .32374 L
.77468 .32374 L
.77591 .32374 L
.77726 .32374 L
.7787 .32374 L
.7799 .32374 L
.781 .32374 L
Mistroke
.78348 .32374 L
.78796 .32374 L
.78911 .32374 L
.79034 .32373 L
.79168 .32374 L
.79294 .32374 L
.79818 .32374 L
.80089 .32374 L
.80237 .32374 L
.80376 .32374 L
.80621 .32374 L
.80751 .32374 L
.80824 .32374 L
.8089 .32374 L
.80962 .32374 L
.81038 .32374 L
.81176 .32374 L
.8126 .32374 L
.81339 .32374 L
.8141 .32374 L
.81487 .32374 L
.81782 .32374 L
.82053 .32374 L
.82543 .32374 L
.82677 .32374 L
.82752 .32374 L
.8282 .32374 L
.82953 .32374 L
.83079 .32374 L
.83594 .32374 L
.83887 .32374 L
.84028 .32374 L
.84162 .32374 L
.84284 .32374 L
.84417 .32374 L
.84538 .32374 L
.8465 .32374 L
.84784 .32374 L
.84904 .32374 L
.84972 .32374 L
.85044 .32374 L
.85176 .32374 L
.85305 .32374 L
.85448 .32374 L
.85736 .32374 L
.86251 .32374 L
.86369 .32374 L
.86498 .32374 L
.8662 .32374 L
.86732 .32374 L
Mistroke
.86863 .32374 L
.87002 .32374 L
.87248 .32374 L
.87691 .32374 L
.87943 .32374 L
.8818 .32374 L
.88303 .32374 L
.88434 .32374 L
.88558 .32374 L
.88671 .32374 L
.88804 .32374 L
.88878 .32374 L
.88947 .32374 L
.89074 .32374 L
.89208 .32374 L
.89474 .32374 L
.89724 .32374 L
.90291 .32374 L
.90411 .32374 L
.90541 .32374 L
.90664 .32374 L
.90778 .32374 L
.91224 .32374 L
.9171 .32374 L
.9185 .32374 L
.91981 .32374 L
.9211 .32374 L
.92227 .32374 L
.92349 .32374 L
.9248 .32374 L
.92601 .32374 L
.92715 .32374 L
.92849 .32374 L
.92972 .32374 L
.93107 .32374 L
.93175 .32374 L
.93251 .32374 L
.93519 .32374 L
.93808 .32374 L
.94331 .32374 L
.94586 .32374 L
.9471 .32374 L
.94823 .32374 L
.94943 .32374 L
.9507 .32374 L
.9534 .32374 L
.95569 .32374 L
.95816 .32374 L
.96033 .32374 L
.96265 .32374 L
Mistroke
.96385 .32374 L
.96499 .32374 L
.96601 .32374 L
.96712 .32374 L
.96817 .32374 L
.96929 .32374 L
.97024 .32374 L
.9713 .32374 L
.97253 .32374 L
.97365 .32374 L
.97489 .32374 L
.9762 .32374 L
.9808 .32374 L
.98554 .32374 L
.98782 .32374 L
.98996 .32374 L
.99118 .32374 L
.9925 .32374 L
.99481 .32374 L
1 .32374 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{432, 266.938},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006`00012Q000`40O003h00Oogoo/Goo003oOona
Ool00?mook5oo`00ogoo/Goo003oOonaOol005Ioo`<000=oo`03001oo`00008003Eoo`<000=oo`03
001oogoo00<003Aoo`<000=oo`03001oo`00008003=oo`D0009oo`03001oogoo00<003=oo`D0009o
o`03001oo`00008003=oo`@000=oo`03001oogoo00<0011oo`00EGoo00D007ooOomoo`0000Moo`03
001oogoo03=oo`03001oogoo00Aoo`05001oogooOol0000dOol00`00Oomoo`07Ool00`00Oomoo`0a
Ool01000Oomoo`0017oo00D007ooOomoo`0003=oo`04001oogoo0007Ool00`00Oomoo`0dOol00`00
Oomoo`02Ool01@00Oomoogoo00003goo001EOol01@00Oomoogoo000027oo00<007ooOol0<Woo00<0
07ooOol017oo00D007ooOomoo`0003Aoo`03001oogoo00Qoo`03001oogoo035oo`03001oogoo00Ao
o`05001oogooOol0000dOol00`00Oomoo`08Ool00`00Oomoo`0cOol00`00Oomoo`02Ool01@00Oomo
ogoo00003goo001EOol01@00Oomoogoo000027oo00<007ooOol0<Woo00<007ooOol017oo00D007oo
Oomoo`0003Aoo`03001oogoo00Qoo`03001oogoo039oo`03001oogoo00=oo`05001oogooOol0000e
Ool00`00Oomoo`07Ool00`00Oomoo`0cOol00`00Oomoo`02Ool01@00Oomoogoo00003goo000MOol2
000fOol01@00Oomoogoo000027oo00<007ooOol0<Woo00<007ooOol017oo00D007ooOomoo`0003Ao
o`03001oogoo00Qoo`03001oogoo03=oo`03001oogoo009oo`05001oogooOol0000fOol00`00Oomo
o`06Ool00`00Oomoo`0aOol20005Ool01@00Oomoogoo00003goo000MOol00`00Oomoo`0eOol01@00
Oomoogoo00001goo00<007ooOol0<goo00<007ooOol017oo00D007ooOomoo`0003Aoo`03001oogoo
00Moo`03001oogoo03Aoo`03001oogoo009oo`05001oogooOol0000fOol00`00Oomoo`05Ool00`00
Oomoo`0cOol00`00Oomoo`03Ool01@00Oomoogoo00003goo000MOol00`00Oomoo`0eOol01@00Oomo
ogoo00001Goo0P00=Woo00<007ooOol017oo00D007ooOomoo`0003Aoo`03001oogoo00Eoo`8003Mo
o`03001oogoo009oo`05001oogooOol0000fOol00`00Oomoo`03Ool2000gOol00`00Oomoo`02Ool0
1@00Oomoogoo00003goo000MOol00`00Oomoo`0eOol01@00Oomoogoo00001Goo00<007ooOol0=7oo
0P001Woo00D007ooOomoo`0003=oo`8000Moo`03001oogoo039oo`05001oogooOol00004Ool01@00
Oomoogoo0000<Woo00D007ooOomoo`0000Eoo`03001oogoo039oo`05001oogooOol00004Ool01@00
Oomoogoo00003goo000MOol00`00Oomoo`0fOol30007Ool3000dOol00`00Oomoo`05Ool3000eOol0
0`00Oomoo`06Ool3000bOol30006Ool3000dOol30007Ool3000bOol30006Ool3000@Ool001eoo`03
001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03
001oogoo0?moohMoo`800003Ool0000000Eoo`007Goo00<007ooOol0ogooR7oo00<007oo00001Woo
000MOol00`00Oomoo`3oOon9Ool00`00Oomoo`05Ool001eoool0080000aoo`03001oogoo00Eoo`00
7Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol0
2Woo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol0
2Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol0
2Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol0
2Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol0
2Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol0
2Woo00<007ooOol02Goo00<007oo00001Woo000MOol00`00Oomoo`0mOol00`00Oomoo`0mOol00`00
Oomoo`0lOol00`00Oomoo`0mOol00`00Oomoo`0lOol00`00Oomoo`0mOol00`00Oomoo`08Ool20000
0goo00000005Ool001eoo`03001oogoo03eoo`03001oogoo03eoo`03001oogoo03aoo`03001oogoo
03eoo`03001oogoo03aoo`03001oogoo03eoo`03001oogoo019oo`007Goo00<007ooOol0ogooTGoo
000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo
000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo
000MOol2003oOonBOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol0
0`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol0
0`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol0
0`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol2
003oOonBOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomo
o`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomo
o`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomo
o`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo0P00ogooTWoo000MOol00`00Oomoo`3oOonA
Ool001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonA
Ool001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonA
Ool001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonA
Ool001eoo`800?mooi9oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eo
o`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eo
o`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo0003Ool30003Ool01000Ool0000017oo
0`002Goo00<007ooOol0ogooTGoo0002Ool01@00Oomoogoo00001Woo00<007ooOol017oo00<007oo
Ool01Woo00<007ooOol0ogooTGoo0002Ool01@00Oomoogoo00001goo00<007ooOol017oo00<007oo
Ool01Goo00<007ooOol0ogooTGoo0002Ool01@00Oomoogoo00001Goo10001Goo00<007ooOol01Goo
1000ogooT7oo0002Ool01@00Oomoogoo000017oo00D007ooOomoo`0000Eoo`03001oogoo00Eoo`03
001oogoo0?mooi5oo`000Woo00D007ooOomoo`0000Aoo`05001oogooOol00004Ool00`00Oomoo`06
Ool00`00Oomoo`3oOonAOol0009oo`05001oogooOol00004Ool01@00Oomoogoo00000Woo0P002Goo
00<007ooOol0ogooTGoo0002Ool01@00Oomoogoo000017oo00D007ooOomoo`00009oo`03001oogoo
00Qoo`03001oogoo0?mooi5oo`000goo0`001Woo0`0017oo0`001goo00<007ooOol0ogooTGoo000M
Ool00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000M
Ool00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000M
Ool2003oOonBOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00
Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00
Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00
Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo0P00ogooTWoo000MOol00`00Oomoo`3o
OonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3o
OonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3o
OonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3o
OonAOol001eoo`800?mooi9oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol0
01eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol0
01eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol0
01eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol2003oOonBOol001eoo`03
001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03
001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03
001oogoo0?mooi5oo`000goo0`000goo00<007ooOol00`000goo0`0027oo00<007ooOol0ogooTGoo
0004Ool00`00Oomoo`04Ool01`00Oomoogoo001oo`0000=oo`03001oogoo00Eoo`03001oogoo0?mo
oi5oo`0017oo00<007ooOol017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`05Ool00`00Oomo
o`3oOonAOol000Aoo`03001oogoo00Aoo`07001oogooOol007oo00000goo00<007ooOol01Goo00<0
07ooOol0?Goo0`000Woo7`009Woo1@00ogoo1Goo0004Ool00`00Oomoo`04Ool01`00Oomoogoo001o
o`0000=oo`03001oogoo00Eood40009oo`8000eoo`80011oobH000Eooo0001Aoo`0017oo00<007oo
Ool017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`05Ool00`00Oomoo`3oOonAOol000Aoo`03
001oogoo00Aoo`07001oogooOol007oo00000goo00<007ooOol01Goo00<007ooOol0ogooTGoo0003
Ool20006Ool01`00Oomoogoo001oo`0000=oo`03001oogoo00Eoo`03001oogoo0?mooi5oo`0017oo
00<007ooOol01Goo0`000goo0`0027oo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol0
01eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol0
01eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol2003oOonBOol001eoo`03
001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03
001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03
001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03
001oogoo0?mooi5oo`007Goo0P00ogooTWoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo
0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo
0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo
0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`800?mooi9o
o`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5o
o`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5o
o`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5o
o`007Goo00<007ooOol0ogooTGoo000MOol2003oOonBOol001eoo`03001oogoo0?mooi5oo`007Goo
00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo
00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo
00<007ooOol0ogooTGoo0003Ool30003Ool00`00Oomoo`030002Ool30009Ool00`00Oomoo`3oOonA
Ool000Aoo`03001oogoo00Aoo`05001oogooOol00004Ool00`00Oomoo`06Ool00`00Oomoo`3oOonA
Ool000Aoo`03001oogoo00Aoo`05001oogooOol00005Ool00`00Oomoo`05Ool00`00Oomoo`3oOonA
Ool000Aoo`03001oogoo00Aoo`05001oogooOol00005Ool00`00Oomoo`05Ool4003oOon@Ool000Ao
o`03001oogoo00Aoo`05001oogooOol00005Ool00`00Oomoo`05Ool00`00Oomoo`3oOonAOol000Ao
o`03001oogoo00Aoo`05001oogooOol00004Ool00`00Oomoo`06Ool00`00Oomoo`3oOonAOol000Ao
o`03001oogoo00Aoo`05001oogooOol00002Ool20009Ool00`00Oomoo`3oOonAOol000=oo`8000Io
o`05001oogooOol00002Ool00`00Oomoo`08Ool00`00Oomoo`3oOonAOol000Aoo`03001oogoo00Eo
o`<000Aoo`<000Moo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomo
o`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomo
o`3oOonAOol001eoo`800?mooi9oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonA
Ool001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonA
Ool001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonA
Ool001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol2003oOonBOol001eo
o`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eo
o`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eo
o`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eo
o`03001oogoo0?mooi5oo`007Goo0P00ogooTWoo000MOol00`00Oomoo`3oOonAOol001eoo`03001o
ogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001o
ogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001o
ogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001o
ogoo0?mooi5oo`007Goo0P00ogooTWoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mo
oi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mo
oi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol000=oo`<000=oo`03001o
ogoo00<000=oo`<000Qoo`03001oogoo0?mooi5oo`0017oo00<007ooOol01Woo00D007ooOomoo`00
00=oo`03001oogoo00Eoo`03001oogoo0?mooi5oo`0017oo00<007ooOol01Woo00D007ooOomoo`00
00=oo`03001oogoo00Eoo`03001oogoo0?mooi5oo`0017oo00<007ooOol01Woo00D007ooOomoo`00
00=oo`03001oogoo00Eoo`@00?mooi1oo`0017oo00<007ooOol01Woo00D007ooOomoo`0000=oo`03
001oogoo0?mooiUoo`0017oo00<007ooOol01Woo00D007ooOomoo`0000=oo`03001oogoo0?mooiUo
o`0017oo00<007ooOol01Woo00D007ooOomoo`0000=oo`03001oogoo0?mooiUoo`000goo0P001goo
0P000goo00D007ooOomoo`000?mooi]oo`0017oo00<007ooOol01Woo00<007ooOol00Woo0`00ogoo
W7oo003/Ool30031Ool00>eoo`03001oogoo0<1oo`00kGoo00<007ooOol0`7oo002]Ool30003Ool3
0003Ool400000goo00000005Ool60003Ool700000goo00000002Ool30005Ool60002Ool200000goo
001oo`02Ool400000goo00000002000017oo000007oo0`0000Aoo`000000009oo`<00003Ool00000
0:=oo`00[Woo00<007ooOol00goo00D007ooOomoo`00009oo`03001oo`00009oo`03001oogoo00=o
o`03001oogoo009oo`03001oo`00009oo`06001oogoo001oo`000Woo00@007ooOol000Moo`03001o
ogoo009oo`80009oo`80009oo`06001oogoo001oo`000Woo00@007ooOol000=oo`03001oo`0000=o
o`04001oogoo0002Ool00`00Oomoo`2ROol00:ioo`03001oogoo00=oo`05001oogooOol00002Ool0
0`00Ool00008Ool00`00Oomoo`04Ool01000Oomoo`000Woo00<007oo00001Goo00<007ooOol01Goo
00<007ooOol00goo00D007ooOomoo`00009oo`06001oogoo001oo`000Woo00@007ooOol000=oo`03
001oo`0000=oo`04001oogoo0002Ool00`00Oomoo`2ROol00:ioo`03001oogoo00=oo`05001oogoo
Ool00002Ool00`00Ool000030005Ool01000Oomoo`000goo00@007ooOol0009oo`03001oo`0000<0
009oo`03001oogoo00Eoo`04001oogoo0002Ool01@00Oomoogoo00000Woo00@007ooOol0009oo`<0
009oo`07001oogooOol007oo00000goo00@007ooOol0009oo`03001oogoo0:9oo`00[Woo00<007oo
Ool00goo0P000Woo00H007ooOol007oo0002Ool00`00Oomoo`03Ool40003Ool01000Oomoo`000Woo
00<007oo00000Woo00<007ooOol00P001Woo10000Woo00<007ooOol00P000Woo00H007ooOol007oo
0002Ool01000Oomoo`000goo00<007oo00000goo00<007ooOol00P0000=oo`00Ool0Xgoo002^Ool0
0`00Oomoo`02Ool200001Goo00000000Ool00P000Woo0P001Woo00@007ooOol0009oo`800003Ool0
0000009oo`03001oogoo0080009oo`800003Ool007oo00Aoo`04001oogoo0003Ool200000goo001o
o`0200000goo00000002Ool20002Ool300000goo00000002Ool30002Ool200000goo001oo`2TOol0
0:ioo`03001oogoo01Eoo`03001oogoo00Yoo`03001oogoo00eoo`03001oogoo01Eoo`03001oogoo
0;9oo`00Zgoo00@007ooOol0009oo`03001oogoo019oo`05001oogooOol00008Ool00`00Oomoo`0=
Ool01@00Oomoogoo00004goo00<007ooOol0/Woo002[Ool7000COol60007Ool2000>Ool6000GOol0
0`00Oomoo`2^Ool00?mook5oo`00ogoo/Goo003oOonaOol00001\
\>"],
  ImageRangeCache->{{{0, 431}, {265.938, 0}} -> {-0.234014, 0.881627, \
0.00785994, 0.000890234}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< doall_death.m\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({4.999999999999999`}\) lies outside the range of data \
in the interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({14.`}\) lies outside the range of data in the \
interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({104.`}\) lies outside the range of data in the \
interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(General::"stop" \(\(:\)\(\ \)\) 
      "Further output of \!\(InterpolatingFunction :: \"dmval\"\) will be \
suppressed during this calculation."\)], "Message"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Solving base"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating base"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving base"\)], "Print"],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0206243 0.318522 -27881.9 27882.3 [
[.17989 .44845 -9 -9 ]
[.17989 .44845 9 0 ]
[.33915 .44845 -3 -9 ]
[.33915 .44845 3 0 ]
[.49841 .44845 -9 -9 ]
[.49841 .44845 9 0 ]
[.65767 .44845 -3 -9 ]
[.65767 .44845 3 0 ]
[.81693 .44845 -9 -9 ]
[.81693 .44845 9 0 ]
[.97619 .44845 -3 -9 ]
[.97619 .44845 3 0 ]
[.00812 .04271 -48 -4.5 ]
[.00812 .04271 0 4.5 ]
[.00812 .18213 -42 -4.5 ]
[.00812 .18213 0 4.5 ]
[.00812 .32154 -48 -4.5 ]
[.00812 .32154 0 4.5 ]
[.00812 .60036 -42 -4.5 ]
[.00812 .60036 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17989 .46095 m
.17989 .4672 L
s
[(0.5)] .17989 .44845 0 1 Mshowa
.33915 .46095 m
.33915 .4672 L
s
[(1)] .33915 .44845 0 1 Mshowa
.49841 .46095 m
.49841 .4672 L
s
[(1.5)] .49841 .44845 0 1 Mshowa
.65767 .46095 m
.65767 .4672 L
s
[(2)] .65767 .44845 0 1 Mshowa
.81693 .46095 m
.81693 .4672 L
s
[(2.5)] .81693 .44845 0 1 Mshowa
.97619 .46095 m
.97619 .4672 L
s
[(3)] .97619 .44845 0 1 Mshowa
.125 Mabswid
.05248 .46095 m
.05248 .4647 L
s
.08433 .46095 m
.08433 .4647 L
s
.11618 .46095 m
.11618 .4647 L
s
.14803 .46095 m
.14803 .4647 L
s
.21174 .46095 m
.21174 .4647 L
s
.24359 .46095 m
.24359 .4647 L
s
.27544 .46095 m
.27544 .4647 L
s
.30729 .46095 m
.30729 .4647 L
s
.371 .46095 m
.371 .4647 L
s
.40285 .46095 m
.40285 .4647 L
s
.4347 .46095 m
.4347 .4647 L
s
.46656 .46095 m
.46656 .4647 L
s
.53026 .46095 m
.53026 .4647 L
s
.56211 .46095 m
.56211 .4647 L
s
.59396 .46095 m
.59396 .4647 L
s
.62582 .46095 m
.62582 .4647 L
s
.68952 .46095 m
.68952 .4647 L
s
.72137 .46095 m
.72137 .4647 L
s
.75323 .46095 m
.75323 .4647 L
s
.78508 .46095 m
.78508 .4647 L
s
.84878 .46095 m
.84878 .4647 L
s
.88063 .46095 m
.88063 .4647 L
s
.91249 .46095 m
.91249 .4647 L
s
.94434 .46095 m
.94434 .4647 L
s
.25 Mabswid
0 .46095 m
1 .46095 L
s
.02062 .04271 m
.02687 .04271 L
s
[(0.999985)] .00812 .04271 1 0 Mshowa
.02062 .18213 m
.02687 .18213 L
s
[(0.99999)] .00812 .18213 1 0 Mshowa
.02062 .32154 m
.02687 .32154 L
s
[(0.999995)] .00812 .32154 1 0 Mshowa
.02062 .60036 m
.02687 .60036 L
s
[(1.00001)] .00812 .60036 1 0 Mshowa
.125 Mabswid
.02062 .0706 m
.02437 .0706 L
s
.02062 .09848 m
.02437 .09848 L
s
.02062 .12636 m
.02437 .12636 L
s
.02062 .15424 m
.02437 .15424 L
s
.02062 .21001 m
.02437 .21001 L
s
.02062 .23789 m
.02437 .23789 L
s
.02062 .26577 m
.02437 .26577 L
s
.02062 .29366 m
.02437 .29366 L
s
.02062 .34942 m
.02437 .34942 L
s
.02062 .3773 m
.02437 .3773 L
s
.02062 .40518 m
.02437 .40518 L
s
.02062 .43307 m
.02437 .43307 L
s
.02062 .48883 m
.02437 .48883 L
s
.02062 .51671 m
.02437 .51671 L
s
.02062 .5446 m
.02437 .5446 L
s
.02062 .57248 m
.02437 .57248 L
s
.02062 .01483 m
.02437 .01483 L
s
.25 Mabswid
.02062 0 m
.02062 .61803 L
s
.5 Mabswid
.02381 .46095 m
.02499 .46095 L
.02605 .46095 L
.02729 .46095 L
.02846 .46095 L
.02954 .46095 L
.03053 .46095 L
.03163 .46094 L
.03279 .46094 L
.03395 .46093 L
.0352 .46091 L
.03638 .46096 L
.03746 .46097 L
.03873 .46098 L
.03944 .46099 L
.04011 .46099 L
.04132 .46101 L
.04262 .46104 L
.04396 .46108 L
.04519 .46113 L
.04654 .46119 L
.04797 .46128 L
.05038 .46149 L
.05174 .46165 L
.05302 .46184 L
.0554 .46229 L
.05757 .46286 L
.06007 .46375 L
.06244 .46487 L
.06486 .46637 L
.06753 .46854 L
.07031 .47151 L
.07293 .47511 L
.07759 .48398 L
.08022 .49068 L
.08263 .49813 L
.08773 .51899 L
.09063 .53446 L
.09332 .55169 L
.09612 .57289 L
.0975 .58467 L
.09876 .59638 L
.09947 .60332 L
.10023 .46094 L
.10098 .46094 L
.10181 .46094 L
.10458 .46094 L
.10707 .46094 L
.10979 .46093 L
.11236 .46092 L
Mistroke
.11474 .46091 L
.1171 .4609 L
.11924 .46089 L
.12403 .46085 L
.12672 .46082 L
.1292 .46078 L
.13192 .46073 L
.13479 .46066 L
.13962 .4605 L
.14236 .46038 L
.14492 .46024 L
.14994 .45989 L
.15278 .45963 L
.1554 .45935 L
.16021 .45868 L
.16531 .45774 L
.16987 .45662 L
.17414 .4553 L
.17643 .45447 L
.17768 .45397 L
.17883 .45349 L
.18009 .4177 L
.18076 .42143 L
.18147 .41258 L
.18273 .38544 L
.18388 .35144 L
.1862 .26146 L
.18874 .14618 L
.19003 .08916 L
.19075 .06315 L
.1914 .08045 L
.19389 .15116 L
.19615 .20878 L
.19743 .23364 L
.19862 .24986 L
.19965 .25834 L
.20079 .26169 L
.20198 .26741 L
.2031 .26565 L
.20432 .25564 L
.205 .24637 L
.20565 .23555 L
.20694 .20756 L
.20832 .17014 L
.20961 .13004 L
.21083 .08971 L
.21193 .08995 L
.21311 .09638 L
.21377 .09893 L
.21449 .10078 L
Mistroke
.2158 .10102 L
.21658 .09928 L
.21731 .09635 L
.21798 .09273 L
.21869 .08795 L
.2201 .07644 L
.2208 .07025 L
.22143 .06454 L
.22262 .11135 L
.22391 .16176 L
.22611 .23367 L
.22735 .26359 L
.22851 .28299 L
.22974 .2943 L
.23085 .29598 L
.23214 .28816 L
.23336 .28595 L
.23462 .27448 L
.23525 .26513 L
.23595 .25218 L
.23719 .2229 L
.23835 .18881 L
.24099 .09483 L
.24232 .04356 L
.24307 .01472 L
.24377 .02628 L
.24632 .07046 L
.24773 .0908 L
.24905 .10588 L
.25027 .11571 L
.25159 .12205 L
.25279 .1243 L
.25389 .12368 L
.2552 .15855 L
.25642 .199 L
.25787 .24024 L
.25919 .26969 L
.25986 .28128 L
.26058 .29137 L
.2619 .30288 L
.26263 .30541 L
.2634 .30523 L
.26414 .3025 L
.2648 .29804 L
.26601 .29449 L
.26715 .30151 L
.26847 .30279 L
.26966 .29746 L
.27079 .28695 L
.27184 .27292 L
Mistroke
.27419 .2283 L
.27538 .20098 L
.27649 .1738 L
.27765 .1619 L
.27892 .17515 L
.2802 .18683 L
.28142 .19581 L
.28209 .1997 L
.28282 .20306 L
.2841 .20672 L
.28484 .20755 L
.28553 .20756 L
.28683 .20574 L
.28755 .20382 L
.28822 .20172 L
.28896 .1991 L
.28973 .20844 L
.29244 .2403 L
.29376 .253 L
.29496 .26277 L
.29726 .27711 L
.29852 .2828 L
.29972 .28715 L
.30494 .31134 L
.31459 .36166 L
.31583 .35563 L
.31713 .35202 L
.31781 .35146 L
.31856 .35198 L
.31987 .35602 L
.32112 .3637 L
.32181 .36968 L
.32245 .37613 L
.32369 .39151 L
.32484 .40847 L
.32589 .42591 L
.327 .40972 L
.32821 .39118 L
.32934 .37824 L
.33032 .37109 L
.33137 .368 L
.33253 .37042 L
.33359 .37814 L
.33482 .39348 L
.33596 .41347 L
.33732 .44364 L
.33855 .47594 L
.33972 .45868 L
.34083 .43101 L
.342 .40814 L
Mistroke
.34326 .39199 L
.3445 .38571 L
.34564 .38879 L
.34695 .40279 L
.34819 .42589 L
.35041 .48868 L
.35154 .52867 L
.35278 .51281 L
.35343 .4907 L
.35412 .46931 L
.35538 .43826 L
.35664 .41821 L
.35779 .4103 L
.35905 .41341 L
.35977 .42067 L
.36044 .43092 L
.36114 .44524 L
.36179 .46125 L
.36323 .5064 L
.36454 .55707 L
.36521 .5851 L
.36594 .56286 L
.36724 .51085 L
.36843 .47214 L
.36911 .45468 L
.36984 .43957 L
.37061 .42809 L
.37135 .42161 L
.37203 .41952 L
.37276 .42149 L
.37407 .43543 L
.37528 .45938 L
.37658 .49575 L
.3777 .53445 L
.37893 .58263 L
.37964 .55037 L
.38029 .51861 L
.38173 .4573 L
.38297 .41503 L
.38366 .39646 L
.3843 .38232 L
.38553 .36451 L
.38618 .35996 L
.38688 .35882 L
.38761 .36176 L
.38831 .36832 L
.38961 .39015 L
.39083 .42044 L
.39196 .45577 L
.3932 .47905 L
Mistroke
.39452 .43665 L
.39596 .4011 L
.39677 .38665 L
.39752 .37702 L
.39817 .37157 L
.39889 .36883 L
.39964 .36962 L
.40034 .37366 L
.40102 .38056 L
.40167 .38976 L
.40288 .41351 L
.40419 .44754 L
.40561 .4929 L
.40686 .5378 L
.40802 .52672 L
.4093 .50072 L
.40996 .48934 L
.41069 .47865 L
.41135 .47063 L
.41206 .46392 L
.4128 .45897 L
.4135 .45644 L
.41419 .45583 L
.41485 .45704 L
.41607 .46375 L
.41725 .47522 L
.41849 .49216 L
.41957 .51012 L
.42072 .53212 L
.42196 .54462 L
.42312 .52376 L
.4245 .50168 L
.42575 .48496 L
.42707 .47122 L
.4283 .46191 L
.4296 .45612 L
.43034 .45461 L
.43101 .4543 L
.43214 .45598 L
.43339 .46076 L
.43468 .46874 L
.43589 .47836 L
.43658 .483 L
.43732 .48154 L
.43803 .48073 L
.43868 .48046 L
.43991 .48118 L
.44122 .48355 L
.4419 .48528 L
.44263 .48748 L
Mistroke
.44394 .49249 L
.44693 .50693 L
.4495 .5204 L
.45021 .52394 L
.45096 .52751 L
.45167 .5302 L
.45231 .53 L
.45358 .52877 L
.45429 .52768 L
.45495 .52648 L
.45615 .52354 L
.45743 .51961 L
.4598 .50967 L
.46201 .49781 L
.46462 .48105 L
.46587 .47249 L
.46704 .46528 L
.46819 .47582 L
.46946 .48697 L
.47204 .5065 L
.4734 .51443 L
.47465 .51994 L
.47531 .52206 L
.47603 .5237 L
.47678 .52468 L
.47748 .52495 L
.47876 .52387 L
.47998 .52088 L
.48107 .51668 L
.48226 .51065 L
.48355 .51412 L
.4842 .51847 L
.48492 .52271 L
.48618 .52849 L
.48737 .53171 L
.48852 .53291 L
.48977 .53186 L
.49095 .5286 L
.49204 .52368 L
.49313 .51702 L
.49411 .5097 L
.49631 .48925 L
.49747 .47659 L
.49869 .46222 L
.49933 .46713 L
.50003 .47484 L
.50126 .48757 L
.50243 .49824 L
.50367 .50807 L
.50485 .51547 L
Mistroke
.50592 .52049 L
.5071 .52402 L
.50821 .52529 L
.50943 .52462 L
.51074 .52141 L
.51204 .51585 L
.51269 .51207 L
.5134 .50733 L
.51467 .49766 L
.51585 .49924 L
.51705 .50869 L
.51817 .516 L
.51919 .52114 L
.52029 .52501 L
.52149 .52732 L
.52275 .5274 L
.52384 .52559 L
.52503 .52162 L
.52569 .51854 L
.52641 .51445 L
.52773 .50524 L
.5302 .4831 L
.53092 .4757 L
.5316 .46848 L
.53238 .46941 L
.53309 .47597 L
.53439 .48709 L
.53576 .49736 L
.53696 .50475 L
.53828 .51093 L
.53947 .51472 L
.54058 .51662 L
.5419 .5168 L
.5431 .51506 L
.54377 .51332 L
.54449 .5108 L
.54579 .50486 L
.547 .49787 L
.54814 .49 L
.54946 .48697 L
.55067 .49558 L
.55172 .50212 L
.55285 .50792 L
.55408 .51278 L
.55523 .51569 L
.55593 .51676 L
.55658 .51725 L
.55729 .51725 L
.55804 .51661 L
.5593 .51408 L
Mistroke
.56002 .51183 L
.56068 .50926 L
.56307 .49635 L
.56431 .48776 L
.56563 .47756 L
.5663 .47209 L
.56703 .47515 L
.56833 .48342 L
.56975 .49133 L
.57128 .49814 L
.57198 .50058 L
.57272 .50271 L
.57404 .50538 L
.57527 .50621 L
.57597 .50607 L
.57663 .50552 L
.57793 .50334 L
.57917 .49983 L
.58027 .4956 L
.58148 .48999 L
.58278 .4828 L
.5835 .47849 L
.58417 .47425 L
.58535 .48098 L
.58666 .48817 L
.58791 .49411 L
.58924 .49919 L
.5905 .50263 L
.59163 .50469 L
.59233 .50544 L
.59298 .50579 L
.59368 .50575 L
.59443 .50524 L
.59568 .50341 L
.5964 .50183 L
.59706 .49999 L
.59956 .49035 L
.60074 .48438 L
.60183 .47824 L
.60309 .47828 L
.60375 .48109 L
.60446 .48383 L
.60575 .48824 L
.60694 .49146 L
.60801 .49343 L
.60913 .49463 L
.61026 .4951 L
.61149 .49469 L
.61256 .49336 L
.6137 .49116 L
Mistroke
.61478 .48842 L
.61576 .48525 L
.61816 .47528 L
.61942 .46907 L
.62011 .46545 L
.62076 .46196 L
.62193 .46536 L
.62321 .4702 L
.62548 .47732 L
.62673 .48025 L
.62737 .48142 L
.62807 .48241 L
.62931 .48349 L
.63047 .4838 L
.63113 .48367 L
.63183 .48333 L
.63309 .482 L
.63378 .48086 L
.63443 .47957 L
.63591 .47599 L
.63709 .47256 L
.63837 .46817 L
.63957 .46357 L
.64069 .46597 L
.64199 .47052 L
.64336 .47473 L
.64464 .47803 L
.6458 .48038 L
.64693 .48214 L
.648 .48328 L
.64913 .48382 L
.65036 .48362 L
.65143 .48291 L
.65257 .48163 L
.65365 .47995 L
.65463 .47798 L
.65703 .47161 L
.6583 .46754 L
.65893 .46533 L
.65963 .46616 L
.6609 .46952 L
.66209 .47232 L
.66316 .47447 L
.66435 .47637 L
.66561 .47779 L
.6663 .47832 L
.66695 .4787 L
.66811 .47895 L
.66936 .47867 L
.67002 .47825 L
Mistroke
.67074 .47758 L
.6722 .4757 L
.67355 .47325 L
.67481 .47053 L
.67599 .46759 L
.67727 .46402 L
.67848 .46029 L
.6796 .46119 L
.6809 .46434 L
.68228 .46731 L
.68355 .46949 L
.68471 .47117 L
.68576 .47244 L
.68691 .47343 L
.68813 .47397 L
.68928 .47407 L
.69035 .47383 L
.6915 .47324 L
.69257 .47231 L
.69355 .47121 L
.69596 .46752 L
.69722 .46506 L
.69792 .46354 L
.69856 .46209 L
.69973 .46326 L
.70102 .46621 L
.70327 .4705 L
.70454 .47248 L
.70523 .47343 L
.70588 .4742 L
.70703 .47517 L
.7083 .47588 L
.709 .47612 L
.70967 .47625 L
.71093 .47619 L
.71163 .47592 L
.71228 .47557 L
.71299 .47507 L
.71376 .47441 L
.71643 .47114 L
.71775 .46906 L
.71896 .46697 L
.72006 .46736 L
.72122 .46945 L
.72367 .47332 L
.72481 .47482 L
.72588 .4759 L
.72712 .47684 L
.72825 .47742 L
.72931 .47774 L
Mistroke
.7303 .47784 L
.73138 .47762 L
.73253 .47711 L
.73367 .47635 L
.73491 .47525 L
.73715 .4725 L
.73844 .47053 L
.73915 .46937 L
.73981 .46824 L
.74097 .46817 L
.74225 .47006 L
.7447 .47313 L
.74604 .47444 L
.74729 .47543 L
.74794 .47583 L
.74865 .47614 L
.74942 .47638 L
.75014 .47649 L
.75078 .4765 L
.75148 .47645 L
.75276 .47615 L
.75407 .47557 L
.75526 .47472 L
.75791 .47204 L
.75912 .4705 L
.7604 .4686 L
.76149 .46683 L
.76269 .46771 L
.76491 .47034 L
.76729 .47237 L
.76798 .47286 L
.76864 .47326 L
.76986 .4738 L
.77101 .47409 L
.77226 .47414 L
.77334 .47398 L
.77454 .47363 L
.77578 .47302 L
.77695 .47223 L
.77903 .47031 L
.78127 .46774 L
.78251 .46608 L
.78368 .46472 L
.78432 .46548 L
.78502 .46628 L
.78624 .46758 L
.78741 .46866 L
.78865 .46956 L
.78981 .47024 L
.79086 .47078 L
Mistroke
.79211 .47125 L
.79279 .47143 L
.79344 .47153 L
.7946 .47147 L
.79586 .4712 L
.79651 .47101 L
.79724 .47073 L
.7987 .46997 L
.80006 .46899 L
.80134 .46782 L
.80392 .46504 L
.80521 .46344 L
.80595 .46282 L
.80663 .46353 L
.80913 .46591 L
.81036 .4669 L
.81149 .46765 L
.81282 .4683 L
.81352 .46856 L
.81427 .46878 L
.81547 .46903 L
.81679 .46912 L
.81752 .46907 L
.8182 .46894 L
.81897 .46873 L
.81971 .46847 L
.82102 .46784 L
.82245 .46697 L
.825 .46482 L
.82635 .46345 L
.82708 .46267 L
.82776 .46191 L
.82901 .46154 L
.82967 .46218 L
.83037 .46283 L
.83277 .46478 L
.83397 .4656 L
.83528 .46633 L
.83652 .46686 L
.83766 .4672 L
.83869 .46738 L
.83983 .46744 L
.84101 .46736 L
.84213 .46714 L
.84335 .46676 L
.84404 .46647 L
.84469 .46617 L
.84739 .46441 L
.84858 .46342 L
.84987 .46225 L
Mistroke
.85109 .46105 L
.85222 .46093 L
.85286 .46152 L
.85356 .46215 L
.85497 .46335 L
.85748 .46511 L
.85888 .46589 L
.85965 .46624 L
.86038 .46651 L
.86106 .46671 L
.8618 .46687 L
.8631 .46704 L
.86375 .46707 L
.86443 .46706 L
.86566 .4669 L
.86698 .46653 L
.86843 .46595 L
.87102 .46451 L
.87344 .46271 L
.87466 .46166 L
.87581 .46143 L
.87685 .46231 L
.87797 .46319 L
.88047 .46482 L
.88281 .46592 L
.88402 .46636 L
.88533 .4667 L
.88604 .46681 L
.88678 .46684 L
.88741 .46684 L
.88811 .46681 L
.88884 .46673 L
.88951 .46663 L
.89029 .46645 L
.89102 .46624 L
.89231 .46577 L
.89372 .46509 L
.89627 .46349 L
.89767 .46246 L
.89897 .46139 L
.90008 .46134 L
.90127 .46218 L
.9038 .46382 L
.90512 .46454 L
.90636 .4651 L
.90765 .46554 L
.90907 .46593 L
.9103 .46617 L
.91142 .46627 L
.91266 .46625 L
Mistroke
.91396 .46609 L
.91528 .46578 L
.91602 .46555 L
.91669 .46531 L
.91924 .46421 L
.9207 .46339 L
.92224 .46239 L
.92356 .46146 L
.92431 .46115 L
.92502 .46165 L
.92761 .46339 L
.92998 .46468 L
.93122 .46525 L
.93257 .46576 L
.93331 .46599 L
.934 .46617 L
.93465 .46632 L
.93536 .46644 L
.93664 .46657 L
.93784 .4666 L
.93901 .46654 L
.94009 .4664 L
.94126 .46615 L
.94254 .46579 L
.94513 .46481 L
.94706 .46386 L
.94808 .4633 L
.94916 .46266 L
.9501 .46312 L
.95114 .46381 L
.95298 .46491 L
.95475 .46584 L
.95666 .46664 L
.95847 .46724 L
.95934 .46747 L
.96013 .46765 L
.96106 .4678 L
.96206 .46791 L
.96299 .46796 L
.96387 .46795 L
.96489 .46788 L
.96583 .46776 L
.96686 .46758 L
.96795 .46734 L
.97619 .4652 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo003oOolQ
Ool00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00
ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo000cOol00`00Oomoo`3ZOol003=oo`03001oogoo
0>Yoo`00<goo00<007ooOol0jWoo000cOol00`00Oomoo`3ZOol003=oo`03001oogoo039oo`03001o
ogoo0;Eoo`00<goo00<007ooOol0<Woo00<007ooOol0]Goo000cOol00`00Oomoo`0bOol00`00Oomo
o`2eOol003=oo`03001oogoo039oo`03001oogoo0;Eoo`00<goo00<007ooOol0<Woo00<007ooOol0
]Goo0002Ool20004Ool20003Ool30003Ool30003Ool30003Ool30004Ool20004Ool20005Ool00`00
Oomoo`0bOol00`00Oomoo`2eOol00005Ool007ooOol0000:Ool00`00Oomoo`03Ool00`00Oomoo`03
Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00@007ooOol0009oo`03001oogoo009oo`03001o
ogoo039oo`03001oogoo0;Eoo`0000Eoo`00Oomoo`0000Uoo`<000=oo`<000=oo`<000=oo`<0009o
o`04001oogoo0005Ool00`00Oomoo`02Ool2000cOol00`00Oomoo`2eOol00005Ool007ooOol00008
Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000goo0P0017oo
0P001Goo00<007ooOol0<Woo0P00]Woo00001Goo001oogoo000027oo00@007ooOol0009oo`04001o
ogoo0002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0003Ool00`00Oomoo`04Ool0
0`00Oomoo`0bOol2002fOol0009oo`8000Yoo`<000=oo`<000=oo`<000=oo`<000=oo`8000Aoo`<0
00Aoo`03001oogoo039oo`800;Ioo`00<goo00<007ooOol0<Woo0P00]Woo000cOol00`00Oomoo`0V
Ool00`00Oomoo`04Ool00`00Oomoo`02Ool2002fOol003=oo`03001oogoo02Ioo`03001oogoo00Ao
o`03001oogoo009oo`800;Ioo`00<goo00<007ooOol09Woo00<007ooOol017oo00<007ooOol00Woo
0P00]Woo000cOol00`00Oomoo`0UOol20006Ool00`00Oomoo`02Ool2002fOol003=oo`03001oogoo
02Eoo`8000Ioo`03001oogoo009oo`800;Ioo`00<goo00<007ooOol09Goo0P001Goo0P0017oo0P00
]Woo000cOol00`00Oomoo`0UOol20003Ool40004Ool2002fOol003=oo`03001oogoo02Eoo`8000=o
o`@000Aoo`800;Ioo`00<goo00<007ooOol09Goo0P000goo100017oo00<007oo0000]Goo000cOol0
0`00Oomoo`0UOol20003Ool40004Ool00`00Ool0002eOol003=oo`03001oogoo02Eoo`8000=oo`04
001oogoo0004Ool00`00Ool0002eOol003=oo`03001oogoo02Eoo`8000=oo`04001oogoo0004Ool0
0`00Ool0002eOol003=oo`03001oogoo02Eoo`8000=oo`04001oogoo0004Ool00`00Ool0002eOol0
03=oo`03001oogoo02Eoo`8000=oo`04001oogoo0004Ool00`00Ool0002eOol003=oo`03001oogoo
02Eoo`8000=oo`04001oogoo0004Ool01000Ool00000]7oo000cOol00`00Oomoo`0UOol20003Ool0
1000Oomoo`0017oo00@007ooOol00;Aoo`00<goo00<007ooOol09Goo0P000goo00@007ooOol000Ao
o`04001oogoo002dOol003=oo`03001oogoo02Eoo`8000=oo`04001oogoo0004Ool01000Oomoo`00
]7oo000cOol00`00Oomoo`0UOol20003Ool01000Oomoo`0017oo00@007ooOol00;Aoo`00<goo00<0
07ooOol09Goo0P000goo00@007ooOol000=oo`05001oogooOol0002dOol003=oo`03001oogoo02Eo
o`8000=oo`04001oogoo0003Ool01@00Oomoogoo0000]7oo000cOol00`00Oomoo`0UOol20003Ool0
1000Oomoo`000goo00D007ooOomoo`000;Aoo`00<goo00<007ooOol09Goo0P000goo00@007ooOol0
00=oo`05001oogooOol0002dOol003=oo`03001oogoo02Eoo`8000=oo`04001oogoo0003Ool01@00
Oomoogoo000017oo00<007ooOol0[Goo000cOol00`00Oomoo`0UOol20003Ool01000Oomoo`000goo
00D007ooOomoo`0000Aoo`03001oogoo0:eoo`00<goo00<007ooOol09Goo0P000goo00@007ooOol0
00=oo`05001oogooOol00004Ool2002^Ool000Qoo`8000Aoo`8000=oo`<000=oo`<000=oo`<000=o
o`<000=oo`<000Eoo`03001oogoo02Eoo`8000=oo`04001oogoo0003Ool01@00Oomoogoo000017oo
0P00[Woo0007Ool01000Oomoo`002Woo00<007ooOol00goo00<007ooOol00goo00<007ooOol00goo
00<007ooOol00goo00<007ooOol00goo00<007ooOol09Goo0P000goo00@007ooOol000=oo`05001o
ogooOol00004Ool2002^Ool000Moo`04001oogoo0009Ool30003Ool30003Ool30003Ool30003Ool3
0004Ool2000VOol00`00Ool00002Ool01000Oomoo`000goo00D007ooOomoo`0000Aoo`800:ioo`00
1goo00@007ooOol000Qoo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001o
ogoo0002Ool01000Oomoo`0017oo00<007ooOol09Goo00<007oo00000Woo00@007ooOol000=oo`05
001oogooOol00004Ool2002^Ool000Moo`04001oogoo0008Ool01000Oomoo`000Woo00@007ooOol0
009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000Aoo`03001oogoo02Eoo`05001o
o`00Ool00003Ool01@00Oomoogoo00000goo00<007ooOol00Woo0P00[Woo0008Ool2000:Ool30003
Ool30003Ool30003Ool30003Ool30004Ool00`00Oomoo`0UOol01@00Ool007oo00000goo00D007oo
Oomoo`0000=oo`03001oogoo009oo`800:ioo`00<goo00<007ooOol09Goo00D007oo001oo`0000Ao
o`04001oogoo0003Ool00`00Oomoo`02Ool200000goo001oo`2[Ool003=oo`03001oogoo02Eoo`05
001oo`00Ool00004Ool01000Oomoo`000goo00<007ooOol00Woo00@007oo00000:aoo`00<goo00<0
07ooOol097oo00H007ooOol007oo0004Ool01000Oomoo`000goo00<007ooOol00Woo00@007oo0000
0:aoo`00<goo00<007ooOol097oo00H007ooOol007oo0004Ool01000Oomoo`000goo00<007ooOol0
0Woo00@007ooOol00:aoo`00<goo00<007ooOol097oo00H007ooOol007oo0004Ool01000Oomoo`00
0goo00<007ooOol00Woo00@007ooOol00:aoo`00<goo00<007ooOol097oo00H007ooOol007oo0004
Ool01000Oomoo`0017oo00D007ooOomoo`00009oo`03001oogoo0:Yoo`00<goo00<007ooOol097oo
00H007ooOol007oo0004Ool01000Oomoo`0017oo00D007ooOomoo`00009oo`03001oogoo0:Yoo`00
<goo00<007ooOol097oo00H007ooOol007oo0004Ool01000Oomoo`0017oo00D007ooOomoo`0000=o
o`03001oogoo0:Uoo`00<goo00<007ooOol097oo00H007ooOol007oo0004Ool01000Oomoo`0017oo
00D007ooOomoo`0000=oo`03001oogoo0:Uoo`00<goo00<007ooOol097oo00H007ooOol007oo0004
Ool01000Oomoo`0017oo00D007ooOomoo`0000=oo`03001oogoo0:Uoo`00<goo00<007ooOol097oo
00H007ooOol007oo0004Ool00`00Ool00005Ool01@00Oomoogoo00000goo00<007ooOol0ZGoo000c
Ool00`00Oomoo`0TOol01P00Oomoo`00Ool000Aoo`03001oo`0000Eoo`05001oogooOol00003Ool0
0`00Oomoo`2YOol003=oo`03001oogoo02Aoo`06001oogoo001oo`0017oo00<007oo00001Goo00D0
07ooOomoo`0000=oo`03001oogoo0:Uoo`00<goo00<007ooOol097oo00H007ooOol007oo0004Ool0
0`00Ool00005Ool01000Oomoo`0017oo00<007ooOol0ZGoo000cOol00`00Oomoo`0TOol01000Oomo
ogoo0P0017oo00<007oo00001Goo00@007ooOol000Aoo`03001oogoo0:Uoo`00<goo00<007ooOol0
97oo00D007ooOomoo`0000Eoo`03001oo`0000Eoo`04001oogoo0005Ool00`00Oomoo`2XOol003=o
o`03001oogoo02Aoo`05001oogooOol00005Ool00`00Ool00005Ool01000Oomoo`001Goo00<007oo
Ool0Z7oo000cOol00`00Oomoo`0TOol01@00Oomoogoo00001Goo00<007oo00001Goo00@007ooOol0
00Eoo`03001oogoo0:Qoo`00<goo00<007ooOol097oo00<007ooOol01goo00<007oo00001Goo00@0
07ooOol000Eoo`03001oogoo0:Qoo`00<goo00<007ooOol097oo00<007ooOol027oo0P001Goo00@0
07ooOol000Eoo`03001oogoo0:Qoo`00<goo00<007ooOol097oo00<007ooOol027oo0P001Goo00@0
07ooOol000Eoo`03001oogoo0:Qoo`00<goo00<007ooOol097oo00<007ooOol027oo0P001Goo00@0
07ooOol000Eoo`03001oogoo0:Qoo`00<goo00<007ooOol097oo00<007ooOol027oo00<007ooOol0
17oo00@007ooOol000Ioo`03001oogoo0:Moo`00<goo00<007ooOol097oo00<007ooOol027oo00<0
07ooOol017oo00@007oo000000Ioo`03001oogoo0:Moo`00<goo00<007ooOol097oo00<007ooOol0
27oo00<007ooOol01Goo0`001Woo00<007ooOol0Ygoo000cOol00`00Oomoo`0TOol00`00Oomoo`0@
Ool20008Ool00`00Oomoo`2VOol003=oo`03001oogoo02Aoo`03001oogoo011oo`03001oogoo00Mo
o`03001oogoo0:Ioo`00<goo00<007ooOol097oo00<007ooOol06Woo00<007ooOol0YWoo0002Ool2
0004Ool20003Ool30003Ool30003Ool30003Ool30003Ool30004Ool20005Ool00`00Oomoo`0TOol0
0`00Oomoo`0JOol00`00Oomoo`2VOol00005Ool007ooOol0000:Ool00`00Oomoo`03Ool00`00Oomo
o`03Ool00`00Oomoo`03Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00<007ooOol00Woo00<0
07ooOol097oo00<007ooOol06Woo00<007ooOol0YWoo00001Goo001oogoo00002Goo0`000goo0`00
0goo0`000goo0`000goo0`001Goo00<007ooOol00Woo0P009Goo00<007ooOol06Woo00<007ooOol0
YWoo00001Goo001oogoo000027oo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000Woo
00@007ooOol0009oo`04001oogoo0003Ool20005Ool00`00Oomoo`0TOol00`00Oomoo`0KOol00`00
Oomoo`2UOol00005Ool007ooOol00008Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo
0002Ool01000Oomoo`000Woo00@007ooOol000=oo`03001oogoo00Aoo`03001oogoo02Aoo`03001o
ogoo01]oo`03001oogoo0:Eoo`000Woo0P002Woo0`000goo0`000goo0`000goo0`000goo0`000goo
0`0017oo00<007ooOol097oo00<007ooOol06goo00<007ooOol0YGoo000cOol00`00Oomoo`0TOol0
0`00Oomoo`0KOol00`00Oomoo`2UOol003=oo`03001oogoo02Aoo`03001oogoo01]oo`03001oogoo
0:Eoo`00<goo00<007ooOol097oo00<007ooOol06goo00<007ooOol0YGoo000cOol00`00Oomoo`0T
Ool00`00Oomoo`0LOol2002UOol003=oo`03001oogoo02Aoo`03001oogoo01aoo`<00:Aoo`00<goo
00<007ooOol097oo00<007ooOol077oo00<007oo00003goo00<007ooOol0TWoo000cOol00`00Oomo
o`0TOol00`00Oomoo`0LOol00`00Ool0000>Ool2002DOol003=oo`03001oogoo02Aoo`03001oogoo
01ioo`03001oo`0000aoo`80009oo`03001oogoo08moo`00<goo00<007ooOol097oo00<007ooOol0
7Woo00@007oo000000]oo`800003Ool00000095oo`00<goo00<007ooOol097oo00<007ooOol07Woo
00@007oo000000]oo`800003Ool00000095oo`00<goo00<007ooOol097oo00<007ooOol07Woo00@0
07oo000000]oo`800003Ool00000095oo`00<goo00<007ooOol097oo00<007ooOol07goo0`000Woo
00<007ooOol01Woo0P0000=oo`000000TGoo000cOol00`00Oomoo`0TOol00`00Oomoo`0OOol30000
0goo00000008Ool200000goo0000002AOol003=oo`03001oogoo02Aoo`03001oogoo01moo`<00003
Ool0000000Qoo`800003Ool00000095oo`00<goo00<007ooOol097oo00<007ooOol07goo0`0000=o
o`00000027oo0P0000=oo`000000TGoo000cOol00`00Oomoo`0SOol00`00Oomoo`0POol01000Ool0
07oo0P0027oo0P0000Aoo`00Ool0091oo`00<goo00<007ooOol08goo00<007ooOol087oo00@007oo
001oo`8000Qoo`06001oo`00001oo`00T7oo000cOol00`00Oomoo`0SOol00`00Oomoo`0POol01000
Ool007oo0P000Woo00<007ooOol00goo00H007oo000007oo002@Ool003=oo`03001oogoo02=oo`03
001oogoo021oo`04001oo`00Ool200000goo00000005Ool01P00Ool00000Ool0091oo`00<goo00<0
07ooOol077oo0P0017oo0P0017oo0P0077oo1P0000=oo`0000001Goo00H007oo000007oo000>Ool5
0002Ool20004Ool2000MOol4000LOol40003Ool20004Ool2000OOol20006Ool003=oo`03001oogoo
01]oo`04001oogoo0004Ool01@00Oomoogoo00000Woo00<007ooOol06Goo00<007oo00000`0000=o
o`0000000Woo00D007ooOol007oo00800003Ool007oo00moo`03001oogoo00Moo`04001oogoo000L
Ool00`00Oomoo`0MOol00`00Oomoo`09Ool01000Oomoo`007Goo00@007ooOol000Eoo`00<goo00<0
07ooOol06goo00@007ooOol000Aoo`03001oogoo00Aoo`03001oogoo01Uoo`03001oo`0000<00003
Ool00000009oo`05001oogoo001oo`0200000goo001oo`0?Ool00`00Oomoo`0:Ool00`00Oomoo`0K
Ool00`00Oomoo`0MOol00`00Oomoo`0;Ool00`00Oomoo`0MOol00`00Oomoo`04Ool003=oo`03001o
ogoo01]oo`04001oogoo0004Ool00`00Oomoo`02Ool2000OOol300000goo00000002Ool200000goo
001oo`0200000goo001oo`0?Ool00`00Oomoo`08Ool2000OOol00`00Oomoo`0MOol00`00Oomoo`08
Ool2000QOol00`00Oomoo`03Ool003=oo`03001oogoo01]oo`04001oogoo0004Ool00`00Oomoo`02
Ool00`00Oomoo`0NOol300000goo00000002Ool200000goo001oo`0200000goo001oo`0?Ool00`00
Oomoo`08Ool00`00Oomoo`0LOol01000Oomoo`0077oo00@007ooOol000Uoo`03001oogoo01eoo`04
001oogoo0005Ool003=oo`03001oogoo01aoo`8000Eoo`03001oogoo009oo`<001eoo`@00005Ool0
07oo001oo`0200000goo001oo`0200000goo001oo`0>Ool2000:Ool3000MOol2000NOol2000:Ool3
000NOol20006Ool003=oo`03001oogoo02=oo`03001oogoo02=oo`<00005Ool007oo001oo`020000
0goo001oo`0200000goo001oo`2?Ool003=oo`03001oogoo02=oo`03001oogoo02=oo`06001oo`00
Ool007oo0P0000Eoo`00Ool007oo00800003Ool007oo08moo`00<goo00<007ooOol08goo00<007oo
Ool08goo00H007oo001oo`00Ool200001Goo001oo`00Ool00P0000=oo`00Ool0Sgoo000cOol00`00
Oomoo`0POol4000UOol01P00Ool007oo001oo`800005Ool007oo001oo`02000017oo001oo`000goo
0P00RGoo000cOol00`00Oomoo`0EOol;000YOol00`00Oomoo`0200002Goo000007oo001oo`00Ool0
0002Ool01000Ool000000Woo0P00>Woo00<007ooOol0C7oo000^Ooob000003=oo`03001oogoo00Mo
o`8000Moo`03001oogoo011oo`03001oogoo02=oo`03001oogoo00800009Ool00000Ool007oo001o
o`00009oo`08001oo`00001oo`00Ool000Moo`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo
019oo`04001oogooOol20003Ool01`00Oomoogoo001oo`00009oo`8000=oo`8000Aoo`03001oogoo
009oo`03001oogoo009oo`80009oo`800003Ool0000000800003Ool000000080009oo`@0009oo`@0
009oo`<000=oo`@0009oo`H000Ioo`00<goo00<007ooOol027oo00<007ooOol01Goo00<007ooOol0
=Woo00<007ooOol00P0000Uoo`00001oo`00Ool007oo00000Woo00P007oo000007oo001oo`001goo
00<007ooOol017oo0P001Woo0P001goo00<007ooOol02Goo00<007oo00000Woo0P000goo0P000Woo
00<007oo00000`0000Aoo`00Oomoo`<0009oo`<0009oo`03001oo`0000<0009oo`<0035oo`00<goo
00<007ooOol02Goo00<007ooOol017oo00<007ooOol0=Woo00<007ooOol00P0000Uoo`00001oo`00
Ool007oo00000Woo00H007oo000007oo0002Ool00`00Oomoo`03Ool20006Ool20006Ool20007Ool0
1@00Oomoogoo00001goo00<007oo00000Woo00H007oo001oo`00Ool2000017oo001oogoo0P000Woo
100000=oo`0000000P0000=oo`0000000P000Woo0P00=goo000cOol00`00Oomoo`0:Ool00`00Oomo
o`03Ool00`00Oomoo`0iOol200002Goo000007oo001oo`00Ool00002Ool01P00Ool00000Ool0009o
o`8000Aoo`8000Ioo`8000Ioo`8000Moo`04001oogooOol20003Ool01000Oomoo`000Woo0P000Woo
00<007oo00000Woo0P003Goo0P00@Goo000cOol00`00Oomoo`0:Ool00`00Oomoo`03Ool00`00Oomo
o`0iOol200001goo000007oo001oo`0000Aoo`800004Ool007oo0002Ool20004Ool00`00Ool00005
Ool20006Ool20007Ool01000Oomoogoo0P000Woo0P000Woo00<007ooOol00P000Woo0`00E7oo000c
Ool00`00Oomoo`0;Ool00`00Oomoo`02Ool00`00Oomoo`0iOol2000017oo000007oo0P001Goo0P00
00Aoo`00Ool000=oo`03001oogoo009oo`03001oo`0000Eoo`8000Ioo`8000=oo`04001oogooOol2
0002Ool20002Ool01@00Ool007oo0000GGoo000cOol00`00Oomoo`0;Ool00`00Oomoo`02Ool00`00
Oomoo`0iOol2000017oo000007oo0P001Goo0P0000Aoo`00Ool000Aoo`07001oogooOol007oo0000
1Goo0P001Woo00<007oo00000Woo00H007ooOol007oo0002Ool20002Ool01000Ool00000GWoo000c
Ool00`00Oomoo`0;Ool00`00Oomoo`02Ool00`00Oomoo`0iOol2000017oo000007oo0P001Goo0P00
00Aoo`00Ool000Aoo`07001oogooOol007oo00001Goo00<007oo00000Woo00L007ooOol007oo001o
o`020002Ool02@00Ool007oo001oo`00Ool00002Ool2001NOol003=oo`03001oogoo00]oo`03001o
ogoo009oo`03001oogoo03Uoo`800004Ool00000Ool20005Ool20002Ool20004Ool01`00Oomoogoo
001oo`0000Eoo`03001oo`00009oo`07001oogoo001oo`00Ool00P000Woo00D007oo001oo`00009o
o`80069oo`00<goo00<007ooOol037oo00D007ooOomoo`0003]oo`800004Ool00000Ool20005Ool2
0002Ool20004Ool01000Oomoo`000Woo00<007ooOol00goo00@007oo001oo`80009oo`09001oo`00
Ool007oo001oo`00009oo`80009oo`80069oo`00<goo00<007ooOol037oo00D007ooOomoo`0003]o
o`800004Ool00000Ool20005Ool20002Ool20004Ool01000Oomoo`000goo00<007oo00000Woo00@0
07oo001oo`80000;Ool007ooOol007oo001oo`00Ool0001ZOol003=oo`03001oogoo00aoo`05001o
ogooOol0000kOol2000017oo000007oo0P001Goo0P000Woo00<007ooOol00goo00@007ooOol000=o
o`<00006Ool007ooOol007oo0P0000Aoo`00Oomoo`<00003Ool0000006]oo`00<goo00<007ooOol0
3Goo00@007ooOol003]oo`800003Ool00000009oo`03001oogoo00Aoo`04001oogoo0006Ool00`00
Ool00003Ool300001Woo001oogoo001oo`800003Ool007oo009oo`03001oogoo008006]oo`00<goo
00<007ooOol03Goo00@007ooOol003]oo`03001oogoo0080009oo`03001oogoo00Aoo`04001oogoo
0006Ool00`00Ool00003Ool3000027oo001oogoo001oo`00Ool2001cOol003=oo`03001oogoo00eo
o`04001oogoo000kOol00`00Oomoo`020002Ool00`00Oomoo`04Ool01000Oomoo`001Woo0P0017oo
0P0000=oo`0000000goo00<007ooOol00P00Lgoo000cOol00`00Oomoo`0=Ool01000Oomoo`00>goo
00<007ooOol00P000Woo00<007ooOol017oo00@007ooOol000Ioo`8000Moo`8000Ioo`8007=oo`00
<goo00<007ooOol03Goo00@007ooOol003ioo`80009oo`03001oogoo00Aoo`04001oogoo000?Ool2
001kOol003=oo`03001oogoo00eoo`04001oogoo000nOol20002Ool00`00Oomoo`04Ool01000Oomo
o`00S7oo000cOol00`00Oomoo`0>Ool00`00Ool0000nOol20002Ool00`00Oomoo`07Ool00`00Oomo
o`2:Ool003=oo`03001oogoo00ioo`03001oo`0003ioo`80009oo`03001oogoo00Moo`03001oogoo
08Yoo`00<goo00<007ooOol03Woo00<007oo0000?Woo0P000Woo00<007ooOol0U7oo000cOol00`00
Oomoo`0>Ool00`00Ool0000nOol20002Ool00`00Oomoo`2DOol003=oo`03001oogoo00ioo`03001o
o`0003ioo`80009oo`03001oogoo09Aoo`00<goo00<007ooOol03goo0P00?Woo0P000Woo00<007oo
Ool0U7oo000cOol00`00Oomoo`0?Ool2000nOol20002Ool00`00Oomoo`2DOol003=oo`03001oogoo
00moo`8003moo`04001oogoo002FOol003=oo`03001oogoo00moo`8003moo`04001oogoo002FOol0
03=oo`03001oogoo00moo`8003moo`04001oogoo002FOol003=oo`03001oogoo00moo`8003moo`04
001oogoo002FOol003=oo`03001oogoo00moo`800=Uoo`001goo1@000Woo0P0017oo0P0017oo0P00
17oo0P0017oo0P000goo1@000goo00<007ooOol03goo0P00fGoo0009Ool00`00Oomoo`07Ool01000
Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`0017oo00<007ooOol00goo
00<007ooOol03goo0P00fGoo0009Ool00`00Oomoo`07Ool01000Oomoo`000Woo00@007ooOol0009o
o`04001oogoo0002Ool01000Oomoo`0017oo00<007ooOol00goo0P004Goo00<007ooOol0egoo0009
Ool00`00Oomoo`07Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomo
o`0017oo00<007ooOol00goo00<007ooOol047oo00<007ooOol0egoo0009Ool00`00Oomoo`07Ool0
1000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`0017oo00<007ooOol0
0goo00<007ooOol0jWoo0008Ool2000:Ool20004Ool20004Ool20004Ool20004Ool20005Ool00`00
Oomoo`3ZOol003=oo`03001oogoo0>Yoo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003o
OolQOol00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol00?moob5o
o`00ogoo8Goo003oOolQOol00001\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.664687, 0.999984, \
0.0130295, 1.48846*^-07}}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
%%ImageSize: 432 266.991 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
2.77556e-017 0.333333 -2.61929 2.94302 [
[.16667 .01693 -9.5 -15.5 ]
[.16667 .01693 9.5 0 ]
[.33333 .01693 -9.5 -15.5 ]
[.33333 .01693 9.5 0 ]
[.5 .01693 -9.5 -15.5 ]
[.5 .01693 9.5 0 ]
[.66667 .01693 -9.5 -15.5 ]
[.66667 .01693 9.5 0 ]
[.83333 .01693 -9.5 -15.5 ]
[.83333 .01693 9.5 0 ]
[1 .01693 -9.5 -15.5 ]
[1 .01693 9.5 0 ]
[1.025 .02943 0 -7.75 ]
[1.025 .02943 10 7.75 ]
[-0.0125 .17658 -25 -7.75 ]
[-0.0125 .17658 0 7.75 ]
[-0.0125 .32373 -25 -7.75 ]
[-0.0125 .32373 0 7.75 ]
[-0.0125 .47088 -25 -7.75 ]
[-0.0125 .47088 0 7.75 ]
[-0.0125 .61803 -25 -7.75 ]
[-0.0125 .61803 0 7.75 ]
[.5 .63053 -50.9063 0 ]
[.5 .63053 50.9063 15.5 ]
[ -0.001 -0.0005 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.002 w
[ ] 0 setdash
.16667 .02943 m
.16667 .03568 L
s
gsave
.16667 .01693 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.33333 .02943 m
.33333 .03568 L
s
gsave
.33333 .01693 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.5 .02943 m
.5 .03568 L
s
gsave
.5 .01693 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.66667 .02943 m
.66667 .03568 L
s
gsave
.66667 .01693 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.83333 .02943 m
.83333 .03568 L
s
gsave
.83333 .01693 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
1 .02943 m
1 .03568 L
s
gsave
1 .01693 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
.03333 .02943 m
.03333 .03256 L
s
.06667 .02943 m
.06667 .03256 L
s
.1 .02943 m
.1 .03256 L
s
.13333 .02943 m
.13333 .03256 L
s
.2 .02943 m
.2 .03256 L
s
.23333 .02943 m
.23333 .03256 L
s
.26667 .02943 m
.26667 .03256 L
s
.3 .02943 m
.3 .03256 L
s
.36667 .02943 m
.36667 .03256 L
s
.4 .02943 m
.4 .03256 L
s
.43333 .02943 m
.43333 .03256 L
s
.46667 .02943 m
.46667 .03256 L
s
.53333 .02943 m
.53333 .03256 L
s
.56667 .02943 m
.56667 .03256 L
s
.6 .02943 m
.6 .03256 L
s
.63333 .02943 m
.63333 .03256 L
s
.7 .02943 m
.7 .03256 L
s
.73333 .02943 m
.73333 .03256 L
s
.76667 .02943 m
.76667 .03256 L
s
.8 .02943 m
.8 .03256 L
s
.86667 .02943 m
.86667 .03256 L
s
.9 .02943 m
.9 .03256 L
s
.93333 .02943 m
.93333 .03256 L
s
.96667 .02943 m
.96667 .03256 L
s
.25 Mabswid
0 .02943 m
1 .02943 L
s
gsave
1.025 .02943 -61 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
69.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.002 w
0 .17658 m
.00625 .17658 L
s
gsave
-0.0125 .17658 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.95) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .32373 m
.00625 .32373 L
s
gsave
-0.0125 .32373 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.00) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .47088 m
.00625 .47088 L
s
gsave
-0.0125 .47088 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.05) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.10) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
0 0 m
.00313 0 L
s
0 .05886 m
.00313 .05886 L
s
0 .08829 m
.00313 .08829 L
s
0 .11772 m
.00313 .11772 L
s
0 .14715 m
.00313 .14715 L
s
0 .20601 m
.00313 .20601 L
s
0 .23544 m
.00313 .23544 L
s
0 .26487 m
.00313 .26487 L
s
0 .2943 m
.00313 .2943 L
s
0 .35316 m
.00313 .35316 L
s
0 .38259 m
.00313 .38259 L
s
0 .41202 m
.00313 .41202 L
s
0 .44145 m
.00313 .44145 L
s
0 .50031 m
.00313 .50031 L
s
0 .52974 m
.00313 .52974 L
s
0 .55917 m
.00313 .55917 L
s
0 .5886 m
.00313 .5886 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
.5 .63053 -111.906 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(True) show
88.625 15.813 moveto
(Euler) show
117.563 15.813 moveto
(Equation) show
160.813 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.00333 .32373 m
.00456 .32373 L
.00568 .32373 L
.00698 .32373 L
.0082 .32373 L
.00933 .32373 L
.01037 .32373 L
.01151 .32373 L
.01273 .32373 L
.01394 .32373 L
.01525 .32373 L
.01649 .32373 L
.01762 .32373 L
.01894 .32373 L
.01969 .32373 L
.02039 .32373 L
.02166 .32373 L
.02302 .32373 L
.02442 .32373 L
.02571 .32373 L
.02712 .32373 L
.02862 .32373 L
.03114 .32373 L
.03256 .32373 L
.0339 .32373 L
.03639 .32373 L
.03866 .32373 L
.04128 .32373 L
.04377 .32373 L
.04629 .32373 L
.04908 .32373 L
.052 .32373 L
.05474 .32373 L
.05962 .32373 L
.06237 .32374 L
.06489 .32374 L
.07023 .32374 L
.07326 .32374 L
.07608 .32374 L
.07901 .32374 L
.08045 .32375 L
.08177 .32375 L
.08252 .32375 L
.0833 .32373 L
.08409 .32373 L
.08496 .32373 L
.08786 .32373 L
.09047 .32373 L
.09331 .32373 L
.096 .32373 L
Mistroke
.09849 .32373 L
.10096 .32373 L
.1032 .32373 L
.10821 .32373 L
.11103 .32373 L
.11363 .32373 L
.11647 .32373 L
.11948 .32373 L
.12453 .32373 L
.1274 .32373 L
.13008 .32373 L
.13533 .32373 L
.1383 .32373 L
.14104 .32373 L
.14607 .32373 L
.15142 .32373 L
.15619 .32373 L
.16066 .32373 L
.16305 .32373 L
.16435 .32373 L
.16557 .32373 L
.16688 .32373 L
.16758 .32373 L
.16832 .32373 L
.16965 .32372 L
.17085 .32372 L
.17327 .32371 L
.17594 .3237 L
.17728 .32369 L
.17803 .32369 L
.17872 .32369 L
.18132 .3237 L
.18369 .32371 L
.18503 .32371 L
.18627 .32371 L
.18735 .32371 L
.18855 .32371 L
.18979 .32371 L
.19096 .32371 L
.19223 .32371 L
.19295 .32371 L
.19362 .32371 L
.19498 .32371 L
.19643 .3237 L
.19778 .3237 L
.19905 .32369 L
.2002 .32369 L
.20144 .32369 L
.20213 .32369 L
.20288 .32369 L
Mistroke
.20425 .32369 L
.20507 .32369 L
.20583 .32369 L
.20653 .32369 L
.20728 .32369 L
.20875 .32369 L
.20948 .32369 L
.21014 .32369 L
.21139 .3237 L
.21274 .3237 L
.21504 .32371 L
.21634 .32371 L
.21755 .32371 L
.21884 .32371 L
.22 .32371 L
.22135 .32371 L
.22263 .32371 L
.22395 .32371 L
.22461 .32371 L
.22534 .32371 L
.22663 .32371 L
.22785 .3237 L
.23061 .32369 L
.232 .32369 L
.23279 .32368 L
.23352 .32369 L
.23619 .32369 L
.23766 .32369 L
.23905 .32369 L
.24032 .3237 L
.2417 .3237 L
.24296 .3237 L
.24411 .3237 L
.24548 .3237 L
.24676 .3237 L
.24827 .32371 L
.24966 .32371 L
.25036 .32371 L
.25111 .32371 L
.25249 .32372 L
.25326 .32372 L
.25407 .32372 L
.25484 .32372 L
.25553 .32371 L
.25679 .32371 L
.25799 .32372 L
.25937 .32372 L
.26062 .32371 L
.2618 .32371 L
.26289 .32371 L
Mistroke
.26536 .32371 L
.2666 .3237 L
.26776 .3237 L
.26897 .3237 L
.27031 .3237 L
.27165 .3237 L
.27292 .3237 L
.27362 .3237 L
.27439 .3237 L
.27573 .32371 L
.2765 .32371 L
.27722 .32371 L
.27858 .32371 L
.27934 .3237 L
.28004 .3237 L
.28081 .3237 L
.28162 .32371 L
.28445 .32371 L
.28584 .32371 L
.2871 .32371 L
.2895 .32371 L
.29082 .32371 L
.29207 .32371 L
.29754 .32372 L
.30763 .32372 L
.30893 .32372 L
.31029 .32372 L
.31101 .32372 L
.31179 .32372 L
.31317 .32372 L
.31447 .32372 L
.31519 .32372 L
.31586 .32372 L
.31716 .32372 L
.31836 .32373 L
.31946 .32373 L
.32062 .32373 L
.32189 .32372 L
.32307 .32372 L
.32409 .32372 L
.32519 .32372 L
.32641 .32372 L
.32752 .32372 L
.32881 .32372 L
.33 .32373 L
.33142 .32373 L
.33271 .32373 L
.33394 .32373 L
.33509 .32373 L
.33632 .32373 L
Mistroke
.33764 .32372 L
.33894 .32372 L
.34013 .32372 L
.3415 .32373 L
.34279 .32373 L
.34513 .32374 L
.3463 .32374 L
.3476 .32374 L
.34828 .32374 L
.34901 .32373 L
.35032 .32373 L
.35164 .32373 L
.35284 .32373 L
.35417 .32373 L
.35492 .32373 L
.35561 .32373 L
.35635 .32373 L
.35703 .32373 L
.35853 .32374 L
.35991 .32374 L
.36061 .32375 L
.36137 .32374 L
.36273 .32374 L
.36398 .32373 L
.36469 .32373 L
.36545 .32373 L
.36626 .32373 L
.36703 .32373 L
.36775 .32373 L
.36851 .32373 L
.36988 .32373 L
.37114 .32373 L
.3725 .32374 L
.37368 .32374 L
.37497 .32374 L
.37571 .32374 L
.37639 .32374 L
.3779 .32373 L
.3792 .32373 L
.37991 .32373 L
.38059 .32372 L
.38187 .32372 L
.38255 .32372 L
.38329 .32372 L
.38405 .32372 L
.38478 .32372 L
.38615 .32372 L
.38742 .32373 L
.3886 .32373 L
.3899 .32373 L
Mistroke
.39128 .32373 L
.39279 .32373 L
.39364 .32372 L
.39442 .32372 L
.3951 .32372 L
.39585 .32372 L
.39664 .32372 L
.39737 .32372 L
.39809 .32372 L
.39876 .32372 L
.40003 .32373 L
.4014 .32373 L
.40289 .32374 L
.40419 .32374 L
.40541 .32374 L
.40675 .32374 L
.40744 .32374 L
.4082 .32373 L
.40889 .32373 L
.40963 .32373 L
.41041 .32373 L
.41114 .32373 L
.41187 .32373 L
.41255 .32373 L
.41384 .32373 L
.41507 .32373 L
.41637 .32374 L
.41749 .32374 L
.4187 .32374 L
.42 .32374 L
.42121 .32374 L
.42266 .32374 L
.42397 .32373 L
.42534 .32373 L
.42663 .32373 L
.428 .32373 L
.42877 .32373 L
.42947 .32373 L
.43066 .32373 L
.43195 .32373 L
.43331 .32373 L
.43457 .32373 L
.43529 .32373 L
.43608 .32373 L
.43681 .32373 L
.4375 .32373 L
.43879 .32373 L
.44016 .32373 L
.44086 .32373 L
.44162 .32373 L
Mistroke
.443 .32374 L
.44613 .32374 L
.44882 .32374 L
.44956 .32374 L
.45035 .32374 L
.45109 .32374 L
.45176 .32374 L
.45309 .32374 L
.45383 .32374 L
.45452 .32374 L
.45578 .32374 L
.45712 .32374 L
.45959 .32374 L
.46191 .32374 L
.46464 .32373 L
.46595 .32373 L
.46717 .32373 L
.46838 .32373 L
.46971 .32373 L
.4724 .32374 L
.47383 .32374 L
.47514 .32374 L
.47583 .32374 L
.47658 .32374 L
.47736 .32374 L
.4781 .32374 L
.47944 .32374 L
.48072 .32374 L
.48186 .32374 L
.4831 .32374 L
.48445 .32374 L
.48513 .32374 L
.48588 .32374 L
.48721 .32374 L
.48845 .32374 L
.48965 .32374 L
.49096 .32374 L
.49219 .32374 L
.49334 .32374 L
.49447 .32374 L
.4955 .32374 L
.49781 .32374 L
.49902 .32373 L
.5003 .32373 L
.50096 .32373 L
.5017 .32373 L
.50299 .32373 L
.5042 .32374 L
.50551 .32374 L
.50674 .32374 L
Mistroke
.50786 .32374 L
.5091 .32374 L
.51026 .32374 L
.51153 .32374 L
.5129 .32374 L
.51426 .32374 L
.51495 .32374 L
.51569 .32374 L
.51702 .32374 L
.51825 .32374 L
.5195 .32374 L
.52069 .32374 L
.52175 .32374 L
.5229 .32374 L
.52415 .32374 L
.52548 .32374 L
.52661 .32374 L
.52786 .32374 L
.52855 .32374 L
.52931 .32374 L
.53069 .32374 L
.53327 .32373 L
.53403 .32373 L
.53474 .32373 L
.53555 .32373 L
.53629 .32373 L
.53765 .32373 L
.53909 .32374 L
.54035 .32374 L
.54172 .32374 L
.54297 .32374 L
.54414 .32374 L
.54552 .32374 L
.54677 .32374 L
.54747 .32374 L
.54822 .32374 L
.54959 .32374 L
.55085 .32374 L
.55205 .32374 L
.55343 .32373 L
.55469 .32374 L
.55579 .32374 L
.55697 .32374 L
.55827 .32374 L
.55947 .32374 L
.5602 .32374 L
.56088 .32374 L
.56162 .32374 L
.5624 .32374 L
.56372 .32374 L
Mistroke
.56447 .32374 L
.56517 .32374 L
.56767 .32374 L
.56897 .32373 L
.57035 .32373 L
.57104 .32373 L
.57182 .32373 L
.57318 .32373 L
.57466 .32374 L
.57626 .32374 L
.57699 .32374 L
.57776 .32374 L
.57914 .32374 L
.58044 .32374 L
.58117 .32374 L
.58186 .32374 L
.58322 .32374 L
.58451 .32374 L
.58567 .32374 L
.58693 .32374 L
.5883 .32373 L
.58905 .32373 L
.58975 .32373 L
.59099 .32373 L
.59235 .32373 L
.59366 .32374 L
.59506 .32374 L
.59637 .32374 L
.59756 .32374 L
.59829 .32374 L
.59897 .32374 L
.59971 .32374 L
.60049 .32374 L
.6018 .32374 L
.60255 .32374 L
.60324 .32374 L
.60585 .32374 L
.60709 .32373 L
.60823 .32373 L
.60955 .32373 L
.61024 .32373 L
.61098 .32373 L
.61234 .32373 L
.61358 .32374 L
.6147 .32374 L
.61587 .32374 L
.61705 .32374 L
.61834 .32374 L
.61946 .32374 L
.62065 .32374 L
Mistroke
.62178 .32373 L
.62281 .32373 L
.62532 .32373 L
.62664 .32373 L
.62736 .32373 L
.62804 .32373 L
.62926 .32373 L
.63061 .32373 L
.63298 .32373 L
.63429 .32373 L
.63496 .32373 L
.63569 .32373 L
.63699 .32373 L
.6382 .32373 L
.6389 .32373 L
.63963 .32373 L
.64094 .32373 L
.64167 .32373 L
.64235 .32373 L
.64389 .32373 L
.64513 .32373 L
.64647 .32373 L
.64773 .32373 L
.6489 .32373 L
.65026 .32373 L
.6517 .32373 L
.65303 .32373 L
.65425 .32373 L
.65542 .32373 L
.65654 .32373 L
.65773 .32373 L
.65902 .32373 L
.66014 .32373 L
.66133 .32373 L
.66246 .32373 L
.66348 .32373 L
.666 .32373 L
.66732 .32373 L
.66799 .32373 L
.66872 .32373 L
.67005 .32373 L
.67129 .32373 L
.67242 .32373 L
.67366 .32373 L
.67498 .32373 L
.6757 .32373 L
.67638 .32373 L
.67759 .32373 L
.6789 .32373 L
.67959 .32373 L
Mistroke
.68035 .32373 L
.68187 .32373 L
.68329 .32373 L
.6846 .32373 L
.68584 .32373 L
.68718 .32373 L
.68845 .32373 L
.68961 .32373 L
.69098 .32373 L
.69242 .32373 L
.69375 .32373 L
.69497 .32373 L
.69607 .32373 L
.69727 .32373 L
.69854 .32373 L
.69975 .32373 L
.70087 .32373 L
.70207 .32373 L
.7032 .32373 L
.70422 .32373 L
.70674 .32373 L
.70806 .32373 L
.70879 .32373 L
.70946 .32373 L
.71069 .32373 L
.71203 .32373 L
.71439 .32373 L
.71572 .32373 L
.71644 .32373 L
.71712 .32373 L
.71833 .32373 L
.71965 .32373 L
.72039 .32373 L
.72109 .32373 L
.7224 .32373 L
.72314 .32373 L
.72382 .32373 L
.72457 .32373 L
.72536 .32373 L
.72817 .32373 L
.72954 .32373 L
.73081 .32373 L
.73196 .32373 L
.73318 .32373 L
.73574 .32373 L
.73693 .32373 L
.73805 .32373 L
.73935 .32373 L
.74053 .32373 L
.74164 .32373 L
Mistroke
.74267 .32373 L
.7438 .32373 L
.74501 .32373 L
.7462 .32373 L
.7475 .32373 L
.74984 .32373 L
.7512 .32373 L
.75194 .32373 L
.75262 .32373 L
.75384 .32373 L
.75518 .32373 L
.75774 .32373 L
.75914 .32373 L
.76046 .32373 L
.76114 .32373 L
.76187 .32373 L
.76269 .32373 L
.76343 .32373 L
.76411 .32373 L
.76484 .32373 L
.76618 .32373 L
.76755 .32373 L
.76879 .32373 L
.77157 .32373 L
.77284 .32373 L
.77418 .32373 L
.77532 .32373 L
.77657 .32373 L
.7789 .32373 L
.78139 .32373 L
.78211 .32373 L
.7828 .32373 L
.78408 .32373 L
.78528 .32373 L
.78659 .32373 L
.78772 .32373 L
.78897 .32373 L
.79027 .32373 L
.79149 .32373 L
.79367 .32373 L
.79602 .32373 L
.79732 .32373 L
.79854 .32373 L
.79921 .32373 L
.79994 .32373 L
.80122 .32373 L
.80244 .32373 L
.80374 .32373 L
.80495 .32373 L
.80605 .32373 L
Mistroke
.80736 .32373 L
.80807 .32373 L
.80875 .32373 L
.80996 .32373 L
.81128 .32373 L
.81197 .32373 L
.81272 .32373 L
.81426 .32373 L
.81568 .32373 L
.81702 .32373 L
.81972 .32373 L
.82107 .32373 L
.82184 .32373 L
.82256 .32373 L
.82517 .32373 L
.82646 .32373 L
.82764 .32373 L
.82904 .32373 L
.82977 .32373 L
.83055 .32373 L
.8318 .32373 L
.83318 .32373 L
.83395 .32373 L
.83466 .32373 L
.83547 .32373 L
.83624 .32373 L
.83761 .32373 L
.83911 .32373 L
.84178 .32373 L
.84319 .32373 L
.84395 .32373 L
.84467 .32373 L
.84597 .32373 L
.84666 .32373 L
.8474 .32373 L
.84991 .32373 L
.85117 .32373 L
.85254 .32373 L
.85383 .32373 L
.85503 .32373 L
.85611 .32373 L
.8573 .32373 L
.85854 .32373 L
.8597 .32373 L
.86098 .32373 L
.86171 .32373 L
.86239 .32373 L
.86521 .32373 L
.86646 .32373 L
.86781 .32373 L
Mistroke
.86909 .32373 L
.87026 .32373 L
.87093 .32373 L
.87166 .32373 L
.87315 .32373 L
.87577 .32373 L
.87723 .32373 L
.87804 .32373 L
.87881 .32373 L
.87952 .32373 L
.88029 .32373 L
.88165 .32373 L
.88233 .32373 L
.88305 .32373 L
.88433 .32373 L
.88571 .32373 L
.88723 .32373 L
.88994 .32373 L
.89248 .32373 L
.89375 .32373 L
.89495 .32373 L
.89604 .32373 L
.89721 .32373 L
.89983 .32373 L
.90228 .32373 L
.90355 .32373 L
.90491 .32373 L
.90565 .32373 L
.90643 .32373 L
.90709 .32373 L
.90782 .32373 L
.90859 .32373 L
.90929 .32373 L
.9101 .32373 L
.91086 .32373 L
.91222 .32373 L
.9137 .32373 L
.91636 .32373 L
.91782 .32373 L
.91919 .32373 L
.92035 .32373 L
.9216 .32373 L
.92424 .32373 L
.92562 .32373 L
.92692 .32373 L
.92827 .32373 L
.92976 .32373 L
.93104 .32373 L
.93222 .32373 L
.93351 .32373 L
Mistroke
.93487 .32373 L
.93626 .32373 L
.93703 .32373 L
.93773 .32373 L
.9404 .32373 L
.94193 .32373 L
.94354 .32373 L
.94493 .32373 L
.94571 .32373 L
.94645 .32373 L
.94916 .32373 L
.95164 .32373 L
.95294 .32373 L
.95435 .32373 L
.95513 .32373 L
.95585 .32373 L
.95653 .32373 L
.95727 .32373 L
.95861 .32373 L
.95987 .32373 L
.96109 .32373 L
.96222 .32373 L
.96344 .32373 L
.96479 .32373 L
.9675 .32373 L
.96952 .32373 L
.97058 .32373 L
.97171 .32373 L
.9727 .32373 L
.97379 .32373 L
.97571 .32373 L
.97756 .32373 L
.97957 .32373 L
.98146 .32373 L
.98236 .32373 L
.98319 .32373 L
.98417 .32373 L
.98522 .32373 L
.98619 .32373 L
.9871 .32373 L
.98817 .32373 L
.98915 .32373 L
.99024 .32373 L
.99138 .32373 L
1 .32373 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{432, 266.938},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006`00012Q000`40O003h00Oogoo/Goo003oOona
Ool00?mook5oo`00ogoo/Goo003oOonaOol005Ioo`<000=oo`03001oo`00008003Eoo`<000=oo`03
001oogoo00<003Aoo`<000=oo`03001oo`00008003=oo`D0009oo`03001oogoo00<003=oo`D0009o
o`03001oo`00008003=oo`@000=oo`03001oogoo00<0011oo`00EGoo00D007ooOomoo`0000Moo`03
001oogoo03=oo`03001oogoo00Aoo`05001oogooOol0000dOol00`00Oomoo`07Ool00`00Oomoo`0a
Ool01000Oomoo`0017oo00D007ooOomoo`0003=oo`04001oogoo0007Ool00`00Oomoo`0dOol00`00
Oomoo`02Ool01@00Oomoogoo00003goo001EOol01@00Oomoogoo000027oo00<007ooOol0<Woo00<0
07ooOol017oo00D007ooOomoo`0003Aoo`03001oogoo00Qoo`03001oogoo035oo`03001oogoo00Ao
o`05001oogooOol0000dOol00`00Oomoo`08Ool00`00Oomoo`0cOol00`00Oomoo`02Ool01@00Oomo
ogoo00003goo001EOol01@00Oomoogoo000027oo00<007ooOol0<Woo00<007ooOol017oo00D007oo
Oomoo`0003Aoo`03001oogoo00Qoo`03001oogoo039oo`03001oogoo00=oo`05001oogooOol0000e
Ool00`00Oomoo`07Ool00`00Oomoo`0cOol00`00Oomoo`02Ool01@00Oomoogoo00003goo000MOol2
000fOol01@00Oomoogoo000027oo00<007ooOol0<Woo00<007ooOol017oo00D007ooOomoo`0003Ao
o`03001oogoo00Qoo`03001oogoo03=oo`03001oogoo009oo`05001oogooOol0000fOol00`00Oomo
o`06Ool00`00Oomoo`0aOol20005Ool01@00Oomoogoo00003goo000MOol00`00Oomoo`0eOol01@00
Oomoogoo00001goo00<007ooOol0<goo00<007ooOol017oo00D007ooOomoo`0003Aoo`03001oogoo
00Moo`03001oogoo03Aoo`03001oogoo009oo`05001oogooOol0000fOol00`00Oomoo`05Ool00`00
Oomoo`0cOol00`00Oomoo`03Ool01@00Oomoogoo00003goo000MOol00`00Oomoo`0eOol01@00Oomo
ogoo00001Goo0P00=Woo00<007ooOol017oo00D007ooOomoo`0003Aoo`03001oogoo00Eoo`8003Mo
o`03001oogoo009oo`05001oogooOol0000fOol00`00Oomoo`03Ool2000gOol00`00Oomoo`02Ool0
1@00Oomoogoo00003goo000MOol00`00Oomoo`0eOol01@00Oomoogoo00001Goo00<007ooOol0=7oo
0P001Woo00D007ooOomoo`0003=oo`8000Moo`03001oogoo039oo`05001oogooOol00004Ool01@00
Oomoogoo0000<Woo00D007ooOomoo`0000Eoo`03001oogoo039oo`05001oogooOol00004Ool01@00
Oomoogoo00003goo000MOol00`00Oomoo`0fOol30007Ool3000dOol00`00Oomoo`05Ool3000eOol0
0`00Oomoo`06Ool3000bOol30006Ool3000dOol30007Ool3000bOol30006Ool3000@Ool001eoo`03
001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03
001oogoo0?moohMoo`800003Ool0000000Eoo`007Goo00<007ooOol0ogooR7oo00<007oo00001Woo
000MOol00`00Oomoo`3oOon9Ool00`00Oomoo`05Ool001eoool0080000aoo`03001oogoo00Eoo`00
7Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol0
2Woo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol0
2Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol0
2Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol0
2Woo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol0
2Goo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol0
2Woo00<007ooOol02Goo00<007oo00001Woo000MOol00`00Oomoo`0mOol00`00Oomoo`0mOol00`00
Oomoo`0lOol00`00Oomoo`0mOol00`00Oomoo`0lOol00`00Oomoo`0mOol00`00Oomoo`08Ool20000
0goo00000005Ool001eoo`03001oogoo03eoo`03001oogoo03eoo`03001oogoo03aoo`03001oogoo
03eoo`03001oogoo03aoo`03001oogoo03eoo`03001oogoo019oo`007Goo00<007ooOol0ogooTGoo
000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo
000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo
000MOol2003oOonBOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol0
0`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol0
0`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol0
0`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol2
003oOonBOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomo
o`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomo
o`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomo
o`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo0P00ogooTWoo000MOol00`00Oomoo`3oOonA
Ool001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonA
Ool001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonA
Ool001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonA
Ool001eoo`800?mooi9oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eo
o`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eo
o`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo0003Ool30003Ool01000Ool0000017oo
0`002Goo00<007ooOol0ogooTGoo0002Ool01@00Oomoogoo00001Woo00<007ooOol017oo00<007oo
Ool01Woo00<007ooOol0ogooTGoo0002Ool01@00Oomoogoo00001goo00<007ooOol017oo00<007oo
Ool01Goo00<007ooOol0ogooTGoo0002Ool01@00Oomoogoo00001Goo10001Goo00<007ooOol01Goo
1000ogooT7oo0002Ool01@00Oomoogoo000017oo00D007ooOomoo`0000Eoo`03001oogoo00Eoo`03
001oogoo0?mooi5oo`000Woo00D007ooOomoo`0000Aoo`05001oogooOol00004Ool00`00Oomoo`06
Ool00`00Oomoo`3oOonAOol0009oo`05001oogooOol00004Ool01@00Oomoogoo00000Woo0P002Goo
00<007ooOol0ogooTGoo0002Ool01@00Oomoogoo000017oo00D007ooOomoo`00009oo`03001oogoo
00Qoo`03001oogoo0?mooi5oo`000goo0`001Woo0`0017oo0`001goo00<007ooOol0ogooTGoo000M
Ool00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000M
Ool00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000M
Ool2003oOonBOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00
Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00
Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00
Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo0P00ogooTWoo000MOol00`00Oomoo`3o
OonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3o
OonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3o
OonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3o
OonAOol001eoo`800?mooi9oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol0
01eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol0
01eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol0
01eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol2003oOonBOol001eoo`03
001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03
001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03
001oogoo0?mooi5oo`000goo0`000goo00<007ooOol00`000goo0`0027oo00<007ooOol0ogooTGoo
0004Ool00`00Oomoo`04Ool01`00Oomoogoo001oo`0000=oo`03001oogoo00Eoo`03001oogoo0?mo
oi5oo`0017oo00<007ooOol017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`05Ool00`00Oomo
o`3oOonAOol000Aoo`03001oogoo00Aoo`07001oogooOol007oo00000goo00<007ooOol01Goo00<0
07ooOol0ogooTGoo0004Ool00`00Oomoo`04Ool01`00Oomoogoo001oo`0000=oo`03001oogoo00Eo
ool0080001Aoo`0017oo00<007ooOol017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`05Ool0
0`00Oomoo`3oOonAOol000Aoo`03001oogoo00Aoo`07001oogooOol007oo00000goo00<007ooOol0
1Goo00<007ooOol0ogooTGoo0003Ool20006Ool01`00Oomoogoo001oo`0000=oo`03001oogoo00Eo
o`03001oogoo0?mooi5oo`0017oo00<007ooOol01Goo0`000goo0`0027oo00<007ooOol0ogooTGoo
000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo
000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo
000MOol2003oOonBOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol0
0`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol0
0`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol0
0`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo0P00ogooTWoo000MOol00`00Oomo
o`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomo
o`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomo
o`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomo
o`3oOonAOol001eoo`800?mooi9oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonA
Ool001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonA
Ool001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonA
Ool001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol2003oOonBOol001eo
o`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eo
o`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eo
o`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo0003Ool30003Ool00`00Oomoo`030002
Ool30009Ool00`00Oomoo`3oOonAOol000Aoo`03001oogoo00Aoo`05001oogooOol00004Ool00`00
Oomoo`06Ool00`00Oomoo`3oOonAOol000Aoo`03001oogoo00Aoo`05001oogooOol00005Ool00`00
Oomoo`05Ool00`00Oomoo`3oOonAOol000Aoo`03001oogoo00Aoo`05001oogooOol00005Ool00`00
Oomoo`05Ool4003oOon@Ool000Aoo`03001oogoo00Aoo`05001oogooOol00005Ool00`00Oomoo`05
Ool00`00Oomoo`3oOonAOol000Aoo`03001oogoo00Aoo`05001oogooOol00004Ool00`00Oomoo`06
Ool00`00Oomoo`3oOonAOol000Aoo`03001oogoo00Aoo`05001oogooOol00002Ool20009Ool00`00
Oomoo`3oOonAOol000=oo`8000Ioo`05001oogooOol00002Ool00`00Oomoo`08Ool00`00Oomoo`3o
OonAOol000Aoo`03001oogoo00Eoo`<000Aoo`<000Moo`03001oogoo0?mooi5oo`007Goo00<007oo
Ool0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007oo
Ool0ogooTGoo000MOol00`00Oomoo`3oOonAOol001eoo`800?mooi9oo`007Goo00<007ooOol0ogoo
TGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogoo
TGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogoo
TGoo000MOol00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogoo
TGoo000MOol2003oOonBOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000M
Ool00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000M
Ool00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000M
Ool00`00Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo0P00ogooTWoo000MOol00`00
Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00
Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00
Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00
Oomoo`3oOonAOol001eoo`03001oogoo0?mooi5oo`007Goo0P00ogooTWoo000MOol00`00Oomoo`3o
OonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3o
OonAOol001eoo`03001oogoo0?mooi5oo`007Goo00<007ooOol0ogooTGoo000MOol00`00Oomoo`3o
OonAOol000=oo`<000=oo`03001oogoo00<000=oo`<000Qoo`03001oogoo0?mooi5oo`0017oo00<0
07ooOol01Woo00D007ooOomoo`0000=oo`03001oogoo00Eoo`03001oogoo0?mooi5oo`0017oo00<0
07ooOol01Woo00D007ooOomoo`0000=oo`03001oogoo00Eoo`03001oogoo0?mooi5oo`0017oo00<0
07ooOol01Woo00D007ooOomoo`0000=oo`03001oogoo00Eoo`@00?mooi1oo`0017oo00<007ooOol0
1Woo00D007ooOomoo`0000=oo`03001oogoo0?mooiUoo`0017oo00<007ooOol01Woo00D007ooOomo
o`0000=oo`03001oogoo0?mooiUoo`0017oo00<007ooOol01Woo00D007ooOomoo`0000=oo`03001o
ogoo0?mooiUoo`000goo0P001goo0P000goo00D007ooOomoo`000?mooi]oo`0017oo00<007ooOol0
1Woo00<007ooOol00Woo0`00ogooW7oo003/Ool30031Ool00>eoo`03001oogoo0<1oo`00kGoo00<0
07ooOol0`7oo002]Ool30003Ool30003Ool400000goo00000005Ool60003Ool700000goo00000002
Ool30005Ool60002Ool200000goo001oo`02Ool400000goo00000002000017oo000007oo0`0000Ao
o`000000009oo`<00003Ool000000:=oo`00[Woo00<007ooOol00goo00D007ooOomoo`00009oo`03
001oo`00009oo`03001oogoo00=oo`03001oogoo009oo`03001oo`00009oo`06001oogoo001oo`00
0Woo00@007ooOol000Moo`03001oogoo009oo`80009oo`80009oo`06001oogoo001oo`000Woo00@0
07ooOol000=oo`03001oo`0000=oo`04001oogoo0002Ool00`00Oomoo`2ROol00:ioo`03001oogoo
00=oo`05001oogooOol00002Ool00`00Ool00008Ool00`00Oomoo`04Ool01000Oomoo`000Woo00<0
07oo00001Goo00<007ooOol01Goo00<007ooOol00goo00D007ooOomoo`00009oo`06001oogoo001o
o`000Woo00@007ooOol000=oo`03001oo`0000=oo`04001oogoo0002Ool00`00Oomoo`2ROol00:io
o`03001oogoo00=oo`05001oogooOol00002Ool00`00Ool000030005Ool01000Oomoo`000goo00@0
07ooOol0009oo`03001oo`0000<0009oo`03001oogoo00Eoo`04001oogoo0002Ool01@00Oomoogoo
00000Woo00@007ooOol0009oo`<0009oo`07001oogooOol007oo00000goo00@007ooOol0009oo`03
001oogoo0:9oo`00[Woo00<007ooOol00goo0P000Woo00H007ooOol007oo0002Ool00`00Oomoo`03
Ool40003Ool01000Oomoo`000Woo00<007oo00000Woo00<007ooOol00P001Woo10000Woo00<007oo
Ool00P000Woo00H007ooOol007oo0002Ool01000Oomoo`000goo00<007oo00000goo00<007ooOol0
0P0000=oo`00Ool0Xgoo002^Ool00`00Oomoo`02Ool200001Goo00000000Ool00P000Woo0P001Woo
00@007ooOol0009oo`800003Ool00000009oo`03001oogoo0080009oo`800003Ool007oo00Aoo`04
001oogoo0003Ool200000goo001oo`0200000goo00000002Ool20002Ool300000goo00000002Ool3
0002Ool200000goo001oo`2TOol00:ioo`03001oogoo01Eoo`03001oogoo00Yoo`03001oogoo00eo
o`03001oogoo01Eoo`03001oogoo0;9oo`00Zgoo00@007ooOol0009oo`03001oogoo019oo`05001o
ogooOol00008Ool00`00Oomoo`0=Ool01@00Oomoogoo00004goo00<007ooOol0/Woo002[Ool7000C
Ool60007Ool2000>Ool6000GOol00`00Oomoo`2^Ool00?mook5oo`00ogoo/Goo003oOonaOol00001
\
\>"],
  ImageRangeCache->{{{0, 431}, {265.938, 0}} -> {-0.234014, 0.881627, \
0.00785994, 0.000890234}}]
}, Open  ]],

Cell[BoxData[
    \("Solving r00"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9052306673682456`\),
      SequenceForm[ "Impatience condition:", .90523066736824565],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating r00"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving r00"\)], "Print"],

Cell[BoxData[
    \("Solving r04"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9414398940629756`\),
      SequenceForm[ "Impatience condition:", .94143989406297557],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating r04"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving r04"\)], "Print"],

Cell[BoxData[
    \("Solving del00"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9618075840787611`\),
      SequenceForm[ "Impatience condition:", .9618075840787611],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating del00"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving del00"\)], "Print"],

Cell[BoxData[
    \("Solving del08"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.8905625778507045`\),
      SequenceForm[ "Impatience condition:", .89056257785070447],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating del08"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving del08"\)], "Print"],

Cell[BoxData[
    \("Solving g02"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9787210586490909`\),
      SequenceForm[ "Impatience condition:", .97872105864909087],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating g02"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving g02"\)], "Print"],

Cell[BoxData[
    \("Solving g06"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.8720509356775096`\),
      SequenceForm[ "Impatience condition:", .87205093567750958],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating g06"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    \($Aborted\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Return[]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< RealEuler.m\)], "Input"],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0206243 0.318522 -29181.5 29182 [
[.17989 .44133 -9 -9 ]
[.17989 .44133 9 0 ]
[.33915 .44133 -3 -9 ]
[.33915 .44133 3 0 ]
[.49841 .44133 -9 -9 ]
[.49841 .44133 9 0 ]
[.65767 .44133 -3 -9 ]
[.65767 .44133 3 0 ]
[.81693 .44133 -9 -9 ]
[.81693 .44133 9 0 ]
[.97619 .44133 -3 -9 ]
[.97619 .44133 3 0 ]
[.00812 .0161 -48 -4.5 ]
[.00812 .0161 0 4.5 ]
[.00812 .16201 -42 -4.5 ]
[.00812 .16201 0 4.5 ]
[.00812 .30792 -48 -4.5 ]
[.00812 .30792 0 4.5 ]
[.00812 .59974 -42 -4.5 ]
[.00812 .59974 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17989 .45383 m
.17989 .46008 L
s
[(0.5)] .17989 .44133 0 1 Mshowa
.33915 .45383 m
.33915 .46008 L
s
[(1)] .33915 .44133 0 1 Mshowa
.49841 .45383 m
.49841 .46008 L
s
[(1.5)] .49841 .44133 0 1 Mshowa
.65767 .45383 m
.65767 .46008 L
s
[(2)] .65767 .44133 0 1 Mshowa
.81693 .45383 m
.81693 .46008 L
s
[(2.5)] .81693 .44133 0 1 Mshowa
.97619 .45383 m
.97619 .46008 L
s
[(3)] .97619 .44133 0 1 Mshowa
.125 Mabswid
.05248 .45383 m
.05248 .45758 L
s
.08433 .45383 m
.08433 .45758 L
s
.11618 .45383 m
.11618 .45758 L
s
.14803 .45383 m
.14803 .45758 L
s
.21174 .45383 m
.21174 .45758 L
s
.24359 .45383 m
.24359 .45758 L
s
.27544 .45383 m
.27544 .45758 L
s
.30729 .45383 m
.30729 .45758 L
s
.371 .45383 m
.371 .45758 L
s
.40285 .45383 m
.40285 .45758 L
s
.4347 .45383 m
.4347 .45758 L
s
.46656 .45383 m
.46656 .45758 L
s
.53026 .45383 m
.53026 .45758 L
s
.56211 .45383 m
.56211 .45758 L
s
.59396 .45383 m
.59396 .45758 L
s
.62582 .45383 m
.62582 .45758 L
s
.68952 .45383 m
.68952 .45758 L
s
.72137 .45383 m
.72137 .45758 L
s
.75323 .45383 m
.75323 .45758 L
s
.78508 .45383 m
.78508 .45758 L
s
.84878 .45383 m
.84878 .45758 L
s
.88063 .45383 m
.88063 .45758 L
s
.91249 .45383 m
.91249 .45758 L
s
.94434 .45383 m
.94434 .45758 L
s
.25 Mabswid
0 .45383 m
1 .45383 L
s
.02062 .0161 m
.02687 .0161 L
s
[(0.999985)] .00812 .0161 1 0 Mshowa
.02062 .16201 m
.02687 .16201 L
s
[(0.99999)] .00812 .16201 1 0 Mshowa
.02062 .30792 m
.02687 .30792 L
s
[(0.999995)] .00812 .30792 1 0 Mshowa
.02062 .59974 m
.02687 .59974 L
s
[(1.00001)] .00812 .59974 1 0 Mshowa
.125 Mabswid
.02062 .04528 m
.02437 .04528 L
s
.02062 .07447 m
.02437 .07447 L
s
.02062 .10365 m
.02437 .10365 L
s
.02062 .13283 m
.02437 .13283 L
s
.02062 .19119 m
.02437 .19119 L
s
.02062 .22038 m
.02437 .22038 L
s
.02062 .24956 m
.02437 .24956 L
s
.02062 .27874 m
.02437 .27874 L
s
.02062 .3371 m
.02437 .3371 L
s
.02062 .36629 m
.02437 .36629 L
s
.02062 .39547 m
.02437 .39547 L
s
.02062 .42465 m
.02437 .42465 L
s
.02062 .48301 m
.02437 .48301 L
s
.02062 .5122 m
.02437 .5122 L
s
.02062 .54138 m
.02437 .54138 L
s
.02062 .57056 m
.02437 .57056 L
s
.25 Mabswid
.02062 0 m
.02062 .61803 L
s
.5 Mabswid
.02381 .45383 m
.02499 .45383 L
.02605 .45383 L
.02729 .45383 L
.02846 .45383 L
.02954 .45383 L
.03053 .45383 L
.03163 .45383 L
.03279 .45382 L
.03395 .45381 L
.0352 .4538 L
.03638 .45384 L
.03746 .45385 L
.03873 .45386 L
.03944 .45386 L
.04011 .45387 L
.04132 .45389 L
.04262 .45391 L
.04396 .45395 L
.04519 .45399 L
.04654 .45405 L
.04797 .45413 L
.05038 .45432 L
.05174 .45446 L
.05302 .45463 L
.0554 .45504 L
.05757 .45555 L
.06007 .45634 L
.06244 .45734 L
.06486 .45869 L
.06753 .46063 L
.07031 .46329 L
.07293 .46651 L
.07759 .47445 L
.08022 .48044 L
.08263 .48711 L
.08773 .50576 L
.09063 .51959 L
.09332 .53498 L
.09876 .57491 L
.10033 .58893 L
.1011 .59627 L
.10181 .60332 L
.10246 .45383 L
.10314 .45383 L
.10458 .45382 L
.10711 .45382 L
.10951 .45382 L
.11167 .45381 L
.11402 .45381 L
Mistroke
.11656 .4538 L
.11928 .45378 L
.12184 .45377 L
.12415 .45375 L
.12869 .45371 L
.13124 .45367 L
.13359 .45363 L
.13791 .45354 L
.14247 .45339 L
.14502 .45329 L
.14744 .45317 L
.15197 .45288 L
.15685 .45246 L
.16214 .45184 L
.16677 .4511 L
.17168 .45009 L
.17587 .44898 L
.17702 .44864 L
.17826 .44824 L
.17942 .44785 L
.18049 .44515 L
.18177 .42955 L
.18298 .39826 L
.18525 .31738 L
.18789 .20148 L
.18905 .14942 L
.19032 .09575 L
.19142 .10177 L
.19245 .13289 L
.19471 .20287 L
.197 .26336 L
.19828 .28791 L
.19945 .30304 L
.20073 .31079 L
.20138 .31024 L
.2021 .30677 L
.20336 .29355 L
.20454 .27329 L
.20593 .24072 L
.20721 .2042 L
.2087 .15553 L
.21009 .10744 L
.21122 .07764 L
.21243 .09046 L
.21366 .10286 L
.21499 .11415 L
.21572 .11893 L
.21639 .12241 L
.2177 .12623 L
.2189 .12654 L
Mistroke
.22017 .12376 L
.22137 .11876 L
.22269 .15304 L
.22385 .18292 L
.22509 .20951 L
.22631 .2293 L
.22742 .24095 L
.22854 .24635 L
.22959 .24563 L
.23082 .2377 L
.23212 .22162 L
.23324 .2185 L
.23446 .20986 L
.23577 .19335 L
.23651 .1811 L
.23718 .16822 L
.23972 .10734 L
.24085 .07623 L
.24206 .04245 L
.24309 .01472 L
.24422 .04419 L
.24658 .10402 L
.24782 .13128 L
.24912 .15549 L
.25026 .17226 L
.25152 .18553 L
.25265 .19289 L
.25371 .19597 L
.2548 .20907 L
.2558 .22798 L
.25694 .24501 L
.25802 .25589 L
.25918 .26146 L
.26042 .26084 L
.26159 .25412 L
.26266 .24324 L
.26775 .20406 L
.26898 .20381 L
.27014 .19972 L
.27078 .19579 L
.27147 .19025 L
.27268 .17772 L
.27413 .15849 L
.27547 .13783 L
.27673 .11692 L
.27736 .11198 L
.27805 .12178 L
.28042 .15218 L
.28172 .16565 L
.28295 .17582 L
Mistroke
.2841 .18281 L
.28535 .18783 L
.28648 .19013 L
.28752 .19071 L
.28859 .18997 L
.2896 .19861 L
.2907 .21488 L
.29188 .23071 L
.29312 .24504 L
.2943 .25647 L
.29545 .2656 L
.29651 .27215 L
.29775 .2778 L
.2984 .27993 L
.2991 .28163 L
.30036 .28352 L
.30153 .28674 L
.30258 .2928 L
.3037 .29854 L
.30609 .3082 L
.30883 .31655 L
.31018 .32006 L
.31143 .32327 L
.31256 .32628 L
.31377 .32721 L
.31497 .3225 L
.31561 .3204 L
.3163 .31851 L
.31746 .31651 L
.31868 .31622 L
.31981 .31786 L
.32087 .32109 L
.32211 .32719 L
.32324 .33483 L
.32457 .34614 L
.32579 .35853 L
.32685 .35078 L
.32798 .33935 L
.32912 .33083 L
.33036 .32551 L
.33144 .3247 L
.3326 .32791 L
.33369 .33493 L
.33469 .34467 L
.33587 .36012 L
.33715 .38105 L
.33836 .40411 L
.33947 .40049 L
.34077 .37541 L
.34147 .36403 L
Mistroke
.34214 .35514 L
.34329 .34402 L
.34455 .33873 L
.34574 .34069 L
.34687 .34882 L
.34788 .36112 L
.34897 .37957 L
.35017 .40489 L
.35143 .4366 L
.35251 .43122 L
.3537 .39376 L
.35501 .35988 L
.35573 .34514 L
.35639 .33411 L
.35757 .32128 L
.35886 .31737 L
.35958 .3199 L
.36026 .32541 L
.36154 .34344 L
.36225 .35773 L
.36291 .37329 L
.36363 .39269 L
.3644 .41602 L
.3656 .43595 L
.36673 .39688 L
.36795 .36171 L
.36859 .34679 L
.36928 .33396 L
.37 .32404 L
.37066 .31815 L
.37198 .31619 L
.37315 .32523 L
.37444 .34666 L
.37565 .3769 L
.37678 .41291 L
.37747 .43809 L
.37812 .46385 L
.37934 .48663 L
.38054 .44745 L
.38184 .41331 L
.38251 .39965 L
.38323 .3884 L
.38451 .377 L
.3856 .37653 L
.38678 .38549 L
.38789 .40275 L
.38891 .42556 L
.39125 .50031 L
.39256 .55226 L
.39375 .53767 L
Mistroke
.39441 .51716 L
.39512 .49712 L
.3964 .46717 L
.39768 .44632 L
.39886 .43575 L
.40016 .43397 L
.40089 .43743 L
.40157 .44352 L
.4023 .45276 L
.40296 .46365 L
.40444 .49585 L
.40565 .52879 L
.40694 .56863 L
.40761 .55762 L
.40835 .53303 L
.40966 .49406 L
.41088 .46364 L
.4122 .43843 L
.41345 .42252 L
.4146 .41471 L
.41587 .41377 L
.41708 .42018 L
.41816 .43147 L
.41934 .44893 L
.42062 .47334 L
.42126 .48737 L
.42197 .48871 L
.42323 .46552 L
.4244 .44793 L
.42558 .4348 L
.4267 .42673 L
.42771 .42323 L
.4288 .42341 L
.42999 .42827 L
.43125 .43847 L
.43245 .45232 L
.43353 .46801 L
.43483 .49004 L
.43554 .50327 L
.4362 .51611 L
.43737 .51315 L
.43865 .50416 L
.43937 .50002 L
.44005 .49672 L
.44133 .49239 L
.44204 .49101 L
.4427 .49041 L
.44343 .49046 L
.44419 .49131 L
.44538 .49406 L
Mistroke
.44666 .49891 L
.44786 .50502 L
.44897 .51162 L
.45026 .52016 L
.45094 .52494 L
.45166 .52867 L
.45236 .52449 L
.45299 .52078 L
.45423 .51374 L
.45909 .48945 L
.46155 .48008 L
.46424 .47214 L
.46542 .46941 L
.46654 .46723 L
.46783 .47096 L
.46901 .4775 L
.47346 .50038 L
.47475 .50562 L
.47597 .50953 L
.47723 .5125 L
.47791 .51352 L
.47863 .51422 L
.47985 .51447 L
.48113 .51346 L
.48222 .51156 L
.48342 .51398 L
.48409 .517 L
.48482 .51985 L
.48614 .52362 L
.48693 .525 L
.48766 .52564 L
.48833 .52566 L
.48904 .52512 L
.49033 .52262 L
.49153 .51839 L
.49285 .51188 L
.49427 .50294 L
.49681 .48255 L
.49754 .47589 L
.49823 .46942 L
.49952 .47092 L
.50074 .48184 L
.50186 .491 L
.50308 .49965 L
.50439 .50731 L
.50508 .51056 L
.50571 .51301 L
.50695 .51635 L
.50764 .51737 L
.50839 .51774 L
Mistroke
.5091 .51741 L
.50976 .51654 L
.51106 .51325 L
.51181 .51043 L
.51251 .50724 L
.5139 .49923 L
.51464 .49426 L
.51543 .49235 L
.5167 .5026 L
.51789 .51072 L
.51924 .51802 L
.52047 .5227 L
.52162 .52522 L
.52285 .52588 L
.52402 .52453 L
.5251 .52156 L
.52633 .51634 L
.52768 .50854 L
.53013 .48936 L
.53084 .48278 L
.53159 .47544 L
.5323 .47542 L
.53295 .48074 L
.53429 .49085 L
.53552 .49872 L
.53669 .5048 L
.53793 .50947 L
.53917 .51243 L
.53987 .51328 L
.54053 .51352 L
.54172 .51265 L
.5428 .51039 L
.54405 .50608 L
.54523 .50035 L
.54734 .48696 L
.54841 .47892 L
.54958 .47894 L
.55085 .48854 L
.55204 .49639 L
.55321 .50285 L
.55431 .50769 L
.55558 .51166 L
.55625 .51302 L
.55697 .51392 L
.55765 .51421 L
.5583 .51399 L
.5595 .51231 L
.56069 .50907 L
.56178 .50478 L
.56298 .4987 L
Mistroke
.56425 .49088 L
.56552 .48189 L
.56624 .47641 L
.56689 .47772 L
.56815 .48487 L
.56935 .49059 L
.57003 .49337 L
.57075 .4959 L
.57203 .49928 L
.57275 .5005 L
.57342 .50121 L
.57416 .50143 L
.57495 .5011 L
.57609 .49962 L
.5773 .49678 L
.57862 .49216 L
.57984 .48663 L
.58222 .47278 L
.58339 .46478 L
.58445 .46032 L
.58567 .46803 L
.58698 .47566 L
.58831 .4823 L
.58977 .48822 L
.59105 .49217 L
.59224 .49461 L
.59338 .49586 L
.5946 .49611 L
.59535 .49563 L
.59604 .49471 L
.5968 .49332 L
.59761 .49138 L
.59896 .48718 L
.60044 .48116 L
.60176 .47481 L
.6025 .47228 L
.60318 .47573 L
.6045 .48191 L
.60573 .4868 L
.60694 .49084 L
.60759 .49255 L
.60828 .49408 L
.60897 .49524 L
.60962 .49606 L
.61037 .49655 L
.61105 .49661 L
.61222 .49588 L
.61351 .494 L
.61415 .49262 L
.61484 .49087 L
Mistroke
.61609 .48687 L
.61858 .47629 L
.61924 .47301 L
.61995 .46932 L
.62122 .46541 L
.62194 .46833 L
.6226 .47082 L
.62411 .4759 L
.6255 .47977 L
.62678 .48249 L
.62798 .48423 L
.62925 .48522 L
.63054 .48512 L
.63127 .48456 L
.63195 .48379 L
.63318 .48186 L
.63431 .47943 L
.63555 .47591 L
.63686 .47154 L
.63802 .4672 L
.63911 .46266 L
.64037 .4619 L
.64152 .46648 L
.64362 .47393 L
.64586 .47991 L
.64702 .48215 L
.64831 .48389 L
.64948 .48472 L
.65058 .48486 L
.65187 .48413 L
.65305 .4827 L
.6537 .48163 L
.65441 .48028 L
.65571 .47734 L
.65695 .47388 L
.65826 .46956 L
.65895 .46709 L
.6597 .46822 L
.66039 .47015 L
.66103 .47186 L
.66227 .4747 L
.66344 .47685 L
.66409 .47783 L
.6648 .47874 L
.66603 .47982 L
.66715 .48021 L
.66839 .48 L
.66968 .4791 L
.67089 .47754 L
.67202 .47559 L
Mistroke
.67306 .47337 L
.67539 .46676 L
.67661 .46264 L
.67792 .45795 L
.67915 .45541 L
.68027 .45794 L
.68159 .46057 L
.68302 .46303 L
.68368 .46396 L
.68437 .4648 L
.68561 .46592 L
.68689 .46663 L
.6876 .4668 L
.68826 .46678 L
.68953 .46637 L
.69073 .46544 L
.69141 .46471 L
.69213 .46378 L
.69343 .46179 L
.69637 .45565 L
.69772 .45217 L
.69899 .44906 L
.7003 .4522 L
.70175 .45544 L
.70413 .45986 L
.70547 .46168 L
.70669 .46299 L
.70738 .46361 L
.70811 .46414 L
.70943 .46463 L
.71017 .4646 L
.71085 .46445 L
.7116 .46419 L
.71242 .46378 L
.71311 .46329 L
.71386 .4626 L
.71524 .46092 L
.71783 .45676 L
.71849 .45555 L
.7192 .45416 L
.72049 .45608 L
.7229 .46094 L
.72426 .46325 L
.72571 .46513 L
.72696 .46644 L
.72765 .46705 L
.7283 .46754 L
.72955 .46814 L
.73069 .46827 L
.73176 .46813 L
Mistroke
.73293 .46773 L
.73421 .46688 L
.73486 .46625 L
.73557 .46546 L
.73802 .46219 L
.73915 .4604 L
.74036 .45822 L
.74106 .45949 L
.74169 .46062 L
.74293 .46269 L
.74421 .46462 L
.74559 .46636 L
.74679 .46763 L
.7481 .46876 L
.74931 .46942 L
.75044 .46969 L
.75163 .46972 L
.75291 .46953 L
.7541 .46906 L
.75523 .46824 L
.75735 .46613 L
.75986 .46283 L
.76058 .46169 L
.76126 .46058 L
.76253 .46095 L
.76373 .46268 L
.76483 .4641 L
.76733 .4667 L
.76863 .46768 L
.76985 .46836 L
.77055 .4686 L
.77119 .46876 L
.77192 .46886 L
.77262 .46886 L
.77329 .46878 L
.77401 .46861 L
.77529 .46814 L
.77601 .46773 L
.77668 .46728 L
.7782 .46605 L
.78064 .46326 L
.78181 .46167 L
.78291 .4601 L
.78421 .46007 L
.7854 .46152 L
.78805 .46423 L
.78931 .4653 L
.79 .46577 L
.79064 .46612 L
.79178 .46658 L
Mistroke
.79303 .46689 L
.79372 .46698 L
.79438 .46703 L
.79562 .46688 L
.79632 .46669 L
.79696 .46644 L
.79766 .46608 L
.79841 .46562 L
.80047 .46411 L
.80264 .46193 L
.80378 .46057 L
.80502 .45896 L
.80615 .45833 L
.80721 .45948 L
.80963 .46179 L
.81096 .46282 L
.81222 .46365 L
.8134 .46427 L
.81468 .46472 L
.81585 .46491 L
.81693 .46495 L
.81817 .46483 L
.81936 .4645 L
.82042 .46402 L
.82158 .46329 L
.82401 .46141 L
.8266 .45885 L
.82786 .45732 L
.82906 .45706 L
.83013 .45812 L
.83129 .4592 L
.83355 .46094 L
.83565 .46209 L
.83686 .46258 L
.83814 .46294 L
.83888 .46303 L
.83957 .46305 L
.84088 .46294 L
.84154 .46282 L
.84225 .46265 L
.84352 .46221 L
.84423 .46189 L
.84489 .46152 L
.8464 .46047 L
.84871 .45849 L
.84998 .45729 L
.85115 .45608 L
.85243 .45615 L
.85311 .45675 L
.85383 .45737 L
Mistroke
.85628 .45923 L
.85762 .46007 L
.85887 .46066 L
.86017 .46113 L
.86087 .46132 L
.86161 .46149 L
.86293 .46165 L
.86418 .46162 L
.8653 .46143 L
.86652 .46108 L
.86786 .46054 L
.8693 .45978 L
.8719 .45798 L
.87347 .45665 L
.87415 .45602 L
.87491 .4553 L
.87559 .45506 L
.87623 .4556 L
.87763 .45674 L
.88022 .45859 L
.8815 .45931 L
.88268 .45984 L
.88404 .4603 L
.88475 .46049 L
.88551 .46064 L
.88673 .46078 L
.88743 .46079 L
.88809 .46076 L
.88927 .46061 L
.89052 .46032 L
.89159 .45997 L
.89275 .45948 L
.89536 .45803 L
.89778 .45623 L
.89906 .45517 L
.89971 .45496 L
.90042 .45555 L
.90285 .45734 L
.90422 .45818 L
.90568 .45899 L
.90706 .45961 L
.90833 .46006 L
.90961 .46039 L
.91029 .46051 L
.911 .46059 L
.91221 .46065 L
.91289 .46063 L
.91353 .46059 L
.91472 .4604 L
.91582 .46011 L
Mistroke
.91702 .45969 L
.91828 .45912 L
.9205 .4579 L
.92172 .45716 L
.92288 .45638 L
.92395 .45557 L
.92512 .45613 L
.92618 .45689 L
.92716 .45756 L
.9296 .45902 L
.93188 .46006 L
.93303 .46044 L
.93426 .46076 L
.93496 .4609 L
.93563 .461 L
.93688 .46107 L
.93813 .46102 L
.93883 .46094 L
.93947 .46085 L
.94066 .46061 L
.94192 .46027 L
.94409 .45946 L
.94648 .45821 L
.94779 .45744 L
.94903 .45668 L
.94972 .45681 L
.95046 .45733 L
.95177 .4582 L
.95411 .45954 L
.9567 .46072 L
.95785 .46114 L
.9591 .46151 L
.96027 .46174 L
.96134 .46189 L
.96248 .46196 L
.96374 .46195 L
.96504 .46183 L
.96626 .46165 L
.96741 .46137 L
.9685 .46104 L
.97053 .46028 L
.97291 .45914 L
.97397 .45857 L
.9751 .45808 L
.97619 .45877 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo003oOolQ
Ool00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00
ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol003=oo`03001oogoo0>Yoo`00<goo
00<007ooOol0jWoo0002Ool20004Ool20003Ool30003Ool30003Ool30003Ool30004Ool20004Ool2
0005Ool00`00Oomoo`3ZOol00005Ool007ooOol0000:Ool00`00Oomoo`03Ool00`00Oomoo`03Ool0
0`00Oomoo`03Ool01@00Oomoogoo00000Woo00@007ooOol0009oo`03001oogoo009oo`03001oogoo
039oo`03001oogoo0;Eoo`0000Eoo`00Oomoo`0000Uoo`<000=oo`<000=oo`<000=oo`<0009oo`04
001oogoo0005Ool00`00Oomoo`02Ool2000cOol00`00Oomoo`2eOol00005Ool007ooOol00008Ool0
1000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000goo0P0017oo0P00
1Goo00<007ooOol0<Woo00<007ooOol0]Goo00001Goo001oogoo000027oo00@007ooOol0009oo`04
001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0003Ool00`00Oomoo`04
Ool00`00Oomoo`0bOol00`00Oomoo`2eOol0009oo`8000Yoo`<000=oo`<000=oo`<000=oo`<000=o
o`8000Aoo`<000Aoo`03001oogoo039oo`03001oogoo0;Eoo`00<goo00<007ooOol0<Woo00<007oo
Ool0]Goo000cOol00`00Oomoo`0bOol00`00Oomoo`2eOol003=oo`03001oogoo039oo`03001oogoo
0;Eoo`00<goo00<007ooOol0<Woo00<007ooOol0]Goo000cOol00`00Oomoo`0bOol00`00Oomoo`2e
Ool003=oo`03001oogoo039oo`03001oogoo0;Eoo`00<goo00<007ooOol0<Woo00<007ooOol0]Goo
000cOol00`00Oomoo`0bOol00`00Oomoo`2eOol003=oo`03001oogoo039oo`03001oogoo0;Eoo`00
<goo00<007ooOol0<Woo00<007ooOol0]Goo000cOol00`00Oomoo`0bOol2002fOol003=oo`03001o
ogoo02Yoo`03001oogoo00Eoo`800;Ioo`00<goo00<007ooOol0:Woo00<007ooOol01Goo0P00]Woo
000cOol00`00Oomoo`0ZOol20006Ool2002fOol003=oo`03001oogoo02Yoo`8000Ioo`800;Ioo`00
<goo00<007ooOol09Goo00<007ooOol00Woo0P001Goo00<007oo0000]Woo000cOol00`00Oomoo`0U
Ool20003Ool20005Ool00`00Ool0002fOol003=oo`03001oogoo02Eoo`8000=oo`8000Eoo`03001o
o`000;Ioo`00<goo00<007ooOol09Goo0P000goo0P001Goo00<007oo0000]Woo000cOol00`00Oomo
o`0UOol20003Ool20005Ool00`00Ool00006Ool00`00Oomoo`2]Ool003=oo`03001oogoo02Eoo`80
00=oo`04001oo`000003Ool00`00Ool00006Ool2002^Ool003=oo`03001oogoo02Eoo`8000=oo`04
001oo`000003Ool00`00Ool00006Ool2002^Ool003=oo`03001oogoo02Eoo`8000=oo`04001oo`00
0003Ool00`00Ool00006Ool2002^Ool003=oo`03001oogoo02Eoo`8000=oo`04001oogoo0003Ool0
0`00Ool00006Ool2002^Ool003=oo`03001oogoo02Eoo`8000=oo`04001oogoo0003Ool00`00Ool0
0006Ool2002^Ool003=oo`03001oogoo02Eoo`8000=oo`04001oogoo0003Ool00`00Ool00006Ool2
002^Ool003=oo`03001oogoo02Eoo`8000=oo`04001oogoo0003Ool01000Oomoo`001Goo0P00[Woo
000cOol00`00Oomoo`0UOol20003Ool01000Oomoo`000goo00@007ooOol000Eoo`800:ioo`00<goo
00<007ooOol09Goo0P000goo00@007ooOol000=oo`04001oogoo0005Ool2002^Ool000Qoo`8000Ao
o`8000=oo`<000=oo`<000=oo`<000=oo`<000=oo`<000Eoo`03001oogoo02Eoo`8000=oo`04001o
ogoo0003Ool01000Oomoo`001Goo0P00[Woo0007Ool01000Oomoo`002Woo00<007ooOol00goo00<0
07ooOol00goo00<007ooOol00goo00<007ooOol00goo00<007ooOol00goo00<007ooOol09Goo0P00
0goo00@007ooOol000=oo`04001oogoo0005Ool2002^Ool000Moo`04001oogoo0009Ool30003Ool3
0003Ool30003Ool30003Ool30004Ool2000VOol20003Ool01000Oomoo`000goo00@007ooOol000Eo
o`800:ioo`001goo00@007ooOol000Qoo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0
009oo`04001oogoo0002Ool01000Oomoo`0017oo00<007ooOol09Goo0P000goo00@007ooOol000=o
o`04001oogoo0005Ool2002^Ool000Moo`04001oogoo0008Ool01000Oomoo`000Woo00@007ooOol0
009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000Aoo`03001oogoo02Eoo`8000=o
o`04001oogoo0003Ool01000Oomoo`0017oo00@007ooOol00:eoo`0027oo0P002Woo0`000goo0`00
0goo0`000goo0`000goo0`0017oo00<007ooOol09Goo0P000goo00@007ooOol000=oo`04001oogoo
0004Ool01000Oomoo`00[Goo000cOol00`00Oomoo`0UOol20003Ool01000Oomoo`000goo00@007oo
Ool000Aoo`04001oogoo002]Ool003=oo`03001oogoo02Eoo`80009oo`05001oogooOol00003Ool0
1000Oomoo`0017oo00@007ooOol00:eoo`00<goo00<007ooOol09Goo0P000Woo00D007ooOomoo`00
009oo`05001oogooOol00004Ool01000Oomoo`00[Goo000cOol00`00Oomoo`0UOol20002Ool01@00
Oomoogoo00000Woo00D007ooOomoo`0000Aoo`05001oogooOol0002/Ool003=oo`03001oogoo02Eo
o`80009oo`03001oogoo009oo`03001oo`0000Aoo`05001oogooOol00003Ool00`00Oomoo`2ZOol0
03=oo`03001oogoo02Eoo`80009oo`03001oogoo009oo`03001oo`0000Aoo`05001oogooOol00003
Ool00`00Oomoo`2ZOol003=oo`03001oogoo02Eoo`80009oo`03001oogoo009oo`03001oo`0000Ao
o`04001oogoo0004Ool00`00Oomoo`2ZOol003=oo`03001oogoo02Eoo`80009oo`03001oogoo009o
o`03001oo`0000Aoo`04001oogoo0005Ool00`00Oomoo`2YOol003=oo`03001oogoo02Eoo`80009o
o`03001oogoo009oo`03001oo`0000Aoo`04001oogoo0005Ool00`00Oomoo`2YOol003=oo`03001o
ogoo02Eoo`80009oo`03001oogoo009oo`03001oo`0000Aoo`04001oogoo0005Ool00`00Oomoo`2Y
Ool003=oo`03001oogoo02Eoo`80009oo`03001oogoo009oo`8000Eoo`04001oogoo0005Ool00`00
Oomoo`2YOol003=oo`03001oogoo02Eoo`80009oo`03001oogoo009oo`8000Eoo`03001oo`0000Io
o`03001oogoo0:Uoo`00<goo00<007ooOol09Goo0P000Woo00<007ooOol00Woo0P001Goo00<007oo
00001Woo00<007ooOol0ZGoo000cOol00`00Oomoo`0UOol01@00Ool007oo000017oo0P001Goo00<0
07oo00001Woo00<007ooOol0ZGoo000cOol00`00Oomoo`0UOol01@00Ool007oo000017oo0P001Goo
00<007oo00001Woo00<007ooOol0ZGoo000cOol00`00Oomoo`0UOol01@00Ool007oo000017oo0P00
1Goo00<007oo00001Woo00<007ooOol0ZGoo000cOol00`00Oomoo`0UOol01@00Ool007oo00001Goo
00<007ooOol00goo00<007oo00001Woo00<007ooOol0ZGoo000cOol00`00Oomoo`0UOol01@00Ool0
07oo000037oo0P001Woo00<007ooOol0ZGoo000cOol00`00Oomoo`0UOol01@00Ool007oo000037oo
0P001Woo00<007ooOol0ZGoo000cOol00`00Oomoo`0UOol01@00Ool007oo000037oo0P001Woo00<0
07ooOol0ZGoo000cOol00`00Oomoo`0TOol01P00Oomoo`00Ool000aoo`03001oogoo00Ioo`03001o
ogoo0:Qoo`00<goo00<007ooOol097oo00H007ooOol007oo000EOol00`00Oomoo`2XOol003=oo`03
001oogoo02Aoo`06001oogoo001oo`005Goo00<007ooOol0Z7oo000cOol00`00Oomoo`0TOol01P00
Oomoo`00Ool001Eoo`03001oogoo0:Qoo`00<goo00<007ooOol097oo00H007ooOol007oo000EOol0
0`00Oomoo`2XOol003=oo`03001oogoo02Aoo`06001oogoo001oo`005Woo00<007ooOol0Ygoo000c
Ool00`00Oomoo`0TOol01P00Oomoo`00Ool001Ioo`03001oogoo0:Moo`00<goo00<007ooOol097oo
00H007ooOol007oo000FOol00`00Oomoo`2WOol003=oo`03001oogoo02Aoo`04001oogooOol2000G
Ool00`00Oomoo`2VOol0009oo`8000Aoo`8000=oo`<000=oo`<000=oo`<000=oo`<000=oo`<000Ao
o`8000Eoo`03001oogoo02Aoo`04001oogooOol2000GOol00`00Oomoo`2VOol00005Ool007ooOol0
000:Ool00`00Oomoo`03Ool00`00Oomoo`03Ool00`00Oomoo`03Ool00`00Oomoo`03Ool01@00Oomo
ogoo00000Woo00<007ooOol00Woo00<007ooOol097oo00D007ooOomoo`0001Qoo`03001oogoo0:Io
o`0000Eoo`00Oomoo`0000Uoo`<000=oo`<000=oo`<000=oo`<000=oo`<000Eoo`03001oogoo009o
o`8002Eoo`05001oogooOol0000HOol00`00Oomoo`2VOol00005Ool007ooOol00008Ool01000Oomo
o`000Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000=oo`80
00Eoo`03001oogoo02Aoo`05001oogooOol0000IOol00`00Oomoo`2UOol00005Ool007ooOol00008
Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007oo
Ool000=oo`03001oogoo00Aoo`03001oogoo02Aoo`03001oogoo01]oo`04001oo`000008Ool01000
Oomoo`00V7oo0002Ool2000:Ool30003Ool30003Ool30003Ool30003Ool30003Ool30004Ool00`00
Oomoo`0TOol00`00Oomoo`0KOol01000Ool0000027oo00@007ooOol009Qoo`00<goo00<007ooOol0
97oo00<007ooOol077oo00D007oo001oo`0000Ioo`04001oogoo002HOol003=oo`03001oogoo02Ao
o`03001oogoo01aoo`04001oo`00Ool20004Ool20002Ool00`00Oomoo`2FOol003=oo`03001oogoo
02Aoo`03001oogoo01ioo`04001oo`000004Ool20002Ool00`00Oomoo`2FOol003=oo`03001oogoo
02Aoo`03001oogoo01ioo`04001oo`000002Ool01P00Ool007oo001oo`8009Moo`00<goo00<007oo
Ool097oo00<007ooOol07goo0`000Woo00@007oo001oo`800003Ool007oo09Ioo`00<goo00<007oo
Ool097oo00<007ooOol07goo0`0000Ioo`00001oo`00Ool200000goo001oo`2FOol003=oo`03001o
ogoo02Aoo`03001oogoo01moo`04001oo`00Ool200000goo001oo`0200000goo001oo`2FOol003=o
o`03001oogoo02Aoo`03001oogoo01moo`04001oo`00Ool200000goo001oo`0200000goo001oo`2F
Ool003=oo`03001oogoo02Aoo`03001oogoo01moo`04001oo`00Ool200000goo001oo`0200000goo
001oo`2FOol003=oo`03001oogoo02Aoo`03001oogoo025oo`07001oo`00001oo`00Ool00P0000=o
o`00Ool0UWoo000cOol00`00Oomoo`0TOol00`00Oomoo`0QOol01`00Ool00000Ool007oo00800003
Ool007oo09Ioo`00<goo00<007ooOol097oo00<007ooOol08Goo00@007oo001oo`800005Ool00000
Ool0002GOol003=oo`03001oogoo02Aoo`03001oogoo029oo`800004Ool00000Ool200000goo001o
o`2FOol003=oo`03001oogoo02Aoo`03001oogoo029oo`800004Ool00000Ool2000017oo001oo`00
UGoo000cOol00`00Oomoo`0TOol00`00Oomoo`0ROol2000017oo000007oo0P0000=oo`00Ool00P00
U7oo000cOol00`00Oomoo`0TOol00`00Oomoo`0ROol2000017oo000007oo0P0000=oo`00Ool00P00
U7oo000cOol00`00Oomoo`0TOol00`00Oomoo`0ROol00`00Oomoo`0200001Woo000007oo001oo`80
09Aoo`00<goo00<007ooOol097oo00<007ooOol08Woo00<007ooOol00P0000Ioo`00001oo`00Ool2
002DOol003=oo`03001oogoo02Aoo`03001oogoo029oo`03001oogoo00800006Ool00000Ool007oo
0P00U7oo000cOol00`00Oomoo`0TOol00`00Oomoo`0ROol00`00Oomoo`0200001Woo000007oo001o
o`8009Aoo`00<goo00<007ooOol077oo0P0017oo0`000goo0P007Goo1`0000Ioo`00001oo`00Ool2
000BOol50002Ool20004Ool2000MOol4000LOol40003Ool20004Ool2000OOol20006Ool003=oo`03
001oogoo01]oo`04001oogoo0005Ool01000Oomoo`000Woo00<007ooOol077oo00<007ooOol00P00
00Ioo`00001oo`00Ool2000DOol00`00Oomoo`07Ool01000Oomoo`0077oo00<007ooOol07Goo00<0
07ooOol02Goo00@007ooOol001eoo`04001oogoo0005Ool003=oo`03001oogoo01]oo`04001oogoo
0004Ool00`00Oomoo`04Ool00`00Oomoo`0LOol01000Oomoo`000Woo0P0000=oo`00Ool00P001Goo
0P003Goo00<007ooOol02Woo00<007ooOol06goo00<007ooOol07Goo00<007ooOol02goo00<007oo
Ool07Goo00<007ooOol017oo000cOol00`00Oomoo`0KOol01000Oomoo`0017oo00<007ooOol00Woo
0P007goo00@007ooOol0009oo`800003Ool007oo008000Eoo`8000eoo`03001oogoo00Qoo`8001mo
o`03001oogoo01eoo`03001oogoo00Qoo`80025oo`03001oogoo00=oo`00<goo00<007ooOol06goo
00@007ooOol000Aoo`03001oogoo009oo`03001oogoo01ioo`04001oogoo0002Ool200000goo001o
o`020005Ool20002Ool00`00Oomoo`08Ool00`00Oomoo`08Ool00`00Oomoo`0LOol01000Oomoo`00
77oo00@007ooOol000Uoo`03001oogoo01eoo`04001oogoo0005Ool003=oo`03001oogoo01aoo`80
00Eoo`03001oogoo009oo`<001eoo`80009oo`08001oogooOol007oo001oo`8000Eoo`800003Ool0
000000Uoo`8000Yoo`<001eoo`8001ioo`8000Yoo`<001ioo`8000Ioo`00<goo00<007ooOol08goo
00<007ooOol09Woo00H007ooOomoo`00Ool200001Goo001oogoo00000Woo0P0000=oo`000000RWoo
000cOol00`00Oomoo`0SOol00`00Oomoo`0VOol01P00Oomoogoo001oo`800005Ool007ooOol00002
Ool200000goo0000002:Ool003=oo`03001oogoo02=oo`03001oogoo02aoo`800005Ool007ooOol0
0002Ool00`00Ool00002002:Ool003=oo`03001oogoo02=oo`03001oogoo02aoo`800003Ool007oo
0080009oo`06001oo`00001oo`00RGoo000cOol00`00Oomoo`0QOol3000^Ool200000goo001oo`02
0002Ool01P00Ool00000Ool003moo`03001oogoo04Moo`00;WoolP00000cOol00`00Oomoo`04Ool4
0004Ool01@00Oomoogoo00000goo00<007ooOol017oo00<007ooOol01Goo00<007ooOol01Goo00<0
07ooOol017oo00<007ooOol01Goo00<007ooOol01Goo00<007ooOol017oo00<007ooOol01Goo00H0
07oo001oo`00Ool300000goo001oo`0200000goo001oo`06Ool00`00Oomoo`05Ool00`00Oomoo`04
Ool00`00Oomoo`05Ool00`00Oomoo`05Ool00`00Oomoo`04Ool00`00Oomoo`05Ool00`00Oomoo`02
Ool00`00Oomoo`0200000goo001oo`02Ool00`00Oomoo`02Ool01000Oomoo`001goo00<007ooOol0
0Woo00<007oo00000Woo0P000goo0`000goo0`000Woo1@0000=oo`0000000P000Woo0`0017oo0P00
1Woo000cOol00`00Oomoo`08Ool00`00Oomoo`05Ool00`00Oomoo`0@Ool00`00Oomoo`0SOol00`00
Oomoo`07Ool00`00Oomoo`0200001Goo001oo`00Ool00P0000=oo`00Ool03Woo00<007ooOol04Goo
00<007ooOol02goo00D007ooOomoo`0000Aoo`80009oo`03001oo`0000<00004Ool007ooOol30003
Ool20003Ool20003Ool400000goo001oo`040002Ool40002Ool40002Ool40002Ool400000goo0000
000300000goo001oo`05Ool003=oo`03001oogoo00Uoo`03001oogoo00Aoo`03001oogoo041oo`03
001oogoo00800005Ool007oo001oo`0200000goo001oo`06Ool00`00Oomoo`0IOol20007Ool01000
Oomoogoo0P000goo00H007ooOomoo`00Ool30003Ool20002Ool400001goo001oogoo001oo`00009o
o`03001oo`0000<0009oo`<002aoo`00<goo00<007ooOol02Woo00<007ooOol00goo00<007ooOol0
@7oo00<007ooOol00P0000Eoo`00Ool007oo00800003Ool007oo00Ioo`03001oogoo00Eoo`03001o
ogoo015oo`8000Moo`80009oo`03001oo`00009oo`80009oo`03001oogoo00Yoo`80009oo`@0009o
o`<003Ioo`00<goo00<007ooOol02Woo00<007ooOol00goo00<007ooOol0@7oo00<007ooOol00P00
00Eoo`00Ool007oo00800003Ool007oo00Eoo`03001oo`0000Ioo`03001oogoo00Eoo`03001oogoo
00Uoo`8000=oo`04001oogooOol20002Ool00`00Ool00002Ool200000goo0000001?Ool003=oo`03
001oogoo00]oo`03001oogoo009oo`03001oogoo041oo`03001oogoo00800005Ool007oo001oo`02
00000goo001oo`05Ool00`00Ool00005Ool20007Ool01@00Oomoogoo00000goo00@007ooOomoo`80
00=oo`04001oogooOol200001Goo000007oo00000Woo1000D7oo000cOol00`00Oomoo`0;Ool00`00
Oomoo`02Ool00`00Oomoo`10Ool00`00Oomoo`0200000goo00000002Ool01000Oomoo`001Woo00<0
07oo00001Goo0P001Woo0P000goo00D007ooOomoo`00009oo`03001oo`00009oo`8000=oo`04001o
o`000002Ool30002Ool00`00Oomoo`1?Ool003=oo`03001oogoo00]oo`03001oogoo009oo`03001o
ogoo041oo`03001oogoo00800003Ool00000009oo`04001oogoo0006Ool00`00Ool00005Ool20006
Ool20002Ool20003Ool01000Oomoo`000Woo00@007oo0000009oo`03001oogoo008000=oo`03001o
ogoo05=oo`00<goo00<007ooOol02goo00<007ooOol00Woo00<007ooOol0@goo0P0000=oo`000000
0Woo00D007ooOol007oo0080009oo`05001oogooOol00004Ool20003Ool00`00Oomoo`020002Ool2
0003Ool200002goo001oogoo001oo`00Ool007oo0000GGoo000cOol00`00Oomoo`0<Ool01@00Oomo
ogoo0000AGoo0P0000=oo`0000001Goo00@007oo0000009oo`05001oogooOol00004Ool00`00Ool0
0002Ool02P00Oomoo`00Ool007oo001oo`000Woo0P0000Aoo`00Oomoo`80009oo`<005eoo`00<goo
00<007ooOol037oo00D007ooOomoo`0004Eoo`800003Ool0000000Eoo`@0009oo`05001oogooOol0
0004Ool01000Ool007oo0P000Woo00X007oo001oo`00Ool007oo001oo`<006Ioo`00<goo00<007oo
Ool03Goo00@007ooOol004Eoo`800003Ool0000000Eoo`800005Ool007ooOol00003Ool00`00Oomo
o`02Ool01000Ool007oo0P000Woo00T007oo001oo`00Ool007oo00000Woo00<007ooOol0IGoo000c
Ool00`00Oomoo`0=Ool01000Oomoo`00AGoo0P0000=oo`0000001Goo0P0000Aoo`00Ool000Aoo`03
001oogoo009oo`04001oo`00Ool20002Ool02@00Ool007oo001oo`00Ool0001ZOol003=oo`03001o
ogoo00eoo`04001oogoo0015Ool200000goo00000006Ool00`00Oomoo`020004Ool300001Woo001o
ogoo001oo`80009oo`04001oo`000002Ool2001[Ool003=oo`03001oogoo00eoo`04001oogoo0015
Ool200000goo00000006Ool00`00Oomoo`020005Ool200000goo001oo`02Ool200000goo00000003
Ool01@00Oomoogoo0000Jgoo000cOol00`00Oomoo`0=Ool01000Oomoo`00AGoo0P0000=oo`000000
2Goo0P001Woo00<007oo00000goo00<007ooOol00P00Lgoo000cOol00`00Oomoo`0=Ool01000Oomo
o`00AGoo0P0000=oo`0000002Goo0P001goo0P001Woo0P00Lgoo000cOol00`00Oomoo`0>Ool00`00
Ool00015Ool00`00Oomoo`020009Ool00`00Oomoo`0?Ool00`00Oomoo`1aOol003=oo`03001oogoo
00ioo`03001oo`0004Eoo`03001oogoo008008moo`00<goo00<007ooOol03Woo00<007oo0000AGoo
00<007ooOol00P00Sgoo000cOol00`00Oomoo`0>Ool00`00Ool00015Ool00`00Oomoo`02002?Ool0
03=oo`03001oogoo00ioo`03001oo`0004Eoo`03001oogoo008008moo`00<goo00<007ooOol03Woo
00<007oo0000AGoo00D007ooOomoo`0008moo`00<goo00<007ooOol03Woo00<007oo0000AGoo00D0
07ooOomoo`0008moo`00<goo00<007ooOol03goo0P00BGoo00<007ooOol0SGoo000cOol00`00Oomo
o`0?Ool20019Ool00`00Oomoo`2=Ool003=oo`03001oogoo00moo`8004Uoo`03001oogoo08eoo`00
<goo00<007ooOol03goo0P00BGoo00<007ooOol0SGoo000cOol00`00Oomoo`0?Ool2003IOol003=o
o`03001oogoo00moo`800=Uoo`00<goo00<007ooOol047oo00<007ooOol0egoo000cOol00`00Oomo
o`0@Ool00`00Oomoo`3GOol000Moo`D0009oo`8000Aoo`8000Aoo`8000Aoo`8000Aoo`8000=oo`D0
00=oo`03001oogoo011oo`03001oogoo0=Moo`002Goo00<007ooOol01goo00@007ooOol0009oo`04
001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000Aoo`03001oogoo00=oo`03001oogoo011o
o`03001oogoo0=Moo`002Goo00<007ooOol01goo00@007ooOol0009oo`04001oogoo0002Ool01000
Oomoo`000Woo00@007ooOol000Aoo`03001oogoo00=oo`80015oo`03001oogoo0=Moo`002Goo00<0
07ooOol01goo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000Ao
o`03001oogoo00=oo`03001oogoo011oo`03001oogoo0=Moo`002Goo00<007ooOol01goo00@007oo
Ool0009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000Aoo`03001oogoo00=oo`03
001oogoo0>Yoo`0027oo0P002Woo0P0017oo0P0017oo0P0017oo0P0017oo0P001Goo00<007ooOol0
jWoo000cOol00`00Oomoo`3ZOol003=oo`03001oogoo0>Yoo`00ogoo8Goo003oOolQOol00?moob5o
o`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003o
OolQOol00?moob5oo`00ogoo8Goo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.664687, 0.999981, \
0.0130295, 1.42217*^-07}}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
%%ImageSize: 432 266.991 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
2.77556e-017 0.333333 -2.78115 3.09017 [
[.16667 -0.0125 -9.5 -15.5 ]
[.16667 -0.0125 9.5 0 ]
[.33333 -0.0125 -9.5 -15.5 ]
[.33333 -0.0125 9.5 0 ]
[.5 -0.0125 -9.5 -15.5 ]
[.5 -0.0125 9.5 0 ]
[.66667 -0.0125 -9.5 -15.5 ]
[.66667 -0.0125 9.5 0 ]
[.83333 -0.0125 -9.5 -15.5 ]
[.83333 -0.0125 9.5 0 ]
[1 -0.0125 -9.5 -15.5 ]
[1 -0.0125 9.5 0 ]
[1.025 0 0 -7.75 ]
[1.025 0 10 7.75 ]
[-0.0125 .15451 -25 -7.75 ]
[-0.0125 .15451 0 7.75 ]
[-0.0125 .30902 -25 -7.75 ]
[-0.0125 .30902 0 7.75 ]
[-0.0125 .46353 -25 -7.75 ]
[-0.0125 .46353 0 7.75 ]
[-0.0125 .61803 -25 -7.75 ]
[-0.0125 .61803 0 7.75 ]
[.5 .63053 -50.9063 0 ]
[.5 .63053 50.9063 15.5 ]
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.002 w
[ ] 0 setdash
.16667 0 m
.16667 .00625 L
s
gsave
.16667 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.33333 0 m
.33333 .00625 L
s
gsave
.33333 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.66667 0 m
.66667 .00625 L
s
gsave
.66667 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.83333 0 m
.83333 .00625 L
s
gsave
.83333 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
.03333 0 m
.03333 .00313 L
s
.06667 0 m
.06667 .00313 L
s
.1 0 m
.1 .00313 L
s
.13333 0 m
.13333 .00313 L
s
.2 0 m
.2 .00313 L
s
.23333 0 m
.23333 .00313 L
s
.26667 0 m
.26667 .00313 L
s
.3 0 m
.3 .00313 L
s
.36667 0 m
.36667 .00313 L
s
.4 0 m
.4 .00313 L
s
.43333 0 m
.43333 .00313 L
s
.46667 0 m
.46667 .00313 L
s
.53333 0 m
.53333 .00313 L
s
.56667 0 m
.56667 .00313 L
s
.6 0 m
.6 .00313 L
s
.63333 0 m
.63333 .00313 L
s
.7 0 m
.7 .00313 L
s
.73333 0 m
.73333 .00313 L
s
.76667 0 m
.76667 .00313 L
s
.8 0 m
.8 .00313 L
s
.86667 0 m
.86667 .00313 L
s
.9 0 m
.9 .00313 L
s
.93333 0 m
.93333 .00313 L
s
.96667 0 m
.96667 .00313 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
1.025 0 -61 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
69.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.002 w
0 .15451 m
.00625 .15451 L
s
gsave
-0.0125 .15451 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.95) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.00) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .46353 m
.00625 .46353 L
s
gsave
-0.0125 .46353 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.05) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.10) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
0 .0309 m
.00313 .0309 L
s
0 .0618 m
.00313 .0618 L
s
0 .09271 m
.00313 .09271 L
s
0 .12361 m
.00313 .12361 L
s
0 .18541 m
.00313 .18541 L
s
0 .21631 m
.00313 .21631 L
s
0 .24721 m
.00313 .24721 L
s
0 .27812 m
.00313 .27812 L
s
0 .33992 m
.00313 .33992 L
s
0 .37082 m
.00313 .37082 L
s
0 .40172 m
.00313 .40172 L
s
0 .43262 m
.00313 .43262 L
s
0 .49443 m
.00313 .49443 L
s
0 .52533 m
.00313 .52533 L
s
0 .55623 m
.00313 .55623 L
s
0 .58713 m
.00313 .58713 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
.5 .63053 -111.906 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(True) show
88.625 15.813 moveto
(Euler) show
117.563 15.813 moveto
(Equation) show
160.813 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.00333 .30902 m
.00456 .30902 L
.00568 .30902 L
.00698 .30902 L
.0082 .30902 L
.00933 .30902 L
.01037 .30902 L
.01151 .30902 L
.01273 .30902 L
.01394 .30902 L
.01525 .30902 L
.01649 .30902 L
.01762 .30902 L
.01894 .30902 L
.01969 .30902 L
.02039 .30902 L
.02166 .30902 L
.02302 .30902 L
.02442 .30902 L
.02571 .30902 L
.02712 .30902 L
.02862 .30902 L
.03114 .30902 L
.03256 .30902 L
.0339 .30902 L
.03639 .30902 L
.03866 .30902 L
.04128 .30902 L
.04377 .30902 L
.04629 .30902 L
.04908 .30902 L
.052 .30902 L
.05474 .30902 L
.05962 .30902 L
.06237 .30902 L
.06489 .30902 L
.07023 .30902 L
.07326 .30902 L
.07608 .30903 L
.08177 .30903 L
.08341 .30903 L
.08422 .30903 L
.08496 .30903 L
.08564 .30902 L
.08635 .30902 L
.08786 .30902 L
.09051 .30902 L
.09302 .30902 L
.09528 .30902 L
.09773 .30902 L
Mistroke
.1004 .30902 L
.10324 .30902 L
.10592 .30902 L
.10834 .30902 L
.11309 .30902 L
.11576 .30902 L
.11822 .30902 L
.12274 .30902 L
.12751 .30902 L
.13018 .30902 L
.13271 .30902 L
.13745 .30902 L
.14256 .30902 L
.1481 .30902 L
.15294 .30902 L
.15808 .30902 L
.16247 .30902 L
.16367 .30902 L
.16496 .30902 L
.16618 .30902 L
.1673 .30902 L
.16864 .30901 L
.16991 .30901 L
.17228 .309 L
.17504 .30899 L
.17625 .30898 L
.17759 .30898 L
.17874 .30898 L
.17982 .30898 L
.18218 .30899 L
.18457 .309 L
.18592 .309 L
.18714 .309 L
.18848 .309 L
.18916 .309 L
.18991 .309 L
.19123 .309 L
.19247 .309 L
.19393 .30899 L
.19526 .30899 L
.19682 .30899 L
.19827 .30898 L
.19946 .30898 L
.20072 .30898 L
.20201 .30898 L
.20341 .30898 L
.20417 .30898 L
.20487 .30898 L
.20624 .30898 L
.2075 .30898 L
Mistroke
.20882 .30898 L
.21008 .30898 L
.21146 .30899 L
.21268 .30899 L
.21397 .30899 L
.21525 .30899 L
.21641 .30899 L
.21758 .309 L
.21868 .30899 L
.21997 .30899 L
.22133 .30899 L
.2225 .30899 L
.22377 .30899 L
.22515 .30899 L
.22592 .30899 L
.22662 .30899 L
.22928 .30898 L
.23047 .30898 L
.23173 .30897 L
.23281 .30897 L
.23399 .30897 L
.23646 .30898 L
.23776 .30898 L
.23912 .30899 L
.24032 .30899 L
.24163 .30899 L
.24282 .30899 L
.24393 .30899 L
.24507 .30899 L
.24611 .30899 L
.24731 .30899 L
.24844 .309 L
.24965 .309 L
.25094 .309 L
.25217 .309 L
.25329 .30899 L
.25862 .30899 L
.25991 .30899 L
.26112 .30899 L
.26179 .30899 L
.26252 .30899 L
.26378 .30899 L
.2653 .30899 L
.26669 .30898 L
.26801 .30898 L
.26867 .30898 L
.2694 .30898 L
.27188 .30899 L
.27324 .30899 L
.27453 .30899 L
Mistroke
.27573 .30899 L
.27703 .30899 L
.27821 .30899 L
.27931 .30899 L
.28043 .30899 L
.28148 .30899 L
.28263 .30899 L
.28387 .30899 L
.28517 .30899 L
.2864 .309 L
.2876 .309 L
.28871 .309 L
.29001 .309 L
.2907 .309 L
.29142 .309 L
.29274 .309 L
.29397 .309 L
.29507 .309 L
.29624 .309 L
.29874 .309 L
.30161 .309 L
.30302 .309 L
.30433 .309 L
.30551 .309 L
.30677 .309 L
.30804 .309 L
.3087 .309 L
.30943 .309 L
.31064 .309 L
.31192 .309 L
.3131 .309 L
.3142 .309 L
.31551 .309 L
.31669 .309 L
.31808 .30901 L
.31935 .30901 L
.32047 .30901 L
.32165 .309 L
.32284 .309 L
.32414 .309 L
.32527 .309 L
.32648 .309 L
.32762 .309 L
.32867 .30901 L
.32991 .30901 L
.33124 .30901 L
.33251 .30901 L
.33367 .30901 L
.33503 .30901 L
.33577 .30901 L
Mistroke
.33646 .30901 L
.33767 .30901 L
.33899 .309 L
.34024 .30901 L
.34141 .30901 L
.34247 .30901 L
.34362 .30901 L
.34486 .30901 L
.34619 .30902 L
.34732 .30901 L
.34857 .30901 L
.34994 .30901 L
.35069 .30901 L
.35138 .309 L
.35261 .309 L
.35396 .309 L
.35472 .309 L
.35543 .309 L
.35677 .30901 L
.35752 .30901 L
.35821 .30901 L
.35896 .30901 L
.35976 .30901 L
.36102 .30902 L
.3622 .30901 L
.36348 .30901 L
.36415 .30901 L
.36487 .309 L
.36562 .309 L
.36632 .309 L
.36769 .309 L
.36891 .309 L
.37027 .30901 L
.37153 .30901 L
.37271 .30901 L
.37344 .30902 L
.37412 .30902 L
.3754 .30902 L
.37665 .30902 L
.37801 .30901 L
.37872 .30901 L
.37946 .30901 L
.3808 .30901 L
.38195 .30901 L
.38318 .30901 L
.38434 .30901 L
.38541 .30901 L
.38786 .30902 L
.38923 .30903 L
.39048 .30903 L
Mistroke
.39116 .30902 L
.39191 .30902 L
.39325 .30902 L
.39459 .30902 L
.39583 .30902 L
.39718 .30901 L
.39795 .30902 L
.39866 .30902 L
.39942 .30902 L
.40011 .30902 L
.40166 .30902 L
.40293 .30902 L
.40428 .30903 L
.40498 .30903 L
.40575 .30903 L
.40712 .30902 L
.4084 .30902 L
.40979 .30902 L
.41109 .30901 L
.41229 .30901 L
.41363 .30901 L
.41489 .30901 L
.41603 .30901 L
.41725 .30902 L
.41859 .30902 L
.41927 .30902 L
.42001 .30902 L
.42133 .30902 L
.42255 .30902 L
.42379 .30901 L
.42496 .30901 L
.42601 .30901 L
.42716 .30901 L
.4284 .30901 L
.42972 .30902 L
.43097 .30902 L
.4321 .30902 L
.43346 .30902 L
.43421 .30902 L
.4349 .30902 L
.43612 .30902 L
.43747 .30902 L
.43822 .30902 L
.43893 .30902 L
.44027 .30902 L
.44101 .30902 L
.4417 .30902 L
.44246 .30902 L
.44327 .30902 L
.44451 .30902 L
Mistroke
.44584 .30902 L
.44711 .30902 L
.44826 .30902 L
.44961 .30902 L
.45032 .30902 L
.45108 .30902 L
.45181 .30902 L
.45247 .30902 L
.45377 .30902 L
.45886 .30902 L
.46143 .30902 L
.46424 .30902 L
.46548 .30902 L
.46665 .30902 L
.468 .30902 L
.46923 .30902 L
.47389 .30902 L
.47524 .30902 L
.47651 .30902 L
.47784 .30902 L
.47854 .30902 L
.4793 .30902 L
.48058 .30902 L
.48192 .30902 L
.48306 .30902 L
.48432 .30902 L
.48502 .30902 L
.48578 .30902 L
.48716 .30902 L
.48799 .30902 L
.48875 .30902 L
.48945 .30902 L
.4902 .30902 L
.49154 .30902 L
.4928 .30902 L
.49418 .30902 L
.49567 .30902 L
.49833 .30902 L
.4991 .30902 L
.49982 .30902 L
.50116 .30902 L
.50244 .30902 L
.50361 .30902 L
.50489 .30902 L
.50626 .30902 L
.50698 .30902 L
.50765 .30902 L
.50894 .30902 L
.50966 .30902 L
.51045 .30902 L
Mistroke
.51119 .30902 L
.51188 .30902 L
.51325 .30902 L
.51402 .30902 L
.51475 .30902 L
.51621 .30902 L
.51699 .30902 L
.51781 .30902 L
.51914 .30902 L
.52038 .30902 L
.5218 .30902 L
.52309 .30902 L
.52429 .30902 L
.52558 .30902 L
.52681 .30902 L
.52793 .30902 L
.52923 .30902 L
.53063 .30902 L
.53319 .30902 L
.53394 .30902 L
.53473 .30902 L
.53547 .30902 L
.53615 .30902 L
.53755 .30902 L
.53884 .30902 L
.54007 .30902 L
.54136 .30902 L
.54266 .30902 L
.54339 .30902 L
.54408 .30902 L
.54532 .30902 L
.54645 .30902 L
.54776 .30902 L
.549 .30902 L
.55121 .30902 L
.55232 .30902 L
.55355 .30902 L
.55488 .30902 L
.55612 .30902 L
.55735 .30902 L
.5585 .30902 L
.55983 .30902 L
.56053 .30902 L
.56128 .30902 L
.562 .30902 L
.56267 .30902 L
.56393 .30902 L
.56518 .30902 L
.56632 .30902 L
.56758 .30902 L
Mistroke
.56891 .30902 L
.57024 .30902 L
.57099 .30902 L
.57167 .30902 L
.57299 .30902 L
.57424 .30902 L
.57495 .30902 L
.5757 .30902 L
.57705 .30902 L
.5778 .30902 L
.5785 .30902 L
.57927 .30902 L
.5801 .30902 L
.5813 .30902 L
.58256 .30902 L
.58394 .30902 L
.58522 .30902 L
.58771 .30902 L
.58893 .30902 L
.59004 .30902 L
.59132 .30902 L
.59269 .30902 L
.59409 .30902 L
.59561 .30902 L
.59695 .30902 L
.5982 .30902 L
.59939 .30902 L
.60066 .30902 L
.60145 .30902 L
.60218 .30902 L
.60297 .30902 L
.60381 .30902 L
.60523 .30902 L
.60678 .30902 L
.60816 .30902 L
.60893 .30902 L
.60964 .30902 L
.61103 .30902 L
.61231 .30902 L
.61358 .30902 L
.61426 .30902 L
.61498 .30902 L
.61571 .30902 L
.61639 .30902 L
.61717 .30902 L
.61788 .30902 L
.61911 .30902 L
.62045 .30902 L
.62113 .30902 L
.62185 .30902 L
Mistroke
.62315 .30902 L
.62576 .30902 L
.62645 .30902 L
.62719 .30902 L
.62852 .30902 L
.62928 .30902 L
.62997 .30902 L
.63155 .30902 L
.633 .30902 L
.63434 .30902 L
.6356 .30902 L
.63693 .30902 L
.63827 .30902 L
.63904 .30902 L
.63975 .30902 L
.64104 .30902 L
.64222 .30902 L
.64352 .30902 L
.64489 .30902 L
.6461 .30902 L
.64724 .30902 L
.64856 .30902 L
.64976 .30902 L
.65197 .30902 L
.6543 .30902 L
.65553 .30902 L
.65688 .30902 L
.6581 .30902 L
.65925 .30902 L
.6606 .30902 L
.66183 .30902 L
.66252 .30902 L
.66326 .30902 L
.66461 .30902 L
.66591 .30902 L
.66729 .30902 L
.66801 .30902 L
.66879 .30902 L
.66951 .30902 L
.67018 .30902 L
.67148 .30902 L
.67271 .30902 L
.67339 .30902 L
.67413 .30902 L
.67542 .30902 L
.67659 .30902 L
.67789 .30902 L
.67924 .30902 L
.68051 .30902 L
.68169 .30902 L
Mistroke
.68277 .30902 L
.68521 .30902 L
.68649 .30902 L
.68786 .30902 L
.68915 .30902 L
.69032 .30902 L
.6917 .30902 L
.6932 .30902 L
.69388 .30902 L
.69461 .30902 L
.69591 .30902 L
.69725 .30902 L
.69799 .30902 L
.69868 .30902 L
.70001 .30902 L
.70127 .30902 L
.70198 .30902 L
.70273 .30902 L
.70409 .30902 L
.70717 .30902 L
.70858 .30902 L
.70991 .30902 L
.71128 .30902 L
.71279 .30902 L
.71529 .30902 L
.71669 .30902 L
.71797 .30902 L
.71869 .30902 L
.71946 .30902 L
.72084 .30902 L
.7216 .30902 L
.72232 .30902 L
.72311 .30902 L
.72396 .30902 L
.72468 .30902 L
.72548 .30902 L
.72692 .30902 L
.72963 .30902 L
.73031 .30902 L
.73106 .30902 L
.73241 .30902 L
.73493 .30902 L
.73636 .30902 L
.73787 .30902 L
.73918 .30902 L
.7399 .30902 L
.74058 .30902 L
.74189 .30902 L
.74309 .30902 L
.74421 .30902 L
Mistroke
.74543 .30902 L
.74677 .30902 L
.74745 .30902 L
.74819 .30902 L
.75075 .30902 L
.75194 .30902 L
.75321 .30902 L
.75393 .30902 L
.7546 .30902 L
.75589 .30902 L
.75723 .30902 L
.75868 .30902 L
.75993 .30902 L
.76131 .30902 L
.76257 .30902 L
.76375 .30902 L
.765 .30902 L
.76634 .30902 L
.76759 .30902 L
.76877 .30902 L
.77099 .30902 L
.77361 .30902 L
.77436 .30902 L
.77507 .30902 L
.7764 .30902 L
.77766 .30902 L
.77881 .30902 L
.78142 .30902 L
.78279 .30902 L
.78406 .30902 L
.7848 .30902 L
.78546 .30902 L
.78623 .30902 L
.78696 .30902 L
.78767 .30902 L
.78842 .30902 L
.78976 .30902 L
.79051 .30902 L
.79121 .30902 L
.79281 .30902 L
.79536 .30902 L
.79658 .30902 L
.79773 .30902 L
.7991 .30902 L
.80033 .30902 L
.80311 .30902 L
.80443 .30902 L
.80515 .30902 L
.80582 .30902 L
.80701 .30902 L
Mistroke
.80832 .30902 L
.80905 .30902 L
.80974 .30902 L
.81104 .30902 L
.81176 .30902 L
.81243 .30902 L
.81317 .30902 L
.81396 .30902 L
.81611 .30902 L
.81838 .30902 L
.81957 .30902 L
.82087 .30902 L
.82206 .30902 L
.82316 .30902 L
.82569 .30902 L
.82708 .30902 L
.8284 .30902 L
.82964 .30902 L
.83098 .30902 L
.8322 .30902 L
.83333 .30902 L
.83464 .30902 L
.83588 .30902 L
.83699 .30902 L
.83821 .30902 L
.84074 .30902 L
.84345 .30902 L
.84478 .30902 L
.84603 .30902 L
.84715 .30902 L
.84836 .30902 L
.85072 .30902 L
.85293 .30902 L
.85419 .30902 L
.85553 .30902 L
.8563 .30902 L
.85703 .30902 L
.8584 .30902 L
.85909 .30902 L
.85983 .30902 L
.86116 .30902 L
.8619 .30902 L
.86259 .30902 L
.86417 .30902 L
.8666 .30902 L
.86792 .30902 L
.86915 .30902 L
.87048 .30902 L
.87119 .30902 L
.87195 .30902 L
Mistroke
.87451 .30902 L
.87591 .30902 L
.87722 .30902 L
.87859 .30902 L
.87931 .30902 L
.88009 .30902 L
.88147 .30902 L
.88278 .30902 L
.88395 .30902 L
.88523 .30902 L
.88663 .30902 L
.88813 .30902 L
.89086 .30902 L
.8925 .30902 L
.89322 .30902 L
.89401 .30902 L
.89472 .30902 L
.89539 .30902 L
.89685 .30902 L
.89957 .30902 L
.90091 .30902 L
.90214 .30902 L
.90356 .30902 L
.90431 .30902 L
.9051 .30902 L
.90638 .30902 L
.90711 .30902 L
.9078 .30902 L
.90904 .30902 L
.91035 .30902 L
.91146 .30902 L
.91268 .30902 L
.91541 .30902 L
.91794 .30902 L
.91929 .30902 L
.91996 .30902 L
.9207 .30902 L
.92325 .30902 L
.92468 .30902 L
.92621 .30902 L
.92765 .30902 L
.92899 .30902 L
.93032 .30902 L
.93103 .30902 L
.93178 .30902 L
.93304 .30902 L
.93376 .30902 L
.93443 .30902 L
.93568 .30902 L
.93682 .30902 L
Mistroke
.93807 .30902 L
.9394 .30902 L
.94172 .30902 L
.943 .30902 L
.94421 .30902 L
.94533 .30902 L
.94656 .30902 L
.94767 .30902 L
.94869 .30902 L
.95124 .30902 L
.95363 .30902 L
.95483 .30902 L
.95612 .30902 L
.95685 .30902 L
.95755 .30902 L
.95886 .30902 L
.96017 .30902 L
.9609 .30902 L
.96158 .30902 L
.96282 .30902 L
.96413 .30902 L
.96641 .30902 L
.96891 .30902 L
.97028 .30902 L
.97158 .30902 L
.9723 .30902 L
.97308 .30902 L
.97444 .30902 L
.9769 .30902 L
.97961 .30902 L
.98081 .30902 L
.98211 .30902 L
.98333 .30902 L
.98446 .30902 L
.98566 .30902 L
.98697 .30902 L
.98834 .30902 L
.98961 .30902 L
.99081 .30902 L
.99195 .30902 L
.99408 .30902 L
.99657 .30902 L
.99768 .30902 L
.99886 .30902 L
1 .30902 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{432, 266.938},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006`00012Q000`40O003h00Oogoo/Goo003oOona
Ool00?mook5oo`00ogoo/Goo001LOol30003Ool00`00Ool00002000bOol30003Ool00`00Oomoo`03
000aOol30003Ool00`00Ool00002000aOol50002Ool00`00Oomoo`03000`Ool50002Ool00`00Ool0
0002000`Ool40003Ool00`00Oomoo`03000HOol005]oo`05001oogooOol00007Ool00`00Oomoo`0`
Ool00`00Oomoo`04Ool01@00Oomoogoo0000<Goo00<007ooOol01goo00<007ooOol0;goo00@007oo
Ool000Aoo`05001oogooOol0000`Ool01000Oomoo`001goo00<007ooOol0<Goo00<007ooOol00Woo
00D007ooOomoo`0001Moo`00Fgoo00D007ooOomoo`0000Qoo`03001oogoo02moo`03001oogoo00Ao
o`05001oogooOol0000aOol00`00Oomoo`08Ool00`00Oomoo`0_Ool00`00Oomoo`04Ool01@00Oomo
ogoo0000<Goo00<007ooOol027oo00<007ooOol0<7oo00<007ooOol00Woo00D007ooOomoo`0001Mo
o`00Fgoo00D007ooOomoo`0000Qoo`03001oogoo02moo`03001oogoo00Aoo`05001oogooOol0000a
Ool00`00Oomoo`08Ool00`00Oomoo`0`Ool00`00Oomoo`03Ool01@00Oomoogoo0000<Woo00<007oo
Ool01goo00<007ooOol0<7oo00<007ooOol00Woo00D007ooOomoo`0001Moo`00Fgoo00D007ooOomo
o`0000Qoo`03001oogoo02moo`03001oogoo00Aoo`05001oogooOol0000aOol00`00Oomoo`08Ool0
0`00Oomoo`0aOol00`00Oomoo`02Ool01@00Oomoogoo0000<goo00<007ooOol01Woo00<007ooOol0
;Woo0P001Goo00D007ooOomoo`0001Moo`00Fgoo00D007ooOomoo`0000Moo`03001oogoo031oo`03
001oogoo00Aoo`05001oogooOol0000aOol00`00Oomoo`07Ool00`00Oomoo`0bOol00`00Oomoo`02
Ool01@00Oomoogoo0000<goo00<007ooOol01Goo00<007ooOol0<7oo00<007ooOol00goo00D007oo
Oomoo`0001Moo`00Fgoo00D007ooOomoo`0000Eoo`8003=oo`03001oogoo00Aoo`05001oogooOol0
000aOol00`00Oomoo`05Ool2000eOol00`00Oomoo`02Ool01@00Oomoogoo0000<goo00<007ooOol0
0goo0P00=7oo00<007ooOol00Woo00D007ooOomoo`0001Moo`00Fgoo00D007ooOomoo`0000Eoo`03
001oogoo035oo`8000Ioo`05001oogooOol0000`Ool20007Ool00`00Oomoo`0`Ool01@00Oomoogoo
000017oo00D007ooOomoo`0002moo`05001oogooOol00005Ool00`00Oomoo`0_Ool01@00Oomoogoo
000017oo00D007ooOomoo`0001Moo`00G7oo0`001goo0`00<Goo00<007ooOol01Goo0`00<Woo00<0
07ooOol01Woo0`00<7oo0`001Woo0`00<Goo0`001goo0`00;goo0`001Woo0`0067oo003oOonaOol0
0?mook5oo`00ogoo/Goo003oOonaOol00?mooimoo`800003Ool0000000eoo`00ogooX7oo00<007oo
00003Woo003oOonQOol00`00Oomoo`0=Ool002Ioool006l000aoo`03001oogoo00eoo`009Woo00<0
07ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<0
07ooOol02Woo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<0
07ooOol02Woo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<0
07ooOol02Goo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<0
07ooOol02Goo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Goo00<0
07ooOol02Goo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Goo00<0
07ooOol02Goo00<007oo00003Woo000VOol00`00Oomoo`0iOol00`00Oomoo`0jOol00`00Oomoo`0j
Ool00`00Oomoo`0jOol00`00Oomoo`0jOol00`00Oomoo`0jOol00`00Oomoo`08Ool200000goo0000
000=Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3o
Oon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3o
Oon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol2003oOon9Ool0
02Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool0
02Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool0
02Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool0
02Ioo`03001oogoo0?moohQoo`009Woo0P00ogooRGoo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo0P00ogooRGoo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo
0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo
0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo
0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`800?moohUo
o`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQo
o`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQo
o`009Woo00<007ooOol0ogooR7oo000;Ool30003Ool01000Ool0000017oo0`002Woo00<007ooOol0
ogooR7oo000:Ool01@00Oomoogoo00001Woo00<007ooOol017oo00<007ooOol01goo00<007ooOol0
ogooR7oo000:Ool01@00Oomoogoo00001goo00<007ooOol017oo00<007ooOol01Woo00<007ooOol0
ogooR7oo000:Ool01@00Oomoogoo00001Goo10001Goo00<007ooOol01Woo0`00ogooR7oo000:Ool0
1@00Oomoogoo000017oo00D007ooOomoo`0000Eoo`03001oogoo00Ioo`03001oogoo0?moohQoo`00
2Woo00D007ooOomoo`0000Aoo`05001oogooOol00004Ool00`00Oomoo`07Ool00`00Oomoo`3oOon8
Ool000Yoo`05001oogooOol00004Ool01@00Oomoogoo00000Woo0P002Woo00<007ooOol0ogooR7oo
000:Ool01@00Oomoogoo000017oo00D007ooOomoo`00009oo`03001oogoo00Uoo`03001oogoo0?mo
ohQoo`002goo0`001Woo0`0017oo0`0027oo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8
Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8
Ool002Ioo`03001oogoo0?moohQoo`009Woo0P00ogooRGoo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo0P00ogooRGoo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001o
ogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001o
ogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001o
ogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`800?mo
ohUoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?mo
ohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?mo
ohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?mo
ohQoo`009Woo00<007ooOol0ogooR7oo000VOol2003oOon9Ool002Ioo`03001oogoo0?moohQoo`00
9Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQoo`00
9Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQoo`00
2goo0`000goo00<007ooOol00`000goo0`002Goo00<007ooOol0ogooR7oo000<Ool00`00Oomoo`04
Ool01`00Oomoogoo001oo`0000=oo`03001oogoo00Ioo`03001oogoo0?moohQoo`0037oo00<007oo
Ool017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`06Ool00`00Oomoo`3oOon8Ool000aoo`03
001oogoo00Aoo`07001oogooOol007oo00000goo00<007ooOol01Woo00<007ooOol0ogooR7oo000<
Ool00`00Oomoo`04Ool01`00Oomoogoo001oo`0000=oo`03001oogoo00Ioool006l001aoo`0037oo
00<007ooOol017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`06Ool00`00Oomoo`3oOon8Ool0
00aoo`03001oogoo00Aoo`07001oogooOol007oo00000goo00<007ooOol01Woo00<007ooOol0ogoo
R7oo000;Ool20006Ool01`00Oomoogoo001oo`0000=oo`03001oogoo00Ioo`03001oogoo0?moohQo
o`0037oo00<007ooOol01Goo0`000goo0`002Goo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3o
Oon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3o
Oon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol2003oOon9Ool0
02Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool0
02Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool0
02Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool0
02Ioo`03001oogoo0?moohQoo`009Woo0P00ogooRGoo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`80
0?moohUoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo
0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo
0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo
0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`800?moohUo
o`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQo
o`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQo
o`009Woo00<007ooOol0ogooR7oo000;Ool30003Ool00`00Oomoo`030002Ool3000:Ool00`00Oomo
o`3oOon8Ool000aoo`03001oogoo00Aoo`05001oogooOol00004Ool00`00Oomoo`07Ool00`00Oomo
o`3oOon8Ool000aoo`03001oogoo00Aoo`05001oogooOol00005Ool00`00Oomoo`06Ool00`00Oomo
o`3oOon8Ool000aoo`03001oogoo00Aoo`05001oogooOol00005Ool00`00Oomoo`06Ool3003oOon8
Ool000aoo`03001oogoo00Aoo`05001oogooOol00005Ool00`00Oomoo`06Ool00`00Oomoo`3oOon8
Ool000aoo`03001oogoo00Aoo`05001oogooOol00004Ool00`00Oomoo`07Ool00`00Oomoo`3oOon8
Ool000aoo`03001oogoo00Aoo`05001oogooOol00002Ool2000:Ool00`00Oomoo`3oOon8Ool000]o
o`8000Ioo`05001oogooOol00002Ool00`00Oomoo`09Ool00`00Oomoo`3oOon8Ool000aoo`03001o
ogoo00Eoo`<000Aoo`<000Qoo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol0
0`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol0
0`00Oomoo`3oOon8Ool002Ioo`800?moohUoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomo
o`3oOon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomo
o`3oOon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomo
o`3oOon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomo
o`3oOon8Ool002Ioo`800?moohUoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8
Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8
Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8
Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol2003oOon9Ool002Io
o`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo0P00ogooRGoo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001o
ogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001o
ogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool000]oo`<000=o
o`03001oogoo00<000=oo`<000Uoo`03001oogoo0?moohQoo`0037oo00<007ooOol01Woo00D007oo
Oomoo`0000=oo`03001oogoo00Ioo`03001oogoo0?moohQoo`0037oo00<007ooOol01Woo00D007oo
Oomoo`0000=oo`03001oogoo00Ioo`03001oogoo0?moohQoo`0037oo00<007ooOol01Woo00D007oo
Oomoo`0000=oo`03001oogoo00Ioo`<00?moohQoo`0037oo00<007ooOol01Woo00D007ooOomoo`00
00=oo`03001oogoo0?mooi5oo`0037oo00<007ooOol01Woo00D007ooOomoo`0000=oo`03001oogoo
0?mooi5oo`0037oo00<007ooOol01Woo00D007ooOomoo`0000=oo`03001oogoo0?mooi5oo`002goo
0P001goo0P000goo00D007ooOomoo`000?mooi=oo`0037oo00<007ooOol01Woo00<007ooOol00Woo
0`00ogooU7oo003oOonaOol00>aoo`<00<5oo`00kGoo00<007ooOol0`7oo003]Ool00`00Oomoo`30
Ool00:eoo`<000=oo`<000=oo`@00003Ool0000000Eoo`H000=oo`L00003Ool00000009oo`<000Eo
o`H0009oo`800003Ool007oo009oo`@00003Ool0000000800004Ool00000Ool3000017oo00000000
0Woo0`0000=oo`000000Xgoo002^Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00<007oo0000
0Woo00<007ooOol00goo00<007ooOol00Woo00<007oo00000Woo00H007ooOol007oo0002Ool01000
Oomoo`001goo00<007ooOol00Woo0P000Woo0P000Woo00H007ooOol007oo0002Ool01000Oomoo`00
0goo00<007oo00000goo00@007ooOol0009oo`03001oogoo0:9oo`00[Woo00<007ooOol00goo00D0
07ooOomoo`00009oo`03001oo`0000Qoo`03001oogoo00Aoo`04001oogoo0002Ool00`00Ool00005
Ool00`00Oomoo`05Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00H007ooOol007oo0002Ool0
1000Oomoo`000goo00<007oo00000goo00@007ooOol0009oo`03001oogoo0:9oo`00[Woo00<007oo
Ool00goo00D007ooOomoo`00009oo`03001oo`0000<000Eoo`04001oogoo0003Ool01000Oomoo`00
0Woo00<007oo00000`000Woo00<007ooOol01Goo00@007ooOol0009oo`05001oogooOol00002Ool0
1000Oomoo`000Woo0`000Woo00L007ooOomoo`00Ool00003Ool01000Oomoo`000Woo00<007ooOol0
XWoo002^Ool00`00Oomoo`03Ool20002Ool01P00Oomoo`00Ool0009oo`03001oogoo00=oo`@000=o
o`04001oogoo0002Ool00`00Ool00002Ool00`00Oomoo`020006Ool40002Ool00`00Oomoo`020002
Ool01P00Oomoo`00Ool0009oo`04001oogoo0003Ool00`00Ool00003Ool00`00Oomoo`0200000goo
001oo`2SOol00:ioo`03001oogoo009oo`800005Ool00000001oo`020002Ool20006Ool01000Oomo
o`000Woo0P0000=oo`0000000Woo00<007ooOol00P000Woo0P0000=oo`00Ool017oo00@007ooOol0
00=oo`800003Ool007oo00800003Ool00000009oo`80009oo`<00003Ool00000009oo`<0009oo`80
0003Ool007oo0:Aoo`00[Woo00<007ooOol05Goo00<007ooOol02Woo00<007ooOol03Goo00<007oo
Ool05Goo00<007ooOol0/Woo002[Ool01000Oomoo`000Woo00<007ooOol04Woo00D007ooOomoo`00
00Qoo`03001oogoo00eoo`05001oogooOol0000COol00`00Oomoo`2bOol00:]oo`L001=oo`H000Mo
o`8000ioo`H001Moo`03001oogoo0:ioo`00ogoo/Goo003oOonaOol00001\
\>"],
  ImageRangeCache->{{{68.25, 412.813}, {274.75, 62.25}} -> {-1.01501, \
0.951218, 0.0082221, 0.000886909}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< doall_death.m\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({4.999999999999999`}\) lies outside the range of data \
in the interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({14.`}\) lies outside the range of data in the \
interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(InterpolatingFunction::"dmval" \(\(:\)\(\ \)\) 
      "Input value \!\({104.`}\) lies outside the range of data in the \
interpolating function. Extrapolation will be used."\)], "Message"],

Cell[BoxData[
    \(General::"stop" \(\(:\)\(\ \)\) 
      "Further output of \!\(InterpolatingFunction :: \"dmval\"\) will be \
suppressed during this calculation."\)], "Message"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Solving base"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating base"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving base"\)], "Print"],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0206243 0.318522 -27881.9 27882.3 [
[.17989 .44845 -9 -9 ]
[.17989 .44845 9 0 ]
[.33915 .44845 -3 -9 ]
[.33915 .44845 3 0 ]
[.49841 .44845 -9 -9 ]
[.49841 .44845 9 0 ]
[.65767 .44845 -3 -9 ]
[.65767 .44845 3 0 ]
[.81693 .44845 -9 -9 ]
[.81693 .44845 9 0 ]
[.97619 .44845 -3 -9 ]
[.97619 .44845 3 0 ]
[.00812 .04271 -48 -4.5 ]
[.00812 .04271 0 4.5 ]
[.00812 .18213 -42 -4.5 ]
[.00812 .18213 0 4.5 ]
[.00812 .32154 -48 -4.5 ]
[.00812 .32154 0 4.5 ]
[.00812 .60036 -42 -4.5 ]
[.00812 .60036 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.17989 .46095 m
.17989 .4672 L
s
[(0.5)] .17989 .44845 0 1 Mshowa
.33915 .46095 m
.33915 .4672 L
s
[(1)] .33915 .44845 0 1 Mshowa
.49841 .46095 m
.49841 .4672 L
s
[(1.5)] .49841 .44845 0 1 Mshowa
.65767 .46095 m
.65767 .4672 L
s
[(2)] .65767 .44845 0 1 Mshowa
.81693 .46095 m
.81693 .4672 L
s
[(2.5)] .81693 .44845 0 1 Mshowa
.97619 .46095 m
.97619 .4672 L
s
[(3)] .97619 .44845 0 1 Mshowa
.125 Mabswid
.05248 .46095 m
.05248 .4647 L
s
.08433 .46095 m
.08433 .4647 L
s
.11618 .46095 m
.11618 .4647 L
s
.14803 .46095 m
.14803 .4647 L
s
.21174 .46095 m
.21174 .4647 L
s
.24359 .46095 m
.24359 .4647 L
s
.27544 .46095 m
.27544 .4647 L
s
.30729 .46095 m
.30729 .4647 L
s
.371 .46095 m
.371 .4647 L
s
.40285 .46095 m
.40285 .4647 L
s
.4347 .46095 m
.4347 .4647 L
s
.46656 .46095 m
.46656 .4647 L
s
.53026 .46095 m
.53026 .4647 L
s
.56211 .46095 m
.56211 .4647 L
s
.59396 .46095 m
.59396 .4647 L
s
.62582 .46095 m
.62582 .4647 L
s
.68952 .46095 m
.68952 .4647 L
s
.72137 .46095 m
.72137 .4647 L
s
.75323 .46095 m
.75323 .4647 L
s
.78508 .46095 m
.78508 .4647 L
s
.84878 .46095 m
.84878 .4647 L
s
.88063 .46095 m
.88063 .4647 L
s
.91249 .46095 m
.91249 .4647 L
s
.94434 .46095 m
.94434 .4647 L
s
.25 Mabswid
0 .46095 m
1 .46095 L
s
.02062 .04271 m
.02687 .04271 L
s
[(0.999985)] .00812 .04271 1 0 Mshowa
.02062 .18213 m
.02687 .18213 L
s
[(0.99999)] .00812 .18213 1 0 Mshowa
.02062 .32154 m
.02687 .32154 L
s
[(0.999995)] .00812 .32154 1 0 Mshowa
.02062 .60036 m
.02687 .60036 L
s
[(1.00001)] .00812 .60036 1 0 Mshowa
.125 Mabswid
.02062 .0706 m
.02437 .0706 L
s
.02062 .09848 m
.02437 .09848 L
s
.02062 .12636 m
.02437 .12636 L
s
.02062 .15424 m
.02437 .15424 L
s
.02062 .21001 m
.02437 .21001 L
s
.02062 .23789 m
.02437 .23789 L
s
.02062 .26577 m
.02437 .26577 L
s
.02062 .29366 m
.02437 .29366 L
s
.02062 .34942 m
.02437 .34942 L
s
.02062 .3773 m
.02437 .3773 L
s
.02062 .40518 m
.02437 .40518 L
s
.02062 .43307 m
.02437 .43307 L
s
.02062 .48883 m
.02437 .48883 L
s
.02062 .51671 m
.02437 .51671 L
s
.02062 .5446 m
.02437 .5446 L
s
.02062 .57248 m
.02437 .57248 L
s
.02062 .01483 m
.02437 .01483 L
s
.25 Mabswid
.02062 0 m
.02062 .61803 L
s
.5 Mabswid
.02381 .46095 m
.02499 .46095 L
.02605 .46095 L
.02729 .46095 L
.02846 .46095 L
.02954 .46095 L
.03053 .46095 L
.03163 .46094 L
.03279 .46094 L
.03395 .46093 L
.0352 .46091 L
.03638 .46096 L
.03746 .46097 L
.03873 .46098 L
.03944 .46099 L
.04011 .46099 L
.04132 .46101 L
.04262 .46104 L
.04396 .46108 L
.04519 .46113 L
.04654 .46119 L
.04797 .46128 L
.05038 .46149 L
.05174 .46165 L
.05302 .46184 L
.0554 .46229 L
.05757 .46286 L
.06007 .46375 L
.06244 .46487 L
.06486 .46637 L
.06753 .46854 L
.07031 .47151 L
.07293 .47511 L
.07759 .48398 L
.08022 .49068 L
.08263 .49813 L
.08773 .51899 L
.09063 .53446 L
.09332 .55169 L
.09612 .57289 L
.0975 .58467 L
.09876 .59638 L
.09947 .60332 L
.10023 .46094 L
.10098 .46094 L
.10181 .46094 L
.10458 .46094 L
.10707 .46094 L
.10979 .46093 L
.11236 .46092 L
Mistroke
.11474 .46091 L
.1171 .4609 L
.11924 .46089 L
.12403 .46085 L
.12672 .46082 L
.1292 .46078 L
.13192 .46073 L
.13479 .46066 L
.13962 .4605 L
.14236 .46038 L
.14492 .46024 L
.14994 .45989 L
.15278 .45963 L
.1554 .45935 L
.16021 .45868 L
.16531 .45774 L
.16987 .45662 L
.17414 .4553 L
.17643 .45447 L
.17768 .45397 L
.17883 .45349 L
.18009 .4177 L
.18076 .42143 L
.18147 .41258 L
.18273 .38544 L
.18388 .35144 L
.1862 .26146 L
.18874 .14618 L
.19003 .08916 L
.19075 .06315 L
.1914 .08045 L
.19389 .15116 L
.19615 .20878 L
.19743 .23364 L
.19862 .24986 L
.19965 .25834 L
.20079 .26169 L
.20198 .26741 L
.2031 .26565 L
.20432 .25564 L
.205 .24637 L
.20565 .23555 L
.20694 .20756 L
.20832 .17014 L
.20961 .13004 L
.21083 .08971 L
.21193 .08995 L
.21311 .09638 L
.21377 .09893 L
.21449 .10078 L
Mistroke
.2158 .10102 L
.21658 .09928 L
.21731 .09635 L
.21798 .09273 L
.21869 .08795 L
.2201 .07644 L
.2208 .07025 L
.22143 .06454 L
.22262 .11135 L
.22391 .16176 L
.22611 .23367 L
.22735 .26359 L
.22851 .28299 L
.22974 .2943 L
.23085 .29598 L
.23214 .28816 L
.23336 .28595 L
.23462 .27448 L
.23525 .26513 L
.23595 .25218 L
.23719 .2229 L
.23835 .18881 L
.24099 .09483 L
.24232 .04356 L
.24307 .01472 L
.24377 .02628 L
.24632 .07046 L
.24773 .0908 L
.24905 .10588 L
.25027 .11571 L
.25159 .12205 L
.25279 .1243 L
.25389 .12368 L
.2552 .15855 L
.25642 .199 L
.25787 .24024 L
.25919 .26969 L
.25986 .28128 L
.26058 .29137 L
.2619 .30288 L
.26263 .30541 L
.2634 .30523 L
.26414 .3025 L
.2648 .29804 L
.26601 .29449 L
.26715 .30151 L
.26847 .30279 L
.26966 .29746 L
.27079 .28695 L
.27184 .27292 L
Mistroke
.27419 .2283 L
.27538 .20098 L
.27649 .1738 L
.27765 .1619 L
.27892 .17515 L
.2802 .18683 L
.28142 .19581 L
.28209 .1997 L
.28282 .20306 L
.2841 .20672 L
.28484 .20755 L
.28553 .20756 L
.28683 .20574 L
.28755 .20382 L
.28822 .20172 L
.28896 .1991 L
.28973 .20844 L
.29244 .2403 L
.29376 .253 L
.29496 .26277 L
.29726 .27711 L
.29852 .2828 L
.29972 .28715 L
.30494 .31134 L
.31459 .36166 L
.31583 .35563 L
.31713 .35202 L
.31781 .35146 L
.31856 .35198 L
.31987 .35602 L
.32112 .3637 L
.32181 .36968 L
.32245 .37613 L
.32369 .39151 L
.32484 .40847 L
.32589 .42591 L
.327 .40972 L
.32821 .39118 L
.32934 .37824 L
.33032 .37109 L
.33137 .368 L
.33253 .37042 L
.33359 .37814 L
.33482 .39348 L
.33596 .41347 L
.33732 .44364 L
.33855 .47594 L
.33972 .45868 L
.34083 .43101 L
.342 .40814 L
Mistroke
.34326 .39199 L
.3445 .38571 L
.34564 .38879 L
.34695 .40279 L
.34819 .42589 L
.35041 .48868 L
.35154 .52867 L
.35278 .51281 L
.35343 .4907 L
.35412 .46931 L
.35538 .43826 L
.35664 .41821 L
.35779 .4103 L
.35905 .41341 L
.35977 .42067 L
.36044 .43092 L
.36114 .44524 L
.36179 .46125 L
.36323 .5064 L
.36454 .55707 L
.36521 .5851 L
.36594 .56286 L
.36724 .51085 L
.36843 .47214 L
.36911 .45468 L
.36984 .43957 L
.37061 .42809 L
.37135 .42161 L
.37203 .41952 L
.37276 .42149 L
.37407 .43543 L
.37528 .45938 L
.37658 .49575 L
.3777 .53445 L
.37893 .58263 L
.37964 .55037 L
.38029 .51861 L
.38173 .4573 L
.38297 .41503 L
.38366 .39646 L
.3843 .38232 L
.38553 .36451 L
.38618 .35996 L
.38688 .35882 L
.38761 .36176 L
.38831 .36832 L
.38961 .39015 L
.39083 .42044 L
.39196 .45577 L
.3932 .47905 L
Mistroke
.39452 .43665 L
.39596 .4011 L
.39677 .38665 L
.39752 .37702 L
.39817 .37157 L
.39889 .36883 L
.39964 .36962 L
.40034 .37366 L
.40102 .38056 L
.40167 .38976 L
.40288 .41351 L
.40419 .44754 L
.40561 .4929 L
.40686 .5378 L
.40802 .52672 L
.4093 .50072 L
.40996 .48934 L
.41069 .47865 L
.41135 .47063 L
.41206 .46392 L
.4128 .45897 L
.4135 .45644 L
.41419 .45583 L
.41485 .45704 L
.41607 .46375 L
.41725 .47522 L
.41849 .49216 L
.41957 .51012 L
.42072 .53212 L
.42196 .54462 L
.42312 .52376 L
.4245 .50168 L
.42575 .48496 L
.42707 .47122 L
.4283 .46191 L
.4296 .45612 L
.43034 .45461 L
.43101 .4543 L
.43214 .45598 L
.43339 .46076 L
.43468 .46874 L
.43589 .47836 L
.43658 .483 L
.43732 .48154 L
.43803 .48073 L
.43868 .48046 L
.43991 .48118 L
.44122 .48355 L
.4419 .48528 L
.44263 .48748 L
Mistroke
.44394 .49249 L
.44693 .50693 L
.4495 .5204 L
.45021 .52394 L
.45096 .52751 L
.45167 .5302 L
.45231 .53 L
.45358 .52877 L
.45429 .52768 L
.45495 .52648 L
.45615 .52354 L
.45743 .51961 L
.4598 .50967 L
.46201 .49781 L
.46462 .48105 L
.46587 .47249 L
.46704 .46528 L
.46819 .47582 L
.46946 .48697 L
.47204 .5065 L
.4734 .51443 L
.47465 .51994 L
.47531 .52206 L
.47603 .5237 L
.47678 .52468 L
.47748 .52495 L
.47876 .52387 L
.47998 .52088 L
.48107 .51668 L
.48226 .51065 L
.48355 .51412 L
.4842 .51847 L
.48492 .52271 L
.48618 .52849 L
.48737 .53171 L
.48852 .53291 L
.48977 .53186 L
.49095 .5286 L
.49204 .52368 L
.49313 .51702 L
.49411 .5097 L
.49631 .48925 L
.49747 .47659 L
.49869 .46222 L
.49933 .46713 L
.50003 .47484 L
.50126 .48757 L
.50243 .49824 L
.50367 .50807 L
.50485 .51547 L
Mistroke
.50592 .52049 L
.5071 .52402 L
.50821 .52529 L
.50943 .52462 L
.51074 .52141 L
.51204 .51585 L
.51269 .51207 L
.5134 .50733 L
.51467 .49766 L
.51585 .49924 L
.51705 .50869 L
.51817 .516 L
.51919 .52114 L
.52029 .52501 L
.52149 .52732 L
.52275 .5274 L
.52384 .52559 L
.52503 .52162 L
.52569 .51854 L
.52641 .51445 L
.52773 .50524 L
.5302 .4831 L
.53092 .4757 L
.5316 .46848 L
.53238 .46941 L
.53309 .47597 L
.53439 .48709 L
.53576 .49736 L
.53696 .50475 L
.53828 .51093 L
.53947 .51472 L
.54058 .51662 L
.5419 .5168 L
.5431 .51506 L
.54377 .51332 L
.54449 .5108 L
.54579 .50486 L
.547 .49787 L
.54814 .49 L
.54946 .48697 L
.55067 .49558 L
.55172 .50212 L
.55285 .50792 L
.55408 .51278 L
.55523 .51569 L
.55593 .51676 L
.55658 .51725 L
.55729 .51725 L
.55804 .51661 L
.5593 .51408 L
Mistroke
.56002 .51183 L
.56068 .50926 L
.56307 .49635 L
.56431 .48776 L
.56563 .47756 L
.5663 .47209 L
.56703 .47515 L
.56833 .48342 L
.56975 .49133 L
.57128 .49814 L
.57198 .50058 L
.57272 .50271 L
.57404 .50538 L
.57527 .50621 L
.57597 .50607 L
.57663 .50552 L
.57793 .50334 L
.57917 .49983 L
.58027 .4956 L
.58148 .48999 L
.58278 .4828 L
.5835 .47849 L
.58417 .47425 L
.58535 .48098 L
.58666 .48817 L
.58791 .49411 L
.58924 .49919 L
.5905 .50263 L
.59163 .50469 L
.59233 .50544 L
.59298 .50579 L
.59368 .50575 L
.59443 .50524 L
.59568 .50341 L
.5964 .50183 L
.59706 .49999 L
.59956 .49035 L
.60074 .48438 L
.60183 .47824 L
.60309 .47828 L
.60375 .48109 L
.60446 .48383 L
.60575 .48824 L
.60694 .49146 L
.60801 .49343 L
.60913 .49463 L
.61026 .4951 L
.61149 .49469 L
.61256 .49336 L
.6137 .49116 L
Mistroke
.61478 .48842 L
.61576 .48525 L
.61816 .47528 L
.61942 .46907 L
.62011 .46545 L
.62076 .46196 L
.62193 .46536 L
.62321 .4702 L
.62548 .47732 L
.62673 .48025 L
.62737 .48142 L
.62807 .48241 L
.62931 .48349 L
.63047 .4838 L
.63113 .48367 L
.63183 .48333 L
.63309 .482 L
.63378 .48086 L
.63443 .47957 L
.63591 .47599 L
.63709 .47256 L
.63837 .46817 L
.63957 .46357 L
.64069 .46597 L
.64199 .47052 L
.64336 .47473 L
.64464 .47803 L
.6458 .48038 L
.64693 .48214 L
.648 .48328 L
.64913 .48382 L
.65036 .48362 L
.65143 .48291 L
.65257 .48163 L
.65365 .47995 L
.65463 .47798 L
.65703 .47161 L
.6583 .46754 L
.65893 .46533 L
.65963 .46616 L
.6609 .46952 L
.66209 .47232 L
.66316 .47447 L
.66435 .47637 L
.66561 .47779 L
.6663 .47832 L
.66695 .4787 L
.66811 .47895 L
.66936 .47867 L
.67002 .47825 L
Mistroke
.67074 .47758 L
.6722 .4757 L
.67355 .47325 L
.67481 .47053 L
.67599 .46759 L
.67727 .46402 L
.67848 .46029 L
.6796 .46119 L
.6809 .46434 L
.68228 .46731 L
.68355 .46949 L
.68471 .47117 L
.68576 .47244 L
.68691 .47343 L
.68813 .47397 L
.68928 .47407 L
.69035 .47383 L
.6915 .47324 L
.69257 .47231 L
.69355 .47121 L
.69596 .46752 L
.69722 .46506 L
.69792 .46354 L
.69856 .46209 L
.69973 .46326 L
.70102 .46621 L
.70327 .4705 L
.70454 .47248 L
.70523 .47343 L
.70588 .4742 L
.70703 .47517 L
.7083 .47588 L
.709 .47612 L
.70967 .47625 L
.71093 .47619 L
.71163 .47592 L
.71228 .47557 L
.71299 .47507 L
.71376 .47441 L
.71643 .47114 L
.71775 .46906 L
.71896 .46697 L
.72006 .46736 L
.72122 .46945 L
.72367 .47332 L
.72481 .47482 L
.72588 .4759 L
.72712 .47684 L
.72825 .47742 L
.72931 .47774 L
Mistroke
.7303 .47784 L
.73138 .47762 L
.73253 .47711 L
.73367 .47635 L
.73491 .47525 L
.73715 .4725 L
.73844 .47053 L
.73915 .46937 L
.73981 .46824 L
.74097 .46817 L
.74225 .47006 L
.7447 .47313 L
.74604 .47444 L
.74729 .47543 L
.74794 .47583 L
.74865 .47614 L
.74942 .47638 L
.75014 .47649 L
.75078 .4765 L
.75148 .47645 L
.75276 .47615 L
.75407 .47557 L
.75526 .47472 L
.75791 .47204 L
.75912 .4705 L
.7604 .4686 L
.76149 .46683 L
.76269 .46771 L
.76491 .47034 L
.76729 .47237 L
.76798 .47286 L
.76864 .47326 L
.76986 .4738 L
.77101 .47409 L
.77226 .47414 L
.77334 .47398 L
.77454 .47363 L
.77578 .47302 L
.77695 .47223 L
.77903 .47031 L
.78127 .46774 L
.78251 .46608 L
.78368 .46472 L
.78432 .46548 L
.78502 .46628 L
.78624 .46758 L
.78741 .46866 L
.78865 .46956 L
.78981 .47024 L
.79086 .47078 L
Mistroke
.79211 .47125 L
.79279 .47143 L
.79344 .47153 L
.7946 .47147 L
.79586 .4712 L
.79651 .47101 L
.79724 .47073 L
.7987 .46997 L
.80006 .46899 L
.80134 .46782 L
.80392 .46504 L
.80521 .46344 L
.80595 .46282 L
.80663 .46353 L
.80913 .46591 L
.81036 .4669 L
.81149 .46765 L
.81282 .4683 L
.81352 .46856 L
.81427 .46878 L
.81547 .46903 L
.81679 .46912 L
.81752 .46907 L
.8182 .46894 L
.81897 .46873 L
.81971 .46847 L
.82102 .46784 L
.82245 .46697 L
.825 .46482 L
.82635 .46345 L
.82708 .46267 L
.82776 .46191 L
.82901 .46154 L
.82967 .46218 L
.83037 .46283 L
.83277 .46478 L
.83397 .4656 L
.83528 .46633 L
.83652 .46686 L
.83766 .4672 L
.83869 .46738 L
.83983 .46744 L
.84101 .46736 L
.84213 .46714 L
.84335 .46676 L
.84404 .46647 L
.84469 .46617 L
.84739 .46441 L
.84858 .46342 L
.84987 .46225 L
Mistroke
.85109 .46105 L
.85222 .46093 L
.85286 .46152 L
.85356 .46215 L
.85497 .46335 L
.85748 .46511 L
.85888 .46589 L
.85965 .46624 L
.86038 .46651 L
.86106 .46671 L
.8618 .46687 L
.8631 .46704 L
.86375 .46707 L
.86443 .46706 L
.86566 .4669 L
.86698 .46653 L
.86843 .46595 L
.87102 .46451 L
.87344 .46271 L
.87466 .46166 L
.87581 .46143 L
.87685 .46231 L
.87797 .46319 L
.88047 .46482 L
.88281 .46592 L
.88402 .46636 L
.88533 .4667 L
.88604 .46681 L
.88678 .46684 L
.88741 .46684 L
.88811 .46681 L
.88884 .46673 L
.88951 .46663 L
.89029 .46645 L
.89102 .46624 L
.89231 .46577 L
.89372 .46509 L
.89627 .46349 L
.89767 .46246 L
.89897 .46139 L
.90008 .46134 L
.90127 .46218 L
.9038 .46382 L
.90512 .46454 L
.90636 .4651 L
.90765 .46554 L
.90907 .46593 L
.9103 .46617 L
.91142 .46627 L
.91266 .46625 L
Mistroke
.91396 .46609 L
.91528 .46578 L
.91602 .46555 L
.91669 .46531 L
.91924 .46421 L
.9207 .46339 L
.92224 .46239 L
.92356 .46146 L
.92431 .46115 L
.92502 .46165 L
.92761 .46339 L
.92998 .46468 L
.93122 .46525 L
.93257 .46576 L
.93331 .46599 L
.934 .46617 L
.93465 .46632 L
.93536 .46644 L
.93664 .46657 L
.93784 .4666 L
.93901 .46654 L
.94009 .4664 L
.94126 .46615 L
.94254 .46579 L
.94513 .46481 L
.94706 .46386 L
.94808 .4633 L
.94916 .46266 L
.9501 .46312 L
.95114 .46381 L
.95298 .46491 L
.95475 .46584 L
.95666 .46664 L
.95847 .46724 L
.95934 .46747 L
.96013 .46765 L
.96106 .4678 L
.96206 .46791 L
.96299 .46796 L
.96387 .46795 L
.96489 .46788 L
.96583 .46776 L
.96686 .46758 L
.96795 .46734 L
.97619 .4652 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo003oOolQ
Ool00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00
ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo000cOol00`00Oomoo`3ZOol003=oo`03001oogoo
0>Yoo`00<goo00<007ooOol0jWoo000cOol00`00Oomoo`3ZOol003=oo`03001oogoo039oo`03001o
ogoo0;Eoo`00<goo00<007ooOol0<Woo00<007ooOol0]Goo000cOol00`00Oomoo`0bOol00`00Oomo
o`2eOol003=oo`03001oogoo039oo`03001oogoo0;Eoo`00<goo00<007ooOol0<Woo00<007ooOol0
]Goo0002Ool20004Ool20003Ool30003Ool30003Ool30003Ool30004Ool20004Ool20005Ool00`00
Oomoo`0bOol00`00Oomoo`2eOol00005Ool007ooOol0000:Ool00`00Oomoo`03Ool00`00Oomoo`03
Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00@007ooOol0009oo`03001oogoo009oo`03001o
ogoo039oo`03001oogoo0;Eoo`0000Eoo`00Oomoo`0000Uoo`<000=oo`<000=oo`<000=oo`<0009o
o`04001oogoo0005Ool00`00Oomoo`02Ool2000cOol00`00Oomoo`2eOol00005Ool007ooOol00008
Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomoo`000goo0P0017oo
0P001Goo00<007ooOol0<Woo0P00]Woo00001Goo001oogoo000027oo00@007ooOol0009oo`04001o
ogoo0002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0003Ool00`00Oomoo`04Ool0
0`00Oomoo`0bOol2002fOol0009oo`8000Yoo`<000=oo`<000=oo`<000=oo`<000=oo`8000Aoo`<0
00Aoo`03001oogoo039oo`800;Ioo`00<goo00<007ooOol0<Woo0P00]Woo000cOol00`00Oomoo`0V
Ool00`00Oomoo`04Ool00`00Oomoo`02Ool2002fOol003=oo`03001oogoo02Ioo`03001oogoo00Ao
o`03001oogoo009oo`800;Ioo`00<goo00<007ooOol09Woo00<007ooOol017oo00<007ooOol00Woo
0P00]Woo000cOol00`00Oomoo`0VOol00`00Oomoo`04Ool00`00Oomoo`02Ool2002fOol003=oo`03
001oogoo02Eoo`8000Ioo`03001oogoo009oo`800;Ioo`00<goo00<007ooOol09Goo0P001Goo0P00
17oo0P00]Woo000cOol00`00Oomoo`0UOol20003Ool40004Ool2002fOol003=oo`03001oogoo02Eo
o`8000=oo`@000Aoo`800;Ioo`00<goo00<007ooOol09Goo0P000goo100017oo00<007oo0000]Goo
000cOol00`00Oomoo`0UOol20003Ool40004Ool00`00Ool0002eOol003=oo`03001oogoo02Eoo`80
00=oo`04001oogoo0004Ool00`00Ool0002eOol003=oo`03001oogoo02Eoo`8000=oo`04001oogoo
0004Ool00`00Ool0002eOol003=oo`03001oogoo02Eoo`8000=oo`04001oogoo0004Ool00`00Ool0
002eOol003=oo`03001oogoo02Eoo`8000=oo`04001oogoo0004Ool00`00Ool0002eOol003=oo`03
001oogoo02Eoo`8000=oo`04001oogoo0004Ool01000Ool00000]7oo000cOol00`00Oomoo`0UOol2
0003Ool01000Oomoo`0017oo00@007ooOol00;Aoo`00<goo00<007ooOol09Goo0P000goo00@007oo
Ool000Aoo`04001oogoo002dOol003=oo`03001oogoo02Eoo`8000=oo`04001oogoo0004Ool01000
Oomoo`00]7oo000cOol00`00Oomoo`0UOol20003Ool01000Oomoo`0017oo00@007ooOol00;Aoo`00
<goo00<007ooOol09Goo0P000goo00@007ooOol000=oo`05001oogooOol0002dOol003=oo`03001o
ogoo02Eoo`8000=oo`04001oogoo0003Ool01@00Oomoogoo0000]7oo000cOol00`00Oomoo`0UOol2
0003Ool01000Oomoo`000goo00D007ooOomoo`000;Aoo`00<goo00<007ooOol09Goo0P000goo00@0
07ooOol000=oo`05001oogooOol0002dOol003=oo`03001oogoo02Eoo`8000=oo`04001oogoo0003
Ool01@00Oomoogoo000017oo00<007ooOol0[Goo000cOol00`00Oomoo`0UOol20003Ool01000Oomo
o`000goo00D007ooOomoo`0000Aoo`03001oogoo0:eoo`00<goo00<007ooOol09Goo0P000goo00@0
07ooOol000=oo`05001oogooOol00004Ool2002^Ool000Qoo`8000Aoo`8000=oo`<000=oo`<000=o
o`<000=oo`<000=oo`<000Eoo`03001oogoo02Eoo`8000=oo`04001oogoo0003Ool01@00Oomoogoo
000017oo0P00[Woo0007Ool01000Oomoo`002Woo00<007ooOol00goo00<007ooOol00goo00<007oo
Ool00goo00<007ooOol00goo00<007ooOol00goo00<007ooOol09Goo0P000goo00@007ooOol000=o
o`05001oogooOol00004Ool2002^Ool000Moo`04001oogoo0009Ool30003Ool30003Ool30003Ool3
0003Ool30004Ool2000VOol00`00Ool00002Ool01000Oomoo`000goo00D007ooOomoo`0000Aoo`80
0:ioo`001goo00@007ooOol000Qoo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0009o
o`04001oogoo0002Ool01000Oomoo`0017oo00<007ooOol09Goo00<007oo00000Woo00@007ooOol0
00=oo`05001oogooOol00004Ool2002^Ool000Moo`04001oogoo0008Ool01000Oomoo`000Woo00@0
07ooOol0009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000Aoo`03001oogoo02Eo
o`05001oo`00Ool00003Ool01@00Oomoogoo00000goo00<007ooOol00Woo0P00[Woo0008Ool2000:
Ool30003Ool30003Ool30003Ool30003Ool30004Ool00`00Oomoo`0UOol01@00Ool007oo00000goo
00D007ooOomoo`0000=oo`03001oogoo009oo`800:ioo`00<goo00<007ooOol09Goo00D007oo001o
o`0000Aoo`04001oogoo0003Ool00`00Oomoo`02Ool200000goo001oo`2[Ool003=oo`03001oogoo
02Eoo`05001oo`00Ool00004Ool01000Oomoo`000goo00<007ooOol00Woo00@007oo00000:aoo`00
<goo00<007ooOol097oo00H007ooOol007oo0004Ool01000Oomoo`000goo00<007ooOol00Woo00@0
07oo00000:aoo`00<goo00<007ooOol097oo00H007ooOol007oo0004Ool01000Oomoo`000goo00<0
07ooOol00Woo00@007ooOol00:aoo`00<goo00<007ooOol097oo00H007ooOol007oo0004Ool01000
Oomoo`000goo00<007ooOol00Woo00@007ooOol00:aoo`00<goo00<007ooOol097oo00H007ooOol0
07oo0004Ool01000Oomoo`0017oo00D007ooOomoo`00009oo`03001oogoo0:Yoo`00<goo00<007oo
Ool097oo00H007ooOol007oo0004Ool01000Oomoo`0017oo00D007ooOomoo`00009oo`03001oogoo
0:Yoo`00<goo00<007ooOol097oo00H007ooOol007oo0004Ool01000Oomoo`0017oo00D007ooOomo
o`0000=oo`03001oogoo0:Uoo`00<goo00<007ooOol097oo00H007ooOol007oo0004Ool01000Oomo
o`0017oo00D007ooOomoo`0000=oo`03001oogoo0:Uoo`00<goo00<007ooOol097oo00H007ooOol0
07oo0004Ool01000Oomoo`0017oo00D007ooOomoo`0000=oo`03001oogoo0:Uoo`00<goo00<007oo
Ool097oo00H007ooOol007oo0004Ool00`00Ool00005Ool01@00Oomoogoo00000goo00<007ooOol0
ZGoo000cOol00`00Oomoo`0TOol01P00Oomoo`00Ool000Aoo`03001oo`0000Eoo`05001oogooOol0
0003Ool00`00Oomoo`2YOol003=oo`03001oogoo02Aoo`06001oogoo001oo`0017oo00<007oo0000
1Goo00D007ooOomoo`0000=oo`03001oogoo0:Uoo`00<goo00<007ooOol097oo00H007ooOol007oo
0004Ool00`00Ool00005Ool01000Oomoo`0017oo00<007ooOol0ZGoo000cOol00`00Oomoo`0TOol0
1000Oomoogoo0P0017oo00<007oo00001Goo00@007ooOol000Aoo`03001oogoo0:Uoo`00<goo00<0
07ooOol097oo00@007ooOomoo`8000Aoo`03001oo`0000Eoo`04001oogoo0005Ool00`00Oomoo`2X
Ool003=oo`03001oogoo02Aoo`05001oogooOol00005Ool00`00Ool00005Ool01000Oomoo`001Goo
00<007ooOol0Z7oo000cOol00`00Oomoo`0TOol01@00Oomoogoo00001Goo00<007oo00001Goo00@0
07ooOol000Eoo`03001oogoo0:Qoo`00<goo00<007ooOol097oo00<007ooOol01goo00<007oo0000
1Goo00@007ooOol000Eoo`03001oogoo0:Qoo`00<goo00<007ooOol097oo00<007ooOol027oo0P00
1Goo00@007ooOol000Eoo`03001oogoo0:Qoo`00<goo00<007ooOol097oo00<007ooOol027oo0P00
1Goo00@007ooOol000Eoo`03001oogoo0:Qoo`00<goo00<007ooOol097oo00<007ooOol027oo0P00
1Goo00@007ooOol000Eoo`03001oogoo0:Qoo`00<goo00<007ooOol097oo00<007ooOol027oo00<0
07ooOol017oo00@007ooOol000Ioo`03001oogoo0:Moo`00<goo00<007ooOol097oo00<007ooOol0
27oo00<007ooOol017oo00@007oo000000Ioo`03001oogoo0:Moo`00<goo00<007ooOol097oo00<0
07ooOol027oo00<007ooOol01Goo0`001Woo00<007ooOol0Ygoo000cOol00`00Oomoo`0TOol00`00
Oomoo`0@Ool20008Ool00`00Oomoo`2VOol003=oo`03001oogoo02Aoo`03001oogoo011oo`03001o
ogoo00Moo`03001oogoo0:Ioo`00<goo00<007ooOol097oo00<007ooOol06Woo00<007ooOol0YWoo
0002Ool20004Ool20003Ool30003Ool30003Ool30003Ool30003Ool30004Ool20005Ool00`00Oomo
o`0TOol00`00Oomoo`0JOol00`00Oomoo`2VOol00005Ool007ooOol0000:Ool00`00Oomoo`03Ool0
0`00Oomoo`03Ool00`00Oomoo`03Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00<007ooOol0
0Woo00<007ooOol097oo00<007ooOol06Woo00<007ooOol0YWoo00001Goo001oogoo00002Goo0`00
0goo0`000goo0`000goo0`000goo0`001Goo00<007ooOol00Woo0P009Goo00<007ooOol06Woo00<0
07ooOol0YWoo00001Goo001oogoo000027oo00@007ooOol0009oo`04001oogoo0002Ool01000Oomo
o`000Woo00@007ooOol0009oo`04001oogoo0003Ool20005Ool00`00Oomoo`0TOol00`00Oomoo`0K
Ool00`00Oomoo`2UOol00005Ool007ooOol00008Ool01000Oomoo`000Woo00@007ooOol0009oo`04
001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000=oo`03001oogoo00Aoo`03001oogoo02Ao
o`03001oogoo01]oo`03001oogoo0:Eoo`000Woo0P002Woo0`000goo0`000goo0`000goo0`000goo
0`000goo0`0017oo00<007ooOol097oo00<007ooOol06goo00<007ooOol0YGoo000cOol00`00Oomo
o`0TOol00`00Oomoo`0KOol00`00Oomoo`2UOol003=oo`03001oogoo02Aoo`03001oogoo01]oo`03
001oogoo0:Eoo`00<goo00<007ooOol097oo00<007ooOol06goo00<007ooOol0YGoo000cOol00`00
Oomoo`0TOol00`00Oomoo`0LOol2002UOol003=oo`03001oogoo02Aoo`03001oogoo01aoo`<00:Ao
o`00<goo00<007ooOol097oo00<007ooOol077oo0`003goo00<007ooOol0TWoo000cOol00`00Oomo
o`0TOol00`00Oomoo`0LOol00`00Ool0000>Ool2002DOol003=oo`03001oogoo02Aoo`03001oogoo
01ioo`03001oo`0000aoo`80009oo`03001oogoo08moo`00<goo00<007ooOol097oo00<007ooOol0
7Woo00@007oo000000]oo`800003Ool00000095oo`00<goo00<007ooOol097oo00<007ooOol07Woo
00@007oo000000]oo`800003Ool00000095oo`00<goo00<007ooOol097oo00<007ooOol07Woo00@0
07oo000000]oo`800003Ool00000095oo`00<goo00<007ooOol097oo00<007ooOol07goo0`000Woo
00<007ooOol01Woo0P0000=oo`000000TGoo000cOol00`00Oomoo`0TOol00`00Oomoo`0OOol30002
Ool00`00Oomoo`06Ool200000goo0000002AOol003=oo`03001oogoo02Aoo`03001oogoo01moo`<0
0003Ool0000000Qoo`800003Ool00000095oo`00<goo00<007ooOol097oo00<007ooOol07goo0`00
00=oo`00000027oo0P0000=oo`000000TGoo000cOol00`00Oomoo`0SOol00`00Oomoo`0POol30000
0goo00000008Ool2000017oo001oo`00T7oo000cOol00`00Oomoo`0SOol00`00Oomoo`0POol01000
Ool007oo0P0027oo00H007oo000007oo002@Ool003=oo`03001oogoo02=oo`03001oogoo021oo`04
001oo`00Ool20002Ool00`00Oomoo`03Ool01P00Ool00000Ool0091oo`00<goo00<007ooOol08goo
00<007ooOol087oo00@007oo001oo`80009oo`03001oogoo00=oo`06001oo`00001oo`00T7oo000c
Ool00`00Oomoo`0LOol20004Ool20004Ool2000LOol600000goo00000005Ool01P00Ool00000Ool0
00ioo`D0009oo`8000Aoo`8001eoo`@001aoo`@000=oo`8000Aoo`8001moo`8000Ioo`00<goo00<0
07ooOol06goo00@007ooOol000Aoo`05001oogooOol00002Ool00`00Oomoo`0IOol00`00Ool00003
00000goo00000002Ool01@00Oomoo`00Ool00P0000=oo`00Ool03goo00<007ooOol01goo00@007oo
Ool001aoo`03001oogoo01eoo`03001oogoo00Uoo`04001oogoo000MOol01000Oomoo`001Goo000c
Ool00`00Oomoo`0KOol01000Oomoo`0017oo00<007ooOol017oo00<007ooOol06Goo00<007oo0000
0`0000=oo`0000000Woo00D007ooOol007oo00800003Ool007oo00moo`03001oogoo00Yoo`03001o
ogoo01]oo`03001oogoo01eoo`03001oogoo00]oo`03001oogoo01eoo`03001oogoo00Aoo`00<goo
00<007ooOol06goo00@007ooOol000Aoo`03001oogoo009oo`8001moo`<00003Ool00000009oo`80
0003Ool007oo00800003Ool007oo00moo`03001oogoo00Qoo`8001moo`03001oogoo01eoo`03001o
ogoo00Qoo`80025oo`03001oogoo00=oo`00<goo00<007ooOol06goo00@007ooOol000Aoo`03001o
ogoo009oo`03001oogoo01ioo`<00003Ool00000009oo`800003Ool007oo00800003Ool007oo00mo
o`03001oogoo00Qoo`03001oogoo01aoo`04001oogoo000LOol01000Oomoo`002Goo00<007ooOol0
7Goo00@007ooOol000Eoo`00<goo00<007ooOol077oo0P001Goo00<007ooOol00Woo0`007Goo1000
00Eoo`00Ool007oo00800003Ool007oo00800003Ool007oo00ioo`8000Yoo`<001eoo`8001ioo`80
00Yoo`<001ioo`8000Ioo`00<goo00<007ooOol08goo00<007ooOol08goo0`0000Eoo`00Ool007oo
00800003Ool007oo00800003Ool007oo08moo`00<goo00<007ooOol08goo00<007ooOol08goo00P0
07oo001oo`00Ool007oo0P0000=oo`00Ool00P0000=oo`00Ool0Sgoo000cOol00`00Oomoo`0SOol0
0`00Oomoo`0SOol01P00Ool007oo001oo`800005Ool007oo001oo`0200000goo001oo`2?Ool003=o
o`03001oogoo021oo`@002Eoo`06001oo`00Ool007oo0P0000Eoo`00Ool007oo00800004Ool007oo
0003Ool20029Ool003=oo`03001oogoo01Eoo`/002Uoo`03001oogoo00800008Ool00000Ool007oo
001oo`800003Ool007oo0080009oo`8003Yoo`03001oogoo04aoo`00;WoolP00000cOol00`00Oomo
o`07Ool20007Ool00`00Oomoo`0@Ool00`00Oomoo`0SOol00`00Oomoo`0200002Goo000007oo001o
o`00Ool00002Ool01000Ool000000Woo0P001goo00<007ooOol01Goo00<007ooOol01Goo00<007oo
Ool04Woo00@007ooOomoo`8000=oo`07001oogooOol007oo00000Woo0P000goo0P0017oo00<007oo
Ool00Woo00<007ooOol00Woo0P000Woo0P0000=oo`0000000P0000=oo`0000000P000Woo10000Woo
10000Woo0`000goo10000Woo1P001Woo000cOol00`00Oomoo`08Ool00`00Oomoo`05Ool00`00Oomo
o`0fOol00`00Oomoo`0200002Goo000007oo001oo`00Ool00002Ool02000Ool00000Ool007oo0007
Ool00`00Oomoo`04Ool20007Ool00`00Oomoo`05Ool00`00Oomoo`0:Ool20002Ool20003Ool20002
Ool00`00Ool00003000017oo001oogoo0`000Woo0`000Woo00<007oo00000`000Woo0`00<Goo000c
Ool00`00Oomoo`09Ool00`00Oomoo`04Ool00`00Oomoo`0fOol00`00Oomoo`0200002Goo000007oo
001oo`00Ool00002Ool01P00Ool00000Ool0009oo`03001oogoo00Aoo`03001oogoo00Aoo`8000Io
o`8000Moo`05001oogooOol00007Ool00`00Ool00002Ool00`00Ool00002Ool3000017oo001oogoo
0P000Woo100000=oo`0000000P0000=oo`0000000P000Woo0P00=goo000cOol00`00Oomoo`0:Ool0
0`00Oomoo`03Ool00`00Oomoo`0iOol200002Goo000007oo001oo`00Ool00002Ool01P00Ool00000
Ool0009oo`8000Aoo`8000Ioo`8000Ioo`8000Moo`04001oogooOol20003Ool01000Oomoo`000Woo
0P000Woo00<007oo00000Woo0P003Goo0P00@Goo000cOol00`00Oomoo`0:Ool00`00Oomoo`03Ool0
0`00Oomoo`0iOol200001goo000007oo001oo`0000Aoo`06001oo`00001oo`000Woo0P0017oo00<0
07oo00001Goo0P001Woo0P001goo00@007ooOomoo`80009oo`80009oo`03001oogoo0080009oo`<0
05Aoo`00<goo00<007ooOol02goo00<007ooOol00Woo00<007ooOol0>Goo0P0000Moo`00001oo`00
Ool00004Ool2000017oo001oo`000goo00<007ooOol00Woo00<007oo00001Goo0P001Woo0P000goo
00@007ooOomoo`80009oo`80009oo`05001oo`00Ool0001MOol003=oo`03001oogoo00]oo`03001o
ogoo009oo`03001oogoo03Uoo`800004Ool00000Ool20005Ool2000017oo001oo`0017oo00L007oo
Oomoo`00Ool00005Ool20006Ool00`00Ool00002Ool01000Oomoogoo0P000Woo0P000Woo00@007oo
000005ioo`00<goo00<007ooOol02goo00<007ooOol00Woo00<007ooOol0>Goo0P0000Aoo`00001o
o`8000Eoo`800004Ool007oo0004Ool01`00Oomoogoo001oo`0000Eoo`03001oo`00009oo`07001o
ogoo001oo`00Ool00P000Woo00L007oo001oo`00Ool00002Ool01000Ool00000GWoo000cOol00`00
Oomoo`0;Ool00`00Oomoo`02Ool00`00Oomoo`0iOol2000017oo000007oo0P001Goo0P000Woo0P00
17oo00L007ooOomoo`00Ool00005Ool00`00Ool00002Ool01`00Oomoo`00Ool007oo0080009oo`05
001oo`00Ool00002Ool2001ROol003=oo`03001oogoo00aoo`05001oogooOol0000kOol2000017oo
000007oo0P001Goo0P000Woo0P0017oo00@007ooOol0009oo`03001oogoo00=oo`04001oo`00Ool2
0002Ool02@00Ool007oo001oo`00Ool00002Ool20002Ool2001ROol003=oo`03001oogoo00aoo`05
001oogooOol0000kOol2000017oo000007oo0P001Goo0P000Woo0P0017oo00@007ooOol000=oo`03
001oo`00009oo`04001oo`00Ool20002Ool02@00Ool007oo001oo`00Ool0001ZOol003=oo`03001o
ogoo00aoo`05001oogooOol0000kOol2000017oo000007oo0P001Goo0P000Woo0P0017oo00@007oo
Ool000=oo`03001oo`00009oo`04001oo`00Ool2000017oo001oogoo0`0000=oo`000000Jgoo000c
Ool00`00Oomoo`0=Ool01000Oomoo`00>goo0P0000=oo`0000000Woo00<007ooOol017oo00@007oo
Ool000Ioo`03001oo`0000=oo`<00006Ool007ooOol007oo0P0000=oo`00Ool00Woo00<007ooOol0
0P00Jgoo000cOol00`00Oomoo`0=Ool01000Oomoo`00>goo0P0000=oo`0000000Woo00<007ooOol0
17oo00@007ooOol000Ioo`03001oo`0000=oo`<00008Ool007ooOol007oo001oo`8007=oo`00<goo
00<007ooOol03Goo00@007ooOol003]oo`03001oogoo0080009oo`03001oogoo00Aoo`04001oogoo
0006Ool20004Ool200000goo00000003Ool00`00Oomoo`02001cOol003=oo`03001oogoo00eoo`04
001oogoo000kOol00`00Oomoo`020002Ool00`00Oomoo`04Ool01000Oomoo`001Woo0P001goo0P00
1Woo0P00Lgoo000cOol00`00Oomoo`0=Ool01000Oomoo`00?Woo0P000Woo00<007ooOol017oo00@0
07ooOol000moo`8007]oo`00<goo00<007ooOol03Goo00@007ooOol003ioo`80009oo`03001oogoo
00Aoo`04001oogoo002<Ool003=oo`03001oogoo00ioo`03001oo`0003ioo`80009oo`03001oogoo
00Moo`03001oogoo08Yoo`00<goo00<007ooOol03Woo00<007oo0000?Woo0P000Woo00<007ooOol0
1goo00<007ooOol0RWoo000cOol00`00Oomoo`0>Ool00`00Ool0000nOol20002Ool00`00Oomoo`2D
Ool003=oo`03001oogoo00ioo`03001oo`0003ioo`80009oo`03001oogoo09Aoo`00<goo00<007oo
Ool03Woo00<007oo0000?Woo0P000Woo00<007ooOol0U7oo000cOol00`00Oomoo`0?Ool2000nOol2
0002Ool00`00Oomoo`2DOol003=oo`03001oogoo00moo`8003ioo`80009oo`03001oogoo09Aoo`00
<goo00<007ooOol03goo0P00?goo00@007ooOol009Ioo`00<goo00<007ooOol03goo0P00?goo00@0
07ooOol009Ioo`00<goo00<007ooOol03goo0P00?goo00@007ooOol009Ioo`00<goo00<007ooOol0
3goo0P00?goo00@007ooOol009Ioo`00<goo00<007ooOol03goo0P00fGoo0007Ool50002Ool20004
Ool20004Ool20004Ool20004Ool20003Ool50003Ool00`00Oomoo`0?Ool2003IOol000Uoo`03001o
ogoo00Moo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0004Ool0
0`00Oomoo`03Ool00`00Oomoo`0?Ool2003IOol000Uoo`03001oogoo00Moo`04001oogoo0002Ool0
1000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0004Ool00`00Oomoo`03Ool2000AOol00`00
Oomoo`3GOol000Uoo`03001oogoo00Moo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0
009oo`04001oogoo0004Ool00`00Oomoo`03Ool00`00Oomoo`0@Ool00`00Oomoo`3GOol000Uoo`03
001oogoo00Moo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0004
Ool00`00Oomoo`03Ool00`00Oomoo`3ZOol000Qoo`8000Yoo`8000Aoo`8000Aoo`8000Aoo`8000Ao
o`8000Eoo`03001oogoo0>Yoo`00<goo00<007ooOol0jWoo003oOolQOol00?moob5oo`00ogoo8Goo
003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol00?mo
ob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.664687, 0.999984, \
0.0130295, 1.48846*^-07}}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
%%ImageSize: 432 266.991 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
2.77556e-017 0.333333 -2.78115 3.09017 [
[.16667 -0.0125 -9.5 -15.5 ]
[.16667 -0.0125 9.5 0 ]
[.33333 -0.0125 -9.5 -15.5 ]
[.33333 -0.0125 9.5 0 ]
[.5 -0.0125 -9.5 -15.5 ]
[.5 -0.0125 9.5 0 ]
[.66667 -0.0125 -9.5 -15.5 ]
[.66667 -0.0125 9.5 0 ]
[.83333 -0.0125 -9.5 -15.5 ]
[.83333 -0.0125 9.5 0 ]
[1 -0.0125 -9.5 -15.5 ]
[1 -0.0125 9.5 0 ]
[1.025 0 0 -7.75 ]
[1.025 0 10 7.75 ]
[-0.0125 .15451 -25 -7.75 ]
[-0.0125 .15451 0 7.75 ]
[-0.0125 .30902 -25 -7.75 ]
[-0.0125 .30902 0 7.75 ]
[-0.0125 .46353 -25 -7.75 ]
[-0.0125 .46353 0 7.75 ]
[-0.0125 .61803 -25 -7.75 ]
[-0.0125 .61803 0 7.75 ]
[.5 .63053 -50.9063 0 ]
[.5 .63053 50.9063 15.5 ]
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.002 w
[ ] 0 setdash
.16667 0 m
.16667 .00625 L
s
gsave
.16667 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.33333 0 m
.33333 .00625 L
s
gsave
.33333 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.66667 0 m
.66667 .00625 L
s
gsave
.66667 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.83333 0 m
.83333 .00625 L
s
gsave
.83333 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(3.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
.03333 0 m
.03333 .00313 L
s
.06667 0 m
.06667 .00313 L
s
.1 0 m
.1 .00313 L
s
.13333 0 m
.13333 .00313 L
s
.2 0 m
.2 .00313 L
s
.23333 0 m
.23333 .00313 L
s
.26667 0 m
.26667 .00313 L
s
.3 0 m
.3 .00313 L
s
.36667 0 m
.36667 .00313 L
s
.4 0 m
.4 .00313 L
s
.43333 0 m
.43333 .00313 L
s
.46667 0 m
.46667 .00313 L
s
.53333 0 m
.53333 .00313 L
s
.56667 0 m
.56667 .00313 L
s
.6 0 m
.6 .00313 L
s
.63333 0 m
.63333 .00313 L
s
.7 0 m
.7 .00313 L
s
.73333 0 m
.73333 .00313 L
s
.76667 0 m
.76667 .00313 L
s
.8 0 m
.8 .00313 L
s
.86667 0 m
.86667 .00313 L
s
.9 0 m
.9 .00313 L
s
.93333 0 m
.93333 .00313 L
s
.96667 0 m
.96667 .00313 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
1.025 0 -61 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
69.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.002 w
0 .15451 m
.00625 .15451 L
s
gsave
-0.0125 .15451 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.95) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.00) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .46353 m
.00625 .46353 L
s
gsave
-0.0125 .46353 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.05) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.10) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
0 .0309 m
.00313 .0309 L
s
0 .0618 m
.00313 .0618 L
s
0 .09271 m
.00313 .09271 L
s
0 .12361 m
.00313 .12361 L
s
0 .18541 m
.00313 .18541 L
s
0 .21631 m
.00313 .21631 L
s
0 .24721 m
.00313 .24721 L
s
0 .27812 m
.00313 .27812 L
s
0 .33992 m
.00313 .33992 L
s
0 .37082 m
.00313 .37082 L
s
0 .40172 m
.00313 .40172 L
s
0 .43262 m
.00313 .43262 L
s
0 .49443 m
.00313 .49443 L
s
0 .52533 m
.00313 .52533 L
s
0 .55623 m
.00313 .55623 L
s
0 .58713 m
.00313 .58713 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
.5 .63053 -111.906 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(True) show
88.625 15.813 moveto
(Euler) show
117.563 15.813 moveto
(Equation) show
160.813 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.00333 .30902 m
.00456 .30902 L
.00568 .30902 L
.00698 .30902 L
.0082 .30902 L
.00933 .30902 L
.01037 .30902 L
.01151 .30902 L
.01273 .30902 L
.01394 .30902 L
.01525 .30902 L
.01649 .30902 L
.01762 .30902 L
.01894 .30902 L
.01969 .30902 L
.02039 .30902 L
.02166 .30902 L
.02302 .30902 L
.02442 .30902 L
.02571 .30902 L
.02712 .30902 L
.02862 .30902 L
.03114 .30902 L
.03256 .30902 L
.0339 .30902 L
.03639 .30902 L
.03866 .30902 L
.04128 .30902 L
.04377 .30902 L
.04629 .30902 L
.04908 .30902 L
.052 .30902 L
.05474 .30902 L
.05962 .30902 L
.06237 .30902 L
.06489 .30902 L
.07023 .30902 L
.07326 .30903 L
.07608 .30903 L
.07901 .30903 L
.08045 .30903 L
.08177 .30903 L
.08252 .30903 L
.0833 .30902 L
.08409 .30902 L
.08496 .30902 L
.08786 .30902 L
.09047 .30902 L
.09331 .30902 L
.096 .30902 L
Mistroke
.09849 .30902 L
.10096 .30902 L
.1032 .30902 L
.10821 .30902 L
.11103 .30902 L
.11363 .30902 L
.11647 .30902 L
.11948 .30902 L
.12453 .30902 L
.1274 .30902 L
.13008 .30902 L
.13533 .30902 L
.1383 .30902 L
.14104 .30902 L
.14607 .30902 L
.15142 .30902 L
.15619 .30902 L
.16066 .30902 L
.16305 .30902 L
.16435 .30902 L
.16557 .30902 L
.16688 .30901 L
.16758 .30901 L
.16832 .30901 L
.16965 .30901 L
.17085 .309 L
.17327 .30899 L
.17594 .30898 L
.17728 .30898 L
.17803 .30897 L
.17872 .30897 L
.18132 .30898 L
.18369 .30899 L
.18503 .30899 L
.18627 .30899 L
.18735 .30899 L
.18855 .30899 L
.18979 .309 L
.19096 .309 L
.19223 .30899 L
.19295 .30899 L
.19362 .30899 L
.19498 .30899 L
.19643 .30898 L
.19778 .30898 L
.19905 .30898 L
.2002 .30898 L
.20144 .30898 L
.20213 .30898 L
.20288 .30898 L
Mistroke
.20425 .30898 L
.20507 .30898 L
.20583 .30898 L
.20653 .30898 L
.20728 .30898 L
.20875 .30897 L
.20948 .30897 L
.21014 .30897 L
.21139 .30898 L
.21274 .30898 L
.21504 .30899 L
.21634 .309 L
.21755 .309 L
.21884 .309 L
.22 .309 L
.22135 .309 L
.22263 .309 L
.22395 .309 L
.22461 .309 L
.22534 .30899 L
.22663 .30899 L
.22785 .30899 L
.23061 .30898 L
.232 .30897 L
.23279 .30897 L
.23352 .30897 L
.23619 .30897 L
.23766 .30898 L
.23905 .30898 L
.24032 .30898 L
.2417 .30898 L
.24296 .30898 L
.24411 .30898 L
.24548 .30898 L
.24676 .30899 L
.24827 .30899 L
.24966 .309 L
.25036 .309 L
.25111 .309 L
.25249 .309 L
.25326 .309 L
.25407 .309 L
.25484 .309 L
.25553 .309 L
.25679 .309 L
.25799 .309 L
.25937 .309 L
.26062 .309 L
.2618 .309 L
.26289 .309 L
Mistroke
.26536 .30899 L
.2666 .30899 L
.26776 .30899 L
.26897 .30898 L
.27031 .30899 L
.27165 .30899 L
.27292 .30899 L
.27362 .30899 L
.27439 .30899 L
.27573 .30899 L
.2765 .30899 L
.27722 .30899 L
.27858 .30899 L
.27934 .30899 L
.28004 .30899 L
.28081 .30899 L
.28162 .30899 L
.28445 .30899 L
.28584 .30899 L
.2871 .309 L
.2895 .309 L
.29082 .309 L
.29207 .309 L
.29754 .309 L
.30763 .30901 L
.30893 .30901 L
.31029 .309 L
.31101 .309 L
.31179 .309 L
.31317 .30901 L
.31447 .30901 L
.31519 .30901 L
.31586 .30901 L
.31716 .30901 L
.31836 .30901 L
.31946 .30901 L
.32062 .30901 L
.32189 .30901 L
.32307 .30901 L
.32409 .30901 L
.32519 .30901 L
.32641 .30901 L
.32752 .30901 L
.32881 .30901 L
.33 .30901 L
.33142 .30902 L
.33271 .30902 L
.33394 .30902 L
.33509 .30901 L
.33632 .30901 L
Mistroke
.33764 .30901 L
.33894 .30901 L
.34013 .30901 L
.3415 .30901 L
.34279 .30901 L
.34513 .30902 L
.3463 .30902 L
.3476 .30902 L
.34828 .30902 L
.34901 .30902 L
.35032 .30901 L
.35164 .30901 L
.35284 .30901 L
.35417 .30901 L
.35492 .30901 L
.35561 .30901 L
.35635 .30902 L
.35703 .30902 L
.35853 .30902 L
.35991 .30903 L
.36061 .30903 L
.36137 .30903 L
.36273 .30902 L
.36398 .30902 L
.36469 .30902 L
.36545 .30901 L
.36626 .30901 L
.36703 .30901 L
.36775 .30901 L
.36851 .30901 L
.36988 .30901 L
.37114 .30902 L
.3725 .30902 L
.37368 .30903 L
.37497 .30903 L
.37571 .30903 L
.37639 .30902 L
.3779 .30902 L
.3792 .30901 L
.37991 .30901 L
.38059 .30901 L
.38187 .30901 L
.38255 .30901 L
.38329 .30901 L
.38405 .30901 L
.38478 .30901 L
.38615 .30901 L
.38742 .30901 L
.3886 .30902 L
.3899 .30902 L
Mistroke
.39128 .30901 L
.39279 .30901 L
.39364 .30901 L
.39442 .30901 L
.3951 .30901 L
.39585 .30901 L
.39664 .30901 L
.39737 .30901 L
.39809 .30901 L
.39876 .30901 L
.40003 .30901 L
.4014 .30902 L
.40289 .30902 L
.40419 .30903 L
.40541 .30902 L
.40675 .30902 L
.40744 .30902 L
.4082 .30902 L
.40889 .30902 L
.40963 .30902 L
.41041 .30902 L
.41114 .30902 L
.41187 .30902 L
.41255 .30902 L
.41384 .30902 L
.41507 .30902 L
.41637 .30902 L
.41749 .30902 L
.4187 .30902 L
.42 .30903 L
.42121 .30902 L
.42266 .30902 L
.42397 .30902 L
.42534 .30902 L
.42663 .30902 L
.428 .30902 L
.42877 .30902 L
.42947 .30902 L
.43066 .30902 L
.43195 .30902 L
.43331 .30902 L
.43457 .30902 L
.43529 .30902 L
.43608 .30902 L
.43681 .30902 L
.4375 .30902 L
.43879 .30902 L
.44016 .30902 L
.44086 .30902 L
.44162 .30902 L
Mistroke
.443 .30902 L
.44613 .30902 L
.44882 .30902 L
.44956 .30902 L
.45035 .30902 L
.45109 .30902 L
.45176 .30902 L
.45309 .30902 L
.45383 .30902 L
.45452 .30902 L
.45578 .30902 L
.45712 .30902 L
.45959 .30902 L
.46191 .30902 L
.46464 .30902 L
.46595 .30902 L
.46717 .30902 L
.46838 .30902 L
.46971 .30902 L
.4724 .30902 L
.47383 .30902 L
.47514 .30902 L
.47583 .30902 L
.47658 .30902 L
.47736 .30902 L
.4781 .30902 L
.47944 .30902 L
.48072 .30902 L
.48186 .30902 L
.4831 .30902 L
.48445 .30902 L
.48513 .30902 L
.48588 .30902 L
.48721 .30902 L
.48845 .30902 L
.48965 .30902 L
.49096 .30902 L
.49219 .30902 L
.49334 .30902 L
.49447 .30902 L
.4955 .30902 L
.49781 .30902 L
.49902 .30902 L
.5003 .30902 L
.50096 .30902 L
.5017 .30902 L
.50299 .30902 L
.5042 .30902 L
.50551 .30902 L
.50674 .30902 L
Mistroke
.50786 .30902 L
.5091 .30902 L
.51026 .30902 L
.51153 .30902 L
.5129 .30902 L
.51426 .30902 L
.51495 .30902 L
.51569 .30902 L
.51702 .30902 L
.51825 .30902 L
.5195 .30902 L
.52069 .30902 L
.52175 .30902 L
.5229 .30902 L
.52415 .30902 L
.52548 .30902 L
.52661 .30902 L
.52786 .30902 L
.52855 .30902 L
.52931 .30902 L
.53069 .30902 L
.53327 .30902 L
.53403 .30902 L
.53474 .30902 L
.53555 .30902 L
.53629 .30902 L
.53765 .30902 L
.53909 .30902 L
.54035 .30902 L
.54172 .30902 L
.54297 .30902 L
.54414 .30902 L
.54552 .30902 L
.54677 .30902 L
.54747 .30902 L
.54822 .30902 L
.54959 .30902 L
.55085 .30902 L
.55205 .30902 L
.55343 .30902 L
.55469 .30902 L
.55579 .30902 L
.55697 .30902 L
.55827 .30902 L
.55947 .30902 L
.5602 .30902 L
.56088 .30902 L
.56162 .30902 L
.5624 .30902 L
.56372 .30902 L
Mistroke
.56447 .30902 L
.56517 .30902 L
.56767 .30902 L
.56897 .30902 L
.57035 .30902 L
.57104 .30902 L
.57182 .30902 L
.57318 .30902 L
.57466 .30902 L
.57626 .30902 L
.57699 .30902 L
.57776 .30902 L
.57914 .30902 L
.58044 .30902 L
.58117 .30902 L
.58186 .30902 L
.58322 .30902 L
.58451 .30902 L
.58567 .30902 L
.58693 .30902 L
.5883 .30902 L
.58905 .30902 L
.58975 .30902 L
.59099 .30902 L
.59235 .30902 L
.59366 .30902 L
.59506 .30902 L
.59637 .30902 L
.59756 .30902 L
.59829 .30902 L
.59897 .30902 L
.59971 .30902 L
.60049 .30902 L
.6018 .30902 L
.60255 .30902 L
.60324 .30902 L
.60585 .30902 L
.60709 .30902 L
.60823 .30902 L
.60955 .30902 L
.61024 .30902 L
.61098 .30902 L
.61234 .30902 L
.61358 .30902 L
.6147 .30902 L
.61587 .30902 L
.61705 .30902 L
.61834 .30902 L
.61946 .30902 L
.62065 .30902 L
Mistroke
.62178 .30902 L
.62281 .30902 L
.62532 .30902 L
.62664 .30902 L
.62736 .30902 L
.62804 .30902 L
.62926 .30902 L
.63061 .30902 L
.63298 .30902 L
.63429 .30902 L
.63496 .30902 L
.63569 .30902 L
.63699 .30902 L
.6382 .30902 L
.6389 .30902 L
.63963 .30902 L
.64094 .30902 L
.64167 .30902 L
.64235 .30902 L
.64389 .30902 L
.64513 .30902 L
.64647 .30902 L
.64773 .30902 L
.6489 .30902 L
.65026 .30902 L
.6517 .30902 L
.65303 .30902 L
.65425 .30902 L
.65542 .30902 L
.65654 .30902 L
.65773 .30902 L
.65902 .30902 L
.66014 .30902 L
.66133 .30902 L
.66246 .30902 L
.66348 .30902 L
.666 .30902 L
.66732 .30902 L
.66799 .30902 L
.66872 .30902 L
.67005 .30902 L
.67129 .30902 L
.67242 .30902 L
.67366 .30902 L
.67498 .30902 L
.6757 .30902 L
.67638 .30902 L
.67759 .30902 L
.6789 .30902 L
.67959 .30902 L
Mistroke
.68035 .30902 L
.68187 .30902 L
.68329 .30902 L
.6846 .30902 L
.68584 .30902 L
.68718 .30902 L
.68845 .30902 L
.68961 .30902 L
.69098 .30902 L
.69242 .30902 L
.69375 .30902 L
.69497 .30902 L
.69607 .30902 L
.69727 .30902 L
.69854 .30902 L
.69975 .30902 L
.70087 .30902 L
.70207 .30902 L
.7032 .30902 L
.70422 .30902 L
.70674 .30902 L
.70806 .30902 L
.70879 .30902 L
.70946 .30902 L
.71069 .30902 L
.71203 .30902 L
.71439 .30902 L
.71572 .30902 L
.71644 .30902 L
.71712 .30902 L
.71833 .30902 L
.71965 .30902 L
.72039 .30902 L
.72109 .30902 L
.7224 .30902 L
.72314 .30902 L
.72382 .30902 L
.72457 .30902 L
.72536 .30902 L
.72817 .30902 L
.72954 .30902 L
.73081 .30902 L
.73196 .30902 L
.73318 .30902 L
.73574 .30902 L
.73693 .30902 L
.73805 .30902 L
.73935 .30902 L
.74053 .30902 L
.74164 .30902 L
Mistroke
.74267 .30902 L
.7438 .30902 L
.74501 .30902 L
.7462 .30902 L
.7475 .30902 L
.74984 .30902 L
.7512 .30902 L
.75194 .30902 L
.75262 .30902 L
.75384 .30902 L
.75518 .30902 L
.75774 .30902 L
.75914 .30902 L
.76046 .30902 L
.76114 .30902 L
.76187 .30902 L
.76269 .30902 L
.76343 .30902 L
.76411 .30902 L
.76484 .30902 L
.76618 .30902 L
.76755 .30902 L
.76879 .30902 L
.77157 .30902 L
.77284 .30902 L
.77418 .30902 L
.77532 .30902 L
.77657 .30902 L
.7789 .30902 L
.78139 .30902 L
.78211 .30902 L
.7828 .30902 L
.78408 .30902 L
.78528 .30902 L
.78659 .30902 L
.78772 .30902 L
.78897 .30902 L
.79027 .30902 L
.79149 .30902 L
.79367 .30902 L
.79602 .30902 L
.79732 .30902 L
.79854 .30902 L
.79921 .30902 L
.79994 .30902 L
.80122 .30902 L
.80244 .30902 L
.80374 .30902 L
.80495 .30902 L
.80605 .30902 L
Mistroke
.80736 .30902 L
.80807 .30902 L
.80875 .30902 L
.80996 .30902 L
.81128 .30902 L
.81197 .30902 L
.81272 .30902 L
.81426 .30902 L
.81568 .30902 L
.81702 .30902 L
.81972 .30902 L
.82107 .30902 L
.82184 .30902 L
.82256 .30902 L
.82517 .30902 L
.82646 .30902 L
.82764 .30902 L
.82904 .30902 L
.82977 .30902 L
.83055 .30902 L
.8318 .30902 L
.83318 .30902 L
.83395 .30902 L
.83466 .30902 L
.83547 .30902 L
.83624 .30902 L
.83761 .30902 L
.83911 .30902 L
.84178 .30902 L
.84319 .30902 L
.84395 .30902 L
.84467 .30902 L
.84597 .30902 L
.84666 .30902 L
.8474 .30902 L
.84991 .30902 L
.85117 .30902 L
.85254 .30902 L
.85383 .30902 L
.85503 .30902 L
.85611 .30902 L
.8573 .30902 L
.85854 .30902 L
.8597 .30902 L
.86098 .30902 L
.86171 .30902 L
.86239 .30902 L
.86521 .30902 L
.86646 .30902 L
.86781 .30902 L
Mistroke
.86909 .30902 L
.87026 .30902 L
.87093 .30902 L
.87166 .30902 L
.87315 .30902 L
.87577 .30902 L
.87723 .30902 L
.87804 .30902 L
.87881 .30902 L
.87952 .30902 L
.88029 .30902 L
.88165 .30902 L
.88233 .30902 L
.88305 .30902 L
.88433 .30902 L
.88571 .30902 L
.88723 .30902 L
.88994 .30902 L
.89248 .30902 L
.89375 .30902 L
.89495 .30902 L
.89604 .30902 L
.89721 .30902 L
.89983 .30902 L
.90228 .30902 L
.90355 .30902 L
.90491 .30902 L
.90565 .30902 L
.90643 .30902 L
.90709 .30902 L
.90782 .30902 L
.90859 .30902 L
.90929 .30902 L
.9101 .30902 L
.91086 .30902 L
.91222 .30902 L
.9137 .30902 L
.91636 .30902 L
.91782 .30902 L
.91919 .30902 L
.92035 .30902 L
.9216 .30902 L
.92424 .30902 L
.92562 .30902 L
.92692 .30902 L
.92827 .30902 L
.92976 .30902 L
.93104 .30902 L
.93222 .30902 L
.93351 .30902 L
Mistroke
.93487 .30902 L
.93626 .30902 L
.93703 .30902 L
.93773 .30902 L
.9404 .30902 L
.94193 .30902 L
.94354 .30902 L
.94493 .30902 L
.94571 .30902 L
.94645 .30902 L
.94916 .30902 L
.95164 .30902 L
.95294 .30902 L
.95435 .30902 L
.95513 .30902 L
.95585 .30902 L
.95653 .30902 L
.95727 .30902 L
.95861 .30902 L
.95987 .30902 L
.96109 .30902 L
.96222 .30902 L
.96344 .30902 L
.96479 .30902 L
.9675 .30902 L
.96952 .30902 L
.97058 .30902 L
.97171 .30902 L
.9727 .30902 L
.97379 .30902 L
.97571 .30902 L
.97756 .30902 L
.97957 .30902 L
.98146 .30902 L
.98236 .30902 L
.98319 .30902 L
.98417 .30902 L
.98522 .30902 L
.98619 .30902 L
.9871 .30902 L
.98817 .30902 L
.98915 .30902 L
.99024 .30902 L
.99138 .30902 L
1 .30902 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{432, 266.938},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006`00012Q000`40O003h00Oogoo/Goo003oOona
Ool00?mook5oo`00ogoo/Goo001LOol30003Ool00`00Ool00002000bOol30003Ool00`00Oomoo`03
000aOol30003Ool00`00Ool00002000aOol50002Ool00`00Oomoo`03000`Ool50002Ool00`00Ool0
0002000`Ool40003Ool00`00Oomoo`03000HOol005]oo`05001oogooOol00007Ool00`00Oomoo`0`
Ool00`00Oomoo`04Ool01@00Oomoogoo0000<Goo00<007ooOol01goo00<007ooOol0;goo00@007oo
Ool000Aoo`05001oogooOol0000`Ool01000Oomoo`001goo00<007ooOol0<Goo00<007ooOol00Woo
00D007ooOomoo`0001Moo`00Fgoo00D007ooOomoo`0000Qoo`03001oogoo02moo`03001oogoo00Ao
o`05001oogooOol0000aOol00`00Oomoo`08Ool00`00Oomoo`0_Ool00`00Oomoo`04Ool01@00Oomo
ogoo0000<Goo00<007ooOol027oo00<007ooOol0<7oo00<007ooOol00Woo00D007ooOomoo`0001Mo
o`00Fgoo00D007ooOomoo`0000Qoo`03001oogoo02moo`03001oogoo00Aoo`05001oogooOol0000a
Ool00`00Oomoo`08Ool00`00Oomoo`0`Ool00`00Oomoo`03Ool01@00Oomoogoo0000<Woo00<007oo
Ool01goo00<007ooOol0<7oo00<007ooOol00Woo00D007ooOomoo`0001Moo`00Fgoo00D007ooOomo
o`0000Qoo`03001oogoo02moo`03001oogoo00Aoo`05001oogooOol0000aOol00`00Oomoo`08Ool0
0`00Oomoo`0aOol00`00Oomoo`02Ool01@00Oomoogoo0000<goo00<007ooOol01Woo00<007ooOol0
;Woo0P001Goo00D007ooOomoo`0001Moo`00Fgoo00D007ooOomoo`0000Moo`03001oogoo031oo`03
001oogoo00Aoo`05001oogooOol0000aOol00`00Oomoo`07Ool00`00Oomoo`0bOol00`00Oomoo`02
Ool01@00Oomoogoo0000<goo00<007ooOol01Goo00<007ooOol0<7oo00<007ooOol00goo00D007oo
Oomoo`0001Moo`00Fgoo00D007ooOomoo`0000Eoo`8003=oo`03001oogoo00Aoo`05001oogooOol0
000aOol00`00Oomoo`05Ool2000eOol00`00Oomoo`02Ool01@00Oomoogoo0000<goo00<007ooOol0
0goo0P00=7oo00<007ooOol00Woo00D007ooOomoo`0001Moo`00Fgoo00D007ooOomoo`0000Eoo`03
001oogoo035oo`8000Ioo`05001oogooOol0000`Ool20007Ool00`00Oomoo`0`Ool01@00Oomoogoo
000017oo00D007ooOomoo`0002moo`05001oogooOol00005Ool00`00Oomoo`0_Ool01@00Oomoogoo
000017oo00D007ooOomoo`0001Moo`00G7oo0`001goo0`00<Goo00<007ooOol01Goo0`00<Woo00<0
07ooOol01Woo0`00<7oo0`001Woo0`00<Goo0`001goo0`00;goo0`001Woo0`0067oo003oOonaOol0
0?mook5oo`00ogoo/Goo003oOonaOol00?mooimoo`800003Ool0000000eoo`00ogooX7oo00<007oo
00003Woo003oOonQOol00`00Oomoo`0=Ool002Ioool006l000aoo`03001oogoo00eoo`009Woo00<0
07ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<0
07ooOol02Woo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<0
07ooOol02Woo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<0
07ooOol02Goo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Goo00<007ooOol02Goo00<0
07ooOol02Goo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Goo00<0
07ooOol02Goo00<007ooOol02Goo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02Goo00<0
07ooOol02Goo00<007oo00003Woo000VOol00`00Oomoo`0iOol00`00Oomoo`0jOol00`00Oomoo`0j
Ool00`00Oomoo`0jOol00`00Oomoo`0jOol00`00Oomoo`0jOol00`00Oomoo`08Ool200000goo0000
000=Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3o
Oon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3o
Oon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol2003oOon9Ool0
02Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool0
02Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool0
02Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool0
02Ioo`03001oogoo0?moohQoo`009Woo0P00ogooRGoo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo0P00ogooRGoo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo
0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo
0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo
0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`800?moohUo
o`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQo
o`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQo
o`009Woo00<007ooOol0ogooR7oo000;Ool30003Ool01000Ool0000017oo0`002Woo00<007ooOol0
ogooR7oo000:Ool01@00Oomoogoo00001Woo00<007ooOol017oo00<007ooOol01goo00<007ooOol0
ogooR7oo000:Ool01@00Oomoogoo00001goo00<007ooOol017oo00<007ooOol01Woo00<007ooOol0
ogooR7oo000:Ool01@00Oomoogoo00001Goo10001Goo00<007ooOol01Woo0`00ogooR7oo000:Ool0
1@00Oomoogoo000017oo00D007ooOomoo`0000Eoo`03001oogoo00Ioo`03001oogoo0?moohQoo`00
2Woo00D007ooOomoo`0000Aoo`05001oogooOol00004Ool00`00Oomoo`07Ool00`00Oomoo`3oOon8
Ool000Yoo`05001oogooOol00004Ool01@00Oomoogoo00000Woo0P002Woo00<007ooOol0ogooR7oo
000:Ool01@00Oomoogoo000017oo00D007ooOomoo`00009oo`03001oogoo00Uoo`03001oogoo0?mo
ohQoo`002goo0`001Woo0`0017oo0`0027oo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8
Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8
Ool002Ioo`03001oogoo0?moohQoo`009Woo0P00ogooRGoo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo0P00ogooRGoo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001o
ogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001o
ogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001o
ogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`800?mo
ohUoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?mo
ohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?mo
ohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?mo
ohQoo`009Woo00<007ooOol0ogooR7oo000VOol2003oOon9Ool002Ioo`03001oogoo0?moohQoo`00
9Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQoo`00
9Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQoo`00
2goo0`000goo00<007ooOol00`000goo0`002Goo00<007ooOol0ogooR7oo000<Ool00`00Oomoo`04
Ool01`00Oomoogoo001oo`0000=oo`03001oogoo00Ioo`03001oogoo0?moohQoo`0037oo00<007oo
Ool017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`06Ool00`00Oomoo`3oOon8Ool000aoo`03
001oogoo00Aoo`07001oogooOol007oo00000goo00<007ooOol01Woo00<007ooOol0ogooR7oo000<
Ool00`00Oomoo`04Ool01`00Oomoogoo001oo`0000=oo`03001oogoo00Ioool006l001aoo`0037oo
00<007ooOol017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`06Ool00`00Oomoo`3oOon8Ool0
00aoo`03001oogoo00Aoo`07001oogooOol007oo00000goo00<007ooOol01Woo00<007ooOol0ogoo
R7oo000;Ool20006Ool01`00Oomoogoo001oo`0000=oo`03001oogoo00Ioo`03001oogoo0?moohQo
o`0037oo00<007ooOol01Goo0`000goo0`002Goo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3o
Oon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3o
Oon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol2003oOon9Ool0
02Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool0
02Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool0
02Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool0
02Ioo`03001oogoo0?moohQoo`009Woo0P00ogooRGoo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03
001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`80
0?moohUoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo
0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo
0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo
0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`800?moohUo
o`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQo
o`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQo
o`009Woo00<007ooOol0ogooR7oo000;Ool30003Ool00`00Oomoo`030002Ool3000:Ool00`00Oomo
o`3oOon8Ool000aoo`03001oogoo00Aoo`05001oogooOol00004Ool00`00Oomoo`07Ool00`00Oomo
o`3oOon8Ool000aoo`03001oogoo00Aoo`05001oogooOol00005Ool00`00Oomoo`06Ool00`00Oomo
o`3oOon8Ool000aoo`03001oogoo00Aoo`05001oogooOol00005Ool00`00Oomoo`06Ool3003oOon8
Ool000aoo`03001oogoo00Aoo`05001oogooOol00005Ool00`00Oomoo`06Ool00`00Oomoo`3oOon8
Ool000aoo`03001oogoo00Aoo`05001oogooOol00004Ool00`00Oomoo`07Ool00`00Oomoo`3oOon8
Ool000aoo`03001oogoo00Aoo`05001oogooOol00002Ool2000:Ool00`00Oomoo`3oOon8Ool000]o
o`8000Ioo`05001oogooOol00002Ool00`00Oomoo`09Ool00`00Oomoo`3oOon8Ool000aoo`03001o
ogoo00Eoo`<000Aoo`<000Qoo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol0
0`00Oomoo`3oOon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol0
0`00Oomoo`3oOon8Ool002Ioo`800?moohUoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomo
o`3oOon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomo
o`3oOon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomo
o`3oOon8Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomo
o`3oOon8Ool002Ioo`800?moohUoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8
Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8
Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8
Ool002Ioo`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol2003oOon9Ool002Io
o`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Io
o`03001oogoo0?moohQoo`009Woo0P00ogooRGoo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001o
ogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool002Ioo`03001o
ogoo0?moohQoo`009Woo00<007ooOol0ogooR7oo000VOol00`00Oomoo`3oOon8Ool000]oo`<000=o
o`03001oogoo00<000=oo`<000Uoo`03001oogoo0?moohQoo`0037oo00<007ooOol01Woo00D007oo
Oomoo`0000=oo`03001oogoo00Ioo`03001oogoo0?moohQoo`0037oo00<007ooOol01Woo00D007oo
Oomoo`0000=oo`03001oogoo00Ioo`03001oogoo0?moohQoo`0037oo00<007ooOol01Woo00D007oo
Oomoo`0000=oo`03001oogoo00Ioo`<00?moohQoo`0037oo00<007ooOol01Woo00D007ooOomoo`00
00=oo`03001oogoo0?mooi5oo`0037oo00<007ooOol01Woo00D007ooOomoo`0000=oo`03001oogoo
0?mooi5oo`0037oo00<007ooOol01Woo00D007ooOomoo`0000=oo`03001oogoo0?mooi5oo`002goo
0P001goo0P000goo00D007ooOomoo`000?mooi=oo`0037oo00<007ooOol01Woo00<007ooOol00Woo
0`00ogooU7oo003oOonaOol00>aoo`<00<5oo`00kGoo00<007ooOol0`7oo003]Ool00`00Oomoo`30
Ool00:eoo`<000=oo`<000=oo`@00003Ool0000000Eoo`H000=oo`L00003Ool00000009oo`<000Eo
o`H0009oo`800003Ool007oo009oo`@00003Ool0000000800004Ool00000Ool3000017oo00000000
0Woo0`0000=oo`000000Xgoo002^Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00<007oo0000
0Woo00<007ooOol00goo00<007ooOol00Woo00<007oo00000Woo00H007ooOol007oo0002Ool01000
Oomoo`001goo00<007ooOol00Woo0P000Woo0P000Woo00H007ooOol007oo0002Ool01000Oomoo`00
0goo00<007oo00000goo00@007ooOol0009oo`03001oogoo0:9oo`00[Woo00<007ooOol00goo00D0
07ooOomoo`00009oo`03001oo`0000Qoo`03001oogoo00Aoo`04001oogoo0002Ool00`00Ool00005
Ool00`00Oomoo`05Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00H007ooOol007oo0002Ool0
1000Oomoo`000goo00<007oo00000goo00@007ooOol0009oo`03001oogoo0:9oo`00[Woo00<007oo
Ool00goo00D007ooOomoo`00009oo`03001oo`0000<000Eoo`04001oogoo0003Ool01000Oomoo`00
0Woo00<007oo00000`000Woo00<007ooOol01Goo00@007ooOol0009oo`05001oogooOol00002Ool0
1000Oomoo`000Woo0`000Woo00L007ooOomoo`00Ool00003Ool01000Oomoo`000Woo00<007ooOol0
XWoo002^Ool00`00Oomoo`03Ool20002Ool01P00Oomoo`00Ool0009oo`03001oogoo00=oo`@000=o
o`04001oogoo0002Ool00`00Ool00002Ool00`00Oomoo`020006Ool40002Ool00`00Oomoo`020002
Ool01P00Oomoo`00Ool0009oo`04001oogoo0003Ool00`00Ool00003Ool00`00Oomoo`0200000goo
001oo`2SOol00:ioo`03001oogoo009oo`800005Ool00000001oo`020002Ool20006Ool01000Oomo
o`000Woo0P0000=oo`0000000Woo00<007ooOol00P000Woo0P0000=oo`00Ool017oo00@007ooOol0
00=oo`800003Ool007oo00800003Ool00000009oo`80009oo`<00003Ool00000009oo`<0009oo`80
0003Ool007oo0:Aoo`00[Woo00<007ooOol05Goo00<007ooOol02Woo00<007ooOol03Goo00<007oo
Ool05Goo00<007ooOol0/Woo002[Ool01000Oomoo`000Woo00<007ooOol04Woo00D007ooOomoo`00
00Qoo`03001oogoo00eoo`05001oogooOol0000COol00`00Oomoo`2bOol00:]oo`L001=oo`H000Mo
o`8000ioo`H001Moo`03001oogoo0:ioo`00ogoo/Goo003oOonaOol00001\
\>"],
  ImageRangeCache->{{{0, 431}, {265.938, 0}} -> {-0.312339, 0.882224, \
0.00821117, 0.000885729}}]
}, Open  ]],

Cell[BoxData[
    \("Solving r00"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9052306673682456`\),
      SequenceForm[ "Impatience condition:", .90523066736824565],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating r00"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving r00"\)], "Print"],

Cell[BoxData[
    \("Solving r04"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9414398940629756`\),
      SequenceForm[ "Impatience condition:", .94143989406297557],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating r04"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving r04"\)], "Print"],

Cell[BoxData[
    \("Solving del00"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9618075840787611`\),
      SequenceForm[ "Impatience condition:", .9618075840787611],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating del00"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving del00"\)], "Print"],

Cell[BoxData[
    \("Solving del08"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.8905625778507045`\),
      SequenceForm[ "Impatience condition:", .89056257785070447],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating del08"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving del08"\)], "Print"],

Cell[BoxData[
    \("Solving g02"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9787210586490909`\),
      SequenceForm[ "Impatience condition:", .97872105864909087],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating g02"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving g02"\)], "Print"],

Cell[BoxData[
    \("Solving g06"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.8720509356775096`\),
      SequenceForm[ "Impatience condition:", .87205093567750958],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating g06"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving g06"\)], "Print"],

Cell[BoxData[
    \("Solving rho1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9508474455585504`\),
      SequenceForm[ "Impatience condition:", .95084744555855039],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating rho1"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving rho1"\)], "Print"],

Cell[BoxData[
    \("Solving rho5"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9319481989632509`\),
      SequenceForm[ "Impatience condition:", .93194819896325087],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating rho5"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving rho5"\)], "Print"],

Cell[BoxData[
    \("Solving ep05"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.883445594010992`\),
      SequenceForm[ "Impatience condition:", .88344559401099199],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating ep05"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving ep05"\)], "Print"],

Cell[BoxData[
    \("Solving ep15"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9935130282268713`\),
      SequenceForm[ "Impatience condition:", .99351302822687126],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating ep15"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving ep15"\)], "Print"],

Cell[BoxData[
    \("Solving et05"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating et05"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving et05"\)], "Print"],

Cell[BoxData[
    \("Solving et15"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Simulating et15"\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Saving et15"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Impatience \
condition:"\[InvisibleSpace]0.9233352807156104`\),
      SequenceForm[ "Impatience condition:", .92333528071561044],
      Editable->False]], "Print"],

Cell[BoxData[
    \(100\)], "Print"],

Cell[BoxData[
    \(99\)], "Print"],

Cell[BoxData[
    \(98\)], "Print"],

Cell[BoxData[
    \(97\)], "Print"],

Cell[BoxData[
    \(96\)], "Print"],

Cell[BoxData[
    \(95\)], "Print"],

Cell[BoxData[
    \(94\)], "Print"],

Cell[BoxData[
    \(93\)], "Print"],

Cell[BoxData[
    \(92\)], "Print"],

Cell[BoxData[
    \(91\)], "Print"],

Cell[BoxData[
    \(90\)], "Print"],

Cell[BoxData[
    \(89\)], "Print"],

Cell[BoxData[
    \(88\)], "Print"],

Cell[BoxData[
    \(87\)], "Print"],

Cell[BoxData[
    \(86\)], "Print"],

Cell[BoxData[
    \(85\)], "Print"],

Cell[BoxData[
    \(84\)], "Print"],

Cell[BoxData[
    \(83\)], "Print"],

Cell[BoxData[
    \(82\)], "Print"],

Cell[BoxData[
    \(81\)], "Print"],

Cell[BoxData[
    \(80\)], "Print"],

Cell[BoxData[
    \(79\)], "Print"],

Cell[BoxData[
    \(78\)], "Print"],

Cell[BoxData[
    \(77\)], "Print"],

Cell[BoxData[
    \(76\)], "Print"],

Cell[BoxData[
    \(75\)], "Print"],

Cell[BoxData[
    \(74\)], "Print"],

Cell[BoxData[
    \(73\)], "Print"],

Cell[BoxData[
    \(72\)], "Print"],

Cell[BoxData[
    \(71\)], "Print"],

Cell[BoxData[
    \(70\)], "Print"],

Cell[BoxData[
    \(69\)], "Print"],

Cell[BoxData[
    \(68\)], "Print"],

Cell[BoxData[
    \(67\)], "Print"],

Cell[BoxData[
    \(66\)], "Print"],

Cell[BoxData[
    \(65\)], "Print"],

Cell[BoxData[
    \(64\)], "Print"],

Cell[BoxData[
    \(63\)], "Print"],

Cell[BoxData[
    \(62\)], "Print"],

Cell[BoxData[
    \(61\)], "Print"],

Cell[BoxData[
    \(60\)], "Print"],

Cell[BoxData[
    \(59\)], "Print"],

Cell[BoxData[
    \(58\)], "Print"],

Cell[BoxData[
    \(57\)], "Print"],

Cell[BoxData[
    \(56\)], "Print"],

Cell[BoxData[
    \(55\)], "Print"],

Cell[BoxData[
    \(54\)], "Print"],

Cell[BoxData[
    \(53\)], "Print"],

Cell[BoxData[
    \(52\)], "Print"],

Cell[BoxData[
    \(51\)], "Print"],

Cell[BoxData[
    \(50\)], "Print"],

Cell[BoxData[
    \(49\)], "Print"],

Cell[BoxData[
    \(48\)], "Print"],

Cell[BoxData[
    \(47\)], "Print"],

Cell[BoxData[
    \(46\)], "Print"],

Cell[BoxData[
    \(45\)], "Print"],

Cell[BoxData[
    \(44\)], "Print"],

Cell[BoxData[
    \(43\)], "Print"],

Cell[BoxData[
    \(42\)], "Print"],

Cell[BoxData[
    \(41\)], "Print"],

Cell[BoxData[
    \(40\)], "Print"],

Cell[BoxData[
    \(39\)], "Print"],

Cell[BoxData[
    \(38\)], "Print"],

Cell[BoxData[
    \(37\)], "Print"],

Cell[BoxData[
    \(36\)], "Print"],

Cell[BoxData[
    \(35\)], "Print"],

Cell[BoxData[
    \(34\)], "Print"],

Cell[BoxData[
    \(33\)], "Print"],

Cell[BoxData[
    \(32\)], "Print"],

Cell[BoxData[
    \(31\)], "Print"],

Cell[BoxData[
    \(30\)], "Print"],

Cell[BoxData[
    \(29\)], "Print"],

Cell[BoxData[
    \(28\)], "Print"],

Cell[BoxData[
    \(27\)], "Print"],

Cell[BoxData[
    \(26\)], "Print"],

Cell[BoxData[
    \(25\)], "Print"],

Cell[BoxData[
    \(24\)], "Print"],

Cell[BoxData[
    \(23\)], "Print"],

Cell[BoxData[
    \(22\)], "Print"],

Cell[BoxData[
    \(21\)], "Print"],

Cell[BoxData[
    \(20\)], "Print"],

Cell[BoxData[
    \(19\)], "Print"],

Cell[BoxData[
    \(18\)], "Print"],

Cell[BoxData[
    \(17\)], "Print"],

Cell[BoxData[
    \(16\)], "Print"],

Cell[BoxData[
    \(15\)], "Print"],

Cell[BoxData[
    \(14\)], "Print"],

Cell[BoxData[
    \(13\)], "Print"],

Cell[BoxData[
    \(12\)], "Print"],

Cell[BoxData[
    \(11\)], "Print"],

Cell[BoxData[
    \(10\)], "Print"],

Cell[BoxData[
    \(9\)], "Print"],

Cell[BoxData[
    \(8\)], "Print"],

Cell[BoxData[
    \(7\)], "Print"],

Cell[BoxData[
    \(6\)], "Print"],

Cell[BoxData[
    \(5\)], "Print"],

Cell[BoxData[
    \(4\)], "Print"],

Cell[BoxData[
    \(3\)], "Print"],

Cell[BoxData[
    \(2\)], "Print"],

Cell[BoxData[
    \(1\)], "Print"],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]1\),
      SequenceForm[ "Monte Carlo Sim # ", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]2\),
      SequenceForm[ "Monte Carlo Sim # ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]3\),
      SequenceForm[ "Monte Carlo Sim # ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]4\),
      SequenceForm[ "Monte Carlo Sim # ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]5\),
      SequenceForm[ "Monte Carlo Sim # ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]6\),
      SequenceForm[ "Monte Carlo Sim # ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]7\),
      SequenceForm[ "Monte Carlo Sim # ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]8\),
      SequenceForm[ "Monte Carlo Sim # ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]9\),
      SequenceForm[ "Monte Carlo Sim # ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]10\),
      SequenceForm[ "Monte Carlo Sim # ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]11\),
      SequenceForm[ "Monte Carlo Sim # ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]12\),
      SequenceForm[ "Monte Carlo Sim # ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]13\),
      SequenceForm[ "Monte Carlo Sim # ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]14\),
      SequenceForm[ "Monte Carlo Sim # ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]15\),
      SequenceForm[ "Monte Carlo Sim # ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]16\),
      SequenceForm[ "Monte Carlo Sim # ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]17\),
      SequenceForm[ "Monte Carlo Sim # ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]18\),
      SequenceForm[ "Monte Carlo Sim # ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]19\),
      SequenceForm[ "Monte Carlo Sim # ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]20\),
      SequenceForm[ "Monte Carlo Sim # ", 20],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]21\),
      SequenceForm[ "Monte Carlo Sim # ", 21],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]22\),
      SequenceForm[ "Monte Carlo Sim # ", 22],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]23\),
      SequenceForm[ "Monte Carlo Sim # ", 23],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]24\),
      SequenceForm[ "Monte Carlo Sim # ", 24],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]25\),
      SequenceForm[ "Monte Carlo Sim # ", 25],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]26\),
      SequenceForm[ "Monte Carlo Sim # ", 26],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]27\),
      SequenceForm[ "Monte Carlo Sim # ", 27],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]28\),
      SequenceForm[ "Monte Carlo Sim # ", 28],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]29\),
      SequenceForm[ "Monte Carlo Sim # ", 29],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]30\),
      SequenceForm[ "Monte Carlo Sim # ", 30],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]31\),
      SequenceForm[ "Monte Carlo Sim # ", 31],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]32\),
      SequenceForm[ "Monte Carlo Sim # ", 32],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]33\),
      SequenceForm[ "Monte Carlo Sim # ", 33],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]34\),
      SequenceForm[ "Monte Carlo Sim # ", 34],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]35\),
      SequenceForm[ "Monte Carlo Sim # ", 35],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]36\),
      SequenceForm[ "Monte Carlo Sim # ", 36],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]37\),
      SequenceForm[ "Monte Carlo Sim # ", 37],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]38\),
      SequenceForm[ "Monte Carlo Sim # ", 38],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]39\),
      SequenceForm[ "Monte Carlo Sim # ", 39],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]40\),
      SequenceForm[ "Monte Carlo Sim # ", 40],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]41\),
      SequenceForm[ "Monte Carlo Sim # ", 41],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]42\),
      SequenceForm[ "Monte Carlo Sim # ", 42],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]43\),
      SequenceForm[ "Monte Carlo Sim # ", 43],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]44\),
      SequenceForm[ "Monte Carlo Sim # ", 44],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]45\),
      SequenceForm[ "Monte Carlo Sim # ", 45],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]46\),
      SequenceForm[ "Monte Carlo Sim # ", 46],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]47\),
      SequenceForm[ "Monte Carlo Sim # ", 47],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]48\),
      SequenceForm[ "Monte Carlo Sim # ", 48],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]49\),
      SequenceForm[ "Monte Carlo Sim # ", 49],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]50\),
      SequenceForm[ "Monte Carlo Sim # ", 50],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]51\),
      SequenceForm[ "Monte Carlo Sim # ", 51],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]52\),
      SequenceForm[ "Monte Carlo Sim # ", 52],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]53\),
      SequenceForm[ "Monte Carlo Sim # ", 53],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]54\),
      SequenceForm[ "Monte Carlo Sim # ", 54],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]55\),
      SequenceForm[ "Monte Carlo Sim # ", 55],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]56\),
      SequenceForm[ "Monte Carlo Sim # ", 56],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]57\),
      SequenceForm[ "Monte Carlo Sim # ", 57],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]58\),
      SequenceForm[ "Monte Carlo Sim # ", 58],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]59\),
      SequenceForm[ "Monte Carlo Sim # ", 59],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]60\),
      SequenceForm[ "Monte Carlo Sim # ", 60],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]61\),
      SequenceForm[ "Monte Carlo Sim # ", 61],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]62\),
      SequenceForm[ "Monte Carlo Sim # ", 62],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]63\),
      SequenceForm[ "Monte Carlo Sim # ", 63],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]64\),
      SequenceForm[ "Monte Carlo Sim # ", 64],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]65\),
      SequenceForm[ "Monte Carlo Sim # ", 65],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]66\),
      SequenceForm[ "Monte Carlo Sim # ", 66],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]67\),
      SequenceForm[ "Monte Carlo Sim # ", 67],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]68\),
      SequenceForm[ "Monte Carlo Sim # ", 68],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]69\),
      SequenceForm[ "Monte Carlo Sim # ", 69],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]70\),
      SequenceForm[ "Monte Carlo Sim # ", 70],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]71\),
      SequenceForm[ "Monte Carlo Sim # ", 71],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]72\),
      SequenceForm[ "Monte Carlo Sim # ", 72],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]73\),
      SequenceForm[ "Monte Carlo Sim # ", 73],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]74\),
      SequenceForm[ "Monte Carlo Sim # ", 74],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]75\),
      SequenceForm[ "Monte Carlo Sim # ", 75],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]76\),
      SequenceForm[ "Monte Carlo Sim # ", 76],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]77\),
      SequenceForm[ "Monte Carlo Sim # ", 77],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]78\),
      SequenceForm[ "Monte Carlo Sim # ", 78],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]79\),
      SequenceForm[ "Monte Carlo Sim # ", 79],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]80\),
      SequenceForm[ "Monte Carlo Sim # ", 80],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]81\),
      SequenceForm[ "Monte Carlo Sim # ", 81],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]82\),
      SequenceForm[ "Monte Carlo Sim # ", 82],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]83\),
      SequenceForm[ "Monte Carlo Sim # ", 83],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]84\),
      SequenceForm[ "Monte Carlo Sim # ", 84],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]85\),
      SequenceForm[ "Monte Carlo Sim # ", 85],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]86\),
      SequenceForm[ "Monte Carlo Sim # ", 86],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]87\),
      SequenceForm[ "Monte Carlo Sim # ", 87],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]88\),
      SequenceForm[ "Monte Carlo Sim # ", 88],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]89\),
      SequenceForm[ "Monte Carlo Sim # ", 89],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]90\),
      SequenceForm[ "Monte Carlo Sim # ", 90],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]91\),
      SequenceForm[ "Monte Carlo Sim # ", 91],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]92\),
      SequenceForm[ "Monte Carlo Sim # ", 92],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]93\),
      SequenceForm[ "Monte Carlo Sim # ", 93],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]94\),
      SequenceForm[ "Monte Carlo Sim # ", 94],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]95\),
      SequenceForm[ "Monte Carlo Sim # ", 95],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]96\),
      SequenceForm[ "Monte Carlo Sim # ", 96],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]97\),
      SequenceForm[ "Monte Carlo Sim # ", 97],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]98\),
      SequenceForm[ "Monte Carlo Sim # ", 98],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]99\),
      SequenceForm[ "Monte Carlo Sim # ", 99],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]100\),
      SequenceForm[ "Monte Carlo Sim # ", 100],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]101\),
      SequenceForm[ "Monte Carlo Sim # ", 101],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]102\),
      SequenceForm[ "Monte Carlo Sim # ", 102],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]103\),
      SequenceForm[ "Monte Carlo Sim # ", 103],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]104\),
      SequenceForm[ "Monte Carlo Sim # ", 104],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]105\),
      SequenceForm[ "Monte Carlo Sim # ", 105],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]106\),
      SequenceForm[ "Monte Carlo Sim # ", 106],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]107\),
      SequenceForm[ "Monte Carlo Sim # ", 107],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]108\),
      SequenceForm[ "Monte Carlo Sim # ", 108],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]109\),
      SequenceForm[ "Monte Carlo Sim # ", 109],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]110\),
      SequenceForm[ "Monte Carlo Sim # ", 110],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]111\),
      SequenceForm[ "Monte Carlo Sim # ", 111],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]112\),
      SequenceForm[ "Monte Carlo Sim # ", 112],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]113\),
      SequenceForm[ "Monte Carlo Sim # ", 113],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]114\),
      SequenceForm[ "Monte Carlo Sim # ", 114],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]115\),
      SequenceForm[ "Monte Carlo Sim # ", 115],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]116\),
      SequenceForm[ "Monte Carlo Sim # ", 116],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]117\),
      SequenceForm[ "Monte Carlo Sim # ", 117],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]118\),
      SequenceForm[ "Monte Carlo Sim # ", 118],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]119\),
      SequenceForm[ "Monte Carlo Sim # ", 119],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]120\),
      SequenceForm[ "Monte Carlo Sim # ", 120],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]121\),
      SequenceForm[ "Monte Carlo Sim # ", 121],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]122\),
      SequenceForm[ "Monte Carlo Sim # ", 122],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]123\),
      SequenceForm[ "Monte Carlo Sim # ", 123],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]124\),
      SequenceForm[ "Monte Carlo Sim # ", 124],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]125\),
      SequenceForm[ "Monte Carlo Sim # ", 125],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]126\),
      SequenceForm[ "Monte Carlo Sim # ", 126],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]127\),
      SequenceForm[ "Monte Carlo Sim # ", 127],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]128\),
      SequenceForm[ "Monte Carlo Sim # ", 128],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]129\),
      SequenceForm[ "Monte Carlo Sim # ", 129],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]130\),
      SequenceForm[ "Monte Carlo Sim # ", 130],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]131\),
      SequenceForm[ "Monte Carlo Sim # ", 131],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]132\),
      SequenceForm[ "Monte Carlo Sim # ", 132],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]133\),
      SequenceForm[ "Monte Carlo Sim # ", 133],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]134\),
      SequenceForm[ "Monte Carlo Sim # ", 134],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]135\),
      SequenceForm[ "Monte Carlo Sim # ", 135],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]136\),
      SequenceForm[ "Monte Carlo Sim # ", 136],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]137\),
      SequenceForm[ "Monte Carlo Sim # ", 137],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]138\),
      SequenceForm[ "Monte Carlo Sim # ", 138],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]139\),
      SequenceForm[ "Monte Carlo Sim # ", 139],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]140\),
      SequenceForm[ "Monte Carlo Sim # ", 140],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]141\),
      SequenceForm[ "Monte Carlo Sim # ", 141],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]142\),
      SequenceForm[ "Monte Carlo Sim # ", 142],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]143\),
      SequenceForm[ "Monte Carlo Sim # ", 143],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]144\),
      SequenceForm[ "Monte Carlo Sim # ", 144],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]145\),
      SequenceForm[ "Monte Carlo Sim # ", 145],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]146\),
      SequenceForm[ "Monte Carlo Sim # ", 146],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]147\),
      SequenceForm[ "Monte Carlo Sim # ", 147],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]148\),
      SequenceForm[ "Monte Carlo Sim # ", 148],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]149\),
      SequenceForm[ "Monte Carlo Sim # ", 149],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]150\),
      SequenceForm[ "Monte Carlo Sim # ", 150],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]151\),
      SequenceForm[ "Monte Carlo Sim # ", 151],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]152\),
      SequenceForm[ "Monte Carlo Sim # ", 152],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]153\),
      SequenceForm[ "Monte Carlo Sim # ", 153],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]154\),
      SequenceForm[ "Monte Carlo Sim # ", 154],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]155\),
      SequenceForm[ "Monte Carlo Sim # ", 155],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]156\),
      SequenceForm[ "Monte Carlo Sim # ", 156],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]157\),
      SequenceForm[ "Monte Carlo Sim # ", 157],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]158\),
      SequenceForm[ "Monte Carlo Sim # ", 158],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]159\),
      SequenceForm[ "Monte Carlo Sim # ", 159],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]160\),
      SequenceForm[ "Monte Carlo Sim # ", 160],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]161\),
      SequenceForm[ "Monte Carlo Sim # ", 161],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]162\),
      SequenceForm[ "Monte Carlo Sim # ", 162],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]163\),
      SequenceForm[ "Monte Carlo Sim # ", 163],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]164\),
      SequenceForm[ "Monte Carlo Sim # ", 164],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]165\),
      SequenceForm[ "Monte Carlo Sim # ", 165],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]166\),
      SequenceForm[ "Monte Carlo Sim # ", 166],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]167\),
      SequenceForm[ "Monte Carlo Sim # ", 167],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]168\),
      SequenceForm[ "Monte Carlo Sim # ", 168],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]169\),
      SequenceForm[ "Monte Carlo Sim # ", 169],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]170\),
      SequenceForm[ "Monte Carlo Sim # ", 170],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]171\),
      SequenceForm[ "Monte Carlo Sim # ", 171],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]172\),
      SequenceForm[ "Monte Carlo Sim # ", 172],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]173\),
      SequenceForm[ "Monte Carlo Sim # ", 173],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]174\),
      SequenceForm[ "Monte Carlo Sim # ", 174],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]175\),
      SequenceForm[ "Monte Carlo Sim # ", 175],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]176\),
      SequenceForm[ "Monte Carlo Sim # ", 176],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]177\),
      SequenceForm[ "Monte Carlo Sim # ", 177],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]178\),
      SequenceForm[ "Monte Carlo Sim # ", 178],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]179\),
      SequenceForm[ "Monte Carlo Sim # ", 179],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]180\),
      SequenceForm[ "Monte Carlo Sim # ", 180],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]181\),
      SequenceForm[ "Monte Carlo Sim # ", 181],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]182\),
      SequenceForm[ "Monte Carlo Sim # ", 182],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]183\),
      SequenceForm[ "Monte Carlo Sim # ", 183],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]184\),
      SequenceForm[ "Monte Carlo Sim # ", 184],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]185\),
      SequenceForm[ "Monte Carlo Sim # ", 185],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]186\),
      SequenceForm[ "Monte Carlo Sim # ", 186],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]187\),
      SequenceForm[ "Monte Carlo Sim # ", 187],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]188\),
      SequenceForm[ "Monte Carlo Sim # ", 188],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]189\),
      SequenceForm[ "Monte Carlo Sim # ", 189],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]190\),
      SequenceForm[ "Monte Carlo Sim # ", 190],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]191\),
      SequenceForm[ "Monte Carlo Sim # ", 191],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]192\),
      SequenceForm[ "Monte Carlo Sim # ", 192],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]193\),
      SequenceForm[ "Monte Carlo Sim # ", 193],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]194\),
      SequenceForm[ "Monte Carlo Sim # ", 194],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]195\),
      SequenceForm[ "Monte Carlo Sim # ", 195],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]196\),
      SequenceForm[ "Monte Carlo Sim # ", 196],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]197\),
      SequenceForm[ "Monte Carlo Sim # ", 197],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]198\),
      SequenceForm[ "Monte Carlo Sim # ", 198],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]199\),
      SequenceForm[ "Monte Carlo Sim # ", 199],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]200\),
      SequenceForm[ "Monte Carlo Sim # ", 200],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]201\),
      SequenceForm[ "Monte Carlo Sim # ", 201],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]202\),
      SequenceForm[ "Monte Carlo Sim # ", 202],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]203\),
      SequenceForm[ "Monte Carlo Sim # ", 203],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]204\),
      SequenceForm[ "Monte Carlo Sim # ", 204],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]205\),
      SequenceForm[ "Monte Carlo Sim # ", 205],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]206\),
      SequenceForm[ "Monte Carlo Sim # ", 206],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]207\),
      SequenceForm[ "Monte Carlo Sim # ", 207],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]208\),
      SequenceForm[ "Monte Carlo Sim # ", 208],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]209\),
      SequenceForm[ "Monte Carlo Sim # ", 209],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]210\),
      SequenceForm[ "Monte Carlo Sim # ", 210],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]211\),
      SequenceForm[ "Monte Carlo Sim # ", 211],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]212\),
      SequenceForm[ "Monte Carlo Sim # ", 212],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]213\),
      SequenceForm[ "Monte Carlo Sim # ", 213],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]214\),
      SequenceForm[ "Monte Carlo Sim # ", 214],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]215\),
      SequenceForm[ "Monte Carlo Sim # ", 215],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]216\),
      SequenceForm[ "Monte Carlo Sim # ", 216],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]217\),
      SequenceForm[ "Monte Carlo Sim # ", 217],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]218\),
      SequenceForm[ "Monte Carlo Sim # ", 218],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]219\),
      SequenceForm[ "Monte Carlo Sim # ", 219],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]220\),
      SequenceForm[ "Monte Carlo Sim # ", 220],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]221\),
      SequenceForm[ "Monte Carlo Sim # ", 221],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]222\),
      SequenceForm[ "Monte Carlo Sim # ", 222],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]223\),
      SequenceForm[ "Monte Carlo Sim # ", 223],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]224\),
      SequenceForm[ "Monte Carlo Sim # ", 224],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]225\),
      SequenceForm[ "Monte Carlo Sim # ", 225],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]226\),
      SequenceForm[ "Monte Carlo Sim # ", 226],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]227\),
      SequenceForm[ "Monte Carlo Sim # ", 227],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]228\),
      SequenceForm[ "Monte Carlo Sim # ", 228],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]229\),
      SequenceForm[ "Monte Carlo Sim # ", 229],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]230\),
      SequenceForm[ "Monte Carlo Sim # ", 230],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]231\),
      SequenceForm[ "Monte Carlo Sim # ", 231],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]232\),
      SequenceForm[ "Monte Carlo Sim # ", 232],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]233\),
      SequenceForm[ "Monte Carlo Sim # ", 233],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]234\),
      SequenceForm[ "Monte Carlo Sim # ", 234],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]235\),
      SequenceForm[ "Monte Carlo Sim # ", 235],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]236\),
      SequenceForm[ "Monte Carlo Sim # ", 236],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]237\),
      SequenceForm[ "Monte Carlo Sim # ", 237],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]238\),
      SequenceForm[ "Monte Carlo Sim # ", 238],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]239\),
      SequenceForm[ "Monte Carlo Sim # ", 239],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]240\),
      SequenceForm[ "Monte Carlo Sim # ", 240],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]241\),
      SequenceForm[ "Monte Carlo Sim # ", 241],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]242\),
      SequenceForm[ "Monte Carlo Sim # ", 242],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]243\),
      SequenceForm[ "Monte Carlo Sim # ", 243],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]244\),
      SequenceForm[ "Monte Carlo Sim # ", 244],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]245\),
      SequenceForm[ "Monte Carlo Sim # ", 245],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]246\),
      SequenceForm[ "Monte Carlo Sim # ", 246],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]247\),
      SequenceForm[ "Monte Carlo Sim # ", 247],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]248\),
      SequenceForm[ "Monte Carlo Sim # ", 248],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]249\),
      SequenceForm[ "Monte Carlo Sim # ", 249],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]250\),
      SequenceForm[ "Monte Carlo Sim # ", 250],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]251\),
      SequenceForm[ "Monte Carlo Sim # ", 251],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]252\),
      SequenceForm[ "Monte Carlo Sim # ", 252],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]253\),
      SequenceForm[ "Monte Carlo Sim # ", 253],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]254\),
      SequenceForm[ "Monte Carlo Sim # ", 254],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]255\),
      SequenceForm[ "Monte Carlo Sim # ", 255],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]256\),
      SequenceForm[ "Monte Carlo Sim # ", 256],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]257\),
      SequenceForm[ "Monte Carlo Sim # ", 257],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]258\),
      SequenceForm[ "Monte Carlo Sim # ", 258],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]259\),
      SequenceForm[ "Monte Carlo Sim # ", 259],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]260\),
      SequenceForm[ "Monte Carlo Sim # ", 260],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]261\),
      SequenceForm[ "Monte Carlo Sim # ", 261],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]262\),
      SequenceForm[ "Monte Carlo Sim # ", 262],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]263\),
      SequenceForm[ "Monte Carlo Sim # ", 263],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]264\),
      SequenceForm[ "Monte Carlo Sim # ", 264],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]265\),
      SequenceForm[ "Monte Carlo Sim # ", 265],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]266\),
      SequenceForm[ "Monte Carlo Sim # ", 266],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]267\),
      SequenceForm[ "Monte Carlo Sim # ", 267],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]268\),
      SequenceForm[ "Monte Carlo Sim # ", 268],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]269\),
      SequenceForm[ "Monte Carlo Sim # ", 269],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]270\),
      SequenceForm[ "Monte Carlo Sim # ", 270],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]271\),
      SequenceForm[ "Monte Carlo Sim # ", 271],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]272\),
      SequenceForm[ "Monte Carlo Sim # ", 272],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]273\),
      SequenceForm[ "Monte Carlo Sim # ", 273],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]274\),
      SequenceForm[ "Monte Carlo Sim # ", 274],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]275\),
      SequenceForm[ "Monte Carlo Sim # ", 275],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]276\),
      SequenceForm[ "Monte Carlo Sim # ", 276],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]277\),
      SequenceForm[ "Monte Carlo Sim # ", 277],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]278\),
      SequenceForm[ "Monte Carlo Sim # ", 278],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]279\),
      SequenceForm[ "Monte Carlo Sim # ", 279],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]280\),
      SequenceForm[ "Monte Carlo Sim # ", 280],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]281\),
      SequenceForm[ "Monte Carlo Sim # ", 281],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]282\),
      SequenceForm[ "Monte Carlo Sim # ", 282],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]283\),
      SequenceForm[ "Monte Carlo Sim # ", 283],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]284\),
      SequenceForm[ "Monte Carlo Sim # ", 284],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]285\),
      SequenceForm[ "Monte Carlo Sim # ", 285],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]286\),
      SequenceForm[ "Monte Carlo Sim # ", 286],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]287\),
      SequenceForm[ "Monte Carlo Sim # ", 287],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]288\),
      SequenceForm[ "Monte Carlo Sim # ", 288],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]289\),
      SequenceForm[ "Monte Carlo Sim # ", 289],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]290\),
      SequenceForm[ "Monte Carlo Sim # ", 290],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]291\),
      SequenceForm[ "Monte Carlo Sim # ", 291],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]292\),
      SequenceForm[ "Monte Carlo Sim # ", 292],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]293\),
      SequenceForm[ "Monte Carlo Sim # ", 293],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]294\),
      SequenceForm[ "Monte Carlo Sim # ", 294],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]295\),
      SequenceForm[ "Monte Carlo Sim # ", 295],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]296\),
      SequenceForm[ "Monte Carlo Sim # ", 296],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]297\),
      SequenceForm[ "Monte Carlo Sim # ", 297],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]298\),
      SequenceForm[ "Monte Carlo Sim # ", 298],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]299\),
      SequenceForm[ "Monte Carlo Sim # ", 299],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]300\),
      SequenceForm[ "Monte Carlo Sim # ", 300],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]301\),
      SequenceForm[ "Monte Carlo Sim # ", 301],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]302\),
      SequenceForm[ "Monte Carlo Sim # ", 302],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]303\),
      SequenceForm[ "Monte Carlo Sim # ", 303],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]304\),
      SequenceForm[ "Monte Carlo Sim # ", 304],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]305\),
      SequenceForm[ "Monte Carlo Sim # ", 305],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]306\),
      SequenceForm[ "Monte Carlo Sim # ", 306],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]307\),
      SequenceForm[ "Monte Carlo Sim # ", 307],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]308\),
      SequenceForm[ "Monte Carlo Sim # ", 308],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]309\),
      SequenceForm[ "Monte Carlo Sim # ", 309],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]310\),
      SequenceForm[ "Monte Carlo Sim # ", 310],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]311\),
      SequenceForm[ "Monte Carlo Sim # ", 311],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]312\),
      SequenceForm[ "Monte Carlo Sim # ", 312],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]313\),
      SequenceForm[ "Monte Carlo Sim # ", 313],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]314\),
      SequenceForm[ "Monte Carlo Sim # ", 314],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]315\),
      SequenceForm[ "Monte Carlo Sim # ", 315],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]316\),
      SequenceForm[ "Monte Carlo Sim # ", 316],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]317\),
      SequenceForm[ "Monte Carlo Sim # ", 317],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]318\),
      SequenceForm[ "Monte Carlo Sim # ", 318],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]319\),
      SequenceForm[ "Monte Carlo Sim # ", 319],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]320\),
      SequenceForm[ "Monte Carlo Sim # ", 320],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]321\),
      SequenceForm[ "Monte Carlo Sim # ", 321],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]322\),
      SequenceForm[ "Monte Carlo Sim # ", 322],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]323\),
      SequenceForm[ "Monte Carlo Sim # ", 323],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]324\),
      SequenceForm[ "Monte Carlo Sim # ", 324],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]325\),
      SequenceForm[ "Monte Carlo Sim # ", 325],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]326\),
      SequenceForm[ "Monte Carlo Sim # ", 326],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]327\),
      SequenceForm[ "Monte Carlo Sim # ", 327],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]328\),
      SequenceForm[ "Monte Carlo Sim # ", 328],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]329\),
      SequenceForm[ "Monte Carlo Sim # ", 329],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]330\),
      SequenceForm[ "Monte Carlo Sim # ", 330],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]331\),
      SequenceForm[ "Monte Carlo Sim # ", 331],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]332\),
      SequenceForm[ "Monte Carlo Sim # ", 332],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]333\),
      SequenceForm[ "Monte Carlo Sim # ", 333],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]334\),
      SequenceForm[ "Monte Carlo Sim # ", 334],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]335\),
      SequenceForm[ "Monte Carlo Sim # ", 335],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]336\),
      SequenceForm[ "Monte Carlo Sim # ", 336],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]337\),
      SequenceForm[ "Monte Carlo Sim # ", 337],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]338\),
      SequenceForm[ "Monte Carlo Sim # ", 338],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]339\),
      SequenceForm[ "Monte Carlo Sim # ", 339],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]340\),
      SequenceForm[ "Monte Carlo Sim # ", 340],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]341\),
      SequenceForm[ "Monte Carlo Sim # ", 341],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]342\),
      SequenceForm[ "Monte Carlo Sim # ", 342],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]343\),
      SequenceForm[ "Monte Carlo Sim # ", 343],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]344\),
      SequenceForm[ "Monte Carlo Sim # ", 344],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]345\),
      SequenceForm[ "Monte Carlo Sim # ", 345],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]346\),
      SequenceForm[ "Monte Carlo Sim # ", 346],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]347\),
      SequenceForm[ "Monte Carlo Sim # ", 347],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]348\),
      SequenceForm[ "Monte Carlo Sim # ", 348],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]349\),
      SequenceForm[ "Monte Carlo Sim # ", 349],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]350\),
      SequenceForm[ "Monte Carlo Sim # ", 350],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]351\),
      SequenceForm[ "Monte Carlo Sim # ", 351],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]352\),
      SequenceForm[ "Monte Carlo Sim # ", 352],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]353\),
      SequenceForm[ "Monte Carlo Sim # ", 353],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]354\),
      SequenceForm[ "Monte Carlo Sim # ", 354],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]355\),
      SequenceForm[ "Monte Carlo Sim # ", 355],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]356\),
      SequenceForm[ "Monte Carlo Sim # ", 356],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]357\),
      SequenceForm[ "Monte Carlo Sim # ", 357],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]358\),
      SequenceForm[ "Monte Carlo Sim # ", 358],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]359\),
      SequenceForm[ "Monte Carlo Sim # ", 359],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]360\),
      SequenceForm[ "Monte Carlo Sim # ", 360],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]361\),
      SequenceForm[ "Monte Carlo Sim # ", 361],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]362\),
      SequenceForm[ "Monte Carlo Sim # ", 362],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]363\),
      SequenceForm[ "Monte Carlo Sim # ", 363],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]364\),
      SequenceForm[ "Monte Carlo Sim # ", 364],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]365\),
      SequenceForm[ "Monte Carlo Sim # ", 365],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]366\),
      SequenceForm[ "Monte Carlo Sim # ", 366],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]367\),
      SequenceForm[ "Monte Carlo Sim # ", 367],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]368\),
      SequenceForm[ "Monte Carlo Sim # ", 368],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]369\),
      SequenceForm[ "Monte Carlo Sim # ", 369],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]370\),
      SequenceForm[ "Monte Carlo Sim # ", 370],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]371\),
      SequenceForm[ "Monte Carlo Sim # ", 371],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]372\),
      SequenceForm[ "Monte Carlo Sim # ", 372],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]373\),
      SequenceForm[ "Monte Carlo Sim # ", 373],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]374\),
      SequenceForm[ "Monte Carlo Sim # ", 374],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]375\),
      SequenceForm[ "Monte Carlo Sim # ", 375],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]376\),
      SequenceForm[ "Monte Carlo Sim # ", 376],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]377\),
      SequenceForm[ "Monte Carlo Sim # ", 377],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]378\),
      SequenceForm[ "Monte Carlo Sim # ", 378],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]379\),
      SequenceForm[ "Monte Carlo Sim # ", 379],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]380\),
      SequenceForm[ "Monte Carlo Sim # ", 380],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]381\),
      SequenceForm[ "Monte Carlo Sim # ", 381],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]382\),
      SequenceForm[ "Monte Carlo Sim # ", 382],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]383\),
      SequenceForm[ "Monte Carlo Sim # ", 383],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]384\),
      SequenceForm[ "Monte Carlo Sim # ", 384],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]385\),
      SequenceForm[ "Monte Carlo Sim # ", 385],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]386\),
      SequenceForm[ "Monte Carlo Sim # ", 386],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]387\),
      SequenceForm[ "Monte Carlo Sim # ", 387],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]388\),
      SequenceForm[ "Monte Carlo Sim # ", 388],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]389\),
      SequenceForm[ "Monte Carlo Sim # ", 389],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]390\),
      SequenceForm[ "Monte Carlo Sim # ", 390],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]391\),
      SequenceForm[ "Monte Carlo Sim # ", 391],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]392\),
      SequenceForm[ "Monte Carlo Sim # ", 392],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]393\),
      SequenceForm[ "Monte Carlo Sim # ", 393],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]394\),
      SequenceForm[ "Monte Carlo Sim # ", 394],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]395\),
      SequenceForm[ "Monte Carlo Sim # ", 395],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]396\),
      SequenceForm[ "Monte Carlo Sim # ", 396],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]397\),
      SequenceForm[ "Monte Carlo Sim # ", 397],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]398\),
      SequenceForm[ "Monte Carlo Sim # ", 398],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]399\),
      SequenceForm[ "Monte Carlo Sim # ", 399],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]400\),
      SequenceForm[ "Monte Carlo Sim # ", 400],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]401\),
      SequenceForm[ "Monte Carlo Sim # ", 401],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]402\),
      SequenceForm[ "Monte Carlo Sim # ", 402],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]403\),
      SequenceForm[ "Monte Carlo Sim # ", 403],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]404\),
      SequenceForm[ "Monte Carlo Sim # ", 404],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]405\),
      SequenceForm[ "Monte Carlo Sim # ", 405],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]406\),
      SequenceForm[ "Monte Carlo Sim # ", 406],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]407\),
      SequenceForm[ "Monte Carlo Sim # ", 407],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]408\),
      SequenceForm[ "Monte Carlo Sim # ", 408],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]409\),
      SequenceForm[ "Monte Carlo Sim # ", 409],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]410\),
      SequenceForm[ "Monte Carlo Sim # ", 410],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]411\),
      SequenceForm[ "Monte Carlo Sim # ", 411],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]412\),
      SequenceForm[ "Monte Carlo Sim # ", 412],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]413\),
      SequenceForm[ "Monte Carlo Sim # ", 413],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]414\),
      SequenceForm[ "Monte Carlo Sim # ", 414],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]415\),
      SequenceForm[ "Monte Carlo Sim # ", 415],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]416\),
      SequenceForm[ "Monte Carlo Sim # ", 416],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]417\),
      SequenceForm[ "Monte Carlo Sim # ", 417],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]418\),
      SequenceForm[ "Monte Carlo Sim # ", 418],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]419\),
      SequenceForm[ "Monte Carlo Sim # ", 419],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]420\),
      SequenceForm[ "Monte Carlo Sim # ", 420],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]421\),
      SequenceForm[ "Monte Carlo Sim # ", 421],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]422\),
      SequenceForm[ "Monte Carlo Sim # ", 422],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]423\),
      SequenceForm[ "Monte Carlo Sim # ", 423],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]424\),
      SequenceForm[ "Monte Carlo Sim # ", 424],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]425\),
      SequenceForm[ "Monte Carlo Sim # ", 425],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]426\),
      SequenceForm[ "Monte Carlo Sim # ", 426],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]427\),
      SequenceForm[ "Monte Carlo Sim # ", 427],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]428\),
      SequenceForm[ "Monte Carlo Sim # ", 428],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]429\),
      SequenceForm[ "Monte Carlo Sim # ", 429],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]430\),
      SequenceForm[ "Monte Carlo Sim # ", 430],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]431\),
      SequenceForm[ "Monte Carlo Sim # ", 431],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]432\),
      SequenceForm[ "Monte Carlo Sim # ", 432],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]433\),
      SequenceForm[ "Monte Carlo Sim # ", 433],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]434\),
      SequenceForm[ "Monte Carlo Sim # ", 434],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]435\),
      SequenceForm[ "Monte Carlo Sim # ", 435],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]436\),
      SequenceForm[ "Monte Carlo Sim # ", 436],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]437\),
      SequenceForm[ "Monte Carlo Sim # ", 437],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]438\),
      SequenceForm[ "Monte Carlo Sim # ", 438],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]439\),
      SequenceForm[ "Monte Carlo Sim # ", 439],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]440\),
      SequenceForm[ "Monte Carlo Sim # ", 440],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]441\),
      SequenceForm[ "Monte Carlo Sim # ", 441],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]442\),
      SequenceForm[ "Monte Carlo Sim # ", 442],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]443\),
      SequenceForm[ "Monte Carlo Sim # ", 443],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]444\),
      SequenceForm[ "Monte Carlo Sim # ", 444],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]445\),
      SequenceForm[ "Monte Carlo Sim # ", 445],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]446\),
      SequenceForm[ "Monte Carlo Sim # ", 446],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]447\),
      SequenceForm[ "Monte Carlo Sim # ", 447],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]448\),
      SequenceForm[ "Monte Carlo Sim # ", 448],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]449\),
      SequenceForm[ "Monte Carlo Sim # ", 449],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]450\),
      SequenceForm[ "Monte Carlo Sim # ", 450],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]451\),
      SequenceForm[ "Monte Carlo Sim # ", 451],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]452\),
      SequenceForm[ "Monte Carlo Sim # ", 452],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]453\),
      SequenceForm[ "Monte Carlo Sim # ", 453],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]454\),
      SequenceForm[ "Monte Carlo Sim # ", 454],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]455\),
      SequenceForm[ "Monte Carlo Sim # ", 455],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]456\),
      SequenceForm[ "Monte Carlo Sim # ", 456],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]457\),
      SequenceForm[ "Monte Carlo Sim # ", 457],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]458\),
      SequenceForm[ "Monte Carlo Sim # ", 458],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]459\),
      SequenceForm[ "Monte Carlo Sim # ", 459],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]460\),
      SequenceForm[ "Monte Carlo Sim # ", 460],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]461\),
      SequenceForm[ "Monte Carlo Sim # ", 461],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]462\),
      SequenceForm[ "Monte Carlo Sim # ", 462],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]463\),
      SequenceForm[ "Monte Carlo Sim # ", 463],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]464\),
      SequenceForm[ "Monte Carlo Sim # ", 464],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]465\),
      SequenceForm[ "Monte Carlo Sim # ", 465],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]466\),
      SequenceForm[ "Monte Carlo Sim # ", 466],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]467\),
      SequenceForm[ "Monte Carlo Sim # ", 467],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]468\),
      SequenceForm[ "Monte Carlo Sim # ", 468],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]469\),
      SequenceForm[ "Monte Carlo Sim # ", 469],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]470\),
      SequenceForm[ "Monte Carlo Sim # ", 470],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]471\),
      SequenceForm[ "Monte Carlo Sim # ", 471],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]472\),
      SequenceForm[ "Monte Carlo Sim # ", 472],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]473\),
      SequenceForm[ "Monte Carlo Sim # ", 473],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]474\),
      SequenceForm[ "Monte Carlo Sim # ", 474],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]475\),
      SequenceForm[ "Monte Carlo Sim # ", 475],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]476\),
      SequenceForm[ "Monte Carlo Sim # ", 476],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]477\),
      SequenceForm[ "Monte Carlo Sim # ", 477],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]478\),
      SequenceForm[ "Monte Carlo Sim # ", 478],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]479\),
      SequenceForm[ "Monte Carlo Sim # ", 479],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]480\),
      SequenceForm[ "Monte Carlo Sim # ", 480],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]481\),
      SequenceForm[ "Monte Carlo Sim # ", 481],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]482\),
      SequenceForm[ "Monte Carlo Sim # ", 482],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]483\),
      SequenceForm[ "Monte Carlo Sim # ", 483],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]484\),
      SequenceForm[ "Monte Carlo Sim # ", 484],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]485\),
      SequenceForm[ "Monte Carlo Sim # ", 485],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]486\),
      SequenceForm[ "Monte Carlo Sim # ", 486],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]487\),
      SequenceForm[ "Monte Carlo Sim # ", 487],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]488\),
      SequenceForm[ "Monte Carlo Sim # ", 488],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]489\),
      SequenceForm[ "Monte Carlo Sim # ", 489],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]490\),
      SequenceForm[ "Monte Carlo Sim # ", 490],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]491\),
      SequenceForm[ "Monte Carlo Sim # ", 491],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]492\),
      SequenceForm[ "Monte Carlo Sim # ", 492],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]493\),
      SequenceForm[ "Monte Carlo Sim # ", 493],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]494\),
      SequenceForm[ "Monte Carlo Sim # ", 494],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]495\),
      SequenceForm[ "Monte Carlo Sim # ", 495],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]496\),
      SequenceForm[ "Monte Carlo Sim # ", 496],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]497\),
      SequenceForm[ "Monte Carlo Sim # ", 497],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]498\),
      SequenceForm[ "Monte Carlo Sim # ", 498],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]499\),
      SequenceForm[ "Monte Carlo Sim # ", 499],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]500\),
      SequenceForm[ "Monte Carlo Sim # ", 500],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]501\),
      SequenceForm[ "Monte Carlo Sim # ", 501],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]502\),
      SequenceForm[ "Monte Carlo Sim # ", 502],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]503\),
      SequenceForm[ "Monte Carlo Sim # ", 503],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]504\),
      SequenceForm[ "Monte Carlo Sim # ", 504],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]505\),
      SequenceForm[ "Monte Carlo Sim # ", 505],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]506\),
      SequenceForm[ "Monte Carlo Sim # ", 506],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]507\),
      SequenceForm[ "Monte Carlo Sim # ", 507],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]508\),
      SequenceForm[ "Monte Carlo Sim # ", 508],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]509\),
      SequenceForm[ "Monte Carlo Sim # ", 509],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]510\),
      SequenceForm[ "Monte Carlo Sim # ", 510],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]511\),
      SequenceForm[ "Monte Carlo Sim # ", 511],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]512\),
      SequenceForm[ "Monte Carlo Sim # ", 512],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]513\),
      SequenceForm[ "Monte Carlo Sim # ", 513],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]514\),
      SequenceForm[ "Monte Carlo Sim # ", 514],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]515\),
      SequenceForm[ "Monte Carlo Sim # ", 515],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]516\),
      SequenceForm[ "Monte Carlo Sim # ", 516],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]517\),
      SequenceForm[ "Monte Carlo Sim # ", 517],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]518\),
      SequenceForm[ "Monte Carlo Sim # ", 518],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]519\),
      SequenceForm[ "Monte Carlo Sim # ", 519],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]520\),
      SequenceForm[ "Monte Carlo Sim # ", 520],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]521\),
      SequenceForm[ "Monte Carlo Sim # ", 521],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]522\),
      SequenceForm[ "Monte Carlo Sim # ", 522],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]523\),
      SequenceForm[ "Monte Carlo Sim # ", 523],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]524\),
      SequenceForm[ "Monte Carlo Sim # ", 524],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]525\),
      SequenceForm[ "Monte Carlo Sim # ", 525],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]526\),
      SequenceForm[ "Monte Carlo Sim # ", 526],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]527\),
      SequenceForm[ "Monte Carlo Sim # ", 527],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]528\),
      SequenceForm[ "Monte Carlo Sim # ", 528],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]529\),
      SequenceForm[ "Monte Carlo Sim # ", 529],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]530\),
      SequenceForm[ "Monte Carlo Sim # ", 530],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]531\),
      SequenceForm[ "Monte Carlo Sim # ", 531],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]532\),
      SequenceForm[ "Monte Carlo Sim # ", 532],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]533\),
      SequenceForm[ "Monte Carlo Sim # ", 533],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]534\),
      SequenceForm[ "Monte Carlo Sim # ", 534],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]535\),
      SequenceForm[ "Monte Carlo Sim # ", 535],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]536\),
      SequenceForm[ "Monte Carlo Sim # ", 536],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]537\),
      SequenceForm[ "Monte Carlo Sim # ", 537],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]538\),
      SequenceForm[ "Monte Carlo Sim # ", 538],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]539\),
      SequenceForm[ "Monte Carlo Sim # ", 539],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]540\),
      SequenceForm[ "Monte Carlo Sim # ", 540],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]541\),
      SequenceForm[ "Monte Carlo Sim # ", 541],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]542\),
      SequenceForm[ "Monte Carlo Sim # ", 542],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]543\),
      SequenceForm[ "Monte Carlo Sim # ", 543],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]544\),
      SequenceForm[ "Monte Carlo Sim # ", 544],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]545\),
      SequenceForm[ "Monte Carlo Sim # ", 545],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]546\),
      SequenceForm[ "Monte Carlo Sim # ", 546],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]547\),
      SequenceForm[ "Monte Carlo Sim # ", 547],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]548\),
      SequenceForm[ "Monte Carlo Sim # ", 548],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]549\),
      SequenceForm[ "Monte Carlo Sim # ", 549],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]550\),
      SequenceForm[ "Monte Carlo Sim # ", 550],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]551\),
      SequenceForm[ "Monte Carlo Sim # ", 551],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]552\),
      SequenceForm[ "Monte Carlo Sim # ", 552],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]553\),
      SequenceForm[ "Monte Carlo Sim # ", 553],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]554\),
      SequenceForm[ "Monte Carlo Sim # ", 554],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]555\),
      SequenceForm[ "Monte Carlo Sim # ", 555],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]556\),
      SequenceForm[ "Monte Carlo Sim # ", 556],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]557\),
      SequenceForm[ "Monte Carlo Sim # ", 557],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]558\),
      SequenceForm[ "Monte Carlo Sim # ", 558],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]559\),
      SequenceForm[ "Monte Carlo Sim # ", 559],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]560\),
      SequenceForm[ "Monte Carlo Sim # ", 560],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]561\),
      SequenceForm[ "Monte Carlo Sim # ", 561],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]562\),
      SequenceForm[ "Monte Carlo Sim # ", 562],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]563\),
      SequenceForm[ "Monte Carlo Sim # ", 563],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]564\),
      SequenceForm[ "Monte Carlo Sim # ", 564],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]565\),
      SequenceForm[ "Monte Carlo Sim # ", 565],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]566\),
      SequenceForm[ "Monte Carlo Sim # ", 566],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]567\),
      SequenceForm[ "Monte Carlo Sim # ", 567],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]568\),
      SequenceForm[ "Monte Carlo Sim # ", 568],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]569\),
      SequenceForm[ "Monte Carlo Sim # ", 569],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]570\),
      SequenceForm[ "Monte Carlo Sim # ", 570],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]571\),
      SequenceForm[ "Monte Carlo Sim # ", 571],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]572\),
      SequenceForm[ "Monte Carlo Sim # ", 572],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]573\),
      SequenceForm[ "Monte Carlo Sim # ", 573],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]574\),
      SequenceForm[ "Monte Carlo Sim # ", 574],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]575\),
      SequenceForm[ "Monte Carlo Sim # ", 575],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]576\),
      SequenceForm[ "Monte Carlo Sim # ", 576],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]577\),
      SequenceForm[ "Monte Carlo Sim # ", 577],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]578\),
      SequenceForm[ "Monte Carlo Sim # ", 578],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]579\),
      SequenceForm[ "Monte Carlo Sim # ", 579],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]580\),
      SequenceForm[ "Monte Carlo Sim # ", 580],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]581\),
      SequenceForm[ "Monte Carlo Sim # ", 581],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]582\),
      SequenceForm[ "Monte Carlo Sim # ", 582],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]583\),
      SequenceForm[ "Monte Carlo Sim # ", 583],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]584\),
      SequenceForm[ "Monte Carlo Sim # ", 584],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]585\),
      SequenceForm[ "Monte Carlo Sim # ", 585],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]586\),
      SequenceForm[ "Monte Carlo Sim # ", 586],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]587\),
      SequenceForm[ "Monte Carlo Sim # ", 587],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]588\),
      SequenceForm[ "Monte Carlo Sim # ", 588],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]589\),
      SequenceForm[ "Monte Carlo Sim # ", 589],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]590\),
      SequenceForm[ "Monte Carlo Sim # ", 590],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]591\),
      SequenceForm[ "Monte Carlo Sim # ", 591],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]592\),
      SequenceForm[ "Monte Carlo Sim # ", 592],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]593\),
      SequenceForm[ "Monte Carlo Sim # ", 593],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]594\),
      SequenceForm[ "Monte Carlo Sim # ", 594],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]595\),
      SequenceForm[ "Monte Carlo Sim # ", 595],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]596\),
      SequenceForm[ "Monte Carlo Sim # ", 596],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]597\),
      SequenceForm[ "Monte Carlo Sim # ", 597],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]598\),
      SequenceForm[ "Monte Carlo Sim # ", 598],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]599\),
      SequenceForm[ "Monte Carlo Sim # ", 599],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]600\),
      SequenceForm[ "Monte Carlo Sim # ", 600],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]601\),
      SequenceForm[ "Monte Carlo Sim # ", 601],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]602\),
      SequenceForm[ "Monte Carlo Sim # ", 602],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]603\),
      SequenceForm[ "Monte Carlo Sim # ", 603],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]604\),
      SequenceForm[ "Monte Carlo Sim # ", 604],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]605\),
      SequenceForm[ "Monte Carlo Sim # ", 605],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]606\),
      SequenceForm[ "Monte Carlo Sim # ", 606],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]607\),
      SequenceForm[ "Monte Carlo Sim # ", 607],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]608\),
      SequenceForm[ "Monte Carlo Sim # ", 608],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]609\),
      SequenceForm[ "Monte Carlo Sim # ", 609],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]610\),
      SequenceForm[ "Monte Carlo Sim # ", 610],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]611\),
      SequenceForm[ "Monte Carlo Sim # ", 611],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]612\),
      SequenceForm[ "Monte Carlo Sim # ", 612],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]613\),
      SequenceForm[ "Monte Carlo Sim # ", 613],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]614\),
      SequenceForm[ "Monte Carlo Sim # ", 614],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]615\),
      SequenceForm[ "Monte Carlo Sim # ", 615],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]616\),
      SequenceForm[ "Monte Carlo Sim # ", 616],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]617\),
      SequenceForm[ "Monte Carlo Sim # ", 617],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]618\),
      SequenceForm[ "Monte Carlo Sim # ", 618],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]619\),
      SequenceForm[ "Monte Carlo Sim # ", 619],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]620\),
      SequenceForm[ "Monte Carlo Sim # ", 620],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]621\),
      SequenceForm[ "Monte Carlo Sim # ", 621],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]622\),
      SequenceForm[ "Monte Carlo Sim # ", 622],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]623\),
      SequenceForm[ "Monte Carlo Sim # ", 623],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]624\),
      SequenceForm[ "Monte Carlo Sim # ", 624],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]625\),
      SequenceForm[ "Monte Carlo Sim # ", 625],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]626\),
      SequenceForm[ "Monte Carlo Sim # ", 626],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]627\),
      SequenceForm[ "Monte Carlo Sim # ", 627],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]628\),
      SequenceForm[ "Monte Carlo Sim # ", 628],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]629\),
      SequenceForm[ "Monte Carlo Sim # ", 629],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]630\),
      SequenceForm[ "Monte Carlo Sim # ", 630],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]631\),
      SequenceForm[ "Monte Carlo Sim # ", 631],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]632\),
      SequenceForm[ "Monte Carlo Sim # ", 632],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]633\),
      SequenceForm[ "Monte Carlo Sim # ", 633],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]634\),
      SequenceForm[ "Monte Carlo Sim # ", 634],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]635\),
      SequenceForm[ "Monte Carlo Sim # ", 635],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]636\),
      SequenceForm[ "Monte Carlo Sim # ", 636],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]637\),
      SequenceForm[ "Monte Carlo Sim # ", 637],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]638\),
      SequenceForm[ "Monte Carlo Sim # ", 638],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]639\),
      SequenceForm[ "Monte Carlo Sim # ", 639],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]640\),
      SequenceForm[ "Monte Carlo Sim # ", 640],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]641\),
      SequenceForm[ "Monte Carlo Sim # ", 641],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]642\),
      SequenceForm[ "Monte Carlo Sim # ", 642],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]643\),
      SequenceForm[ "Monte Carlo Sim # ", 643],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]644\),
      SequenceForm[ "Monte Carlo Sim # ", 644],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]645\),
      SequenceForm[ "Monte Carlo Sim # ", 645],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]646\),
      SequenceForm[ "Monte Carlo Sim # ", 646],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]647\),
      SequenceForm[ "Monte Carlo Sim # ", 647],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]648\),
      SequenceForm[ "Monte Carlo Sim # ", 648],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]649\),
      SequenceForm[ "Monte Carlo Sim # ", 649],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]650\),
      SequenceForm[ "Monte Carlo Sim # ", 650],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]651\),
      SequenceForm[ "Monte Carlo Sim # ", 651],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]652\),
      SequenceForm[ "Monte Carlo Sim # ", 652],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]653\),
      SequenceForm[ "Monte Carlo Sim # ", 653],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]654\),
      SequenceForm[ "Monte Carlo Sim # ", 654],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]655\),
      SequenceForm[ "Monte Carlo Sim # ", 655],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]656\),
      SequenceForm[ "Monte Carlo Sim # ", 656],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]657\),
      SequenceForm[ "Monte Carlo Sim # ", 657],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]658\),
      SequenceForm[ "Monte Carlo Sim # ", 658],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]659\),
      SequenceForm[ "Monte Carlo Sim # ", 659],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]660\),
      SequenceForm[ "Monte Carlo Sim # ", 660],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]661\),
      SequenceForm[ "Monte Carlo Sim # ", 661],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]662\),
      SequenceForm[ "Monte Carlo Sim # ", 662],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]663\),
      SequenceForm[ "Monte Carlo Sim # ", 663],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]664\),
      SequenceForm[ "Monte Carlo Sim # ", 664],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]665\),
      SequenceForm[ "Monte Carlo Sim # ", 665],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]666\),
      SequenceForm[ "Monte Carlo Sim # ", 666],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]667\),
      SequenceForm[ "Monte Carlo Sim # ", 667],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]668\),
      SequenceForm[ "Monte Carlo Sim # ", 668],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]669\),
      SequenceForm[ "Monte Carlo Sim # ", 669],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]670\),
      SequenceForm[ "Monte Carlo Sim # ", 670],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]671\),
      SequenceForm[ "Monte Carlo Sim # ", 671],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]672\),
      SequenceForm[ "Monte Carlo Sim # ", 672],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]673\),
      SequenceForm[ "Monte Carlo Sim # ", 673],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]674\),
      SequenceForm[ "Monte Carlo Sim # ", 674],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]675\),
      SequenceForm[ "Monte Carlo Sim # ", 675],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]676\),
      SequenceForm[ "Monte Carlo Sim # ", 676],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]677\),
      SequenceForm[ "Monte Carlo Sim # ", 677],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]678\),
      SequenceForm[ "Monte Carlo Sim # ", 678],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]679\),
      SequenceForm[ "Monte Carlo Sim # ", 679],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]680\),
      SequenceForm[ "Monte Carlo Sim # ", 680],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]681\),
      SequenceForm[ "Monte Carlo Sim # ", 681],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]682\),
      SequenceForm[ "Monte Carlo Sim # ", 682],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]683\),
      SequenceForm[ "Monte Carlo Sim # ", 683],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]684\),
      SequenceForm[ "Monte Carlo Sim # ", 684],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]685\),
      SequenceForm[ "Monte Carlo Sim # ", 685],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]686\),
      SequenceForm[ "Monte Carlo Sim # ", 686],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]687\),
      SequenceForm[ "Monte Carlo Sim # ", 687],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]688\),
      SequenceForm[ "Monte Carlo Sim # ", 688],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]689\),
      SequenceForm[ "Monte Carlo Sim # ", 689],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]690\),
      SequenceForm[ "Monte Carlo Sim # ", 690],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]691\),
      SequenceForm[ "Monte Carlo Sim # ", 691],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]692\),
      SequenceForm[ "Monte Carlo Sim # ", 692],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]693\),
      SequenceForm[ "Monte Carlo Sim # ", 693],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]694\),
      SequenceForm[ "Monte Carlo Sim # ", 694],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]695\),
      SequenceForm[ "Monte Carlo Sim # ", 695],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]696\),
      SequenceForm[ "Monte Carlo Sim # ", 696],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]697\),
      SequenceForm[ "Monte Carlo Sim # ", 697],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]698\),
      SequenceForm[ "Monte Carlo Sim # ", 698],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]699\),
      SequenceForm[ "Monte Carlo Sim # ", 699],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]700\),
      SequenceForm[ "Monte Carlo Sim # ", 700],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]701\),
      SequenceForm[ "Monte Carlo Sim # ", 701],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]702\),
      SequenceForm[ "Monte Carlo Sim # ", 702],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]703\),
      SequenceForm[ "Monte Carlo Sim # ", 703],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]704\),
      SequenceForm[ "Monte Carlo Sim # ", 704],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]705\),
      SequenceForm[ "Monte Carlo Sim # ", 705],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]706\),
      SequenceForm[ "Monte Carlo Sim # ", 706],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]707\),
      SequenceForm[ "Monte Carlo Sim # ", 707],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]708\),
      SequenceForm[ "Monte Carlo Sim # ", 708],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]709\),
      SequenceForm[ "Monte Carlo Sim # ", 709],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]710\),
      SequenceForm[ "Monte Carlo Sim # ", 710],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]711\),
      SequenceForm[ "Monte Carlo Sim # ", 711],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]712\),
      SequenceForm[ "Monte Carlo Sim # ", 712],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]713\),
      SequenceForm[ "Monte Carlo Sim # ", 713],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]714\),
      SequenceForm[ "Monte Carlo Sim # ", 714],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]715\),
      SequenceForm[ "Monte Carlo Sim # ", 715],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]716\),
      SequenceForm[ "Monte Carlo Sim # ", 716],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]717\),
      SequenceForm[ "Monte Carlo Sim # ", 717],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]718\),
      SequenceForm[ "Monte Carlo Sim # ", 718],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]719\),
      SequenceForm[ "Monte Carlo Sim # ", 719],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]720\),
      SequenceForm[ "Monte Carlo Sim # ", 720],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]721\),
      SequenceForm[ "Monte Carlo Sim # ", 721],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]722\),
      SequenceForm[ "Monte Carlo Sim # ", 722],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]723\),
      SequenceForm[ "Monte Carlo Sim # ", 723],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]724\),
      SequenceForm[ "Monte Carlo Sim # ", 724],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]725\),
      SequenceForm[ "Monte Carlo Sim # ", 725],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]726\),
      SequenceForm[ "Monte Carlo Sim # ", 726],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]727\),
      SequenceForm[ "Monte Carlo Sim # ", 727],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]728\),
      SequenceForm[ "Monte Carlo Sim # ", 728],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]729\),
      SequenceForm[ "Monte Carlo Sim # ", 729],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]730\),
      SequenceForm[ "Monte Carlo Sim # ", 730],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]731\),
      SequenceForm[ "Monte Carlo Sim # ", 731],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]732\),
      SequenceForm[ "Monte Carlo Sim # ", 732],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]733\),
      SequenceForm[ "Monte Carlo Sim # ", 733],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]734\),
      SequenceForm[ "Monte Carlo Sim # ", 734],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]735\),
      SequenceForm[ "Monte Carlo Sim # ", 735],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]736\),
      SequenceForm[ "Monte Carlo Sim # ", 736],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]737\),
      SequenceForm[ "Monte Carlo Sim # ", 737],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]738\),
      SequenceForm[ "Monte Carlo Sim # ", 738],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]739\),
      SequenceForm[ "Monte Carlo Sim # ", 739],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]740\),
      SequenceForm[ "Monte Carlo Sim # ", 740],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]741\),
      SequenceForm[ "Monte Carlo Sim # ", 741],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]742\),
      SequenceForm[ "Monte Carlo Sim # ", 742],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]743\),
      SequenceForm[ "Monte Carlo Sim # ", 743],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]744\),
      SequenceForm[ "Monte Carlo Sim # ", 744],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]745\),
      SequenceForm[ "Monte Carlo Sim # ", 745],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]746\),
      SequenceForm[ "Monte Carlo Sim # ", 746],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]747\),
      SequenceForm[ "Monte Carlo Sim # ", 747],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]748\),
      SequenceForm[ "Monte Carlo Sim # ", 748],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]749\),
      SequenceForm[ "Monte Carlo Sim # ", 749],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]750\),
      SequenceForm[ "Monte Carlo Sim # ", 750],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]751\),
      SequenceForm[ "Monte Carlo Sim # ", 751],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]752\),
      SequenceForm[ "Monte Carlo Sim # ", 752],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]753\),
      SequenceForm[ "Monte Carlo Sim # ", 753],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]754\),
      SequenceForm[ "Monte Carlo Sim # ", 754],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]755\),
      SequenceForm[ "Monte Carlo Sim # ", 755],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]756\),
      SequenceForm[ "Monte Carlo Sim # ", 756],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]757\),
      SequenceForm[ "Monte Carlo Sim # ", 757],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]758\),
      SequenceForm[ "Monte Carlo Sim # ", 758],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]759\),
      SequenceForm[ "Monte Carlo Sim # ", 759],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]760\),
      SequenceForm[ "Monte Carlo Sim # ", 760],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]761\),
      SequenceForm[ "Monte Carlo Sim # ", 761],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]762\),
      SequenceForm[ "Monte Carlo Sim # ", 762],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]763\),
      SequenceForm[ "Monte Carlo Sim # ", 763],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]764\),
      SequenceForm[ "Monte Carlo Sim # ", 764],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]765\),
      SequenceForm[ "Monte Carlo Sim # ", 765],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]766\),
      SequenceForm[ "Monte Carlo Sim # ", 766],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]767\),
      SequenceForm[ "Monte Carlo Sim # ", 767],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]768\),
      SequenceForm[ "Monte Carlo Sim # ", 768],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]769\),
      SequenceForm[ "Monte Carlo Sim # ", 769],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]770\),
      SequenceForm[ "Monte Carlo Sim # ", 770],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]771\),
      SequenceForm[ "Monte Carlo Sim # ", 771],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]772\),
      SequenceForm[ "Monte Carlo Sim # ", 772],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]773\),
      SequenceForm[ "Monte Carlo Sim # ", 773],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]774\),
      SequenceForm[ "Monte Carlo Sim # ", 774],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]775\),
      SequenceForm[ "Monte Carlo Sim # ", 775],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]776\),
      SequenceForm[ "Monte Carlo Sim # ", 776],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]777\),
      SequenceForm[ "Monte Carlo Sim # ", 777],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]778\),
      SequenceForm[ "Monte Carlo Sim # ", 778],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]779\),
      SequenceForm[ "Monte Carlo Sim # ", 779],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]780\),
      SequenceForm[ "Monte Carlo Sim # ", 780],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]781\),
      SequenceForm[ "Monte Carlo Sim # ", 781],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]782\),
      SequenceForm[ "Monte Carlo Sim # ", 782],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]783\),
      SequenceForm[ "Monte Carlo Sim # ", 783],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]784\),
      SequenceForm[ "Monte Carlo Sim # ", 784],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]785\),
      SequenceForm[ "Monte Carlo Sim # ", 785],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]786\),
      SequenceForm[ "Monte Carlo Sim # ", 786],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]787\),
      SequenceForm[ "Monte Carlo Sim # ", 787],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]788\),
      SequenceForm[ "Monte Carlo Sim # ", 788],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]789\),
      SequenceForm[ "Monte Carlo Sim # ", 789],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]790\),
      SequenceForm[ "Monte Carlo Sim # ", 790],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]791\),
      SequenceForm[ "Monte Carlo Sim # ", 791],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]792\),
      SequenceForm[ "Monte Carlo Sim # ", 792],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]793\),
      SequenceForm[ "Monte Carlo Sim # ", 793],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]794\),
      SequenceForm[ "Monte Carlo Sim # ", 794],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]795\),
      SequenceForm[ "Monte Carlo Sim # ", 795],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]796\),
      SequenceForm[ "Monte Carlo Sim # ", 796],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]797\),
      SequenceForm[ "Monte Carlo Sim # ", 797],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]798\),
      SequenceForm[ "Monte Carlo Sim # ", 798],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]799\),
      SequenceForm[ "Monte Carlo Sim # ", 799],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]800\),
      SequenceForm[ "Monte Carlo Sim # ", 800],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]801\),
      SequenceForm[ "Monte Carlo Sim # ", 801],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]802\),
      SequenceForm[ "Monte Carlo Sim # ", 802],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]803\),
      SequenceForm[ "Monte Carlo Sim # ", 803],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]804\),
      SequenceForm[ "Monte Carlo Sim # ", 804],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]805\),
      SequenceForm[ "Monte Carlo Sim # ", 805],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]806\),
      SequenceForm[ "Monte Carlo Sim # ", 806],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]807\),
      SequenceForm[ "Monte Carlo Sim # ", 807],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]808\),
      SequenceForm[ "Monte Carlo Sim # ", 808],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]809\),
      SequenceForm[ "Monte Carlo Sim # ", 809],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]810\),
      SequenceForm[ "Monte Carlo Sim # ", 810],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]811\),
      SequenceForm[ "Monte Carlo Sim # ", 811],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]812\),
      SequenceForm[ "Monte Carlo Sim # ", 812],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]813\),
      SequenceForm[ "Monte Carlo Sim # ", 813],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]814\),
      SequenceForm[ "Monte Carlo Sim # ", 814],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]815\),
      SequenceForm[ "Monte Carlo Sim # ", 815],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]816\),
      SequenceForm[ "Monte Carlo Sim # ", 816],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]817\),
      SequenceForm[ "Monte Carlo Sim # ", 817],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]818\),
      SequenceForm[ "Monte Carlo Sim # ", 818],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]819\),
      SequenceForm[ "Monte Carlo Sim # ", 819],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]820\),
      SequenceForm[ "Monte Carlo Sim # ", 820],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]821\),
      SequenceForm[ "Monte Carlo Sim # ", 821],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]822\),
      SequenceForm[ "Monte Carlo Sim # ", 822],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]823\),
      SequenceForm[ "Monte Carlo Sim # ", 823],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]824\),
      SequenceForm[ "Monte Carlo Sim # ", 824],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]825\),
      SequenceForm[ "Monte Carlo Sim # ", 825],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]826\),
      SequenceForm[ "Monte Carlo Sim # ", 826],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]827\),
      SequenceForm[ "Monte Carlo Sim # ", 827],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]828\),
      SequenceForm[ "Monte Carlo Sim # ", 828],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]829\),
      SequenceForm[ "Monte Carlo Sim # ", 829],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]830\),
      SequenceForm[ "Monte Carlo Sim # ", 830],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]831\),
      SequenceForm[ "Monte Carlo Sim # ", 831],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]832\),
      SequenceForm[ "Monte Carlo Sim # ", 832],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]833\),
      SequenceForm[ "Monte Carlo Sim # ", 833],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]834\),
      SequenceForm[ "Monte Carlo Sim # ", 834],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]835\),
      SequenceForm[ "Monte Carlo Sim # ", 835],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]836\),
      SequenceForm[ "Monte Carlo Sim # ", 836],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]837\),
      SequenceForm[ "Monte Carlo Sim # ", 837],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]838\),
      SequenceForm[ "Monte Carlo Sim # ", 838],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]839\),
      SequenceForm[ "Monte Carlo Sim # ", 839],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]840\),
      SequenceForm[ "Monte Carlo Sim # ", 840],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]841\),
      SequenceForm[ "Monte Carlo Sim # ", 841],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]842\),
      SequenceForm[ "Monte Carlo Sim # ", 842],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]843\),
      SequenceForm[ "Monte Carlo Sim # ", 843],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]844\),
      SequenceForm[ "Monte Carlo Sim # ", 844],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]845\),
      SequenceForm[ "Monte Carlo Sim # ", 845],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]846\),
      SequenceForm[ "Monte Carlo Sim # ", 846],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]847\),
      SequenceForm[ "Monte Carlo Sim # ", 847],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]848\),
      SequenceForm[ "Monte Carlo Sim # ", 848],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]849\),
      SequenceForm[ "Monte Carlo Sim # ", 849],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]850\),
      SequenceForm[ "Monte Carlo Sim # ", 850],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]851\),
      SequenceForm[ "Monte Carlo Sim # ", 851],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]852\),
      SequenceForm[ "Monte Carlo Sim # ", 852],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]853\),
      SequenceForm[ "Monte Carlo Sim # ", 853],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]854\),
      SequenceForm[ "Monte Carlo Sim # ", 854],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]855\),
      SequenceForm[ "Monte Carlo Sim # ", 855],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]856\),
      SequenceForm[ "Monte Carlo Sim # ", 856],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]857\),
      SequenceForm[ "Monte Carlo Sim # ", 857],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]858\),
      SequenceForm[ "Monte Carlo Sim # ", 858],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]859\),
      SequenceForm[ "Monte Carlo Sim # ", 859],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]860\),
      SequenceForm[ "Monte Carlo Sim # ", 860],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]861\),
      SequenceForm[ "Monte Carlo Sim # ", 861],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]862\),
      SequenceForm[ "Monte Carlo Sim # ", 862],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]863\),
      SequenceForm[ "Monte Carlo Sim # ", 863],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]864\),
      SequenceForm[ "Monte Carlo Sim # ", 864],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]865\),
      SequenceForm[ "Monte Carlo Sim # ", 865],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]866\),
      SequenceForm[ "Monte Carlo Sim # ", 866],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]867\),
      SequenceForm[ "Monte Carlo Sim # ", 867],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]868\),
      SequenceForm[ "Monte Carlo Sim # ", 868],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]869\),
      SequenceForm[ "Monte Carlo Sim # ", 869],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]870\),
      SequenceForm[ "Monte Carlo Sim # ", 870],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]871\),
      SequenceForm[ "Monte Carlo Sim # ", 871],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]872\),
      SequenceForm[ "Monte Carlo Sim # ", 872],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]873\),
      SequenceForm[ "Monte Carlo Sim # ", 873],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]874\),
      SequenceForm[ "Monte Carlo Sim # ", 874],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]875\),
      SequenceForm[ "Monte Carlo Sim # ", 875],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]876\),
      SequenceForm[ "Monte Carlo Sim # ", 876],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]877\),
      SequenceForm[ "Monte Carlo Sim # ", 877],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]878\),
      SequenceForm[ "Monte Carlo Sim # ", 878],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]879\),
      SequenceForm[ "Monte Carlo Sim # ", 879],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]880\),
      SequenceForm[ "Monte Carlo Sim # ", 880],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]881\),
      SequenceForm[ "Monte Carlo Sim # ", 881],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]882\),
      SequenceForm[ "Monte Carlo Sim # ", 882],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]883\),
      SequenceForm[ "Monte Carlo Sim # ", 883],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]884\),
      SequenceForm[ "Monte Carlo Sim # ", 884],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]885\),
      SequenceForm[ "Monte Carlo Sim # ", 885],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]886\),
      SequenceForm[ "Monte Carlo Sim # ", 886],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]887\),
      SequenceForm[ "Monte Carlo Sim # ", 887],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]888\),
      SequenceForm[ "Monte Carlo Sim # ", 888],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]889\),
      SequenceForm[ "Monte Carlo Sim # ", 889],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]890\),
      SequenceForm[ "Monte Carlo Sim # ", 890],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]891\),
      SequenceForm[ "Monte Carlo Sim # ", 891],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]892\),
      SequenceForm[ "Monte Carlo Sim # ", 892],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]893\),
      SequenceForm[ "Monte Carlo Sim # ", 893],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]894\),
      SequenceForm[ "Monte Carlo Sim # ", 894],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]895\),
      SequenceForm[ "Monte Carlo Sim # ", 895],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]896\),
      SequenceForm[ "Monte Carlo Sim # ", 896],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]897\),
      SequenceForm[ "Monte Carlo Sim # ", 897],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]898\),
      SequenceForm[ "Monte Carlo Sim # ", 898],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]899\),
      SequenceForm[ "Monte Carlo Sim # ", 899],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]900\),
      SequenceForm[ "Monte Carlo Sim # ", 900],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]901\),
      SequenceForm[ "Monte Carlo Sim # ", 901],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]902\),
      SequenceForm[ "Monte Carlo Sim # ", 902],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]903\),
      SequenceForm[ "Monte Carlo Sim # ", 903],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]904\),
      SequenceForm[ "Monte Carlo Sim # ", 904],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]905\),
      SequenceForm[ "Monte Carlo Sim # ", 905],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]906\),
      SequenceForm[ "Monte Carlo Sim # ", 906],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]907\),
      SequenceForm[ "Monte Carlo Sim # ", 907],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]908\),
      SequenceForm[ "Monte Carlo Sim # ", 908],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]909\),
      SequenceForm[ "Monte Carlo Sim # ", 909],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]910\),
      SequenceForm[ "Monte Carlo Sim # ", 910],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]911\),
      SequenceForm[ "Monte Carlo Sim # ", 911],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]912\),
      SequenceForm[ "Monte Carlo Sim # ", 912],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]913\),
      SequenceForm[ "Monte Carlo Sim # ", 913],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]914\),
      SequenceForm[ "Monte Carlo Sim # ", 914],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]915\),
      SequenceForm[ "Monte Carlo Sim # ", 915],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]916\),
      SequenceForm[ "Monte Carlo Sim # ", 916],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]917\),
      SequenceForm[ "Monte Carlo Sim # ", 917],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]918\),
      SequenceForm[ "Monte Carlo Sim # ", 918],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]919\),
      SequenceForm[ "Monte Carlo Sim # ", 919],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]920\),
      SequenceForm[ "Monte Carlo Sim # ", 920],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]921\),
      SequenceForm[ "Monte Carlo Sim # ", 921],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]922\),
      SequenceForm[ "Monte Carlo Sim # ", 922],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]923\),
      SequenceForm[ "Monte Carlo Sim # ", 923],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]924\),
      SequenceForm[ "Monte Carlo Sim # ", 924],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]925\),
      SequenceForm[ "Monte Carlo Sim # ", 925],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]926\),
      SequenceForm[ "Monte Carlo Sim # ", 926],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]927\),
      SequenceForm[ "Monte Carlo Sim # ", 927],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]928\),
      SequenceForm[ "Monte Carlo Sim # ", 928],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]929\),
      SequenceForm[ "Monte Carlo Sim # ", 929],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]930\),
      SequenceForm[ "Monte Carlo Sim # ", 930],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]931\),
      SequenceForm[ "Monte Carlo Sim # ", 931],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]932\),
      SequenceForm[ "Monte Carlo Sim # ", 932],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]933\),
      SequenceForm[ "Monte Carlo Sim # ", 933],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]934\),
      SequenceForm[ "Monte Carlo Sim # ", 934],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]935\),
      SequenceForm[ "Monte Carlo Sim # ", 935],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]936\),
      SequenceForm[ "Monte Carlo Sim # ", 936],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]937\),
      SequenceForm[ "Monte Carlo Sim # ", 937],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]938\),
      SequenceForm[ "Monte Carlo Sim # ", 938],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]939\),
      SequenceForm[ "Monte Carlo Sim # ", 939],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]940\),
      SequenceForm[ "Monte Carlo Sim # ", 940],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]941\),
      SequenceForm[ "Monte Carlo Sim # ", 941],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]942\),
      SequenceForm[ "Monte Carlo Sim # ", 942],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]943\),
      SequenceForm[ "Monte Carlo Sim # ", 943],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]944\),
      SequenceForm[ "Monte Carlo Sim # ", 944],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]945\),
      SequenceForm[ "Monte Carlo Sim # ", 945],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]946\),
      SequenceForm[ "Monte Carlo Sim # ", 946],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]947\),
      SequenceForm[ "Monte Carlo Sim # ", 947],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]948\),
      SequenceForm[ "Monte Carlo Sim # ", 948],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]949\),
      SequenceForm[ "Monte Carlo Sim # ", 949],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]950\),
      SequenceForm[ "Monte Carlo Sim # ", 950],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]951\),
      SequenceForm[ "Monte Carlo Sim # ", 951],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]952\),
      SequenceForm[ "Monte Carlo Sim # ", 952],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]953\),
      SequenceForm[ "Monte Carlo Sim # ", 953],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]954\),
      SequenceForm[ "Monte Carlo Sim # ", 954],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]955\),
      SequenceForm[ "Monte Carlo Sim # ", 955],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]956\),
      SequenceForm[ "Monte Carlo Sim # ", 956],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]957\),
      SequenceForm[ "Monte Carlo Sim # ", 957],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]958\),
      SequenceForm[ "Monte Carlo Sim # ", 958],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]959\),
      SequenceForm[ "Monte Carlo Sim # ", 959],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]960\),
      SequenceForm[ "Monte Carlo Sim # ", 960],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]961\),
      SequenceForm[ "Monte Carlo Sim # ", 961],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]962\),
      SequenceForm[ "Monte Carlo Sim # ", 962],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]963\),
      SequenceForm[ "Monte Carlo Sim # ", 963],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]964\),
      SequenceForm[ "Monte Carlo Sim # ", 964],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]965\),
      SequenceForm[ "Monte Carlo Sim # ", 965],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]966\),
      SequenceForm[ "Monte Carlo Sim # ", 966],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]967\),
      SequenceForm[ "Monte Carlo Sim # ", 967],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]968\),
      SequenceForm[ "Monte Carlo Sim # ", 968],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]969\),
      SequenceForm[ "Monte Carlo Sim # ", 969],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]970\),
      SequenceForm[ "Monte Carlo Sim # ", 970],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]971\),
      SequenceForm[ "Monte Carlo Sim # ", 971],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]972\),
      SequenceForm[ "Monte Carlo Sim # ", 972],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]973\),
      SequenceForm[ "Monte Carlo Sim # ", 973],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]974\),
      SequenceForm[ "Monte Carlo Sim # ", 974],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]975\),
      SequenceForm[ "Monte Carlo Sim # ", 975],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]976\),
      SequenceForm[ "Monte Carlo Sim # ", 976],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]977\),
      SequenceForm[ "Monte Carlo Sim # ", 977],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]978\),
      SequenceForm[ "Monte Carlo Sim # ", 978],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]979\),
      SequenceForm[ "Monte Carlo Sim # ", 979],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]980\),
      SequenceForm[ "Monte Carlo Sim # ", 980],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]981\),
      SequenceForm[ "Monte Carlo Sim # ", 981],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]982\),
      SequenceForm[ "Monte Carlo Sim # ", 982],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]983\),
      SequenceForm[ "Monte Carlo Sim # ", 983],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]984\),
      SequenceForm[ "Monte Carlo Sim # ", 984],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]985\),
      SequenceForm[ "Monte Carlo Sim # ", 985],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]986\),
      SequenceForm[ "Monte Carlo Sim # ", 986],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]987\),
      SequenceForm[ "Monte Carlo Sim # ", 987],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]988\),
      SequenceForm[ "Monte Carlo Sim # ", 988],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]989\),
      SequenceForm[ "Monte Carlo Sim # ", 989],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]990\),
      SequenceForm[ "Monte Carlo Sim # ", 990],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]991\),
      SequenceForm[ "Monte Carlo Sim # ", 991],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]992\),
      SequenceForm[ "Monte Carlo Sim # ", 992],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]993\),
      SequenceForm[ "Monte Carlo Sim # ", 993],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]994\),
      SequenceForm[ "Monte Carlo Sim # ", 994],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]995\),
      SequenceForm[ "Monte Carlo Sim # ", 995],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]996\),
      SequenceForm[ "Monte Carlo Sim # ", 996],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]997\),
      SequenceForm[ "Monte Carlo Sim # ", 997],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]998\),
      SequenceForm[ "Monte Carlo Sim # ", 998],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]999\),
      SequenceForm[ "Monte Carlo Sim # ", 999],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Monte Carlo Sim # "\[InvisibleSpace]1000\),
      SequenceForm[ "Monte Carlo Sim # ", 1000],
      Editable->False]], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
%%ImageSize: 432 266.991 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.309017 0.47619 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of sub-graphic
p
0.0238095 0.0147151 0.97619 0.603319 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-1.46667 1.33333 -8.53809e-018 5.15028 [
[.13333 -0.0125 -9.5 -15.5 ]
[.13333 -0.0125 9.5 0 ]
[.26667 -0.0125 -9.5 -15.5 ]
[.26667 -0.0125 9.5 0 ]
[.4 -0.0125 -9.5 -15.5 ]
[.4 -0.0125 9.5 0 ]
[.53333 -0.0125 -9.5 -15.5 ]
[.53333 -0.0125 9.5 0 ]
[.66667 -0.0125 -9.5 -15.5 ]
[.66667 -0.0125 9.5 0 ]
[.8 -0.0125 -9.5 -15.5 ]
[.8 -0.0125 9.5 0 ]
[.93333 -0.0125 -9.5 -15.5 ]
[.93333 -0.0125 9.5 0 ]
[1.025 0 0 -7.75 ]
[1.025 0 10 7.75 ]
[-0.0125 .10301 -25 -7.75 ]
[-0.0125 .10301 0 7.75 ]
[-0.0125 .20601 -25 -7.75 ]
[-0.0125 .20601 0 7.75 ]
[-0.0125 .30902 -25 -7.75 ]
[-0.0125 .30902 0 7.75 ]
[-0.0125 .41202 -25 -7.75 ]
[-0.0125 .41202 0 7.75 ]
[-0.0125 .51503 -25 -7.75 ]
[-0.0125 .51503 0 7.75 ]
[-0.0125 .61803 -25 -7.75 ]
[-0.0125 .61803 0 7.75 ]
[ -0.001 -0.001 0 0 ]
[ 1.0005 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.002 w
[ ] 0 setdash
.13333 0 m
.13333 .00625 L
s
gsave
.13333 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.2) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.26667 0 m
.26667 .00625 L
s
gsave
.26667 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.3) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.4 0 m
.4 .00625 L
s
gsave
.4 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.4) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.53333 0 m
.53333 .00625 L
s
gsave
.53333 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.66667 0 m
.66667 .00625 L
s
gsave
.66667 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.6) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.8 0 m
.8 .00625 L
s
gsave
.8 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.7) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.93333 0 m
.93333 .00625 L
s
gsave
.93333 -0.0125 -70.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.8) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
.03333 0 m
.03333 .00312 L
s
.06667 0 m
.06667 .00312 L
s
.1 0 m
.1 .00312 L
s
.16667 0 m
.16667 .00312 L
s
.2 0 m
.2 .00312 L
s
.23333 0 m
.23333 .00312 L
s
.3 0 m
.3 .00312 L
s
.33333 0 m
.33333 .00312 L
s
.36667 0 m
.36667 .00312 L
s
.43333 0 m
.43333 .00312 L
s
.46667 0 m
.46667 .00312 L
s
.5 0 m
.5 .00312 L
s
.56667 0 m
.56667 .00312 L
s
.6 0 m
.6 .00312 L
s
.63333 0 m
.63333 .00312 L
s
.7 0 m
.7 .00312 L
s
.73333 0 m
.73333 .00312 L
s
.76667 0 m
.76667 .00312 L
s
.83333 0 m
.83333 .00312 L
s
.86667 0 m
.86667 .00312 L
s
.9 0 m
.9 .00312 L
s
.96667 0 m
.96667 .00312 L
s
1 0 m
1 .00312 L
s
.25 Mabswid
0 0 m
1 0 L
s
gsave
1.025 0 -61 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
69.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.002 w
0 .10301 m
.00625 .10301 L
s
gsave
-0.0125 .10301 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.02) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .20601 m
.00625 .20601 L
s
gsave
-0.0125 .20601 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.04) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .30902 m
.00625 .30902 L
s
gsave
-0.0125 .30902 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.06) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .41202 m
.00625 .41202 L
s
gsave
-0.0125 .41202 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.08) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .51503 m
.00625 .51503 L
s
gsave
-0.0125 .51503 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.10) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -86 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.12) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
0 .02575 m
.00313 .02575 L
s
0 .0515 m
.00313 .0515 L
s
0 .07725 m
.00313 .07725 L
s
0 .12876 m
.00313 .12876 L
s
0 .15451 m
.00313 .15451 L
s
0 .18026 m
.00313 .18026 L
s
0 .23176 m
.00313 .23176 L
s
0 .25751 m
.00313 .25751 L
s
0 .28327 m
.00313 .28327 L
s
0 .33477 m
.00313 .33477 L
s
0 .36052 m
.00313 .36052 L
s
0 .38627 m
.00313 .38627 L
s
0 .43777 m
.00313 .43777 L
s
0 .46353 m
.00313 .46353 L
s
0 .48928 m
.00313 .48928 L
s
0 .54078 m
.00313 .54078 L
s
0 .56653 m
.00313 .56653 L
s
0 .59228 m
.00313 .59228 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.03467 .58845 m
.0741 .5236 L
.1171 .46119 L
.15749 .40971 L
.19633 .36608 L
.23767 .3253 L
.27747 .29095 L
.31977 .25908 L
.36052 .23234 L
.39972 .20984 L
.44143 .18892 L
.48159 .17133 L
.52021 .15648 L
.56133 .1426 L
.6009 .13087 L
.64297 .11991 L
.6835 .11065 L
.72248 .10278 L
.76396 .09537 L
.8039 .08907 L
.84633 .08314 L
.88723 .07808 L
.92657 .07375 L
.96842 .06965 L
s
.96842 .06965 m
1 .06689 L
s
[ .01 ] 0 setdash
.03467 .26076 m
.0741 .22595 L
.1171 .19535 L
.15749 .17219 L
.19633 .154 L
.23767 .13814 L
.27747 .12559 L
.31977 .11458 L
.36052 .10577 L
.39972 .09862 L
.44143 .09216 L
.48159 .08684 L
.52021 .0824 L
.56133 .07828 L
.6009 .07479 L
.64297 .0715 L
.6835 .06868 L
.72248 .06624 L
.76396 .06389 L
.8039 .06184 L
.84633 .05984 L
.88723 .05809 L
.92657 .05653 L
.96842 .055 L
s
.96842 .055 m
1 .05392 L
s
[ .03 ] 0 setdash
.03467 .27011 m
.0741 .24174 L
.1171 .21619 L
.15749 .19627 L
.19633 .18009 L
.23767 .16544 L
.27747 .15334 L
.31977 .14221 L
.36052 .13284 L
.39972 .12485 L
.44143 .11725 L
.48159 .11068 L
.52021 .10493 L
.56133 .09934 L
.6009 .09441 L
.64297 .08959 L
.6835 .08532 L
.72248 .08152 L
.76396 .07777 L
.8039 .07443 L
.84633 .07114 L
.88723 .0682 L
.92657 .06558 L
.96842 .063 L
s
.96842 .063 m
1 .06119 L
s
MathSubEnd
P
% End of sub-graphic
0 g
.45238 .30902 m
.45238 .45187 L
.95238 .45187 L
.95238 .30902 L
F
1 g
.42857 .33283 m
.42857 .47568 L
.92857 .47568 L
.92857 .33283 L
F
0 g
.001 w
[ ] 0 setdash
.42857 .33283 m
.92857 .33283 L
.92857 .47568 L
.42857 .47568 L
.42857 .33283 L
s
% Start of sub-graphic
p
0.428571 0.332827 0.928571 0.475684 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0297619 0.297619 0.00776398 0.0776398 [
[ 0 0 0 0 ]
[ 1 .28571 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .28571 L
0 .28571 L
closepath
clip
newpath
% Start of sub-graphic
p
0.0535714 0.0139752 0.35119 0.0916149 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.309017 0.294302 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
0 g
.5 Mabswid
[ .2 ] 0 setdash
.02381 .30902 m
.97619 .30902 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .0528 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Fourth) show
105.000 13.000 moveto
(Order) show
135.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.104037 0.35119 0.181677 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.309017 0.294302 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
0 g
.5 Mabswid
[ .06667 ] 0 setdash
.02381 .30902 m
.97619 .30902 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .14286 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Second) show
105.000 13.000 moveto
(Order) show
135.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
0.0535714 0.194099 0.35119 0.271739 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.309017 0.294302 [
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.02381 .30902 m
.97619 .30902 L
s
MathSubEnd
P
% End of sub-graphic
0 g
gsave
.38988 .23292 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20.75 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(True) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
MathSubEnd
P
% End of sub-graphic
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{432, 266.938},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006`00012Q000`40O003h00Oogoo/Goo003oOona
Ool00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00
ogoo/Goo003oOonaOol00?mook5oo`00DGoo0`000goo00<007oo000010008goo0`000goo00<007oo
00000`009Goo0`000goo00<007ooOol00goo00<007ooOol08Goo0`000goo00<007oo00000P009Goo
0`000goo00<007ooOol00`0097oo0`000goo00D007ooOomoo`0002Eoo`<000=oo`03001oogoo00<0
039oo`00DWoo00<007ooOol01Goo00@007ooOol002Aoo`03001oogoo00Qoo`03001oogoo02=oo`03
001oogoo00Qoo`03001oogoo029oo`03001oogoo00Moo`03001oogoo02=oo`03001oogoo00Aoo`05
001oogooOol0000TOol00`00Oomoo`06Ool00`00Oomoo`0TOol00`00Oomoo`04Ool01@00Oomoogoo
0000<Goo001BOol00`00Oomoo`06Ool00`00Oomoo`0TOol00`00Oomoo`08Ool00`00Oomoo`0SOol0
0`00Oomoo`04Ool6000SOol00`00Oomoo`08Ool00`00Oomoo`0ROol00`00Oomoo`04Ool01@00Oomo
ogoo000097oo00<007ooOol01goo00<007ooOol08goo00<007ooOol017oo00D007ooOomoo`00035o
o`00DWoo00<007ooOol01goo00<007ooOol08goo00<007ooOol027oo00<007ooOol08goo00<007oo
Ool017oo00D007ooOomoo`0002Aoo`03001oogoo00Qoo`03001oogoo029oo`03001oogoo00Aoo`05
001oogooOol0000TOol00`00Oomoo`07Ool00`00Oomoo`0SOol00`00Oomoo`05Ool00`00Ool0000b
Ool0059oo`03001oogoo00Qoo`03001oogoo029oo`03001oogoo00Ioo`8002Ioo`03001oogoo00Eo
o`04001oogoo000TOol00`00Oomoo`08Ool00`00Oomoo`0ROol00`00Oomoo`04Ool20002Ool00`00
Oomoo`0ROol00`00Oomoo`07Ool00`00Oomoo`0SOol00`00Oomoo`06Ool00`00Oomoo`0aOol0059o
o`03001oogoo00Qoo`03001oogoo029oo`03001oogoo00Moo`03001oogoo02Aoo`03001oogoo00Io
o`03001oo`0002Aoo`03001oogoo00Moo`03001oogoo02=oo`03001oogoo00Aoo`04001oo`00000U
Ool00`00Oomoo`07Ool00`00Oomoo`0SOol00`00Oomoo`05Ool00`00Ool0000bOol0059oo`03001o
ogoo00Qoo`03001oogoo029oo`03001oogoo00Qoo`03001oogoo02=oo`03001oogoo00Ioo`03001o
o`0002Aoo`03001oogoo00Eoo`8002Ioo`03001oogoo00Eoo`03001oogoo02Eoo`03001oogoo00Qo
o`03001oogoo029oo`03001oogoo00Aoo`05001oogooOol0000aOol0055oo`8000Ioo`05001oogoo
Ool0000SOol20006Ool01@00Oomoogoo000097oo0P002Goo0P008goo0P001goo00<007ooOol097oo
0P0027oo00<007ooOol08goo0P001Woo00D007ooOomoo`0002=oo`8000Ioo`05001oogooOol0000a
Ool0059oo`03001oogoo00Eoo`<002Eoo`03001oogoo00Eoo`<002Ioo`03001oogoo00Qoo`03001o
ogoo029oo`03001oogoo00Ioo`<002Aoo`03001oogoo00Moo`8002Aoo`03001oogoo00Eoo`@002Ao
o`03001oogoo00Eoo`<0039oo`00ogoo/Goo003oOonaOol00?mook5oo`00ogooWGoo0P0000=oo`00
00003goo003oOonNOol00`00Ool0000@Ool00?mooimoo`03001oogoo00moo`00:7ooo`00J`0037oo
00<007ooOol03goo000XOol00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomo
o`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomo
o`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomo
o`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomo
o`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomoo`0:Ool00`00Oomoo`09Ool00`00Oomo
o`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Oomo
o`09Ool00`00Oomoo`09Ool00`00Oomoo`09Ool00`00Ool0000@Ool002Qoo`03001oogoo02eoo`03
001oogoo02eoo`03001oogoo02eoo`03001oogoo02eoo`03001oogoo02eoo`03001oogoo02ioo`03
001oogoo02eoo`03001oogoo021oo`800003Ool0000000moo`00:7oo00<007ooOol0ogooQWoo000X
Ool00`00Oomoo`3oOon6Ool002Qoo`03001oogoo0?moohIoo`00:7oo00<007ooOol0ogooQWoo000X
Ool00`00Oomoo`3oOon6Ool002Qoo`03001oogoo0?moohIoo`00:7oo0P00ogooQgoo000XOol00`00
Oomoo`3oOon6Ool002Qoo`03001oogoo0?moohIoo`00:7oo00<007ooOol0ogooQWoo000XOol00`00
Oomoo`3oOon6Ool002Qoo`03001oogoo0?moohIoo`00:7oo00<007ooOol0ogooQWoo000XOol00`00
Oomoo`3oOon6Ool002Qoo`03001oogoo0?moohIoo`00:7oo00<007ooOol0ogooQWoo000XOol2003o
Oon7Ool002Qoo`03001oogoo0?moodioo`D0009oo`D00003Ool0000000<000=oo`@001moo`00:7oo
00<007ooOol0ogoo=7oo0P000Woo1@000goo10000goo1000>goo000XOol00`00Oomoo`3oOolNOol2
0003Ool40003Ool50002Ool3000]Ool6000OOol002Qoo`03001oogoo0?moo`eoo`D0009oo`D000=o
o`8003Yoo`T002Eoo`00:7oo00<007ooOol0nGoo0P000goo10000goo1@00=goo300057oo1P007Woo
000XOol00`00Oomoo`3[Ool20002Ool50003Ool2000jOol5000OOol:000TOol002Qoo`03001oogoo
0>5oo`@000=oo`<0045oo`L001aoo`P002ioo`00:7oo00<007ooOol0dWoo1@000goo1000?Goo1`00
8goo2P00=Woo000XOol20037Ool30002Ool50016Ool5000OOol;0010Ool002Qoo`03001oogoo0;eo
o`@000=oo`80045oo`D002Ioo`P004]oo`00:7oo00<007ooOol0]Woo1000Agoo1P0097oo1`00Dgoo
000XOol00`00Oomoo`2ZOol20003Ool4000mOol7000/Ool8001JOol002Qoo`03001oogoo0:=oo`80
009oo`<0045oo`D002eoo`H0069oo`00:7oo00<007ooOol0Vgoo0`000Woo0`00>Goo1@00>7oo1000
J7oo000=Ool30003Ool00`00Oomoo`030002Ool50008Ool00`00Oomoo`2DOol20003Ool2000kOol6
000hOol5001/Ool000aoo`05001oogooOol00004Ool01@00Oomoogoo00000Woo00@007ooOol000Qo
o`03001oogoo08ioo`04001oogooOol2001jOol6001aOol000aoo`05001oogooOol00004Ool01@00
Oomoogoo00000goo00<007ooOol027oo00<007ooOol0Rgoo0`00=Woo2000>Woo2000Mgoo000<Ool0
1@00Oomoogoo000017oo00D007ooOomoo`0000Aoo`03001oogoo00Moo`<008Aoo`@003Qoo`@003ao
o`H007moo`0037oo00D007ooOomoo`0000Aoo`05001oogooOol00005Ool00`00Oomoo`06Ool00`00
Oomoo`1oOol2000bOol30016Ool40025Ool000aoo`05001oogooOol00004Ool01@00Oomoogoo0000
1Goo00<007ooOol01Woo00<007ooOol0OGoo0P00;goo1@00A7oo1@00RGoo000<Ool01@00Oomoogoo
000017oo00D007ooOomoo`0000Eoo`03001oogoo00Ioo`03001oogoo07Ioo`@0035oo`<004Aoo`D0
08ioo`0037oo00D007ooOomoo`0000Aoo`07001oogooOol007oo00000goo00<007ooOol01Woo00<0
07ooOol0L7oo0`00NWoo1@00Tgoo000=Ool30006Ool30003Ool30009Ool00`00Oomoo`1^Ool2000[
Ool60017Ool5002HOol002Qoo`03001oogoo06Yoo`8002]oo`@004Uoo`@009eoo`00:7oo00<007oo
Ool0Igoo0`00:goo0P00BGoo1000XGoo000XOol00`00Oomoo`1QOol4001gOol4002UOol002Qoo`03
001oogoo061oo`03001oogoo02Ioo`<004aoo`@00:Uoo`00:7oo0P00GGoo0P009Goo1P00C7oo0`00
[Goo000XOol00`00Oomoo`1JOol2000TOol3001?Ool3002`Ool002Qoo`03001oogoo05Eoo`8007Qo
o`<00;=oo`00:7oo00<007ooOol0Dgoo0P007Woo0`00EWoo0`00]Woo000XOol00`00Oomoo`1>Ool2
000OOol4001FOol3002iOol002Qoo`03001oogoo04aoo`8001moo`8005Moo`<00;aoo`00:7oo00<0
07ooOol0Jgoo0P00EWoo0`00_goo000XOol00`00Oomoo`18Ool2001gOol20032Ool002Qoo`03001o
ogoo04Eoo`<007Ioo`<00<Aoo`00:7oo0P00@goo00<007ooOol06Woo0P00FWoo0`00agoo000XOol0
0`00Oomoo`10Ool2000JOol3001IOol3003:Ool002Qoo`03001oogoo03moo`03001oogoo01Ioo`@0
05Uoo`<00<eoo`00:7oo00<007ooOol0EWoo0P00Fgoo0P00d7oo000XOol00`00Oomoo`0jOol2001d
Ool3003BOol002Qoo`03001oogoo03Qoo`8007=oo`<00=Eoo`00:7oo00<007ooOol0Bgoo0P00GGoo
0`00f7oo000XOol00`00Oomoo`0dOol2000COol2001MOol2003KOol002Qoo`03001oogoo039oo`80
019oo`<005aoo`<00=eoo`00:7oo0P00AGoo0P00GGoo0P00h7oo000XOol00`00Oomoo`0_Ool00`00
Oomoo`0@Ool2001LOol3003ROol002Qoo`03001oogoo02eoo`8006moo`800>Eoo`00:7oo00<007oo
Ool0:goo0P00Kgoo0P00igoo000XOol00`00Oomoo`2JOol2003YOol002Qoo`03001oogoo02Qoo`03
001oogoo00aoo`8005moo`800>]oo`003Goo0`000goo00<007ooOol00`001Woo00<007ooOol01Woo
00<007ooOol09goo00<007ooOol02goo0P00Ggoo0P00kGoo000<Ool01@00Oomoogoo000017oo00D0
07ooOomoo`0000Eoo`03001oogoo00Ioo`03001oogoo02Eoo`8000aoo`8005moo`800>moo`0037oo
00D007ooOomoo`0000Aoo`06001oogooOol007oo1P001goo00<007ooOol0<Goo0P00Ggoo0P00lGoo
000<Ool01@00Oomoogoo000017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`06Ool3000ROol0
0`00Oomoo`0:Ool2001OOol2003cOol000aoo`05001oogooOol00004Ool01@00Oomoogoo00000Woo
00@007ooOol000Qoo`03001oogoo021oo`8000aoo`03001oogoo05eoo`800?Eoo`0037oo00D007oo
Oomoo`0000Aoo`05001oogooOol00003Ool00`00Ool00008Ool00`00Oomoo`0OOol00`00Oomoo`1[
Ool00`00Oomoo`3eOol000aoo`05001oogooOol00004Ool01@00Oomoogoo00000goo00<007oo0000
27oo00<007ooOol0Rgoo0P00n7oo000<Ool01@00Oomoogoo000017oo00D007ooOomoo`0000Aoo`80
00Qoo`03001oogoo01aoo`03001oogoo06Yoo`800?Yoo`003Goo0`001Woo0`001Woo00<007ooOol0
1Woo00<007ooOol06Woo0P00Jgoo0P00o7oo000XOol00`00Oomoo`0IOol00`00Oomoo`08Ool00`00
Oomoo`1OOol00`00Oomoo`3lOol002Qoo`03001oogoo029oo`80061oo`800?moo`00:7oo00<007oo
Ool05goo00<007ooOol01Woo0P00H7oo0P00ogoo0Woo000XOol00`00Oomoo`0FOol00`00Oomoo`05
Ool2001POol2003oOol4Ool002Qoo`8001Ioo`03001oogoo00Aoo`80065oo`03001oogoo0?moo`Ao
o`00:7oo00<007ooOol057oo00<007ooOol017oo00<007ooOol0Ggoo0P00ogoo1goo000XOol00`00
Oomoo`1lOol00`00Oomoo`3oOol7Ool002Qoo`03001oogoo015oo`03001oogoo06Ioo`800?moo`Yo
o`00:7oo00<007ooOol047oo00<007ooOol0IWoo00<007ooOol0ogoo2Woo000XOol00`00Oomoo`0?
Ool00`00Oomoo`1UOol2003oOol=Ool002Qoo`03001oogoo00ioo`03001oogoo06Eoo`03001oogoo
0?moo`eoo`00:7oo00<007ooOol04Woo00<007ooOol0Ggoo0P00ogoo47oo000XOol00`00Oomoo`0<
Ool00`00Oomoo`02Ool00`00Oomoo`1OOol00`00Oomoo`3oOol@Ool002Qoo`8000]oo`8000=oo`80
061oo`800?mooa=oo`00:7oo00<007ooOol02Goo00<007ooOol00Woo00<007ooOol0Ggoo00<007oo
Ool0ogoo4goo000XOol00`00Oomoo`0=Ool00`00Oomoo`1NOol2003oOolFOol002Qoo`03001oogoo
00]oo`80061oo`03001oogoo0?mooaIoo`00:7oo00<007ooOol02Woo00<007ooOol0Ggoo00<007oo
Ool0ogoo5goo000XOol00`00Oomoo`09Ool00`00Oomoo`1NOol2003oOolJOol002Qoo`03001oogoo
06Uoo`03001oogoo0?mooaYoo`00:7oo00<007ooOol0J7oo00<007ooOol0ogoo6goo000XOol00`00
Oomoo`1VOol2003oOolNOol002Qoo`8006Ioo`03001oogoo0?mooaioo`00:7oo00<007ooOol0I7oo
00<007ooOol0ogoo7goo000XOol00`00Oomoo`1ROol2003oOolROol002Qoo`03001oogoo065oo`03
001oogoo0?moob9oo`00:7oo00<007ooOol0H7oo00<007ooOol0ogoo8goo000XOol00`00Oomoo`1O
Ool00`00Oomoo`0fOooG000FOol002Qoo`03001oogoo05eoo`8003UoomL001Ioo`003Goo0`000goo
00<007ooOol00`000goo0`002Goo00<007ooOol0G7oo00<007ooOol0>Gooe`005Woo000<Ool01@00
Oomoogoo000017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`06Ool00`00Oomoo`1KOol00`00
Oomoo`0jOooG000FOol000aoo`05001oogooOol00004Ool01`00Oomoogoo001oo`0000=oo`03001o
ogoo00Ioo`03001oogoo05Yoo`03001oogoo03]oomL001Ioo`0037oo00D007ooOomoo`0000Aoo`07
001oogooOol007oo00000goo00<007ooOol01Woo0`00FGoo00<007ooOol0?7ooe`005Woo000<Ool0
1@00Oomoogoo000017oo00H007ooOomoo`00Ool20002Ool00`00Oomoo`06Ool00`00Oomoo`1HOol0
0`00Oomoo`0mOooG000FOol000aoo`05001oogooOol00004Ool02000Oomoogoo001oo`00Ool20009
Ool00`00Oomoo`1GOol00`00Oomoo`0nOooG000FOol000aoo`05001oogooOol00004Ool01@00Oomo
ogoo00000Woo00<007ooOol02Goo00<007ooOol0EGoo0P00@Gooe`005Woo000<Ool01@00Oomoogoo
000017oo00D007ooOomoo`0000=oo`03001oogoo00Qoo`03001oogoo05Aoo`03001oogoo03Ioon80
01Ioo`003Goo0`001Woo0`001Goo0P0027oo00<007ooOol0Dgoo00<007ooOol0=goo00<007ooOol0
e7oo2`005Woo000XOol00`00Oomoo`1BOol00`00Oomoo`0hOol00`00Oomoo`3DOol;000FOol002Qo
o`03001oogoo055oo`03001oogoo03Uoo`03001oogoo0=Aoo`/001Ioo`00:7oo00<007ooOol0D7oo
00<007ooOol0>Woo00<007ooOol0e7oo2`005Woo000XOol2001@Ool00`00Oomoo`0kOol00`00Oomo
o`3DOol;000FOol002Qoo`03001oogoo04ioo`03001oogoo03aoo`03001oogoo0=Aoo`/001Ioo`00
:7oo00<007ooOol0CGoo00<007ooOol0?Goo00<007ooOol0e7oo2`005Woo000XOol00`00Oomoo`1<
Ool00`00Oomoo`0nOol00`00Oomoo`3DOol;000FOol002Qoo`03001oogoo04]oo`03001oogoo03mo
o`03001oogoo0=Aoo`/001Ioo`00:7oo00<007ooOol0BWoo00<007ooOol0@7oo00<007ooOol0E7oo
0`0017oo0P0017oo100000=oo`0000000P000goo0P000Woo0`0000=oo`00000027oo0P000goo1000
0goo10000Woo0`000Woo1000>Woo2`005Woo000XOol00`00Oomoo`19Ool00`00Oomoo`11Ool00`00
Oomoo`0LOol60005Ool60005Ool5000NOol00`00Oomoo`02Ool01000Oomoo`000Woo00@007ooOol0
00=oo`03001oogoo009oo`04001oogoo0002Ool01000Oomoo`0027oo00@007ooOol000=oo`03001o
ogoo009oo`04001oogoo0002Ool00`00Oomoo`04Ool00`00Oomoo`0jOol;000FOol002Qoo`03001o
ogoo04Qoo`03001oogoo049oo`03001oogoo05Eoo`03001oogoo009oo`04001oogoo0002Ool01000
Oomoo`000goo00<007ooOol00Woo00<007ooOol00goo00@007ooOol000Qoo`04001oogoo0003Ool0
0`00Oomoo`02Ool01000Oomoo`000Woo10000goo00<007ooOol0>Woo2`005Woo000XOol00`00Oomo
o`17Ool00`00Oomoo`13Ool00`00Oomoo`1EOol20004Ool20002Ool200000goo00000002Ool40000
0goo000000030002Ool30009Ool01000Oomoo`000Woo10000goo0`000goo0P000goo1000>Woo2`00
5Woo000XOol20017Ool00`00Oomoo`14Ool00`00Oomoo`1EOol01000Oomoo`004goo00<007ooOol0
0goo00<007ooOol02Goo00@007ooOol000]oo`03001oogoo04Aoo`/001Ioo`00:7oo00<007ooOol0
AGoo00<007ooOol0AGoo00<007ooOol0E7oo1@0067oo0P0037oo0P002goo0P00AWoo2`005Woo000X
Ool00`00Oomoo`14Ool00`00Oomoo`16Ool00`00Oomoo`3DOol;000FOol002Qoo`03001oogoo04=o
o`03001oogoo04Moo`03001oogoo0=Aoo`/001Ioo`00:7oo00<007ooOol0@Woo00<007ooOol0B7oo
00<007ooOol0e7oo2`005Woo000XOol00`00Oomoo`11Ool00`00Oomoo`19Ool00`00Oomoo`3DOol;
000FOol002Qoo`03001oogoo041oo`03001oogoo04Yoo`03001oogoo0=Aoo`/001Ioo`00:7oo00<0
07ooOol0?goo00<007ooOol0Bgoo00<007ooOol0e7oo2`005Woo000XOol00`00Oomoo`0nOol00`00
Oomoo`1<Ool00`00Oomoo`3DOol;000FOol002Qoo`03001oogoo03eoo`03001oogoo04eoo`03001o
ogoo0=Aoo`/001Ioo`00:7oo0P00?Goo00<007ooOol0CWoo00<007ooOol0e7oo2`005Woo000XOol0
0`00Oomoo`0lOol00`00Oomoo`1>Ool00`00Oomoo`3DOol;000FOol002Qoo`03001oogoo03]oo`03
001oogoo04moo`03001oogoo0=Aoo`/001Ioo`00:7oo00<007ooOol0>Woo00<007ooOol0D7oo00<0
07ooOol0e7oo2`005Woo000XOol00`00Oomoo`0iOol00`00Oomoo`1AOol00`00Oomoo`3DOol;000F
Ool002Qoo`03001oogoo03Qoo`03001oogoo059oo`03001oogoo05Aoo`<000Aoo`<000=oo`<000=o
o`80009oo`80009oo`80009oo`@000Qoo`8000=oo`@000=oo`@0009oo`<0009oo`@003Yoo`/001Io
o`003Goo0`000goo00<007ooOol00`000goo0`002Goo00<007ooOol0=goo00<007ooOol0Dgoo00<0
07ooOol0E7oo00@007ooOol0009oo`03001oogoo00=oo`03001oogoo00=oo`04001oogoo0002Ool0
1000Oomoo`000Woo00@007ooOol000Qoo`04001oogoo0003Ool00`00Oomoo`02Ool01000Oomoo`00
0Woo00<007ooOol017oo00<007ooOol0>Woo2`005Woo000<Ool01@00Oomoogoo000017oo00L007oo
Oomoo`00Ool00003Ool00`00Oomoo`06Ool00`00Oomoo`0fOol00`00Oomoo`1DOol00`00Oomoo`0L
Ool600001Goo00000000Ool01P0000Eoo`00000007oo00800003Ool00000021oo`03001oogoo00@0
009oo`03001oogoo00=oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000Qoo`04001o
ogoo0003Ool00`00Oomoo`02Ool01000Oomoo`000Woo10000goo00<007ooOol0>Woo2`005Woo000<
Ool01@00Oomoogoo000017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`06Ool00`00Oomoo`0e
Ool00`00Oomoo`1EOol00`00Oomoo`1EOol20004Ool20004Ool30003Ool20002Ool40004Ool30008
Ool01000Oomoo`000Woo10000goo0`000goo0P000goo1000>Woo2`005Woo000<Ool01@00Oomoogoo
000017oo00D007ooOomoo`00009oo`03001oo`0000Uoo`<003Aoo`03001oogoo05Ioo`03001oogoo
05Aoo`04001oogoo000MOol00`00Oomoo`06Ool01000Oomoo`002goo00<007ooOol0A7oo2`005Woo
000<Ool01@00Oomoogoo000017oo00D007ooOomoo`0000=oo`03001oogoo00Qoo`03001oogoo03Ao
o`03001oogoo05Ioo`03001oogoo05Aoo`@001aoo`8000Uoo`8000]oo`8004Ioo`/001Ioo`0037oo
00D007ooOomoo`0000Aoo`05001oogooOol00002Ool00`00Ool00009Ool00`00Oomoo`0cOol00`00
Oomoo`1GOol00`00Oomoo`3DOol;000FOol000aoo`05001oogooOol00004Ool01`00Oomoogoo001o
o`0000=oo`03001oogoo00Ioo`03001oogoo039oo`03001oogoo05Qoo`03001oogoo0=Aoo`/001Io
o`0037oo00D007ooOomoo`0000Aoo`07001oogooOol007oo00000goo00<007ooOol01Woo00<007oo
Ool0<Goo00<007ooOol0FGoo00<007ooOol0e7oo2`005Woo000=Ool30006Ool30003Ool30009Ool0
0`00Oomoo`0aOol00`00Oomoo`1IOol00`00Oomoo`3DOol;000FOol002Qoo`03001oogoo031oo`03
001oogoo05Yoo`03001oogoo0=Aoo`/001Ioo`00:7oo00<007ooOol0;goo00<007ooOol0Fgoo00<0
07ooOol0e7oo2`005Woo000XOol00`00Oomoo`0^Ool00`00Oomoo`1LOol00`00Oomoo`3DOol;000F
Ool002Qoo`8002moo`03001oogoo05aoo`03001oogoo0=Aoo`/001Ioo`00:7oo00<007ooOol0;Goo
00<007ooOol0GGoo00<007ooOol0e7oo2`005Woo000XOol00`00Oomoo`0/Ool00`00Oomoo`1NOol0
0`00Oomoo`3DOol;000FOol002Qoo`03001oogoo02]oo`03001oogoo05moo`03001oogoo0=Aoo`/0
01Ioo`00:7oo00<007ooOol0:goo00<007ooOol0Ggoo00<007ooOol0e7oo2`005Woo000XOol00`00
Oomoo`0ZOol00`00Oomoo`1POol00`00Oomoo`3DOol;000FOol002Qoo`03001oogoo02Uoo`03001o
ogoo065oo`03001oogoo05Aoo`<000=oo`@000=oo`@0009oo`<006Yoo`/001Ioo`00:7oo00<007oo
Ool0:7oo00<007ooOol0HWoo00<007ooOol0EGoo00<007ooOol00goo00<007ooOol00Woo00@007oo
Ool0009oo`03001oogoo06]oo`/001Ioo`00:7oo00<007ooOol0:7oo00<007ooOol0HWoo00<007oo
Ool077oo6`007Woo00<007ooOol00goo00<007ooOol00Woo00@007ooOol0009oo`@006Yoo`/001Io
o`00:7oo00<007ooOol09goo00<007ooOol0Hgoo00<007ooOol0EGoo00<007ooOol00Woo100000Ao
o`00001oo`8000=oo`8006]oo`/001Ioo`00:7oo0P009goo00<007ooOol0I7oo00<007ooOol0Dgoo
00D007oo001oo`0007aoo`03001oogoo01ioo`00:7oo00<007ooOol09Woo00<007ooOol0I7oo00<0
07ooOol0Dgoo1@00O7oo00<007ooOol07Woo000XOol00`00Oomoo`0UOol00`00Oomoo`1UOol00`00
Oomoo`3DOol00`00Oomoo`0NOol002Qoo`03001oogoo02Aoo`03001oogoo06Ioo`03001oogoo0=Ao
o`03001oogoo01ioo`00:7oo00<007ooOol08goo00<007ooOol0Igoo00<007ooOol0e7oo00<007oo
Ool07Woo000XOol00`00Oomoo`0SOol00`00Oomoo`1WOol00`00Oomoo`3DOol00`00Oomoo`0NOol0
02Qoo`03001oogoo029oo`03001oogoo06Qoo`03001oogoo0=Aoo`03001oogoo01ioo`00:7oo00<0
07ooOol08Goo00<007ooOol0JGoo00<007ooOol0e7oo00<007ooOol07Woo000XOol00`00Oomoo`0P
Ool00`00Oomoo`1ZOol00`00Oomoo`3DOol00`00Oomoo`0NOol002Qoo`80025oo`03001oogoo06Yo
omP0021oo`00:7oo00<007ooOol07goo00<007ooOol0ogooI7oo000XOol00`00Oomoo`0NOol00`00
Oomoo`3oOomUOol002Qoo`03001oogoo01ioo`03001oogoo0?moofEoo`00:7oo00<007ooOol07Goo
00<007ooOol0ogooIWoo000XOol00`00Oomoo`0LOol00`00Oomoo`3oOomWOol000eoo`<000=oo`03
001oogoo00<000=oo`<000Uoo`03001oogoo01]oo`03001oogoo0?moofQoo`0037oo00D007ooOomo
o`0000Ioo`05001oogooOol00003Ool00`00Oomoo`06Ool00`00Oomoo`0KOol00`00Oomoo`3oOomX
Ool000aoo`05001oogooOol00006Ool01@00Oomoogoo00000goo00<007ooOol01Woo00<007ooOol0
6Woo00<007ooOol0ogooJGoo000<Ool01@00Oomoogoo00001Woo00D007ooOomoo`0000=oo`03001o
ogoo00Ioo`<001Uoo`03001oogoo0?moofYoo`0037oo00D007ooOomoo`0000Ioo`05001oogooOol0
0003Ool00`00Oomoo`06Ool00`00Oomoo`0HOol00`00Oomoo`3oOom[Ool000aoo`05001oogooOol0
0006Ool01@00Oomoogoo00000goo00<007ooOol01Woo00<007ooOol067oo00<007ooOol0ogooJgoo
000<Ool01@00Oomoogoo00001Woo00D007ooOomoo`0000=oo`03001oogoo00Ioo`03001oogoo01Mo
o`03001oogoo0?moofaoo`0037oo00D007ooOomoo`0000Eoo`8000=oo`05001oogooOol00008Ool0
0`00Oomoo`0FOol00`00Oomoo`3oOom]Ool000eoo`<000Moo`03001oogoo009oo`<000Uoo`03001o
ogoo01Ioo`03001oogoo0?moofeoo`00:7oo00<007ooOol05Goo00<007ooOol0ogooKWoo000XOol0
0`00Oomoo`0EOol00`00Oomoo`3oOom^Ool002Qoo`03001oogoo01Aoo`03001oogoo0?moofmoo`00
:7oo0P0057oo00<007ooOol0ogooL7oo000XOol00`00Oomoo`0COol00`00Oomoo`3oOom`Ool002Qo
o`03001oogoo019oo`03001oogoo0?moog5oo`00:7oo00<007ooOol04Woo00<007ooOol0ogooLGoo
000XOol00`00Oomoo`0AOol00`00Oomoo`3oOombOol002Qoo`03001oogoo015oo`03001oogoo0?mo
og9oo`00:7oo00<007ooOol047oo00<007ooOol0ogooLgoo000XOol00`00Oomoo`0?Ool00`00Oomo
o`3oOomdOol002Qoo`03001oogoo00moo`03001oogoo0?moogAoo`00:7oo00<007ooOol03Woo00<0
07ooOol0ogooMGoo000XOol2000?Ool00`00Oomoo`3oOomeOol002Qoo`03001oogoo00eoo`03001o
ogoo0?moogIoo`00:7oo00<007ooOol037oo00<007ooOol0ogooMgoo000XOol00`00Oomoo`0<Ool0
0`00Oomoo`3oOomgOol002Qoo`03001oogoo00]oo`03001oogoo0?moogQoo`00:7oo00<007ooOol0
2goo00<007ooOol0ogooN7oo000XOol00`00Oomoo`0:Ool00`00Oomoo`3oOomiOol002Qoo`03001o
ogoo00Yoo`03001oogoo0?moogUoo`00:7oo00<007ooOol02Goo00<007ooOol0ogooNWoo000XOol2
003oOon7Ool002Qoo`03001oogoo0?moohIoo`00:7oo00<007ooOol0ogooQWoo000XOol00`00Oomo
o`3oOon6Ool002Qoo`03001oogoo0?moohIoo`00:7oo00<007ooOol0ogooQWoo000=Ool30003Ool0
0`00Oomoo`030002Ool50008Ool00`00Oomoo`3oOon6Ool000aoo`05001oogooOol00006Ool00`00
Oomoo`02Ool01000Oomoo`0027oo00<007ooOol0ogooQWoo000<Ool01@00Oomoogoo00001Woo00<0
07ooOol00goo00<007ooOol027oo00<007ooOol0ogooQWoo000<Ool01@00Oomoogoo00001Woo00<0
07ooOol017oo00<007ooOol01goo0`00ogooQWoo000<Ool01@00Oomoogoo00001Woo00<007ooOol0
1Goo00<007ooOol0ogooSgoo000<Ool01@00Oomoogoo00001Woo00<007ooOol01Goo00<007ooOol0
ogooSgoo000<Ool01@00Oomoogoo00001Woo00<007ooOol01Goo00<007ooOol0ogooSgoo000<Ool0
1@00Oomoogoo00001Goo0P000goo00D007ooOomoo`000?mooi5oo`003Goo0`001goo00<007ooOol0
0Woo0`00ogooTWoo003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo
003oOonaOol00?mook5oo`00ogoo/Goo003oOonaOol00001\
\>"],
  ImageRangeCache->{{{0, 431}, {265.938, 0}} -> {-1.05172, -0.648943, \
0.00488038, 0.00488038}, {{10.5625, 420.375}, {259.563, 6.3125}} -> {1.0168, \
-0.0147789, 0.00207606, 0.000537462}, {{184.75, 399.875}, {122.688, 61.25}} -> \
{-2.98755, -8.6804, 0.0156256, 0.0598979}, {{196.313, 260.313}, {119.625, \
102.938}} -> {-8.37854, -19.4624, 0.0388877, 0.125843}, {{196.313, 260.313}, \
{100.313, 83.5625}} -> {-8.34541, -21.815, 0.0387426, 0.125374}, {{196.313, \
260.313}, {80.9375, 64.25}} -> {-8.37854, -24.331, 0.0388877, 0.125843}}],

Cell[BoxData[
    \("Constructing transitory shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing permanent shock distribution"\)], "Print"],

Cell[BoxData[
    \("Constructing Period 1 Data"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]2\),
      SequenceForm[ "Simulating Period ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]3\),
      SequenceForm[ "Simulating Period ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]4\),
      SequenceForm[ "Simulating Period ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]5\),
      SequenceForm[ "Simulating Period ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]6\),
      SequenceForm[ "Simulating Period ", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]7\),
      SequenceForm[ "Simulating Period ", 7],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]8\),
      SequenceForm[ "Simulating Period ", 8],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]9\),
      SequenceForm[ "Simulating Period ", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]10\),
      SequenceForm[ "Simulating Period ", 10],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]11\),
      SequenceForm[ "Simulating Period ", 11],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]12\),
      SequenceForm[ "Simulating Period ", 12],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]13\),
      SequenceForm[ "Simulating Period ", 13],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]14\),
      SequenceForm[ "Simulating Period ", 14],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]15\),
      SequenceForm[ "Simulating Period ", 15],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]16\),
      SequenceForm[ "Simulating Period ", 16],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]17\),
      SequenceForm[ "Simulating Period ", 17],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]18\),
      SequenceForm[ "Simulating Period ", 18],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]19\),
      SequenceForm[ "Simulating Period ", 19],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Simulating Period "\[InvisibleSpace]20\),
      SequenceForm[ "Simulating Period ", 20],
      Editable->False]], "Print"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
%%ImageSize: 432 266.991 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.25 0.5 0 0.618034 [
[.125 -0.0125 -12.5 -15.5 ]
[.125 -0.0125 12.5 0 ]
[.25 -0.0125 -12.5 -15.5 ]
[.25 -0.0125 12.5 0 ]
[.375 -0.0125 -12.5 -15.5 ]
[.375 -0.0125 12.5 0 ]
[.5 -0.0125 -12.5 -15.5 ]
[.5 -0.0125 12.5 0 ]
[.625 -0.0125 -12.5 -15.5 ]
[.625 -0.0125 12.5 0 ]
[.75 -0.0125 -12.5 -15.5 ]
[.75 -0.0125 12.5 0 ]
[.875 -0.0125 -12.5 -15.5 ]
[.875 -0.0125 12.5 0 ]
[1 -0.0125 -12.5 -15.5 ]
[1 -0.0125 12.5 0 ]
[-0.0125 .12361 -19 -7.75 ]
[-0.0125 .12361 0 7.75 ]
[-0.0125 .24721 -19 -7.75 ]
[-0.0125 .24721 0 7.75 ]
[-0.0125 .37082 -19 -7.75 ]
[-0.0125 .37082 0 7.75 ]
[-0.0125 .49443 -19 -7.75 ]
[-0.0125 .49443 0 7.75 ]
[-0.0125 .61803 -19 -7.75 ]
[-0.0125 .61803 0 7.75 ]
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.002 w
[ ] 0 setdash
.125 0 m
.125 .00625 L
s
gsave
.125 -0.0125 -73.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.75) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 0 m
.25 .00625 L
s
gsave
.25 -0.0125 -73.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.00) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.375 0 m
.375 .00625 L
s
gsave
.375 -0.0125 -73.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.25) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -73.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.50) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.625 0 m
.625 .00625 L
s
gsave
.625 -0.0125 -73.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.75) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.75 0 m
.75 .00625 L
s
gsave
.75 -0.0125 -73.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.00) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.875 0 m
.875 .00625 L
s
gsave
.875 -0.0125 -73.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.25) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
1 0 m
1 .00625 L
s
gsave
1 -0.0125 -73.5 -19.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2.50) show
84.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
.05 0 m
.05 .00313 L
s
.1 0 m
.1 .00313 L
s
.15 0 m
.15 .00313 L
s
.2 0 m
.2 .00313 L
s
.3 0 m
.3 .00313 L
s
.35 0 m
.35 .00313 L
s
.4 0 m
.4 .00313 L
s
.45 0 m
.45 .00313 L
s
.55 0 m
.55 .00313 L
s
.6 0 m
.6 .00313 L
s
.65 0 m
.65 .00313 L
s
.7 0 m
.7 .00313 L
s
.8 0 m
.8 .00313 L
s
.85 0 m
.85 .00313 L
s
.9 0 m
.9 .00313 L
s
.95 0 m
.95 .00313 L
s
.25 Mabswid
0 0 m
1 0 L
s
.002 w
0 .12361 m
.00625 .12361 L
s
gsave
-0.0125 .12361 -80 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.2) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .24721 m
.00625 .24721 L
s
gsave
-0.0125 .24721 -80 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.4) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .37082 m
.00625 .37082 L
s
gsave
-0.0125 .37082 -80 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.6) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .49443 m
.00625 .49443 L
s
gsave
-0.0125 .49443 -80 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.8) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .61803 m
.00625 .61803 L
s
gsave
-0.0125 .61803 -80 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.0) show
78.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.001 w
0 .0309 m
.00312 .0309 L
s
0 .0618 m
.00312 .0618 L
s
0 .09271 m
.00312 .09271 L
s
0 .15451 m
.00312 .15451 L
s
0 .18541 m
.00312 .18541 L
s
0 .21631 m
.00312 .21631 L
s
0 .27812 m
.00312 .27812 L
s
0 .30902 m
.00312 .30902 L
s
0 .33992 m
.00312 .33992 L
s
0 .40172 m
.00312 .40172 L
s
0 .43262 m
.00312 .43262 L
s
0 .46353 m
.00312 .46353 L
s
0 .52533 m
.00312 .52533 L
s
0 .55623 m
.00312 .55623 L
s
0 .58713 m
.00312 .58713 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.003 w
[ .01 ] 0 setdash
0 .00149 m
.09951 .00226 L
.19803 .00302 L
.22598 .00372 L
.24811 .00449 L
.26809 .00518 L
.28681 .00582 L
.30079 .00659 L
.30703 .00744 L
.31362 .00833 L
.31965 .00914 L
.32273 .0099 L
.32503 .01062 L
.3301 .01221 L
.34612 .01836 L
.35301 .02184 L
.35819 .02507 L
.36755 .03189 L
.3739 .03831 L
.38003 .04571 L
.38513 .05241 L
.40039 .07743 L
.41372 .10404 L
.42407 .12966 L
.43328 .15431 L
.44306 .18054 L
.45173 .20579 L
.46051 .23263 L
.46866 .25849 L
.47591 .28336 L
.48418 .30982 L
.49199 .33531 L
.49973 .3598 L
.50863 .38589 L
.51696 .411 L
.52732 .4377 L
.53708 .46341 L
.5478 .48814 L
.56204 .51446 L
.5775 .5398 L
.58681 .55272 L
.59912 .56673 L
.61427 .58023 L
.62295 .58666 L
.63229 .59267 L
.64466 .5985 L
.66108 .60475 L
.66692 .60645 L
.67379 .60831 L
.68183 .60995 L
Mistroke
.68661 .61085 L
.69111 .61169 L
.69733 .61252 L
.70442 .61342 L
.71031 .61416 L
.7187 .61498 L
.76333 .61576 L
.81042 .61657 L
.89468 .61803 L
Mfstroke
[ ] 0 setdash
0 .00162 m
.08583 .00226 L
.18744 .00302 L
.21872 .00372 L
.24454 .00449 L
.26783 .00518 L
.28966 .00582 L
.30512 .00659 L
.31053 .00744 L
.31624 .00833 L
.32146 .00914 L
.32428 .0099 L
.32644 .01062 L
.33122 .01221 L
.34564 .01836 L
.35687 .02507 L
.36549 .03193 L
.37269 .03925 L
.38362 .05241 L
.39941 .0794 L
.41214 .1054 L
.42218 .13042 L
.43258 .15702 L
.44115 .18265 L
.44902 .20729 L
.45683 .23352 L
.46464 .25877 L
.47271 .28561 L
.48061 .31147 L
.48791 .33634 L
.49604 .36281 L
.50489 .38829 L
.51279 .41279 L
.52253 .43888 L
.5326 .46398 L
.54483 .49068 L
.5571 .51639 L
.57167 .54112 L
.58133 .55491 L
.59242 .56744 L
.60476 .5796 L
.61219 .586 L
.62271 .59278 L
.6346 .59904 L
.638 .60074 L
.63969 .60158 L
.64125 .60236 L
.64242 .60279 L
.64387 .60325 L
.64693 .60422 L
Mistroke
.65243 .60592 L
.66486 .6092 L
.67219 .61075 L
.67984 .61218 L
.69042 .61363 L
.69599 .61439 L
.71419 .6152 L
.75358 .6159 L
.79031 .61655 L
.87375 .61803 L
Mfstroke
gsave
.42193 .12361 -61 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
66.000 15.813 moveto
(\\230) show
82.500 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Steady) show
118.063 15.813 moveto
(State) show
144.938 15.813 moveto
(CDF) show
168.188 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.46112 .24721 -130.438 -11.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 23.5 translate 1 -1 scale
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(CDF) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
86.250 15.813 moveto
(H) show
90.063 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
96.063 17.688 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.500 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
%%IncludeResource: font Math2
%%IncludeFont: Math2
/Math2 findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
105.063 15.813 moveto
(L) show
%%IncludeResource: font Math1
%%IncludeFont: Math1
/Math1 findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
108.875 15.813 moveto
(\\231) show
128.438 15.813 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{432, 266.938},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006`00012Q000`40O003h00Oogoo/Goo003oOona
Ool00?mook5oo`00ogoo/Goo0013Ool30003Ool01@00Oomoogoo00000goo0`007goo0`000goo00<0
07ooOol00`000goo0`007Woo0`000goo00<007oo0000100000Aoo`00000001moo`<000=oo`03001o
o`00008000Aoo`<001ioo`<000=oo`05001oogooOol00003Ool3000NOol50002Ool00`00Oomoo`03
0003Ool3000MOol50002Ool00`00Ool00004000017oo000000007goo1@000Woo00<007oo00000P00
17oo0`002Woo0012Ool01@00Oomoogoo00001Woo00<007ooOol017oo00<007ooOol07Goo00<007oo
Ool017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`0LOol00`00Oomoo`05Ool01000Oomoo`00
17oo00<007ooOol07Goo00<007ooOol01goo00@007ooOol000=oo`03001oogoo01aoo`03001oogoo
00Ioo`03001oogoo00Aoo`03001oogoo01aoo`04001oogoo0004Ool01`00Oomoogoo001oo`0000=o
o`03001oogoo01]oo`04001oogoo0005Ool01000Oomoo`0017oo00<007ooOol07Goo00@007ooOol0
00Moo`04001oogoo0003Ool00`00Oomoo`07Ool0049oo`05001oogooOol00007Ool00`00Oomoo`04
Ool00`00Oomoo`0LOol00`00Oomoo`04Ool01`00Oomoogoo001oo`0000=oo`03001oogoo01aoo`03
001oogoo00Ioo`03001oogoo00Eoo`03001oogoo01aoo`03001oogoo00Qoo`03001oo`0000=oo`03
001oogoo01aoo`03001oogoo00Moo`03001oogoo00Aoo`03001oogoo01aoo`03001oogoo00Aoo`07
001oogooOol007oo00000goo00<007ooOol077oo00<007ooOol01Woo00<007ooOol01Goo00<007oo
Ool07Goo00<007ooOol027oo00<007oo00000goo00<007ooOol01goo0012Ool01@00Oomoogoo0000
1goo00<007ooOol017oo00<007ooOol077oo00<007ooOol017oo00L007ooOomoo`00Ool00003Ool0
0`00Oomoo`0LOol00`00Oomoo`07Ool00`00Oomoo`04Ool00`00Oomoo`0LOol00`00Oomoo`08Ool0
0`00Ool00003Ool00`00Oomoo`0LOol00`00Oomoo`07Ool00`00Oomoo`04Ool00`00Oomoo`0MOol0
0`00Oomoo`03Ool01`00Oomoogoo001oo`0000=oo`03001oogoo01eoo`03001oogoo00Ioo`03001o
ogoo00Aoo`03001oogoo01ioo`03001oogoo00Moo`03001oo`0000=oo`03001oogoo00Moo`00@Woo
00D007ooOomoo`0000Moo`03001oogoo00Aoo`03001oogoo01aoo`03001oogoo00Aoo`07001oogoo
Ool007oo00000goo00<007ooOol077oo00<007ooOol027oo00<007ooOol00goo00<007ooOol077oo
00<007ooOol027oo00<007oo00000goo00<007ooOol077oo00<007ooOol01goo00<007ooOol017oo
00<007ooOol07Woo00<007ooOol00Woo00L007ooOomoo`00Ool00003Ool00`00Oomoo`0NOol00`00
Oomoo`06Ool00`00Oomoo`03Ool00`00Oomoo`0OOol00`00Oomoo`06Ool00`00Ool00003Ool00`00
Oomoo`07Ool0049oo`05001oogooOol00007Ool00`00Oomoo`03Ool00`00Oomoo`0MOol00`00Oomo
o`04Ool01`00Oomoogoo001oo`0000=oo`03001oogoo01aoo`03001oogoo00Qoo`03001oogoo009o
o`03001oogoo01eoo`03001oogoo00Moo`04001oogoo0003Ool00`00Oomoo`0LOol00`00Oomoo`07
Ool00`00Oomoo`03Ool00`00Oomoo`0OOol00`00Oomoo`02Ool01`00Oomoogoo001oo`0000=oo`03
001oogoo01ioo`03001oogoo00Ioo`03001oogoo009oo`03001oogoo021oo`03001oogoo00Eoo`04
001oogoo0003Ool00`00Oomoo`07Ool0049oo`05001oogooOol00008Ool00`00Oomoo`02000POol0
0`00Oomoo`04Ool01`00Oomoogoo001oo`0000=oo`03001oogoo01aoo`03001oogoo00Qoo`03001o
ogoo0080021oo`03001oogoo00Eoo`8000=oo`05001oogooOol0000NOol00`00Oomoo`08Ool00`00
Oomoo`02000ROol00`00Oomoo`02Ool01`00Oomoogoo001oo`0000=oo`03001oogoo01ioo`03001o
ogoo00Ioo`03001oogoo008002=oo`03001oogoo00=oo`8000=oo`05001oogooOol00009Ool0049o
o`05001oogooOol00004Ool01@00Oomoogoo00000Woo00<007ooOol07Woo0P001Woo00L007ooOomo
o`00Ool00003Ool00`00Oomoo`0KOol20006Ool01@00Oomoogoo00000Woo00<007ooOol07Woo0P00
1goo00<007ooOol00Woo00D007ooOomoo`0001eoo`8000Ioo`05001oogooOol00002Ool00`00Oomo
o`0MOol01@00Oomoogoo000017oo00L007ooOomoo`00Ool00003Ool00`00Oomoo`0JOol01@00Oomo
ogoo000017oo00D007ooOomoo`00009oo`03001oogoo01ioo`05001oogooOol00005Ool00`00Oomo
o`02Ool01@00Oomoogoo00002Goo0013Ool30006Ool40003Ool3000NOol00`00Oomoo`05Ool30003
Ool3000OOol00`00Oomoo`05Ool30004Ool3000NOol00`00Oomoo`06Ool30002Ool3000OOol00`00
Oomoo`05Ool40003Ool3000MOol30006Ool30003Ool3000NOol30006Ool30004Ool3000NOol30007
Ool30002Ool3000:Ool00?mook5oo`00ogoo/Goo003oOonaOol00?mook5oo`00ogoo/Goo003oOona
Ool00?mook5oo`0077ooo`00P`004Woo000LOol00`00Ool000040003Ool40003Oom:0005Ool00`00
Oomoo`0AOol00`00Oomoo`0@Ool00`00Oomoo`07Ool00`00Oomoo`06Ool00`00Oomoo`0@Ool00`00
Oomoo`0AOol00`00Oomoo`0@Ool00`00Oomoo`0@Ool00`00Oomoo`07Ool00`00Oomoo`06Ool00`00
Oomoo`0AOol00`00Oomoo`0@Ool00`00Oomoo`0@Ool00`00Oomoo`0@Ool00`00Oomoo`07Ool00`00
Oomoo`07Ool00`00Oomoo`0@Ool00`00Oomoo`0@Ool00`00Oomoo`0@Ool001aoo`03001oogoo02eo
o`03001oogoo02Iooah001Yoo`03001oogoo02eoo`03001oogoo02eoo`03001oogoo02eoo`03001o
ogoo02eoo`03001oogoo02eoo`03001oogoo011oo`0077oo00<007ooOol0LWoo2000ogoo67oo000L
Ool00`00Oomoo`1jOol2003oOolFOol001aoo`03001oogoo07]oo`@00?mooa=oo`0077oo00<007oo
Ool0Ogoo0P00ogoo4Goo000LOol00`00Oomoo`21Ool3003oOol>Ool001aoo`03001oogoo08=oo`<0
0?moo`aoo`0077oo00<007ooOol0QGoo0P00ogoo2goo000LOol00`00Oomoo`27Ool2003oOol9Ool0
01aoo`03001oogoo08Qoo`<00?moo`Moo`0077oo0P00Rgoo0P00ogoo1Woo000LOol00`00Oomoo`2;
Ool00`00Oomoo`3oOol4Ool001aoo`03001oogoo08aoo`03001oogoo0?moo`=oo`0077oo00<007oo
Ool0SGoo0P00ogoo0goo000LOol00`00Oomoo`2>Ool2003oOol2Ool001aoo`03001oogoo08moo`03
001oogoo0?moo`0077oo00<007ooOol0Sgoo0P00ogoo0Goo000LOol00`00Oomoo`2@Ool00`00Oomo
o`3nOol001aoo`03001oogoo095oo`03001oogoo0?eoo`0077oo00<007ooOol0TWoo00<007ooOol0
o7oo000LOol00`00Oomoo`2BOol2003mOol001aoo`03001oogoo09=oo`03001oogoo0?]oo`0077oo
0P00U7oo0P00o7oo000LOol00`00Oomoo`2DOol00`00Oomoo`3jOol001aoo`03001oogoo09Eoo`03
001oogoo0?Uoo`0077oo00<007ooOol0UGoo00<007ooOol0nGoo000LOol00`00Oomoo`2FOol00`00
Oomoo`3hOol001aoo`03001oogoo09Ioo`800?Uoo`0077oo00<007ooOol0Ugoo00<007ooOol0mgoo
000LOol00`00Oomoo`2HOol00`00Oomoo`3fOol001aoo`03001oogoo09Qoo`03001oogoo0?Ioo`00
77oo00<007ooOol0VGoo00<007ooOol0mGoo000LOol00`00Oomoo`2IOol00`00Oomoo`3eOol001ao
o`03001oogoo09Yoo`03001oogoo0?Aoo`0077oo0P00Vgoo0P00mGoo000LOol00`00Oomoo`2KOol0
0`00Oomoo`3cOol001aoo`03001oogoo09]oo`800?Aoo`0077oo00<007ooOol0W7oo00<007ooOol0
lWoo000LOol00`00Oomoo`2LOol00`00Oomoo`3bOol001aoo`03001oogoo09aoo`03001oogoo031o
o`800<1oo`0077oo00<007ooOol0WGoo00<007ooOol0<Goo00<007ooOol0_Goo000LOol00`00Oomo
o`2MOol2000cOol00`00Oomoo`2lOol000Moo`<000=oo`03001oo`0000@000Qoo`03001oogoo09io
o`03001oogoo01Aoo`@000=oo`80009oo`8000=oo`@00003Ool0000000<000=oo`03001oogoo00Ao
o`@000=oo`80009oo`@00003Ool00000009oo`8000Moo`<000=oo`H000=oo`<008Uoo`001Woo00D0
07ooOomoo`0000Eoo`04001oogoo0008Ool00`00Oomoo`2NOol20008Ool00`00Oomoo`0:Ool01@00
Oomoogoo00000Woo00@007ooOol0009oo`03001oo`00009oo`03001oo`0000=oo`07001oogooOol0
07oo00001Goo00D007ooOomoo`00009oo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol0
00Eoo`05001oogooOol00003Ool00`00Oomoo`02Ool01@00Oomoogoo0000RWoo0006Ool01@00Oomo
ogoo00001Woo00<007ooOol027oo00<007ooOol0WWoo00<007ooOol01Woo00<007ooOol03goo00@0
07ooOol0009oo`03001oogoo009oo`06001oogoo001oo`000goo00L007ooOomoo`00Ool00009Ool0
1000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0007Ool00`00Oomoo`03Ool01000Oomoo`00
1Goo00@007ooOol008Yoo`001Woo00D007ooOomoo`0000Moo`03001oogoo00Moo`@009ioo`03001o
ogoo00Aoo`l000Aoo`04001oogoo0002Ool40002Ool300000goo001oo`02Ool01000Oomoo`000Woo
00<007ooOol01goo00@007ooOol000=oo`<0009oo`03001oogoo00@000Aoo`03001oogoo00Ioo`03
001oogoo00=oo`04001oogoo0002Ool00`00Oomoo`25Ool000Ioo`05001oogooOol00008Ool00`00
Oomoo`06Ool00`00Oomoo`2OOol00`00Oomoo`05Ool00`00Oomoo`0=Ool20003Ool01000Oomoo`00
0Woo00<007oo00000Woo00<007oo00000Woo0P000Woo00D007ooOomoo`0000Ioo`8000=oo`04001o
ogoo0002Ool01000Oomoo`000Woo00@007ooOol000Aoo`03001oogoo00Ioo`03001oogoo00=oo`03
001oogoo00@008Moo`001Woo00D007ooOomoo`0000Qoo`03001oogoo00Ioo`03001oogoo0:1oo`03
001oogoo00Eoo`03001oogoo00]oo`03001oogoo009oo`<0009oo`8000=oo`8000=oo`800003Ool0
07oo00<00004Ool000000004Ool00`00Oomoo`02Ool30002Ool20002Ool30002Ool20005Ool00`00
Oomoo`06Ool00`00Oomoo`03Ool01000Oomoo`000Woo00<007ooOol0QGoo0006Ool01@00Oomoogoo
000027oo00<007ooOol01Woo00<007ooOol0X7oo00<007ooOol04Woo00<007ooOol017oo00<007oo
Ool03Woo00<007ooOol02Goo00<007ooOol017oo00<007ooOol01Woo00<007ooOol027oo00<007oo
Ool00goo00@007ooOol000Eoo`04001oogoo002:Ool000Ioo`05001oogooOol00004Ool01@00Oomo
ogoo000027oo00<007ooOol0X7oo0P004goo00D007ooOomoo`00009oo`03001oogoo00ioo`03001o
ogoo00Uoo`05001oogooOol00002Ool00`00Oomoo`06Ool00`00Oomoo`09Ool01000Oomoogoo0P00
0Woo00<007ooOol00Woo00D007ooOomoo`0000=oo`03001oogoo08Aoo`001goo0`001Woo0`002Goo
00<007ooOol0XGoo00<007ooOol04Woo10004Woo0P0037oo100067oo0`0000=oo`00Ool01P000goo
1P00QWoo000LOol00`00Oomoo`2QOol00`00Oomoo`3]Ool001aoo`03001oogoo0:9oo`03001oogoo
0>aoo`0077oo00<007ooOol0XWoo00<007ooOol0k7oo000LOol00`00Oomoo`2ROol2003]Ool001ao
o`03001oogoo0:=oo`03001oogoo0>]oo`0077oo00<007ooOol0Xgoo0P00k7oo000LOol2002UOol0
0`00Oomoo`3ZOol001aoo`03001oogoo0:Aoo`03001oogoo0>Yoo`0077oo00<007ooOol0Y7oo00<0
07ooOol0jWoo000LOol00`00Oomoo`2UOol00`00Oomoo`3YOol001aoo`03001oogoo0:Eoo`03001o
ogoo0>Uoo`0077oo00<007ooOol0YGoo0P00jWoo000LOol00`00Oomoo`2VOol00`00Oomoo`3XOol0
01aoo`03001oogoo0:Ioo`800>Uoo`0077oo00<007ooOol0YWoo0P00jGoo000LOol00`00Oomoo`2V
Ool00`00Oomoo`3XOol001aoo`03001oogoo0:Moo`03001oogoo0>Moo`0077oo00<007ooOol0Ygoo
0P00j7oo000LOol2002XOol2003XOol001aoo`03001oogoo0:Qoo`800>Moo`0077oo00<007ooOol0
Z7oo0P00igoo000LOol00`00Oomoo`2XOol2003WOol001aoo`03001oogoo0:Uoo`03001oogoo0>Eo
o`0077oo00<007ooOol0ZGoo00<007ooOol0iGoo000LOol00`00Oomoo`2YOol00`00Oomoo`3UOol0
01aoo`03001oogoo0:Uoo`03001oo`000>Eoo`0077oo00<007ooOol0ZWoo0P00iGoo000LOol00`00
Oomoo`2ZOol00`00Ool0003TOol001aoo`03001oogoo0:Yoo`03001oo`000>Aoo`0077oo00<007oo
Ool0Zgoo00<007ooOol0hgoo000LOol2002/Ool00`00Oomoo`3SOol001aoo`03001oogoo0:]oo`03
001oogoo0>=oo`0077oo00<007ooOol0[7oo0P00hgoo000LOol00`00Oomoo`2/Ool2003SOol001ao
o`03001oogoo0:aoo`03001oo`000>9oo`0077oo00<007ooOol0[7oo00<007oo0000hWoo000LOol0
0`00Oomoo`2]Ool2003ROol001aoo`03001oogoo08Ioo`03001oogoo00Aoo`<0009oo`800003Ool0
07oo01Ioo`03001oogoo0>5oo`0077oo00<007ooOol0QGoo00<007ooOol01Woo00@007ooOol0009o
o`03001oo`0001Ioo`03001oogoo0>5oo`001goo0`000goo00<007ooOol00goo00<007ooOol01Woo
00<007ooOol0KGoo0`000goo1P000goo0`001Goo00D007oo000007oo008000=oo`04001oogoo0002
Ool01000Oomoo`005Woo0P00hGoo0006Ool01@00Oomoogoo000027oo00<007ooOol01Woo00<007oo
Ool0K7oo00D007ooOomoo`0000=oo`03001oogoo009oo`05001oogooOol00006Ool01P00Oomoo`00
Ool000Aoo`04001oogoo0002Ool01000Oomoo`003Woo00<007ooOol01Goo00<007oo0000h7oo0006
Ool01@00Oomoogoo000017oo1P001goo00<007ooOol0Jgoo00<007ooOol00goo00@007ooOol000Eo
o`04001oogoo0006Ool01@00Oomoogoo00001Goo00@007ooOol0009oo`04001oogoo000?Ool00`00
Oomoo`04Ool00`00Ool0003POol000Ioo`05001oogooOol00004Ool01@00Oomoogoo000027oo1000
JWoo00<007ooOol01Woo00<007ooOol00goo00@007ooOol0009oo`05001oogooOol00003Ool00`00
Oomoo`03Ool01000Oomoo`000Woo00@007ooOol0009oo`l000Ioo`03001oo`000=moo`001Woo00D0
07ooOomoo`0000Eoo`04001oogoo0008Ool00`00Oomoo`1[Ool00`00Oomoo`06Ool00`00Oomoo`03
Ool00`00Oomoo`040003Ool01P00Oomoo`00Ool000=oo`8000=oo`8000=oo`03001oogoo00eoo`03
001oogoo00Eoo`03001oo`000=moo`001Woo00D007ooOomoo`0000Ioo`03001oo`0000Qoo`03001o
ogoo06]oo`03001oogoo00Ioo`03001oogoo00=oo`04001oogoo0002Ool01P00Oomoogoo001oo`80
0003Ool0000000aoo`03001oogoo00aoo`03001oogoo00Ioo`03001oogoo0=moo`001Woo00D007oo
Oomoo`0000Ioo`03001oo`0000Qoo`03001oogoo06]oo`03001oogoo00=oo`04001oogoo0005Ool0
1000Oomoo`001Woo00<007ooOol047oo00<007ooOol05Woo00<007ooOol0gWoo0006Ool01@00Oomo
ogoo00001goo0P0027oo00<007ooOol0K7oo00@007ooOomoo`80009oo`03001oogoo009oo`05001o
ogooOol00003Ool01@00Oomoogoo000047oo00<007ooOol05goo00<007ooOol0gWoo0007Ool30009
Ool00`00Oomoo`06Ool00`00Oomoo`1]Ool300000goo001oo`060003Ool60004Ool00`00Oomoo`0<
Ool00`00Oomoo`0HOol00`00Ool0003NOol001aoo`03001oogoo0;5oo`800=ioo`0077oo00<007oo
Ool0/Goo00<007oo0000gGoo000LOol00`00Oomoo`2aOol00`00Ool0003MOol001aoo`03001oogoo
0;5oo`03001oogoo0=eoo`0077oo00<007ooOol0/Woo00<007ooOol0g7oo000LOol00`00Oomoo`2b
Ool00`00Oomoo`3LOol001aoo`800;=oo`03001oo`000=aoo`0077oo00<007ooOol0/Woo00<007oo
0000g7oo000LOol00`00Oomoo`2cOol2003LOol001aoo`03001oogoo0;=oo`03001oo`000=]oo`00
77oo00<007ooOol0/goo00<007oo0000fgoo000LOol00`00Oomoo`2dOol00`00Oomoo`3JOol001ao
o`03001oogoo0;Aoo`03001oogoo0=Yoo`0077oo00<007ooOol0]7oo00<007oo0000fWoo000LOol0
0`00Oomoo`2eOol2003JOol001aoo`03001oogoo0;Eoo`03001oo`000=Uoo`0077oo00<007ooOol0
]Goo00<007oo0000fGoo000LOol00`00Oomoo`2eOol00`00Ool0003IOol001aoo`800;Moo`03001o
ogoo0=Qoo`0077oo00<007ooOol0]Woo00<007ooOol0f7oo000LOol00`00Oomoo`2fOol00`00Oomo
o`3HOol001aoo`03001oogoo0;Moo`800=Qoo`0077oo00<007ooOol0]goo00<007oo0000egoo000L
Ool00`00Oomoo`2gOol00`00Ool0003GOol001aoo`03001oogoo0;Qoo`03001oo`000=Ioo`0077oo
00<007ooOol0^7oo00<007ooOol0eWoo000LOol00`00Oomoo`2hOol00`00Oomoo`3FOol001aoo`03
001oogoo0;Uoo`03001oogoo0=Eoo`0077oo00<007ooOol0^Goo00<007oo0000eGoo000LOol00`00
Oomoo`2iOol00`00Ool0003EOol001aoo`800;]oo`03001oo`000=Aoo`0077oo00<007ooOol0^Woo
00<007oo0000e7oo000LOol00`00Oomoo`2jOol00`00Ool0003DOol001aoo`03001oogoo0;Yoo`03
001oogoo0=Aoo`0077oo00<007ooOol0^goo00<007ooOol0dgoo000LOol00`00Oomoo`2kOol00`00
Oomoo`3COol001aoo`03001oogoo0;]oo`03001oo`000==oo`0077oo00<007ooOol0^goo00@007oo
Ool00=9oo`0077oo00<007ooOol0_7oo00<007oo0000dWoo0007Ool30003Ool00`00Oomoo`030009
Ool00`00Oomoo`2lOol00`00Ool0003BOol000Ioo`05001oogooOol00004Ool01@00Oomoogoo0000
27oo00<007ooOol0_7oo00<007ooOol0dWoo0006Ool01@00Oomoogoo000017oo00D007ooOomoo`00
00Qoo`03001oogoo0;eoo`03001oogoo0=5oo`001Woo00D007ooOomoo`0000Aoo`05001oogooOol0
0008Ool4002lOol00`00Oomoo`3AOol000Ioo`05001oogooOol00004Ool20002Ool00`00Oomoo`06
Ool00`00Oomoo`2nOol2003AOol000Ioo`05001oogooOol00004Ool01000Ool000002Goo00<007oo
Ool0_Woo00<007oo0000d7oo0006Ool01@00Oomoogoo00001Goo00<007ooOol02Goo00<007ooOol0
_goo0P00d7oo0006Ool01@00Oomoogoo00001Woo00<007ooOol027oo00<007ooOol0_goo00<007oo
0000cgoo0007Ool30008Ool20008Ool00`00Oomoo`30Ool00`00Oomoo`3>Ool001aoo`03001oogoo
0<1oo`03001oogoo0<ioo`0077oo00<007ooOol0`7oo00<007ooOol0cWoo000LOol00`00Oomoo`31
Ool2003>Ool001aoo`03001oogoo0<5oo`800<ioo`0077oo00<007ooOol0`Goo00<007oo0000cGoo
000LOol20033Ool2003=Ool001aoo`03001oogoo0<9oo`800<eoo`0077oo00<007ooOol0`Woo00<0
07ooOol0c7oo000LOol00`00Oomoo`32Ool00`00Oomoo`3<Ool001aoo`03001oogoo0<=oo`800<ao
o`0077oo00<007ooOol0`goo00<007oo0000bgoo000LOol00`00Oomoo`33Ool00`00Ool0003;Ool0
01aoo`03001oogoo0<Aoo`03001oo`000<Yoo`0077oo00<007ooOol0a7oo00<007oo0000bWoo000L
Ool00`00Oomoo`34Ool00`00Oomoo`3:Ool001aoo`03001oogoo0<Eoo`03001oogoo0<Uoo`0077oo
00<007ooOol0aGoo00<007ooOol0bGoo000LOol20036Ool00`00Ool00039Ool001aoo`03001oogoo
0<Eoo`04001oogoo0038Ool001aoo`03001oogoo0<Ioo`03001oo`000<Qoo`0077oo00<007ooOol0
aWoo00<007oo0000b7oo000LOol00`00Oomoo`36Ool00`00Oomoo`38Ool001aoo`03001oogoo0<Mo
o`03001oogoo0<Moo`0077oo00<007ooOol0agoo00<007ooOol0agoo000LOol00`00Oomoo`38Ool0
0`00Ool00036Ool001aoo`03001oogoo0<Qoo`03001oo`000<Ioo`0077oo00<007ooOol0bGoo00<0
07oo0000aGoo000LOol00`00Oomoo`39Ool00`00Ool00035Ool001aoo`03001oogoo0<Yoo`03001o
ogoo0<Aoo`0077oo0P00bgoo00<007ooOol0a7oo000LOol00`00Oomoo`3:Ool00`00Oomoo`34Ool0
01aoo`03001oogoo0<]oo`03001oo`000<=oo`0077oo00<007ooOol0bgoo00<007oo0000`goo000L
Ool00`00Oomoo`3<Ool00`00Ool00032Ool001aoo`03001oogoo0<aoo`03001oo`000<9oo`0077oo
00<007ooOol0cGoo00<007ooOol0`Goo000LOol00`00Oomoo`3=Ool00`00Oomoo`31Ool001aoo`03
001oogoo0<ioo`03001oogoo0<1oo`001goo0`000goo00<007ooOol00`002Goo00<007ooOol0cWoo
00<007oo0000`7oo0006Ool01@00Oomoogoo000017oo00D007ooOomoo`0000Qoo`03001oogoo0<mo
o`800<1oo`001Woo00D007ooOomoo`0000Aoo`05001oogooOol00008Ool00`00Oomoo`3?Ool00`00
Ool0002oOol000Ioo`05001oogooOol00005Ool00`00Ool00009Ool4003?Ool2002oOol000Ioo`05
001oogooOol00006Ool00`00Oomoo`08Ool00`00Oomoo`3@Ool00`00Oomoo`2nOol000Ioo`05001o
ogooOol00005Ool00`00Ool00009Ool00`00Oomoo`3AOol00`00Oomoo`2mOol000Ioo`05001oogoo
Ool00004Ool01@00Oomoogoo000027oo00<007ooOol0dGoo00<007ooOol0_Goo0006Ool01@00Oomo
ogoo000017oo00D007ooOomoo`0000Qoo`03001oogoo0=9oo`800;eoo`001goo0`001Woo0`002Goo
00<007ooOol0dWoo00<007oo0000_7oo000LOol00`00Oomoo`3COol2002lOol001aoo`03001oogoo
0==oo`03001oo`000;]oo`0077oo00<007ooOol0e7oo00<007ooOol0^Woo000LOol00`00Oomoo`3D
Ool00`00Oomoo`2jOol001aoo`03001oogoo0=Eoo`03001oogoo0;Uoo`0077oo00<007ooOol0eGoo
00<007oo0000^Goo000LOol2003GOol00`00Ool0002hOol001aoo`03001oogoo0=Ioo`03001oo`00
0;Qoo`0077oo00<007ooOol0egoo00<007oo0000]goo000LOol00`00Oomoo`3GOol00`00Oomoo`2g
Ool001aoo`03001oogoo0=Qoo`03001oogoo0;Ioo`0077oo00<007ooOol0f7oo00@007ooOol00;Eo
o`0077oo00<007ooOol0fGoo00<007oo0000]Goo000LOol00`00Oomoo`3JOol00`00Ool0002dOol0
01aoo`03001oogoo0=]oo`03001oo`000;=oo`0077oo00<007ooOol0fgoo00<007ooOol0/goo000L
Ool00`00Oomoo`3LOol00`00Oomoo`2bOol001aoo`03001oogoo0=eoo`04001oogoo002`Ool001ao
o`800=moo`04001oogoo002_Ool001aoo`03001oogoo0=moo`03001oo`000:moo`0077oo00<007oo
Ool0ggoo00@007ooOol00:ioo`0077oo00<007ooOol0h7oo00<007ooOol0[Woo000LOol00`00Oomo
o`3QOol00`00Oomoo`2]Ool001aoo`03001oogoo0>9oo`04001oogoo002[Ool001aoo`03001oogoo
0>=oo`04001oogoo002ZOol001aoo`03001oogoo0>Aoo`04001oogoo002YOol001aoo`03001oogoo
0>Eoo`04001oogoo002XOol001aoo`03001oogoo0>Ioo`03001oogoo0:Qoo`0077oo00<007ooOol0
igoo0P000Woo00<007ooOol0Xgoo000LOol00`00Oomoo`3YOol01000Oomoo`00Y7oo000LOol2003[
Ool00`00Oomoo`02002ROol001aoo`03001oogoo0>]oo`800:Aoo`0077oo00<007ooOol0kGoo00D0
07ooOomoo`0009moo`0077oo00<007ooOol0kWoo0P000Woo0P00WGoo000LOol00`00Oomoo`3`Ool2
0002Ool2002KOol001aoo`03001oogoo0?9oo`8000Aoo`03001oogoo09Ioo`0077oo00<007ooOol0
m7oo0`000Woo0P00UWoo000LOol00`00Oomoo`3gOol6002DOol001aoo`03001oogoo0?]oo`L008mo
o`001goo0`000goo00<007ooOol00`002Goo00<007ooOol0ogoo2@00RGoo0008Ool00`00Oomoo`04
Ool01@00Oomoogoo000027oo00<007ooOol0ogoo1Woo2`00PGoo0008Ool00`00Oomoo`04Ool01@00
Oomoogoo000027oo00<007ooOol0ogoo3Woo<`000goo1@00BGoo0008Ool00`00Oomoo`04Ool01@00
Oomoogoo000027oo1000ogoo?Woo4@000goo1@00>Woo0008Ool00`00Oomoo`04Ool01@00Oomoogoo
0000ogooWGoo0008Ool00`00Oomoo`04Ool01@00Oomoogoo0000ogooWGoo0008Ool00`00Oomoo`04
Ool01@00Oomoogoo0000ogooWGoo0007Ool20006Ool01@00Oomoogoo0000ogooWGoo0008Ool00`00
Oomoo`05Ool3003oOonNOol00?mook5oo`00ogoo/Goo0000\
\>"],
  ImageRangeCache->{{{0, 431}, {265.938, 0}} -> {0.350813, -0.0853907, \
0.00519628, 0.00420388}}]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 695}},
WindowSize->{591, 665},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 91, 1, 27, "Input"],
Cell[1833, 54, 72, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1942, 60, 49, 1, 27, "Input"],
Cell[1994, 63, 202, 4, 22, "Print"],
Cell[2199, 69, 36, 1, 22, "Print"],
Cell[2238, 72, 221, 3, 52, "Message"],
Cell[2462, 77, 207, 3, 52, "Message"],
Cell[2672, 82, 208, 3, 52, "Message"],
Cell[2883, 87, 180, 3, 37, "Message"],
Cell[3066, 92, 35, 1, 22, "Print"],
Cell[3104, 95, 35, 1, 22, "Print"],
Cell[3142, 98, 35, 1, 22, "Print"],
Cell[3180, 101, 35, 1, 22, "Print"],
Cell[3218, 104, 35, 1, 22, "Print"],
Cell[3256, 107, 35, 1, 22, "Print"],
Cell[3294, 110, 35, 1, 22, "Print"],
Cell[3332, 113, 35, 1, 22, "Print"],
Cell[3370, 116, 35, 1, 22, "Print"],
Cell[3408, 119, 35, 1, 22, "Print"],
Cell[3446, 122, 35, 1, 22, "Print"],
Cell[3484, 125, 35, 1, 22, "Print"],
Cell[3522, 128, 35, 1, 22, "Print"],
Cell[3560, 131, 35, 1, 22, "Print"],
Cell[3598, 134, 35, 1, 22, "Print"],
Cell[3636, 137, 35, 1, 22, "Print"],
Cell[3674, 140, 35, 1, 22, "Print"],
Cell[3712, 143, 35, 1, 22, "Print"],
Cell[3750, 146, 35, 1, 22, "Print"],
Cell[3788, 149, 35, 1, 22, "Print"],
Cell[3826, 152, 35, 1, 22, "Print"],
Cell[3864, 155, 35, 1, 22, "Print"],
Cell[3902, 158, 35, 1, 22, "Print"],
Cell[3940, 161, 35, 1, 22, "Print"],
Cell[3978, 164, 35, 1, 22, "Print"],
Cell[4016, 167, 35, 1, 22, "Print"],
Cell[4054, 170, 35, 1, 22, "Print"],
Cell[4092, 173, 35, 1, 22, "Print"],
Cell[4130, 176, 35, 1, 22, "Print"],
Cell[4168, 179, 35, 1, 22, "Print"],
Cell[4206, 182, 35, 1, 22, "Print"],
Cell[4244, 185, 35, 1, 22, "Print"],
Cell[4282, 188, 35, 1, 22, "Print"],
Cell[4320, 191, 35, 1, 22, "Print"],
Cell[4358, 194, 35, 1, 22, "Print"],
Cell[4396, 197, 35, 1, 22, "Print"],
Cell[4434, 200, 35, 1, 22, "Print"],
Cell[4472, 203, 35, 1, 22, "Print"],
Cell[4510, 206, 35, 1, 22, "Print"],
Cell[4548, 209, 35, 1, 22, "Print"],
Cell[4586, 212, 35, 1, 22, "Print"],
Cell[4624, 215, 35, 1, 22, "Print"],
Cell[4662, 218, 35, 1, 22, "Print"],
Cell[4700, 221, 35, 1, 22, "Print"],
Cell[4738, 224, 35, 1, 22, "Print"],
Cell[4776, 227, 35, 1, 22, "Print"],
Cell[4814, 230, 35, 1, 22, "Print"],
Cell[4852, 233, 35, 1, 22, "Print"],
Cell[4890, 236, 35, 1, 22, "Print"],
Cell[4928, 239, 35, 1, 22, "Print"],
Cell[4966, 242, 35, 1, 22, "Print"],
Cell[5004, 245, 35, 1, 22, "Print"],
Cell[5042, 248, 35, 1, 22, "Print"],
Cell[5080, 251, 35, 1, 22, "Print"],
Cell[5118, 254, 35, 1, 22, "Print"],
Cell[5156, 257, 35, 1, 22, "Print"],
Cell[5194, 260, 35, 1, 22, "Print"],
Cell[5232, 263, 35, 1, 22, "Print"],
Cell[5270, 266, 35, 1, 22, "Print"],
Cell[5308, 269, 35, 1, 22, "Print"],
Cell[5346, 272, 35, 1, 22, "Print"],
Cell[5384, 275, 35, 1, 22, "Print"],
Cell[5422, 278, 35, 1, 22, "Print"],
Cell[5460, 281, 35, 1, 22, "Print"],
Cell[5498, 284, 35, 1, 22, "Print"],
Cell[5536, 287, 35, 1, 22, "Print"],
Cell[5574, 290, 35, 1, 22, "Print"],
Cell[5612, 293, 35, 1, 22, "Print"],
Cell[5650, 296, 35, 1, 22, "Print"],
Cell[5688, 299, 35, 1, 22, "Print"],
Cell[5726, 302, 35, 1, 22, "Print"],
Cell[5764, 305, 35, 1, 22, "Print"],
Cell[5802, 308, 35, 1, 22, "Print"],
Cell[5840, 311, 35, 1, 22, "Print"],
Cell[5878, 314, 35, 1, 22, "Print"],
Cell[5916, 317, 35, 1, 22, "Print"],
Cell[5954, 320, 35, 1, 22, "Print"],
Cell[5992, 323, 35, 1, 22, "Print"],
Cell[6030, 326, 35, 1, 22, "Print"],
Cell[6068, 329, 35, 1, 22, "Print"],
Cell[6106, 332, 35, 1, 22, "Print"],
Cell[6144, 335, 35, 1, 22, "Print"],
Cell[6182, 338, 35, 1, 22, "Print"],
Cell[6220, 341, 35, 1, 22, "Print"],
Cell[6258, 344, 35, 1, 22, "Print"],
Cell[6296, 347, 35, 1, 22, "Print"],
Cell[6334, 350, 35, 1, 22, "Print"],
Cell[6372, 353, 35, 1, 22, "Print"],
Cell[6410, 356, 35, 1, 22, "Print"],
Cell[6448, 359, 35, 1, 22, "Print"],
Cell[6486, 362, 34, 1, 22, "Print"],
Cell[6523, 365, 34, 1, 22, "Print"],
Cell[6560, 368, 34, 1, 22, "Print"],
Cell[6597, 371, 34, 1, 22, "Print"],
Cell[6634, 374, 34, 1, 22, "Print"],
Cell[6671, 377, 34, 1, 22, "Print"],
Cell[6708, 380, 34, 1, 22, "Print"],
Cell[6745, 383, 34, 1, 22, "Print"],
Cell[6782, 386, 34, 1, 22, "Print"],
Cell[6819, 389, 40891, 1450, 275, 23752, 1235, "GraphicsData", "PostScript", \
"Graphics"],
Cell[47713, 1841, 77, 1, 22, "Print"],
Cell[47793, 1844, 76, 1, 22, "Print"],
Cell[47872, 1847, 61, 1, 22, "Print"],
Cell[47936, 1850, 159, 3, 22, "Print"],
Cell[48098, 1855, 159, 3, 22, "Print"],
Cell[48260, 1860, 159, 3, 22, "Print"],
Cell[48422, 1865, 159, 3, 22, "Print"],
Cell[48584, 1870, 159, 3, 22, "Print"],
Cell[48746, 1875, 159, 3, 22, "Print"],
Cell[48908, 1880, 159, 3, 22, "Print"],
Cell[49070, 1885, 159, 3, 22, "Print"],
Cell[49232, 1890, 161, 3, 22, "Print"],
Cell[49396, 1895, 161, 3, 22, "Print"],
Cell[49560, 1900, 161, 3, 22, "Print"],
Cell[49724, 1905, 161, 3, 22, "Print"],
Cell[49888, 1910, 161, 3, 22, "Print"],
Cell[50052, 1915, 161, 3, 22, "Print"],
Cell[50216, 1920, 161, 3, 22, "Print"],
Cell[50380, 1925, 161, 3, 22, "Print"],
Cell[50544, 1930, 161, 3, 22, "Print"],
Cell[50708, 1935, 161, 3, 22, "Print"],
Cell[50872, 1940, 161, 3, 22, "Print"],
Cell[51036, 1945, 47337, 1947, 275, 31883, 1753, "GraphicsData", \
"PostScript", "Graphics"],
Cell[98376, 3894, 47, 1, 22, "Print"],
Cell[98426, 3897, 202, 4, 22, "Print"],
Cell[98631, 3903, 36, 1, 22, "Print"],
Cell[98670, 3906, 35, 1, 22, "Print"],
Cell[98708, 3909, 35, 1, 22, "Print"],
Cell[98746, 3912, 35, 1, 22, "Print"],
Cell[98784, 3915, 35, 1, 22, "Print"],
Cell[98822, 3918, 35, 1, 22, "Print"],
Cell[98860, 3921, 35, 1, 22, "Print"],
Cell[98898, 3924, 35, 1, 22, "Print"],
Cell[98936, 3927, 35, 1, 22, "Print"],
Cell[98974, 3930, 35, 1, 22, "Print"],
Cell[99012, 3933, 35, 1, 22, "Print"],
Cell[99050, 3936, 35, 1, 22, "Print"],
Cell[99088, 3939, 35, 1, 22, "Print"],
Cell[99126, 3942, 35, 1, 22, "Print"],
Cell[99164, 3945, 35, 1, 22, "Print"],
Cell[99202, 3948, 35, 1, 22, "Print"],
Cell[99240, 3951, 35, 1, 22, "Print"],
Cell[99278, 3954, 35, 1, 22, "Print"],
Cell[99316, 3957, 35, 1, 22, "Print"],
Cell[99354, 3960, 35, 1, 22, "Print"],
Cell[99392, 3963, 35, 1, 22, "Print"],
Cell[99430, 3966, 35, 1, 22, "Print"],
Cell[99468, 3969, 35, 1, 22, "Print"],
Cell[99506, 3972, 35, 1, 22, "Print"],
Cell[99544, 3975, 35, 1, 22, "Print"],
Cell[99582, 3978, 35, 1, 22, "Print"],
Cell[99620, 3981, 35, 1, 22, "Print"],
Cell[99658, 3984, 35, 1, 22, "Print"],
Cell[99696, 3987, 35, 1, 22, "Print"],
Cell[99734, 3990, 35, 1, 22, "Print"],
Cell[99772, 3993, 35, 1, 22, "Print"],
Cell[99810, 3996, 35, 1, 22, "Print"],
Cell[99848, 3999, 35, 1, 22, "Print"],
Cell[99886, 4002, 35, 1, 22, "Print"],
Cell[99924, 4005, 35, 1, 22, "Print"],
Cell[99962, 4008, 35, 1, 22, "Print"],
Cell[100000, 4011, 35, 1, 22, "Print"],
Cell[100038, 4014, 35, 1, 22, "Print"],
Cell[100076, 4017, 35, 1, 22, "Print"],
Cell[100114, 4020, 35, 1, 22, "Print"],
Cell[100152, 4023, 35, 1, 22, "Print"],
Cell[100190, 4026, 35, 1, 22, "Print"],
Cell[100228, 4029, 35, 1, 22, "Print"],
Cell[100266, 4032, 35, 1, 22, "Print"],
Cell[100304, 4035, 35, 1, 22, "Print"],
Cell[100342, 4038, 35, 1, 22, "Print"],
Cell[100380, 4041, 35, 1, 22, "Print"],
Cell[100418, 4044, 35, 1, 22, "Print"],
Cell[100456, 4047, 35, 1, 22, "Print"],
Cell[100494, 4050, 35, 1, 22, "Print"],
Cell[100532, 4053, 35, 1, 22, "Print"],
Cell[100570, 4056, 35, 1, 22, "Print"],
Cell[100608, 4059, 35, 1, 22, "Print"],
Cell[100646, 4062, 35, 1, 22, "Print"],
Cell[100684, 4065, 35, 1, 22, "Print"],
Cell[100722, 4068, 35, 1, 22, "Print"],
Cell[100760, 4071, 35, 1, 22, "Print"],
Cell[100798, 4074, 35, 1, 22, "Print"],
Cell[100836, 4077, 35, 1, 22, "Print"],
Cell[100874, 4080, 35, 1, 22, "Print"],
Cell[100912, 4083, 35, 1, 22, "Print"],
Cell[100950, 4086, 35, 1, 22, "Print"],
Cell[100988, 4089, 35, 1, 22, "Print"],
Cell[101026, 4092, 35, 1, 22, "Print"],
Cell[101064, 4095, 35, 1, 22, "Print"],
Cell[101102, 4098, 35, 1, 22, "Print"],
Cell[101140, 4101, 35, 1, 22, "Print"],
Cell[101178, 4104, 35, 1, 22, "Print"],
Cell[101216, 4107, 35, 1, 22, "Print"],
Cell[101254, 4110, 35, 1, 22, "Print"],
Cell[101292, 4113, 35, 1, 22, "Print"],
Cell[101330, 4116, 35, 1, 22, "Print"],
Cell[101368, 4119, 35, 1, 22, "Print"],
Cell[101406, 4122, 35, 1, 22, "Print"],
Cell[101444, 4125, 35, 1, 22, "Print"],
Cell[101482, 4128, 35, 1, 22, "Print"],
Cell[101520, 4131, 35, 1, 22, "Print"],
Cell[101558, 4134, 35, 1, 22, "Print"],
Cell[101596, 4137, 35, 1, 22, "Print"],
Cell[101634, 4140, 35, 1, 22, "Print"],
Cell[101672, 4143, 35, 1, 22, "Print"],
Cell[101710, 4146, 35, 1, 22, "Print"],
Cell[101748, 4149, 35, 1, 22, "Print"],
Cell[101786, 4152, 35, 1, 22, "Print"],
Cell[101824, 4155, 35, 1, 22, "Print"],
Cell[101862, 4158, 35, 1, 22, "Print"],
Cell[101900, 4161, 35, 1, 22, "Print"],
Cell[101938, 4164, 35, 1, 22, "Print"],
Cell[101976, 4167, 35, 1, 22, "Print"],
Cell[102014, 4170, 35, 1, 22, "Print"],
Cell[102052, 4173, 35, 1, 22, "Print"],
Cell[102090, 4176, 34, 1, 22, "Print"],
Cell[102127, 4179, 34, 1, 22, "Print"],
Cell[102164, 4182, 34, 1, 22, "Print"],
Cell[102201, 4185, 34, 1, 22, "Print"],
Cell[102238, 4188, 34, 1, 22, "Print"],
Cell[102275, 4191, 34, 1, 22, "Print"],
Cell[102312, 4194, 34, 1, 22, "Print"],
Cell[102349, 4197, 34, 1, 22, "Print"],
Cell[102386, 4200, 34, 1, 22, "Print"],
Cell[102423, 4203, 50, 1, 22, "Print"],
Cell[102476, 4206, 77, 1, 22, "Print"],
Cell[102556, 4209, 76, 1, 22, "Print"],
Cell[102635, 4212, 61, 1, 22, "Print"],
Cell[102699, 4215, 159, 3, 22, "Print"],
Cell[102861, 4220, 159, 3, 22, "Print"],
Cell[103023, 4225, 159, 3, 22, "Print"],
Cell[103185, 4230, 159, 3, 22, "Print"],
Cell[103347, 4235, 159, 3, 22, "Print"],
Cell[103509, 4240, 159, 3, 22, "Print"],
Cell[103671, 4245, 159, 3, 22, "Print"],
Cell[103833, 4250, 159, 3, 22, "Print"],
Cell[103995, 4255, 161, 3, 22, "Print"],
Cell[104159, 4260, 161, 3, 22, "Print"],
Cell[104323, 4265, 161, 3, 22, "Print"],
Cell[104487, 4270, 161, 3, 22, "Print"],
Cell[104651, 4275, 161, 3, 22, "Print"],
Cell[104815, 4280, 161, 3, 22, "Print"],
Cell[104979, 4285, 161, 3, 22, "Print"],
Cell[105143, 4290, 161, 3, 22, "Print"],
Cell[105307, 4295, 161, 3, 22, "Print"],
Cell[105471, 4300, 161, 3, 22, "Print"],
Cell[105635, 4305, 161, 3, 22, "Print"],
Cell[105799, 4310, 46, 1, 22, "Print"],
Cell[105848, 4313, 46, 1, 22, "Print"],
Cell[105897, 4316, 202, 4, 22, "Print"],
Cell[106102, 4322, 36, 1, 22, "Print"],
Cell[106141, 4325, 35, 1, 22, "Print"],
Cell[106179, 4328, 35, 1, 22, "Print"],
Cell[106217, 4331, 35, 1, 22, "Print"],
Cell[106255, 4334, 35, 1, 22, "Print"],
Cell[106293, 4337, 35, 1, 22, "Print"],
Cell[106331, 4340, 35, 1, 22, "Print"],
Cell[106369, 4343, 35, 1, 22, "Print"],
Cell[106407, 4346, 35, 1, 22, "Print"],
Cell[106445, 4349, 35, 1, 22, "Print"],
Cell[106483, 4352, 35, 1, 22, "Print"],
Cell[106521, 4355, 35, 1, 22, "Print"],
Cell[106559, 4358, 35, 1, 22, "Print"],
Cell[106597, 4361, 35, 1, 22, "Print"],
Cell[106635, 4364, 35, 1, 22, "Print"],
Cell[106673, 4367, 35, 1, 22, "Print"],
Cell[106711, 4370, 35, 1, 22, "Print"],
Cell[106749, 4373, 35, 1, 22, "Print"],
Cell[106787, 4376, 35, 1, 22, "Print"],
Cell[106825, 4379, 35, 1, 22, "Print"],
Cell[106863, 4382, 35, 1, 22, "Print"],
Cell[106901, 4385, 35, 1, 22, "Print"],
Cell[106939, 4388, 35, 1, 22, "Print"],
Cell[106977, 4391, 35, 1, 22, "Print"],
Cell[107015, 4394, 35, 1, 22, "Print"],
Cell[107053, 4397, 35, 1, 22, "Print"],
Cell[107091, 4400, 35, 1, 22, "Print"],
Cell[107129, 4403, 35, 1, 22, "Print"],
Cell[107167, 4406, 35, 1, 22, "Print"],
Cell[107205, 4409, 35, 1, 22, "Print"],
Cell[107243, 4412, 35, 1, 22, "Print"],
Cell[107281, 4415, 35, 1, 22, "Print"],
Cell[107319, 4418, 35, 1, 22, "Print"],
Cell[107357, 4421, 35, 1, 22, "Print"],
Cell[107395, 4424, 35, 1, 22, "Print"],
Cell[107433, 4427, 35, 1, 22, "Print"],
Cell[107471, 4430, 35, 1, 22, "Print"],
Cell[107509, 4433, 35, 1, 22, "Print"],
Cell[107547, 4436, 35, 1, 22, "Print"],
Cell[107585, 4439, 35, 1, 22, "Print"],
Cell[107623, 4442, 35, 1, 22, "Print"],
Cell[107661, 4445, 35, 1, 22, "Print"],
Cell[107699, 4448, 35, 1, 22, "Print"],
Cell[107737, 4451, 35, 1, 22, "Print"],
Cell[107775, 4454, 35, 1, 22, "Print"],
Cell[107813, 4457, 35, 1, 22, "Print"],
Cell[107851, 4460, 35, 1, 22, "Print"],
Cell[107889, 4463, 35, 1, 22, "Print"],
Cell[107927, 4466, 35, 1, 22, "Print"],
Cell[107965, 4469, 35, 1, 22, "Print"],
Cell[108003, 4472, 35, 1, 22, "Print"],
Cell[108041, 4475, 35, 1, 22, "Print"],
Cell[108079, 4478, 35, 1, 22, "Print"],
Cell[108117, 4481, 35, 1, 22, "Print"],
Cell[108155, 4484, 35, 1, 22, "Print"],
Cell[108193, 4487, 35, 1, 22, "Print"],
Cell[108231, 4490, 35, 1, 22, "Print"],
Cell[108269, 4493, 35, 1, 22, "Print"],
Cell[108307, 4496, 35, 1, 22, "Print"],
Cell[108345, 4499, 35, 1, 22, "Print"],
Cell[108383, 4502, 35, 1, 22, "Print"],
Cell[108421, 4505, 35, 1, 22, "Print"],
Cell[108459, 4508, 35, 1, 22, "Print"],
Cell[108497, 4511, 35, 1, 22, "Print"],
Cell[108535, 4514, 35, 1, 22, "Print"],
Cell[108573, 4517, 35, 1, 22, "Print"],
Cell[108611, 4520, 35, 1, 22, "Print"],
Cell[108649, 4523, 35, 1, 22, "Print"],
Cell[108687, 4526, 35, 1, 22, "Print"],
Cell[108725, 4529, 35, 1, 22, "Print"],
Cell[108763, 4532, 35, 1, 22, "Print"],
Cell[108801, 4535, 35, 1, 22, "Print"],
Cell[108839, 4538, 35, 1, 22, "Print"],
Cell[108877, 4541, 35, 1, 22, "Print"],
Cell[108915, 4544, 35, 1, 22, "Print"],
Cell[108953, 4547, 35, 1, 22, "Print"],
Cell[108991, 4550, 35, 1, 22, "Print"],
Cell[109029, 4553, 35, 1, 22, "Print"],
Cell[109067, 4556, 35, 1, 22, "Print"],
Cell[109105, 4559, 35, 1, 22, "Print"],
Cell[109143, 4562, 35, 1, 22, "Print"],
Cell[109181, 4565, 35, 1, 22, "Print"],
Cell[109219, 4568, 35, 1, 22, "Print"],
Cell[109257, 4571, 35, 1, 22, "Print"],
Cell[109295, 4574, 35, 1, 22, "Print"],
Cell[109333, 4577, 35, 1, 22, "Print"],
Cell[109371, 4580, 35, 1, 22, "Print"],
Cell[109409, 4583, 35, 1, 22, "Print"],
Cell[109447, 4586, 35, 1, 22, "Print"],
Cell[109485, 4589, 35, 1, 22, "Print"],
Cell[109523, 4592, 35, 1, 22, "Print"],
Cell[109561, 4595, 34, 1, 22, "Print"],
Cell[109598, 4598, 34, 1, 22, "Print"],
Cell[109635, 4601, 34, 1, 22, "Print"],
Cell[109672, 4604, 34, 1, 22, "Print"],
Cell[109709, 4607, 34, 1, 22, "Print"],
Cell[109746, 4610, 34, 1, 22, "Print"],
Cell[109783, 4613, 34, 1, 22, "Print"],
Cell[109820, 4616, 34, 1, 22, "Print"],
Cell[109857, 4619, 34, 1, 22, "Print"],
Cell[109894, 4622, 49, 1, 22, "Print"],
Cell[109946, 4625, 77, 1, 22, "Print"],
Cell[110026, 4628, 76, 1, 22, "Print"],
Cell[110105, 4631, 61, 1, 22, "Print"],
Cell[110169, 4634, 159, 3, 22, "Print"],
Cell[110331, 4639, 159, 3, 22, "Print"],
Cell[110493, 4644, 159, 3, 22, "Print"],
Cell[110655, 4649, 159, 3, 22, "Print"],
Cell[110817, 4654, 159, 3, 22, "Print"],
Cell[110979, 4659, 159, 3, 22, "Print"],
Cell[111141, 4664, 159, 3, 22, "Print"],
Cell[111303, 4669, 159, 3, 22, "Print"],
Cell[111465, 4674, 161, 3, 22, "Print"],
Cell[111629, 4679, 161, 3, 22, "Print"],
Cell[111793, 4684, 161, 3, 22, "Print"],
Cell[111957, 4689, 161, 3, 22, "Print"],
Cell[112121, 4694, 161, 3, 22, "Print"],
Cell[112285, 4699, 161, 3, 22, "Print"],
Cell[112449, 4704, 161, 3, 22, "Print"],
Cell[112613, 4709, 161, 3, 22, "Print"],
Cell[112777, 4714, 161, 3, 22, "Print"],
Cell[112941, 4719, 161, 3, 22, "Print"],
Cell[113105, 4724, 161, 3, 22, "Print"],
Cell[113269, 4729, 45, 1, 22, "Print"],
Cell[113317, 4732, 46, 1, 22, "Print"],
Cell[113366, 4735, 202, 4, 22, "Print"],
Cell[113571, 4741, 36, 1, 22, "Print"],
Cell[113610, 4744, 35, 1, 22, "Print"],
Cell[113648, 4747, 35, 1, 22, "Print"],
Cell[113686, 4750, 35, 1, 22, "Print"],
Cell[113724, 4753, 35, 1, 22, "Print"],
Cell[113762, 4756, 35, 1, 22, "Print"],
Cell[113800, 4759, 35, 1, 22, "Print"],
Cell[113838, 4762, 35, 1, 22, "Print"],
Cell[113876, 4765, 35, 1, 22, "Print"],
Cell[113914, 4768, 35, 1, 22, "Print"],
Cell[113952, 4771, 35, 1, 22, "Print"],
Cell[113990, 4774, 35, 1, 22, "Print"],
Cell[114028, 4777, 35, 1, 22, "Print"],
Cell[114066, 4780, 35, 1, 22, "Print"],
Cell[114104, 4783, 35, 1, 22, "Print"],
Cell[114142, 4786, 35, 1, 22, "Print"],
Cell[114180, 4789, 35, 1, 22, "Print"],
Cell[114218, 4792, 35, 1, 22, "Print"],
Cell[114256, 4795, 35, 1, 22, "Print"],
Cell[114294, 4798, 35, 1, 22, "Print"],
Cell[114332, 4801, 35, 1, 22, "Print"],
Cell[114370, 4804, 35, 1, 22, "Print"],
Cell[114408, 4807, 35, 1, 22, "Print"],
Cell[114446, 4810, 35, 1, 22, "Print"],
Cell[114484, 4813, 35, 1, 22, "Print"],
Cell[114522, 4816, 35, 1, 22, "Print"],
Cell[114560, 4819, 35, 1, 22, "Print"],
Cell[114598, 4822, 35, 1, 22, "Print"],
Cell[114636, 4825, 35, 1, 22, "Print"],
Cell[114674, 4828, 35, 1, 22, "Print"],
Cell[114712, 4831, 35, 1, 22, "Print"],
Cell[114750, 4834, 35, 1, 22, "Print"],
Cell[114788, 4837, 35, 1, 22, "Print"],
Cell[114826, 4840, 35, 1, 22, "Print"],
Cell[114864, 4843, 35, 1, 22, "Print"],
Cell[114902, 4846, 35, 1, 22, "Print"],
Cell[114940, 4849, 35, 1, 22, "Print"],
Cell[114978, 4852, 35, 1, 22, "Print"],
Cell[115016, 4855, 35, 1, 22, "Print"],
Cell[115054, 4858, 35, 1, 22, "Print"],
Cell[115092, 4861, 35, 1, 22, "Print"],
Cell[115130, 4864, 35, 1, 22, "Print"],
Cell[115168, 4867, 35, 1, 22, "Print"],
Cell[115206, 4870, 35, 1, 22, "Print"],
Cell[115244, 4873, 35, 1, 22, "Print"],
Cell[115282, 4876, 35, 1, 22, "Print"],
Cell[115320, 4879, 35, 1, 22, "Print"],
Cell[115358, 4882, 35, 1, 22, "Print"],
Cell[115396, 4885, 35, 1, 22, "Print"],
Cell[115434, 4888, 35, 1, 22, "Print"],
Cell[115472, 4891, 35, 1, 22, "Print"],
Cell[115510, 4894, 35, 1, 22, "Print"],
Cell[115548, 4897, 35, 1, 22, "Print"],
Cell[115586, 4900, 35, 1, 22, "Print"],
Cell[115624, 4903, 35, 1, 22, "Print"],
Cell[115662, 4906, 35, 1, 22, "Print"],
Cell[115700, 4909, 35, 1, 22, "Print"],
Cell[115738, 4912, 35, 1, 22, "Print"],
Cell[115776, 4915, 35, 1, 22, "Print"],
Cell[115814, 4918, 35, 1, 22, "Print"],
Cell[115852, 4921, 35, 1, 22, "Print"],
Cell[115890, 4924, 35, 1, 22, "Print"],
Cell[115928, 4927, 35, 1, 22, "Print"],
Cell[115966, 4930, 35, 1, 22, "Print"],
Cell[116004, 4933, 35, 1, 22, "Print"],
Cell[116042, 4936, 35, 1, 22, "Print"],
Cell[116080, 4939, 35, 1, 22, "Print"],
Cell[116118, 4942, 35, 1, 22, "Print"],
Cell[116156, 4945, 35, 1, 22, "Print"],
Cell[116194, 4948, 35, 1, 22, "Print"],
Cell[116232, 4951, 35, 1, 22, "Print"],
Cell[116270, 4954, 35, 1, 22, "Print"],
Cell[116308, 4957, 35, 1, 22, "Print"],
Cell[116346, 4960, 35, 1, 22, "Print"],
Cell[116384, 4963, 35, 1, 22, "Print"],
Cell[116422, 4966, 35, 1, 22, "Print"],
Cell[116460, 4969, 35, 1, 22, "Print"],
Cell[116498, 4972, 35, 1, 22, "Print"],
Cell[116536, 4975, 35, 1, 22, "Print"],
Cell[116574, 4978, 35, 1, 22, "Print"],
Cell[116612, 4981, 35, 1, 22, "Print"],
Cell[116650, 4984, 35, 1, 22, "Print"],
Cell[116688, 4987, 35, 1, 22, "Print"],
Cell[116726, 4990, 35, 1, 22, "Print"],
Cell[116764, 4993, 35, 1, 22, "Print"],
Cell[116802, 4996, 35, 1, 22, "Print"],
Cell[116840, 4999, 35, 1, 22, "Print"],
Cell[116878, 5002, 35, 1, 22, "Print"],
Cell[116916, 5005, 35, 1, 22, "Print"],
Cell[116954, 5008, 35, 1, 22, "Print"],
Cell[116992, 5011, 35, 1, 22, "Print"],
Cell[117030, 5014, 34, 1, 22, "Print"],
Cell[117067, 5017, 34, 1, 22, "Print"],
Cell[117104, 5020, 34, 1, 22, "Print"],
Cell[117141, 5023, 34, 1, 22, "Print"],
Cell[117178, 5026, 34, 1, 22, "Print"],
Cell[117215, 5029, 34, 1, 22, "Print"],
Cell[117252, 5032, 34, 1, 22, "Print"],
Cell[117289, 5035, 34, 1, 22, "Print"],
Cell[117326, 5038, 34, 1, 22, "Print"],
Cell[117363, 5041, 49, 1, 22, "Print"],
Cell[117415, 5044, 77, 1, 22, "Print"],
Cell[117495, 5047, 76, 1, 22, "Print"],
Cell[117574, 5050, 61, 1, 22, "Print"],
Cell[117638, 5053, 159, 3, 22, "Print"],
Cell[117800, 5058, 159, 3, 22, "Print"],
Cell[117962, 5063, 159, 3, 22, "Print"],
Cell[118124, 5068, 159, 3, 22, "Print"],
Cell[118286, 5073, 159, 3, 22, "Print"],
Cell[118448, 5078, 159, 3, 22, "Print"],
Cell[118610, 5083, 159, 3, 22, "Print"],
Cell[118772, 5088, 159, 3, 22, "Print"],
Cell[118934, 5093, 161, 3, 22, "Print"],
Cell[119098, 5098, 161, 3, 22, "Print"],
Cell[119262, 5103, 161, 3, 22, "Print"],
Cell[119426, 5108, 161, 3, 22, "Print"],
Cell[119590, 5113, 161, 3, 22, "Print"],
Cell[119754, 5118, 161, 3, 22, "Print"],
Cell[119918, 5123, 161, 3, 22, "Print"],
Cell[120082, 5128, 161, 3, 22, "Print"],
Cell[120246, 5133, 161, 3, 22, "Print"],
Cell[120410, 5138, 161, 3, 22, "Print"],
Cell[120574, 5143, 161, 3, 22, "Print"],
Cell[120738, 5148, 45, 1, 22, "Print"],
Cell[120786, 5151, 48, 1, 22, "Print"],
Cell[120837, 5154, 201, 4, 22, "Print"],
Cell[121041, 5160, 36, 1, 22, "Print"],
Cell[121080, 5163, 35, 1, 22, "Print"],
Cell[121118, 5166, 35, 1, 22, "Print"],
Cell[121156, 5169, 35, 1, 22, "Print"],
Cell[121194, 5172, 35, 1, 22, "Print"],
Cell[121232, 5175, 35, 1, 22, "Print"],
Cell[121270, 5178, 35, 1, 22, "Print"],
Cell[121308, 5181, 35, 1, 22, "Print"],
Cell[121346, 5184, 35, 1, 22, "Print"],
Cell[121384, 5187, 35, 1, 22, "Print"],
Cell[121422, 5190, 35, 1, 22, "Print"],
Cell[121460, 5193, 35, 1, 22, "Print"],
Cell[121498, 5196, 35, 1, 22, "Print"],
Cell[121536, 5199, 35, 1, 22, "Print"],
Cell[121574, 5202, 35, 1, 22, "Print"],
Cell[121612, 5205, 35, 1, 22, "Print"],
Cell[121650, 5208, 35, 1, 22, "Print"],
Cell[121688, 5211, 35, 1, 22, "Print"],
Cell[121726, 5214, 35, 1, 22, "Print"],
Cell[121764, 5217, 35, 1, 22, "Print"],
Cell[121802, 5220, 35, 1, 22, "Print"],
Cell[121840, 5223, 35, 1, 22, "Print"],
Cell[121878, 5226, 35, 1, 22, "Print"],
Cell[121916, 5229, 35, 1, 22, "Print"],
Cell[121954, 5232, 35, 1, 22, "Print"],
Cell[121992, 5235, 35, 1, 22, "Print"],
Cell[122030, 5238, 35, 1, 22, "Print"],
Cell[122068, 5241, 35, 1, 22, "Print"],
Cell[122106, 5244, 35, 1, 22, "Print"],
Cell[122144, 5247, 35, 1, 22, "Print"],
Cell[122182, 5250, 35, 1, 22, "Print"],
Cell[122220, 5253, 35, 1, 22, "Print"],
Cell[122258, 5256, 35, 1, 22, "Print"],
Cell[122296, 5259, 35, 1, 22, "Print"],
Cell[122334, 5262, 35, 1, 22, "Print"],
Cell[122372, 5265, 35, 1, 22, "Print"],
Cell[122410, 5268, 35, 1, 22, "Print"],
Cell[122448, 5271, 35, 1, 22, "Print"],
Cell[122486, 5274, 35, 1, 22, "Print"],
Cell[122524, 5277, 35, 1, 22, "Print"],
Cell[122562, 5280, 35, 1, 22, "Print"],
Cell[122600, 5283, 35, 1, 22, "Print"],
Cell[122638, 5286, 35, 1, 22, "Print"],
Cell[122676, 5289, 35, 1, 22, "Print"],
Cell[122714, 5292, 35, 1, 22, "Print"],
Cell[122752, 5295, 35, 1, 22, "Print"],
Cell[122790, 5298, 35, 1, 22, "Print"],
Cell[122828, 5301, 35, 1, 22, "Print"],
Cell[122866, 5304, 35, 1, 22, "Print"],
Cell[122904, 5307, 35, 1, 22, "Print"],
Cell[122942, 5310, 35, 1, 22, "Print"],
Cell[122980, 5313, 35, 1, 22, "Print"],
Cell[123018, 5316, 35, 1, 22, "Print"],
Cell[123056, 5319, 35, 1, 22, "Print"],
Cell[123094, 5322, 35, 1, 22, "Print"],
Cell[123132, 5325, 35, 1, 22, "Print"],
Cell[123170, 5328, 35, 1, 22, "Print"],
Cell[123208, 5331, 35, 1, 22, "Print"],
Cell[123246, 5334, 35, 1, 22, "Print"],
Cell[123284, 5337, 35, 1, 22, "Print"],
Cell[123322, 5340, 35, 1, 22, "Print"],
Cell[123360, 5343, 35, 1, 22, "Print"],
Cell[123398, 5346, 35, 1, 22, "Print"],
Cell[123436, 5349, 35, 1, 22, "Print"],
Cell[123474, 5352, 35, 1, 22, "Print"],
Cell[123512, 5355, 35, 1, 22, "Print"],
Cell[123550, 5358, 35, 1, 22, "Print"],
Cell[123588, 5361, 35, 1, 22, "Print"],
Cell[123626, 5364, 35, 1, 22, "Print"],
Cell[123664, 5367, 35, 1, 22, "Print"],
Cell[123702, 5370, 35, 1, 22, "Print"],
Cell[123740, 5373, 35, 1, 22, "Print"],
Cell[123778, 5376, 35, 1, 22, "Print"],
Cell[123816, 5379, 35, 1, 22, "Print"],
Cell[123854, 5382, 35, 1, 22, "Print"],
Cell[123892, 5385, 35, 1, 22, "Print"],
Cell[123930, 5388, 35, 1, 22, "Print"],
Cell[123968, 5391, 35, 1, 22, "Print"],
Cell[124006, 5394, 35, 1, 22, "Print"],
Cell[124044, 5397, 35, 1, 22, "Print"],
Cell[124082, 5400, 35, 1, 22, "Print"],
Cell[124120, 5403, 35, 1, 22, "Print"],
Cell[124158, 5406, 35, 1, 22, "Print"],
Cell[124196, 5409, 35, 1, 22, "Print"],
Cell[124234, 5412, 35, 1, 22, "Print"],
Cell[124272, 5415, 35, 1, 22, "Print"],
Cell[124310, 5418, 35, 1, 22, "Print"],
Cell[124348, 5421, 35, 1, 22, "Print"],
Cell[124386, 5424, 35, 1, 22, "Print"],
Cell[124424, 5427, 35, 1, 22, "Print"],
Cell[124462, 5430, 35, 1, 22, "Print"],
Cell[124500, 5433, 34, 1, 22, "Print"],
Cell[124537, 5436, 34, 1, 22, "Print"],
Cell[124574, 5439, 34, 1, 22, "Print"],
Cell[124611, 5442, 34, 1, 22, "Print"],
Cell[124648, 5445, 34, 1, 22, "Print"],
Cell[124685, 5448, 34, 1, 22, "Print"],
Cell[124722, 5451, 34, 1, 22, "Print"],
Cell[124759, 5454, 34, 1, 22, "Print"],
Cell[124796, 5457, 34, 1, 22, "Print"],
Cell[124833, 5460, 51, 1, 22, "Print"],
Cell[124887, 5463, 77, 1, 22, "Print"],
Cell[124967, 5466, 76, 1, 22, "Print"],
Cell[125046, 5469, 61, 1, 22, "Print"],
Cell[125110, 5472, 159, 3, 22, "Print"],
Cell[125272, 5477, 159, 3, 22, "Print"],
Cell[125434, 5482, 159, 3, 22, "Print"],
Cell[125596, 5487, 159, 3, 22, "Print"],
Cell[125758, 5492, 159, 3, 22, "Print"],
Cell[125920, 5497, 159, 3, 22, "Print"],
Cell[126082, 5502, 159, 3, 22, "Print"],
Cell[126244, 5507, 159, 3, 22, "Print"],
Cell[126406, 5512, 161, 3, 22, "Print"],
Cell[126570, 5517, 161, 3, 22, "Print"],
Cell[126734, 5522, 161, 3, 22, "Print"],
Cell[126898, 5527, 161, 3, 22, "Print"],
Cell[127062, 5532, 161, 3, 22, "Print"],
Cell[127226, 5537, 161, 3, 22, "Print"],
Cell[127390, 5542, 161, 3, 22, "Print"],
Cell[127554, 5547, 161, 3, 22, "Print"],
Cell[127718, 5552, 161, 3, 22, "Print"],
Cell[127882, 5557, 161, 3, 22, "Print"],
Cell[128046, 5562, 161, 3, 22, "Print"],
Cell[128210, 5567, 47, 1, 22, "Print"],
Cell[128260, 5570, 48, 1, 22, "Print"],
Cell[128311, 5573, 202, 4, 22, "Print"],
Cell[128516, 5579, 36, 1, 22, "Print"],
Cell[128555, 5582, 35, 1, 22, "Print"],
Cell[128593, 5585, 35, 1, 22, "Print"],
Cell[128631, 5588, 35, 1, 22, "Print"],
Cell[128669, 5591, 35, 1, 22, "Print"],
Cell[128707, 5594, 35, 1, 22, "Print"],
Cell[128745, 5597, 35, 1, 22, "Print"],
Cell[128783, 5600, 35, 1, 22, "Print"],
Cell[128821, 5603, 35, 1, 22, "Print"],
Cell[128859, 5606, 35, 1, 22, "Print"],
Cell[128897, 5609, 35, 1, 22, "Print"],
Cell[128935, 5612, 35, 1, 22, "Print"],
Cell[128973, 5615, 35, 1, 22, "Print"],
Cell[129011, 5618, 35, 1, 22, "Print"],
Cell[129049, 5621, 35, 1, 22, "Print"],
Cell[129087, 5624, 35, 1, 22, "Print"],
Cell[129125, 5627, 35, 1, 22, "Print"],
Cell[129163, 5630, 35, 1, 22, "Print"],
Cell[129201, 5633, 35, 1, 22, "Print"],
Cell[129239, 5636, 35, 1, 22, "Print"],
Cell[129277, 5639, 35, 1, 22, "Print"],
Cell[129315, 5642, 35, 1, 22, "Print"],
Cell[129353, 5645, 35, 1, 22, "Print"],
Cell[129391, 5648, 35, 1, 22, "Print"],
Cell[129429, 5651, 35, 1, 22, "Print"],
Cell[129467, 5654, 35, 1, 22, "Print"],
Cell[129505, 5657, 35, 1, 22, "Print"],
Cell[129543, 5660, 35, 1, 22, "Print"],
Cell[129581, 5663, 35, 1, 22, "Print"],
Cell[129619, 5666, 35, 1, 22, "Print"],
Cell[129657, 5669, 35, 1, 22, "Print"],
Cell[129695, 5672, 35, 1, 22, "Print"],
Cell[129733, 5675, 35, 1, 22, "Print"],
Cell[129771, 5678, 35, 1, 22, "Print"],
Cell[129809, 5681, 35, 1, 22, "Print"],
Cell[129847, 5684, 35, 1, 22, "Print"],
Cell[129885, 5687, 35, 1, 22, "Print"],
Cell[129923, 5690, 35, 1, 22, "Print"],
Cell[129961, 5693, 35, 1, 22, "Print"],
Cell[129999, 5696, 35, 1, 22, "Print"],
Cell[130037, 5699, 35, 1, 22, "Print"],
Cell[130075, 5702, 35, 1, 22, "Print"],
Cell[130113, 5705, 35, 1, 22, "Print"],
Cell[130151, 5708, 35, 1, 22, "Print"],
Cell[130189, 5711, 35, 1, 22, "Print"],
Cell[130227, 5714, 35, 1, 22, "Print"],
Cell[130265, 5717, 35, 1, 22, "Print"],
Cell[130303, 5720, 35, 1, 22, "Print"],
Cell[130341, 5723, 35, 1, 22, "Print"],
Cell[130379, 5726, 35, 1, 22, "Print"],
Cell[130417, 5729, 35, 1, 22, "Print"],
Cell[130455, 5732, 35, 1, 22, "Print"],
Cell[130493, 5735, 35, 1, 22, "Print"],
Cell[130531, 5738, 35, 1, 22, "Print"],
Cell[130569, 5741, 35, 1, 22, "Print"],
Cell[130607, 5744, 35, 1, 22, "Print"],
Cell[130645, 5747, 35, 1, 22, "Print"],
Cell[130683, 5750, 35, 1, 22, "Print"],
Cell[130721, 5753, 35, 1, 22, "Print"],
Cell[130759, 5756, 35, 1, 22, "Print"],
Cell[130797, 5759, 35, 1, 22, "Print"],
Cell[130835, 5762, 35, 1, 22, "Print"],
Cell[130873, 5765, 35, 1, 22, "Print"],
Cell[130911, 5768, 35, 1, 22, "Print"],
Cell[130949, 5771, 35, 1, 22, "Print"],
Cell[130987, 5774, 35, 1, 22, "Print"],
Cell[131025, 5777, 35, 1, 22, "Print"],
Cell[131063, 5780, 35, 1, 22, "Print"],
Cell[131101, 5783, 35, 1, 22, "Print"],
Cell[131139, 5786, 35, 1, 22, "Print"],
Cell[131177, 5789, 35, 1, 22, "Print"],
Cell[131215, 5792, 35, 1, 22, "Print"],
Cell[131253, 5795, 35, 1, 22, "Print"],
Cell[131291, 5798, 35, 1, 22, "Print"],
Cell[131329, 5801, 35, 1, 22, "Print"],
Cell[131367, 5804, 35, 1, 22, "Print"],
Cell[131405, 5807, 35, 1, 22, "Print"],
Cell[131443, 5810, 35, 1, 22, "Print"],
Cell[131481, 5813, 35, 1, 22, "Print"],
Cell[131519, 5816, 35, 1, 22, "Print"],
Cell[131557, 5819, 35, 1, 22, "Print"],
Cell[131595, 5822, 35, 1, 22, "Print"],
Cell[131633, 5825, 35, 1, 22, "Print"],
Cell[131671, 5828, 35, 1, 22, "Print"],
Cell[131709, 5831, 35, 1, 22, "Print"],
Cell[131747, 5834, 35, 1, 22, "Print"],
Cell[131785, 5837, 35, 1, 22, "Print"],
Cell[131823, 5840, 35, 1, 22, "Print"],
Cell[131861, 5843, 35, 1, 22, "Print"],
Cell[131899, 5846, 35, 1, 22, "Print"],
Cell[131937, 5849, 35, 1, 22, "Print"],
Cell[131975, 5852, 34, 1, 22, "Print"],
Cell[132012, 5855, 34, 1, 22, "Print"],
Cell[132049, 5858, 34, 1, 22, "Print"],
Cell[132086, 5861, 34, 1, 22, "Print"],
Cell[132123, 5864, 34, 1, 22, "Print"],
Cell[132160, 5867, 34, 1, 22, "Print"],
Cell[132197, 5870, 34, 1, 22, "Print"],
Cell[132234, 5873, 34, 1, 22, "Print"],
Cell[132271, 5876, 34, 1, 22, "Print"],
Cell[132308, 5879, 51, 1, 22, "Print"],
Cell[132362, 5882, 77, 1, 22, "Print"],
Cell[132442, 5885, 76, 1, 22, "Print"],
Cell[132521, 5888, 61, 1, 22, "Print"],
Cell[132585, 5891, 159, 3, 22, "Print"],
Cell[132747, 5896, 159, 3, 22, "Print"],
Cell[132909, 5901, 159, 3, 22, "Print"],
Cell[133071, 5906, 159, 3, 22, "Print"],
Cell[133233, 5911, 159, 3, 22, "Print"],
Cell[133395, 5916, 159, 3, 22, "Print"],
Cell[133557, 5921, 159, 3, 22, "Print"],
Cell[133719, 5926, 159, 3, 22, "Print"],
Cell[133881, 5931, 161, 3, 22, "Print"],
Cell[134045, 5936, 161, 3, 22, "Print"],
Cell[134209, 5941, 161, 3, 22, "Print"],
Cell[134373, 5946, 161, 3, 22, "Print"],
Cell[134537, 5951, 161, 3, 22, "Print"],
Cell[134701, 5956, 161, 3, 22, "Print"],
Cell[134865, 5961, 161, 3, 22, "Print"],
Cell[135029, 5966, 161, 3, 22, "Print"],
Cell[135193, 5971, 161, 3, 22, "Print"],
Cell[135357, 5976, 161, 3, 22, "Print"],
Cell[135521, 5981, 161, 3, 22, "Print"],
Cell[135685, 5986, 47, 1, 22, "Print"],
Cell[135735, 5989, 46, 1, 22, "Print"],
Cell[135784, 5992, 202, 4, 22, "Print"],
Cell[135989, 5998, 36, 1, 22, "Print"],
Cell[136028, 6001, 35, 1, 22, "Print"],
Cell[136066, 6004, 35, 1, 22, "Print"],
Cell[136104, 6007, 35, 1, 22, "Print"],
Cell[136142, 6010, 35, 1, 22, "Print"],
Cell[136180, 6013, 35, 1, 22, "Print"],
Cell[136218, 6016, 35, 1, 22, "Print"],
Cell[136256, 6019, 35, 1, 22, "Print"],
Cell[136294, 6022, 35, 1, 22, "Print"],
Cell[136332, 6025, 35, 1, 22, "Print"],
Cell[136370, 6028, 35, 1, 22, "Print"],
Cell[136408, 6031, 35, 1, 22, "Print"],
Cell[136446, 6034, 35, 1, 22, "Print"],
Cell[136484, 6037, 35, 1, 22, "Print"],
Cell[136522, 6040, 35, 1, 22, "Print"],
Cell[136560, 6043, 35, 1, 22, "Print"],
Cell[136598, 6046, 35, 1, 22, "Print"],
Cell[136636, 6049, 35, 1, 22, "Print"],
Cell[136674, 6052, 35, 1, 22, "Print"],
Cell[136712, 6055, 35, 1, 22, "Print"],
Cell[136750, 6058, 35, 1, 22, "Print"],
Cell[136788, 6061, 35, 1, 22, "Print"],
Cell[136826, 6064, 35, 1, 22, "Print"],
Cell[136864, 6067, 35, 1, 22, "Print"],
Cell[136902, 6070, 35, 1, 22, "Print"],
Cell[136940, 6073, 35, 1, 22, "Print"],
Cell[136978, 6076, 35, 1, 22, "Print"],
Cell[137016, 6079, 35, 1, 22, "Print"],
Cell[137054, 6082, 35, 1, 22, "Print"],
Cell[137092, 6085, 35, 1, 22, "Print"],
Cell[137130, 6088, 35, 1, 22, "Print"],
Cell[137168, 6091, 35, 1, 22, "Print"],
Cell[137206, 6094, 35, 1, 22, "Print"],
Cell[137244, 6097, 35, 1, 22, "Print"],
Cell[137282, 6100, 35, 1, 22, "Print"],
Cell[137320, 6103, 35, 1, 22, "Print"],
Cell[137358, 6106, 35, 1, 22, "Print"],
Cell[137396, 6109, 35, 1, 22, "Print"],
Cell[137434, 6112, 35, 1, 22, "Print"],
Cell[137472, 6115, 35, 1, 22, "Print"],
Cell[137510, 6118, 35, 1, 22, "Print"],
Cell[137548, 6121, 35, 1, 22, "Print"],
Cell[137586, 6124, 35, 1, 22, "Print"],
Cell[137624, 6127, 35, 1, 22, "Print"],
Cell[137662, 6130, 35, 1, 22, "Print"],
Cell[137700, 6133, 35, 1, 22, "Print"],
Cell[137738, 6136, 35, 1, 22, "Print"],
Cell[137776, 6139, 35, 1, 22, "Print"],
Cell[137814, 6142, 35, 1, 22, "Print"],
Cell[137852, 6145, 35, 1, 22, "Print"],
Cell[137890, 6148, 35, 1, 22, "Print"],
Cell[137928, 6151, 35, 1, 22, "Print"],
Cell[137966, 6154, 35, 1, 22, "Print"],
Cell[138004, 6157, 35, 1, 22, "Print"],
Cell[138042, 6160, 35, 1, 22, "Print"],
Cell[138080, 6163, 35, 1, 22, "Print"],
Cell[138118, 6166, 35, 1, 22, "Print"],
Cell[138156, 6169, 35, 1, 22, "Print"],
Cell[138194, 6172, 35, 1, 22, "Print"],
Cell[138232, 6175, 35, 1, 22, "Print"],
Cell[138270, 6178, 35, 1, 22, "Print"],
Cell[138308, 6181, 35, 1, 22, "Print"],
Cell[138346, 6184, 35, 1, 22, "Print"],
Cell[138384, 6187, 35, 1, 22, "Print"],
Cell[138422, 6190, 35, 1, 22, "Print"],
Cell[138460, 6193, 35, 1, 22, "Print"],
Cell[138498, 6196, 35, 1, 22, "Print"],
Cell[138536, 6199, 35, 1, 22, "Print"],
Cell[138574, 6202, 35, 1, 22, "Print"],
Cell[138612, 6205, 35, 1, 22, "Print"],
Cell[138650, 6208, 35, 1, 22, "Print"],
Cell[138688, 6211, 35, 1, 22, "Print"],
Cell[138726, 6214, 35, 1, 22, "Print"],
Cell[138764, 6217, 35, 1, 22, "Print"],
Cell[138802, 6220, 35, 1, 22, "Print"],
Cell[138840, 6223, 35, 1, 22, "Print"],
Cell[138878, 6226, 35, 1, 22, "Print"],
Cell[138916, 6229, 35, 1, 22, "Print"],
Cell[138954, 6232, 35, 1, 22, "Print"],
Cell[138992, 6235, 35, 1, 22, "Print"],
Cell[139030, 6238, 35, 1, 22, "Print"],
Cell[139068, 6241, 35, 1, 22, "Print"],
Cell[139106, 6244, 35, 1, 22, "Print"],
Cell[139144, 6247, 35, 1, 22, "Print"],
Cell[139182, 6250, 35, 1, 22, "Print"],
Cell[139220, 6253, 35, 1, 22, "Print"],
Cell[139258, 6256, 35, 1, 22, "Print"],
Cell[139296, 6259, 35, 1, 22, "Print"],
Cell[139334, 6262, 35, 1, 22, "Print"],
Cell[139372, 6265, 35, 1, 22, "Print"],
Cell[139410, 6268, 35, 1, 22, "Print"],
Cell[139448, 6271, 34, 1, 22, "Print"],
Cell[139485, 6274, 34, 1, 22, "Print"],
Cell[139522, 6277, 34, 1, 22, "Print"],
Cell[139559, 6280, 34, 1, 22, "Print"],
Cell[139596, 6283, 34, 1, 22, "Print"],
Cell[139633, 6286, 34, 1, 22, "Print"],
Cell[139670, 6289, 34, 1, 22, "Print"],
Cell[139707, 6292, 34, 1, 22, "Print"],
Cell[139744, 6295, 34, 1, 22, "Print"],
Cell[139781, 6298, 49, 1, 22, "Print"],
Cell[139833, 6301, 77, 1, 22, "Print"],
Cell[139913, 6304, 76, 1, 22, "Print"],
Cell[139992, 6307, 61, 1, 22, "Print"],
Cell[140056, 6310, 159, 3, 22, "Print"],
Cell[140218, 6315, 159, 3, 22, "Print"],
Cell[140380, 6320, 159, 3, 22, "Print"],
Cell[140542, 6325, 159, 3, 22, "Print"],
Cell[140704, 6330, 159, 3, 22, "Print"],
Cell[140866, 6335, 159, 3, 22, "Print"],
Cell[141028, 6340, 159, 3, 22, "Print"],
Cell[141190, 6345, 159, 3, 22, "Print"],
Cell[141352, 6350, 161, 3, 22, "Print"],
Cell[141516, 6355, 161, 3, 22, "Print"],
Cell[141680, 6360, 161, 3, 22, "Print"],
Cell[141844, 6365, 161, 3, 22, "Print"],
Cell[142008, 6370, 161, 3, 22, "Print"],
Cell[142172, 6375, 161, 3, 22, "Print"],
Cell[142336, 6380, 161, 3, 22, "Print"],
Cell[142500, 6385, 161, 3, 22, "Print"],
Cell[142664, 6390, 161, 3, 22, "Print"],
Cell[142828, 6395, 161, 3, 22, "Print"],
Cell[142992, 6400, 161, 3, 22, "Print"],
Cell[143156, 6405, 45, 1, 22, "Print"],
Cell[143204, 6408, 46, 1, 22, "Print"],
Cell[143253, 6411, 202, 4, 22, "Print"],
Cell[143458, 6417, 36, 1, 22, "Print"],
Cell[143497, 6420, 35, 1, 22, "Print"],
Cell[143535, 6423, 35, 1, 22, "Print"],
Cell[143573, 6426, 35, 1, 22, "Print"],
Cell[143611, 6429, 35, 1, 22, "Print"],
Cell[143649, 6432, 35, 1, 22, "Print"],
Cell[143687, 6435, 35, 1, 22, "Print"],
Cell[143725, 6438, 35, 1, 22, "Print"],
Cell[143763, 6441, 35, 1, 22, "Print"],
Cell[143801, 6444, 35, 1, 22, "Print"],
Cell[143839, 6447, 35, 1, 22, "Print"],
Cell[143877, 6450, 35, 1, 22, "Print"],
Cell[143915, 6453, 35, 1, 22, "Print"],
Cell[143953, 6456, 35, 1, 22, "Print"],
Cell[143991, 6459, 35, 1, 22, "Print"],
Cell[144029, 6462, 35, 1, 22, "Print"],
Cell[144067, 6465, 35, 1, 22, "Print"],
Cell[144105, 6468, 35, 1, 22, "Print"],
Cell[144143, 6471, 35, 1, 22, "Print"],
Cell[144181, 6474, 35, 1, 22, "Print"],
Cell[144219, 6477, 35, 1, 22, "Print"],
Cell[144257, 6480, 35, 1, 22, "Print"],
Cell[144295, 6483, 35, 1, 22, "Print"],
Cell[144333, 6486, 35, 1, 22, "Print"],
Cell[144371, 6489, 35, 1, 22, "Print"],
Cell[144409, 6492, 35, 1, 22, "Print"],
Cell[144447, 6495, 35, 1, 22, "Print"],
Cell[144485, 6498, 35, 1, 22, "Print"],
Cell[144523, 6501, 35, 1, 22, "Print"],
Cell[144561, 6504, 35, 1, 22, "Print"],
Cell[144599, 6507, 35, 1, 22, "Print"],
Cell[144637, 6510, 35, 1, 22, "Print"],
Cell[144675, 6513, 35, 1, 22, "Print"],
Cell[144713, 6516, 35, 1, 22, "Print"],
Cell[144751, 6519, 35, 1, 22, "Print"],
Cell[144789, 6522, 35, 1, 22, "Print"],
Cell[144827, 6525, 35, 1, 22, "Print"],
Cell[144865, 6528, 35, 1, 22, "Print"],
Cell[144903, 6531, 35, 1, 22, "Print"],
Cell[144941, 6534, 35, 1, 22, "Print"],
Cell[144979, 6537, 35, 1, 22, "Print"],
Cell[145017, 6540, 35, 1, 22, "Print"],
Cell[145055, 6543, 35, 1, 22, "Print"],
Cell[145093, 6546, 35, 1, 22, "Print"],
Cell[145131, 6549, 35, 1, 22, "Print"],
Cell[145169, 6552, 35, 1, 22, "Print"],
Cell[145207, 6555, 35, 1, 22, "Print"],
Cell[145245, 6558, 35, 1, 22, "Print"],
Cell[145283, 6561, 35, 1, 22, "Print"],
Cell[145321, 6564, 35, 1, 22, "Print"],
Cell[145359, 6567, 35, 1, 22, "Print"],
Cell[145397, 6570, 35, 1, 22, "Print"],
Cell[145435, 6573, 35, 1, 22, "Print"],
Cell[145473, 6576, 35, 1, 22, "Print"],
Cell[145511, 6579, 35, 1, 22, "Print"],
Cell[145549, 6582, 35, 1, 22, "Print"],
Cell[145587, 6585, 35, 1, 22, "Print"],
Cell[145625, 6588, 35, 1, 22, "Print"],
Cell[145663, 6591, 35, 1, 22, "Print"],
Cell[145701, 6594, 35, 1, 22, "Print"],
Cell[145739, 6597, 35, 1, 22, "Print"],
Cell[145777, 6600, 35, 1, 22, "Print"],
Cell[145815, 6603, 35, 1, 22, "Print"],
Cell[145853, 6606, 35, 1, 22, "Print"],
Cell[145891, 6609, 35, 1, 22, "Print"],
Cell[145929, 6612, 35, 1, 22, "Print"],
Cell[145967, 6615, 35, 1, 22, "Print"],
Cell[146005, 6618, 35, 1, 22, "Print"],
Cell[146043, 6621, 35, 1, 22, "Print"],
Cell[146081, 6624, 35, 1, 22, "Print"],
Cell[146119, 6627, 35, 1, 22, "Print"],
Cell[146157, 6630, 35, 1, 22, "Print"],
Cell[146195, 6633, 35, 1, 22, "Print"],
Cell[146233, 6636, 35, 1, 22, "Print"],
Cell[146271, 6639, 35, 1, 22, "Print"],
Cell[146309, 6642, 35, 1, 22, "Print"],
Cell[146347, 6645, 35, 1, 22, "Print"],
Cell[146385, 6648, 35, 1, 22, "Print"],
Cell[146423, 6651, 35, 1, 22, "Print"],
Cell[146461, 6654, 35, 1, 22, "Print"],
Cell[146499, 6657, 35, 1, 22, "Print"],
Cell[146537, 6660, 35, 1, 22, "Print"],
Cell[146575, 6663, 35, 1, 22, "Print"],
Cell[146613, 6666, 35, 1, 22, "Print"],
Cell[146651, 6669, 35, 1, 22, "Print"],
Cell[146689, 6672, 35, 1, 22, "Print"],
Cell[146727, 6675, 35, 1, 22, "Print"],
Cell[146765, 6678, 35, 1, 22, "Print"],
Cell[146803, 6681, 35, 1, 22, "Print"],
Cell[146841, 6684, 35, 1, 22, "Print"],
Cell[146879, 6687, 35, 1, 22, "Print"],
Cell[146917, 6690, 34, 1, 22, "Print"],
Cell[146954, 6693, 34, 1, 22, "Print"],
Cell[146991, 6696, 34, 1, 22, "Print"],
Cell[147028, 6699, 34, 1, 22, "Print"],
Cell[147065, 6702, 34, 1, 22, "Print"],
Cell[147102, 6705, 34, 1, 22, "Print"],
Cell[147139, 6708, 34, 1, 22, "Print"],
Cell[147176, 6711, 34, 1, 22, "Print"],
Cell[147213, 6714, 34, 1, 22, "Print"],
Cell[147250, 6717, 49, 1, 22, "Print"],
Cell[147302, 6720, 77, 1, 22, "Print"],
Cell[147382, 6723, 76, 1, 22, "Print"],
Cell[147461, 6726, 61, 1, 22, "Print"],
Cell[147525, 6729, 159, 3, 22, "Print"],
Cell[147687, 6734, 159, 3, 22, "Print"],
Cell[147849, 6739, 159, 3, 22, "Print"],
Cell[148011, 6744, 159, 3, 22, "Print"],
Cell[148173, 6749, 159, 3, 22, "Print"],
Cell[148335, 6754, 159, 3, 22, "Print"],
Cell[148497, 6759, 159, 3, 22, "Print"],
Cell[148659, 6764, 159, 3, 22, "Print"],
Cell[148821, 6769, 161, 3, 22, "Print"],
Cell[148985, 6774, 161, 3, 22, "Print"],
Cell[149149, 6779, 161, 3, 22, "Print"],
Cell[149313, 6784, 161, 3, 22, "Print"],
Cell[149477, 6789, 161, 3, 22, "Print"],
Cell[149641, 6794, 161, 3, 22, "Print"],
Cell[149805, 6799, 161, 3, 22, "Print"],
Cell[149969, 6804, 161, 3, 22, "Print"],
Cell[150133, 6809, 161, 3, 22, "Print"],
Cell[150297, 6814, 161, 3, 22, "Print"],
Cell[150461, 6819, 161, 3, 22, "Print"],
Cell[150625, 6824, 45, 1, 22, "Print"],
Cell[150673, 6827, 47, 1, 22, "Print"],
Cell[150723, 6830, 202, 4, 22, "Print"],
Cell[150928, 6836, 36, 1, 22, "Print"],
Cell[150967, 6839, 35, 1, 22, "Print"],
Cell[151005, 6842, 35, 1, 22, "Print"],
Cell[151043, 6845, 35, 1, 22, "Print"],
Cell[151081, 6848, 35, 1, 22, "Print"],
Cell[151119, 6851, 35, 1, 22, "Print"],
Cell[151157, 6854, 35, 1, 22, "Print"],
Cell[151195, 6857, 35, 1, 22, "Print"],
Cell[151233, 6860, 35, 1, 22, "Print"],
Cell[151271, 6863, 35, 1, 22, "Print"],
Cell[151309, 6866, 35, 1, 22, "Print"],
Cell[151347, 6869, 35, 1, 22, "Print"],
Cell[151385, 6872, 35, 1, 22, "Print"],
Cell[151423, 6875, 35, 1, 22, "Print"],
Cell[151461, 6878, 35, 1, 22, "Print"],
Cell[151499, 6881, 35, 1, 22, "Print"],
Cell[151537, 6884, 35, 1, 22, "Print"],
Cell[151575, 6887, 35, 1, 22, "Print"],
Cell[151613, 6890, 35, 1, 22, "Print"],
Cell[151651, 6893, 35, 1, 22, "Print"],
Cell[151689, 6896, 35, 1, 22, "Print"],
Cell[151727, 6899, 35, 1, 22, "Print"],
Cell[151765, 6902, 35, 1, 22, "Print"],
Cell[151803, 6905, 35, 1, 22, "Print"],
Cell[151841, 6908, 35, 1, 22, "Print"],
Cell[151879, 6911, 35, 1, 22, "Print"],
Cell[151917, 6914, 35, 1, 22, "Print"],
Cell[151955, 6917, 35, 1, 22, "Print"],
Cell[151993, 6920, 35, 1, 22, "Print"],
Cell[152031, 6923, 35, 1, 22, "Print"],
Cell[152069, 6926, 35, 1, 22, "Print"],
Cell[152107, 6929, 35, 1, 22, "Print"],
Cell[152145, 6932, 35, 1, 22, "Print"],
Cell[152183, 6935, 35, 1, 22, "Print"],
Cell[152221, 6938, 35, 1, 22, "Print"],
Cell[152259, 6941, 35, 1, 22, "Print"],
Cell[152297, 6944, 35, 1, 22, "Print"],
Cell[152335, 6947, 35, 1, 22, "Print"],
Cell[152373, 6950, 35, 1, 22, "Print"],
Cell[152411, 6953, 35, 1, 22, "Print"],
Cell[152449, 6956, 35, 1, 22, "Print"],
Cell[152487, 6959, 35, 1, 22, "Print"],
Cell[152525, 6962, 35, 1, 22, "Print"],
Cell[152563, 6965, 35, 1, 22, "Print"],
Cell[152601, 6968, 35, 1, 22, "Print"],
Cell[152639, 6971, 35, 1, 22, "Print"],
Cell[152677, 6974, 35, 1, 22, "Print"],
Cell[152715, 6977, 35, 1, 22, "Print"],
Cell[152753, 6980, 35, 1, 22, "Print"],
Cell[152791, 6983, 35, 1, 22, "Print"],
Cell[152829, 6986, 35, 1, 22, "Print"],
Cell[152867, 6989, 35, 1, 22, "Print"],
Cell[152905, 6992, 35, 1, 22, "Print"],
Cell[152943, 6995, 35, 1, 22, "Print"],
Cell[152981, 6998, 35, 1, 22, "Print"],
Cell[153019, 7001, 35, 1, 22, "Print"],
Cell[153057, 7004, 35, 1, 22, "Print"],
Cell[153095, 7007, 35, 1, 22, "Print"],
Cell[153133, 7010, 35, 1, 22, "Print"],
Cell[153171, 7013, 35, 1, 22, "Print"],
Cell[153209, 7016, 35, 1, 22, "Print"],
Cell[153247, 7019, 35, 1, 22, "Print"],
Cell[153285, 7022, 35, 1, 22, "Print"],
Cell[153323, 7025, 35, 1, 22, "Print"],
Cell[153361, 7028, 35, 1, 22, "Print"],
Cell[153399, 7031, 35, 1, 22, "Print"],
Cell[153437, 7034, 35, 1, 22, "Print"],
Cell[153475, 7037, 35, 1, 22, "Print"],
Cell[153513, 7040, 35, 1, 22, "Print"],
Cell[153551, 7043, 35, 1, 22, "Print"],
Cell[153589, 7046, 35, 1, 22, "Print"],
Cell[153627, 7049, 35, 1, 22, "Print"],
Cell[153665, 7052, 35, 1, 22, "Print"],
Cell[153703, 7055, 35, 1, 22, "Print"],
Cell[153741, 7058, 35, 1, 22, "Print"],
Cell[153779, 7061, 35, 1, 22, "Print"],
Cell[153817, 7064, 35, 1, 22, "Print"],
Cell[153855, 7067, 35, 1, 22, "Print"],
Cell[153893, 7070, 35, 1, 22, "Print"],
Cell[153931, 7073, 35, 1, 22, "Print"],
Cell[153969, 7076, 35, 1, 22, "Print"],
Cell[154007, 7079, 35, 1, 22, "Print"],
Cell[154045, 7082, 35, 1, 22, "Print"],
Cell[154083, 7085, 35, 1, 22, "Print"],
Cell[154121, 7088, 35, 1, 22, "Print"],
Cell[154159, 7091, 35, 1, 22, "Print"],
Cell[154197, 7094, 35, 1, 22, "Print"],
Cell[154235, 7097, 35, 1, 22, "Print"],
Cell[154273, 7100, 35, 1, 22, "Print"],
Cell[154311, 7103, 35, 1, 22, "Print"],
Cell[154349, 7106, 35, 1, 22, "Print"],
Cell[154387, 7109, 34, 1, 22, "Print"],
Cell[154424, 7112, 34, 1, 22, "Print"],
Cell[154461, 7115, 34, 1, 22, "Print"],
Cell[154498, 7118, 34, 1, 22, "Print"],
Cell[154535, 7121, 34, 1, 22, "Print"],
Cell[154572, 7124, 34, 1, 22, "Print"],
Cell[154609, 7127, 34, 1, 22, "Print"],
Cell[154646, 7130, 34, 1, 22, "Print"],
Cell[154683, 7133, 34, 1, 22, "Print"],
Cell[154720, 7136, 50, 1, 22, "Print"],
Cell[154773, 7139, 77, 1, 22, "Print"],
Cell[154853, 7142, 76, 1, 22, "Print"],
Cell[154932, 7145, 61, 1, 22, "Print"],
Cell[154996, 7148, 159, 3, 22, "Print"],
Cell[155158, 7153, 159, 3, 22, "Print"],
Cell[155320, 7158, 159, 3, 22, "Print"],
Cell[155482, 7163, 159, 3, 22, "Print"],
Cell[155644, 7168, 159, 3, 22, "Print"],
Cell[155806, 7173, 159, 3, 22, "Print"],
Cell[155968, 7178, 159, 3, 22, "Print"],
Cell[156130, 7183, 159, 3, 22, "Print"],
Cell[156292, 7188, 161, 3, 22, "Print"],
Cell[156456, 7193, 161, 3, 22, "Print"],
Cell[156620, 7198, 161, 3, 22, "Print"],
Cell[156784, 7203, 161, 3, 22, "Print"],
Cell[156948, 7208, 161, 3, 22, "Print"],
Cell[157112, 7213, 161, 3, 22, "Print"],
Cell[157276, 7218, 161, 3, 22, "Print"],
Cell[157440, 7223, 161, 3, 22, "Print"],
Cell[157604, 7228, 161, 3, 22, "Print"],
Cell[157768, 7233, 161, 3, 22, "Print"],
Cell[157932, 7238, 161, 3, 22, "Print"],
Cell[158096, 7243, 46, 1, 22, "Print"],
Cell[158145, 7246, 47, 1, 22, "Print"],
Cell[158195, 7249, 202, 4, 22, "Print"],
Cell[158400, 7255, 36, 1, 22, "Print"],
Cell[158439, 7258, 35, 1, 22, "Print"],
Cell[158477, 7261, 35, 1, 22, "Print"],
Cell[158515, 7264, 35, 1, 22, "Print"],
Cell[158553, 7267, 35, 1, 22, "Print"],
Cell[158591, 7270, 35, 1, 22, "Print"],
Cell[158629, 7273, 35, 1, 22, "Print"],
Cell[158667, 7276, 35, 1, 22, "Print"],
Cell[158705, 7279, 35, 1, 22, "Print"],
Cell[158743, 7282, 35, 1, 22, "Print"],
Cell[158781, 7285, 35, 1, 22, "Print"],
Cell[158819, 7288, 35, 1, 22, "Print"],
Cell[158857, 7291, 35, 1, 22, "Print"],
Cell[158895, 7294, 35, 1, 22, "Print"],
Cell[158933, 7297, 35, 1, 22, "Print"],
Cell[158971, 7300, 35, 1, 22, "Print"],
Cell[159009, 7303, 35, 1, 22, "Print"],
Cell[159047, 7306, 35, 1, 22, "Print"],
Cell[159085, 7309, 35, 1, 22, "Print"],
Cell[159123, 7312, 35, 1, 22, "Print"],
Cell[159161, 7315, 35, 1, 22, "Print"],
Cell[159199, 7318, 35, 1, 22, "Print"],
Cell[159237, 7321, 35, 1, 22, "Print"],
Cell[159275, 7324, 35, 1, 22, "Print"],
Cell[159313, 7327, 35, 1, 22, "Print"],
Cell[159351, 7330, 35, 1, 22, "Print"],
Cell[159389, 7333, 35, 1, 22, "Print"],
Cell[159427, 7336, 35, 1, 22, "Print"],
Cell[159465, 7339, 35, 1, 22, "Print"],
Cell[159503, 7342, 35, 1, 22, "Print"],
Cell[159541, 7345, 35, 1, 22, "Print"],
Cell[159579, 7348, 35, 1, 22, "Print"],
Cell[159617, 7351, 35, 1, 22, "Print"],
Cell[159655, 7354, 35, 1, 22, "Print"],
Cell[159693, 7357, 35, 1, 22, "Print"],
Cell[159731, 7360, 35, 1, 22, "Print"],
Cell[159769, 7363, 35, 1, 22, "Print"],
Cell[159807, 7366, 35, 1, 22, "Print"],
Cell[159845, 7369, 35, 1, 22, "Print"],
Cell[159883, 7372, 35, 1, 22, "Print"],
Cell[159921, 7375, 35, 1, 22, "Print"],
Cell[159959, 7378, 35, 1, 22, "Print"],
Cell[159997, 7381, 35, 1, 22, "Print"],
Cell[160035, 7384, 35, 1, 22, "Print"],
Cell[160073, 7387, 35, 1, 22, "Print"],
Cell[160111, 7390, 35, 1, 22, "Print"],
Cell[160149, 7393, 35, 1, 22, "Print"],
Cell[160187, 7396, 35, 1, 22, "Print"],
Cell[160225, 7399, 35, 1, 22, "Print"],
Cell[160263, 7402, 35, 1, 22, "Print"],
Cell[160301, 7405, 35, 1, 22, "Print"],
Cell[160339, 7408, 35, 1, 22, "Print"],
Cell[160377, 7411, 35, 1, 22, "Print"],
Cell[160415, 7414, 35, 1, 22, "Print"],
Cell[160453, 7417, 35, 1, 22, "Print"],
Cell[160491, 7420, 35, 1, 22, "Print"],
Cell[160529, 7423, 35, 1, 22, "Print"],
Cell[160567, 7426, 35, 1, 22, "Print"],
Cell[160605, 7429, 35, 1, 22, "Print"],
Cell[160643, 7432, 35, 1, 22, "Print"],
Cell[160681, 7435, 35, 1, 22, "Print"],
Cell[160719, 7438, 35, 1, 22, "Print"],
Cell[160757, 7441, 35, 1, 22, "Print"],
Cell[160795, 7444, 35, 1, 22, "Print"],
Cell[160833, 7447, 35, 1, 22, "Print"],
Cell[160871, 7450, 35, 1, 22, "Print"],
Cell[160909, 7453, 35, 1, 22, "Print"],
Cell[160947, 7456, 35, 1, 22, "Print"],
Cell[160985, 7459, 35, 1, 22, "Print"],
Cell[161023, 7462, 35, 1, 22, "Print"],
Cell[161061, 7465, 35, 1, 22, "Print"],
Cell[161099, 7468, 35, 1, 22, "Print"],
Cell[161137, 7471, 35, 1, 22, "Print"],
Cell[161175, 7474, 35, 1, 22, "Print"],
Cell[161213, 7477, 35, 1, 22, "Print"],
Cell[161251, 7480, 35, 1, 22, "Print"],
Cell[161289, 7483, 35, 1, 22, "Print"],
Cell[161327, 7486, 35, 1, 22, "Print"],
Cell[161365, 7489, 35, 1, 22, "Print"],
Cell[161403, 7492, 35, 1, 22, "Print"],
Cell[161441, 7495, 35, 1, 22, "Print"],
Cell[161479, 7498, 35, 1, 22, "Print"],
Cell[161517, 7501, 35, 1, 22, "Print"],
Cell[161555, 7504, 35, 1, 22, "Print"],
Cell[161593, 7507, 35, 1, 22, "Print"],
Cell[161631, 7510, 35, 1, 22, "Print"],
Cell[161669, 7513, 35, 1, 22, "Print"],
Cell[161707, 7516, 35, 1, 22, "Print"],
Cell[161745, 7519, 35, 1, 22, "Print"],
Cell[161783, 7522, 35, 1, 22, "Print"],
Cell[161821, 7525, 35, 1, 22, "Print"],
Cell[161859, 7528, 34, 1, 22, "Print"],
Cell[161896, 7531, 34, 1, 22, "Print"],
Cell[161933, 7534, 34, 1, 22, "Print"],
Cell[161970, 7537, 34, 1, 22, "Print"],
Cell[162007, 7540, 34, 1, 22, "Print"],
Cell[162044, 7543, 34, 1, 22, "Print"],
Cell[162081, 7546, 34, 1, 22, "Print"],
Cell[162118, 7549, 34, 1, 22, "Print"],
Cell[162155, 7552, 34, 1, 22, "Print"],
Cell[162192, 7555, 50, 1, 22, "Print"],
Cell[162245, 7558, 77, 1, 22, "Print"],
Cell[162325, 7561, 76, 1, 22, "Print"],
Cell[162404, 7564, 61, 1, 22, "Print"],
Cell[162468, 7567, 159, 3, 22, "Print"],
Cell[162630, 7572, 159, 3, 22, "Print"],
Cell[162792, 7577, 159, 3, 22, "Print"],
Cell[162954, 7582, 159, 3, 22, "Print"],
Cell[163116, 7587, 159, 3, 22, "Print"],
Cell[163278, 7592, 159, 3, 22, "Print"],
Cell[163440, 7597, 159, 3, 22, "Print"],
Cell[163602, 7602, 159, 3, 22, "Print"],
Cell[163764, 7607, 161, 3, 22, "Print"],
Cell[163928, 7612, 161, 3, 22, "Print"],
Cell[164092, 7617, 161, 3, 22, "Print"],
Cell[164256, 7622, 161, 3, 22, "Print"],
Cell[164420, 7627, 161, 3, 22, "Print"],
Cell[164584, 7632, 161, 3, 22, "Print"],
Cell[164748, 7637, 161, 3, 22, "Print"],
Cell[164912, 7642, 161, 3, 22, "Print"],
Cell[165076, 7647, 161, 3, 22, "Print"],
Cell[165240, 7652, 161, 3, 22, "Print"],
Cell[165404, 7657, 161, 3, 22, "Print"],
Cell[165568, 7662, 46, 1, 22, "Print"],
Cell[165617, 7665, 47, 1, 22, "Print"],
Cell[165667, 7668, 201, 4, 22, "Print"],
Cell[165871, 7674, 36, 1, 22, "Print"],
Cell[165910, 7677, 35, 1, 22, "Print"],
Cell[165948, 7680, 35, 1, 22, "Print"],
Cell[165986, 7683, 35, 1, 22, "Print"],
Cell[166024, 7686, 35, 1, 22, "Print"],
Cell[166062, 7689, 35, 1, 22, "Print"],
Cell[166100, 7692, 35, 1, 22, "Print"],
Cell[166138, 7695, 35, 1, 22, "Print"],
Cell[166176, 7698, 35, 1, 22, "Print"],
Cell[166214, 7701, 35, 1, 22, "Print"],
Cell[166252, 7704, 35, 1, 22, "Print"],
Cell[166290, 7707, 35, 1, 22, "Print"],
Cell[166328, 7710, 35, 1, 22, "Print"],
Cell[166366, 7713, 35, 1, 22, "Print"],
Cell[166404, 7716, 35, 1, 22, "Print"],
Cell[166442, 7719, 35, 1, 22, "Print"],
Cell[166480, 7722, 35, 1, 22, "Print"],
Cell[166518, 7725, 35, 1, 22, "Print"],
Cell[166556, 7728, 35, 1, 22, "Print"],
Cell[166594, 7731, 35, 1, 22, "Print"],
Cell[166632, 7734, 35, 1, 22, "Print"],
Cell[166670, 7737, 35, 1, 22, "Print"],
Cell[166708, 7740, 35, 1, 22, "Print"],
Cell[166746, 7743, 35, 1, 22, "Print"],
Cell[166784, 7746, 35, 1, 22, "Print"],
Cell[166822, 7749, 35, 1, 22, "Print"],
Cell[166860, 7752, 35, 1, 22, "Print"],
Cell[166898, 7755, 35, 1, 22, "Print"],
Cell[166936, 7758, 35, 1, 22, "Print"],
Cell[166974, 7761, 35, 1, 22, "Print"],
Cell[167012, 7764, 35, 1, 22, "Print"],
Cell[167050, 7767, 35, 1, 22, "Print"],
Cell[167088, 7770, 35, 1, 22, "Print"],
Cell[167126, 7773, 35, 1, 22, "Print"],
Cell[167164, 7776, 35, 1, 22, "Print"],
Cell[167202, 7779, 35, 1, 22, "Print"],
Cell[167240, 7782, 35, 1, 22, "Print"],
Cell[167278, 7785, 35, 1, 22, "Print"],
Cell[167316, 7788, 35, 1, 22, "Print"],
Cell[167354, 7791, 35, 1, 22, "Print"],
Cell[167392, 7794, 35, 1, 22, "Print"],
Cell[167430, 7797, 35, 1, 22, "Print"],
Cell[167468, 7800, 35, 1, 22, "Print"],
Cell[167506, 7803, 35, 1, 22, "Print"],
Cell[167544, 7806, 35, 1, 22, "Print"],
Cell[167582, 7809, 35, 1, 22, "Print"],
Cell[167620, 7812, 35, 1, 22, "Print"],
Cell[167658, 7815, 35, 1, 22, "Print"],
Cell[167696, 7818, 35, 1, 22, "Print"],
Cell[167734, 7821, 35, 1, 22, "Print"],
Cell[167772, 7824, 35, 1, 22, "Print"],
Cell[167810, 7827, 35, 1, 22, "Print"],
Cell[167848, 7830, 35, 1, 22, "Print"],
Cell[167886, 7833, 35, 1, 22, "Print"],
Cell[167924, 7836, 35, 1, 22, "Print"],
Cell[167962, 7839, 35, 1, 22, "Print"],
Cell[168000, 7842, 35, 1, 22, "Print"],
Cell[168038, 7845, 35, 1, 22, "Print"],
Cell[168076, 7848, 35, 1, 22, "Print"],
Cell[168114, 7851, 35, 1, 22, "Print"],
Cell[168152, 7854, 35, 1, 22, "Print"],
Cell[168190, 7857, 35, 1, 22, "Print"],
Cell[168228, 7860, 35, 1, 22, "Print"],
Cell[168266, 7863, 35, 1, 22, "Print"],
Cell[168304, 7866, 35, 1, 22, "Print"],
Cell[168342, 7869, 35, 1, 22, "Print"],
Cell[168380, 7872, 35, 1, 22, "Print"],
Cell[168418, 7875, 35, 1, 22, "Print"],
Cell[168456, 7878, 35, 1, 22, "Print"],
Cell[168494, 7881, 35, 1, 22, "Print"],
Cell[168532, 7884, 35, 1, 22, "Print"],
Cell[168570, 7887, 35, 1, 22, "Print"],
Cell[168608, 7890, 35, 1, 22, "Print"],
Cell[168646, 7893, 35, 1, 22, "Print"],
Cell[168684, 7896, 35, 1, 22, "Print"],
Cell[168722, 7899, 35, 1, 22, "Print"],
Cell[168760, 7902, 35, 1, 22, "Print"],
Cell[168798, 7905, 35, 1, 22, "Print"],
Cell[168836, 7908, 35, 1, 22, "Print"],
Cell[168874, 7911, 35, 1, 22, "Print"],
Cell[168912, 7914, 35, 1, 22, "Print"],
Cell[168950, 7917, 35, 1, 22, "Print"],
Cell[168988, 7920, 35, 1, 22, "Print"],
Cell[169026, 7923, 35, 1, 22, "Print"],
Cell[169064, 7926, 35, 1, 22, "Print"],
Cell[169102, 7929, 35, 1, 22, "Print"],
Cell[169140, 7932, 35, 1, 22, "Print"],
Cell[169178, 7935, 35, 1, 22, "Print"],
Cell[169216, 7938, 35, 1, 22, "Print"],
Cell[169254, 7941, 35, 1, 22, "Print"],
Cell[169292, 7944, 35, 1, 22, "Print"],
Cell[169330, 7947, 34, 1, 22, "Print"],
Cell[169367, 7950, 34, 1, 22, "Print"],
Cell[169404, 7953, 34, 1, 22, "Print"],
Cell[169441, 7956, 34, 1, 22, "Print"],
Cell[169478, 7959, 34, 1, 22, "Print"],
Cell[169515, 7962, 34, 1, 22, "Print"],
Cell[169552, 7965, 34, 1, 22, "Print"],
Cell[169589, 7968, 34, 1, 22, "Print"],
Cell[169626, 7971, 34, 1, 22, "Print"],
Cell[169663, 7974, 50, 1, 22, "Print"],
Cell[169716, 7977, 77, 1, 22, "Print"],
Cell[169796, 7980, 76, 1, 22, "Print"],
Cell[169875, 7983, 61, 1, 22, "Print"],
Cell[169939, 7986, 159, 3, 22, "Print"],
Cell[170101, 7991, 159, 3, 22, "Print"],
Cell[170263, 7996, 159, 3, 22, "Print"],
Cell[170425, 8001, 159, 3, 22, "Print"],
Cell[170587, 8006, 159, 3, 22, "Print"],
Cell[170749, 8011, 159, 3, 22, "Print"],
Cell[170911, 8016, 159, 3, 22, "Print"],
Cell[171073, 8021, 159, 3, 22, "Print"],
Cell[171235, 8026, 161, 3, 22, "Print"],
Cell[171399, 8031, 161, 3, 22, "Print"],
Cell[171563, 8036, 161, 3, 22, "Print"],
Cell[171727, 8041, 161, 3, 22, "Print"],
Cell[171891, 8046, 161, 3, 22, "Print"],
Cell[172055, 8051, 161, 3, 22, "Print"],
Cell[172219, 8056, 161, 3, 22, "Print"],
Cell[172383, 8061, 161, 3, 22, "Print"],
Cell[172547, 8066, 161, 3, 22, "Print"],
Cell[172711, 8071, 161, 3, 22, "Print"],
Cell[172875, 8076, 161, 3, 22, "Print"],
Cell[173039, 8081, 46, 1, 22, "Print"],
Cell[173088, 8084, 47, 1, 22, "Print"],
Cell[173138, 8087, 202, 4, 22, "Print"],
Cell[173343, 8093, 36, 1, 22, "Print"],
Cell[173382, 8096, 35, 1, 22, "Print"],
Cell[173420, 8099, 35, 1, 22, "Print"],
Cell[173458, 8102, 35, 1, 22, "Print"],
Cell[173496, 8105, 35, 1, 22, "Print"],
Cell[173534, 8108, 35, 1, 22, "Print"],
Cell[173572, 8111, 35, 1, 22, "Print"],
Cell[173610, 8114, 35, 1, 22, "Print"],
Cell[173648, 8117, 35, 1, 22, "Print"],
Cell[173686, 8120, 35, 1, 22, "Print"],
Cell[173724, 8123, 35, 1, 22, "Print"],
Cell[173762, 8126, 35, 1, 22, "Print"],
Cell[173800, 8129, 35, 1, 22, "Print"],
Cell[173838, 8132, 35, 1, 22, "Print"],
Cell[173876, 8135, 35, 1, 22, "Print"],
Cell[173914, 8138, 35, 1, 22, "Print"],
Cell[173952, 8141, 35, 1, 22, "Print"],
Cell[173990, 8144, 35, 1, 22, "Print"],
Cell[174028, 8147, 35, 1, 22, "Print"],
Cell[174066, 8150, 35, 1, 22, "Print"],
Cell[174104, 8153, 35, 1, 22, "Print"],
Cell[174142, 8156, 35, 1, 22, "Print"],
Cell[174180, 8159, 35, 1, 22, "Print"],
Cell[174218, 8162, 35, 1, 22, "Print"],
Cell[174256, 8165, 35, 1, 22, "Print"],
Cell[174294, 8168, 35, 1, 22, "Print"],
Cell[174332, 8171, 35, 1, 22, "Print"],
Cell[174370, 8174, 35, 1, 22, "Print"],
Cell[174408, 8177, 35, 1, 22, "Print"],
Cell[174446, 8180, 35, 1, 22, "Print"],
Cell[174484, 8183, 35, 1, 22, "Print"],
Cell[174522, 8186, 35, 1, 22, "Print"],
Cell[174560, 8189, 35, 1, 22, "Print"],
Cell[174598, 8192, 35, 1, 22, "Print"],
Cell[174636, 8195, 35, 1, 22, "Print"],
Cell[174674, 8198, 35, 1, 22, "Print"],
Cell[174712, 8201, 35, 1, 22, "Print"],
Cell[174750, 8204, 35, 1, 22, "Print"],
Cell[174788, 8207, 35, 1, 22, "Print"],
Cell[174826, 8210, 35, 1, 22, "Print"],
Cell[174864, 8213, 35, 1, 22, "Print"],
Cell[174902, 8216, 35, 1, 22, "Print"],
Cell[174940, 8219, 35, 1, 22, "Print"],
Cell[174978, 8222, 35, 1, 22, "Print"],
Cell[175016, 8225, 35, 1, 22, "Print"],
Cell[175054, 8228, 35, 1, 22, "Print"],
Cell[175092, 8231, 35, 1, 22, "Print"],
Cell[175130, 8234, 35, 1, 22, "Print"],
Cell[175168, 8237, 35, 1, 22, "Print"],
Cell[175206, 8240, 35, 1, 22, "Print"],
Cell[175244, 8243, 35, 1, 22, "Print"],
Cell[175282, 8246, 35, 1, 22, "Print"],
Cell[175320, 8249, 35, 1, 22, "Print"],
Cell[175358, 8252, 35, 1, 22, "Print"],
Cell[175396, 8255, 35, 1, 22, "Print"],
Cell[175434, 8258, 35, 1, 22, "Print"],
Cell[175472, 8261, 35, 1, 22, "Print"],
Cell[175510, 8264, 35, 1, 22, "Print"],
Cell[175548, 8267, 35, 1, 22, "Print"],
Cell[175586, 8270, 35, 1, 22, "Print"],
Cell[175624, 8273, 35, 1, 22, "Print"],
Cell[175662, 8276, 35, 1, 22, "Print"],
Cell[175700, 8279, 35, 1, 22, "Print"],
Cell[175738, 8282, 35, 1, 22, "Print"],
Cell[175776, 8285, 35, 1, 22, "Print"],
Cell[175814, 8288, 35, 1, 22, "Print"],
Cell[175852, 8291, 35, 1, 22, "Print"],
Cell[175890, 8294, 35, 1, 22, "Print"],
Cell[175928, 8297, 35, 1, 22, "Print"],
Cell[175966, 8300, 35, 1, 22, "Print"],
Cell[176004, 8303, 35, 1, 22, "Print"],
Cell[176042, 8306, 35, 1, 22, "Print"],
Cell[176080, 8309, 35, 1, 22, "Print"],
Cell[176118, 8312, 35, 1, 22, "Print"],
Cell[176156, 8315, 35, 1, 22, "Print"],
Cell[176194, 8318, 35, 1, 22, "Print"],
Cell[176232, 8321, 35, 1, 22, "Print"],
Cell[176270, 8324, 35, 1, 22, "Print"],
Cell[176308, 8327, 35, 1, 22, "Print"],
Cell[176346, 8330, 35, 1, 22, "Print"],
Cell[176384, 8333, 35, 1, 22, "Print"],
Cell[176422, 8336, 35, 1, 22, "Print"],
Cell[176460, 8339, 35, 1, 22, "Print"],
Cell[176498, 8342, 35, 1, 22, "Print"],
Cell[176536, 8345, 35, 1, 22, "Print"],
Cell[176574, 8348, 35, 1, 22, "Print"],
Cell[176612, 8351, 35, 1, 22, "Print"],
Cell[176650, 8354, 35, 1, 22, "Print"],
Cell[176688, 8357, 35, 1, 22, "Print"],
Cell[176726, 8360, 35, 1, 22, "Print"],
Cell[176764, 8363, 35, 1, 22, "Print"],
Cell[176802, 8366, 34, 1, 22, "Print"],
Cell[176839, 8369, 34, 1, 22, "Print"],
Cell[176876, 8372, 34, 1, 22, "Print"],
Cell[176913, 8375, 34, 1, 22, "Print"],
Cell[176950, 8378, 34, 1, 22, "Print"],
Cell[176987, 8381, 34, 1, 22, "Print"],
Cell[177024, 8384, 34, 1, 22, "Print"],
Cell[177061, 8387, 34, 1, 22, "Print"],
Cell[177098, 8390, 34, 1, 22, "Print"],
Cell[177135, 8393, 50, 1, 22, "Print"],
Cell[177188, 8396, 77, 1, 22, "Print"],
Cell[177268, 8399, 76, 1, 22, "Print"],
Cell[177347, 8402, 61, 1, 22, "Print"],
Cell[177411, 8405, 159, 3, 22, "Print"],
Cell[177573, 8410, 159, 3, 22, "Print"],
Cell[177735, 8415, 159, 3, 22, "Print"],
Cell[177897, 8420, 159, 3, 22, "Print"],
Cell[178059, 8425, 159, 3, 22, "Print"],
Cell[178221, 8430, 159, 3, 22, "Print"],
Cell[178383, 8435, 159, 3, 22, "Print"],
Cell[178545, 8440, 159, 3, 22, "Print"],
Cell[178707, 8445, 161, 3, 22, "Print"],
Cell[178871, 8450, 161, 3, 22, "Print"],
Cell[179035, 8455, 161, 3, 22, "Print"],
Cell[179199, 8460, 161, 3, 22, "Print"],
Cell[179363, 8465, 161, 3, 22, "Print"],
Cell[179527, 8470, 161, 3, 22, "Print"],
Cell[179691, 8475, 161, 3, 22, "Print"],
Cell[179855, 8480, 161, 3, 22, "Print"],
Cell[180019, 8485, 161, 3, 22, "Print"],
Cell[180183, 8490, 161, 3, 22, "Print"],
Cell[180347, 8495, 161, 3, 22, "Print"],
Cell[180511, 8500, 46, 1, 22, "Print"],
Cell[180560, 8503, 47, 1, 22, "Print"],
Cell[180610, 8506, 202, 4, 22, "Print"],
Cell[180815, 8512, 36, 1, 22, "Print"],
Cell[180854, 8515, 35, 1, 22, "Print"],
Cell[180892, 8518, 35, 1, 22, "Print"],
Cell[180930, 8521, 35, 1, 22, "Print"],
Cell[180968, 8524, 35, 1, 22, "Print"],
Cell[181006, 8527, 35, 1, 22, "Print"],
Cell[181044, 8530, 35, 1, 22, "Print"],
Cell[181082, 8533, 35, 1, 22, "Print"],
Cell[181120, 8536, 35, 1, 22, "Print"],
Cell[181158, 8539, 35, 1, 22, "Print"],
Cell[181196, 8542, 35, 1, 22, "Print"],
Cell[181234, 8545, 35, 1, 22, "Print"],
Cell[181272, 8548, 35, 1, 22, "Print"],
Cell[181310, 8551, 35, 1, 22, "Print"],
Cell[181348, 8554, 35, 1, 22, "Print"],
Cell[181386, 8557, 35, 1, 22, "Print"],
Cell[181424, 8560, 35, 1, 22, "Print"],
Cell[181462, 8563, 35, 1, 22, "Print"],
Cell[181500, 8566, 35, 1, 22, "Print"],
Cell[181538, 8569, 35, 1, 22, "Print"],
Cell[181576, 8572, 35, 1, 22, "Print"],
Cell[181614, 8575, 35, 1, 22, "Print"],
Cell[181652, 8578, 35, 1, 22, "Print"],
Cell[181690, 8581, 35, 1, 22, "Print"],
Cell[181728, 8584, 35, 1, 22, "Print"],
Cell[181766, 8587, 35, 1, 22, "Print"],
Cell[181804, 8590, 35, 1, 22, "Print"],
Cell[181842, 8593, 35, 1, 22, "Print"],
Cell[181880, 8596, 35, 1, 22, "Print"],
Cell[181918, 8599, 35, 1, 22, "Print"],
Cell[181956, 8602, 35, 1, 22, "Print"],
Cell[181994, 8605, 35, 1, 22, "Print"],
Cell[182032, 8608, 35, 1, 22, "Print"],
Cell[182070, 8611, 35, 1, 22, "Print"],
Cell[182108, 8614, 35, 1, 22, "Print"],
Cell[182146, 8617, 35, 1, 22, "Print"],
Cell[182184, 8620, 35, 1, 22, "Print"],
Cell[182222, 8623, 35, 1, 22, "Print"],
Cell[182260, 8626, 35, 1, 22, "Print"],
Cell[182298, 8629, 35, 1, 22, "Print"],
Cell[182336, 8632, 35, 1, 22, "Print"],
Cell[182374, 8635, 35, 1, 22, "Print"],
Cell[182412, 8638, 35, 1, 22, "Print"],
Cell[182450, 8641, 35, 1, 22, "Print"],
Cell[182488, 8644, 35, 1, 22, "Print"],
Cell[182526, 8647, 35, 1, 22, "Print"],
Cell[182564, 8650, 35, 1, 22, "Print"],
Cell[182602, 8653, 35, 1, 22, "Print"],
Cell[182640, 8656, 35, 1, 22, "Print"],
Cell[182678, 8659, 35, 1, 22, "Print"],
Cell[182716, 8662, 35, 1, 22, "Print"],
Cell[182754, 8665, 35, 1, 22, "Print"],
Cell[182792, 8668, 35, 1, 22, "Print"],
Cell[182830, 8671, 35, 1, 22, "Print"],
Cell[182868, 8674, 35, 1, 22, "Print"],
Cell[182906, 8677, 35, 1, 22, "Print"],
Cell[182944, 8680, 35, 1, 22, "Print"],
Cell[182982, 8683, 35, 1, 22, "Print"],
Cell[183020, 8686, 35, 1, 22, "Print"],
Cell[183058, 8689, 35, 1, 22, "Print"],
Cell[183096, 8692, 35, 1, 22, "Print"],
Cell[183134, 8695, 35, 1, 22, "Print"],
Cell[183172, 8698, 35, 1, 22, "Print"],
Cell[183210, 8701, 35, 1, 22, "Print"],
Cell[183248, 8704, 35, 1, 22, "Print"],
Cell[183286, 8707, 35, 1, 22, "Print"],
Cell[183324, 8710, 35, 1, 22, "Print"],
Cell[183362, 8713, 35, 1, 22, "Print"],
Cell[183400, 8716, 35, 1, 22, "Print"],
Cell[183438, 8719, 35, 1, 22, "Print"],
Cell[183476, 8722, 35, 1, 22, "Print"],
Cell[183514, 8725, 35, 1, 22, "Print"],
Cell[183552, 8728, 35, 1, 22, "Print"],
Cell[183590, 8731, 35, 1, 22, "Print"],
Cell[183628, 8734, 35, 1, 22, "Print"],
Cell[183666, 8737, 35, 1, 22, "Print"],
Cell[183704, 8740, 35, 1, 22, "Print"],
Cell[183742, 8743, 35, 1, 22, "Print"],
Cell[183780, 8746, 35, 1, 22, "Print"],
Cell[183818, 8749, 35, 1, 22, "Print"],
Cell[183856, 8752, 35, 1, 22, "Print"],
Cell[183894, 8755, 35, 1, 22, "Print"],
Cell[183932, 8758, 35, 1, 22, "Print"],
Cell[183970, 8761, 35, 1, 22, "Print"],
Cell[184008, 8764, 35, 1, 22, "Print"],
Cell[184046, 8767, 35, 1, 22, "Print"],
Cell[184084, 8770, 35, 1, 22, "Print"],
Cell[184122, 8773, 35, 1, 22, "Print"],
Cell[184160, 8776, 35, 1, 22, "Print"],
Cell[184198, 8779, 35, 1, 22, "Print"],
Cell[184236, 8782, 35, 1, 22, "Print"],
Cell[184274, 8785, 34, 1, 22, "Print"],
Cell[184311, 8788, 34, 1, 22, "Print"],
Cell[184348, 8791, 34, 1, 22, "Print"],
Cell[184385, 8794, 34, 1, 22, "Print"],
Cell[184422, 8797, 34, 1, 22, "Print"],
Cell[184459, 8800, 34, 1, 22, "Print"],
Cell[184496, 8803, 34, 1, 22, "Print"],
Cell[184533, 8806, 34, 1, 22, "Print"],
Cell[184570, 8809, 34, 1, 22, "Print"],
Cell[184607, 8812, 50, 1, 22, "Print"],
Cell[184660, 8815, 77, 1, 22, "Print"],
Cell[184740, 8818, 76, 1, 22, "Print"],
Cell[184819, 8821, 61, 1, 22, "Print"],
Cell[184883, 8824, 159, 3, 22, "Print"],
Cell[185045, 8829, 159, 3, 22, "Print"],
Cell[185207, 8834, 159, 3, 22, "Print"],
Cell[185369, 8839, 159, 3, 22, "Print"],
Cell[185531, 8844, 159, 3, 22, "Print"],
Cell[185693, 8849, 159, 3, 22, "Print"],
Cell[185855, 8854, 159, 3, 22, "Print"],
Cell[186017, 8859, 159, 3, 22, "Print"],
Cell[186179, 8864, 161, 3, 22, "Print"],
Cell[186343, 8869, 161, 3, 22, "Print"],
Cell[186507, 8874, 161, 3, 22, "Print"],
Cell[186671, 8879, 161, 3, 22, "Print"],
Cell[186835, 8884, 161, 3, 22, "Print"],
Cell[186999, 8889, 161, 3, 22, "Print"],
Cell[187163, 8894, 161, 3, 22, "Print"],
Cell[187327, 8899, 161, 3, 22, "Print"],
Cell[187491, 8904, 161, 3, 22, "Print"],
Cell[187655, 8909, 161, 3, 22, "Print"],
Cell[187819, 8914, 161, 3, 22, "Print"],
Cell[187983, 8919, 46, 1, 22, "Print"],
Cell[188032, 8922, 47, 1, 22, "Print"],
Cell[188082, 8925, 202, 4, 22, "Print"],
Cell[188287, 8931, 36, 1, 22, "Print"],
Cell[188326, 8934, 35, 1, 22, "Print"],
Cell[188364, 8937, 35, 1, 22, "Print"],
Cell[188402, 8940, 35, 1, 22, "Print"],
Cell[188440, 8943, 35, 1, 22, "Print"],
Cell[188478, 8946, 35, 1, 22, "Print"],
Cell[188516, 8949, 35, 1, 22, "Print"],
Cell[188554, 8952, 35, 1, 22, "Print"],
Cell[188592, 8955, 35, 1, 22, "Print"],
Cell[188630, 8958, 35, 1, 22, "Print"],
Cell[188668, 8961, 35, 1, 22, "Print"],
Cell[188706, 8964, 35, 1, 22, "Print"],
Cell[188744, 8967, 35, 1, 22, "Print"],
Cell[188782, 8970, 35, 1, 22, "Print"],
Cell[188820, 8973, 35, 1, 22, "Print"],
Cell[188858, 8976, 35, 1, 22, "Print"],
Cell[188896, 8979, 35, 1, 22, "Print"],
Cell[188934, 8982, 35, 1, 22, "Print"],
Cell[188972, 8985, 35, 1, 22, "Print"],
Cell[189010, 8988, 35, 1, 22, "Print"],
Cell[189048, 8991, 35, 1, 22, "Print"],
Cell[189086, 8994, 35, 1, 22, "Print"],
Cell[189124, 8997, 35, 1, 22, "Print"],
Cell[189162, 9000, 35, 1, 22, "Print"],
Cell[189200, 9003, 35, 1, 22, "Print"],
Cell[189238, 9006, 35, 1, 22, "Print"],
Cell[189276, 9009, 35, 1, 22, "Print"],
Cell[189314, 9012, 35, 1, 22, "Print"],
Cell[189352, 9015, 35, 1, 22, "Print"],
Cell[189390, 9018, 35, 1, 22, "Print"],
Cell[189428, 9021, 35, 1, 22, "Print"],
Cell[189466, 9024, 35, 1, 22, "Print"],
Cell[189504, 9027, 35, 1, 22, "Print"],
Cell[189542, 9030, 35, 1, 22, "Print"],
Cell[189580, 9033, 35, 1, 22, "Print"],
Cell[189618, 9036, 35, 1, 22, "Print"],
Cell[189656, 9039, 35, 1, 22, "Print"],
Cell[189694, 9042, 35, 1, 22, "Print"],
Cell[189732, 9045, 35, 1, 22, "Print"],
Cell[189770, 9048, 35, 1, 22, "Print"],
Cell[189808, 9051, 35, 1, 22, "Print"],
Cell[189846, 9054, 35, 1, 22, "Print"],
Cell[189884, 9057, 35, 1, 22, "Print"],
Cell[189922, 9060, 35, 1, 22, "Print"],
Cell[189960, 9063, 35, 1, 22, "Print"],
Cell[189998, 9066, 35, 1, 22, "Print"],
Cell[190036, 9069, 35, 1, 22, "Print"],
Cell[190074, 9072, 35, 1, 22, "Print"],
Cell[190112, 9075, 35, 1, 22, "Print"],
Cell[190150, 9078, 35, 1, 22, "Print"],
Cell[190188, 9081, 35, 1, 22, "Print"],
Cell[190226, 9084, 35, 1, 22, "Print"],
Cell[190264, 9087, 35, 1, 22, "Print"],
Cell[190302, 9090, 35, 1, 22, "Print"],
Cell[190340, 9093, 35, 1, 22, "Print"],
Cell[190378, 9096, 35, 1, 22, "Print"],
Cell[190416, 9099, 35, 1, 22, "Print"],
Cell[190454, 9102, 35, 1, 22, "Print"],
Cell[190492, 9105, 35, 1, 22, "Print"],
Cell[190530, 9108, 35, 1, 22, "Print"],
Cell[190568, 9111, 35, 1, 22, "Print"],
Cell[190606, 9114, 35, 1, 22, "Print"],
Cell[190644, 9117, 35, 1, 22, "Print"],
Cell[190682, 9120, 35, 1, 22, "Print"],
Cell[190720, 9123, 35, 1, 22, "Print"],
Cell[190758, 9126, 35, 1, 22, "Print"],
Cell[190796, 9129, 35, 1, 22, "Print"],
Cell[190834, 9132, 35, 1, 22, "Print"],
Cell[190872, 9135, 35, 1, 22, "Print"],
Cell[190910, 9138, 35, 1, 22, "Print"],
Cell[190948, 9141, 35, 1, 22, "Print"],
Cell[190986, 9144, 35, 1, 22, "Print"],
Cell[191024, 9147, 35, 1, 22, "Print"],
Cell[191062, 9150, 35, 1, 22, "Print"],
Cell[191100, 9153, 35, 1, 22, "Print"],
Cell[191138, 9156, 35, 1, 22, "Print"],
Cell[191176, 9159, 35, 1, 22, "Print"],
Cell[191214, 9162, 35, 1, 22, "Print"],
Cell[191252, 9165, 35, 1, 22, "Print"],
Cell[191290, 9168, 35, 1, 22, "Print"],
Cell[191328, 9171, 35, 1, 22, "Print"],
Cell[191366, 9174, 35, 1, 22, "Print"],
Cell[191404, 9177, 35, 1, 22, "Print"],
Cell[191442, 9180, 35, 1, 22, "Print"],
Cell[191480, 9183, 35, 1, 22, "Print"],
Cell[191518, 9186, 35, 1, 22, "Print"],
Cell[191556, 9189, 35, 1, 22, "Print"],
Cell[191594, 9192, 35, 1, 22, "Print"],
Cell[191632, 9195, 35, 1, 22, "Print"],
Cell[191670, 9198, 35, 1, 22, "Print"],
Cell[191708, 9201, 35, 1, 22, "Print"],
Cell[191746, 9204, 34, 1, 22, "Print"],
Cell[191783, 9207, 34, 1, 22, "Print"],
Cell[191820, 9210, 34, 1, 22, "Print"],
Cell[191857, 9213, 34, 1, 22, "Print"],
Cell[191894, 9216, 34, 1, 22, "Print"],
Cell[191931, 9219, 34, 1, 22, "Print"],
Cell[191968, 9222, 34, 1, 22, "Print"],
Cell[192005, 9225, 34, 1, 22, "Print"],
Cell[192042, 9228, 34, 1, 22, "Print"],
Cell[192079, 9231, 50, 1, 22, "Print"],
Cell[192132, 9234, 77, 1, 22, "Print"],
Cell[192212, 9237, 76, 1, 22, "Print"],
Cell[192291, 9240, 61, 1, 22, "Print"],
Cell[192355, 9243, 159, 3, 22, "Print"],
Cell[192517, 9248, 159, 3, 22, "Print"],
Cell[192679, 9253, 159, 3, 22, "Print"],
Cell[192841, 9258, 159, 3, 22, "Print"],
Cell[193003, 9263, 159, 3, 22, "Print"],
Cell[193165, 9268, 159, 3, 22, "Print"],
Cell[193327, 9273, 159, 3, 22, "Print"],
Cell[193489, 9278, 159, 3, 22, "Print"],
Cell[193651, 9283, 161, 3, 22, "Print"],
Cell[193815, 9288, 161, 3, 22, "Print"],
Cell[193979, 9293, 161, 3, 22, "Print"],
Cell[194143, 9298, 161, 3, 22, "Print"],
Cell[194307, 9303, 161, 3, 22, "Print"],
Cell[194471, 9308, 161, 3, 22, "Print"],
Cell[194635, 9313, 161, 3, 22, "Print"],
Cell[194799, 9318, 161, 3, 22, "Print"],
Cell[194963, 9323, 161, 3, 22, "Print"],
Cell[195127, 9328, 161, 3, 22, "Print"],
Cell[195291, 9333, 161, 3, 22, "Print"],
Cell[195455, 9338, 46, 1, 22, "Print"],
Cell[195504, 9341, 159, 3, 22, "Print"],
Cell[195666, 9346, 159, 3, 22, "Print"],
Cell[195828, 9351, 159, 3, 22, "Print"],
Cell[195990, 9356, 159, 3, 22, "Print"],
Cell[196152, 9361, 159, 3, 22, "Print"],
Cell[196314, 9366, 159, 3, 22, "Print"],
Cell[196476, 9371, 159, 3, 22, "Print"],
Cell[196638, 9376, 159, 3, 22, "Print"],
Cell[196800, 9381, 159, 3, 22, "Print"],
Cell[196962, 9386, 161, 3, 22, "Print"],
Cell[197126, 9391, 161, 3, 22, "Print"],
Cell[197290, 9396, 161, 3, 22, "Print"],
Cell[197454, 9401, 161, 3, 22, "Print"],
Cell[197618, 9406, 161, 3, 22, "Print"],
Cell[197782, 9411, 161, 3, 22, "Print"],
Cell[197946, 9416, 161, 3, 22, "Print"],
Cell[198110, 9421, 161, 3, 22, "Print"],
Cell[198274, 9426, 161, 3, 22, "Print"],
Cell[198438, 9431, 161, 3, 22, "Print"],
Cell[198602, 9436, 161, 3, 22, "Print"],
Cell[198766, 9441, 161, 3, 22, "Print"],
Cell[198930, 9446, 161, 3, 22, "Print"],
Cell[199094, 9451, 161, 3, 22, "Print"],
Cell[199258, 9456, 161, 3, 22, "Print"],
Cell[199422, 9461, 161, 3, 22, "Print"],
Cell[199586, 9466, 161, 3, 22, "Print"],
Cell[199750, 9471, 161, 3, 22, "Print"],
Cell[199914, 9476, 161, 3, 22, "Print"],
Cell[200078, 9481, 161, 3, 22, "Print"],
Cell[200242, 9486, 161, 3, 22, "Print"],
Cell[200406, 9491, 161, 3, 22, "Print"],
Cell[200570, 9496, 161, 3, 22, "Print"],
Cell[200734, 9501, 161, 3, 22, "Print"],
Cell[200898, 9506, 161, 3, 22, "Print"],
Cell[201062, 9511, 161, 3, 22, "Print"],
Cell[201226, 9516, 161, 3, 22, "Print"],
Cell[201390, 9521, 161, 3, 22, "Print"],
Cell[201554, 9526, 161, 3, 22, "Print"],
Cell[201718, 9531, 161, 3, 22, "Print"],
Cell[201882, 9536, 161, 3, 22, "Print"],
Cell[202046, 9541, 161, 3, 22, "Print"],
Cell[202210, 9546, 161, 3, 22, "Print"],
Cell[202374, 9551, 161, 3, 22, "Print"],
Cell[202538, 9556, 161, 3, 22, "Print"],
Cell[202702, 9561, 161, 3, 22, "Print"],
Cell[202866, 9566, 161, 3, 22, "Print"],
Cell[203030, 9571, 161, 3, 22, "Print"],
Cell[203194, 9576, 161, 3, 22, "Print"],
Cell[203358, 9581, 161, 3, 22, "Print"],
Cell[203522, 9586, 161, 3, 22, "Print"],
Cell[203686, 9591, 161, 3, 22, "Print"],
Cell[203850, 9596, 161, 3, 22, "Print"],
Cell[204014, 9601, 161, 3, 22, "Print"],
Cell[204178, 9606, 161, 3, 22, "Print"],
Cell[204342, 9611, 161, 3, 22, "Print"],
Cell[204506, 9616, 161, 3, 22, "Print"],
Cell[204670, 9621, 161, 3, 22, "Print"],
Cell[204834, 9626, 161, 3, 22, "Print"],
Cell[204998, 9631, 161, 3, 22, "Print"],
Cell[205162, 9636, 161, 3, 22, "Print"],
Cell[205326, 9641, 161, 3, 22, "Print"],
Cell[205490, 9646, 161, 3, 22, "Print"],
Cell[205654, 9651, 161, 3, 22, "Print"],
Cell[205818, 9656, 161, 3, 22, "Print"],
Cell[205982, 9661, 161, 3, 22, "Print"],
Cell[206146, 9666, 161, 3, 22, "Print"],
Cell[206310, 9671, 161, 3, 22, "Print"],
Cell[206474, 9676, 161, 3, 22, "Print"],
Cell[206638, 9681, 161, 3, 22, "Print"],
Cell[206802, 9686, 161, 3, 22, "Print"],
Cell[206966, 9691, 161, 3, 22, "Print"],
Cell[207130, 9696, 161, 3, 22, "Print"],
Cell[207294, 9701, 161, 3, 22, "Print"],
Cell[207458, 9706, 161, 3, 22, "Print"],
Cell[207622, 9711, 161, 3, 22, "Print"],
Cell[207786, 9716, 161, 3, 22, "Print"],
Cell[207950, 9721, 161, 3, 22, "Print"],
Cell[208114, 9726, 161, 3, 22, "Print"],
Cell[208278, 9731, 161, 3, 22, "Print"],
Cell[208442, 9736, 161, 3, 22, "Print"],
Cell[208606, 9741, 161, 3, 22, "Print"],
Cell[208770, 9746, 161, 3, 22, "Print"],
Cell[208934, 9751, 161, 3, 22, "Print"],
Cell[209098, 9756, 161, 3, 22, "Print"],
Cell[209262, 9761, 161, 3, 22, "Print"],
Cell[209426, 9766, 161, 3, 22, "Print"],
Cell[209590, 9771, 161, 3, 22, "Print"],
Cell[209754, 9776, 161, 3, 22, "Print"],
Cell[209918, 9781, 161, 3, 22, "Print"],
Cell[210082, 9786, 161, 3, 22, "Print"],
Cell[210246, 9791, 161, 3, 22, "Print"],
Cell[210410, 9796, 161, 3, 22, "Print"],
Cell[210574, 9801, 161, 3, 22, "Print"],
Cell[210738, 9806, 161, 3, 22, "Print"],
Cell[210902, 9811, 161, 3, 22, "Print"],
Cell[211066, 9816, 161, 3, 22, "Print"],
Cell[211230, 9821, 161, 3, 22, "Print"],
Cell[211394, 9826, 161, 3, 22, "Print"],
Cell[211558, 9831, 161, 3, 22, "Print"],
Cell[211722, 9836, 163, 3, 22, "Print"],
Cell[211888, 9841, 163, 3, 22, "Print"],
Cell[212054, 9846, 163, 3, 22, "Print"],
Cell[212220, 9851, 163, 3, 22, "Print"],
Cell[212386, 9856, 163, 3, 22, "Print"],
Cell[212552, 9861, 163, 3, 22, "Print"],
Cell[212718, 9866, 163, 3, 22, "Print"],
Cell[212884, 9871, 163, 3, 22, "Print"],
Cell[213050, 9876, 163, 3, 22, "Print"],
Cell[213216, 9881, 163, 3, 22, "Print"],
Cell[213382, 9886, 163, 3, 22, "Print"],
Cell[213548, 9891, 163, 3, 22, "Print"],
Cell[213714, 9896, 163, 3, 22, "Print"],
Cell[213880, 9901, 163, 3, 22, "Print"],
Cell[214046, 9906, 163, 3, 22, "Print"],
Cell[214212, 9911, 163, 3, 22, "Print"],
Cell[214378, 9916, 163, 3, 22, "Print"],
Cell[214544, 9921, 163, 3, 22, "Print"],
Cell[214710, 9926, 163, 3, 22, "Print"],
Cell[214876, 9931, 163, 3, 22, "Print"],
Cell[215042, 9936, 163, 3, 22, "Print"],
Cell[215208, 9941, 163, 3, 22, "Print"],
Cell[215374, 9946, 163, 3, 22, "Print"],
Cell[215540, 9951, 163, 3, 22, "Print"],
Cell[215706, 9956, 163, 3, 22, "Print"],
Cell[215872, 9961, 163, 3, 22, "Print"],
Cell[216038, 9966, 163, 3, 22, "Print"],
Cell[216204, 9971, 163, 3, 22, "Print"],
Cell[216370, 9976, 163, 3, 22, "Print"],
Cell[216536, 9981, 163, 3, 22, "Print"],
Cell[216702, 9986, 163, 3, 22, "Print"],
Cell[216868, 9991, 163, 3, 22, "Print"],
Cell[217034, 9996, 163, 3, 22, "Print"],
Cell[217200, 10001, 163, 3, 22, "Print"],
Cell[217366, 10006, 163, 3, 22, "Print"],
Cell[217532, 10011, 163, 3, 22, "Print"],
Cell[217698, 10016, 163, 3, 22, "Print"],
Cell[217864, 10021, 163, 3, 22, "Print"],
Cell[218030, 10026, 163, 3, 22, "Print"],
Cell[218196, 10031, 163, 3, 22, "Print"],
Cell[218362, 10036, 163, 3, 22, "Print"],
Cell[218528, 10041, 163, 3, 22, "Print"],
Cell[218694, 10046, 163, 3, 22, "Print"],
Cell[218860, 10051, 163, 3, 22, "Print"],
Cell[219026, 10056, 163, 3, 22, "Print"],
Cell[219192, 10061, 163, 3, 22, "Print"],
Cell[219358, 10066, 163, 3, 22, "Print"],
Cell[219524, 10071, 163, 3, 22, "Print"],
Cell[219690, 10076, 163, 3, 22, "Print"],
Cell[219856, 10081, 163, 3, 22, "Print"],
Cell[220022, 10086, 163, 3, 22, "Print"],
Cell[220188, 10091, 163, 3, 22, "Print"],
Cell[220354, 10096, 163, 3, 22, "Print"],
Cell[220520, 10101, 163, 3, 22, "Print"],
Cell[220686, 10106, 163, 3, 22, "Print"],
Cell[220852, 10111, 163, 3, 22, "Print"],
Cell[221018, 10116, 163, 3, 22, "Print"],
Cell[221184, 10121, 163, 3, 22, "Print"],
Cell[221350, 10126, 163, 3, 22, "Print"],
Cell[221516, 10131, 163, 3, 22, "Print"],
Cell[221682, 10136, 163, 3, 22, "Print"],
Cell[221848, 10141, 163, 3, 22, "Print"],
Cell[222014, 10146, 163, 3, 22, "Print"],
Cell[222180, 10151, 163, 3, 22, "Print"],
Cell[222346, 10156, 163, 3, 22, "Print"],
Cell[222512, 10161, 163, 3, 22, "Print"],
Cell[222678, 10166, 163, 3, 22, "Print"],
Cell[222844, 10171, 163, 3, 22, "Print"],
Cell[223010, 10176, 163, 3, 22, "Print"],
Cell[223176, 10181, 163, 3, 22, "Print"],
Cell[223342, 10186, 163, 3, 22, "Print"],
Cell[223508, 10191, 163, 3, 22, "Print"],
Cell[223674, 10196, 163, 3, 22, "Print"],
Cell[223840, 10201, 163, 3, 22, "Print"],
Cell[224006, 10206, 163, 3, 22, "Print"],
Cell[224172, 10211, 163, 3, 22, "Print"],
Cell[224338, 10216, 163, 3, 22, "Print"],
Cell[224504, 10221, 163, 3, 22, "Print"],
Cell[224670, 10226, 163, 3, 22, "Print"],
Cell[224836, 10231, 163, 3, 22, "Print"],
Cell[225002, 10236, 163, 3, 22, "Print"],
Cell[225168, 10241, 163, 3, 22, "Print"],
Cell[225334, 10246, 163, 3, 22, "Print"],
Cell[225500, 10251, 163, 3, 22, "Print"],
Cell[225666, 10256, 163, 3, 22, "Print"],
Cell[225832, 10261, 163, 3, 22, "Print"],
Cell[225998, 10266, 163, 3, 22, "Print"],
Cell[226164, 10271, 163, 3, 22, "Print"],
Cell[226330, 10276, 163, 3, 22, "Print"],
Cell[226496, 10281, 163, 3, 22, "Print"],
Cell[226662, 10286, 163, 3, 22, "Print"],
Cell[226828, 10291, 163, 3, 22, "Print"],
Cell[226994, 10296, 163, 3, 22, "Print"],
Cell[227160, 10301, 163, 3, 22, "Print"],
Cell[227326, 10306, 163, 3, 22, "Print"],
Cell[227492, 10311, 163, 3, 22, "Print"],
Cell[227658, 10316, 163, 3, 22, "Print"],
Cell[227824, 10321, 163, 3, 22, "Print"],
Cell[227990, 10326, 163, 3, 22, "Print"],
Cell[228156, 10331, 163, 3, 22, "Print"],
Cell[228322, 10336, 163, 3, 22, "Print"],
Cell[228488, 10341, 163, 3, 22, "Print"],
Cell[228654, 10346, 163, 3, 22, "Print"],
Cell[228820, 10351, 163, 3, 22, "Print"],
Cell[228986, 10356, 163, 3, 22, "Print"],
Cell[229152, 10361, 163, 3, 22, "Print"],
Cell[229318, 10366, 163, 3, 22, "Print"],
Cell[229484, 10371, 163, 3, 22, "Print"],
Cell[229650, 10376, 163, 3, 22, "Print"],
Cell[229816, 10381, 163, 3, 22, "Print"],
Cell[229982, 10386, 163, 3, 22, "Print"],
Cell[230148, 10391, 163, 3, 22, "Print"],
Cell[230314, 10396, 163, 3, 22, "Print"],
Cell[230480, 10401, 163, 3, 22, "Print"],
Cell[230646, 10406, 163, 3, 22, "Print"],
Cell[230812, 10411, 163, 3, 22, "Print"],
Cell[230978, 10416, 163, 3, 22, "Print"],
Cell[231144, 10421, 163, 3, 22, "Print"],
Cell[231310, 10426, 163, 3, 22, "Print"],
Cell[231476, 10431, 163, 3, 22, "Print"],
Cell[231642, 10436, 163, 3, 22, "Print"],
Cell[231808, 10441, 163, 3, 22, "Print"],
Cell[231974, 10446, 163, 3, 22, "Print"],
Cell[232140, 10451, 163, 3, 22, "Print"],
Cell[232306, 10456, 163, 3, 22, "Print"],
Cell[232472, 10461, 163, 3, 22, "Print"],
Cell[232638, 10466, 163, 3, 22, "Print"],
Cell[232804, 10471, 163, 3, 22, "Print"],
Cell[232970, 10476, 163, 3, 22, "Print"],
Cell[233136, 10481, 163, 3, 22, "Print"],
Cell[233302, 10486, 163, 3, 22, "Print"],
Cell[233468, 10491, 163, 3, 22, "Print"],
Cell[233634, 10496, 163, 3, 22, "Print"],
Cell[233800, 10501, 163, 3, 22, "Print"],
Cell[233966, 10506, 163, 3, 22, "Print"],
Cell[234132, 10511, 163, 3, 22, "Print"],
Cell[234298, 10516, 163, 3, 22, "Print"],
Cell[234464, 10521, 163, 3, 22, "Print"],
Cell[234630, 10526, 163, 3, 22, "Print"],
Cell[234796, 10531, 163, 3, 22, "Print"],
Cell[234962, 10536, 163, 3, 22, "Print"],
Cell[235128, 10541, 163, 3, 22, "Print"],
Cell[235294, 10546, 163, 3, 22, "Print"],
Cell[235460, 10551, 163, 3, 22, "Print"],
Cell[235626, 10556, 163, 3, 22, "Print"],
Cell[235792, 10561, 163, 3, 22, "Print"],
Cell[235958, 10566, 163, 3, 22, "Print"],
Cell[236124, 10571, 163, 3, 22, "Print"],
Cell[236290, 10576, 163, 3, 22, "Print"],
Cell[236456, 10581, 163, 3, 22, "Print"],
Cell[236622, 10586, 163, 3, 22, "Print"],
Cell[236788, 10591, 163, 3, 22, "Print"],
Cell[236954, 10596, 163, 3, 22, "Print"],
Cell[237120, 10601, 163, 3, 22, "Print"],
Cell[237286, 10606, 163, 3, 22, "Print"],
Cell[237452, 10611, 163, 3, 22, "Print"],
Cell[237618, 10616, 163, 3, 22, "Print"],
Cell[237784, 10621, 163, 3, 22, "Print"],
Cell[237950, 10626, 163, 3, 22, "Print"],
Cell[238116, 10631, 163, 3, 22, "Print"],
Cell[238282, 10636, 163, 3, 22, "Print"],
Cell[238448, 10641, 163, 3, 22, "Print"],
Cell[238614, 10646, 163, 3, 22, "Print"],
Cell[238780, 10651, 163, 3, 22, "Print"],
Cell[238946, 10656, 163, 3, 22, "Print"],
Cell[239112, 10661, 163, 3, 22, "Print"],
Cell[239278, 10666, 163, 3, 22, "Print"],
Cell[239444, 10671, 163, 3, 22, "Print"],
Cell[239610, 10676, 163, 3, 22, "Print"],
Cell[239776, 10681, 163, 3, 22, "Print"],
Cell[239942, 10686, 163, 3, 22, "Print"],
Cell[240108, 10691, 163, 3, 22, "Print"],
Cell[240274, 10696, 163, 3, 22, "Print"],
Cell[240440, 10701, 163, 3, 22, "Print"],
Cell[240606, 10706, 163, 3, 22, "Print"],
Cell[240772, 10711, 163, 3, 22, "Print"],
Cell[240938, 10716, 163, 3, 22, "Print"],
Cell[241104, 10721, 163, 3, 22, "Print"],
Cell[241270, 10726, 163, 3, 22, "Print"],
Cell[241436, 10731, 163, 3, 22, "Print"],
Cell[241602, 10736, 163, 3, 22, "Print"],
Cell[241768, 10741, 163, 3, 22, "Print"],
Cell[241934, 10746, 163, 3, 22, "Print"],
Cell[242100, 10751, 163, 3, 22, "Print"],
Cell[242266, 10756, 163, 3, 22, "Print"],
Cell[242432, 10761, 163, 3, 22, "Print"],
Cell[242598, 10766, 163, 3, 22, "Print"],
Cell[242764, 10771, 163, 3, 22, "Print"],
Cell[242930, 10776, 163, 3, 22, "Print"],
Cell[243096, 10781, 163, 3, 22, "Print"],
Cell[243262, 10786, 163, 3, 22, "Print"],
Cell[243428, 10791, 163, 3, 22, "Print"],
Cell[243594, 10796, 163, 3, 22, "Print"],
Cell[243760, 10801, 163, 3, 22, "Print"],
Cell[243926, 10806, 163, 3, 22, "Print"],
Cell[244092, 10811, 163, 3, 22, "Print"],
Cell[244258, 10816, 163, 3, 22, "Print"],
Cell[244424, 10821, 163, 3, 22, "Print"],
Cell[244590, 10826, 163, 3, 22, "Print"],
Cell[244756, 10831, 163, 3, 22, "Print"],
Cell[244922, 10836, 163, 3, 22, "Print"],
Cell[245088, 10841, 163, 3, 22, "Print"],
Cell[245254, 10846, 163, 3, 22, "Print"],
Cell[245420, 10851, 163, 3, 22, "Print"],
Cell[245586, 10856, 163, 3, 22, "Print"],
Cell[245752, 10861, 163, 3, 22, "Print"],
Cell[245918, 10866, 163, 3, 22, "Print"],
Cell[246084, 10871, 163, 3, 22, "Print"],
Cell[246250, 10876, 163, 3, 22, "Print"],
Cell[246416, 10881, 163, 3, 22, "Print"],
Cell[246582, 10886, 163, 3, 22, "Print"],
Cell[246748, 10891, 163, 3, 22, "Print"],
Cell[246914, 10896, 163, 3, 22, "Print"],
Cell[247080, 10901, 163, 3, 22, "Print"],
Cell[247246, 10906, 163, 3, 22, "Print"],
Cell[247412, 10911, 163, 3, 22, "Print"],
Cell[247578, 10916, 163, 3, 22, "Print"],
Cell[247744, 10921, 163, 3, 22, "Print"],
Cell[247910, 10926, 163, 3, 22, "Print"],
Cell[248076, 10931, 163, 3, 22, "Print"],
Cell[248242, 10936, 163, 3, 22, "Print"],
Cell[248408, 10941, 163, 3, 22, "Print"],
Cell[248574, 10946, 163, 3, 22, "Print"],
Cell[248740, 10951, 163, 3, 22, "Print"],
Cell[248906, 10956, 163, 3, 22, "Print"],
Cell[249072, 10961, 163, 3, 22, "Print"],
Cell[249238, 10966, 163, 3, 22, "Print"],
Cell[249404, 10971, 163, 3, 22, "Print"],
Cell[249570, 10976, 163, 3, 22, "Print"],
Cell[249736, 10981, 163, 3, 22, "Print"],
Cell[249902, 10986, 163, 3, 22, "Print"],
Cell[250068, 10991, 163, 3, 22, "Print"],
Cell[250234, 10996, 163, 3, 22, "Print"],
Cell[250400, 11001, 163, 3, 22, "Print"],
Cell[250566, 11006, 163, 3, 22, "Print"],
Cell[250732, 11011, 163, 3, 22, "Print"],
Cell[250898, 11016, 163, 3, 22, "Print"],
Cell[251064, 11021, 163, 3, 22, "Print"],
Cell[251230, 11026, 163, 3, 22, "Print"],
Cell[251396, 11031, 163, 3, 22, "Print"],
Cell[251562, 11036, 163, 3, 22, "Print"],
Cell[251728, 11041, 163, 3, 22, "Print"],
Cell[251894, 11046, 163, 3, 22, "Print"],
Cell[252060, 11051, 163, 3, 22, "Print"],
Cell[252226, 11056, 163, 3, 22, "Print"],
Cell[252392, 11061, 163, 3, 22, "Print"],
Cell[252558, 11066, 163, 3, 22, "Print"],
Cell[252724, 11071, 163, 3, 22, "Print"],
Cell[252890, 11076, 163, 3, 22, "Print"],
Cell[253056, 11081, 163, 3, 22, "Print"],
Cell[253222, 11086, 163, 3, 22, "Print"],
Cell[253388, 11091, 163, 3, 22, "Print"],
Cell[253554, 11096, 163, 3, 22, "Print"],
Cell[253720, 11101, 163, 3, 22, "Print"],
Cell[253886, 11106, 163, 3, 22, "Print"],
Cell[254052, 11111, 163, 3, 22, "Print"],
Cell[254218, 11116, 163, 3, 22, "Print"],
Cell[254384, 11121, 163, 3, 22, "Print"],
Cell[254550, 11126, 163, 3, 22, "Print"],
Cell[254716, 11131, 163, 3, 22, "Print"],
Cell[254882, 11136, 163, 3, 22, "Print"],
Cell[255048, 11141, 163, 3, 22, "Print"],
Cell[255214, 11146, 163, 3, 22, "Print"],
Cell[255380, 11151, 163, 3, 22, "Print"],
Cell[255546, 11156, 163, 3, 22, "Print"],
Cell[255712, 11161, 163, 3, 22, "Print"],
Cell[255878, 11166, 163, 3, 22, "Print"],
Cell[256044, 11171, 163, 3, 22, "Print"],
Cell[256210, 11176, 163, 3, 22, "Print"],
Cell[256376, 11181, 163, 3, 22, "Print"],
Cell[256542, 11186, 163, 3, 22, "Print"],
Cell[256708, 11191, 163, 3, 22, "Print"],
Cell[256874, 11196, 163, 3, 22, "Print"],
Cell[257040, 11201, 163, 3, 22, "Print"],
Cell[257206, 11206, 163, 3, 22, "Print"],
Cell[257372, 11211, 163, 3, 22, "Print"],
Cell[257538, 11216, 163, 3, 22, "Print"],
Cell[257704, 11221, 163, 3, 22, "Print"],
Cell[257870, 11226, 163, 3, 22, "Print"],
Cell[258036, 11231, 163, 3, 22, "Print"],
Cell[258202, 11236, 163, 3, 22, "Print"],
Cell[258368, 11241, 163, 3, 22, "Print"],
Cell[258534, 11246, 163, 3, 22, "Print"],
Cell[258700, 11251, 163, 3, 22, "Print"],
Cell[258866, 11256, 163, 3, 22, "Print"],
Cell[259032, 11261, 163, 3, 22, "Print"],
Cell[259198, 11266, 163, 3, 22, "Print"],
Cell[259364, 11271, 163, 3, 22, "Print"],
Cell[259530, 11276, 163, 3, 22, "Print"],
Cell[259696, 11281, 163, 3, 22, "Print"],
Cell[259862, 11286, 163, 3, 22, "Print"],
Cell[260028, 11291, 163, 3, 22, "Print"],
Cell[260194, 11296, 163, 3, 22, "Print"],
Cell[260360, 11301, 163, 3, 22, "Print"],
Cell[260526, 11306, 163, 3, 22, "Print"],
Cell[260692, 11311, 163, 3, 22, "Print"],
Cell[260858, 11316, 163, 3, 22, "Print"],
Cell[261024, 11321, 163, 3, 22, "Print"],
Cell[261190, 11326, 163, 3, 22, "Print"],
Cell[261356, 11331, 163, 3, 22, "Print"],
Cell[261522, 11336, 163, 3, 22, "Print"],
Cell[261688, 11341, 163, 3, 22, "Print"],
Cell[261854, 11346, 163, 3, 22, "Print"],
Cell[262020, 11351, 163, 3, 22, "Print"],
Cell[262186, 11356, 163, 3, 22, "Print"],
Cell[262352, 11361, 163, 3, 22, "Print"],
Cell[262518, 11366, 163, 3, 22, "Print"],
Cell[262684, 11371, 163, 3, 22, "Print"],
Cell[262850, 11376, 163, 3, 22, "Print"],
Cell[263016, 11381, 163, 3, 22, "Print"],
Cell[263182, 11386, 163, 3, 22, "Print"],
Cell[263348, 11391, 163, 3, 22, "Print"],
Cell[263514, 11396, 163, 3, 22, "Print"],
Cell[263680, 11401, 163, 3, 22, "Print"],
Cell[263846, 11406, 163, 3, 22, "Print"],
Cell[264012, 11411, 163, 3, 22, "Print"],
Cell[264178, 11416, 163, 3, 22, "Print"],
Cell[264344, 11421, 163, 3, 22, "Print"],
Cell[264510, 11426, 163, 3, 22, "Print"],
Cell[264676, 11431, 163, 3, 22, "Print"],
Cell[264842, 11436, 163, 3, 22, "Print"],
Cell[265008, 11441, 163, 3, 22, "Print"],
Cell[265174, 11446, 163, 3, 22, "Print"],
Cell[265340, 11451, 163, 3, 22, "Print"],
Cell[265506, 11456, 163, 3, 22, "Print"],
Cell[265672, 11461, 163, 3, 22, "Print"],
Cell[265838, 11466, 163, 3, 22, "Print"],
Cell[266004, 11471, 163, 3, 22, "Print"],
Cell[266170, 11476, 163, 3, 22, "Print"],
Cell[266336, 11481, 163, 3, 22, "Print"],
Cell[266502, 11486, 163, 3, 22, "Print"],
Cell[266668, 11491, 163, 3, 22, "Print"],
Cell[266834, 11496, 163, 3, 22, "Print"],
Cell[267000, 11501, 163, 3, 22, "Print"],
Cell[267166, 11506, 163, 3, 22, "Print"],
Cell[267332, 11511, 163, 3, 22, "Print"],
Cell[267498, 11516, 163, 3, 22, "Print"],
Cell[267664, 11521, 163, 3, 22, "Print"],
Cell[267830, 11526, 163, 3, 22, "Print"],
Cell[267996, 11531, 163, 3, 22, "Print"],
Cell[268162, 11536, 163, 3, 22, "Print"],
Cell[268328, 11541, 163, 3, 22, "Print"],
Cell[268494, 11546, 163, 3, 22, "Print"],
Cell[268660, 11551, 163, 3, 22, "Print"],
Cell[268826, 11556, 163, 3, 22, "Print"],
Cell[268992, 11561, 163, 3, 22, "Print"],
Cell[269158, 11566, 163, 3, 22, "Print"],
Cell[269324, 11571, 163, 3, 22, "Print"],
Cell[269490, 11576, 163, 3, 22, "Print"],
Cell[269656, 11581, 163, 3, 22, "Print"],
Cell[269822, 11586, 163, 3, 22, "Print"],
Cell[269988, 11591, 163, 3, 22, "Print"],
Cell[270154, 11596, 163, 3, 22, "Print"],
Cell[270320, 11601, 163, 3, 22, "Print"],
Cell[270486, 11606, 163, 3, 22, "Print"],
Cell[270652, 11611, 163, 3, 22, "Print"],
Cell[270818, 11616, 163, 3, 22, "Print"],
Cell[270984, 11621, 163, 3, 22, "Print"],
Cell[271150, 11626, 163, 3, 22, "Print"],
Cell[271316, 11631, 163, 3, 22, "Print"],
Cell[271482, 11636, 163, 3, 22, "Print"],
Cell[271648, 11641, 163, 3, 22, "Print"],
Cell[271814, 11646, 163, 3, 22, "Print"],
Cell[271980, 11651, 163, 3, 22, "Print"],
Cell[272146, 11656, 163, 3, 22, "Print"],
Cell[272312, 11661, 163, 3, 22, "Print"],
Cell[272478, 11666, 163, 3, 22, "Print"],
Cell[272644, 11671, 163, 3, 22, "Print"],
Cell[272810, 11676, 163, 3, 22, "Print"],
Cell[272976, 11681, 163, 3, 22, "Print"],
Cell[273142, 11686, 163, 3, 22, "Print"],
Cell[273308, 11691, 163, 3, 22, "Print"],
Cell[273474, 11696, 163, 3, 22, "Print"],
Cell[273640, 11701, 163, 3, 22, "Print"],
Cell[273806, 11706, 163, 3, 22, "Print"],
Cell[273972, 11711, 163, 3, 22, "Print"],
Cell[274138, 11716, 163, 3, 22, "Print"],
Cell[274304, 11721, 163, 3, 22, "Print"],
Cell[274470, 11726, 163, 3, 22, "Print"],
Cell[274636, 11731, 163, 3, 22, "Print"],
Cell[274802, 11736, 163, 3, 22, "Print"],
Cell[274968, 11741, 163, 3, 22, "Print"],
Cell[275134, 11746, 163, 3, 22, "Print"],
Cell[275300, 11751, 163, 3, 22, "Print"],
Cell[275466, 11756, 163, 3, 22, "Print"],
Cell[275632, 11761, 163, 3, 22, "Print"],
Cell[275798, 11766, 163, 3, 22, "Print"],
Cell[275964, 11771, 163, 3, 22, "Print"],
Cell[276130, 11776, 163, 3, 22, "Print"],
Cell[276296, 11781, 163, 3, 22, "Print"],
Cell[276462, 11786, 163, 3, 22, "Print"],
Cell[276628, 11791, 163, 3, 22, "Print"],
Cell[276794, 11796, 163, 3, 22, "Print"],
Cell[276960, 11801, 163, 3, 22, "Print"],
Cell[277126, 11806, 163, 3, 22, "Print"],
Cell[277292, 11811, 163, 3, 22, "Print"],
Cell[277458, 11816, 163, 3, 22, "Print"],
Cell[277624, 11821, 163, 3, 22, "Print"],
Cell[277790, 11826, 163, 3, 22, "Print"],
Cell[277956, 11831, 163, 3, 22, "Print"],
Cell[278122, 11836, 163, 3, 22, "Print"],
Cell[278288, 11841, 163, 3, 22, "Print"],
Cell[278454, 11846, 163, 3, 22, "Print"],
Cell[278620, 11851, 163, 3, 22, "Print"],
Cell[278786, 11856, 163, 3, 22, "Print"],
Cell[278952, 11861, 163, 3, 22, "Print"],
Cell[279118, 11866, 163, 3, 22, "Print"],
Cell[279284, 11871, 163, 3, 22, "Print"],
Cell[279450, 11876, 163, 3, 22, "Print"],
Cell[279616, 11881, 163, 3, 22, "Print"],
Cell[279782, 11886, 163, 3, 22, "Print"],
Cell[279948, 11891, 163, 3, 22, "Print"],
Cell[280114, 11896, 163, 3, 22, "Print"],
Cell[280280, 11901, 163, 3, 22, "Print"],
Cell[280446, 11906, 163, 3, 22, "Print"],
Cell[280612, 11911, 163, 3, 22, "Print"],
Cell[280778, 11916, 163, 3, 22, "Print"],
Cell[280944, 11921, 163, 3, 22, "Print"],
Cell[281110, 11926, 163, 3, 22, "Print"],
Cell[281276, 11931, 163, 3, 22, "Print"],
Cell[281442, 11936, 163, 3, 22, "Print"],
Cell[281608, 11941, 163, 3, 22, "Print"],
Cell[281774, 11946, 163, 3, 22, "Print"],
Cell[281940, 11951, 163, 3, 22, "Print"],
Cell[282106, 11956, 163, 3, 22, "Print"],
Cell[282272, 11961, 163, 3, 22, "Print"],
Cell[282438, 11966, 163, 3, 22, "Print"],
Cell[282604, 11971, 163, 3, 22, "Print"],
Cell[282770, 11976, 163, 3, 22, "Print"],
Cell[282936, 11981, 163, 3, 22, "Print"],
Cell[283102, 11986, 163, 3, 22, "Print"],
Cell[283268, 11991, 163, 3, 22, "Print"],
Cell[283434, 11996, 163, 3, 22, "Print"],
Cell[283600, 12001, 163, 3, 22, "Print"],
Cell[283766, 12006, 163, 3, 22, "Print"],
Cell[283932, 12011, 163, 3, 22, "Print"],
Cell[284098, 12016, 163, 3, 22, "Print"],
Cell[284264, 12021, 163, 3, 22, "Print"],
Cell[284430, 12026, 163, 3, 22, "Print"],
Cell[284596, 12031, 163, 3, 22, "Print"],
Cell[284762, 12036, 163, 3, 22, "Print"],
Cell[284928, 12041, 163, 3, 22, "Print"],
Cell[285094, 12046, 163, 3, 22, "Print"],
Cell[285260, 12051, 163, 3, 22, "Print"],
Cell[285426, 12056, 163, 3, 22, "Print"],
Cell[285592, 12061, 163, 3, 22, "Print"],
Cell[285758, 12066, 163, 3, 22, "Print"],
Cell[285924, 12071, 163, 3, 22, "Print"],
Cell[286090, 12076, 163, 3, 22, "Print"],
Cell[286256, 12081, 163, 3, 22, "Print"],
Cell[286422, 12086, 163, 3, 22, "Print"],
Cell[286588, 12091, 163, 3, 22, "Print"],
Cell[286754, 12096, 163, 3, 22, "Print"],
Cell[286920, 12101, 163, 3, 22, "Print"],
Cell[287086, 12106, 163, 3, 22, "Print"],
Cell[287252, 12111, 163, 3, 22, "Print"],
Cell[287418, 12116, 163, 3, 22, "Print"],
Cell[287584, 12121, 163, 3, 22, "Print"],
Cell[287750, 12126, 163, 3, 22, "Print"],
Cell[287916, 12131, 163, 3, 22, "Print"],
Cell[288082, 12136, 163, 3, 22, "Print"],
Cell[288248, 12141, 163, 3, 22, "Print"],
Cell[288414, 12146, 163, 3, 22, "Print"],
Cell[288580, 12151, 163, 3, 22, "Print"],
Cell[288746, 12156, 163, 3, 22, "Print"],
Cell[288912, 12161, 163, 3, 22, "Print"],
Cell[289078, 12166, 163, 3, 22, "Print"],
Cell[289244, 12171, 163, 3, 22, "Print"],
Cell[289410, 12176, 163, 3, 22, "Print"],
Cell[289576, 12181, 163, 3, 22, "Print"],
Cell[289742, 12186, 163, 3, 22, "Print"],
Cell[289908, 12191, 163, 3, 22, "Print"],
Cell[290074, 12196, 163, 3, 22, "Print"],
Cell[290240, 12201, 163, 3, 22, "Print"],
Cell[290406, 12206, 163, 3, 22, "Print"],
Cell[290572, 12211, 163, 3, 22, "Print"],
Cell[290738, 12216, 163, 3, 22, "Print"],
Cell[290904, 12221, 163, 3, 22, "Print"],
Cell[291070, 12226, 163, 3, 22, "Print"],
Cell[291236, 12231, 163, 3, 22, "Print"],
Cell[291402, 12236, 163, 3, 22, "Print"],
Cell[291568, 12241, 163, 3, 22, "Print"],
Cell[291734, 12246, 163, 3, 22, "Print"],
Cell[291900, 12251, 163, 3, 22, "Print"],
Cell[292066, 12256, 163, 3, 22, "Print"],
Cell[292232, 12261, 163, 3, 22, "Print"],
Cell[292398, 12266, 163, 3, 22, "Print"],
Cell[292564, 12271, 163, 3, 22, "Print"],
Cell[292730, 12276, 163, 3, 22, "Print"],
Cell[292896, 12281, 163, 3, 22, "Print"],
Cell[293062, 12286, 163, 3, 22, "Print"],
Cell[293228, 12291, 163, 3, 22, "Print"],
Cell[293394, 12296, 163, 3, 22, "Print"],
Cell[293560, 12301, 163, 3, 22, "Print"],
Cell[293726, 12306, 163, 3, 22, "Print"],
Cell[293892, 12311, 163, 3, 22, "Print"],
Cell[294058, 12316, 163, 3, 22, "Print"],
Cell[294224, 12321, 163, 3, 22, "Print"],
Cell[294390, 12326, 163, 3, 22, "Print"],
Cell[294556, 12331, 163, 3, 22, "Print"],
Cell[294722, 12336, 163, 3, 22, "Print"],
Cell[294888, 12341, 163, 3, 22, "Print"],
Cell[295054, 12346, 163, 3, 22, "Print"],
Cell[295220, 12351, 163, 3, 22, "Print"],
Cell[295386, 12356, 163, 3, 22, "Print"],
Cell[295552, 12361, 163, 3, 22, "Print"],
Cell[295718, 12366, 163, 3, 22, "Print"],
Cell[295884, 12371, 163, 3, 22, "Print"],
Cell[296050, 12376, 163, 3, 22, "Print"],
Cell[296216, 12381, 163, 3, 22, "Print"],
Cell[296382, 12386, 163, 3, 22, "Print"],
Cell[296548, 12391, 163, 3, 22, "Print"],
Cell[296714, 12396, 163, 3, 22, "Print"],
Cell[296880, 12401, 163, 3, 22, "Print"],
Cell[297046, 12406, 163, 3, 22, "Print"],
Cell[297212, 12411, 163, 3, 22, "Print"],
Cell[297378, 12416, 163, 3, 22, "Print"],
Cell[297544, 12421, 163, 3, 22, "Print"],
Cell[297710, 12426, 163, 3, 22, "Print"],
Cell[297876, 12431, 163, 3, 22, "Print"],
Cell[298042, 12436, 163, 3, 22, "Print"],
Cell[298208, 12441, 163, 3, 22, "Print"],
Cell[298374, 12446, 163, 3, 22, "Print"],
Cell[298540, 12451, 163, 3, 22, "Print"],
Cell[298706, 12456, 163, 3, 22, "Print"],
Cell[298872, 12461, 163, 3, 22, "Print"],
Cell[299038, 12466, 163, 3, 22, "Print"],
Cell[299204, 12471, 163, 3, 22, "Print"],
Cell[299370, 12476, 163, 3, 22, "Print"],
Cell[299536, 12481, 163, 3, 22, "Print"],
Cell[299702, 12486, 163, 3, 22, "Print"],
Cell[299868, 12491, 163, 3, 22, "Print"],
Cell[300034, 12496, 163, 3, 22, "Print"],
Cell[300200, 12501, 163, 3, 22, "Print"],
Cell[300366, 12506, 163, 3, 22, "Print"],
Cell[300532, 12511, 163, 3, 22, "Print"],
Cell[300698, 12516, 163, 3, 22, "Print"],
Cell[300864, 12521, 163, 3, 22, "Print"],
Cell[301030, 12526, 163, 3, 22, "Print"],
Cell[301196, 12531, 163, 3, 22, "Print"],
Cell[301362, 12536, 163, 3, 22, "Print"],
Cell[301528, 12541, 163, 3, 22, "Print"],
Cell[301694, 12546, 163, 3, 22, "Print"],
Cell[301860, 12551, 163, 3, 22, "Print"],
Cell[302026, 12556, 163, 3, 22, "Print"],
Cell[302192, 12561, 163, 3, 22, "Print"],
Cell[302358, 12566, 163, 3, 22, "Print"],
Cell[302524, 12571, 163, 3, 22, "Print"],
Cell[302690, 12576, 163, 3, 22, "Print"],
Cell[302856, 12581, 163, 3, 22, "Print"],
Cell[303022, 12586, 163, 3, 22, "Print"],
Cell[303188, 12591, 163, 3, 22, "Print"],
Cell[303354, 12596, 163, 3, 22, "Print"],
Cell[303520, 12601, 163, 3, 22, "Print"],
Cell[303686, 12606, 163, 3, 22, "Print"],
Cell[303852, 12611, 163, 3, 22, "Print"],
Cell[304018, 12616, 163, 3, 22, "Print"],
Cell[304184, 12621, 163, 3, 22, "Print"],
Cell[304350, 12626, 163, 3, 22, "Print"],
Cell[304516, 12631, 163, 3, 22, "Print"],
Cell[304682, 12636, 163, 3, 22, "Print"],
Cell[304848, 12641, 163, 3, 22, "Print"],
Cell[305014, 12646, 163, 3, 22, "Print"],
Cell[305180, 12651, 163, 3, 22, "Print"],
Cell[305346, 12656, 163, 3, 22, "Print"],
Cell[305512, 12661, 163, 3, 22, "Print"],
Cell[305678, 12666, 163, 3, 22, "Print"],
Cell[305844, 12671, 163, 3, 22, "Print"],
Cell[306010, 12676, 163, 3, 22, "Print"],
Cell[306176, 12681, 163, 3, 22, "Print"],
Cell[306342, 12686, 163, 3, 22, "Print"],
Cell[306508, 12691, 163, 3, 22, "Print"],
Cell[306674, 12696, 163, 3, 22, "Print"],
Cell[306840, 12701, 163, 3, 22, "Print"],
Cell[307006, 12706, 163, 3, 22, "Print"],
Cell[307172, 12711, 163, 3, 22, "Print"],
Cell[307338, 12716, 163, 3, 22, "Print"],
Cell[307504, 12721, 163, 3, 22, "Print"],
Cell[307670, 12726, 163, 3, 22, "Print"],
Cell[307836, 12731, 163, 3, 22, "Print"],
Cell[308002, 12736, 163, 3, 22, "Print"],
Cell[308168, 12741, 163, 3, 22, "Print"],
Cell[308334, 12746, 163, 3, 22, "Print"],
Cell[308500, 12751, 163, 3, 22, "Print"],
Cell[308666, 12756, 163, 3, 22, "Print"],
Cell[308832, 12761, 163, 3, 22, "Print"],
Cell[308998, 12766, 163, 3, 22, "Print"],
Cell[309164, 12771, 163, 3, 22, "Print"],
Cell[309330, 12776, 163, 3, 22, "Print"],
Cell[309496, 12781, 163, 3, 22, "Print"],
Cell[309662, 12786, 163, 3, 22, "Print"],
Cell[309828, 12791, 163, 3, 22, "Print"],
Cell[309994, 12796, 163, 3, 22, "Print"],
Cell[310160, 12801, 163, 3, 22, "Print"],
Cell[310326, 12806, 163, 3, 22, "Print"],
Cell[310492, 12811, 163, 3, 22, "Print"],
Cell[310658, 12816, 163, 3, 22, "Print"],
Cell[310824, 12821, 163, 3, 22, "Print"],
Cell[310990, 12826, 163, 3, 22, "Print"],
Cell[311156, 12831, 163, 3, 22, "Print"],
Cell[311322, 12836, 163, 3, 22, "Print"],
Cell[311488, 12841, 163, 3, 22, "Print"],
Cell[311654, 12846, 163, 3, 22, "Print"],
Cell[311820, 12851, 163, 3, 22, "Print"],
Cell[311986, 12856, 163, 3, 22, "Print"],
Cell[312152, 12861, 163, 3, 22, "Print"],
Cell[312318, 12866, 163, 3, 22, "Print"],
Cell[312484, 12871, 163, 3, 22, "Print"],
Cell[312650, 12876, 163, 3, 22, "Print"],
Cell[312816, 12881, 163, 3, 22, "Print"],
Cell[312982, 12886, 163, 3, 22, "Print"],
Cell[313148, 12891, 163, 3, 22, "Print"],
Cell[313314, 12896, 163, 3, 22, "Print"],
Cell[313480, 12901, 163, 3, 22, "Print"],
Cell[313646, 12906, 163, 3, 22, "Print"],
Cell[313812, 12911, 163, 3, 22, "Print"],
Cell[313978, 12916, 163, 3, 22, "Print"],
Cell[314144, 12921, 163, 3, 22, "Print"],
Cell[314310, 12926, 163, 3, 22, "Print"],
Cell[314476, 12931, 163, 3, 22, "Print"],
Cell[314642, 12936, 163, 3, 22, "Print"],
Cell[314808, 12941, 163, 3, 22, "Print"],
Cell[314974, 12946, 163, 3, 22, "Print"],
Cell[315140, 12951, 163, 3, 22, "Print"],
Cell[315306, 12956, 163, 3, 22, "Print"],
Cell[315472, 12961, 163, 3, 22, "Print"],
Cell[315638, 12966, 163, 3, 22, "Print"],
Cell[315804, 12971, 163, 3, 22, "Print"],
Cell[315970, 12976, 163, 3, 22, "Print"],
Cell[316136, 12981, 163, 3, 22, "Print"],
Cell[316302, 12986, 163, 3, 22, "Print"],
Cell[316468, 12991, 163, 3, 22, "Print"],
Cell[316634, 12996, 163, 3, 22, "Print"],
Cell[316800, 13001, 163, 3, 22, "Print"],
Cell[316966, 13006, 163, 3, 22, "Print"],
Cell[317132, 13011, 163, 3, 22, "Print"],
Cell[317298, 13016, 163, 3, 22, "Print"],
Cell[317464, 13021, 163, 3, 22, "Print"],
Cell[317630, 13026, 163, 3, 22, "Print"],
Cell[317796, 13031, 163, 3, 22, "Print"],
Cell[317962, 13036, 163, 3, 22, "Print"],
Cell[318128, 13041, 163, 3, 22, "Print"],
Cell[318294, 13046, 163, 3, 22, "Print"],
Cell[318460, 13051, 163, 3, 22, "Print"],
Cell[318626, 13056, 163, 3, 22, "Print"],
Cell[318792, 13061, 163, 3, 22, "Print"],
Cell[318958, 13066, 163, 3, 22, "Print"],
Cell[319124, 13071, 163, 3, 22, "Print"],
Cell[319290, 13076, 163, 3, 22, "Print"],
Cell[319456, 13081, 163, 3, 22, "Print"],
Cell[319622, 13086, 163, 3, 22, "Print"],
Cell[319788, 13091, 163, 3, 22, "Print"],
Cell[319954, 13096, 163, 3, 22, "Print"],
Cell[320120, 13101, 163, 3, 22, "Print"],
Cell[320286, 13106, 163, 3, 22, "Print"],
Cell[320452, 13111, 163, 3, 22, "Print"],
Cell[320618, 13116, 163, 3, 22, "Print"],
Cell[320784, 13121, 163, 3, 22, "Print"],
Cell[320950, 13126, 163, 3, 22, "Print"],
Cell[321116, 13131, 163, 3, 22, "Print"],
Cell[321282, 13136, 163, 3, 22, "Print"],
Cell[321448, 13141, 163, 3, 22, "Print"],
Cell[321614, 13146, 163, 3, 22, "Print"],
Cell[321780, 13151, 163, 3, 22, "Print"],
Cell[321946, 13156, 163, 3, 22, "Print"],
Cell[322112, 13161, 163, 3, 22, "Print"],
Cell[322278, 13166, 163, 3, 22, "Print"],
Cell[322444, 13171, 163, 3, 22, "Print"],
Cell[322610, 13176, 163, 3, 22, "Print"],
Cell[322776, 13181, 163, 3, 22, "Print"],
Cell[322942, 13186, 163, 3, 22, "Print"],
Cell[323108, 13191, 163, 3, 22, "Print"],
Cell[323274, 13196, 163, 3, 22, "Print"],
Cell[323440, 13201, 163, 3, 22, "Print"],
Cell[323606, 13206, 163, 3, 22, "Print"],
Cell[323772, 13211, 163, 3, 22, "Print"],
Cell[323938, 13216, 163, 3, 22, "Print"],
Cell[324104, 13221, 163, 3, 22, "Print"],
Cell[324270, 13226, 163, 3, 22, "Print"],
Cell[324436, 13231, 163, 3, 22, "Print"],
Cell[324602, 13236, 163, 3, 22, "Print"],
Cell[324768, 13241, 163, 3, 22, "Print"],
Cell[324934, 13246, 163, 3, 22, "Print"],
Cell[325100, 13251, 163, 3, 22, "Print"],
Cell[325266, 13256, 163, 3, 22, "Print"],
Cell[325432, 13261, 163, 3, 22, "Print"],
Cell[325598, 13266, 163, 3, 22, "Print"],
Cell[325764, 13271, 163, 3, 22, "Print"],
Cell[325930, 13276, 163, 3, 22, "Print"],
Cell[326096, 13281, 163, 3, 22, "Print"],
Cell[326262, 13286, 163, 3, 22, "Print"],
Cell[326428, 13291, 163, 3, 22, "Print"],
Cell[326594, 13296, 163, 3, 22, "Print"],
Cell[326760, 13301, 163, 3, 22, "Print"],
Cell[326926, 13306, 163, 3, 22, "Print"],
Cell[327092, 13311, 163, 3, 22, "Print"],
Cell[327258, 13316, 163, 3, 22, "Print"],
Cell[327424, 13321, 163, 3, 22, "Print"],
Cell[327590, 13326, 163, 3, 22, "Print"],
Cell[327756, 13331, 163, 3, 22, "Print"],
Cell[327922, 13336, 163, 3, 22, "Print"],
Cell[328088, 13341, 163, 3, 22, "Print"],
Cell[328254, 13346, 163, 3, 22, "Print"],
Cell[328420, 13351, 163, 3, 22, "Print"],
Cell[328586, 13356, 163, 3, 22, "Print"],
Cell[328752, 13361, 163, 3, 22, "Print"],
Cell[328918, 13366, 163, 3, 22, "Print"],
Cell[329084, 13371, 163, 3, 22, "Print"],
Cell[329250, 13376, 163, 3, 22, "Print"],
Cell[329416, 13381, 163, 3, 22, "Print"],
Cell[329582, 13386, 163, 3, 22, "Print"],
Cell[329748, 13391, 163, 3, 22, "Print"],
Cell[329914, 13396, 163, 3, 22, "Print"],
Cell[330080, 13401, 163, 3, 22, "Print"],
Cell[330246, 13406, 163, 3, 22, "Print"],
Cell[330412, 13411, 163, 3, 22, "Print"],
Cell[330578, 13416, 163, 3, 22, "Print"],
Cell[330744, 13421, 163, 3, 22, "Print"],
Cell[330910, 13426, 163, 3, 22, "Print"],
Cell[331076, 13431, 163, 3, 22, "Print"],
Cell[331242, 13436, 163, 3, 22, "Print"],
Cell[331408, 13441, 163, 3, 22, "Print"],
Cell[331574, 13446, 163, 3, 22, "Print"],
Cell[331740, 13451, 163, 3, 22, "Print"],
Cell[331906, 13456, 163, 3, 22, "Print"],
Cell[332072, 13461, 163, 3, 22, "Print"],
Cell[332238, 13466, 163, 3, 22, "Print"],
Cell[332404, 13471, 163, 3, 22, "Print"],
Cell[332570, 13476, 163, 3, 22, "Print"],
Cell[332736, 13481, 163, 3, 22, "Print"],
Cell[332902, 13486, 163, 3, 22, "Print"],
Cell[333068, 13491, 163, 3, 22, "Print"],
Cell[333234, 13496, 163, 3, 22, "Print"],
Cell[333400, 13501, 163, 3, 22, "Print"],
Cell[333566, 13506, 163, 3, 22, "Print"],
Cell[333732, 13511, 163, 3, 22, "Print"],
Cell[333898, 13516, 163, 3, 22, "Print"],
Cell[334064, 13521, 163, 3, 22, "Print"],
Cell[334230, 13526, 163, 3, 22, "Print"],
Cell[334396, 13531, 163, 3, 22, "Print"],
Cell[334562, 13536, 163, 3, 22, "Print"],
Cell[334728, 13541, 163, 3, 22, "Print"],
Cell[334894, 13546, 163, 3, 22, "Print"],
Cell[335060, 13551, 163, 3, 22, "Print"],
Cell[335226, 13556, 163, 3, 22, "Print"],
Cell[335392, 13561, 163, 3, 22, "Print"],
Cell[335558, 13566, 163, 3, 22, "Print"],
Cell[335724, 13571, 163, 3, 22, "Print"],
Cell[335890, 13576, 163, 3, 22, "Print"],
Cell[336056, 13581, 163, 3, 22, "Print"],
Cell[336222, 13586, 163, 3, 22, "Print"],
Cell[336388, 13591, 163, 3, 22, "Print"],
Cell[336554, 13596, 163, 3, 22, "Print"],
Cell[336720, 13601, 163, 3, 22, "Print"],
Cell[336886, 13606, 163, 3, 22, "Print"],
Cell[337052, 13611, 163, 3, 22, "Print"],
Cell[337218, 13616, 163, 3, 22, "Print"],
Cell[337384, 13621, 163, 3, 22, "Print"],
Cell[337550, 13626, 163, 3, 22, "Print"],
Cell[337716, 13631, 163, 3, 22, "Print"],
Cell[337882, 13636, 163, 3, 22, "Print"],
Cell[338048, 13641, 163, 3, 22, "Print"],
Cell[338214, 13646, 163, 3, 22, "Print"],
Cell[338380, 13651, 163, 3, 22, "Print"],
Cell[338546, 13656, 163, 3, 22, "Print"],
Cell[338712, 13661, 163, 3, 22, "Print"],
Cell[338878, 13666, 163, 3, 22, "Print"],
Cell[339044, 13671, 163, 3, 22, "Print"],
Cell[339210, 13676, 163, 3, 22, "Print"],
Cell[339376, 13681, 163, 3, 22, "Print"],
Cell[339542, 13686, 163, 3, 22, "Print"],
Cell[339708, 13691, 163, 3, 22, "Print"],
Cell[339874, 13696, 163, 3, 22, "Print"],
Cell[340040, 13701, 163, 3, 22, "Print"],
Cell[340206, 13706, 163, 3, 22, "Print"],
Cell[340372, 13711, 163, 3, 22, "Print"],
Cell[340538, 13716, 163, 3, 22, "Print"],
Cell[340704, 13721, 163, 3, 22, "Print"],
Cell[340870, 13726, 163, 3, 22, "Print"],
Cell[341036, 13731, 163, 3, 22, "Print"],
Cell[341202, 13736, 163, 3, 22, "Print"],
Cell[341368, 13741, 163, 3, 22, "Print"],
Cell[341534, 13746, 163, 3, 22, "Print"],
Cell[341700, 13751, 163, 3, 22, "Print"],
Cell[341866, 13756, 163, 3, 22, "Print"],
Cell[342032, 13761, 163, 3, 22, "Print"],
Cell[342198, 13766, 163, 3, 22, "Print"],
Cell[342364, 13771, 163, 3, 22, "Print"],
Cell[342530, 13776, 163, 3, 22, "Print"],
Cell[342696, 13781, 163, 3, 22, "Print"],
Cell[342862, 13786, 163, 3, 22, "Print"],
Cell[343028, 13791, 163, 3, 22, "Print"],
Cell[343194, 13796, 163, 3, 22, "Print"],
Cell[343360, 13801, 163, 3, 22, "Print"],
Cell[343526, 13806, 163, 3, 22, "Print"],
Cell[343692, 13811, 163, 3, 22, "Print"],
Cell[343858, 13816, 163, 3, 22, "Print"],
Cell[344024, 13821, 163, 3, 22, "Print"],
Cell[344190, 13826, 163, 3, 22, "Print"],
Cell[344356, 13831, 163, 3, 22, "Print"],
Cell[344522, 13836, 163, 3, 22, "Print"],
Cell[344688, 13841, 163, 3, 22, "Print"],
Cell[344854, 13846, 163, 3, 22, "Print"],
Cell[345020, 13851, 163, 3, 22, "Print"],
Cell[345186, 13856, 163, 3, 22, "Print"],
Cell[345352, 13861, 163, 3, 22, "Print"],
Cell[345518, 13866, 163, 3, 22, "Print"],
Cell[345684, 13871, 163, 3, 22, "Print"],
Cell[345850, 13876, 163, 3, 22, "Print"],
Cell[346016, 13881, 163, 3, 22, "Print"],
Cell[346182, 13886, 163, 3, 22, "Print"],
Cell[346348, 13891, 163, 3, 22, "Print"],
Cell[346514, 13896, 163, 3, 22, "Print"],
Cell[346680, 13901, 163, 3, 22, "Print"],
Cell[346846, 13906, 163, 3, 22, "Print"],
Cell[347012, 13911, 163, 3, 22, "Print"],
Cell[347178, 13916, 163, 3, 22, "Print"],
Cell[347344, 13921, 163, 3, 22, "Print"],
Cell[347510, 13926, 163, 3, 22, "Print"],
Cell[347676, 13931, 163, 3, 22, "Print"],
Cell[347842, 13936, 163, 3, 22, "Print"],
Cell[348008, 13941, 163, 3, 22, "Print"],
Cell[348174, 13946, 163, 3, 22, "Print"],
Cell[348340, 13951, 163, 3, 22, "Print"],
Cell[348506, 13956, 163, 3, 22, "Print"],
Cell[348672, 13961, 163, 3, 22, "Print"],
Cell[348838, 13966, 163, 3, 22, "Print"],
Cell[349004, 13971, 163, 3, 22, "Print"],
Cell[349170, 13976, 163, 3, 22, "Print"],
Cell[349336, 13981, 163, 3, 22, "Print"],
Cell[349502, 13986, 163, 3, 22, "Print"],
Cell[349668, 13991, 163, 3, 22, "Print"],
Cell[349834, 13996, 163, 3, 22, "Print"],
Cell[350000, 14001, 163, 3, 22, "Print"],
Cell[350166, 14006, 163, 3, 22, "Print"],
Cell[350332, 14011, 163, 3, 22, "Print"],
Cell[350498, 14016, 163, 3, 22, "Print"],
Cell[350664, 14021, 163, 3, 22, "Print"],
Cell[350830, 14026, 163, 3, 22, "Print"],
Cell[350996, 14031, 163, 3, 22, "Print"],
Cell[351162, 14036, 163, 3, 22, "Print"],
Cell[351328, 14041, 163, 3, 22, "Print"],
Cell[351494, 14046, 163, 3, 22, "Print"],
Cell[351660, 14051, 163, 3, 22, "Print"],
Cell[351826, 14056, 163, 3, 22, "Print"],
Cell[351992, 14061, 163, 3, 22, "Print"],
Cell[352158, 14066, 163, 3, 22, "Print"],
Cell[352324, 14071, 163, 3, 22, "Print"],
Cell[352490, 14076, 163, 3, 22, "Print"],
Cell[352656, 14081, 163, 3, 22, "Print"],
Cell[352822, 14086, 163, 3, 22, "Print"],
Cell[352988, 14091, 163, 3, 22, "Print"],
Cell[353154, 14096, 163, 3, 22, "Print"],
Cell[353320, 14101, 163, 3, 22, "Print"],
Cell[353486, 14106, 163, 3, 22, "Print"],
Cell[353652, 14111, 163, 3, 22, "Print"],
Cell[353818, 14116, 163, 3, 22, "Print"],
Cell[353984, 14121, 163, 3, 22, "Print"],
Cell[354150, 14126, 163, 3, 22, "Print"],
Cell[354316, 14131, 163, 3, 22, "Print"],
Cell[354482, 14136, 163, 3, 22, "Print"],
Cell[354648, 14141, 163, 3, 22, "Print"],
Cell[354814, 14146, 163, 3, 22, "Print"],
Cell[354980, 14151, 163, 3, 22, "Print"],
Cell[355146, 14156, 163, 3, 22, "Print"],
Cell[355312, 14161, 163, 3, 22, "Print"],
Cell[355478, 14166, 163, 3, 22, "Print"],
Cell[355644, 14171, 163, 3, 22, "Print"],
Cell[355810, 14176, 163, 3, 22, "Print"],
Cell[355976, 14181, 163, 3, 22, "Print"],
Cell[356142, 14186, 163, 3, 22, "Print"],
Cell[356308, 14191, 163, 3, 22, "Print"],
Cell[356474, 14196, 163, 3, 22, "Print"],
Cell[356640, 14201, 163, 3, 22, "Print"],
Cell[356806, 14206, 163, 3, 22, "Print"],
Cell[356972, 14211, 163, 3, 22, "Print"],
Cell[357138, 14216, 163, 3, 22, "Print"],
Cell[357304, 14221, 163, 3, 22, "Print"],
Cell[357470, 14226, 163, 3, 22, "Print"],
Cell[357636, 14231, 163, 3, 22, "Print"],
Cell[357802, 14236, 163, 3, 22, "Print"],
Cell[357968, 14241, 163, 3, 22, "Print"],
Cell[358134, 14246, 163, 3, 22, "Print"],
Cell[358300, 14251, 163, 3, 22, "Print"],
Cell[358466, 14256, 163, 3, 22, "Print"],
Cell[358632, 14261, 163, 3, 22, "Print"],
Cell[358798, 14266, 163, 3, 22, "Print"],
Cell[358964, 14271, 163, 3, 22, "Print"],
Cell[359130, 14276, 163, 3, 22, "Print"],
Cell[359296, 14281, 163, 3, 22, "Print"],
Cell[359462, 14286, 163, 3, 22, "Print"],
Cell[359628, 14291, 163, 3, 22, "Print"],
Cell[359794, 14296, 163, 3, 22, "Print"],
Cell[359960, 14301, 163, 3, 22, "Print"],
Cell[360126, 14306, 163, 3, 22, "Print"],
Cell[360292, 14311, 163, 3, 22, "Print"],
Cell[360458, 14316, 163, 3, 22, "Print"],
Cell[360624, 14321, 163, 3, 22, "Print"],
Cell[360790, 14326, 163, 3, 22, "Print"],
Cell[360956, 14331, 163, 3, 22, "Print"],
Cell[361122, 14336, 165, 3, 22, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[361324, 14344, 49, 1, 27, "Input"],
Cell[361376, 14347, 202, 4, 22, "Print"],
Cell[361581, 14353, 36, 1, 22, "Print"],
Cell[361620, 14356, 221, 3, 52, "Message"],
Cell[361844, 14361, 207, 3, 52, "Message"],
Cell[362054, 14366, 208, 3, 52, "Message"],
Cell[362265, 14371, 180, 3, 37, "Message"],
Cell[362448, 14376, 35, 1, 22, "Print"],
Cell[362486, 14379, 35, 1, 22, "Print"],
Cell[362524, 14382, 35, 1, 22, "Print"],
Cell[362562, 14385, 35, 1, 22, "Print"],
Cell[362600, 14388, 35, 1, 22, "Print"],
Cell[362638, 14391, 35, 1, 22, "Print"],
Cell[362676, 14394, 35, 1, 22, "Print"],
Cell[362714, 14397, 35, 1, 22, "Print"],
Cell[362752, 14400, 35, 1, 22, "Print"],
Cell[362790, 14403, 35, 1, 22, "Print"],
Cell[362828, 14406, 35, 1, 22, "Print"],
Cell[362866, 14409, 35, 1, 22, "Print"],
Cell[362904, 14412, 35, 1, 22, "Print"],
Cell[362942, 14415, 35, 1, 22, "Print"],
Cell[362980, 14418, 35, 1, 22, "Print"],
Cell[363018, 14421, 35, 1, 22, "Print"],
Cell[363056, 14424, 35, 1, 22, "Print"],
Cell[363094, 14427, 35, 1, 22, "Print"],
Cell[363132, 14430, 35, 1, 22, "Print"],
Cell[363170, 14433, 35, 1, 22, "Print"],
Cell[363208, 14436, 35, 1, 22, "Print"],
Cell[363246, 14439, 35, 1, 22, "Print"],
Cell[363284, 14442, 35, 1, 22, "Print"],
Cell[363322, 14445, 35, 1, 22, "Print"],
Cell[363360, 14448, 35, 1, 22, "Print"],
Cell[363398, 14451, 35, 1, 22, "Print"],
Cell[363436, 14454, 35, 1, 22, "Print"],
Cell[363474, 14457, 35, 1, 22, "Print"],
Cell[363512, 14460, 35, 1, 22, "Print"],
Cell[363550, 14463, 35, 1, 22, "Print"],
Cell[363588, 14466, 35, 1, 22, "Print"],
Cell[363626, 14469, 35, 1, 22, "Print"],
Cell[363664, 14472, 35, 1, 22, "Print"],
Cell[363702, 14475, 35, 1, 22, "Print"],
Cell[363740, 14478, 35, 1, 22, "Print"],
Cell[363778, 14481, 35, 1, 22, "Print"],
Cell[363816, 14484, 35, 1, 22, "Print"],
Cell[363854, 14487, 35, 1, 22, "Print"],
Cell[363892, 14490, 35, 1, 22, "Print"],
Cell[363930, 14493, 35, 1, 22, "Print"],
Cell[363968, 14496, 35, 1, 22, "Print"],
Cell[364006, 14499, 35, 1, 22, "Print"],
Cell[364044, 14502, 35, 1, 22, "Print"],
Cell[364082, 14505, 35, 1, 22, "Print"],
Cell[364120, 14508, 35, 1, 22, "Print"],
Cell[364158, 14511, 35, 1, 22, "Print"],
Cell[364196, 14514, 35, 1, 22, "Print"],
Cell[364234, 14517, 35, 1, 22, "Print"],
Cell[364272, 14520, 35, 1, 22, "Print"],
Cell[364310, 14523, 35, 1, 22, "Print"],
Cell[364348, 14526, 35, 1, 22, "Print"],
Cell[364386, 14529, 35, 1, 22, "Print"],
Cell[364424, 14532, 35, 1, 22, "Print"],
Cell[364462, 14535, 35, 1, 22, "Print"],
Cell[364500, 14538, 35, 1, 22, "Print"],
Cell[364538, 14541, 35, 1, 22, "Print"],
Cell[364576, 14544, 35, 1, 22, "Print"],
Cell[364614, 14547, 35, 1, 22, "Print"],
Cell[364652, 14550, 35, 1, 22, "Print"],
Cell[364690, 14553, 35, 1, 22, "Print"],
Cell[364728, 14556, 35, 1, 22, "Print"],
Cell[364766, 14559, 35, 1, 22, "Print"],
Cell[364804, 14562, 35, 1, 22, "Print"],
Cell[364842, 14565, 35, 1, 22, "Print"],
Cell[364880, 14568, 35, 1, 22, "Print"],
Cell[364918, 14571, 35, 1, 22, "Print"],
Cell[364956, 14574, 35, 1, 22, "Print"],
Cell[364994, 14577, 35, 1, 22, "Print"],
Cell[365032, 14580, 35, 1, 22, "Print"],
Cell[365070, 14583, 35, 1, 22, "Print"],
Cell[365108, 14586, 35, 1, 22, "Print"],
Cell[365146, 14589, 35, 1, 22, "Print"],
Cell[365184, 14592, 35, 1, 22, "Print"],
Cell[365222, 14595, 35, 1, 22, "Print"],
Cell[365260, 14598, 35, 1, 22, "Print"],
Cell[365298, 14601, 35, 1, 22, "Print"],
Cell[365336, 14604, 35, 1, 22, "Print"],
Cell[365374, 14607, 35, 1, 22, "Print"],
Cell[365412, 14610, 35, 1, 22, "Print"],
Cell[365450, 14613, 35, 1, 22, "Print"],
Cell[365488, 14616, 35, 1, 22, "Print"],
Cell[365526, 14619, 35, 1, 22, "Print"],
Cell[365564, 14622, 35, 1, 22, "Print"],
Cell[365602, 14625, 35, 1, 22, "Print"],
Cell[365640, 14628, 35, 1, 22, "Print"],
Cell[365678, 14631, 35, 1, 22, "Print"],
Cell[365716, 14634, 35, 1, 22, "Print"],
Cell[365754, 14637, 35, 1, 22, "Print"],
Cell[365792, 14640, 35, 1, 22, "Print"],
Cell[365830, 14643, 35, 1, 22, "Print"],
Cell[365868, 14646, 34, 1, 22, "Print"],
Cell[365905, 14649, 34, 1, 22, "Print"],
Cell[365942, 14652, 34, 1, 22, "Print"],
Cell[365979, 14655, 34, 1, 22, "Print"],
Cell[366016, 14658, 34, 1, 22, "Print"],
Cell[366053, 14661, 34, 1, 22, "Print"],
Cell[366090, 14664, 34, 1, 22, "Print"],
Cell[366127, 14667, 34, 1, 22, "Print"],
Cell[366164, 14670, 34, 1, 22, "Print"],
Cell[366201, 14673, 40891, 1450, 275, 23752, 1235, "GraphicsData", \
"PostScript", "Graphics"],
Cell[407095, 16125, 77, 1, 22, "Print"],
Cell[407175, 16128, 76, 1, 22, "Print"],
Cell[407254, 16131, 61, 1, 22, "Print"],
Cell[407318, 16134, 159, 3, 22, "Print"],
Cell[407480, 16139, 159, 3, 22, "Print"],
Cell[407642, 16144, 159, 3, 22, "Print"],
Cell[407804, 16149, 159, 3, 22, "Print"],
Cell[407966, 16154, 159, 3, 22, "Print"],
Cell[408128, 16159, 159, 3, 22, "Print"],
Cell[408290, 16164, 159, 3, 22, "Print"],
Cell[408452, 16169, 159, 3, 22, "Print"],
Cell[408614, 16174, 161, 3, 22, "Print"],
Cell[408778, 16179, 161, 3, 22, "Print"],
Cell[408942, 16184, 161, 3, 22, "Print"],
Cell[409106, 16189, 161, 3, 22, "Print"],
Cell[409270, 16194, 161, 3, 22, "Print"],
Cell[409434, 16199, 161, 3, 22, "Print"],
Cell[409598, 16204, 161, 3, 22, "Print"],
Cell[409762, 16209, 161, 3, 22, "Print"],
Cell[409926, 16214, 161, 3, 22, "Print"],
Cell[410090, 16219, 161, 3, 22, "Print"],
Cell[410254, 16224, 161, 3, 22, "Print"],
Cell[410418, 16229, 47337, 1947, 275, 31883, 1753, "GraphicsData", \
"PostScript", "Graphics"],
Cell[457758, 18178, 47, 1, 22, "Print"],
Cell[457808, 18181, 202, 4, 22, "Print"],
Cell[458013, 18187, 36, 1, 22, "Print"],
Cell[458052, 18190, 35, 1, 22, "Print"],
Cell[458090, 18193, 35, 1, 22, "Print"],
Cell[458128, 18196, 35, 1, 22, "Print"],
Cell[458166, 18199, 35, 1, 22, "Print"],
Cell[458204, 18202, 35, 1, 22, "Print"],
Cell[458242, 18205, 35, 1, 22, "Print"],
Cell[458280, 18208, 35, 1, 22, "Print"],
Cell[458318, 18211, 35, 1, 22, "Print"],
Cell[458356, 18214, 35, 1, 22, "Print"],
Cell[458394, 18217, 35, 1, 22, "Print"],
Cell[458432, 18220, 35, 1, 22, "Print"],
Cell[458470, 18223, 35, 1, 22, "Print"],
Cell[458508, 18226, 35, 1, 22, "Print"],
Cell[458546, 18229, 35, 1, 22, "Print"],
Cell[458584, 18232, 35, 1, 22, "Print"],
Cell[458622, 18235, 35, 1, 22, "Print"],
Cell[458660, 18238, 35, 1, 22, "Print"],
Cell[458698, 18241, 35, 1, 22, "Print"],
Cell[458736, 18244, 35, 1, 22, "Print"],
Cell[458774, 18247, 35, 1, 22, "Print"],
Cell[458812, 18250, 35, 1, 22, "Print"],
Cell[458850, 18253, 35, 1, 22, "Print"],
Cell[458888, 18256, 35, 1, 22, "Print"],
Cell[458926, 18259, 35, 1, 22, "Print"],
Cell[458964, 18262, 35, 1, 22, "Print"],
Cell[459002, 18265, 35, 1, 22, "Print"],
Cell[459040, 18268, 35, 1, 22, "Print"],
Cell[459078, 18271, 35, 1, 22, "Print"],
Cell[459116, 18274, 35, 1, 22, "Print"],
Cell[459154, 18277, 35, 1, 22, "Print"],
Cell[459192, 18280, 35, 1, 22, "Print"],
Cell[459230, 18283, 35, 1, 22, "Print"],
Cell[459268, 18286, 35, 1, 22, "Print"],
Cell[459306, 18289, 35, 1, 22, "Print"],
Cell[459344, 18292, 35, 1, 22, "Print"],
Cell[459382, 18295, 35, 1, 22, "Print"],
Cell[459420, 18298, 35, 1, 22, "Print"],
Cell[459458, 18301, 35, 1, 22, "Print"],
Cell[459496, 18304, 35, 1, 22, "Print"],
Cell[459534, 18307, 35, 1, 22, "Print"],
Cell[459572, 18310, 35, 1, 22, "Print"],
Cell[459610, 18313, 35, 1, 22, "Print"],
Cell[459648, 18316, 35, 1, 22, "Print"],
Cell[459686, 18319, 35, 1, 22, "Print"],
Cell[459724, 18322, 35, 1, 22, "Print"],
Cell[459762, 18325, 35, 1, 22, "Print"],
Cell[459800, 18328, 35, 1, 22, "Print"],
Cell[459838, 18331, 35, 1, 22, "Print"],
Cell[459876, 18334, 35, 1, 22, "Print"],
Cell[459914, 18337, 35, 1, 22, "Print"],
Cell[459952, 18340, 35, 1, 22, "Print"],
Cell[459990, 18343, 35, 1, 22, "Print"],
Cell[460028, 18346, 35, 1, 22, "Print"],
Cell[460066, 18349, 35, 1, 22, "Print"],
Cell[460104, 18352, 35, 1, 22, "Print"],
Cell[460142, 18355, 35, 1, 22, "Print"],
Cell[460180, 18358, 35, 1, 22, "Print"],
Cell[460218, 18361, 35, 1, 22, "Print"],
Cell[460256, 18364, 35, 1, 22, "Print"],
Cell[460294, 18367, 35, 1, 22, "Print"],
Cell[460332, 18370, 35, 1, 22, "Print"],
Cell[460370, 18373, 35, 1, 22, "Print"],
Cell[460408, 18376, 35, 1, 22, "Print"],
Cell[460446, 18379, 35, 1, 22, "Print"],
Cell[460484, 18382, 35, 1, 22, "Print"],
Cell[460522, 18385, 35, 1, 22, "Print"],
Cell[460560, 18388, 35, 1, 22, "Print"],
Cell[460598, 18391, 35, 1, 22, "Print"],
Cell[460636, 18394, 35, 1, 22, "Print"],
Cell[460674, 18397, 35, 1, 22, "Print"],
Cell[460712, 18400, 35, 1, 22, "Print"],
Cell[460750, 18403, 35, 1, 22, "Print"],
Cell[460788, 18406, 35, 1, 22, "Print"],
Cell[460826, 18409, 35, 1, 22, "Print"],
Cell[460864, 18412, 35, 1, 22, "Print"],
Cell[460902, 18415, 35, 1, 22, "Print"],
Cell[460940, 18418, 35, 1, 22, "Print"],
Cell[460978, 18421, 35, 1, 22, "Print"],
Cell[461016, 18424, 35, 1, 22, "Print"],
Cell[461054, 18427, 35, 1, 22, "Print"],
Cell[461092, 18430, 35, 1, 22, "Print"],
Cell[461130, 18433, 35, 1, 22, "Print"],
Cell[461168, 18436, 35, 1, 22, "Print"],
Cell[461206, 18439, 35, 1, 22, "Print"],
Cell[461244, 18442, 35, 1, 22, "Print"],
Cell[461282, 18445, 35, 1, 22, "Print"],
Cell[461320, 18448, 35, 1, 22, "Print"],
Cell[461358, 18451, 35, 1, 22, "Print"],
Cell[461396, 18454, 35, 1, 22, "Print"],
Cell[461434, 18457, 35, 1, 22, "Print"],
Cell[461472, 18460, 34, 1, 22, "Print"],
Cell[461509, 18463, 34, 1, 22, "Print"],
Cell[461546, 18466, 34, 1, 22, "Print"],
Cell[461583, 18469, 34, 1, 22, "Print"],
Cell[461620, 18472, 34, 1, 22, "Print"],
Cell[461657, 18475, 34, 1, 22, "Print"],
Cell[461694, 18478, 34, 1, 22, "Print"],
Cell[461731, 18481, 34, 1, 22, "Print"],
Cell[461768, 18484, 34, 1, 22, "Print"],
Cell[461805, 18487, 50, 1, 22, "Print"],
Cell[461858, 18490, 77, 1, 22, "Print"],
Cell[461938, 18493, 76, 1, 22, "Print"],
Cell[462017, 18496, 61, 1, 22, "Print"],
Cell[462081, 18499, 159, 3, 22, "Print"],
Cell[462243, 18504, 159, 3, 22, "Print"],
Cell[462405, 18509, 159, 3, 22, "Print"],
Cell[462567, 18514, 159, 3, 22, "Print"],
Cell[462729, 18519, 159, 3, 22, "Print"],
Cell[462891, 18524, 159, 3, 22, "Print"],
Cell[463053, 18529, 159, 3, 22, "Print"],
Cell[463215, 18534, 159, 3, 22, "Print"],
Cell[463377, 18539, 161, 3, 22, "Print"],
Cell[463541, 18544, 161, 3, 22, "Print"],
Cell[463705, 18549, 161, 3, 22, "Print"],
Cell[463869, 18554, 161, 3, 22, "Print"],
Cell[464033, 18559, 161, 3, 22, "Print"],
Cell[464197, 18564, 161, 3, 22, "Print"],
Cell[464361, 18569, 161, 3, 22, "Print"],
Cell[464525, 18574, 161, 3, 22, "Print"],
Cell[464689, 18579, 161, 3, 22, "Print"],
Cell[464853, 18584, 161, 3, 22, "Print"],
Cell[465017, 18589, 161, 3, 22, "Print"],
Cell[465181, 18594, 46, 1, 22, "Print"],
Cell[465230, 18597, 46, 1, 22, "Print"],
Cell[465279, 18600, 202, 4, 22, "Print"],
Cell[465484, 18606, 36, 1, 22, "Print"],
Cell[465523, 18609, 35, 1, 22, "Print"],
Cell[465561, 18612, 35, 1, 22, "Print"],
Cell[465599, 18615, 35, 1, 22, "Print"],
Cell[465637, 18618, 35, 1, 22, "Print"],
Cell[465675, 18621, 35, 1, 22, "Print"],
Cell[465713, 18624, 35, 1, 22, "Print"],
Cell[465751, 18627, 35, 1, 22, "Print"],
Cell[465789, 18630, 35, 1, 22, "Print"],
Cell[465827, 18633, 35, 1, 22, "Print"],
Cell[465865, 18636, 35, 1, 22, "Print"],
Cell[465903, 18639, 35, 1, 22, "Print"],
Cell[465941, 18642, 35, 1, 22, "Print"],
Cell[465979, 18645, 35, 1, 22, "Print"],
Cell[466017, 18648, 35, 1, 22, "Print"],
Cell[466055, 18651, 35, 1, 22, "Print"],
Cell[466093, 18654, 35, 1, 22, "Print"],
Cell[466131, 18657, 35, 1, 22, "Print"],
Cell[466169, 18660, 35, 1, 22, "Print"],
Cell[466207, 18663, 35, 1, 22, "Print"],
Cell[466245, 18666, 35, 1, 22, "Print"],
Cell[466283, 18669, 35, 1, 22, "Print"],
Cell[466321, 18672, 35, 1, 22, "Print"],
Cell[466359, 18675, 35, 1, 22, "Print"],
Cell[466397, 18678, 35, 1, 22, "Print"],
Cell[466435, 18681, 35, 1, 22, "Print"],
Cell[466473, 18684, 35, 1, 22, "Print"],
Cell[466511, 18687, 35, 1, 22, "Print"],
Cell[466549, 18690, 35, 1, 22, "Print"],
Cell[466587, 18693, 35, 1, 22, "Print"],
Cell[466625, 18696, 35, 1, 22, "Print"],
Cell[466663, 18699, 35, 1, 22, "Print"],
Cell[466701, 18702, 35, 1, 22, "Print"],
Cell[466739, 18705, 35, 1, 22, "Print"],
Cell[466777, 18708, 35, 1, 22, "Print"],
Cell[466815, 18711, 35, 1, 22, "Print"],
Cell[466853, 18714, 35, 1, 22, "Print"],
Cell[466891, 18717, 35, 1, 22, "Print"],
Cell[466929, 18720, 35, 1, 22, "Print"],
Cell[466967, 18723, 35, 1, 22, "Print"],
Cell[467005, 18726, 35, 1, 22, "Print"],
Cell[467043, 18729, 35, 1, 22, "Print"],
Cell[467081, 18732, 35, 1, 22, "Print"],
Cell[467119, 18735, 35, 1, 22, "Print"],
Cell[467157, 18738, 35, 1, 22, "Print"],
Cell[467195, 18741, 35, 1, 22, "Print"],
Cell[467233, 18744, 35, 1, 22, "Print"],
Cell[467271, 18747, 35, 1, 22, "Print"],
Cell[467309, 18750, 35, 1, 22, "Print"],
Cell[467347, 18753, 35, 1, 22, "Print"],
Cell[467385, 18756, 35, 1, 22, "Print"],
Cell[467423, 18759, 35, 1, 22, "Print"],
Cell[467461, 18762, 35, 1, 22, "Print"],
Cell[467499, 18765, 35, 1, 22, "Print"],
Cell[467537, 18768, 35, 1, 22, "Print"],
Cell[467575, 18771, 35, 1, 22, "Print"],
Cell[467613, 18774, 35, 1, 22, "Print"],
Cell[467651, 18777, 35, 1, 22, "Print"],
Cell[467689, 18780, 35, 1, 22, "Print"],
Cell[467727, 18783, 35, 1, 22, "Print"],
Cell[467765, 18786, 35, 1, 22, "Print"],
Cell[467803, 18789, 35, 1, 22, "Print"],
Cell[467841, 18792, 35, 1, 22, "Print"],
Cell[467879, 18795, 35, 1, 22, "Print"],
Cell[467917, 18798, 35, 1, 22, "Print"],
Cell[467955, 18801, 35, 1, 22, "Print"],
Cell[467993, 18804, 35, 1, 22, "Print"],
Cell[468031, 18807, 35, 1, 22, "Print"],
Cell[468069, 18810, 35, 1, 22, "Print"],
Cell[468107, 18813, 35, 1, 22, "Print"],
Cell[468145, 18816, 35, 1, 22, "Print"],
Cell[468183, 18819, 35, 1, 22, "Print"],
Cell[468221, 18822, 35, 1, 22, "Print"],
Cell[468259, 18825, 35, 1, 22, "Print"],
Cell[468297, 18828, 35, 1, 22, "Print"],
Cell[468335, 18831, 35, 1, 22, "Print"],
Cell[468373, 18834, 35, 1, 22, "Print"],
Cell[468411, 18837, 35, 1, 22, "Print"],
Cell[468449, 18840, 35, 1, 22, "Print"],
Cell[468487, 18843, 35, 1, 22, "Print"],
Cell[468525, 18846, 35, 1, 22, "Print"],
Cell[468563, 18849, 35, 1, 22, "Print"],
Cell[468601, 18852, 35, 1, 22, "Print"],
Cell[468639, 18855, 35, 1, 22, "Print"],
Cell[468677, 18858, 35, 1, 22, "Print"],
Cell[468715, 18861, 35, 1, 22, "Print"],
Cell[468753, 18864, 35, 1, 22, "Print"],
Cell[468791, 18867, 35, 1, 22, "Print"],
Cell[468829, 18870, 35, 1, 22, "Print"],
Cell[468867, 18873, 35, 1, 22, "Print"],
Cell[468905, 18876, 35, 1, 22, "Print"],
Cell[468943, 18879, 34, 1, 22, "Print"],
Cell[468980, 18882, 34, 1, 22, "Print"],
Cell[469017, 18885, 34, 1, 22, "Print"],
Cell[469054, 18888, 34, 1, 22, "Print"],
Cell[469091, 18891, 34, 1, 22, "Print"],
Cell[469128, 18894, 34, 1, 22, "Print"],
Cell[469165, 18897, 34, 1, 22, "Print"],
Cell[469202, 18900, 34, 1, 22, "Print"],
Cell[469239, 18903, 34, 1, 22, "Print"],
Cell[469276, 18906, 49, 1, 22, "Print"],
Cell[469328, 18909, 77, 1, 22, "Print"],
Cell[469408, 18912, 76, 1, 22, "Print"],
Cell[469487, 18915, 61, 1, 22, "Print"],
Cell[469551, 18918, 159, 3, 22, "Print"],
Cell[469713, 18923, 159, 3, 22, "Print"],
Cell[469875, 18928, 159, 3, 22, "Print"],
Cell[470037, 18933, 159, 3, 22, "Print"],
Cell[470199, 18938, 159, 3, 22, "Print"],
Cell[470361, 18943, 159, 3, 22, "Print"],
Cell[470523, 18948, 159, 3, 22, "Print"],
Cell[470685, 18953, 159, 3, 22, "Print"],
Cell[470847, 18958, 161, 3, 22, "Print"],
Cell[471011, 18963, 161, 3, 22, "Print"],
Cell[471175, 18968, 161, 3, 22, "Print"],
Cell[471339, 18973, 161, 3, 22, "Print"],
Cell[471503, 18978, 161, 3, 22, "Print"],
Cell[471667, 18983, 161, 3, 22, "Print"],
Cell[471831, 18988, 161, 3, 22, "Print"],
Cell[471995, 18993, 161, 3, 22, "Print"],
Cell[472159, 18998, 161, 3, 22, "Print"],
Cell[472323, 19003, 161, 3, 22, "Print"],
Cell[472487, 19008, 161, 3, 22, "Print"],
Cell[472651, 19013, 45, 1, 22, "Print"],
Cell[472699, 19016, 46, 1, 22, "Print"],
Cell[472748, 19019, 202, 4, 22, "Print"],
Cell[472953, 19025, 36, 1, 22, "Print"],
Cell[472992, 19028, 35, 1, 22, "Print"],
Cell[473030, 19031, 35, 1, 22, "Print"],
Cell[473068, 19034, 35, 1, 22, "Print"],
Cell[473106, 19037, 35, 1, 22, "Print"],
Cell[473144, 19040, 35, 1, 22, "Print"],
Cell[473182, 19043, 35, 1, 22, "Print"],
Cell[473220, 19046, 35, 1, 22, "Print"],
Cell[473258, 19049, 35, 1, 22, "Print"],
Cell[473296, 19052, 35, 1, 22, "Print"],
Cell[473334, 19055, 35, 1, 22, "Print"],
Cell[473372, 19058, 35, 1, 22, "Print"],
Cell[473410, 19061, 35, 1, 22, "Print"],
Cell[473448, 19064, 35, 1, 22, "Print"],
Cell[473486, 19067, 35, 1, 22, "Print"],
Cell[473524, 19070, 35, 1, 22, "Print"],
Cell[473562, 19073, 35, 1, 22, "Print"],
Cell[473600, 19076, 35, 1, 22, "Print"],
Cell[473638, 19079, 35, 1, 22, "Print"],
Cell[473676, 19082, 35, 1, 22, "Print"],
Cell[473714, 19085, 35, 1, 22, "Print"],
Cell[473752, 19088, 35, 1, 22, "Print"],
Cell[473790, 19091, 35, 1, 22, "Print"],
Cell[473828, 19094, 35, 1, 22, "Print"],
Cell[473866, 19097, 35, 1, 22, "Print"],
Cell[473904, 19100, 35, 1, 22, "Print"],
Cell[473942, 19103, 35, 1, 22, "Print"],
Cell[473980, 19106, 35, 1, 22, "Print"],
Cell[474018, 19109, 35, 1, 22, "Print"],
Cell[474056, 19112, 35, 1, 22, "Print"],
Cell[474094, 19115, 35, 1, 22, "Print"],
Cell[474132, 19118, 35, 1, 22, "Print"],
Cell[474170, 19121, 35, 1, 22, "Print"],
Cell[474208, 19124, 35, 1, 22, "Print"],
Cell[474246, 19127, 35, 1, 22, "Print"],
Cell[474284, 19130, 35, 1, 22, "Print"],
Cell[474322, 19133, 35, 1, 22, "Print"],
Cell[474360, 19136, 35, 1, 22, "Print"],
Cell[474398, 19139, 35, 1, 22, "Print"],
Cell[474436, 19142, 35, 1, 22, "Print"],
Cell[474474, 19145, 35, 1, 22, "Print"],
Cell[474512, 19148, 35, 1, 22, "Print"],
Cell[474550, 19151, 35, 1, 22, "Print"],
Cell[474588, 19154, 35, 1, 22, "Print"],
Cell[474626, 19157, 35, 1, 22, "Print"],
Cell[474664, 19160, 35, 1, 22, "Print"],
Cell[474702, 19163, 35, 1, 22, "Print"],
Cell[474740, 19166, 35, 1, 22, "Print"],
Cell[474778, 19169, 35, 1, 22, "Print"],
Cell[474816, 19172, 35, 1, 22, "Print"],
Cell[474854, 19175, 35, 1, 22, "Print"],
Cell[474892, 19178, 35, 1, 22, "Print"],
Cell[474930, 19181, 35, 1, 22, "Print"],
Cell[474968, 19184, 35, 1, 22, "Print"],
Cell[475006, 19187, 35, 1, 22, "Print"],
Cell[475044, 19190, 35, 1, 22, "Print"],
Cell[475082, 19193, 35, 1, 22, "Print"],
Cell[475120, 19196, 35, 1, 22, "Print"],
Cell[475158, 19199, 35, 1, 22, "Print"],
Cell[475196, 19202, 35, 1, 22, "Print"],
Cell[475234, 19205, 35, 1, 22, "Print"],
Cell[475272, 19208, 35, 1, 22, "Print"],
Cell[475310, 19211, 35, 1, 22, "Print"],
Cell[475348, 19214, 35, 1, 22, "Print"],
Cell[475386, 19217, 35, 1, 22, "Print"],
Cell[475424, 19220, 35, 1, 22, "Print"],
Cell[475462, 19223, 35, 1, 22, "Print"],
Cell[475500, 19226, 35, 1, 22, "Print"],
Cell[475538, 19229, 35, 1, 22, "Print"],
Cell[475576, 19232, 35, 1, 22, "Print"],
Cell[475614, 19235, 35, 1, 22, "Print"],
Cell[475652, 19238, 35, 1, 22, "Print"],
Cell[475690, 19241, 35, 1, 22, "Print"],
Cell[475728, 19244, 35, 1, 22, "Print"],
Cell[475766, 19247, 35, 1, 22, "Print"],
Cell[475804, 19250, 35, 1, 22, "Print"],
Cell[475842, 19253, 35, 1, 22, "Print"],
Cell[475880, 19256, 35, 1, 22, "Print"],
Cell[475918, 19259, 35, 1, 22, "Print"],
Cell[475956, 19262, 35, 1, 22, "Print"],
Cell[475994, 19265, 35, 1, 22, "Print"],
Cell[476032, 19268, 35, 1, 22, "Print"],
Cell[476070, 19271, 35, 1, 22, "Print"],
Cell[476108, 19274, 35, 1, 22, "Print"],
Cell[476146, 19277, 35, 1, 22, "Print"],
Cell[476184, 19280, 35, 1, 22, "Print"],
Cell[476222, 19283, 35, 1, 22, "Print"],
Cell[476260, 19286, 35, 1, 22, "Print"],
Cell[476298, 19289, 35, 1, 22, "Print"],
Cell[476336, 19292, 35, 1, 22, "Print"],
Cell[476374, 19295, 35, 1, 22, "Print"],
Cell[476412, 19298, 34, 1, 22, "Print"],
Cell[476449, 19301, 34, 1, 22, "Print"],
Cell[476486, 19304, 34, 1, 22, "Print"],
Cell[476523, 19307, 34, 1, 22, "Print"],
Cell[476560, 19310, 34, 1, 22, "Print"],
Cell[476597, 19313, 34, 1, 22, "Print"],
Cell[476634, 19316, 34, 1, 22, "Print"],
Cell[476671, 19319, 34, 1, 22, "Print"],
Cell[476708, 19322, 34, 1, 22, "Print"],
Cell[476745, 19325, 49, 1, 22, "Print"],
Cell[476797, 19328, 77, 1, 22, "Print"],
Cell[476877, 19331, 76, 1, 22, "Print"],
Cell[476956, 19334, 61, 1, 22, "Print"],
Cell[477020, 19337, 159, 3, 22, "Print"],
Cell[477182, 19342, 159, 3, 22, "Print"],
Cell[477344, 19347, 159, 3, 22, "Print"],
Cell[477506, 19352, 159, 3, 22, "Print"],
Cell[477668, 19357, 159, 3, 22, "Print"],
Cell[477830, 19362, 159, 3, 22, "Print"],
Cell[477992, 19367, 159, 3, 22, "Print"],
Cell[478154, 19372, 159, 3, 22, "Print"],
Cell[478316, 19377, 161, 3, 22, "Print"],
Cell[478480, 19382, 161, 3, 22, "Print"],
Cell[478644, 19387, 161, 3, 22, "Print"],
Cell[478808, 19392, 161, 3, 22, "Print"],
Cell[478972, 19397, 161, 3, 22, "Print"],
Cell[479136, 19402, 161, 3, 22, "Print"],
Cell[479300, 19407, 161, 3, 22, "Print"],
Cell[479464, 19412, 161, 3, 22, "Print"],
Cell[479628, 19417, 161, 3, 22, "Print"],
Cell[479792, 19422, 161, 3, 22, "Print"],
Cell[479956, 19427, 161, 3, 22, "Print"],
Cell[480120, 19432, 45, 1, 22, "Print"],
Cell[480168, 19435, 48, 1, 22, "Print"],
Cell[480219, 19438, 201, 4, 22, "Print"],
Cell[480423, 19444, 36, 1, 22, "Print"],
Cell[480462, 19447, 35, 1, 22, "Print"],
Cell[480500, 19450, 35, 1, 22, "Print"],
Cell[480538, 19453, 35, 1, 22, "Print"],
Cell[480576, 19456, 35, 1, 22, "Print"],
Cell[480614, 19459, 35, 1, 22, "Print"],
Cell[480652, 19462, 35, 1, 22, "Print"],
Cell[480690, 19465, 35, 1, 22, "Print"],
Cell[480728, 19468, 35, 1, 22, "Print"],
Cell[480766, 19471, 35, 1, 22, "Print"],
Cell[480804, 19474, 35, 1, 22, "Print"],
Cell[480842, 19477, 35, 1, 22, "Print"],
Cell[480880, 19480, 35, 1, 22, "Print"],
Cell[480918, 19483, 35, 1, 22, "Print"],
Cell[480956, 19486, 35, 1, 22, "Print"],
Cell[480994, 19489, 35, 1, 22, "Print"],
Cell[481032, 19492, 35, 1, 22, "Print"],
Cell[481070, 19495, 35, 1, 22, "Print"],
Cell[481108, 19498, 35, 1, 22, "Print"],
Cell[481146, 19501, 35, 1, 22, "Print"],
Cell[481184, 19504, 35, 1, 22, "Print"],
Cell[481222, 19507, 35, 1, 22, "Print"],
Cell[481260, 19510, 35, 1, 22, "Print"],
Cell[481298, 19513, 35, 1, 22, "Print"],
Cell[481336, 19516, 35, 1, 22, "Print"],
Cell[481374, 19519, 35, 1, 22, "Print"],
Cell[481412, 19522, 35, 1, 22, "Print"],
Cell[481450, 19525, 35, 1, 22, "Print"],
Cell[481488, 19528, 35, 1, 22, "Print"],
Cell[481526, 19531, 35, 1, 22, "Print"],
Cell[481564, 19534, 35, 1, 22, "Print"],
Cell[481602, 19537, 35, 1, 22, "Print"],
Cell[481640, 19540, 35, 1, 22, "Print"],
Cell[481678, 19543, 35, 1, 22, "Print"],
Cell[481716, 19546, 35, 1, 22, "Print"],
Cell[481754, 19549, 35, 1, 22, "Print"],
Cell[481792, 19552, 35, 1, 22, "Print"],
Cell[481830, 19555, 35, 1, 22, "Print"],
Cell[481868, 19558, 35, 1, 22, "Print"],
Cell[481906, 19561, 35, 1, 22, "Print"],
Cell[481944, 19564, 35, 1, 22, "Print"],
Cell[481982, 19567, 35, 1, 22, "Print"],
Cell[482020, 19570, 35, 1, 22, "Print"],
Cell[482058, 19573, 35, 1, 22, "Print"],
Cell[482096, 19576, 35, 1, 22, "Print"],
Cell[482134, 19579, 35, 1, 22, "Print"],
Cell[482172, 19582, 35, 1, 22, "Print"],
Cell[482210, 19585, 35, 1, 22, "Print"],
Cell[482248, 19588, 35, 1, 22, "Print"],
Cell[482286, 19591, 35, 1, 22, "Print"],
Cell[482324, 19594, 35, 1, 22, "Print"],
Cell[482362, 19597, 35, 1, 22, "Print"],
Cell[482400, 19600, 35, 1, 22, "Print"],
Cell[482438, 19603, 35, 1, 22, "Print"],
Cell[482476, 19606, 35, 1, 22, "Print"],
Cell[482514, 19609, 35, 1, 22, "Print"],
Cell[482552, 19612, 35, 1, 22, "Print"],
Cell[482590, 19615, 35, 1, 22, "Print"],
Cell[482628, 19618, 35, 1, 22, "Print"],
Cell[482666, 19621, 35, 1, 22, "Print"],
Cell[482704, 19624, 35, 1, 22, "Print"],
Cell[482742, 19627, 35, 1, 22, "Print"],
Cell[482780, 19630, 35, 1, 22, "Print"],
Cell[482818, 19633, 35, 1, 22, "Print"],
Cell[482856, 19636, 35, 1, 22, "Print"],
Cell[482894, 19639, 35, 1, 22, "Print"],
Cell[482932, 19642, 35, 1, 22, "Print"],
Cell[482970, 19645, 35, 1, 22, "Print"],
Cell[483008, 19648, 35, 1, 22, "Print"],
Cell[483046, 19651, 35, 1, 22, "Print"],
Cell[483084, 19654, 35, 1, 22, "Print"],
Cell[483122, 19657, 35, 1, 22, "Print"],
Cell[483160, 19660, 35, 1, 22, "Print"],
Cell[483198, 19663, 35, 1, 22, "Print"],
Cell[483236, 19666, 35, 1, 22, "Print"],
Cell[483274, 19669, 35, 1, 22, "Print"],
Cell[483312, 19672, 35, 1, 22, "Print"],
Cell[483350, 19675, 35, 1, 22, "Print"],
Cell[483388, 19678, 35, 1, 22, "Print"],
Cell[483426, 19681, 35, 1, 22, "Print"],
Cell[483464, 19684, 35, 1, 22, "Print"],
Cell[483502, 19687, 35, 1, 22, "Print"],
Cell[483540, 19690, 35, 1, 22, "Print"],
Cell[483578, 19693, 35, 1, 22, "Print"],
Cell[483616, 19696, 35, 1, 22, "Print"],
Cell[483654, 19699, 35, 1, 22, "Print"],
Cell[483692, 19702, 35, 1, 22, "Print"],
Cell[483730, 19705, 35, 1, 22, "Print"],
Cell[483768, 19708, 35, 1, 22, "Print"],
Cell[483806, 19711, 35, 1, 22, "Print"],
Cell[483844, 19714, 35, 1, 22, "Print"],
Cell[483882, 19717, 34, 1, 22, "Print"],
Cell[483919, 19720, 34, 1, 22, "Print"],
Cell[483956, 19723, 34, 1, 22, "Print"],
Cell[483993, 19726, 34, 1, 22, "Print"],
Cell[484030, 19729, 34, 1, 22, "Print"],
Cell[484067, 19732, 34, 1, 22, "Print"],
Cell[484104, 19735, 34, 1, 22, "Print"],
Cell[484141, 19738, 34, 1, 22, "Print"],
Cell[484178, 19741, 34, 1, 22, "Print"],
Cell[484215, 19744, 51, 1, 22, "Print"],
Cell[484269, 19747, 77, 1, 22, "Print"],
Cell[484349, 19750, 76, 1, 22, "Print"],
Cell[484428, 19753, 61, 1, 22, "Print"],
Cell[484492, 19756, 159, 3, 22, "Print"],
Cell[484654, 19761, 159, 3, 22, "Print"],
Cell[484816, 19766, 159, 3, 22, "Print"],
Cell[484978, 19771, 159, 3, 22, "Print"],
Cell[485140, 19776, 159, 3, 22, "Print"],
Cell[485302, 19781, 159, 3, 22, "Print"],
Cell[485464, 19786, 159, 3, 22, "Print"],
Cell[485626, 19791, 159, 3, 22, "Print"],
Cell[485788, 19796, 161, 3, 22, "Print"],
Cell[485952, 19801, 161, 3, 22, "Print"],
Cell[486116, 19806, 161, 3, 22, "Print"],
Cell[486280, 19811, 161, 3, 22, "Print"],
Cell[486444, 19816, 161, 3, 22, "Print"],
Cell[486608, 19821, 161, 3, 22, "Print"],
Cell[486772, 19826, 161, 3, 22, "Print"],
Cell[486936, 19831, 161, 3, 22, "Print"],
Cell[487100, 19836, 161, 3, 22, "Print"],
Cell[487264, 19841, 161, 3, 22, "Print"],
Cell[487428, 19846, 161, 3, 22, "Print"],
Cell[487592, 19851, 47, 1, 22, "Print"],
Cell[487642, 19854, 48, 1, 22, "Print"],
Cell[487693, 19857, 202, 4, 22, "Print"],
Cell[487898, 19863, 36, 1, 22, "Print"],
Cell[487937, 19866, 35, 1, 22, "Print"],
Cell[487975, 19869, 35, 1, 22, "Print"],
Cell[488013, 19872, 35, 1, 22, "Print"],
Cell[488051, 19875, 35, 1, 22, "Print"],
Cell[488089, 19878, 35, 1, 22, "Print"],
Cell[488127, 19881, 35, 1, 22, "Print"],
Cell[488165, 19884, 35, 1, 22, "Print"],
Cell[488203, 19887, 35, 1, 22, "Print"],
Cell[488241, 19890, 35, 1, 22, "Print"],
Cell[488279, 19893, 35, 1, 22, "Print"],
Cell[488317, 19896, 35, 1, 22, "Print"],
Cell[488355, 19899, 35, 1, 22, "Print"],
Cell[488393, 19902, 35, 1, 22, "Print"],
Cell[488431, 19905, 35, 1, 22, "Print"],
Cell[488469, 19908, 35, 1, 22, "Print"],
Cell[488507, 19911, 35, 1, 22, "Print"],
Cell[488545, 19914, 35, 1, 22, "Print"],
Cell[488583, 19917, 35, 1, 22, "Print"],
Cell[488621, 19920, 35, 1, 22, "Print"],
Cell[488659, 19923, 35, 1, 22, "Print"],
Cell[488697, 19926, 35, 1, 22, "Print"],
Cell[488735, 19929, 35, 1, 22, "Print"],
Cell[488773, 19932, 35, 1, 22, "Print"],
Cell[488811, 19935, 35, 1, 22, "Print"],
Cell[488849, 19938, 35, 1, 22, "Print"],
Cell[488887, 19941, 35, 1, 22, "Print"],
Cell[488925, 19944, 35, 1, 22, "Print"],
Cell[488963, 19947, 35, 1, 22, "Print"],
Cell[489001, 19950, 35, 1, 22, "Print"],
Cell[489039, 19953, 35, 1, 22, "Print"],
Cell[489077, 19956, 35, 1, 22, "Print"],
Cell[489115, 19959, 35, 1, 22, "Print"],
Cell[489153, 19962, 35, 1, 22, "Print"],
Cell[489191, 19965, 35, 1, 22, "Print"],
Cell[489229, 19968, 35, 1, 22, "Print"],
Cell[489267, 19971, 35, 1, 22, "Print"],
Cell[489305, 19974, 35, 1, 22, "Print"],
Cell[489343, 19977, 35, 1, 22, "Print"],
Cell[489381, 19980, 35, 1, 22, "Print"],
Cell[489419, 19983, 35, 1, 22, "Print"],
Cell[489457, 19986, 35, 1, 22, "Print"],
Cell[489495, 19989, 35, 1, 22, "Print"],
Cell[489533, 19992, 35, 1, 22, "Print"],
Cell[489571, 19995, 35, 1, 22, "Print"],
Cell[489609, 19998, 35, 1, 22, "Print"],
Cell[489647, 20001, 35, 1, 22, "Print"],
Cell[489685, 20004, 35, 1, 22, "Print"],
Cell[489723, 20007, 35, 1, 22, "Print"],
Cell[489761, 20010, 35, 1, 22, "Print"],
Cell[489799, 20013, 35, 1, 22, "Print"],
Cell[489837, 20016, 35, 1, 22, "Print"],
Cell[489875, 20019, 35, 1, 22, "Print"],
Cell[489913, 20022, 35, 1, 22, "Print"],
Cell[489951, 20025, 35, 1, 22, "Print"],
Cell[489989, 20028, 35, 1, 22, "Print"],
Cell[490027, 20031, 35, 1, 22, "Print"],
Cell[490065, 20034, 35, 1, 22, "Print"],
Cell[490103, 20037, 35, 1, 22, "Print"],
Cell[490141, 20040, 35, 1, 22, "Print"],
Cell[490179, 20043, 35, 1, 22, "Print"],
Cell[490217, 20046, 35, 1, 22, "Print"],
Cell[490255, 20049, 35, 1, 22, "Print"],
Cell[490293, 20052, 35, 1, 22, "Print"],
Cell[490331, 20055, 35, 1, 22, "Print"],
Cell[490369, 20058, 35, 1, 22, "Print"],
Cell[490407, 20061, 35, 1, 22, "Print"],
Cell[490445, 20064, 35, 1, 22, "Print"],
Cell[490483, 20067, 35, 1, 22, "Print"],
Cell[490521, 20070, 35, 1, 22, "Print"],
Cell[490559, 20073, 35, 1, 22, "Print"],
Cell[490597, 20076, 35, 1, 22, "Print"],
Cell[490635, 20079, 35, 1, 22, "Print"],
Cell[490673, 20082, 35, 1, 22, "Print"],
Cell[490711, 20085, 35, 1, 22, "Print"],
Cell[490749, 20088, 35, 1, 22, "Print"],
Cell[490787, 20091, 35, 1, 22, "Print"],
Cell[490825, 20094, 35, 1, 22, "Print"],
Cell[490863, 20097, 35, 1, 22, "Print"],
Cell[490901, 20100, 35, 1, 22, "Print"],
Cell[490939, 20103, 35, 1, 22, "Print"],
Cell[490977, 20106, 35, 1, 22, "Print"],
Cell[491015, 20109, 35, 1, 22, "Print"],
Cell[491053, 20112, 35, 1, 22, "Print"],
Cell[491091, 20115, 35, 1, 22, "Print"],
Cell[491129, 20118, 35, 1, 22, "Print"],
Cell[491167, 20121, 35, 1, 22, "Print"],
Cell[491205, 20124, 35, 1, 22, "Print"],
Cell[491243, 20127, 35, 1, 22, "Print"],
Cell[491281, 20130, 35, 1, 22, "Print"],
Cell[491319, 20133, 35, 1, 22, "Print"],
Cell[491357, 20136, 34, 1, 22, "Print"],
Cell[491394, 20139, 34, 1, 22, "Print"],
Cell[491431, 20142, 34, 1, 22, "Print"],
Cell[491468, 20145, 34, 1, 22, "Print"],
Cell[491505, 20148, 34, 1, 22, "Print"],
Cell[491542, 20151, 34, 1, 22, "Print"],
Cell[491579, 20154, 34, 1, 22, "Print"],
Cell[491616, 20157, 34, 1, 22, "Print"],
Cell[491653, 20160, 34, 1, 22, "Print"],
Cell[491690, 20163, 51, 1, 22, "Print"],
Cell[491744, 20166, 77, 1, 22, "Print"],
Cell[491824, 20169, 76, 1, 22, "Print"],
Cell[491903, 20172, 61, 1, 22, "Print"],
Cell[491967, 20175, 159, 3, 22, "Print"],
Cell[492129, 20180, 159, 3, 22, "Print"],
Cell[492291, 20185, 159, 3, 22, "Print"],
Cell[492453, 20190, 159, 3, 22, "Print"],
Cell[492615, 20195, 159, 3, 22, "Print"],
Cell[492777, 20200, 159, 3, 22, "Print"],
Cell[492939, 20205, 159, 3, 22, "Print"],
Cell[493101, 20210, 159, 3, 22, "Print"],
Cell[493263, 20215, 161, 3, 22, "Print"],
Cell[493427, 20220, 161, 3, 22, "Print"],
Cell[493591, 20225, 161, 3, 22, "Print"],
Cell[493755, 20230, 161, 3, 22, "Print"],
Cell[493919, 20235, 161, 3, 22, "Print"],
Cell[494083, 20240, 161, 3, 22, "Print"],
Cell[494247, 20245, 161, 3, 22, "Print"],
Cell[494411, 20250, 161, 3, 22, "Print"],
Cell[494575, 20255, 161, 3, 22, "Print"],
Cell[494739, 20260, 161, 3, 22, "Print"],
Cell[494903, 20265, 161, 3, 22, "Print"],
Cell[495067, 20270, 47, 1, 22, "Print"],
Cell[495117, 20273, 46, 1, 22, "Print"],
Cell[495166, 20276, 202, 4, 22, "Print"],
Cell[495371, 20282, 36, 1, 22, "Print"],
Cell[495410, 20285, 35, 1, 22, "Print"],
Cell[495448, 20288, 35, 1, 22, "Print"],
Cell[495486, 20291, 35, 1, 22, "Print"],
Cell[495524, 20294, 35, 1, 22, "Print"],
Cell[495562, 20297, 35, 1, 22, "Print"],
Cell[495600, 20300, 35, 1, 22, "Print"],
Cell[495638, 20303, 35, 1, 22, "Print"],
Cell[495676, 20306, 35, 1, 22, "Print"],
Cell[495714, 20309, 35, 1, 22, "Print"],
Cell[495752, 20312, 35, 1, 22, "Print"],
Cell[495790, 20315, 35, 1, 22, "Print"],
Cell[495828, 20318, 35, 1, 22, "Print"],
Cell[495866, 20321, 35, 1, 22, "Print"],
Cell[495904, 20324, 35, 1, 22, "Print"],
Cell[495942, 20327, 35, 1, 22, "Print"],
Cell[495980, 20330, 35, 1, 22, "Print"],
Cell[496018, 20333, 35, 1, 22, "Print"],
Cell[496056, 20336, 35, 1, 22, "Print"],
Cell[496094, 20339, 35, 1, 22, "Print"],
Cell[496132, 20342, 35, 1, 22, "Print"],
Cell[496170, 20345, 35, 1, 22, "Print"],
Cell[496208, 20348, 35, 1, 22, "Print"],
Cell[496246, 20351, 35, 1, 22, "Print"],
Cell[496284, 20354, 35, 1, 22, "Print"],
Cell[496322, 20357, 35, 1, 22, "Print"],
Cell[496360, 20360, 35, 1, 22, "Print"],
Cell[496398, 20363, 35, 1, 22, "Print"],
Cell[496436, 20366, 35, 1, 22, "Print"],
Cell[496474, 20369, 35, 1, 22, "Print"],
Cell[496512, 20372, 35, 1, 22, "Print"],
Cell[496550, 20375, 35, 1, 22, "Print"],
Cell[496588, 20378, 35, 1, 22, "Print"],
Cell[496626, 20381, 35, 1, 22, "Print"],
Cell[496664, 20384, 35, 1, 22, "Print"],
Cell[496702, 20387, 35, 1, 22, "Print"],
Cell[496740, 20390, 35, 1, 22, "Print"],
Cell[496778, 20393, 35, 1, 22, "Print"],
Cell[496816, 20396, 35, 1, 22, "Print"],
Cell[496854, 20399, 35, 1, 22, "Print"],
Cell[496892, 20402, 35, 1, 22, "Print"],
Cell[496930, 20405, 35, 1, 22, "Print"],
Cell[496968, 20408, 35, 1, 22, "Print"],
Cell[497006, 20411, 35, 1, 22, "Print"],
Cell[497044, 20414, 35, 1, 22, "Print"],
Cell[497082, 20417, 35, 1, 22, "Print"],
Cell[497120, 20420, 35, 1, 22, "Print"],
Cell[497158, 20423, 35, 1, 22, "Print"],
Cell[497196, 20426, 35, 1, 22, "Print"],
Cell[497234, 20429, 35, 1, 22, "Print"],
Cell[497272, 20432, 35, 1, 22, "Print"],
Cell[497310, 20435, 35, 1, 22, "Print"],
Cell[497348, 20438, 35, 1, 22, "Print"],
Cell[497386, 20441, 35, 1, 22, "Print"],
Cell[497424, 20444, 35, 1, 22, "Print"],
Cell[497462, 20447, 35, 1, 22, "Print"],
Cell[497500, 20450, 35, 1, 22, "Print"],
Cell[497538, 20453, 35, 1, 22, "Print"],
Cell[497576, 20456, 35, 1, 22, "Print"],
Cell[497614, 20459, 35, 1, 22, "Print"],
Cell[497652, 20462, 35, 1, 22, "Print"],
Cell[497690, 20465, 35, 1, 22, "Print"],
Cell[497728, 20468, 35, 1, 22, "Print"],
Cell[497766, 20471, 35, 1, 22, "Print"],
Cell[497804, 20474, 35, 1, 22, "Print"],
Cell[497842, 20477, 35, 1, 22, "Print"],
Cell[497880, 20480, 35, 1, 22, "Print"],
Cell[497918, 20483, 35, 1, 22, "Print"],
Cell[497956, 20486, 35, 1, 22, "Print"],
Cell[497994, 20489, 35, 1, 22, "Print"],
Cell[498032, 20492, 35, 1, 22, "Print"],
Cell[498070, 20495, 35, 1, 22, "Print"],
Cell[498108, 20498, 35, 1, 22, "Print"],
Cell[498146, 20501, 35, 1, 22, "Print"],
Cell[498184, 20504, 35, 1, 22, "Print"],
Cell[498222, 20507, 35, 1, 22, "Print"],
Cell[498260, 20510, 35, 1, 22, "Print"],
Cell[498298, 20513, 35, 1, 22, "Print"],
Cell[498336, 20516, 35, 1, 22, "Print"],
Cell[498374, 20519, 35, 1, 22, "Print"],
Cell[498412, 20522, 35, 1, 22, "Print"],
Cell[498450, 20525, 35, 1, 22, "Print"],
Cell[498488, 20528, 35, 1, 22, "Print"],
Cell[498526, 20531, 35, 1, 22, "Print"],
Cell[498564, 20534, 35, 1, 22, "Print"],
Cell[498602, 20537, 35, 1, 22, "Print"],
Cell[498640, 20540, 35, 1, 22, "Print"],
Cell[498678, 20543, 35, 1, 22, "Print"],
Cell[498716, 20546, 35, 1, 22, "Print"],
Cell[498754, 20549, 35, 1, 22, "Print"],
Cell[498792, 20552, 35, 1, 22, "Print"],
Cell[498830, 20555, 34, 1, 22, "Print"],
Cell[498867, 20558, 34, 1, 22, "Print"],
Cell[498904, 20561, 34, 1, 22, "Print"],
Cell[498941, 20564, 34, 1, 22, "Print"],
Cell[498978, 20567, 34, 1, 22, "Print"],
Cell[499015, 20570, 34, 1, 22, "Print"],
Cell[499052, 20573, 34, 1, 22, "Print"],
Cell[499089, 20576, 34, 1, 22, "Print"],
Cell[499126, 20579, 34, 1, 22, "Print"],
Cell[499163, 20582, 49, 1, 22, "Print"],
Cell[499215, 20585, 77, 1, 22, "Print"],
Cell[499295, 20588, 76, 1, 22, "Print"],
Cell[499374, 20591, 61, 1, 22, "Print"],
Cell[499438, 20594, 159, 3, 22, "Print"],
Cell[499600, 20599, 159, 3, 22, "Print"],
Cell[499762, 20604, 159, 3, 22, "Print"],
Cell[499924, 20609, 159, 3, 22, "Print"],
Cell[500086, 20614, 159, 3, 22, "Print"],
Cell[500248, 20619, 159, 3, 22, "Print"],
Cell[500410, 20624, 159, 3, 22, "Print"],
Cell[500572, 20629, 159, 3, 22, "Print"],
Cell[500734, 20634, 161, 3, 22, "Print"],
Cell[500898, 20639, 161, 3, 22, "Print"],
Cell[501062, 20644, 161, 3, 22, "Print"],
Cell[501226, 20649, 161, 3, 22, "Print"],
Cell[501390, 20654, 161, 3, 22, "Print"],
Cell[501554, 20659, 161, 3, 22, "Print"],
Cell[501718, 20664, 161, 3, 22, "Print"],
Cell[501882, 20669, 161, 3, 22, "Print"],
Cell[502046, 20674, 161, 3, 22, "Print"],
Cell[502210, 20679, 161, 3, 22, "Print"],
Cell[502374, 20684, 161, 3, 22, "Print"],
Cell[502538, 20689, 45, 1, 22, "Print"],
Cell[502586, 20692, 46, 1, 22, "Print"],
Cell[502635, 20695, 202, 4, 22, "Print"],
Cell[502840, 20701, 36, 1, 22, "Print"],
Cell[502879, 20704, 35, 1, 22, "Print"],
Cell[502917, 20707, 35, 1, 22, "Print"],
Cell[502955, 20710, 35, 1, 22, "Print"],
Cell[502993, 20713, 35, 1, 22, "Print"],
Cell[503031, 20716, 35, 1, 22, "Print"],
Cell[503069, 20719, 35, 1, 22, "Print"],
Cell[503107, 20722, 35, 1, 22, "Print"],
Cell[503145, 20725, 35, 1, 22, "Print"],
Cell[503183, 20728, 35, 1, 22, "Print"],
Cell[503221, 20731, 35, 1, 22, "Print"],
Cell[503259, 20734, 35, 1, 22, "Print"],
Cell[503297, 20737, 35, 1, 22, "Print"],
Cell[503335, 20740, 35, 1, 22, "Print"],
Cell[503373, 20743, 35, 1, 22, "Print"],
Cell[503411, 20746, 35, 1, 22, "Print"],
Cell[503449, 20749, 35, 1, 22, "Print"],
Cell[503487, 20752, 35, 1, 22, "Print"],
Cell[503525, 20755, 35, 1, 22, "Print"],
Cell[503563, 20758, 35, 1, 22, "Print"],
Cell[503601, 20761, 35, 1, 22, "Print"],
Cell[503639, 20764, 35, 1, 22, "Print"],
Cell[503677, 20767, 35, 1, 22, "Print"],
Cell[503715, 20770, 35, 1, 22, "Print"],
Cell[503753, 20773, 35, 1, 22, "Print"],
Cell[503791, 20776, 35, 1, 22, "Print"],
Cell[503829, 20779, 35, 1, 22, "Print"],
Cell[503867, 20782, 35, 1, 22, "Print"],
Cell[503905, 20785, 35, 1, 22, "Print"],
Cell[503943, 20788, 35, 1, 22, "Print"],
Cell[503981, 20791, 35, 1, 22, "Print"],
Cell[504019, 20794, 35, 1, 22, "Print"],
Cell[504057, 20797, 35, 1, 22, "Print"],
Cell[504095, 20800, 35, 1, 22, "Print"],
Cell[504133, 20803, 35, 1, 22, "Print"],
Cell[504171, 20806, 35, 1, 22, "Print"],
Cell[504209, 20809, 35, 1, 22, "Print"],
Cell[504247, 20812, 35, 1, 22, "Print"],
Cell[504285, 20815, 35, 1, 22, "Print"],
Cell[504323, 20818, 35, 1, 22, "Print"],
Cell[504361, 20821, 35, 1, 22, "Print"],
Cell[504399, 20824, 35, 1, 22, "Print"],
Cell[504437, 20827, 35, 1, 22, "Print"],
Cell[504475, 20830, 35, 1, 22, "Print"],
Cell[504513, 20833, 35, 1, 22, "Print"],
Cell[504551, 20836, 35, 1, 22, "Print"],
Cell[504589, 20839, 35, 1, 22, "Print"],
Cell[504627, 20842, 35, 1, 22, "Print"],
Cell[504665, 20845, 35, 1, 22, "Print"],
Cell[504703, 20848, 35, 1, 22, "Print"],
Cell[504741, 20851, 35, 1, 22, "Print"],
Cell[504779, 20854, 35, 1, 22, "Print"],
Cell[504817, 20857, 35, 1, 22, "Print"],
Cell[504855, 20860, 35, 1, 22, "Print"],
Cell[504893, 20863, 35, 1, 22, "Print"],
Cell[504931, 20866, 35, 1, 22, "Print"],
Cell[504969, 20869, 35, 1, 22, "Print"],
Cell[505007, 20872, 35, 1, 22, "Print"],
Cell[505045, 20875, 35, 1, 22, "Print"],
Cell[505083, 20878, 35, 1, 22, "Print"],
Cell[505121, 20881, 35, 1, 22, "Print"],
Cell[505159, 20884, 35, 1, 22, "Print"],
Cell[505197, 20887, 35, 1, 22, "Print"],
Cell[505235, 20890, 35, 1, 22, "Print"],
Cell[505273, 20893, 35, 1, 22, "Print"],
Cell[505311, 20896, 35, 1, 22, "Print"],
Cell[505349, 20899, 35, 1, 22, "Print"],
Cell[505387, 20902, 35, 1, 22, "Print"],
Cell[505425, 20905, 35, 1, 22, "Print"],
Cell[505463, 20908, 35, 1, 22, "Print"],
Cell[505501, 20911, 35, 1, 22, "Print"],
Cell[505539, 20914, 35, 1, 22, "Print"],
Cell[505577, 20917, 35, 1, 22, "Print"],
Cell[505615, 20920, 35, 1, 22, "Print"],
Cell[505653, 20923, 35, 1, 22, "Print"],
Cell[505691, 20926, 35, 1, 22, "Print"],
Cell[505729, 20929, 35, 1, 22, "Print"],
Cell[505767, 20932, 35, 1, 22, "Print"],
Cell[505805, 20935, 35, 1, 22, "Print"],
Cell[505843, 20938, 35, 1, 22, "Print"],
Cell[505881, 20941, 35, 1, 22, "Print"],
Cell[505919, 20944, 35, 1, 22, "Print"],
Cell[505957, 20947, 35, 1, 22, "Print"],
Cell[505995, 20950, 35, 1, 22, "Print"],
Cell[506033, 20953, 35, 1, 22, "Print"],
Cell[506071, 20956, 35, 1, 22, "Print"],
Cell[506109, 20959, 35, 1, 22, "Print"],
Cell[506147, 20962, 35, 1, 22, "Print"],
Cell[506185, 20965, 35, 1, 22, "Print"],
Cell[506223, 20968, 35, 1, 22, "Print"],
Cell[506261, 20971, 35, 1, 22, "Print"],
Cell[506299, 20974, 34, 1, 22, "Print"],
Cell[506336, 20977, 34, 1, 22, "Print"],
Cell[506373, 20980, 34, 1, 22, "Print"],
Cell[506410, 20983, 34, 1, 22, "Print"],
Cell[506447, 20986, 34, 1, 22, "Print"],
Cell[506484, 20989, 34, 1, 22, "Print"],
Cell[506521, 20992, 34, 1, 22, "Print"],
Cell[506558, 20995, 34, 1, 22, "Print"],
Cell[506595, 20998, 34, 1, 22, "Print"],
Cell[506632, 21001, 49, 1, 22, "Print"],
Cell[506684, 21004, 77, 1, 22, "Print"],
Cell[506764, 21007, 76, 1, 22, "Print"],
Cell[506843, 21010, 61, 1, 22, "Print"],
Cell[506907, 21013, 159, 3, 22, "Print"],
Cell[507069, 21018, 159, 3, 22, "Print"],
Cell[507231, 21023, 159, 3, 22, "Print"],
Cell[507393, 21028, 159, 3, 22, "Print"],
Cell[507555, 21033, 159, 3, 22, "Print"],
Cell[507717, 21038, 159, 3, 22, "Print"],
Cell[507879, 21043, 159, 3, 22, "Print"],
Cell[508041, 21048, 159, 3, 22, "Print"],
Cell[508203, 21053, 161, 3, 22, "Print"],
Cell[508367, 21058, 161, 3, 22, "Print"],
Cell[508531, 21063, 161, 3, 22, "Print"],
Cell[508695, 21068, 161, 3, 22, "Print"],
Cell[508859, 21073, 161, 3, 22, "Print"],
Cell[509023, 21078, 161, 3, 22, "Print"],
Cell[509187, 21083, 161, 3, 22, "Print"],
Cell[509351, 21088, 161, 3, 22, "Print"],
Cell[509515, 21093, 161, 3, 22, "Print"],
Cell[509679, 21098, 161, 3, 22, "Print"],
Cell[509843, 21103, 161, 3, 22, "Print"],
Cell[510007, 21108, 45, 1, 22, "Print"],
Cell[510055, 21111, 47, 1, 22, "Print"],
Cell[510105, 21114, 202, 4, 22, "Print"],
Cell[510310, 21120, 36, 1, 22, "Print"],
Cell[510349, 21123, 35, 1, 22, "Print"],
Cell[510387, 21126, 35, 1, 22, "Print"],
Cell[510425, 21129, 35, 1, 22, "Print"],
Cell[510463, 21132, 35, 1, 22, "Print"],
Cell[510501, 21135, 35, 1, 22, "Print"],
Cell[510539, 21138, 35, 1, 22, "Print"],
Cell[510577, 21141, 35, 1, 22, "Print"],
Cell[510615, 21144, 35, 1, 22, "Print"],
Cell[510653, 21147, 35, 1, 22, "Print"],
Cell[510691, 21150, 35, 1, 22, "Print"],
Cell[510729, 21153, 35, 1, 22, "Print"],
Cell[510767, 21156, 35, 1, 22, "Print"],
Cell[510805, 21159, 35, 1, 22, "Print"],
Cell[510843, 21162, 35, 1, 22, "Print"],
Cell[510881, 21165, 35, 1, 22, "Print"],
Cell[510919, 21168, 35, 1, 22, "Print"],
Cell[510957, 21171, 35, 1, 22, "Print"],
Cell[510995, 21174, 35, 1, 22, "Print"],
Cell[511033, 21177, 35, 1, 22, "Print"],
Cell[511071, 21180, 35, 1, 22, "Print"],
Cell[511109, 21183, 35, 1, 22, "Print"],
Cell[511147, 21186, 35, 1, 22, "Print"],
Cell[511185, 21189, 35, 1, 22, "Print"],
Cell[511223, 21192, 35, 1, 22, "Print"],
Cell[511261, 21195, 35, 1, 22, "Print"],
Cell[511299, 21198, 35, 1, 22, "Print"],
Cell[511337, 21201, 35, 1, 22, "Print"],
Cell[511375, 21204, 35, 1, 22, "Print"],
Cell[511413, 21207, 35, 1, 22, "Print"],
Cell[511451, 21210, 35, 1, 22, "Print"],
Cell[511489, 21213, 35, 1, 22, "Print"],
Cell[511527, 21216, 35, 1, 22, "Print"],
Cell[511565, 21219, 35, 1, 22, "Print"],
Cell[511603, 21222, 35, 1, 22, "Print"],
Cell[511641, 21225, 35, 1, 22, "Print"],
Cell[511679, 21228, 35, 1, 22, "Print"],
Cell[511717, 21231, 35, 1, 22, "Print"],
Cell[511755, 21234, 35, 1, 22, "Print"],
Cell[511793, 21237, 35, 1, 22, "Print"],
Cell[511831, 21240, 35, 1, 22, "Print"],
Cell[511869, 21243, 35, 1, 22, "Print"],
Cell[511907, 21246, 35, 1, 22, "Print"],
Cell[511945, 21249, 35, 1, 22, "Print"],
Cell[511983, 21252, 35, 1, 22, "Print"],
Cell[512021, 21255, 35, 1, 22, "Print"],
Cell[512059, 21258, 35, 1, 22, "Print"],
Cell[512097, 21261, 35, 1, 22, "Print"],
Cell[512135, 21264, 35, 1, 22, "Print"],
Cell[512173, 21267, 35, 1, 22, "Print"],
Cell[512211, 21270, 35, 1, 22, "Print"],
Cell[512249, 21273, 35, 1, 22, "Print"],
Cell[512287, 21276, 35, 1, 22, "Print"],
Cell[512325, 21279, 35, 1, 22, "Print"],
Cell[512363, 21282, 35, 1, 22, "Print"],
Cell[512401, 21285, 35, 1, 22, "Print"],
Cell[512439, 21288, 35, 1, 22, "Print"],
Cell[512477, 21291, 35, 1, 22, "Print"],
Cell[512515, 21294, 35, 1, 22, "Print"],
Cell[512553, 21297, 35, 1, 22, "Print"],
Cell[512591, 21300, 35, 1, 22, "Print"],
Cell[512629, 21303, 35, 1, 22, "Print"],
Cell[512667, 21306, 35, 1, 22, "Print"],
Cell[512705, 21309, 35, 1, 22, "Print"],
Cell[512743, 21312, 35, 1, 22, "Print"],
Cell[512781, 21315, 35, 1, 22, "Print"],
Cell[512819, 21318, 35, 1, 22, "Print"],
Cell[512857, 21321, 35, 1, 22, "Print"],
Cell[512895, 21324, 35, 1, 22, "Print"],
Cell[512933, 21327, 35, 1, 22, "Print"],
Cell[512971, 21330, 35, 1, 22, "Print"],
Cell[513009, 21333, 35, 1, 22, "Print"],
Cell[513047, 21336, 35, 1, 22, "Print"],
Cell[513085, 21339, 35, 1, 22, "Print"],
Cell[513123, 21342, 35, 1, 22, "Print"],
Cell[513161, 21345, 35, 1, 22, "Print"],
Cell[513199, 21348, 35, 1, 22, "Print"],
Cell[513237, 21351, 35, 1, 22, "Print"],
Cell[513275, 21354, 35, 1, 22, "Print"],
Cell[513313, 21357, 35, 1, 22, "Print"],
Cell[513351, 21360, 35, 1, 22, "Print"],
Cell[513389, 21363, 35, 1, 22, "Print"],
Cell[513427, 21366, 35, 1, 22, "Print"],
Cell[513465, 21369, 35, 1, 22, "Print"],
Cell[513503, 21372, 35, 1, 22, "Print"],
Cell[513541, 21375, 35, 1, 22, "Print"],
Cell[513579, 21378, 35, 1, 22, "Print"],
Cell[513617, 21381, 35, 1, 22, "Print"],
Cell[513655, 21384, 35, 1, 22, "Print"],
Cell[513693, 21387, 35, 1, 22, "Print"],
Cell[513731, 21390, 35, 1, 22, "Print"],
Cell[513769, 21393, 34, 1, 22, "Print"],
Cell[513806, 21396, 34, 1, 22, "Print"],
Cell[513843, 21399, 34, 1, 22, "Print"],
Cell[513880, 21402, 34, 1, 22, "Print"],
Cell[513917, 21405, 34, 1, 22, "Print"],
Cell[513954, 21408, 34, 1, 22, "Print"],
Cell[513991, 21411, 34, 1, 22, "Print"],
Cell[514028, 21414, 34, 1, 22, "Print"],
Cell[514065, 21417, 34, 1, 22, "Print"],
Cell[514102, 21420, 50, 1, 22, "Print"],
Cell[514155, 21423, 77, 1, 22, "Print"],
Cell[514235, 21426, 76, 1, 22, "Print"],
Cell[514314, 21429, 61, 1, 22, "Print"],
Cell[514378, 21432, 159, 3, 22, "Print"],
Cell[514540, 21437, 159, 3, 22, "Print"],
Cell[514702, 21442, 159, 3, 22, "Print"],
Cell[514864, 21447, 159, 3, 22, "Print"],
Cell[515026, 21452, 159, 3, 22, "Print"],
Cell[515188, 21457, 159, 3, 22, "Print"],
Cell[515350, 21462, 159, 3, 22, "Print"],
Cell[515512, 21467, 159, 3, 22, "Print"],
Cell[515674, 21472, 161, 3, 22, "Print"],
Cell[515838, 21477, 161, 3, 22, "Print"],
Cell[516002, 21482, 161, 3, 22, "Print"],
Cell[516166, 21487, 161, 3, 22, "Print"],
Cell[516330, 21492, 161, 3, 22, "Print"],
Cell[516494, 21497, 161, 3, 22, "Print"],
Cell[516658, 21502, 161, 3, 22, "Print"],
Cell[516822, 21507, 161, 3, 22, "Print"],
Cell[516986, 21512, 161, 3, 22, "Print"],
Cell[517150, 21517, 161, 3, 22, "Print"],
Cell[517314, 21522, 161, 3, 22, "Print"],
Cell[517478, 21527, 46, 1, 22, "Print"],
Cell[517527, 21530, 47, 1, 22, "Print"],
Cell[517577, 21533, 202, 4, 22, "Print"],
Cell[517782, 21539, 36, 1, 22, "Print"],
Cell[517821, 21542, 35, 1, 22, "Print"],
Cell[517859, 21545, 35, 1, 22, "Print"],
Cell[517897, 21548, 35, 1, 22, "Print"],
Cell[517935, 21551, 35, 1, 22, "Print"],
Cell[517973, 21554, 35, 1, 22, "Print"],
Cell[518011, 21557, 35, 1, 22, "Print"],
Cell[518049, 21560, 35, 1, 22, "Print"],
Cell[518087, 21563, 35, 1, 22, "Print"],
Cell[518125, 21566, 35, 1, 22, "Print"],
Cell[518163, 21569, 35, 1, 22, "Print"],
Cell[518201, 21572, 35, 1, 22, "Print"],
Cell[518239, 21575, 35, 1, 22, "Print"],
Cell[518277, 21578, 35, 1, 22, "Print"],
Cell[518315, 21581, 35, 1, 22, "Print"],
Cell[518353, 21584, 35, 1, 22, "Print"],
Cell[518391, 21587, 35, 1, 22, "Print"],
Cell[518429, 21590, 35, 1, 22, "Print"],
Cell[518467, 21593, 35, 1, 22, "Print"],
Cell[518505, 21596, 35, 1, 22, "Print"],
Cell[518543, 21599, 35, 1, 22, "Print"],
Cell[518581, 21602, 35, 1, 22, "Print"],
Cell[518619, 21605, 35, 1, 22, "Print"],
Cell[518657, 21608, 35, 1, 22, "Print"],
Cell[518695, 21611, 35, 1, 22, "Print"],
Cell[518733, 21614, 35, 1, 22, "Print"],
Cell[518771, 21617, 35, 1, 22, "Print"],
Cell[518809, 21620, 35, 1, 22, "Print"],
Cell[518847, 21623, 35, 1, 22, "Print"],
Cell[518885, 21626, 35, 1, 22, "Print"],
Cell[518923, 21629, 35, 1, 22, "Print"],
Cell[518961, 21632, 35, 1, 22, "Print"],
Cell[518999, 21635, 35, 1, 22, "Print"],
Cell[519037, 21638, 35, 1, 22, "Print"],
Cell[519075, 21641, 35, 1, 22, "Print"],
Cell[519113, 21644, 35, 1, 22, "Print"],
Cell[519151, 21647, 35, 1, 22, "Print"],
Cell[519189, 21650, 35, 1, 22, "Print"],
Cell[519227, 21653, 35, 1, 22, "Print"],
Cell[519265, 21656, 35, 1, 22, "Print"],
Cell[519303, 21659, 35, 1, 22, "Print"],
Cell[519341, 21662, 35, 1, 22, "Print"],
Cell[519379, 21665, 35, 1, 22, "Print"],
Cell[519417, 21668, 35, 1, 22, "Print"],
Cell[519455, 21671, 35, 1, 22, "Print"],
Cell[519493, 21674, 35, 1, 22, "Print"],
Cell[519531, 21677, 35, 1, 22, "Print"],
Cell[519569, 21680, 35, 1, 22, "Print"],
Cell[519607, 21683, 35, 1, 22, "Print"],
Cell[519645, 21686, 35, 1, 22, "Print"],
Cell[519683, 21689, 35, 1, 22, "Print"],
Cell[519721, 21692, 35, 1, 22, "Print"],
Cell[519759, 21695, 35, 1, 22, "Print"],
Cell[519797, 21698, 35, 1, 22, "Print"],
Cell[519835, 21701, 35, 1, 22, "Print"],
Cell[519873, 21704, 35, 1, 22, "Print"],
Cell[519911, 21707, 35, 1, 22, "Print"],
Cell[519949, 21710, 35, 1, 22, "Print"],
Cell[519987, 21713, 35, 1, 22, "Print"],
Cell[520025, 21716, 35, 1, 22, "Print"],
Cell[520063, 21719, 35, 1, 22, "Print"],
Cell[520101, 21722, 35, 1, 22, "Print"],
Cell[520139, 21725, 35, 1, 22, "Print"],
Cell[520177, 21728, 35, 1, 22, "Print"],
Cell[520215, 21731, 35, 1, 22, "Print"],
Cell[520253, 21734, 35, 1, 22, "Print"],
Cell[520291, 21737, 35, 1, 22, "Print"],
Cell[520329, 21740, 35, 1, 22, "Print"],
Cell[520367, 21743, 35, 1, 22, "Print"],
Cell[520405, 21746, 35, 1, 22, "Print"],
Cell[520443, 21749, 35, 1, 22, "Print"],
Cell[520481, 21752, 35, 1, 22, "Print"],
Cell[520519, 21755, 35, 1, 22, "Print"],
Cell[520557, 21758, 35, 1, 22, "Print"],
Cell[520595, 21761, 35, 1, 22, "Print"],
Cell[520633, 21764, 35, 1, 22, "Print"],
Cell[520671, 21767, 35, 1, 22, "Print"],
Cell[520709, 21770, 35, 1, 22, "Print"],
Cell[520747, 21773, 35, 1, 22, "Print"],
Cell[520785, 21776, 35, 1, 22, "Print"],
Cell[520823, 21779, 35, 1, 22, "Print"],
Cell[520861, 21782, 35, 1, 22, "Print"],
Cell[520899, 21785, 35, 1, 22, "Print"],
Cell[520937, 21788, 35, 1, 22, "Print"],
Cell[520975, 21791, 35, 1, 22, "Print"],
Cell[521013, 21794, 35, 1, 22, "Print"],
Cell[521051, 21797, 35, 1, 22, "Print"],
Cell[521089, 21800, 35, 1, 22, "Print"],
Cell[521127, 21803, 35, 1, 22, "Print"],
Cell[521165, 21806, 35, 1, 22, "Print"],
Cell[521203, 21809, 35, 1, 22, "Print"],
Cell[521241, 21812, 34, 1, 22, "Print"],
Cell[521278, 21815, 34, 1, 22, "Print"],
Cell[521315, 21818, 34, 1, 22, "Print"],
Cell[521352, 21821, 34, 1, 22, "Print"],
Cell[521389, 21824, 34, 1, 22, "Print"],
Cell[521426, 21827, 34, 1, 22, "Print"],
Cell[521463, 21830, 34, 1, 22, "Print"],
Cell[521500, 21833, 34, 1, 22, "Print"],
Cell[521537, 21836, 34, 1, 22, "Print"],
Cell[521574, 21839, 50, 1, 22, "Print"],
Cell[521627, 21842, 77, 1, 22, "Print"],
Cell[521707, 21845, 76, 1, 22, "Print"],
Cell[521786, 21848, 61, 1, 22, "Print"],
Cell[521850, 21851, 159, 3, 22, "Print"],
Cell[522012, 21856, 159, 3, 22, "Print"],
Cell[522174, 21861, 159, 3, 22, "Print"],
Cell[522336, 21866, 159, 3, 22, "Print"],
Cell[522498, 21871, 159, 3, 22, "Print"],
Cell[522660, 21876, 159, 3, 22, "Print"],
Cell[522822, 21881, 159, 3, 22, "Print"],
Cell[522984, 21886, 159, 3, 22, "Print"],
Cell[523146, 21891, 161, 3, 22, "Print"],
Cell[523310, 21896, 161, 3, 22, "Print"],
Cell[523474, 21901, 161, 3, 22, "Print"],
Cell[523638, 21906, 161, 3, 22, "Print"],
Cell[523802, 21911, 161, 3, 22, "Print"],
Cell[523966, 21916, 161, 3, 22, "Print"],
Cell[524130, 21921, 161, 3, 22, "Print"],
Cell[524294, 21926, 161, 3, 22, "Print"],
Cell[524458, 21931, 161, 3, 22, "Print"],
Cell[524622, 21936, 161, 3, 22, "Print"],
Cell[524786, 21941, 161, 3, 22, "Print"],
Cell[524950, 21946, 46, 1, 22, "Print"],
Cell[524999, 21949, 47, 1, 22, "Print"],
Cell[525049, 21952, 201, 4, 22, "Print"],
Cell[525253, 21958, 36, 1, 22, "Print"],
Cell[525292, 21961, 35, 1, 22, "Print"],
Cell[525330, 21964, 35, 1, 22, "Print"],
Cell[525368, 21967, 35, 1, 22, "Print"],
Cell[525406, 21970, 35, 1, 22, "Print"],
Cell[525444, 21973, 35, 1, 22, "Print"],
Cell[525482, 21976, 35, 1, 22, "Print"],
Cell[525520, 21979, 35, 1, 22, "Print"],
Cell[525558, 21982, 35, 1, 22, "Print"],
Cell[525596, 21985, 35, 1, 22, "Print"],
Cell[525634, 21988, 35, 1, 22, "Print"],
Cell[525672, 21991, 35, 1, 22, "Print"],
Cell[525710, 21994, 35, 1, 22, "Print"],
Cell[525748, 21997, 35, 1, 22, "Print"],
Cell[525786, 22000, 35, 1, 22, "Print"],
Cell[525824, 22003, 35, 1, 22, "Print"],
Cell[525862, 22006, 35, 1, 22, "Print"],
Cell[525900, 22009, 35, 1, 22, "Print"],
Cell[525938, 22012, 35, 1, 22, "Print"],
Cell[525976, 22015, 35, 1, 22, "Print"],
Cell[526014, 22018, 35, 1, 22, "Print"],
Cell[526052, 22021, 35, 1, 22, "Print"],
Cell[526090, 22024, 35, 1, 22, "Print"],
Cell[526128, 22027, 35, 1, 22, "Print"],
Cell[526166, 22030, 35, 1, 22, "Print"],
Cell[526204, 22033, 35, 1, 22, "Print"],
Cell[526242, 22036, 35, 1, 22, "Print"],
Cell[526280, 22039, 35, 1, 22, "Print"],
Cell[526318, 22042, 35, 1, 22, "Print"],
Cell[526356, 22045, 35, 1, 22, "Print"],
Cell[526394, 22048, 35, 1, 22, "Print"],
Cell[526432, 22051, 35, 1, 22, "Print"],
Cell[526470, 22054, 35, 1, 22, "Print"],
Cell[526508, 22057, 35, 1, 22, "Print"],
Cell[526546, 22060, 35, 1, 22, "Print"],
Cell[526584, 22063, 35, 1, 22, "Print"],
Cell[526622, 22066, 35, 1, 22, "Print"],
Cell[526660, 22069, 35, 1, 22, "Print"],
Cell[526698, 22072, 35, 1, 22, "Print"],
Cell[526736, 22075, 35, 1, 22, "Print"],
Cell[526774, 22078, 35, 1, 22, "Print"],
Cell[526812, 22081, 35, 1, 22, "Print"],
Cell[526850, 22084, 35, 1, 22, "Print"],
Cell[526888, 22087, 35, 1, 22, "Print"],
Cell[526926, 22090, 35, 1, 22, "Print"],
Cell[526964, 22093, 35, 1, 22, "Print"],
Cell[527002, 22096, 35, 1, 22, "Print"],
Cell[527040, 22099, 35, 1, 22, "Print"],
Cell[527078, 22102, 35, 1, 22, "Print"],
Cell[527116, 22105, 35, 1, 22, "Print"],
Cell[527154, 22108, 35, 1, 22, "Print"],
Cell[527192, 22111, 35, 1, 22, "Print"],
Cell[527230, 22114, 35, 1, 22, "Print"],
Cell[527268, 22117, 35, 1, 22, "Print"],
Cell[527306, 22120, 35, 1, 22, "Print"],
Cell[527344, 22123, 35, 1, 22, "Print"],
Cell[527382, 22126, 35, 1, 22, "Print"],
Cell[527420, 22129, 35, 1, 22, "Print"],
Cell[527458, 22132, 35, 1, 22, "Print"],
Cell[527496, 22135, 35, 1, 22, "Print"],
Cell[527534, 22138, 35, 1, 22, "Print"],
Cell[527572, 22141, 35, 1, 22, "Print"],
Cell[527610, 22144, 35, 1, 22, "Print"],
Cell[527648, 22147, 35, 1, 22, "Print"],
Cell[527686, 22150, 35, 1, 22, "Print"],
Cell[527724, 22153, 35, 1, 22, "Print"],
Cell[527762, 22156, 35, 1, 22, "Print"],
Cell[527800, 22159, 35, 1, 22, "Print"],
Cell[527838, 22162, 35, 1, 22, "Print"],
Cell[527876, 22165, 35, 1, 22, "Print"],
Cell[527914, 22168, 35, 1, 22, "Print"],
Cell[527952, 22171, 35, 1, 22, "Print"],
Cell[527990, 22174, 35, 1, 22, "Print"],
Cell[528028, 22177, 35, 1, 22, "Print"],
Cell[528066, 22180, 35, 1, 22, "Print"],
Cell[528104, 22183, 35, 1, 22, "Print"],
Cell[528142, 22186, 35, 1, 22, "Print"],
Cell[528180, 22189, 35, 1, 22, "Print"],
Cell[528218, 22192, 35, 1, 22, "Print"],
Cell[528256, 22195, 35, 1, 22, "Print"],
Cell[528294, 22198, 35, 1, 22, "Print"],
Cell[528332, 22201, 35, 1, 22, "Print"],
Cell[528370, 22204, 35, 1, 22, "Print"],
Cell[528408, 22207, 35, 1, 22, "Print"],
Cell[528446, 22210, 35, 1, 22, "Print"],
Cell[528484, 22213, 35, 1, 22, "Print"],
Cell[528522, 22216, 35, 1, 22, "Print"],
Cell[528560, 22219, 35, 1, 22, "Print"],
Cell[528598, 22222, 35, 1, 22, "Print"],
Cell[528636, 22225, 35, 1, 22, "Print"],
Cell[528674, 22228, 35, 1, 22, "Print"],
Cell[528712, 22231, 34, 1, 22, "Print"],
Cell[528749, 22234, 34, 1, 22, "Print"],
Cell[528786, 22237, 34, 1, 22, "Print"],
Cell[528823, 22240, 34, 1, 22, "Print"],
Cell[528860, 22243, 34, 1, 22, "Print"],
Cell[528897, 22246, 34, 1, 22, "Print"],
Cell[528934, 22249, 34, 1, 22, "Print"],
Cell[528971, 22252, 34, 1, 22, "Print"],
Cell[529008, 22255, 34, 1, 22, "Print"],
Cell[529045, 22258, 50, 1, 22, "Print"],
Cell[529098, 22261, 77, 1, 22, "Print"],
Cell[529178, 22264, 76, 1, 22, "Print"],
Cell[529257, 22267, 61, 1, 22, "Print"],
Cell[529321, 22270, 159, 3, 22, "Print"],
Cell[529483, 22275, 159, 3, 22, "Print"],
Cell[529645, 22280, 159, 3, 22, "Print"],
Cell[529807, 22285, 159, 3, 22, "Print"],
Cell[529969, 22290, 159, 3, 22, "Print"],
Cell[530131, 22295, 159, 3, 22, "Print"],
Cell[530293, 22300, 159, 3, 22, "Print"],
Cell[530455, 22305, 159, 3, 22, "Print"],
Cell[530617, 22310, 161, 3, 22, "Print"],
Cell[530781, 22315, 161, 3, 22, "Print"],
Cell[530945, 22320, 161, 3, 22, "Print"],
Cell[531109, 22325, 161, 3, 22, "Print"],
Cell[531273, 22330, 161, 3, 22, "Print"],
Cell[531437, 22335, 161, 3, 22, "Print"],
Cell[531601, 22340, 161, 3, 22, "Print"],
Cell[531765, 22345, 161, 3, 22, "Print"],
Cell[531929, 22350, 161, 3, 22, "Print"],
Cell[532093, 22355, 161, 3, 22, "Print"],
Cell[532257, 22360, 161, 3, 22, "Print"],
Cell[532421, 22365, 46, 1, 22, "Print"],
Cell[532470, 22368, 47, 1, 22, "Print"],
Cell[532520, 22371, 202, 4, 22, "Print"],
Cell[532725, 22377, 36, 1, 22, "Print"],
Cell[532764, 22380, 35, 1, 22, "Print"],
Cell[532802, 22383, 35, 1, 22, "Print"],
Cell[532840, 22386, 35, 1, 22, "Print"],
Cell[532878, 22389, 35, 1, 22, "Print"],
Cell[532916, 22392, 35, 1, 22, "Print"],
Cell[532954, 22395, 35, 1, 22, "Print"],
Cell[532992, 22398, 35, 1, 22, "Print"],
Cell[533030, 22401, 35, 1, 22, "Print"],
Cell[533068, 22404, 35, 1, 22, "Print"],
Cell[533106, 22407, 35, 1, 22, "Print"],
Cell[533144, 22410, 35, 1, 22, "Print"],
Cell[533182, 22413, 35, 1, 22, "Print"],
Cell[533220, 22416, 35, 1, 22, "Print"],
Cell[533258, 22419, 35, 1, 22, "Print"],
Cell[533296, 22422, 35, 1, 22, "Print"],
Cell[533334, 22425, 35, 1, 22, "Print"],
Cell[533372, 22428, 35, 1, 22, "Print"],
Cell[533410, 22431, 35, 1, 22, "Print"],
Cell[533448, 22434, 35, 1, 22, "Print"],
Cell[533486, 22437, 35, 1, 22, "Print"],
Cell[533524, 22440, 35, 1, 22, "Print"],
Cell[533562, 22443, 35, 1, 22, "Print"],
Cell[533600, 22446, 35, 1, 22, "Print"],
Cell[533638, 22449, 35, 1, 22, "Print"],
Cell[533676, 22452, 35, 1, 22, "Print"],
Cell[533714, 22455, 35, 1, 22, "Print"],
Cell[533752, 22458, 35, 1, 22, "Print"],
Cell[533790, 22461, 35, 1, 22, "Print"],
Cell[533828, 22464, 35, 1, 22, "Print"],
Cell[533866, 22467, 35, 1, 22, "Print"],
Cell[533904, 22470, 35, 1, 22, "Print"],
Cell[533942, 22473, 35, 1, 22, "Print"],
Cell[533980, 22476, 35, 1, 22, "Print"],
Cell[534018, 22479, 35, 1, 22, "Print"],
Cell[534056, 22482, 35, 1, 22, "Print"],
Cell[534094, 22485, 35, 1, 22, "Print"],
Cell[534132, 22488, 35, 1, 22, "Print"],
Cell[534170, 22491, 35, 1, 22, "Print"],
Cell[534208, 22494, 35, 1, 22, "Print"],
Cell[534246, 22497, 35, 1, 22, "Print"],
Cell[534284, 22500, 35, 1, 22, "Print"],
Cell[534322, 22503, 35, 1, 22, "Print"],
Cell[534360, 22506, 35, 1, 22, "Print"],
Cell[534398, 22509, 35, 1, 22, "Print"],
Cell[534436, 22512, 35, 1, 22, "Print"],
Cell[534474, 22515, 35, 1, 22, "Print"],
Cell[534512, 22518, 35, 1, 22, "Print"],
Cell[534550, 22521, 35, 1, 22, "Print"],
Cell[534588, 22524, 35, 1, 22, "Print"],
Cell[534626, 22527, 35, 1, 22, "Print"],
Cell[534664, 22530, 35, 1, 22, "Print"],
Cell[534702, 22533, 35, 1, 22, "Print"],
Cell[534740, 22536, 35, 1, 22, "Print"],
Cell[534778, 22539, 35, 1, 22, "Print"],
Cell[534816, 22542, 35, 1, 22, "Print"],
Cell[534854, 22545, 35, 1, 22, "Print"],
Cell[534892, 22548, 35, 1, 22, "Print"],
Cell[534930, 22551, 35, 1, 22, "Print"],
Cell[534968, 22554, 35, 1, 22, "Print"],
Cell[535006, 22557, 35, 1, 22, "Print"],
Cell[535044, 22560, 35, 1, 22, "Print"],
Cell[535082, 22563, 35, 1, 22, "Print"],
Cell[535120, 22566, 35, 1, 22, "Print"],
Cell[535158, 22569, 35, 1, 22, "Print"],
Cell[535196, 22572, 35, 1, 22, "Print"],
Cell[535234, 22575, 35, 1, 22, "Print"],
Cell[535272, 22578, 35, 1, 22, "Print"],
Cell[535310, 22581, 35, 1, 22, "Print"],
Cell[535348, 22584, 35, 1, 22, "Print"],
Cell[535386, 22587, 35, 1, 22, "Print"],
Cell[535424, 22590, 35, 1, 22, "Print"],
Cell[535462, 22593, 35, 1, 22, "Print"],
Cell[535500, 22596, 35, 1, 22, "Print"],
Cell[535538, 22599, 35, 1, 22, "Print"],
Cell[535576, 22602, 35, 1, 22, "Print"],
Cell[535614, 22605, 35, 1, 22, "Print"],
Cell[535652, 22608, 35, 1, 22, "Print"],
Cell[535690, 22611, 35, 1, 22, "Print"],
Cell[535728, 22614, 35, 1, 22, "Print"],
Cell[535766, 22617, 35, 1, 22, "Print"],
Cell[535804, 22620, 35, 1, 22, "Print"],
Cell[535842, 22623, 35, 1, 22, "Print"],
Cell[535880, 22626, 35, 1, 22, "Print"],
Cell[535918, 22629, 35, 1, 22, "Print"],
Cell[535956, 22632, 35, 1, 22, "Print"],
Cell[535994, 22635, 35, 1, 22, "Print"],
Cell[536032, 22638, 35, 1, 22, "Print"],
Cell[536070, 22641, 35, 1, 22, "Print"],
Cell[536108, 22644, 35, 1, 22, "Print"],
Cell[536146, 22647, 35, 1, 22, "Print"],
Cell[536184, 22650, 34, 1, 22, "Print"],
Cell[536221, 22653, 34, 1, 22, "Print"],
Cell[536258, 22656, 34, 1, 22, "Print"],
Cell[536295, 22659, 34, 1, 22, "Print"],
Cell[536332, 22662, 34, 1, 22, "Print"],
Cell[536369, 22665, 34, 1, 22, "Print"],
Cell[536406, 22668, 34, 1, 22, "Print"],
Cell[536443, 22671, 34, 1, 22, "Print"],
Cell[536480, 22674, 34, 1, 22, "Print"],
Cell[536517, 22677, 50, 1, 22, "Print"],
Cell[536570, 22680, 77, 1, 22, "Print"],
Cell[536650, 22683, 76, 1, 22, "Print"],
Cell[536729, 22686, 61, 1, 22, "Print"],
Cell[536793, 22689, 159, 3, 22, "Print"],
Cell[536955, 22694, 159, 3, 22, "Print"],
Cell[537117, 22699, 159, 3, 22, "Print"],
Cell[537279, 22704, 159, 3, 22, "Print"],
Cell[537441, 22709, 159, 3, 22, "Print"],
Cell[537603, 22714, 159, 3, 22, "Print"],
Cell[537765, 22719, 159, 3, 22, "Print"],
Cell[537927, 22724, 159, 3, 22, "Print"],
Cell[538089, 22729, 161, 3, 22, "Print"],
Cell[538253, 22734, 161, 3, 22, "Print"],
Cell[538417, 22739, 161, 3, 22, "Print"],
Cell[538581, 22744, 161, 3, 22, "Print"],
Cell[538745, 22749, 161, 3, 22, "Print"],
Cell[538909, 22754, 161, 3, 22, "Print"],
Cell[539073, 22759, 161, 3, 22, "Print"],
Cell[539237, 22764, 161, 3, 22, "Print"],
Cell[539401, 22769, 42, 1, 26, "Output"]
}, Open  ]],
Cell[539458, 22773, 53, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[539536, 22778, 52, 1, 27, "Input"],
Cell[539591, 22781, 202, 4, 22, "Print"],
Cell[539796, 22787, 36, 1, 22, "Print"],
Cell[539835, 22790, 221, 3, 52, "Message"],
Cell[540059, 22795, 207, 3, 52, "Message"],
Cell[540269, 22800, 208, 3, 52, "Message"],
Cell[540480, 22805, 180, 3, 37, "Message"],
Cell[540663, 22810, 35, 1, 22, "Print"],
Cell[540701, 22813, 35, 1, 22, "Print"],
Cell[540739, 22816, 35, 1, 22, "Print"],
Cell[540777, 22819, 35, 1, 22, "Print"],
Cell[540815, 22822, 35, 1, 22, "Print"],
Cell[540853, 22825, 35, 1, 22, "Print"],
Cell[540891, 22828, 35, 1, 22, "Print"],
Cell[540929, 22831, 35, 1, 22, "Print"],
Cell[540967, 22834, 35, 1, 22, "Print"],
Cell[541005, 22837, 35, 1, 22, "Print"],
Cell[541043, 22840, 35, 1, 22, "Print"],
Cell[541081, 22843, 35, 1, 22, "Print"],
Cell[541119, 22846, 35, 1, 22, "Print"],
Cell[541157, 22849, 35, 1, 22, "Print"],
Cell[541195, 22852, 35, 1, 22, "Print"],
Cell[541233, 22855, 35, 1, 22, "Print"],
Cell[541271, 22858, 35, 1, 22, "Print"],
Cell[541309, 22861, 35, 1, 22, "Print"],
Cell[541347, 22864, 35, 1, 22, "Print"],
Cell[541385, 22867, 35, 1, 22, "Print"],
Cell[541423, 22870, 35, 1, 22, "Print"],
Cell[541461, 22873, 35, 1, 22, "Print"],
Cell[541499, 22876, 35, 1, 22, "Print"],
Cell[541537, 22879, 35, 1, 22, "Print"],
Cell[541575, 22882, 35, 1, 22, "Print"],
Cell[541613, 22885, 35, 1, 22, "Print"],
Cell[541651, 22888, 35, 1, 22, "Print"],
Cell[541689, 22891, 35, 1, 22, "Print"],
Cell[541727, 22894, 35, 1, 22, "Print"],
Cell[541765, 22897, 35, 1, 22, "Print"],
Cell[541803, 22900, 35, 1, 22, "Print"],
Cell[541841, 22903, 35, 1, 22, "Print"],
Cell[541879, 22906, 35, 1, 22, "Print"],
Cell[541917, 22909, 35, 1, 22, "Print"],
Cell[541955, 22912, 35, 1, 22, "Print"],
Cell[541993, 22915, 35, 1, 22, "Print"],
Cell[542031, 22918, 35, 1, 22, "Print"],
Cell[542069, 22921, 35, 1, 22, "Print"],
Cell[542107, 22924, 35, 1, 22, "Print"],
Cell[542145, 22927, 35, 1, 22, "Print"],
Cell[542183, 22930, 35, 1, 22, "Print"],
Cell[542221, 22933, 35, 1, 22, "Print"],
Cell[542259, 22936, 35, 1, 22, "Print"],
Cell[542297, 22939, 35, 1, 22, "Print"],
Cell[542335, 22942, 35, 1, 22, "Print"],
Cell[542373, 22945, 35, 1, 22, "Print"],
Cell[542411, 22948, 35, 1, 22, "Print"],
Cell[542449, 22951, 35, 1, 22, "Print"],
Cell[542487, 22954, 35, 1, 22, "Print"],
Cell[542525, 22957, 35, 1, 22, "Print"],
Cell[542563, 22960, 35, 1, 22, "Print"],
Cell[542601, 22963, 35, 1, 22, "Print"],
Cell[542639, 22966, 35, 1, 22, "Print"],
Cell[542677, 22969, 35, 1, 22, "Print"],
Cell[542715, 22972, 35, 1, 22, "Print"],
Cell[542753, 22975, 35, 1, 22, "Print"],
Cell[542791, 22978, 35, 1, 22, "Print"],
Cell[542829, 22981, 35, 1, 22, "Print"],
Cell[542867, 22984, 35, 1, 22, "Print"],
Cell[542905, 22987, 35, 1, 22, "Print"],
Cell[542943, 22990, 35, 1, 22, "Print"],
Cell[542981, 22993, 35, 1, 22, "Print"],
Cell[543019, 22996, 35, 1, 22, "Print"],
Cell[543057, 22999, 35, 1, 22, "Print"],
Cell[543095, 23002, 35, 1, 22, "Print"],
Cell[543133, 23005, 35, 1, 22, "Print"],
Cell[543171, 23008, 35, 1, 22, "Print"],
Cell[543209, 23011, 35, 1, 22, "Print"],
Cell[543247, 23014, 35, 1, 22, "Print"],
Cell[543285, 23017, 35, 1, 22, "Print"],
Cell[543323, 23020, 35, 1, 22, "Print"],
Cell[543361, 23023, 35, 1, 22, "Print"],
Cell[543399, 23026, 35, 1, 22, "Print"],
Cell[543437, 23029, 35, 1, 22, "Print"],
Cell[543475, 23032, 35, 1, 22, "Print"],
Cell[543513, 23035, 35, 1, 22, "Print"],
Cell[543551, 23038, 35, 1, 22, "Print"],
Cell[543589, 23041, 35, 1, 22, "Print"],
Cell[543627, 23044, 35, 1, 22, "Print"],
Cell[543665, 23047, 35, 1, 22, "Print"],
Cell[543703, 23050, 35, 1, 22, "Print"],
Cell[543741, 23053, 35, 1, 22, "Print"],
Cell[543779, 23056, 35, 1, 22, "Print"],
Cell[543817, 23059, 35, 1, 22, "Print"],
Cell[543855, 23062, 35, 1, 22, "Print"],
Cell[543893, 23065, 35, 1, 22, "Print"],
Cell[543931, 23068, 35, 1, 22, "Print"],
Cell[543969, 23071, 35, 1, 22, "Print"],
Cell[544007, 23074, 35, 1, 22, "Print"],
Cell[544045, 23077, 35, 1, 22, "Print"],
Cell[544083, 23080, 34, 1, 22, "Print"],
Cell[544120, 23083, 34, 1, 22, "Print"],
Cell[544157, 23086, 34, 1, 22, "Print"],
Cell[544194, 23089, 34, 1, 22, "Print"],
Cell[544231, 23092, 34, 1, 22, "Print"],
Cell[544268, 23095, 34, 1, 22, "Print"],
Cell[544305, 23098, 34, 1, 22, "Print"],
Cell[544342, 23101, 34, 1, 22, "Print"],
Cell[544379, 23104, 34, 1, 22, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[544450, 23110, 47, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[544522, 23115, 10850, 395, 186, 4543, 313, "GraphicsData", "PostScript", \
"Graphics"],
Cell[555375, 23512, 24615, 896, 186, 15086, 774, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[580039, 24414, 41, 1, 27, "Input"],
Cell[580083, 24417, 42, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[580162, 24423, 57, 1, 27, "Input"],
Cell[580222, 24426, 53, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[580312, 24432, 43, 1, 27, "Input"],
Cell[580358, 24435, 47, 1, 22, "Print"],
Cell[580408, 24438, 1480, 31, 118, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[581925, 24474, 43, 1, 27, "Input"],
Cell[581971, 24477, 39, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[582047, 24483, 41, 1, 27, "Input"],
Cell[582091, 24486, 39, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[582167, 24492, 41, 1, 27, "Input"],
Cell[582211, 24495, 39, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[582287, 24501, 67, 1, 27, "Input"],
Cell[582357, 24504, 53, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[582447, 24510, 67, 1, 27, "Input"],
Cell[582517, 24513, 53, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[582607, 24519, 47, 1, 27, "Input"],
Cell[582657, 24522, 53, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[582747, 24528, 41, 1, 27, "Input"],
Cell[582791, 24531, 53, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[582881, 24537, 37, 1, 27, "Input"],
Cell[582921, 24540, 39, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[582997, 24546, 34, 1, 27, "Input"],
Cell[583034, 24549, 39, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[583110, 24555, 48, 1, 27, "Input"],
Cell[583161, 24558, 202, 4, 22, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[583400, 24567, 44, 1, 27, "Input"],
Cell[583447, 24570, 51, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[583535, 24576, 44, 1, 27, "Input"],
Cell[583582, 24579, 53, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[583672, 24585, 58, 1, 27, "Input"],
Cell[583733, 24588, 12498, 385, 186, 3901, 274, "GraphicsData", "PostScript", \
"Graphics"],
Cell[596234, 24975, 130, 3, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[596401, 24983, 61, 1, 27, "Input"],
Cell[596465, 24986, 13673, 413, 186, 4206, 292, "GraphicsData", "PostScript", \
"Graphics"],
Cell[610141, 25401, 130, 3, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[610308, 25409, 92, 1, 27, "Input"],
Cell[610403, 25412, 10954, 343, 186, 3483, 246, "GraphicsData", "PostScript", \
"Graphics"],
Cell[621360, 25757, 130, 3, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[621527, 25765, 49, 1, 27, "Input"],
Cell[621579, 25768, 202, 4, 22, "Print"],
Cell[621784, 25774, 36, 1, 22, "Print"],
Cell[621823, 25777, 221, 3, 52, "Message"],
Cell[622047, 25782, 207, 3, 52, "Message"],
Cell[622257, 25787, 208, 3, 52, "Message"],
Cell[622468, 25792, 180, 3, 37, "Message"],
Cell[622651, 25797, 35, 1, 22, "Print"],
Cell[622689, 25800, 35, 1, 22, "Print"],
Cell[622727, 25803, 35, 1, 22, "Print"],
Cell[622765, 25806, 35, 1, 22, "Print"],
Cell[622803, 25809, 35, 1, 22, "Print"],
Cell[622841, 25812, 35, 1, 22, "Print"],
Cell[622879, 25815, 35, 1, 22, "Print"],
Cell[622917, 25818, 35, 1, 22, "Print"],
Cell[622955, 25821, 35, 1, 22, "Print"],
Cell[622993, 25824, 35, 1, 22, "Print"],
Cell[623031, 25827, 35, 1, 22, "Print"],
Cell[623069, 25830, 35, 1, 22, "Print"],
Cell[623107, 25833, 35, 1, 22, "Print"],
Cell[623145, 25836, 35, 1, 22, "Print"],
Cell[623183, 25839, 35, 1, 22, "Print"],
Cell[623221, 25842, 35, 1, 22, "Print"],
Cell[623259, 25845, 35, 1, 22, "Print"],
Cell[623297, 25848, 35, 1, 22, "Print"],
Cell[623335, 25851, 35, 1, 22, "Print"],
Cell[623373, 25854, 35, 1, 22, "Print"],
Cell[623411, 25857, 35, 1, 22, "Print"],
Cell[623449, 25860, 35, 1, 22, "Print"],
Cell[623487, 25863, 35, 1, 22, "Print"],
Cell[623525, 25866, 35, 1, 22, "Print"],
Cell[623563, 25869, 35, 1, 22, "Print"],
Cell[623601, 25872, 35, 1, 22, "Print"],
Cell[623639, 25875, 35, 1, 22, "Print"],
Cell[623677, 25878, 35, 1, 22, "Print"],
Cell[623715, 25881, 35, 1, 22, "Print"],
Cell[623753, 25884, 35, 1, 22, "Print"],
Cell[623791, 25887, 35, 1, 22, "Print"],
Cell[623829, 25890, 35, 1, 22, "Print"],
Cell[623867, 25893, 35, 1, 22, "Print"],
Cell[623905, 25896, 35, 1, 22, "Print"],
Cell[623943, 25899, 35, 1, 22, "Print"],
Cell[623981, 25902, 35, 1, 22, "Print"],
Cell[624019, 25905, 35, 1, 22, "Print"],
Cell[624057, 25908, 35, 1, 22, "Print"],
Cell[624095, 25911, 35, 1, 22, "Print"],
Cell[624133, 25914, 35, 1, 22, "Print"],
Cell[624171, 25917, 35, 1, 22, "Print"],
Cell[624209, 25920, 35, 1, 22, "Print"],
Cell[624247, 25923, 35, 1, 22, "Print"],
Cell[624285, 25926, 35, 1, 22, "Print"],
Cell[624323, 25929, 35, 1, 22, "Print"],
Cell[624361, 25932, 35, 1, 22, "Print"],
Cell[624399, 25935, 35, 1, 22, "Print"],
Cell[624437, 25938, 35, 1, 22, "Print"],
Cell[624475, 25941, 35, 1, 22, "Print"],
Cell[624513, 25944, 35, 1, 22, "Print"],
Cell[624551, 25947, 35, 1, 22, "Print"],
Cell[624589, 25950, 35, 1, 22, "Print"],
Cell[624627, 25953, 35, 1, 22, "Print"],
Cell[624665, 25956, 35, 1, 22, "Print"],
Cell[624703, 25959, 35, 1, 22, "Print"],
Cell[624741, 25962, 35, 1, 22, "Print"],
Cell[624779, 25965, 35, 1, 22, "Print"],
Cell[624817, 25968, 35, 1, 22, "Print"],
Cell[624855, 25971, 35, 1, 22, "Print"],
Cell[624893, 25974, 35, 1, 22, "Print"],
Cell[624931, 25977, 35, 1, 22, "Print"],
Cell[624969, 25980, 35, 1, 22, "Print"],
Cell[625007, 25983, 35, 1, 22, "Print"],
Cell[625045, 25986, 35, 1, 22, "Print"],
Cell[625083, 25989, 35, 1, 22, "Print"],
Cell[625121, 25992, 35, 1, 22, "Print"],
Cell[625159, 25995, 35, 1, 22, "Print"],
Cell[625197, 25998, 35, 1, 22, "Print"],
Cell[625235, 26001, 35, 1, 22, "Print"],
Cell[625273, 26004, 35, 1, 22, "Print"],
Cell[625311, 26007, 35, 1, 22, "Print"],
Cell[625349, 26010, 35, 1, 22, "Print"],
Cell[625387, 26013, 35, 1, 22, "Print"],
Cell[625425, 26016, 35, 1, 22, "Print"],
Cell[625463, 26019, 35, 1, 22, "Print"],
Cell[625501, 26022, 35, 1, 22, "Print"],
Cell[625539, 26025, 35, 1, 22, "Print"],
Cell[625577, 26028, 35, 1, 22, "Print"],
Cell[625615, 26031, 35, 1, 22, "Print"],
Cell[625653, 26034, 35, 1, 22, "Print"],
Cell[625691, 26037, 35, 1, 22, "Print"],
Cell[625729, 26040, 35, 1, 22, "Print"],
Cell[625767, 26043, 35, 1, 22, "Print"],
Cell[625805, 26046, 35, 1, 22, "Print"],
Cell[625843, 26049, 35, 1, 22, "Print"],
Cell[625881, 26052, 35, 1, 22, "Print"],
Cell[625919, 26055, 35, 1, 22, "Print"],
Cell[625957, 26058, 35, 1, 22, "Print"],
Cell[625995, 26061, 35, 1, 22, "Print"],
Cell[626033, 26064, 35, 1, 22, "Print"],
Cell[626071, 26067, 34, 1, 22, "Print"],
Cell[626108, 26070, 34, 1, 22, "Print"],
Cell[626145, 26073, 34, 1, 22, "Print"],
Cell[626182, 26076, 34, 1, 22, "Print"],
Cell[626219, 26079, 34, 1, 22, "Print"],
Cell[626256, 26082, 34, 1, 22, "Print"],
Cell[626293, 26085, 34, 1, 22, "Print"],
Cell[626330, 26088, 34, 1, 22, "Print"],
Cell[626367, 26091, 34, 1, 22, "Print"],
Cell[626404, 26094, 42, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[626483, 26100, 44, 1, 27, "Input"],
Cell[626530, 26103, 53, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[626620, 26109, 47, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[626692, 26114, 29259, 1083, 186, 13486, 884, "GraphicsData", \
"PostScript", "Graphics"],
Cell[655954, 27199, 32113, 1476, 186, 24568, 1378, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[688116, 28681, 463, 8, 75, "Input"],
Cell[688582, 28691, 38009, 1543, 275, 25224, 1382, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[726628, 30239, 49, 1, 27, "Input"],
Cell[726680, 30242, 202, 4, 22, "Print"],
Cell[726885, 30248, 36, 1, 22, "Print"],
Cell[726924, 30251, 221, 3, 52, "Message"],
Cell[727148, 30256, 207, 3, 52, "Message"],
Cell[727358, 30261, 208, 3, 52, "Message"],
Cell[727569, 30266, 180, 3, 37, "Message"],
Cell[727752, 30271, 35, 1, 22, "Print"],
Cell[727790, 30274, 35, 1, 22, "Print"],
Cell[727828, 30277, 35, 1, 22, "Print"],
Cell[727866, 30280, 35, 1, 22, "Print"],
Cell[727904, 30283, 35, 1, 22, "Print"],
Cell[727942, 30286, 35, 1, 22, "Print"],
Cell[727980, 30289, 35, 1, 22, "Print"],
Cell[728018, 30292, 35, 1, 22, "Print"],
Cell[728056, 30295, 35, 1, 22, "Print"],
Cell[728094, 30298, 35, 1, 22, "Print"],
Cell[728132, 30301, 35, 1, 22, "Print"],
Cell[728170, 30304, 35, 1, 22, "Print"],
Cell[728208, 30307, 35, 1, 22, "Print"],
Cell[728246, 30310, 35, 1, 22, "Print"],
Cell[728284, 30313, 35, 1, 22, "Print"],
Cell[728322, 30316, 35, 1, 22, "Print"],
Cell[728360, 30319, 35, 1, 22, "Print"],
Cell[728398, 30322, 35, 1, 22, "Print"],
Cell[728436, 30325, 35, 1, 22, "Print"],
Cell[728474, 30328, 35, 1, 22, "Print"],
Cell[728512, 30331, 35, 1, 22, "Print"],
Cell[728550, 30334, 35, 1, 22, "Print"],
Cell[728588, 30337, 35, 1, 22, "Print"],
Cell[728626, 30340, 35, 1, 22, "Print"],
Cell[728664, 30343, 35, 1, 22, "Print"],
Cell[728702, 30346, 35, 1, 22, "Print"],
Cell[728740, 30349, 35, 1, 22, "Print"],
Cell[728778, 30352, 35, 1, 22, "Print"],
Cell[728816, 30355, 35, 1, 22, "Print"],
Cell[728854, 30358, 35, 1, 22, "Print"],
Cell[728892, 30361, 35, 1, 22, "Print"],
Cell[728930, 30364, 35, 1, 22, "Print"],
Cell[728968, 30367, 35, 1, 22, "Print"],
Cell[729006, 30370, 35, 1, 22, "Print"],
Cell[729044, 30373, 35, 1, 22, "Print"],
Cell[729082, 30376, 35, 1, 22, "Print"],
Cell[729120, 30379, 35, 1, 22, "Print"],
Cell[729158, 30382, 35, 1, 22, "Print"],
Cell[729196, 30385, 35, 1, 22, "Print"],
Cell[729234, 30388, 35, 1, 22, "Print"],
Cell[729272, 30391, 35, 1, 22, "Print"],
Cell[729310, 30394, 35, 1, 22, "Print"],
Cell[729348, 30397, 35, 1, 22, "Print"],
Cell[729386, 30400, 35, 1, 22, "Print"],
Cell[729424, 30403, 35, 1, 22, "Print"],
Cell[729462, 30406, 35, 1, 22, "Print"],
Cell[729500, 30409, 35, 1, 22, "Print"],
Cell[729538, 30412, 35, 1, 22, "Print"],
Cell[729576, 30415, 35, 1, 22, "Print"],
Cell[729614, 30418, 35, 1, 22, "Print"],
Cell[729652, 30421, 35, 1, 22, "Print"],
Cell[729690, 30424, 35, 1, 22, "Print"],
Cell[729728, 30427, 35, 1, 22, "Print"],
Cell[729766, 30430, 35, 1, 22, "Print"],
Cell[729804, 30433, 35, 1, 22, "Print"],
Cell[729842, 30436, 35, 1, 22, "Print"],
Cell[729880, 30439, 35, 1, 22, "Print"],
Cell[729918, 30442, 35, 1, 22, "Print"],
Cell[729956, 30445, 35, 1, 22, "Print"],
Cell[729994, 30448, 35, 1, 22, "Print"],
Cell[730032, 30451, 35, 1, 22, "Print"],
Cell[730070, 30454, 35, 1, 22, "Print"],
Cell[730108, 30457, 35, 1, 22, "Print"],
Cell[730146, 30460, 35, 1, 22, "Print"],
Cell[730184, 30463, 35, 1, 22, "Print"],
Cell[730222, 30466, 35, 1, 22, "Print"],
Cell[730260, 30469, 35, 1, 22, "Print"],
Cell[730298, 30472, 35, 1, 22, "Print"],
Cell[730336, 30475, 35, 1, 22, "Print"],
Cell[730374, 30478, 35, 1, 22, "Print"],
Cell[730412, 30481, 35, 1, 22, "Print"],
Cell[730450, 30484, 35, 1, 22, "Print"],
Cell[730488, 30487, 35, 1, 22, "Print"],
Cell[730526, 30490, 35, 1, 22, "Print"],
Cell[730564, 30493, 35, 1, 22, "Print"],
Cell[730602, 30496, 35, 1, 22, "Print"],
Cell[730640, 30499, 35, 1, 22, "Print"],
Cell[730678, 30502, 35, 1, 22, "Print"],
Cell[730716, 30505, 35, 1, 22, "Print"],
Cell[730754, 30508, 35, 1, 22, "Print"],
Cell[730792, 30511, 35, 1, 22, "Print"],
Cell[730830, 30514, 35, 1, 22, "Print"],
Cell[730868, 30517, 35, 1, 22, "Print"],
Cell[730906, 30520, 35, 1, 22, "Print"],
Cell[730944, 30523, 35, 1, 22, "Print"],
Cell[730982, 30526, 35, 1, 22, "Print"],
Cell[731020, 30529, 35, 1, 22, "Print"],
Cell[731058, 30532, 35, 1, 22, "Print"],
Cell[731096, 30535, 35, 1, 22, "Print"],
Cell[731134, 30538, 35, 1, 22, "Print"],
Cell[731172, 30541, 34, 1, 22, "Print"],
Cell[731209, 30544, 34, 1, 22, "Print"],
Cell[731246, 30547, 34, 1, 22, "Print"],
Cell[731283, 30550, 34, 1, 22, "Print"],
Cell[731320, 30553, 34, 1, 22, "Print"],
Cell[731357, 30556, 34, 1, 22, "Print"],
Cell[731394, 30559, 34, 1, 22, "Print"],
Cell[731431, 30562, 34, 1, 22, "Print"],
Cell[731468, 30565, 34, 1, 22, "Print"],
Cell[731505, 30568, 47, 1, 22, "Print"],
Cell[731555, 30571, 202, 4, 22, "Print"],
Cell[731760, 30577, 36, 1, 22, "Print"],
Cell[731799, 30580, 35, 1, 22, "Print"],
Cell[731837, 30583, 35, 1, 22, "Print"],
Cell[731875, 30586, 35, 1, 22, "Print"],
Cell[731913, 30589, 35, 1, 22, "Print"],
Cell[731951, 30592, 35, 1, 22, "Print"],
Cell[731989, 30595, 35, 1, 22, "Print"],
Cell[732027, 30598, 35, 1, 22, "Print"],
Cell[732065, 30601, 35, 1, 22, "Print"],
Cell[732103, 30604, 35, 1, 22, "Print"],
Cell[732141, 30607, 35, 1, 22, "Print"],
Cell[732179, 30610, 35, 1, 22, "Print"],
Cell[732217, 30613, 35, 1, 22, "Print"],
Cell[732255, 30616, 35, 1, 22, "Print"],
Cell[732293, 30619, 35, 1, 22, "Print"],
Cell[732331, 30622, 35, 1, 22, "Print"],
Cell[732369, 30625, 35, 1, 22, "Print"],
Cell[732407, 30628, 35, 1, 22, "Print"],
Cell[732445, 30631, 35, 1, 22, "Print"],
Cell[732483, 30634, 35, 1, 22, "Print"],
Cell[732521, 30637, 35, 1, 22, "Print"],
Cell[732559, 30640, 35, 1, 22, "Print"],
Cell[732597, 30643, 35, 1, 22, "Print"],
Cell[732635, 30646, 35, 1, 22, "Print"],
Cell[732673, 30649, 35, 1, 22, "Print"],
Cell[732711, 30652, 35, 1, 22, "Print"],
Cell[732749, 30655, 35, 1, 22, "Print"],
Cell[732787, 30658, 35, 1, 22, "Print"],
Cell[732825, 30661, 35, 1, 22, "Print"],
Cell[732863, 30664, 35, 1, 22, "Print"],
Cell[732901, 30667, 35, 1, 22, "Print"],
Cell[732939, 30670, 35, 1, 22, "Print"],
Cell[732977, 30673, 35, 1, 22, "Print"],
Cell[733015, 30676, 35, 1, 22, "Print"],
Cell[733053, 30679, 35, 1, 22, "Print"],
Cell[733091, 30682, 35, 1, 22, "Print"],
Cell[733129, 30685, 35, 1, 22, "Print"],
Cell[733167, 30688, 35, 1, 22, "Print"],
Cell[733205, 30691, 35, 1, 22, "Print"],
Cell[733243, 30694, 35, 1, 22, "Print"],
Cell[733281, 30697, 35, 1, 22, "Print"],
Cell[733319, 30700, 35, 1, 22, "Print"],
Cell[733357, 30703, 35, 1, 22, "Print"],
Cell[733395, 30706, 35, 1, 22, "Print"],
Cell[733433, 30709, 35, 1, 22, "Print"],
Cell[733471, 30712, 35, 1, 22, "Print"],
Cell[733509, 30715, 35, 1, 22, "Print"],
Cell[733547, 30718, 35, 1, 22, "Print"],
Cell[733585, 30721, 35, 1, 22, "Print"],
Cell[733623, 30724, 35, 1, 22, "Print"],
Cell[733661, 30727, 35, 1, 22, "Print"],
Cell[733699, 30730, 35, 1, 22, "Print"],
Cell[733737, 30733, 35, 1, 22, "Print"],
Cell[733775, 30736, 35, 1, 22, "Print"],
Cell[733813, 30739, 35, 1, 22, "Print"],
Cell[733851, 30742, 35, 1, 22, "Print"],
Cell[733889, 30745, 35, 1, 22, "Print"],
Cell[733927, 30748, 35, 1, 22, "Print"],
Cell[733965, 30751, 35, 1, 22, "Print"],
Cell[734003, 30754, 35, 1, 22, "Print"],
Cell[734041, 30757, 35, 1, 22, "Print"],
Cell[734079, 30760, 35, 1, 22, "Print"],
Cell[734117, 30763, 35, 1, 22, "Print"],
Cell[734155, 30766, 35, 1, 22, "Print"],
Cell[734193, 30769, 35, 1, 22, "Print"],
Cell[734231, 30772, 35, 1, 22, "Print"],
Cell[734269, 30775, 35, 1, 22, "Print"],
Cell[734307, 30778, 35, 1, 22, "Print"],
Cell[734345, 30781, 35, 1, 22, "Print"],
Cell[734383, 30784, 35, 1, 22, "Print"],
Cell[734421, 30787, 35, 1, 22, "Print"],
Cell[734459, 30790, 35, 1, 22, "Print"],
Cell[734497, 30793, 35, 1, 22, "Print"],
Cell[734535, 30796, 35, 1, 22, "Print"],
Cell[734573, 30799, 35, 1, 22, "Print"],
Cell[734611, 30802, 35, 1, 22, "Print"],
Cell[734649, 30805, 35, 1, 22, "Print"],
Cell[734687, 30808, 35, 1, 22, "Print"],
Cell[734725, 30811, 35, 1, 22, "Print"],
Cell[734763, 30814, 35, 1, 22, "Print"],
Cell[734801, 30817, 35, 1, 22, "Print"],
Cell[734839, 30820, 35, 1, 22, "Print"],
Cell[734877, 30823, 35, 1, 22, "Print"],
Cell[734915, 30826, 35, 1, 22, "Print"],
Cell[734953, 30829, 35, 1, 22, "Print"],
Cell[734991, 30832, 35, 1, 22, "Print"],
Cell[735029, 30835, 35, 1, 22, "Print"],
Cell[735067, 30838, 35, 1, 22, "Print"],
Cell[735105, 30841, 35, 1, 22, "Print"],
Cell[735143, 30844, 35, 1, 22, "Print"],
Cell[735181, 30847, 35, 1, 22, "Print"],
Cell[735219, 30850, 34, 1, 22, "Print"],
Cell[735256, 30853, 34, 1, 22, "Print"],
Cell[735293, 30856, 34, 1, 22, "Print"],
Cell[735330, 30859, 34, 1, 22, "Print"],
Cell[735367, 30862, 34, 1, 22, "Print"],
Cell[735404, 30865, 34, 1, 22, "Print"],
Cell[735441, 30868, 34, 1, 22, "Print"],
Cell[735478, 30871, 34, 1, 22, "Print"],
Cell[735515, 30874, 34, 1, 22, "Print"],
Cell[735552, 30877, 50, 1, 22, "Print"],
Cell[735605, 30880, 77, 1, 22, "Print"],
Cell[735685, 30883, 76, 1, 22, "Print"],
Cell[735764, 30886, 61, 1, 22, "Print"],
Cell[735828, 30889, 159, 3, 22, "Print"],
Cell[735990, 30894, 159, 3, 22, "Print"],
Cell[736152, 30899, 159, 3, 22, "Print"],
Cell[736314, 30904, 159, 3, 22, "Print"],
Cell[736476, 30909, 159, 3, 22, "Print"],
Cell[736638, 30914, 159, 3, 22, "Print"],
Cell[736800, 30919, 159, 3, 22, "Print"],
Cell[736962, 30924, 159, 3, 22, "Print"],
Cell[737124, 30929, 161, 3, 22, "Print"],
Cell[737288, 30934, 161, 3, 22, "Print"],
Cell[737452, 30939, 161, 3, 22, "Print"],
Cell[737616, 30944, 161, 3, 22, "Print"],
Cell[737780, 30949, 161, 3, 22, "Print"],
Cell[737944, 30954, 161, 3, 22, "Print"],
Cell[738108, 30959, 161, 3, 22, "Print"],
Cell[738272, 30964, 161, 3, 22, "Print"],
Cell[738436, 30969, 161, 3, 22, "Print"],
Cell[738600, 30974, 161, 3, 22, "Print"],
Cell[738764, 30979, 161, 3, 22, "Print"],
Cell[738928, 30984, 46, 1, 22, "Print"],

Cell[CellGroupData[{
Cell[738999, 30989, 30950, 1193, 186, 15124, 993, "GraphicsData", \
"PostScript", "Graphics"],
Cell[769952, 32184, 39950, 1670, 275, 27217, 1509, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],
Cell[809917, 33857, 46, 1, 22, "Print"],
Cell[809966, 33860, 202, 4, 22, "Print"],
Cell[810171, 33866, 36, 1, 22, "Print"],
Cell[810210, 33869, 35, 1, 22, "Print"],
Cell[810248, 33872, 35, 1, 22, "Print"],
Cell[810286, 33875, 35, 1, 22, "Print"],
Cell[810324, 33878, 35, 1, 22, "Print"],
Cell[810362, 33881, 35, 1, 22, "Print"],
Cell[810400, 33884, 35, 1, 22, "Print"],
Cell[810438, 33887, 35, 1, 22, "Print"],
Cell[810476, 33890, 35, 1, 22, "Print"],
Cell[810514, 33893, 35, 1, 22, "Print"],
Cell[810552, 33896, 35, 1, 22, "Print"],
Cell[810590, 33899, 35, 1, 22, "Print"],
Cell[810628, 33902, 35, 1, 22, "Print"],
Cell[810666, 33905, 35, 1, 22, "Print"],
Cell[810704, 33908, 35, 1, 22, "Print"],
Cell[810742, 33911, 35, 1, 22, "Print"],
Cell[810780, 33914, 35, 1, 22, "Print"],
Cell[810818, 33917, 35, 1, 22, "Print"],
Cell[810856, 33920, 35, 1, 22, "Print"],
Cell[810894, 33923, 35, 1, 22, "Print"],
Cell[810932, 33926, 35, 1, 22, "Print"],
Cell[810970, 33929, 35, 1, 22, "Print"],
Cell[811008, 33932, 35, 1, 22, "Print"],
Cell[811046, 33935, 35, 1, 22, "Print"],
Cell[811084, 33938, 35, 1, 22, "Print"],
Cell[811122, 33941, 35, 1, 22, "Print"],
Cell[811160, 33944, 35, 1, 22, "Print"],
Cell[811198, 33947, 35, 1, 22, "Print"],
Cell[811236, 33950, 35, 1, 22, "Print"],
Cell[811274, 33953, 35, 1, 22, "Print"],
Cell[811312, 33956, 35, 1, 22, "Print"],
Cell[811350, 33959, 35, 1, 22, "Print"],
Cell[811388, 33962, 35, 1, 22, "Print"],
Cell[811426, 33965, 35, 1, 22, "Print"],
Cell[811464, 33968, 35, 1, 22, "Print"],
Cell[811502, 33971, 35, 1, 22, "Print"],
Cell[811540, 33974, 35, 1, 22, "Print"],
Cell[811578, 33977, 35, 1, 22, "Print"],
Cell[811616, 33980, 35, 1, 22, "Print"],
Cell[811654, 33983, 35, 1, 22, "Print"],
Cell[811692, 33986, 35, 1, 22, "Print"],
Cell[811730, 33989, 35, 1, 22, "Print"],
Cell[811768, 33992, 35, 1, 22, "Print"],
Cell[811806, 33995, 35, 1, 22, "Print"],
Cell[811844, 33998, 35, 1, 22, "Print"],
Cell[811882, 34001, 35, 1, 22, "Print"],
Cell[811920, 34004, 35, 1, 22, "Print"],
Cell[811958, 34007, 35, 1, 22, "Print"],
Cell[811996, 34010, 35, 1, 22, "Print"],
Cell[812034, 34013, 35, 1, 22, "Print"],
Cell[812072, 34016, 35, 1, 22, "Print"],
Cell[812110, 34019, 35, 1, 22, "Print"],
Cell[812148, 34022, 35, 1, 22, "Print"],
Cell[812186, 34025, 35, 1, 22, "Print"],
Cell[812224, 34028, 35, 1, 22, "Print"],
Cell[812262, 34031, 35, 1, 22, "Print"],
Cell[812300, 34034, 35, 1, 22, "Print"],
Cell[812338, 34037, 35, 1, 22, "Print"],
Cell[812376, 34040, 35, 1, 22, "Print"],
Cell[812414, 34043, 35, 1, 22, "Print"],
Cell[812452, 34046, 35, 1, 22, "Print"],
Cell[812490, 34049, 35, 1, 22, "Print"],
Cell[812528, 34052, 35, 1, 22, "Print"],
Cell[812566, 34055, 35, 1, 22, "Print"],
Cell[812604, 34058, 35, 1, 22, "Print"],
Cell[812642, 34061, 35, 1, 22, "Print"],
Cell[812680, 34064, 35, 1, 22, "Print"],
Cell[812718, 34067, 35, 1, 22, "Print"],
Cell[812756, 34070, 35, 1, 22, "Print"],
Cell[812794, 34073, 35, 1, 22, "Print"],
Cell[812832, 34076, 35, 1, 22, "Print"],
Cell[812870, 34079, 35, 1, 22, "Print"],
Cell[812908, 34082, 35, 1, 22, "Print"],
Cell[812946, 34085, 35, 1, 22, "Print"],
Cell[812984, 34088, 35, 1, 22, "Print"],
Cell[813022, 34091, 35, 1, 22, "Print"],
Cell[813060, 34094, 35, 1, 22, "Print"],
Cell[813098, 34097, 35, 1, 22, "Print"],
Cell[813136, 34100, 35, 1, 22, "Print"],
Cell[813174, 34103, 35, 1, 22, "Print"],
Cell[813212, 34106, 35, 1, 22, "Print"],
Cell[813250, 34109, 35, 1, 22, "Print"],
Cell[813288, 34112, 35, 1, 22, "Print"],
Cell[813326, 34115, 35, 1, 22, "Print"],
Cell[813364, 34118, 35, 1, 22, "Print"],
Cell[813402, 34121, 35, 1, 22, "Print"],
Cell[813440, 34124, 35, 1, 22, "Print"],
Cell[813478, 34127, 35, 1, 22, "Print"],
Cell[813516, 34130, 35, 1, 22, "Print"],
Cell[813554, 34133, 35, 1, 22, "Print"],
Cell[813592, 34136, 35, 1, 22, "Print"],
Cell[813630, 34139, 34, 1, 22, "Print"],
Cell[813667, 34142, 34, 1, 22, "Print"],
Cell[813704, 34145, 34, 1, 22, "Print"],
Cell[813741, 34148, 34, 1, 22, "Print"],
Cell[813778, 34151, 34, 1, 22, "Print"],
Cell[813815, 34154, 34, 1, 22, "Print"],
Cell[813852, 34157, 34, 1, 22, "Print"],
Cell[813889, 34160, 34, 1, 22, "Print"],
Cell[813926, 34163, 34, 1, 22, "Print"],
Cell[813963, 34166, 49, 1, 22, "Print"],
Cell[814015, 34169, 77, 1, 22, "Print"],
Cell[814095, 34172, 76, 1, 22, "Print"],
Cell[814174, 34175, 61, 1, 22, "Print"],
Cell[814238, 34178, 159, 3, 22, "Print"],
Cell[814400, 34183, 159, 3, 22, "Print"],
Cell[814562, 34188, 159, 3, 22, "Print"],
Cell[814724, 34193, 159, 3, 22, "Print"],
Cell[814886, 34198, 159, 3, 22, "Print"],
Cell[815048, 34203, 159, 3, 22, "Print"],
Cell[815210, 34208, 159, 3, 22, "Print"],
Cell[815372, 34213, 159, 3, 22, "Print"],
Cell[815534, 34218, 161, 3, 22, "Print"],
Cell[815698, 34223, 161, 3, 22, "Print"],
Cell[815862, 34228, 161, 3, 22, "Print"],
Cell[816026, 34233, 161, 3, 22, "Print"],
Cell[816190, 34238, 161, 3, 22, "Print"],
Cell[816354, 34243, 161, 3, 22, "Print"],
Cell[816518, 34248, 161, 3, 22, "Print"],
Cell[816682, 34253, 161, 3, 22, "Print"],
Cell[816846, 34258, 161, 3, 22, "Print"],
Cell[817010, 34263, 161, 3, 22, "Print"],
Cell[817174, 34268, 161, 3, 22, "Print"],
Cell[817338, 34273, 45, 1, 22, "Print"],
Cell[817386, 34276, 46, 1, 22, "Print"],
Cell[817435, 34279, 202, 4, 22, "Print"],
Cell[817640, 34285, 36, 1, 22, "Print"],
Cell[817679, 34288, 35, 1, 22, "Print"],
Cell[817717, 34291, 35, 1, 22, "Print"],
Cell[817755, 34294, 35, 1, 22, "Print"],
Cell[817793, 34297, 35, 1, 22, "Print"],
Cell[817831, 34300, 35, 1, 22, "Print"],
Cell[817869, 34303, 35, 1, 22, "Print"],
Cell[817907, 34306, 35, 1, 22, "Print"],
Cell[817945, 34309, 35, 1, 22, "Print"],
Cell[817983, 34312, 35, 1, 22, "Print"],
Cell[818021, 34315, 35, 1, 22, "Print"],
Cell[818059, 34318, 35, 1, 22, "Print"],
Cell[818097, 34321, 35, 1, 22, "Print"],
Cell[818135, 34324, 35, 1, 22, "Print"],
Cell[818173, 34327, 35, 1, 22, "Print"],
Cell[818211, 34330, 35, 1, 22, "Print"],
Cell[818249, 34333, 35, 1, 22, "Print"],
Cell[818287, 34336, 35, 1, 22, "Print"],
Cell[818325, 34339, 35, 1, 22, "Print"],
Cell[818363, 34342, 35, 1, 22, "Print"],
Cell[818401, 34345, 35, 1, 22, "Print"],
Cell[818439, 34348, 35, 1, 22, "Print"],
Cell[818477, 34351, 35, 1, 22, "Print"],
Cell[818515, 34354, 35, 1, 22, "Print"],
Cell[818553, 34357, 35, 1, 22, "Print"],
Cell[818591, 34360, 35, 1, 22, "Print"],
Cell[818629, 34363, 35, 1, 22, "Print"],
Cell[818667, 34366, 35, 1, 22, "Print"],
Cell[818705, 34369, 35, 1, 22, "Print"],
Cell[818743, 34372, 35, 1, 22, "Print"],
Cell[818781, 34375, 35, 1, 22, "Print"],
Cell[818819, 34378, 35, 1, 22, "Print"],
Cell[818857, 34381, 35, 1, 22, "Print"],
Cell[818895, 34384, 35, 1, 22, "Print"],
Cell[818933, 34387, 35, 1, 22, "Print"],
Cell[818971, 34390, 35, 1, 22, "Print"],
Cell[819009, 34393, 35, 1, 22, "Print"],
Cell[819047, 34396, 35, 1, 22, "Print"],
Cell[819085, 34399, 35, 1, 22, "Print"],
Cell[819123, 34402, 35, 1, 22, "Print"],
Cell[819161, 34405, 35, 1, 22, "Print"],
Cell[819199, 34408, 35, 1, 22, "Print"],
Cell[819237, 34411, 35, 1, 22, "Print"],
Cell[819275, 34414, 35, 1, 22, "Print"],
Cell[819313, 34417, 35, 1, 22, "Print"],
Cell[819351, 34420, 35, 1, 22, "Print"],
Cell[819389, 34423, 35, 1, 22, "Print"],
Cell[819427, 34426, 35, 1, 22, "Print"],
Cell[819465, 34429, 35, 1, 22, "Print"],
Cell[819503, 34432, 35, 1, 22, "Print"],
Cell[819541, 34435, 35, 1, 22, "Print"],
Cell[819579, 34438, 35, 1, 22, "Print"],
Cell[819617, 34441, 35, 1, 22, "Print"],
Cell[819655, 34444, 35, 1, 22, "Print"],
Cell[819693, 34447, 35, 1, 22, "Print"],
Cell[819731, 34450, 35, 1, 22, "Print"],
Cell[819769, 34453, 35, 1, 22, "Print"],
Cell[819807, 34456, 35, 1, 22, "Print"],
Cell[819845, 34459, 35, 1, 22, "Print"],
Cell[819883, 34462, 35, 1, 22, "Print"],
Cell[819921, 34465, 35, 1, 22, "Print"],
Cell[819959, 34468, 35, 1, 22, "Print"],
Cell[819997, 34471, 35, 1, 22, "Print"],
Cell[820035, 34474, 35, 1, 22, "Print"],
Cell[820073, 34477, 35, 1, 22, "Print"],
Cell[820111, 34480, 35, 1, 22, "Print"],
Cell[820149, 34483, 35, 1, 22, "Print"],
Cell[820187, 34486, 35, 1, 22, "Print"],
Cell[820225, 34489, 35, 1, 22, "Print"],
Cell[820263, 34492, 35, 1, 22, "Print"],
Cell[820301, 34495, 35, 1, 22, "Print"],
Cell[820339, 34498, 35, 1, 22, "Print"],
Cell[820377, 34501, 35, 1, 22, "Print"],
Cell[820415, 34504, 35, 1, 22, "Print"],
Cell[820453, 34507, 35, 1, 22, "Print"],
Cell[820491, 34510, 35, 1, 22, "Print"],
Cell[820529, 34513, 35, 1, 22, "Print"],
Cell[820567, 34516, 35, 1, 22, "Print"],
Cell[820605, 34519, 35, 1, 22, "Print"],
Cell[820643, 34522, 35, 1, 22, "Print"],
Cell[820681, 34525, 35, 1, 22, "Print"],
Cell[820719, 34528, 35, 1, 22, "Print"],
Cell[820757, 34531, 35, 1, 22, "Print"],
Cell[820795, 34534, 35, 1, 22, "Print"],
Cell[820833, 34537, 35, 1, 22, "Print"],
Cell[820871, 34540, 35, 1, 22, "Print"],
Cell[820909, 34543, 35, 1, 22, "Print"],
Cell[820947, 34546, 35, 1, 22, "Print"],
Cell[820985, 34549, 35, 1, 22, "Print"],
Cell[821023, 34552, 35, 1, 22, "Print"],
Cell[821061, 34555, 35, 1, 22, "Print"],
Cell[821099, 34558, 34, 1, 22, "Print"],
Cell[821136, 34561, 34, 1, 22, "Print"],
Cell[821173, 34564, 34, 1, 22, "Print"],
Cell[821210, 34567, 34, 1, 22, "Print"],
Cell[821247, 34570, 34, 1, 22, "Print"],
Cell[821284, 34573, 34, 1, 22, "Print"],
Cell[821321, 34576, 34, 1, 22, "Print"],
Cell[821358, 34579, 34, 1, 22, "Print"],
Cell[821395, 34582, 34, 1, 22, "Print"],
Cell[821432, 34585, 49, 1, 22, "Print"],
Cell[821484, 34588, 77, 1, 22, "Print"],
Cell[821564, 34591, 76, 1, 22, "Print"],
Cell[821643, 34594, 61, 1, 22, "Print"],
Cell[821707, 34597, 159, 3, 22, "Print"],
Cell[821869, 34602, 159, 3, 22, "Print"],
Cell[822031, 34607, 159, 3, 22, "Print"],
Cell[822193, 34612, 159, 3, 22, "Print"],
Cell[822355, 34617, 159, 3, 22, "Print"],
Cell[822517, 34622, 159, 3, 22, "Print"],
Cell[822679, 34627, 159, 3, 22, "Print"],
Cell[822841, 34632, 159, 3, 22, "Print"],
Cell[823003, 34637, 161, 3, 22, "Print"],
Cell[823167, 34642, 161, 3, 22, "Print"],
Cell[823331, 34647, 161, 3, 22, "Print"],
Cell[823495, 34652, 161, 3, 22, "Print"],
Cell[823659, 34657, 161, 3, 22, "Print"],
Cell[823823, 34662, 161, 3, 22, "Print"],
Cell[823987, 34667, 161, 3, 22, "Print"],
Cell[824151, 34672, 161, 3, 22, "Print"],
Cell[824315, 34677, 161, 3, 22, "Print"],
Cell[824479, 34682, 161, 3, 22, "Print"],
Cell[824643, 34687, 161, 3, 22, "Print"],
Cell[824807, 34692, 45, 1, 22, "Print"],
Cell[824855, 34695, 48, 1, 22, "Print"],
Cell[824906, 34698, 201, 4, 22, "Print"],
Cell[825110, 34704, 36, 1, 22, "Print"],
Cell[825149, 34707, 35, 1, 22, "Print"],
Cell[825187, 34710, 35, 1, 22, "Print"],
Cell[825225, 34713, 35, 1, 22, "Print"],
Cell[825263, 34716, 35, 1, 22, "Print"],
Cell[825301, 34719, 35, 1, 22, "Print"],
Cell[825339, 34722, 35, 1, 22, "Print"],
Cell[825377, 34725, 35, 1, 22, "Print"],
Cell[825415, 34728, 35, 1, 22, "Print"],
Cell[825453, 34731, 35, 1, 22, "Print"],
Cell[825491, 34734, 35, 1, 22, "Print"],
Cell[825529, 34737, 35, 1, 22, "Print"],
Cell[825567, 34740, 35, 1, 22, "Print"],
Cell[825605, 34743, 35, 1, 22, "Print"],
Cell[825643, 34746, 35, 1, 22, "Print"],
Cell[825681, 34749, 35, 1, 22, "Print"],
Cell[825719, 34752, 35, 1, 22, "Print"],
Cell[825757, 34755, 35, 1, 22, "Print"],
Cell[825795, 34758, 35, 1, 22, "Print"],
Cell[825833, 34761, 35, 1, 22, "Print"],
Cell[825871, 34764, 35, 1, 22, "Print"],
Cell[825909, 34767, 35, 1, 22, "Print"],
Cell[825947, 34770, 35, 1, 22, "Print"],
Cell[825985, 34773, 35, 1, 22, "Print"],
Cell[826023, 34776, 35, 1, 22, "Print"],
Cell[826061, 34779, 35, 1, 22, "Print"],
Cell[826099, 34782, 35, 1, 22, "Print"],
Cell[826137, 34785, 35, 1, 22, "Print"],
Cell[826175, 34788, 35, 1, 22, "Print"],
Cell[826213, 34791, 35, 1, 22, "Print"],
Cell[826251, 34794, 35, 1, 22, "Print"],
Cell[826289, 34797, 35, 1, 22, "Print"],
Cell[826327, 34800, 35, 1, 22, "Print"],
Cell[826365, 34803, 35, 1, 22, "Print"],
Cell[826403, 34806, 35, 1, 22, "Print"],
Cell[826441, 34809, 35, 1, 22, "Print"],
Cell[826479, 34812, 35, 1, 22, "Print"],
Cell[826517, 34815, 35, 1, 22, "Print"],
Cell[826555, 34818, 35, 1, 22, "Print"],
Cell[826593, 34821, 35, 1, 22, "Print"],
Cell[826631, 34824, 35, 1, 22, "Print"],
Cell[826669, 34827, 35, 1, 22, "Print"],
Cell[826707, 34830, 35, 1, 22, "Print"],
Cell[826745, 34833, 35, 1, 22, "Print"],
Cell[826783, 34836, 35, 1, 22, "Print"],
Cell[826821, 34839, 35, 1, 22, "Print"],
Cell[826859, 34842, 35, 1, 22, "Print"],
Cell[826897, 34845, 35, 1, 22, "Print"],
Cell[826935, 34848, 35, 1, 22, "Print"],
Cell[826973, 34851, 35, 1, 22, "Print"],
Cell[827011, 34854, 35, 1, 22, "Print"],
Cell[827049, 34857, 35, 1, 22, "Print"],
Cell[827087, 34860, 35, 1, 22, "Print"],
Cell[827125, 34863, 35, 1, 22, "Print"],
Cell[827163, 34866, 35, 1, 22, "Print"],
Cell[827201, 34869, 35, 1, 22, "Print"],
Cell[827239, 34872, 35, 1, 22, "Print"],
Cell[827277, 34875, 35, 1, 22, "Print"],
Cell[827315, 34878, 35, 1, 22, "Print"],
Cell[827353, 34881, 35, 1, 22, "Print"],
Cell[827391, 34884, 35, 1, 22, "Print"],
Cell[827429, 34887, 35, 1, 22, "Print"],
Cell[827467, 34890, 35, 1, 22, "Print"],
Cell[827505, 34893, 35, 1, 22, "Print"],
Cell[827543, 34896, 35, 1, 22, "Print"],
Cell[827581, 34899, 35, 1, 22, "Print"],
Cell[827619, 34902, 35, 1, 22, "Print"],
Cell[827657, 34905, 35, 1, 22, "Print"],
Cell[827695, 34908, 35, 1, 22, "Print"],
Cell[827733, 34911, 35, 1, 22, "Print"],
Cell[827771, 34914, 35, 1, 22, "Print"],
Cell[827809, 34917, 35, 1, 22, "Print"],
Cell[827847, 34920, 35, 1, 22, "Print"],
Cell[827885, 34923, 35, 1, 22, "Print"],
Cell[827923, 34926, 35, 1, 22, "Print"],
Cell[827961, 34929, 35, 1, 22, "Print"],
Cell[827999, 34932, 35, 1, 22, "Print"],
Cell[828037, 34935, 35, 1, 22, "Print"],
Cell[828075, 34938, 35, 1, 22, "Print"],
Cell[828113, 34941, 35, 1, 22, "Print"],
Cell[828151, 34944, 35, 1, 22, "Print"],
Cell[828189, 34947, 35, 1, 22, "Print"],
Cell[828227, 34950, 35, 1, 22, "Print"],
Cell[828265, 34953, 35, 1, 22, "Print"],
Cell[828303, 34956, 35, 1, 22, "Print"],
Cell[828341, 34959, 35, 1, 22, "Print"],
Cell[828379, 34962, 35, 1, 22, "Print"],
Cell[828417, 34965, 35, 1, 22, "Print"],
Cell[828455, 34968, 35, 1, 22, "Print"],
Cell[828493, 34971, 35, 1, 22, "Print"],
Cell[828531, 34974, 35, 1, 22, "Print"],
Cell[828569, 34977, 34, 1, 22, "Print"],
Cell[828606, 34980, 34, 1, 22, "Print"],
Cell[828643, 34983, 34, 1, 22, "Print"],
Cell[828680, 34986, 34, 1, 22, "Print"],
Cell[828717, 34989, 34, 1, 22, "Print"],
Cell[828754, 34992, 34, 1, 22, "Print"],
Cell[828791, 34995, 34, 1, 22, "Print"],
Cell[828828, 34998, 34, 1, 22, "Print"],
Cell[828865, 35001, 34, 1, 22, "Print"],
Cell[828902, 35004, 51, 1, 22, "Print"],
Cell[828956, 35007, 77, 1, 22, "Print"],
Cell[829036, 35010, 76, 1, 22, "Print"],
Cell[829115, 35013, 61, 1, 22, "Print"],
Cell[829179, 35016, 159, 3, 22, "Print"],
Cell[829341, 35021, 159, 3, 22, "Print"],
Cell[829503, 35026, 159, 3, 22, "Print"],
Cell[829665, 35031, 159, 3, 22, "Print"],
Cell[829827, 35036, 159, 3, 22, "Print"],
Cell[829989, 35041, 159, 3, 22, "Print"],
Cell[830151, 35046, 159, 3, 22, "Print"],
Cell[830313, 35051, 159, 3, 22, "Print"],
Cell[830475, 35056, 161, 3, 22, "Print"],
Cell[830639, 35061, 161, 3, 22, "Print"],
Cell[830803, 35066, 161, 3, 22, "Print"],
Cell[830967, 35071, 161, 3, 22, "Print"],
Cell[831131, 35076, 161, 3, 22, "Print"],
Cell[831295, 35081, 161, 3, 22, "Print"],
Cell[831459, 35086, 161, 3, 22, "Print"],
Cell[831623, 35091, 161, 3, 22, "Print"],
Cell[831787, 35096, 161, 3, 22, "Print"],
Cell[831951, 35101, 161, 3, 22, "Print"],
Cell[832115, 35106, 161, 3, 22, "Print"],
Cell[832279, 35111, 47, 1, 22, "Print"],
Cell[832329, 35114, 48, 1, 22, "Print"],
Cell[832380, 35117, 202, 4, 22, "Print"],
Cell[832585, 35123, 36, 1, 22, "Print"],
Cell[832624, 35126, 35, 1, 22, "Print"],
Cell[832662, 35129, 35, 1, 22, "Print"],
Cell[832700, 35132, 35, 1, 22, "Print"],
Cell[832738, 35135, 35, 1, 22, "Print"],
Cell[832776, 35138, 35, 1, 22, "Print"],
Cell[832814, 35141, 35, 1, 22, "Print"],
Cell[832852, 35144, 35, 1, 22, "Print"],
Cell[832890, 35147, 35, 1, 22, "Print"],
Cell[832928, 35150, 35, 1, 22, "Print"],
Cell[832966, 35153, 35, 1, 22, "Print"],
Cell[833004, 35156, 35, 1, 22, "Print"],
Cell[833042, 35159, 35, 1, 22, "Print"],
Cell[833080, 35162, 35, 1, 22, "Print"],
Cell[833118, 35165, 35, 1, 22, "Print"],
Cell[833156, 35168, 35, 1, 22, "Print"],
Cell[833194, 35171, 35, 1, 22, "Print"],
Cell[833232, 35174, 35, 1, 22, "Print"],
Cell[833270, 35177, 35, 1, 22, "Print"],
Cell[833308, 35180, 35, 1, 22, "Print"],
Cell[833346, 35183, 35, 1, 22, "Print"],
Cell[833384, 35186, 35, 1, 22, "Print"],
Cell[833422, 35189, 35, 1, 22, "Print"],
Cell[833460, 35192, 35, 1, 22, "Print"],
Cell[833498, 35195, 35, 1, 22, "Print"],
Cell[833536, 35198, 35, 1, 22, "Print"],
Cell[833574, 35201, 35, 1, 22, "Print"],
Cell[833612, 35204, 35, 1, 22, "Print"],
Cell[833650, 35207, 35, 1, 22, "Print"],
Cell[833688, 35210, 35, 1, 22, "Print"],
Cell[833726, 35213, 35, 1, 22, "Print"],
Cell[833764, 35216, 35, 1, 22, "Print"],
Cell[833802, 35219, 35, 1, 22, "Print"],
Cell[833840, 35222, 35, 1, 22, "Print"],
Cell[833878, 35225, 35, 1, 22, "Print"],
Cell[833916, 35228, 35, 1, 22, "Print"],
Cell[833954, 35231, 35, 1, 22, "Print"],
Cell[833992, 35234, 35, 1, 22, "Print"],
Cell[834030, 35237, 35, 1, 22, "Print"],
Cell[834068, 35240, 35, 1, 22, "Print"],
Cell[834106, 35243, 35, 1, 22, "Print"],
Cell[834144, 35246, 35, 1, 22, "Print"],
Cell[834182, 35249, 35, 1, 22, "Print"],
Cell[834220, 35252, 35, 1, 22, "Print"],
Cell[834258, 35255, 35, 1, 22, "Print"],
Cell[834296, 35258, 35, 1, 22, "Print"],
Cell[834334, 35261, 35, 1, 22, "Print"],
Cell[834372, 35264, 35, 1, 22, "Print"],
Cell[834410, 35267, 35, 1, 22, "Print"],
Cell[834448, 35270, 35, 1, 22, "Print"],
Cell[834486, 35273, 35, 1, 22, "Print"],
Cell[834524, 35276, 35, 1, 22, "Print"],
Cell[834562, 35279, 35, 1, 22, "Print"],
Cell[834600, 35282, 35, 1, 22, "Print"],
Cell[834638, 35285, 35, 1, 22, "Print"],
Cell[834676, 35288, 35, 1, 22, "Print"],
Cell[834714, 35291, 35, 1, 22, "Print"],
Cell[834752, 35294, 35, 1, 22, "Print"],
Cell[834790, 35297, 35, 1, 22, "Print"],
Cell[834828, 35300, 35, 1, 22, "Print"],
Cell[834866, 35303, 35, 1, 22, "Print"],
Cell[834904, 35306, 35, 1, 22, "Print"],
Cell[834942, 35309, 35, 1, 22, "Print"],
Cell[834980, 35312, 35, 1, 22, "Print"],
Cell[835018, 35315, 35, 1, 22, "Print"],
Cell[835056, 35318, 35, 1, 22, "Print"],
Cell[835094, 35321, 35, 1, 22, "Print"],
Cell[835132, 35324, 35, 1, 22, "Print"],
Cell[835170, 35327, 35, 1, 22, "Print"],
Cell[835208, 35330, 35, 1, 22, "Print"],
Cell[835246, 35333, 35, 1, 22, "Print"],
Cell[835284, 35336, 35, 1, 22, "Print"],
Cell[835322, 35339, 35, 1, 22, "Print"],
Cell[835360, 35342, 35, 1, 22, "Print"],
Cell[835398, 35345, 35, 1, 22, "Print"],
Cell[835436, 35348, 35, 1, 22, "Print"],
Cell[835474, 35351, 35, 1, 22, "Print"],
Cell[835512, 35354, 35, 1, 22, "Print"],
Cell[835550, 35357, 35, 1, 22, "Print"],
Cell[835588, 35360, 35, 1, 22, "Print"],
Cell[835626, 35363, 35, 1, 22, "Print"],
Cell[835664, 35366, 35, 1, 22, "Print"],
Cell[835702, 35369, 35, 1, 22, "Print"],
Cell[835740, 35372, 35, 1, 22, "Print"],
Cell[835778, 35375, 35, 1, 22, "Print"],
Cell[835816, 35378, 35, 1, 22, "Print"],
Cell[835854, 35381, 35, 1, 22, "Print"],
Cell[835892, 35384, 35, 1, 22, "Print"],
Cell[835930, 35387, 35, 1, 22, "Print"],
Cell[835968, 35390, 35, 1, 22, "Print"],
Cell[836006, 35393, 35, 1, 22, "Print"],
Cell[836044, 35396, 34, 1, 22, "Print"],
Cell[836081, 35399, 34, 1, 22, "Print"],
Cell[836118, 35402, 34, 1, 22, "Print"],
Cell[836155, 35405, 34, 1, 22, "Print"],
Cell[836192, 35408, 34, 1, 22, "Print"],
Cell[836229, 35411, 34, 1, 22, "Print"],
Cell[836266, 35414, 34, 1, 22, "Print"],
Cell[836303, 35417, 34, 1, 22, "Print"],
Cell[836340, 35420, 34, 1, 22, "Print"],
Cell[836377, 35423, 51, 1, 22, "Print"],
Cell[836431, 35426, 77, 1, 22, "Print"],
Cell[836511, 35429, 76, 1, 22, "Print"],
Cell[836590, 35432, 61, 1, 22, "Print"],
Cell[836654, 35435, 159, 3, 22, "Print"],
Cell[836816, 35440, 159, 3, 22, "Print"],
Cell[836978, 35445, 159, 3, 22, "Print"],
Cell[837140, 35450, 159, 3, 22, "Print"],
Cell[837302, 35455, 159, 3, 22, "Print"],
Cell[837464, 35460, 159, 3, 22, "Print"],
Cell[837626, 35465, 159, 3, 22, "Print"],
Cell[837788, 35470, 159, 3, 22, "Print"],
Cell[837950, 35475, 161, 3, 22, "Print"],
Cell[838114, 35480, 161, 3, 22, "Print"],
Cell[838278, 35485, 161, 3, 22, "Print"],
Cell[838442, 35490, 161, 3, 22, "Print"],
Cell[838606, 35495, 161, 3, 22, "Print"],
Cell[838770, 35500, 161, 3, 22, "Print"],
Cell[838934, 35505, 161, 3, 22, "Print"],
Cell[839098, 35510, 161, 3, 22, "Print"],
Cell[839262, 35515, 161, 3, 22, "Print"],
Cell[839426, 35520, 161, 3, 22, "Print"],
Cell[839590, 35525, 161, 3, 22, "Print"],
Cell[839754, 35530, 47, 1, 22, "Print"],
Cell[839804, 35533, 46, 1, 22, "Print"],
Cell[839853, 35536, 202, 4, 22, "Print"],
Cell[840058, 35542, 36, 1, 22, "Print"],
Cell[840097, 35545, 35, 1, 22, "Print"],
Cell[840135, 35548, 35, 1, 22, "Print"],
Cell[840173, 35551, 35, 1, 22, "Print"],
Cell[840211, 35554, 35, 1, 22, "Print"],
Cell[840249, 35557, 35, 1, 22, "Print"],
Cell[840287, 35560, 35, 1, 22, "Print"],
Cell[840325, 35563, 35, 1, 22, "Print"],
Cell[840363, 35566, 35, 1, 22, "Print"],
Cell[840401, 35569, 35, 1, 22, "Print"],
Cell[840439, 35572, 35, 1, 22, "Print"],
Cell[840477, 35575, 35, 1, 22, "Print"],
Cell[840515, 35578, 35, 1, 22, "Print"],
Cell[840553, 35581, 35, 1, 22, "Print"],
Cell[840591, 35584, 35, 1, 22, "Print"],
Cell[840629, 35587, 35, 1, 22, "Print"],
Cell[840667, 35590, 35, 1, 22, "Print"],
Cell[840705, 35593, 35, 1, 22, "Print"],
Cell[840743, 35596, 35, 1, 22, "Print"],
Cell[840781, 35599, 35, 1, 22, "Print"],
Cell[840819, 35602, 35, 1, 22, "Print"],
Cell[840857, 35605, 35, 1, 22, "Print"],
Cell[840895, 35608, 35, 1, 22, "Print"],
Cell[840933, 35611, 35, 1, 22, "Print"],
Cell[840971, 35614, 35, 1, 22, "Print"],
Cell[841009, 35617, 35, 1, 22, "Print"],
Cell[841047, 35620, 35, 1, 22, "Print"],
Cell[841085, 35623, 35, 1, 22, "Print"],
Cell[841123, 35626, 35, 1, 22, "Print"],
Cell[841161, 35629, 35, 1, 22, "Print"],
Cell[841199, 35632, 35, 1, 22, "Print"],
Cell[841237, 35635, 35, 1, 22, "Print"],
Cell[841275, 35638, 35, 1, 22, "Print"],
Cell[841313, 35641, 35, 1, 22, "Print"],
Cell[841351, 35644, 35, 1, 22, "Print"],
Cell[841389, 35647, 35, 1, 22, "Print"],
Cell[841427, 35650, 35, 1, 22, "Print"],
Cell[841465, 35653, 35, 1, 22, "Print"],
Cell[841503, 35656, 35, 1, 22, "Print"],
Cell[841541, 35659, 35, 1, 22, "Print"],
Cell[841579, 35662, 35, 1, 22, "Print"],
Cell[841617, 35665, 35, 1, 22, "Print"],
Cell[841655, 35668, 35, 1, 22, "Print"],
Cell[841693, 35671, 35, 1, 22, "Print"],
Cell[841731, 35674, 35, 1, 22, "Print"],
Cell[841769, 35677, 35, 1, 22, "Print"],
Cell[841807, 35680, 35, 1, 22, "Print"],
Cell[841845, 35683, 35, 1, 22, "Print"],
Cell[841883, 35686, 35, 1, 22, "Print"],
Cell[841921, 35689, 35, 1, 22, "Print"],
Cell[841959, 35692, 35, 1, 22, "Print"],
Cell[841997, 35695, 35, 1, 22, "Print"],
Cell[842035, 35698, 35, 1, 22, "Print"],
Cell[842073, 35701, 35, 1, 22, "Print"],
Cell[842111, 35704, 35, 1, 22, "Print"],
Cell[842149, 35707, 35, 1, 22, "Print"],
Cell[842187, 35710, 35, 1, 22, "Print"],
Cell[842225, 35713, 35, 1, 22, "Print"],
Cell[842263, 35716, 35, 1, 22, "Print"],
Cell[842301, 35719, 35, 1, 22, "Print"],
Cell[842339, 35722, 35, 1, 22, "Print"],
Cell[842377, 35725, 35, 1, 22, "Print"],
Cell[842415, 35728, 35, 1, 22, "Print"],
Cell[842453, 35731, 35, 1, 22, "Print"],
Cell[842491, 35734, 35, 1, 22, "Print"],
Cell[842529, 35737, 35, 1, 22, "Print"],
Cell[842567, 35740, 35, 1, 22, "Print"],
Cell[842605, 35743, 35, 1, 22, "Print"],
Cell[842643, 35746, 35, 1, 22, "Print"],
Cell[842681, 35749, 35, 1, 22, "Print"],
Cell[842719, 35752, 35, 1, 22, "Print"],
Cell[842757, 35755, 35, 1, 22, "Print"],
Cell[842795, 35758, 35, 1, 22, "Print"],
Cell[842833, 35761, 35, 1, 22, "Print"],
Cell[842871, 35764, 35, 1, 22, "Print"],
Cell[842909, 35767, 35, 1, 22, "Print"],
Cell[842947, 35770, 35, 1, 22, "Print"],
Cell[842985, 35773, 35, 1, 22, "Print"],
Cell[843023, 35776, 35, 1, 22, "Print"],
Cell[843061, 35779, 35, 1, 22, "Print"],
Cell[843099, 35782, 35, 1, 22, "Print"],
Cell[843137, 35785, 35, 1, 22, "Print"],
Cell[843175, 35788, 35, 1, 22, "Print"],
Cell[843213, 35791, 35, 1, 22, "Print"],
Cell[843251, 35794, 35, 1, 22, "Print"],
Cell[843289, 35797, 35, 1, 22, "Print"],
Cell[843327, 35800, 35, 1, 22, "Print"],
Cell[843365, 35803, 35, 1, 22, "Print"],
Cell[843403, 35806, 35, 1, 22, "Print"],
Cell[843441, 35809, 35, 1, 22, "Print"],
Cell[843479, 35812, 35, 1, 22, "Print"],
Cell[843517, 35815, 34, 1, 22, "Print"],
Cell[843554, 35818, 34, 1, 22, "Print"],
Cell[843591, 35821, 34, 1, 22, "Print"],
Cell[843628, 35824, 34, 1, 22, "Print"],
Cell[843665, 35827, 34, 1, 22, "Print"],
Cell[843702, 35830, 34, 1, 22, "Print"],
Cell[843739, 35833, 34, 1, 22, "Print"],
Cell[843776, 35836, 34, 1, 22, "Print"],
Cell[843813, 35839, 34, 1, 22, "Print"],
Cell[843850, 35842, 49, 1, 22, "Print"],
Cell[843902, 35845, 77, 1, 22, "Print"],
Cell[843982, 35848, 76, 1, 22, "Print"],
Cell[844061, 35851, 61, 1, 22, "Print"],
Cell[844125, 35854, 159, 3, 22, "Print"],
Cell[844287, 35859, 159, 3, 22, "Print"],
Cell[844449, 35864, 159, 3, 22, "Print"],
Cell[844611, 35869, 159, 3, 22, "Print"],
Cell[844773, 35874, 159, 3, 22, "Print"],
Cell[844935, 35879, 159, 3, 22, "Print"],
Cell[845097, 35884, 159, 3, 22, "Print"],
Cell[845259, 35889, 159, 3, 22, "Print"],
Cell[845421, 35894, 161, 3, 22, "Print"],
Cell[845585, 35899, 161, 3, 22, "Print"],
Cell[845749, 35904, 161, 3, 22, "Print"],
Cell[845913, 35909, 161, 3, 22, "Print"],
Cell[846077, 35914, 161, 3, 22, "Print"],
Cell[846241, 35919, 161, 3, 22, "Print"],
Cell[846405, 35924, 161, 3, 22, "Print"],
Cell[846569, 35929, 161, 3, 22, "Print"],
Cell[846733, 35934, 161, 3, 22, "Print"],
Cell[846897, 35939, 161, 3, 22, "Print"],
Cell[847061, 35944, 161, 3, 22, "Print"],
Cell[847225, 35949, 45, 1, 22, "Print"],
Cell[847273, 35952, 46, 1, 22, "Print"],
Cell[847322, 35955, 202, 4, 22, "Print"],
Cell[847527, 35961, 36, 1, 22, "Print"],
Cell[847566, 35964, 35, 1, 22, "Print"],
Cell[847604, 35967, 35, 1, 22, "Print"],
Cell[847642, 35970, 35, 1, 22, "Print"],
Cell[847680, 35973, 35, 1, 22, "Print"],
Cell[847718, 35976, 35, 1, 22, "Print"],
Cell[847756, 35979, 35, 1, 22, "Print"],
Cell[847794, 35982, 35, 1, 22, "Print"],
Cell[847832, 35985, 35, 1, 22, "Print"],
Cell[847870, 35988, 35, 1, 22, "Print"],
Cell[847908, 35991, 35, 1, 22, "Print"],
Cell[847946, 35994, 35, 1, 22, "Print"],
Cell[847984, 35997, 35, 1, 22, "Print"],
Cell[848022, 36000, 35, 1, 22, "Print"],
Cell[848060, 36003, 35, 1, 22, "Print"],
Cell[848098, 36006, 35, 1, 22, "Print"],
Cell[848136, 36009, 35, 1, 22, "Print"],
Cell[848174, 36012, 35, 1, 22, "Print"],
Cell[848212, 36015, 35, 1, 22, "Print"],
Cell[848250, 36018, 35, 1, 22, "Print"],
Cell[848288, 36021, 35, 1, 22, "Print"],
Cell[848326, 36024, 35, 1, 22, "Print"],
Cell[848364, 36027, 35, 1, 22, "Print"],
Cell[848402, 36030, 35, 1, 22, "Print"],
Cell[848440, 36033, 35, 1, 22, "Print"],
Cell[848478, 36036, 35, 1, 22, "Print"],
Cell[848516, 36039, 35, 1, 22, "Print"],
Cell[848554, 36042, 35, 1, 22, "Print"],
Cell[848592, 36045, 35, 1, 22, "Print"],
Cell[848630, 36048, 35, 1, 22, "Print"],
Cell[848668, 36051, 35, 1, 22, "Print"],
Cell[848706, 36054, 35, 1, 22, "Print"],
Cell[848744, 36057, 35, 1, 22, "Print"],
Cell[848782, 36060, 35, 1, 22, "Print"],
Cell[848820, 36063, 35, 1, 22, "Print"],
Cell[848858, 36066, 35, 1, 22, "Print"],
Cell[848896, 36069, 35, 1, 22, "Print"],
Cell[848934, 36072, 35, 1, 22, "Print"],
Cell[848972, 36075, 35, 1, 22, "Print"],
Cell[849010, 36078, 35, 1, 22, "Print"],
Cell[849048, 36081, 35, 1, 22, "Print"],
Cell[849086, 36084, 35, 1, 22, "Print"],
Cell[849124, 36087, 35, 1, 22, "Print"],
Cell[849162, 36090, 35, 1, 22, "Print"],
Cell[849200, 36093, 35, 1, 22, "Print"],
Cell[849238, 36096, 35, 1, 22, "Print"],
Cell[849276, 36099, 35, 1, 22, "Print"],
Cell[849314, 36102, 35, 1, 22, "Print"],
Cell[849352, 36105, 35, 1, 22, "Print"],
Cell[849390, 36108, 35, 1, 22, "Print"],
Cell[849428, 36111, 35, 1, 22, "Print"],
Cell[849466, 36114, 35, 1, 22, "Print"],
Cell[849504, 36117, 35, 1, 22, "Print"],
Cell[849542, 36120, 35, 1, 22, "Print"],
Cell[849580, 36123, 35, 1, 22, "Print"],
Cell[849618, 36126, 35, 1, 22, "Print"],
Cell[849656, 36129, 35, 1, 22, "Print"],
Cell[849694, 36132, 35, 1, 22, "Print"],
Cell[849732, 36135, 35, 1, 22, "Print"],
Cell[849770, 36138, 35, 1, 22, "Print"],
Cell[849808, 36141, 35, 1, 22, "Print"],
Cell[849846, 36144, 35, 1, 22, "Print"],
Cell[849884, 36147, 35, 1, 22, "Print"],
Cell[849922, 36150, 35, 1, 22, "Print"],
Cell[849960, 36153, 35, 1, 22, "Print"],
Cell[849998, 36156, 35, 1, 22, "Print"],
Cell[850036, 36159, 35, 1, 22, "Print"],
Cell[850074, 36162, 35, 1, 22, "Print"],
Cell[850112, 36165, 35, 1, 22, "Print"],
Cell[850150, 36168, 35, 1, 22, "Print"],
Cell[850188, 36171, 35, 1, 22, "Print"],
Cell[850226, 36174, 35, 1, 22, "Print"],
Cell[850264, 36177, 35, 1, 22, "Print"],
Cell[850302, 36180, 35, 1, 22, "Print"],
Cell[850340, 36183, 35, 1, 22, "Print"],
Cell[850378, 36186, 35, 1, 22, "Print"],
Cell[850416, 36189, 35, 1, 22, "Print"],
Cell[850454, 36192, 35, 1, 22, "Print"],
Cell[850492, 36195, 35, 1, 22, "Print"],
Cell[850530, 36198, 35, 1, 22, "Print"],
Cell[850568, 36201, 35, 1, 22, "Print"],
Cell[850606, 36204, 35, 1, 22, "Print"],
Cell[850644, 36207, 35, 1, 22, "Print"],
Cell[850682, 36210, 35, 1, 22, "Print"],
Cell[850720, 36213, 35, 1, 22, "Print"],
Cell[850758, 36216, 35, 1, 22, "Print"],
Cell[850796, 36219, 35, 1, 22, "Print"],
Cell[850834, 36222, 35, 1, 22, "Print"],
Cell[850872, 36225, 35, 1, 22, "Print"],
Cell[850910, 36228, 35, 1, 22, "Print"],
Cell[850948, 36231, 35, 1, 22, "Print"],
Cell[850986, 36234, 34, 1, 22, "Print"],
Cell[851023, 36237, 34, 1, 22, "Print"],
Cell[851060, 36240, 34, 1, 22, "Print"],
Cell[851097, 36243, 34, 1, 22, "Print"],
Cell[851134, 36246, 34, 1, 22, "Print"],
Cell[851171, 36249, 34, 1, 22, "Print"],
Cell[851208, 36252, 34, 1, 22, "Print"],
Cell[851245, 36255, 34, 1, 22, "Print"],
Cell[851282, 36258, 34, 1, 22, "Print"],
Cell[851319, 36261, 49, 1, 22, "Print"],
Cell[851371, 36264, 77, 1, 22, "Print"],
Cell[851451, 36267, 76, 1, 22, "Print"],
Cell[851530, 36270, 61, 1, 22, "Print"],
Cell[851594, 36273, 159, 3, 22, "Print"],
Cell[851756, 36278, 159, 3, 22, "Print"],
Cell[851918, 36283, 159, 3, 22, "Print"],
Cell[852080, 36288, 159, 3, 22, "Print"],
Cell[852242, 36293, 159, 3, 22, "Print"],
Cell[852404, 36298, 159, 3, 22, "Print"],
Cell[852566, 36303, 159, 3, 22, "Print"],
Cell[852728, 36308, 159, 3, 22, "Print"],
Cell[852890, 36313, 161, 3, 22, "Print"],
Cell[853054, 36318, 161, 3, 22, "Print"],
Cell[853218, 36323, 161, 3, 22, "Print"],
Cell[853382, 36328, 161, 3, 22, "Print"],
Cell[853546, 36333, 42, 1, 26, "Output"]
}, Open  ]],
Cell[853603, 36337, 41, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[853669, 36342, 47, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[853741, 36347, 30713, 1187, 186, 15126, 990, "GraphicsData", \
"PostScript", "Graphics"],
Cell[884457, 37536, 39443, 1663, 275, 26965, 1506, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[923949, 39205, 49, 1, 27, "Input"],
Cell[924001, 39208, 202, 4, 22, "Print"],
Cell[924206, 39214, 36, 1, 22, "Print"],
Cell[924245, 39217, 221, 3, 52, "Message"],
Cell[924469, 39222, 207, 3, 52, "Message"],
Cell[924679, 39227, 208, 3, 52, "Message"],
Cell[924890, 39232, 180, 3, 37, "Message"],
Cell[925073, 39237, 35, 1, 22, "Print"],
Cell[925111, 39240, 35, 1, 22, "Print"],
Cell[925149, 39243, 35, 1, 22, "Print"],
Cell[925187, 39246, 35, 1, 22, "Print"],
Cell[925225, 39249, 35, 1, 22, "Print"],
Cell[925263, 39252, 35, 1, 22, "Print"],
Cell[925301, 39255, 35, 1, 22, "Print"],
Cell[925339, 39258, 35, 1, 22, "Print"],
Cell[925377, 39261, 35, 1, 22, "Print"],
Cell[925415, 39264, 35, 1, 22, "Print"],
Cell[925453, 39267, 35, 1, 22, "Print"],
Cell[925491, 39270, 35, 1, 22, "Print"],
Cell[925529, 39273, 35, 1, 22, "Print"],
Cell[925567, 39276, 35, 1, 22, "Print"],
Cell[925605, 39279, 35, 1, 22, "Print"],
Cell[925643, 39282, 35, 1, 22, "Print"],
Cell[925681, 39285, 35, 1, 22, "Print"],
Cell[925719, 39288, 35, 1, 22, "Print"],
Cell[925757, 39291, 35, 1, 22, "Print"],
Cell[925795, 39294, 35, 1, 22, "Print"],
Cell[925833, 39297, 35, 1, 22, "Print"],
Cell[925871, 39300, 35, 1, 22, "Print"],
Cell[925909, 39303, 35, 1, 22, "Print"],
Cell[925947, 39306, 35, 1, 22, "Print"],
Cell[925985, 39309, 35, 1, 22, "Print"],
Cell[926023, 39312, 35, 1, 22, "Print"],
Cell[926061, 39315, 35, 1, 22, "Print"],
Cell[926099, 39318, 35, 1, 22, "Print"],
Cell[926137, 39321, 35, 1, 22, "Print"],
Cell[926175, 39324, 35, 1, 22, "Print"],
Cell[926213, 39327, 35, 1, 22, "Print"],
Cell[926251, 39330, 35, 1, 22, "Print"],
Cell[926289, 39333, 35, 1, 22, "Print"],
Cell[926327, 39336, 35, 1, 22, "Print"],
Cell[926365, 39339, 35, 1, 22, "Print"],
Cell[926403, 39342, 35, 1, 22, "Print"],
Cell[926441, 39345, 35, 1, 22, "Print"],
Cell[926479, 39348, 35, 1, 22, "Print"],
Cell[926517, 39351, 35, 1, 22, "Print"],
Cell[926555, 39354, 35, 1, 22, "Print"],
Cell[926593, 39357, 35, 1, 22, "Print"],
Cell[926631, 39360, 35, 1, 22, "Print"],
Cell[926669, 39363, 35, 1, 22, "Print"],
Cell[926707, 39366, 35, 1, 22, "Print"],
Cell[926745, 39369, 35, 1, 22, "Print"],
Cell[926783, 39372, 35, 1, 22, "Print"],
Cell[926821, 39375, 35, 1, 22, "Print"],
Cell[926859, 39378, 35, 1, 22, "Print"],
Cell[926897, 39381, 35, 1, 22, "Print"],
Cell[926935, 39384, 35, 1, 22, "Print"],
Cell[926973, 39387, 35, 1, 22, "Print"],
Cell[927011, 39390, 35, 1, 22, "Print"],
Cell[927049, 39393, 35, 1, 22, "Print"],
Cell[927087, 39396, 35, 1, 22, "Print"],
Cell[927125, 39399, 35, 1, 22, "Print"],
Cell[927163, 39402, 35, 1, 22, "Print"],
Cell[927201, 39405, 35, 1, 22, "Print"],
Cell[927239, 39408, 35, 1, 22, "Print"],
Cell[927277, 39411, 35, 1, 22, "Print"],
Cell[927315, 39414, 35, 1, 22, "Print"],
Cell[927353, 39417, 35, 1, 22, "Print"],
Cell[927391, 39420, 35, 1, 22, "Print"],
Cell[927429, 39423, 35, 1, 22, "Print"],
Cell[927467, 39426, 35, 1, 22, "Print"],
Cell[927505, 39429, 35, 1, 22, "Print"],
Cell[927543, 39432, 35, 1, 22, "Print"],
Cell[927581, 39435, 35, 1, 22, "Print"],
Cell[927619, 39438, 35, 1, 22, "Print"],
Cell[927657, 39441, 35, 1, 22, "Print"],
Cell[927695, 39444, 35, 1, 22, "Print"],
Cell[927733, 39447, 35, 1, 22, "Print"],
Cell[927771, 39450, 35, 1, 22, "Print"],
Cell[927809, 39453, 35, 1, 22, "Print"],
Cell[927847, 39456, 35, 1, 22, "Print"],
Cell[927885, 39459, 35, 1, 22, "Print"],
Cell[927923, 39462, 35, 1, 22, "Print"],
Cell[927961, 39465, 35, 1, 22, "Print"],
Cell[927999, 39468, 35, 1, 22, "Print"],
Cell[928037, 39471, 35, 1, 22, "Print"],
Cell[928075, 39474, 35, 1, 22, "Print"],
Cell[928113, 39477, 35, 1, 22, "Print"],
Cell[928151, 39480, 35, 1, 22, "Print"],
Cell[928189, 39483, 35, 1, 22, "Print"],
Cell[928227, 39486, 35, 1, 22, "Print"],
Cell[928265, 39489, 35, 1, 22, "Print"],
Cell[928303, 39492, 35, 1, 22, "Print"],
Cell[928341, 39495, 35, 1, 22, "Print"],
Cell[928379, 39498, 35, 1, 22, "Print"],
Cell[928417, 39501, 35, 1, 22, "Print"],
Cell[928455, 39504, 35, 1, 22, "Print"],
Cell[928493, 39507, 34, 1, 22, "Print"],
Cell[928530, 39510, 34, 1, 22, "Print"],
Cell[928567, 39513, 34, 1, 22, "Print"],
Cell[928604, 39516, 34, 1, 22, "Print"],
Cell[928641, 39519, 34, 1, 22, "Print"],
Cell[928678, 39522, 34, 1, 22, "Print"],
Cell[928715, 39525, 34, 1, 22, "Print"],
Cell[928752, 39528, 34, 1, 22, "Print"],
Cell[928789, 39531, 34, 1, 22, "Print"],
Cell[928826, 39534, 47, 1, 22, "Print"],
Cell[928876, 39537, 202, 4, 22, "Print"],
Cell[929081, 39543, 36, 1, 22, "Print"],
Cell[929120, 39546, 35, 1, 22, "Print"],
Cell[929158, 39549, 35, 1, 22, "Print"],
Cell[929196, 39552, 35, 1, 22, "Print"],
Cell[929234, 39555, 35, 1, 22, "Print"],
Cell[929272, 39558, 35, 1, 22, "Print"],
Cell[929310, 39561, 35, 1, 22, "Print"],
Cell[929348, 39564, 35, 1, 22, "Print"],
Cell[929386, 39567, 35, 1, 22, "Print"],
Cell[929424, 39570, 35, 1, 22, "Print"],
Cell[929462, 39573, 35, 1, 22, "Print"],
Cell[929500, 39576, 35, 1, 22, "Print"],
Cell[929538, 39579, 35, 1, 22, "Print"],
Cell[929576, 39582, 35, 1, 22, "Print"],
Cell[929614, 39585, 35, 1, 22, "Print"],
Cell[929652, 39588, 35, 1, 22, "Print"],
Cell[929690, 39591, 35, 1, 22, "Print"],
Cell[929728, 39594, 35, 1, 22, "Print"],
Cell[929766, 39597, 35, 1, 22, "Print"],
Cell[929804, 39600, 35, 1, 22, "Print"],
Cell[929842, 39603, 35, 1, 22, "Print"],
Cell[929880, 39606, 35, 1, 22, "Print"],
Cell[929918, 39609, 35, 1, 22, "Print"],
Cell[929956, 39612, 35, 1, 22, "Print"],
Cell[929994, 39615, 35, 1, 22, "Print"],
Cell[930032, 39618, 35, 1, 22, "Print"],
Cell[930070, 39621, 35, 1, 22, "Print"],
Cell[930108, 39624, 35, 1, 22, "Print"],
Cell[930146, 39627, 35, 1, 22, "Print"],
Cell[930184, 39630, 35, 1, 22, "Print"],
Cell[930222, 39633, 35, 1, 22, "Print"],
Cell[930260, 39636, 35, 1, 22, "Print"],
Cell[930298, 39639, 35, 1, 22, "Print"],
Cell[930336, 39642, 35, 1, 22, "Print"],
Cell[930374, 39645, 35, 1, 22, "Print"],
Cell[930412, 39648, 35, 1, 22, "Print"],
Cell[930450, 39651, 35, 1, 22, "Print"],
Cell[930488, 39654, 35, 1, 22, "Print"],
Cell[930526, 39657, 35, 1, 22, "Print"],
Cell[930564, 39660, 35, 1, 22, "Print"],
Cell[930602, 39663, 35, 1, 22, "Print"],
Cell[930640, 39666, 35, 1, 22, "Print"],
Cell[930678, 39669, 35, 1, 22, "Print"],
Cell[930716, 39672, 35, 1, 22, "Print"],
Cell[930754, 39675, 35, 1, 22, "Print"],
Cell[930792, 39678, 35, 1, 22, "Print"],
Cell[930830, 39681, 35, 1, 22, "Print"],
Cell[930868, 39684, 35, 1, 22, "Print"],
Cell[930906, 39687, 35, 1, 22, "Print"],
Cell[930944, 39690, 35, 1, 22, "Print"],
Cell[930982, 39693, 35, 1, 22, "Print"],
Cell[931020, 39696, 35, 1, 22, "Print"],
Cell[931058, 39699, 35, 1, 22, "Print"],
Cell[931096, 39702, 35, 1, 22, "Print"],
Cell[931134, 39705, 35, 1, 22, "Print"],
Cell[931172, 39708, 35, 1, 22, "Print"],
Cell[931210, 39711, 35, 1, 22, "Print"],
Cell[931248, 39714, 35, 1, 22, "Print"],
Cell[931286, 39717, 35, 1, 22, "Print"],
Cell[931324, 39720, 35, 1, 22, "Print"],
Cell[931362, 39723, 35, 1, 22, "Print"],
Cell[931400, 39726, 35, 1, 22, "Print"],
Cell[931438, 39729, 35, 1, 22, "Print"],
Cell[931476, 39732, 35, 1, 22, "Print"],
Cell[931514, 39735, 35, 1, 22, "Print"],
Cell[931552, 39738, 35, 1, 22, "Print"],
Cell[931590, 39741, 35, 1, 22, "Print"],
Cell[931628, 39744, 35, 1, 22, "Print"],
Cell[931666, 39747, 35, 1, 22, "Print"],
Cell[931704, 39750, 35, 1, 22, "Print"],
Cell[931742, 39753, 35, 1, 22, "Print"],
Cell[931780, 39756, 35, 1, 22, "Print"],
Cell[931818, 39759, 35, 1, 22, "Print"],
Cell[931856, 39762, 35, 1, 22, "Print"],
Cell[931894, 39765, 35, 1, 22, "Print"],
Cell[931932, 39768, 35, 1, 22, "Print"],
Cell[931970, 39771, 35, 1, 22, "Print"],
Cell[932008, 39774, 35, 1, 22, "Print"],
Cell[932046, 39777, 35, 1, 22, "Print"],
Cell[932084, 39780, 35, 1, 22, "Print"],
Cell[932122, 39783, 35, 1, 22, "Print"],
Cell[932160, 39786, 35, 1, 22, "Print"],
Cell[932198, 39789, 35, 1, 22, "Print"],
Cell[932236, 39792, 35, 1, 22, "Print"],
Cell[932274, 39795, 35, 1, 22, "Print"],
Cell[932312, 39798, 35, 1, 22, "Print"],
Cell[932350, 39801, 35, 1, 22, "Print"],
Cell[932388, 39804, 35, 1, 22, "Print"],
Cell[932426, 39807, 35, 1, 22, "Print"],
Cell[932464, 39810, 35, 1, 22, "Print"],
Cell[932502, 39813, 35, 1, 22, "Print"],
Cell[932540, 39816, 34, 1, 22, "Print"],
Cell[932577, 39819, 34, 1, 22, "Print"],
Cell[932614, 39822, 34, 1, 22, "Print"],
Cell[932651, 39825, 34, 1, 22, "Print"],
Cell[932688, 39828, 34, 1, 22, "Print"],
Cell[932725, 39831, 34, 1, 22, "Print"],
Cell[932762, 39834, 34, 1, 22, "Print"],
Cell[932799, 39837, 34, 1, 22, "Print"],
Cell[932836, 39840, 34, 1, 22, "Print"],
Cell[932873, 39843, 50, 1, 22, "Print"],
Cell[932926, 39846, 77, 1, 22, "Print"],
Cell[933006, 39849, 76, 1, 22, "Print"],
Cell[933085, 39852, 61, 1, 22, "Print"],
Cell[933149, 39855, 159, 3, 22, "Print"],
Cell[933311, 39860, 159, 3, 22, "Print"],
Cell[933473, 39865, 159, 3, 22, "Print"],
Cell[933635, 39870, 159, 3, 22, "Print"],
Cell[933797, 39875, 159, 3, 22, "Print"],
Cell[933959, 39880, 159, 3, 22, "Print"],
Cell[934121, 39885, 159, 3, 22, "Print"],
Cell[934283, 39890, 159, 3, 22, "Print"],
Cell[934445, 39895, 161, 3, 22, "Print"],
Cell[934609, 39900, 161, 3, 22, "Print"],
Cell[934773, 39905, 161, 3, 22, "Print"],
Cell[934937, 39910, 161, 3, 22, "Print"],
Cell[935101, 39915, 161, 3, 22, "Print"],
Cell[935265, 39920, 161, 3, 22, "Print"],
Cell[935429, 39925, 161, 3, 22, "Print"],
Cell[935593, 39930, 161, 3, 22, "Print"],
Cell[935757, 39935, 161, 3, 22, "Print"],
Cell[935921, 39940, 161, 3, 22, "Print"],
Cell[936085, 39945, 161, 3, 22, "Print"],
Cell[936249, 39950, 46, 1, 22, "Print"],

Cell[CellGroupData[{
Cell[936320, 39955, 30962, 1193, 186, 15124, 993, "GraphicsData", \
"PostScript", "Graphics"],
Cell[967285, 41150, 39467, 1663, 275, 26998, 1506, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],
Cell[1006767, 42816, 46, 1, 22, "Print"],
Cell[1006816, 42819, 202, 4, 22, "Print"],
Cell[1007021, 42825, 36, 1, 22, "Print"],
Cell[1007060, 42828, 35, 1, 22, "Print"],
Cell[1007098, 42831, 35, 1, 22, "Print"],
Cell[1007136, 42834, 35, 1, 22, "Print"],
Cell[1007174, 42837, 35, 1, 22, "Print"],
Cell[1007212, 42840, 35, 1, 22, "Print"],
Cell[1007250, 42843, 35, 1, 22, "Print"],
Cell[1007288, 42846, 35, 1, 22, "Print"],
Cell[1007326, 42849, 35, 1, 22, "Print"],
Cell[1007364, 42852, 35, 1, 22, "Print"],
Cell[1007402, 42855, 35, 1, 22, "Print"],
Cell[1007440, 42858, 35, 1, 22, "Print"],
Cell[1007478, 42861, 35, 1, 22, "Print"],
Cell[1007516, 42864, 35, 1, 22, "Print"],
Cell[1007554, 42867, 35, 1, 22, "Print"],
Cell[1007592, 42870, 35, 1, 22, "Print"],
Cell[1007630, 42873, 35, 1, 22, "Print"],
Cell[1007668, 42876, 35, 1, 22, "Print"],
Cell[1007706, 42879, 35, 1, 22, "Print"],
Cell[1007744, 42882, 35, 1, 22, "Print"],
Cell[1007782, 42885, 35, 1, 22, "Print"],
Cell[1007820, 42888, 35, 1, 22, "Print"],
Cell[1007858, 42891, 35, 1, 22, "Print"],
Cell[1007896, 42894, 35, 1, 22, "Print"],
Cell[1007934, 42897, 35, 1, 22, "Print"],
Cell[1007972, 42900, 35, 1, 22, "Print"],
Cell[1008010, 42903, 35, 1, 22, "Print"],
Cell[1008048, 42906, 35, 1, 22, "Print"],
Cell[1008086, 42909, 35, 1, 22, "Print"],
Cell[1008124, 42912, 35, 1, 22, "Print"],
Cell[1008162, 42915, 35, 1, 22, "Print"],
Cell[1008200, 42918, 35, 1, 22, "Print"],
Cell[1008238, 42921, 35, 1, 22, "Print"],
Cell[1008276, 42924, 35, 1, 22, "Print"],
Cell[1008314, 42927, 35, 1, 22, "Print"],
Cell[1008352, 42930, 35, 1, 22, "Print"],
Cell[1008390, 42933, 35, 1, 22, "Print"],
Cell[1008428, 42936, 35, 1, 22, "Print"],
Cell[1008466, 42939, 35, 1, 22, "Print"],
Cell[1008504, 42942, 35, 1, 22, "Print"],
Cell[1008542, 42945, 35, 1, 22, "Print"],
Cell[1008580, 42948, 35, 1, 22, "Print"],
Cell[1008618, 42951, 35, 1, 22, "Print"],
Cell[1008656, 42954, 35, 1, 22, "Print"],
Cell[1008694, 42957, 35, 1, 22, "Print"],
Cell[1008732, 42960, 35, 1, 22, "Print"],
Cell[1008770, 42963, 35, 1, 22, "Print"],
Cell[1008808, 42966, 35, 1, 22, "Print"],
Cell[1008846, 42969, 35, 1, 22, "Print"],
Cell[1008884, 42972, 35, 1, 22, "Print"],
Cell[1008922, 42975, 35, 1, 22, "Print"],
Cell[1008960, 42978, 35, 1, 22, "Print"],
Cell[1008998, 42981, 35, 1, 22, "Print"],
Cell[1009036, 42984, 35, 1, 22, "Print"],
Cell[1009074, 42987, 35, 1, 22, "Print"],
Cell[1009112, 42990, 35, 1, 22, "Print"],
Cell[1009150, 42993, 35, 1, 22, "Print"],
Cell[1009188, 42996, 35, 1, 22, "Print"],
Cell[1009226, 42999, 35, 1, 22, "Print"],
Cell[1009264, 43002, 35, 1, 22, "Print"],
Cell[1009302, 43005, 35, 1, 22, "Print"],
Cell[1009340, 43008, 35, 1, 22, "Print"],
Cell[1009378, 43011, 35, 1, 22, "Print"],
Cell[1009416, 43014, 35, 1, 22, "Print"],
Cell[1009454, 43017, 35, 1, 22, "Print"],
Cell[1009492, 43020, 35, 1, 22, "Print"],
Cell[1009530, 43023, 35, 1, 22, "Print"],
Cell[1009568, 43026, 35, 1, 22, "Print"],
Cell[1009606, 43029, 35, 1, 22, "Print"],
Cell[1009644, 43032, 35, 1, 22, "Print"],
Cell[1009682, 43035, 35, 1, 22, "Print"],
Cell[1009720, 43038, 35, 1, 22, "Print"],
Cell[1009758, 43041, 35, 1, 22, "Print"],
Cell[1009796, 43044, 35, 1, 22, "Print"],
Cell[1009834, 43047, 35, 1, 22, "Print"],
Cell[1009872, 43050, 35, 1, 22, "Print"],
Cell[1009910, 43053, 35, 1, 22, "Print"],
Cell[1009948, 43056, 35, 1, 22, "Print"],
Cell[1009986, 43059, 35, 1, 22, "Print"],
Cell[1010024, 43062, 35, 1, 22, "Print"],
Cell[1010062, 43065, 35, 1, 22, "Print"],
Cell[1010100, 43068, 35, 1, 22, "Print"],
Cell[1010138, 43071, 35, 1, 22, "Print"],
Cell[1010176, 43074, 35, 1, 22, "Print"],
Cell[1010214, 43077, 35, 1, 22, "Print"],
Cell[1010252, 43080, 35, 1, 22, "Print"],
Cell[1010290, 43083, 35, 1, 22, "Print"],
Cell[1010328, 43086, 35, 1, 22, "Print"],
Cell[1010366, 43089, 35, 1, 22, "Print"],
Cell[1010404, 43092, 35, 1, 22, "Print"],
Cell[1010442, 43095, 35, 1, 22, "Print"],
Cell[1010480, 43098, 34, 1, 22, "Print"],
Cell[1010517, 43101, 34, 1, 22, "Print"],
Cell[1010554, 43104, 34, 1, 22, "Print"],
Cell[1010591, 43107, 34, 1, 22, "Print"],
Cell[1010628, 43110, 34, 1, 22, "Print"],
Cell[1010665, 43113, 34, 1, 22, "Print"],
Cell[1010702, 43116, 34, 1, 22, "Print"],
Cell[1010739, 43119, 34, 1, 22, "Print"],
Cell[1010776, 43122, 34, 1, 22, "Print"],
Cell[1010813, 43125, 49, 1, 22, "Print"],
Cell[1010865, 43128, 77, 1, 22, "Print"],
Cell[1010945, 43131, 76, 1, 22, "Print"],
Cell[1011024, 43134, 61, 1, 22, "Print"],
Cell[1011088, 43137, 159, 3, 22, "Print"],
Cell[1011250, 43142, 159, 3, 22, "Print"],
Cell[1011412, 43147, 159, 3, 22, "Print"],
Cell[1011574, 43152, 159, 3, 22, "Print"],
Cell[1011736, 43157, 159, 3, 22, "Print"],
Cell[1011898, 43162, 159, 3, 22, "Print"],
Cell[1012060, 43167, 159, 3, 22, "Print"],
Cell[1012222, 43172, 159, 3, 22, "Print"],
Cell[1012384, 43177, 161, 3, 22, "Print"],
Cell[1012548, 43182, 161, 3, 22, "Print"],
Cell[1012712, 43187, 161, 3, 22, "Print"],
Cell[1012876, 43192, 161, 3, 22, "Print"],
Cell[1013040, 43197, 161, 3, 22, "Print"],
Cell[1013204, 43202, 161, 3, 22, "Print"],
Cell[1013368, 43207, 161, 3, 22, "Print"],
Cell[1013532, 43212, 161, 3, 22, "Print"],
Cell[1013696, 43217, 161, 3, 22, "Print"],
Cell[1013860, 43222, 161, 3, 22, "Print"],
Cell[1014024, 43227, 161, 3, 22, "Print"],
Cell[1014188, 43232, 45, 1, 22, "Print"],
Cell[1014236, 43235, 46, 1, 22, "Print"],
Cell[1014285, 43238, 202, 4, 22, "Print"],
Cell[1014490, 43244, 36, 1, 22, "Print"],
Cell[1014529, 43247, 35, 1, 22, "Print"],
Cell[1014567, 43250, 35, 1, 22, "Print"],
Cell[1014605, 43253, 35, 1, 22, "Print"],
Cell[1014643, 43256, 35, 1, 22, "Print"],
Cell[1014681, 43259, 35, 1, 22, "Print"],
Cell[1014719, 43262, 35, 1, 22, "Print"],
Cell[1014757, 43265, 35, 1, 22, "Print"],
Cell[1014795, 43268, 35, 1, 22, "Print"],
Cell[1014833, 43271, 35, 1, 22, "Print"],
Cell[1014871, 43274, 35, 1, 22, "Print"],
Cell[1014909, 43277, 35, 1, 22, "Print"],
Cell[1014947, 43280, 35, 1, 22, "Print"],
Cell[1014985, 43283, 35, 1, 22, "Print"],
Cell[1015023, 43286, 35, 1, 22, "Print"],
Cell[1015061, 43289, 35, 1, 22, "Print"],
Cell[1015099, 43292, 35, 1, 22, "Print"],
Cell[1015137, 43295, 35, 1, 22, "Print"],
Cell[1015175, 43298, 35, 1, 22, "Print"],
Cell[1015213, 43301, 35, 1, 22, "Print"],
Cell[1015251, 43304, 35, 1, 22, "Print"],
Cell[1015289, 43307, 35, 1, 22, "Print"],
Cell[1015327, 43310, 35, 1, 22, "Print"],
Cell[1015365, 43313, 35, 1, 22, "Print"],
Cell[1015403, 43316, 35, 1, 22, "Print"],
Cell[1015441, 43319, 35, 1, 22, "Print"],
Cell[1015479, 43322, 35, 1, 22, "Print"],
Cell[1015517, 43325, 35, 1, 22, "Print"],
Cell[1015555, 43328, 35, 1, 22, "Print"],
Cell[1015593, 43331, 35, 1, 22, "Print"],
Cell[1015631, 43334, 35, 1, 22, "Print"],
Cell[1015669, 43337, 35, 1, 22, "Print"],
Cell[1015707, 43340, 35, 1, 22, "Print"],
Cell[1015745, 43343, 35, 1, 22, "Print"],
Cell[1015783, 43346, 35, 1, 22, "Print"],
Cell[1015821, 43349, 35, 1, 22, "Print"],
Cell[1015859, 43352, 35, 1, 22, "Print"],
Cell[1015897, 43355, 35, 1, 22, "Print"],
Cell[1015935, 43358, 35, 1, 22, "Print"],
Cell[1015973, 43361, 35, 1, 22, "Print"],
Cell[1016011, 43364, 35, 1, 22, "Print"],
Cell[1016049, 43367, 35, 1, 22, "Print"],
Cell[1016087, 43370, 35, 1, 22, "Print"],
Cell[1016125, 43373, 35, 1, 22, "Print"],
Cell[1016163, 43376, 35, 1, 22, "Print"],
Cell[1016201, 43379, 35, 1, 22, "Print"],
Cell[1016239, 43382, 35, 1, 22, "Print"],
Cell[1016277, 43385, 35, 1, 22, "Print"],
Cell[1016315, 43388, 35, 1, 22, "Print"],
Cell[1016353, 43391, 35, 1, 22, "Print"],
Cell[1016391, 43394, 35, 1, 22, "Print"],
Cell[1016429, 43397, 35, 1, 22, "Print"],
Cell[1016467, 43400, 35, 1, 22, "Print"],
Cell[1016505, 43403, 35, 1, 22, "Print"],
Cell[1016543, 43406, 35, 1, 22, "Print"],
Cell[1016581, 43409, 35, 1, 22, "Print"],
Cell[1016619, 43412, 35, 1, 22, "Print"],
Cell[1016657, 43415, 35, 1, 22, "Print"],
Cell[1016695, 43418, 35, 1, 22, "Print"],
Cell[1016733, 43421, 35, 1, 22, "Print"],
Cell[1016771, 43424, 35, 1, 22, "Print"],
Cell[1016809, 43427, 35, 1, 22, "Print"],
Cell[1016847, 43430, 35, 1, 22, "Print"],
Cell[1016885, 43433, 35, 1, 22, "Print"],
Cell[1016923, 43436, 35, 1, 22, "Print"],
Cell[1016961, 43439, 35, 1, 22, "Print"],
Cell[1016999, 43442, 35, 1, 22, "Print"],
Cell[1017037, 43445, 35, 1, 22, "Print"],
Cell[1017075, 43448, 35, 1, 22, "Print"],
Cell[1017113, 43451, 35, 1, 22, "Print"],
Cell[1017151, 43454, 35, 1, 22, "Print"],
Cell[1017189, 43457, 35, 1, 22, "Print"],
Cell[1017227, 43460, 35, 1, 22, "Print"],
Cell[1017265, 43463, 35, 1, 22, "Print"],
Cell[1017303, 43466, 35, 1, 22, "Print"],
Cell[1017341, 43469, 35, 1, 22, "Print"],
Cell[1017379, 43472, 35, 1, 22, "Print"],
Cell[1017417, 43475, 35, 1, 22, "Print"],
Cell[1017455, 43478, 35, 1, 22, "Print"],
Cell[1017493, 43481, 35, 1, 22, "Print"],
Cell[1017531, 43484, 35, 1, 22, "Print"],
Cell[1017569, 43487, 35, 1, 22, "Print"],
Cell[1017607, 43490, 35, 1, 22, "Print"],
Cell[1017645, 43493, 35, 1, 22, "Print"],
Cell[1017683, 43496, 35, 1, 22, "Print"],
Cell[1017721, 43499, 35, 1, 22, "Print"],
Cell[1017759, 43502, 35, 1, 22, "Print"],
Cell[1017797, 43505, 35, 1, 22, "Print"],
Cell[1017835, 43508, 35, 1, 22, "Print"],
Cell[1017873, 43511, 35, 1, 22, "Print"],
Cell[1017911, 43514, 35, 1, 22, "Print"],
Cell[1017949, 43517, 34, 1, 22, "Print"],
Cell[1017986, 43520, 34, 1, 22, "Print"],
Cell[1018023, 43523, 34, 1, 22, "Print"],
Cell[1018060, 43526, 34, 1, 22, "Print"],
Cell[1018097, 43529, 34, 1, 22, "Print"],
Cell[1018134, 43532, 34, 1, 22, "Print"],
Cell[1018171, 43535, 34, 1, 22, "Print"],
Cell[1018208, 43538, 34, 1, 22, "Print"],
Cell[1018245, 43541, 34, 1, 22, "Print"],
Cell[1018282, 43544, 49, 1, 22, "Print"],
Cell[1018334, 43547, 77, 1, 22, "Print"],
Cell[1018414, 43550, 76, 1, 22, "Print"],
Cell[1018493, 43553, 61, 1, 22, "Print"],
Cell[1018557, 43556, 159, 3, 22, "Print"],
Cell[1018719, 43561, 159, 3, 22, "Print"],
Cell[1018881, 43566, 159, 3, 22, "Print"],
Cell[1019043, 43571, 159, 3, 22, "Print"],
Cell[1019205, 43576, 159, 3, 22, "Print"],
Cell[1019367, 43581, 159, 3, 22, "Print"],
Cell[1019529, 43586, 159, 3, 22, "Print"],
Cell[1019691, 43591, 159, 3, 22, "Print"],
Cell[1019853, 43596, 161, 3, 22, "Print"],
Cell[1020017, 43601, 161, 3, 22, "Print"],
Cell[1020181, 43606, 161, 3, 22, "Print"],
Cell[1020345, 43611, 161, 3, 22, "Print"],
Cell[1020509, 43616, 161, 3, 22, "Print"],
Cell[1020673, 43621, 161, 3, 22, "Print"],
Cell[1020837, 43626, 161, 3, 22, "Print"],
Cell[1021001, 43631, 161, 3, 22, "Print"],
Cell[1021165, 43636, 161, 3, 22, "Print"],
Cell[1021329, 43641, 161, 3, 22, "Print"],
Cell[1021493, 43646, 161, 3, 22, "Print"],
Cell[1021657, 43651, 45, 1, 22, "Print"],
Cell[1021705, 43654, 48, 1, 22, "Print"],
Cell[1021756, 43657, 201, 4, 22, "Print"],
Cell[1021960, 43663, 36, 1, 22, "Print"],
Cell[1021999, 43666, 35, 1, 22, "Print"],
Cell[1022037, 43669, 35, 1, 22, "Print"],
Cell[1022075, 43672, 35, 1, 22, "Print"],
Cell[1022113, 43675, 35, 1, 22, "Print"],
Cell[1022151, 43678, 35, 1, 22, "Print"],
Cell[1022189, 43681, 35, 1, 22, "Print"],
Cell[1022227, 43684, 35, 1, 22, "Print"],
Cell[1022265, 43687, 35, 1, 22, "Print"],
Cell[1022303, 43690, 35, 1, 22, "Print"],
Cell[1022341, 43693, 35, 1, 22, "Print"],
Cell[1022379, 43696, 35, 1, 22, "Print"],
Cell[1022417, 43699, 35, 1, 22, "Print"],
Cell[1022455, 43702, 35, 1, 22, "Print"],
Cell[1022493, 43705, 35, 1, 22, "Print"],
Cell[1022531, 43708, 35, 1, 22, "Print"],
Cell[1022569, 43711, 35, 1, 22, "Print"],
Cell[1022607, 43714, 35, 1, 22, "Print"],
Cell[1022645, 43717, 35, 1, 22, "Print"],
Cell[1022683, 43720, 35, 1, 22, "Print"],
Cell[1022721, 43723, 35, 1, 22, "Print"],
Cell[1022759, 43726, 35, 1, 22, "Print"],
Cell[1022797, 43729, 35, 1, 22, "Print"],
Cell[1022835, 43732, 35, 1, 22, "Print"],
Cell[1022873, 43735, 35, 1, 22, "Print"],
Cell[1022911, 43738, 35, 1, 22, "Print"],
Cell[1022949, 43741, 35, 1, 22, "Print"],
Cell[1022987, 43744, 35, 1, 22, "Print"],
Cell[1023025, 43747, 35, 1, 22, "Print"],
Cell[1023063, 43750, 35, 1, 22, "Print"],
Cell[1023101, 43753, 35, 1, 22, "Print"],
Cell[1023139, 43756, 35, 1, 22, "Print"],
Cell[1023177, 43759, 35, 1, 22, "Print"],
Cell[1023215, 43762, 35, 1, 22, "Print"],
Cell[1023253, 43765, 35, 1, 22, "Print"],
Cell[1023291, 43768, 35, 1, 22, "Print"],
Cell[1023329, 43771, 35, 1, 22, "Print"],
Cell[1023367, 43774, 35, 1, 22, "Print"],
Cell[1023405, 43777, 35, 1, 22, "Print"],
Cell[1023443, 43780, 35, 1, 22, "Print"],
Cell[1023481, 43783, 35, 1, 22, "Print"],
Cell[1023519, 43786, 35, 1, 22, "Print"],
Cell[1023557, 43789, 35, 1, 22, "Print"],
Cell[1023595, 43792, 35, 1, 22, "Print"],
Cell[1023633, 43795, 35, 1, 22, "Print"],
Cell[1023671, 43798, 35, 1, 22, "Print"],
Cell[1023709, 43801, 35, 1, 22, "Print"],
Cell[1023747, 43804, 35, 1, 22, "Print"],
Cell[1023785, 43807, 35, 1, 22, "Print"],
Cell[1023823, 43810, 35, 1, 22, "Print"],
Cell[1023861, 43813, 35, 1, 22, "Print"],
Cell[1023899, 43816, 35, 1, 22, "Print"],
Cell[1023937, 43819, 35, 1, 22, "Print"],
Cell[1023975, 43822, 35, 1, 22, "Print"],
Cell[1024013, 43825, 35, 1, 22, "Print"],
Cell[1024051, 43828, 35, 1, 22, "Print"],
Cell[1024089, 43831, 35, 1, 22, "Print"],
Cell[1024127, 43834, 35, 1, 22, "Print"],
Cell[1024165, 43837, 35, 1, 22, "Print"],
Cell[1024203, 43840, 35, 1, 22, "Print"],
Cell[1024241, 43843, 35, 1, 22, "Print"],
Cell[1024279, 43846, 35, 1, 22, "Print"],
Cell[1024317, 43849, 35, 1, 22, "Print"],
Cell[1024355, 43852, 35, 1, 22, "Print"],
Cell[1024393, 43855, 35, 1, 22, "Print"],
Cell[1024431, 43858, 35, 1, 22, "Print"],
Cell[1024469, 43861, 35, 1, 22, "Print"],
Cell[1024507, 43864, 35, 1, 22, "Print"],
Cell[1024545, 43867, 35, 1, 22, "Print"],
Cell[1024583, 43870, 35, 1, 22, "Print"],
Cell[1024621, 43873, 35, 1, 22, "Print"],
Cell[1024659, 43876, 35, 1, 22, "Print"],
Cell[1024697, 43879, 35, 1, 22, "Print"],
Cell[1024735, 43882, 35, 1, 22, "Print"],
Cell[1024773, 43885, 35, 1, 22, "Print"],
Cell[1024811, 43888, 35, 1, 22, "Print"],
Cell[1024849, 43891, 35, 1, 22, "Print"],
Cell[1024887, 43894, 35, 1, 22, "Print"],
Cell[1024925, 43897, 35, 1, 22, "Print"],
Cell[1024963, 43900, 35, 1, 22, "Print"],
Cell[1025001, 43903, 35, 1, 22, "Print"],
Cell[1025039, 43906, 35, 1, 22, "Print"],
Cell[1025077, 43909, 35, 1, 22, "Print"],
Cell[1025115, 43912, 35, 1, 22, "Print"],
Cell[1025153, 43915, 35, 1, 22, "Print"],
Cell[1025191, 43918, 35, 1, 22, "Print"],
Cell[1025229, 43921, 35, 1, 22, "Print"],
Cell[1025267, 43924, 35, 1, 22, "Print"],
Cell[1025305, 43927, 35, 1, 22, "Print"],
Cell[1025343, 43930, 35, 1, 22, "Print"],
Cell[1025381, 43933, 35, 1, 22, "Print"],
Cell[1025419, 43936, 34, 1, 22, "Print"],
Cell[1025456, 43939, 34, 1, 22, "Print"],
Cell[1025493, 43942, 34, 1, 22, "Print"],
Cell[1025530, 43945, 34, 1, 22, "Print"],
Cell[1025567, 43948, 34, 1, 22, "Print"],
Cell[1025604, 43951, 34, 1, 22, "Print"],
Cell[1025641, 43954, 34, 1, 22, "Print"],
Cell[1025678, 43957, 34, 1, 22, "Print"],
Cell[1025715, 43960, 34, 1, 22, "Print"],
Cell[1025752, 43963, 51, 1, 22, "Print"],
Cell[1025806, 43966, 77, 1, 22, "Print"],
Cell[1025886, 43969, 76, 1, 22, "Print"],
Cell[1025965, 43972, 61, 1, 22, "Print"],
Cell[1026029, 43975, 159, 3, 22, "Print"],
Cell[1026191, 43980, 159, 3, 22, "Print"],
Cell[1026353, 43985, 159, 3, 22, "Print"],
Cell[1026515, 43990, 159, 3, 22, "Print"],
Cell[1026677, 43995, 159, 3, 22, "Print"],
Cell[1026839, 44000, 159, 3, 22, "Print"],
Cell[1027001, 44005, 159, 3, 22, "Print"],
Cell[1027163, 44010, 159, 3, 22, "Print"],
Cell[1027325, 44015, 161, 3, 22, "Print"],
Cell[1027489, 44020, 161, 3, 22, "Print"],
Cell[1027653, 44025, 161, 3, 22, "Print"],
Cell[1027817, 44030, 161, 3, 22, "Print"],
Cell[1027981, 44035, 161, 3, 22, "Print"],
Cell[1028145, 44040, 161, 3, 22, "Print"],
Cell[1028309, 44045, 161, 3, 22, "Print"],
Cell[1028473, 44050, 161, 3, 22, "Print"],
Cell[1028637, 44055, 161, 3, 22, "Print"],
Cell[1028801, 44060, 161, 3, 22, "Print"],
Cell[1028965, 44065, 161, 3, 22, "Print"],
Cell[1029129, 44070, 47, 1, 22, "Print"],
Cell[1029179, 44073, 48, 1, 22, "Print"],
Cell[1029230, 44076, 202, 4, 22, "Print"],
Cell[1029435, 44082, 36, 1, 22, "Print"],
Cell[1029474, 44085, 35, 1, 22, "Print"],
Cell[1029512, 44088, 35, 1, 22, "Print"],
Cell[1029550, 44091, 35, 1, 22, "Print"],
Cell[1029588, 44094, 35, 1, 22, "Print"],
Cell[1029626, 44097, 35, 1, 22, "Print"],
Cell[1029664, 44100, 35, 1, 22, "Print"],
Cell[1029702, 44103, 35, 1, 22, "Print"],
Cell[1029740, 44106, 35, 1, 22, "Print"],
Cell[1029778, 44109, 35, 1, 22, "Print"],
Cell[1029816, 44112, 35, 1, 22, "Print"],
Cell[1029854, 44115, 35, 1, 22, "Print"],
Cell[1029892, 44118, 35, 1, 22, "Print"],
Cell[1029930, 44121, 35, 1, 22, "Print"],
Cell[1029968, 44124, 35, 1, 22, "Print"],
Cell[1030006, 44127, 35, 1, 22, "Print"],
Cell[1030044, 44130, 35, 1, 22, "Print"],
Cell[1030082, 44133, 35, 1, 22, "Print"],
Cell[1030120, 44136, 35, 1, 22, "Print"],
Cell[1030158, 44139, 35, 1, 22, "Print"],
Cell[1030196, 44142, 35, 1, 22, "Print"],
Cell[1030234, 44145, 35, 1, 22, "Print"],
Cell[1030272, 44148, 35, 1, 22, "Print"],
Cell[1030310, 44151, 35, 1, 22, "Print"],
Cell[1030348, 44154, 35, 1, 22, "Print"],
Cell[1030386, 44157, 35, 1, 22, "Print"],
Cell[1030424, 44160, 35, 1, 22, "Print"],
Cell[1030462, 44163, 35, 1, 22, "Print"],
Cell[1030500, 44166, 35, 1, 22, "Print"],
Cell[1030538, 44169, 35, 1, 22, "Print"],
Cell[1030576, 44172, 35, 1, 22, "Print"],
Cell[1030614, 44175, 35, 1, 22, "Print"],
Cell[1030652, 44178, 35, 1, 22, "Print"],
Cell[1030690, 44181, 35, 1, 22, "Print"],
Cell[1030728, 44184, 35, 1, 22, "Print"],
Cell[1030766, 44187, 35, 1, 22, "Print"],
Cell[1030804, 44190, 35, 1, 22, "Print"],
Cell[1030842, 44193, 35, 1, 22, "Print"],
Cell[1030880, 44196, 35, 1, 22, "Print"],
Cell[1030918, 44199, 35, 1, 22, "Print"],
Cell[1030956, 44202, 35, 1, 22, "Print"],
Cell[1030994, 44205, 35, 1, 22, "Print"],
Cell[1031032, 44208, 35, 1, 22, "Print"],
Cell[1031070, 44211, 35, 1, 22, "Print"],
Cell[1031108, 44214, 35, 1, 22, "Print"],
Cell[1031146, 44217, 35, 1, 22, "Print"],
Cell[1031184, 44220, 35, 1, 22, "Print"],
Cell[1031222, 44223, 35, 1, 22, "Print"],
Cell[1031260, 44226, 35, 1, 22, "Print"],
Cell[1031298, 44229, 35, 1, 22, "Print"],
Cell[1031336, 44232, 35, 1, 22, "Print"],
Cell[1031374, 44235, 35, 1, 22, "Print"],
Cell[1031412, 44238, 35, 1, 22, "Print"],
Cell[1031450, 44241, 35, 1, 22, "Print"],
Cell[1031488, 44244, 35, 1, 22, "Print"],
Cell[1031526, 44247, 35, 1, 22, "Print"],
Cell[1031564, 44250, 35, 1, 22, "Print"],
Cell[1031602, 44253, 35, 1, 22, "Print"],
Cell[1031640, 44256, 35, 1, 22, "Print"],
Cell[1031678, 44259, 35, 1, 22, "Print"],
Cell[1031716, 44262, 35, 1, 22, "Print"],
Cell[1031754, 44265, 35, 1, 22, "Print"],
Cell[1031792, 44268, 35, 1, 22, "Print"],
Cell[1031830, 44271, 35, 1, 22, "Print"],
Cell[1031868, 44274, 35, 1, 22, "Print"],
Cell[1031906, 44277, 35, 1, 22, "Print"],
Cell[1031944, 44280, 35, 1, 22, "Print"],
Cell[1031982, 44283, 35, 1, 22, "Print"],
Cell[1032020, 44286, 35, 1, 22, "Print"],
Cell[1032058, 44289, 35, 1, 22, "Print"],
Cell[1032096, 44292, 35, 1, 22, "Print"],
Cell[1032134, 44295, 35, 1, 22, "Print"],
Cell[1032172, 44298, 35, 1, 22, "Print"],
Cell[1032210, 44301, 35, 1, 22, "Print"],
Cell[1032248, 44304, 35, 1, 22, "Print"],
Cell[1032286, 44307, 35, 1, 22, "Print"],
Cell[1032324, 44310, 35, 1, 22, "Print"],
Cell[1032362, 44313, 35, 1, 22, "Print"],
Cell[1032400, 44316, 35, 1, 22, "Print"],
Cell[1032438, 44319, 35, 1, 22, "Print"],
Cell[1032476, 44322, 35, 1, 22, "Print"],
Cell[1032514, 44325, 35, 1, 22, "Print"],
Cell[1032552, 44328, 35, 1, 22, "Print"],
Cell[1032590, 44331, 35, 1, 22, "Print"],
Cell[1032628, 44334, 35, 1, 22, "Print"],
Cell[1032666, 44337, 35, 1, 22, "Print"],
Cell[1032704, 44340, 35, 1, 22, "Print"],
Cell[1032742, 44343, 35, 1, 22, "Print"],
Cell[1032780, 44346, 35, 1, 22, "Print"],
Cell[1032818, 44349, 35, 1, 22, "Print"],
Cell[1032856, 44352, 35, 1, 22, "Print"],
Cell[1032894, 44355, 34, 1, 22, "Print"],
Cell[1032931, 44358, 34, 1, 22, "Print"],
Cell[1032968, 44361, 34, 1, 22, "Print"],
Cell[1033005, 44364, 34, 1, 22, "Print"],
Cell[1033042, 44367, 34, 1, 22, "Print"],
Cell[1033079, 44370, 34, 1, 22, "Print"],
Cell[1033116, 44373, 34, 1, 22, "Print"],
Cell[1033153, 44376, 34, 1, 22, "Print"],
Cell[1033190, 44379, 34, 1, 22, "Print"],
Cell[1033227, 44382, 51, 1, 22, "Print"],
Cell[1033281, 44385, 77, 1, 22, "Print"],
Cell[1033361, 44388, 76, 1, 22, "Print"],
Cell[1033440, 44391, 61, 1, 22, "Print"],
Cell[1033504, 44394, 159, 3, 22, "Print"],
Cell[1033666, 44399, 159, 3, 22, "Print"],
Cell[1033828, 44404, 159, 3, 22, "Print"],
Cell[1033990, 44409, 159, 3, 22, "Print"],
Cell[1034152, 44414, 159, 3, 22, "Print"],
Cell[1034314, 44419, 159, 3, 22, "Print"],
Cell[1034476, 44424, 159, 3, 22, "Print"],
Cell[1034638, 44429, 159, 3, 22, "Print"],
Cell[1034800, 44434, 161, 3, 22, "Print"],
Cell[1034964, 44439, 161, 3, 22, "Print"],
Cell[1035128, 44444, 161, 3, 22, "Print"],
Cell[1035292, 44449, 161, 3, 22, "Print"],
Cell[1035456, 44454, 161, 3, 22, "Print"],
Cell[1035620, 44459, 161, 3, 22, "Print"],
Cell[1035784, 44464, 161, 3, 22, "Print"],
Cell[1035948, 44469, 161, 3, 22, "Print"],
Cell[1036112, 44474, 161, 3, 22, "Print"],
Cell[1036276, 44479, 161, 3, 22, "Print"],
Cell[1036440, 44484, 161, 3, 22, "Print"],
Cell[1036604, 44489, 47, 1, 22, "Print"],
Cell[1036654, 44492, 46, 1, 22, "Print"],
Cell[1036703, 44495, 202, 4, 22, "Print"],
Cell[1036908, 44501, 36, 1, 22, "Print"],
Cell[1036947, 44504, 35, 1, 22, "Print"],
Cell[1036985, 44507, 35, 1, 22, "Print"],
Cell[1037023, 44510, 35, 1, 22, "Print"],
Cell[1037061, 44513, 35, 1, 22, "Print"],
Cell[1037099, 44516, 35, 1, 22, "Print"],
Cell[1037137, 44519, 35, 1, 22, "Print"],
Cell[1037175, 44522, 35, 1, 22, "Print"],
Cell[1037213, 44525, 35, 1, 22, "Print"],
Cell[1037251, 44528, 35, 1, 22, "Print"],
Cell[1037289, 44531, 35, 1, 22, "Print"],
Cell[1037327, 44534, 35, 1, 22, "Print"],
Cell[1037365, 44537, 35, 1, 22, "Print"],
Cell[1037403, 44540, 35, 1, 22, "Print"],
Cell[1037441, 44543, 35, 1, 22, "Print"],
Cell[1037479, 44546, 35, 1, 22, "Print"],
Cell[1037517, 44549, 35, 1, 22, "Print"],
Cell[1037555, 44552, 35, 1, 22, "Print"],
Cell[1037593, 44555, 35, 1, 22, "Print"],
Cell[1037631, 44558, 35, 1, 22, "Print"],
Cell[1037669, 44561, 35, 1, 22, "Print"],
Cell[1037707, 44564, 35, 1, 22, "Print"],
Cell[1037745, 44567, 35, 1, 22, "Print"],
Cell[1037783, 44570, 35, 1, 22, "Print"],
Cell[1037821, 44573, 35, 1, 22, "Print"],
Cell[1037859, 44576, 35, 1, 22, "Print"],
Cell[1037897, 44579, 35, 1, 22, "Print"],
Cell[1037935, 44582, 35, 1, 22, "Print"],
Cell[1037973, 44585, 35, 1, 22, "Print"],
Cell[1038011, 44588, 35, 1, 22, "Print"],
Cell[1038049, 44591, 35, 1, 22, "Print"],
Cell[1038087, 44594, 35, 1, 22, "Print"],
Cell[1038125, 44597, 35, 1, 22, "Print"],
Cell[1038163, 44600, 35, 1, 22, "Print"],
Cell[1038201, 44603, 35, 1, 22, "Print"],
Cell[1038239, 44606, 35, 1, 22, "Print"],
Cell[1038277, 44609, 35, 1, 22, "Print"],
Cell[1038315, 44612, 35, 1, 22, "Print"],
Cell[1038353, 44615, 35, 1, 22, "Print"],
Cell[1038391, 44618, 35, 1, 22, "Print"],
Cell[1038429, 44621, 35, 1, 22, "Print"],
Cell[1038467, 44624, 35, 1, 22, "Print"],
Cell[1038505, 44627, 35, 1, 22, "Print"],
Cell[1038543, 44630, 35, 1, 22, "Print"],
Cell[1038581, 44633, 35, 1, 22, "Print"],
Cell[1038619, 44636, 35, 1, 22, "Print"],
Cell[1038657, 44639, 35, 1, 22, "Print"],
Cell[1038695, 44642, 35, 1, 22, "Print"],
Cell[1038733, 44645, 35, 1, 22, "Print"],
Cell[1038771, 44648, 35, 1, 22, "Print"],
Cell[1038809, 44651, 35, 1, 22, "Print"],
Cell[1038847, 44654, 35, 1, 22, "Print"],
Cell[1038885, 44657, 35, 1, 22, "Print"],
Cell[1038923, 44660, 35, 1, 22, "Print"],
Cell[1038961, 44663, 35, 1, 22, "Print"],
Cell[1038999, 44666, 35, 1, 22, "Print"],
Cell[1039037, 44669, 35, 1, 22, "Print"],
Cell[1039075, 44672, 35, 1, 22, "Print"],
Cell[1039113, 44675, 35, 1, 22, "Print"],
Cell[1039151, 44678, 35, 1, 22, "Print"],
Cell[1039189, 44681, 35, 1, 22, "Print"],
Cell[1039227, 44684, 35, 1, 22, "Print"],
Cell[1039265, 44687, 35, 1, 22, "Print"],
Cell[1039303, 44690, 35, 1, 22, "Print"],
Cell[1039341, 44693, 35, 1, 22, "Print"],
Cell[1039379, 44696, 35, 1, 22, "Print"],
Cell[1039417, 44699, 35, 1, 22, "Print"],
Cell[1039455, 44702, 35, 1, 22, "Print"],
Cell[1039493, 44705, 35, 1, 22, "Print"],
Cell[1039531, 44708, 35, 1, 22, "Print"],
Cell[1039569, 44711, 35, 1, 22, "Print"],
Cell[1039607, 44714, 35, 1, 22, "Print"],
Cell[1039645, 44717, 35, 1, 22, "Print"],
Cell[1039683, 44720, 35, 1, 22, "Print"],
Cell[1039721, 44723, 35, 1, 22, "Print"],
Cell[1039759, 44726, 35, 1, 22, "Print"],
Cell[1039797, 44729, 35, 1, 22, "Print"],
Cell[1039835, 44732, 35, 1, 22, "Print"],
Cell[1039873, 44735, 35, 1, 22, "Print"],
Cell[1039911, 44738, 35, 1, 22, "Print"],
Cell[1039949, 44741, 35, 1, 22, "Print"],
Cell[1039987, 44744, 35, 1, 22, "Print"],
Cell[1040025, 44747, 35, 1, 22, "Print"],
Cell[1040063, 44750, 35, 1, 22, "Print"],
Cell[1040101, 44753, 35, 1, 22, "Print"],
Cell[1040139, 44756, 35, 1, 22, "Print"],
Cell[1040177, 44759, 35, 1, 22, "Print"],
Cell[1040215, 44762, 35, 1, 22, "Print"],
Cell[1040253, 44765, 35, 1, 22, "Print"],
Cell[1040291, 44768, 35, 1, 22, "Print"],
Cell[1040329, 44771, 35, 1, 22, "Print"],
Cell[1040367, 44774, 34, 1, 22, "Print"],
Cell[1040404, 44777, 34, 1, 22, "Print"],
Cell[1040441, 44780, 34, 1, 22, "Print"],
Cell[1040478, 44783, 34, 1, 22, "Print"],
Cell[1040515, 44786, 34, 1, 22, "Print"],
Cell[1040552, 44789, 34, 1, 22, "Print"],
Cell[1040589, 44792, 34, 1, 22, "Print"],
Cell[1040626, 44795, 34, 1, 22, "Print"],
Cell[1040663, 44798, 34, 1, 22, "Print"],
Cell[1040700, 44801, 49, 1, 22, "Print"],
Cell[1040752, 44804, 77, 1, 22, "Print"],
Cell[1040832, 44807, 76, 1, 22, "Print"],
Cell[1040911, 44810, 61, 1, 22, "Print"],
Cell[1040975, 44813, 159, 3, 22, "Print"],
Cell[1041137, 44818, 159, 3, 22, "Print"],
Cell[1041299, 44823, 159, 3, 22, "Print"],
Cell[1041461, 44828, 159, 3, 22, "Print"],
Cell[1041623, 44833, 159, 3, 22, "Print"],
Cell[1041785, 44838, 159, 3, 22, "Print"],
Cell[1041947, 44843, 159, 3, 22, "Print"],
Cell[1042109, 44848, 159, 3, 22, "Print"],
Cell[1042271, 44853, 161, 3, 22, "Print"],
Cell[1042435, 44858, 161, 3, 22, "Print"],
Cell[1042599, 44863, 161, 3, 22, "Print"],
Cell[1042763, 44868, 161, 3, 22, "Print"],
Cell[1042927, 44873, 161, 3, 22, "Print"],
Cell[1043091, 44878, 161, 3, 22, "Print"],
Cell[1043255, 44883, 161, 3, 22, "Print"],
Cell[1043419, 44888, 161, 3, 22, "Print"],
Cell[1043583, 44893, 161, 3, 22, "Print"],
Cell[1043747, 44898, 161, 3, 22, "Print"],
Cell[1043911, 44903, 161, 3, 22, "Print"],
Cell[1044075, 44908, 45, 1, 22, "Print"],
Cell[1044123, 44911, 46, 1, 22, "Print"],
Cell[1044172, 44914, 202, 4, 22, "Print"],
Cell[1044377, 44920, 36, 1, 22, "Print"],
Cell[1044416, 44923, 35, 1, 22, "Print"],
Cell[1044454, 44926, 35, 1, 22, "Print"],
Cell[1044492, 44929, 35, 1, 22, "Print"],
Cell[1044530, 44932, 35, 1, 22, "Print"],
Cell[1044568, 44935, 35, 1, 22, "Print"],
Cell[1044606, 44938, 35, 1, 22, "Print"],
Cell[1044644, 44941, 35, 1, 22, "Print"],
Cell[1044682, 44944, 35, 1, 22, "Print"],
Cell[1044720, 44947, 35, 1, 22, "Print"],
Cell[1044758, 44950, 35, 1, 22, "Print"],
Cell[1044796, 44953, 35, 1, 22, "Print"],
Cell[1044834, 44956, 35, 1, 22, "Print"],
Cell[1044872, 44959, 35, 1, 22, "Print"],
Cell[1044910, 44962, 35, 1, 22, "Print"],
Cell[1044948, 44965, 35, 1, 22, "Print"],
Cell[1044986, 44968, 35, 1, 22, "Print"],
Cell[1045024, 44971, 35, 1, 22, "Print"],
Cell[1045062, 44974, 35, 1, 22, "Print"],
Cell[1045100, 44977, 35, 1, 22, "Print"],
Cell[1045138, 44980, 35, 1, 22, "Print"],
Cell[1045176, 44983, 35, 1, 22, "Print"],
Cell[1045214, 44986, 35, 1, 22, "Print"],
Cell[1045252, 44989, 35, 1, 22, "Print"],
Cell[1045290, 44992, 35, 1, 22, "Print"],
Cell[1045328, 44995, 35, 1, 22, "Print"],
Cell[1045366, 44998, 35, 1, 22, "Print"],
Cell[1045404, 45001, 35, 1, 22, "Print"],
Cell[1045442, 45004, 35, 1, 22, "Print"],
Cell[1045480, 45007, 35, 1, 22, "Print"],
Cell[1045518, 45010, 35, 1, 22, "Print"],
Cell[1045556, 45013, 35, 1, 22, "Print"],
Cell[1045594, 45016, 35, 1, 22, "Print"],
Cell[1045632, 45019, 35, 1, 22, "Print"],
Cell[1045670, 45022, 35, 1, 22, "Print"],
Cell[1045708, 45025, 35, 1, 22, "Print"],
Cell[1045746, 45028, 35, 1, 22, "Print"],
Cell[1045784, 45031, 35, 1, 22, "Print"],
Cell[1045822, 45034, 35, 1, 22, "Print"],
Cell[1045860, 45037, 35, 1, 22, "Print"],
Cell[1045898, 45040, 35, 1, 22, "Print"],
Cell[1045936, 45043, 35, 1, 22, "Print"],
Cell[1045974, 45046, 35, 1, 22, "Print"],
Cell[1046012, 45049, 35, 1, 22, "Print"],
Cell[1046050, 45052, 35, 1, 22, "Print"],
Cell[1046088, 45055, 35, 1, 22, "Print"],
Cell[1046126, 45058, 35, 1, 22, "Print"],
Cell[1046164, 45061, 35, 1, 22, "Print"],
Cell[1046202, 45064, 35, 1, 22, "Print"],
Cell[1046240, 45067, 35, 1, 22, "Print"],
Cell[1046278, 45070, 35, 1, 22, "Print"],
Cell[1046316, 45073, 35, 1, 22, "Print"],
Cell[1046354, 45076, 35, 1, 22, "Print"],
Cell[1046392, 45079, 35, 1, 22, "Print"],
Cell[1046430, 45082, 35, 1, 22, "Print"],
Cell[1046468, 45085, 35, 1, 22, "Print"],
Cell[1046506, 45088, 35, 1, 22, "Print"],
Cell[1046544, 45091, 35, 1, 22, "Print"],
Cell[1046582, 45094, 35, 1, 22, "Print"],
Cell[1046620, 45097, 35, 1, 22, "Print"],
Cell[1046658, 45100, 35, 1, 22, "Print"],
Cell[1046696, 45103, 35, 1, 22, "Print"],
Cell[1046734, 45106, 35, 1, 22, "Print"],
Cell[1046772, 45109, 35, 1, 22, "Print"],
Cell[1046810, 45112, 35, 1, 22, "Print"],
Cell[1046848, 45115, 35, 1, 22, "Print"],
Cell[1046886, 45118, 35, 1, 22, "Print"],
Cell[1046924, 45121, 35, 1, 22, "Print"],
Cell[1046962, 45124, 35, 1, 22, "Print"],
Cell[1047000, 45127, 35, 1, 22, "Print"],
Cell[1047038, 45130, 35, 1, 22, "Print"],
Cell[1047076, 45133, 35, 1, 22, "Print"],
Cell[1047114, 45136, 35, 1, 22, "Print"],
Cell[1047152, 45139, 35, 1, 22, "Print"],
Cell[1047190, 45142, 35, 1, 22, "Print"],
Cell[1047228, 45145, 35, 1, 22, "Print"],
Cell[1047266, 45148, 35, 1, 22, "Print"],
Cell[1047304, 45151, 35, 1, 22, "Print"],
Cell[1047342, 45154, 35, 1, 22, "Print"],
Cell[1047380, 45157, 35, 1, 22, "Print"],
Cell[1047418, 45160, 35, 1, 22, "Print"],
Cell[1047456, 45163, 35, 1, 22, "Print"],
Cell[1047494, 45166, 35, 1, 22, "Print"],
Cell[1047532, 45169, 35, 1, 22, "Print"],
Cell[1047570, 45172, 35, 1, 22, "Print"],
Cell[1047608, 45175, 35, 1, 22, "Print"],
Cell[1047646, 45178, 35, 1, 22, "Print"],
Cell[1047684, 45181, 35, 1, 22, "Print"],
Cell[1047722, 45184, 35, 1, 22, "Print"],
Cell[1047760, 45187, 35, 1, 22, "Print"],
Cell[1047798, 45190, 35, 1, 22, "Print"],
Cell[1047836, 45193, 34, 1, 22, "Print"],
Cell[1047873, 45196, 34, 1, 22, "Print"],
Cell[1047910, 45199, 34, 1, 22, "Print"],
Cell[1047947, 45202, 34, 1, 22, "Print"],
Cell[1047984, 45205, 34, 1, 22, "Print"],
Cell[1048021, 45208, 34, 1, 22, "Print"],
Cell[1048058, 45211, 34, 1, 22, "Print"],
Cell[1048095, 45214, 34, 1, 22, "Print"],
Cell[1048132, 45217, 34, 1, 22, "Print"],
Cell[1048169, 45220, 49, 1, 22, "Print"],
Cell[1048221, 45223, 77, 1, 22, "Print"],
Cell[1048301, 45226, 76, 1, 22, "Print"],
Cell[1048380, 45229, 61, 1, 22, "Print"],
Cell[1048444, 45232, 159, 3, 22, "Print"],
Cell[1048606, 45237, 159, 3, 22, "Print"],
Cell[1048768, 45242, 159, 3, 22, "Print"],
Cell[1048930, 45247, 159, 3, 22, "Print"],
Cell[1049092, 45252, 159, 3, 22, "Print"],
Cell[1049254, 45257, 159, 3, 22, "Print"],
Cell[1049416, 45262, 159, 3, 22, "Print"],
Cell[1049578, 45267, 159, 3, 22, "Print"],
Cell[1049740, 45272, 161, 3, 22, "Print"],
Cell[1049904, 45277, 161, 3, 22, "Print"],
Cell[1050068, 45282, 161, 3, 22, "Print"],
Cell[1050232, 45287, 161, 3, 22, "Print"],
Cell[1050396, 45292, 161, 3, 22, "Print"],
Cell[1050560, 45297, 161, 3, 22, "Print"],
Cell[1050724, 45302, 161, 3, 22, "Print"],
Cell[1050888, 45307, 161, 3, 22, "Print"],
Cell[1051052, 45312, 161, 3, 22, "Print"],
Cell[1051216, 45317, 161, 3, 22, "Print"],
Cell[1051380, 45322, 161, 3, 22, "Print"],
Cell[1051544, 45327, 45, 1, 22, "Print"],
Cell[1051592, 45330, 47, 1, 22, "Print"],
Cell[1051642, 45333, 202, 4, 22, "Print"],
Cell[1051847, 45339, 36, 1, 22, "Print"],
Cell[1051886, 45342, 35, 1, 22, "Print"],
Cell[1051924, 45345, 35, 1, 22, "Print"],
Cell[1051962, 45348, 35, 1, 22, "Print"],
Cell[1052000, 45351, 35, 1, 22, "Print"],
Cell[1052038, 45354, 35, 1, 22, "Print"],
Cell[1052076, 45357, 35, 1, 22, "Print"],
Cell[1052114, 45360, 35, 1, 22, "Print"],
Cell[1052152, 45363, 35, 1, 22, "Print"],
Cell[1052190, 45366, 35, 1, 22, "Print"],
Cell[1052228, 45369, 35, 1, 22, "Print"],
Cell[1052266, 45372, 35, 1, 22, "Print"],
Cell[1052304, 45375, 35, 1, 22, "Print"],
Cell[1052342, 45378, 35, 1, 22, "Print"],
Cell[1052380, 45381, 35, 1, 22, "Print"],
Cell[1052418, 45384, 35, 1, 22, "Print"],
Cell[1052456, 45387, 35, 1, 22, "Print"],
Cell[1052494, 45390, 35, 1, 22, "Print"],
Cell[1052532, 45393, 35, 1, 22, "Print"],
Cell[1052570, 45396, 35, 1, 22, "Print"],
Cell[1052608, 45399, 35, 1, 22, "Print"],
Cell[1052646, 45402, 35, 1, 22, "Print"],
Cell[1052684, 45405, 35, 1, 22, "Print"],
Cell[1052722, 45408, 35, 1, 22, "Print"],
Cell[1052760, 45411, 35, 1, 22, "Print"],
Cell[1052798, 45414, 35, 1, 22, "Print"],
Cell[1052836, 45417, 35, 1, 22, "Print"],
Cell[1052874, 45420, 35, 1, 22, "Print"],
Cell[1052912, 45423, 35, 1, 22, "Print"],
Cell[1052950, 45426, 35, 1, 22, "Print"],
Cell[1052988, 45429, 35, 1, 22, "Print"],
Cell[1053026, 45432, 35, 1, 22, "Print"],
Cell[1053064, 45435, 35, 1, 22, "Print"],
Cell[1053102, 45438, 35, 1, 22, "Print"],
Cell[1053140, 45441, 35, 1, 22, "Print"],
Cell[1053178, 45444, 35, 1, 22, "Print"],
Cell[1053216, 45447, 35, 1, 22, "Print"],
Cell[1053254, 45450, 35, 1, 22, "Print"],
Cell[1053292, 45453, 35, 1, 22, "Print"],
Cell[1053330, 45456, 35, 1, 22, "Print"],
Cell[1053368, 45459, 35, 1, 22, "Print"],
Cell[1053406, 45462, 35, 1, 22, "Print"],
Cell[1053444, 45465, 35, 1, 22, "Print"],
Cell[1053482, 45468, 35, 1, 22, "Print"],
Cell[1053520, 45471, 35, 1, 22, "Print"],
Cell[1053558, 45474, 35, 1, 22, "Print"],
Cell[1053596, 45477, 35, 1, 22, "Print"],
Cell[1053634, 45480, 35, 1, 22, "Print"],
Cell[1053672, 45483, 35, 1, 22, "Print"],
Cell[1053710, 45486, 35, 1, 22, "Print"],
Cell[1053748, 45489, 35, 1, 22, "Print"],
Cell[1053786, 45492, 35, 1, 22, "Print"],
Cell[1053824, 45495, 35, 1, 22, "Print"],
Cell[1053862, 45498, 35, 1, 22, "Print"],
Cell[1053900, 45501, 35, 1, 22, "Print"],
Cell[1053938, 45504, 35, 1, 22, "Print"],
Cell[1053976, 45507, 35, 1, 22, "Print"],
Cell[1054014, 45510, 35, 1, 22, "Print"],
Cell[1054052, 45513, 35, 1, 22, "Print"],
Cell[1054090, 45516, 35, 1, 22, "Print"],
Cell[1054128, 45519, 35, 1, 22, "Print"],
Cell[1054166, 45522, 35, 1, 22, "Print"],
Cell[1054204, 45525, 35, 1, 22, "Print"],
Cell[1054242, 45528, 35, 1, 22, "Print"],
Cell[1054280, 45531, 35, 1, 22, "Print"],
Cell[1054318, 45534, 35, 1, 22, "Print"],
Cell[1054356, 45537, 35, 1, 22, "Print"],
Cell[1054394, 45540, 35, 1, 22, "Print"],
Cell[1054432, 45543, 35, 1, 22, "Print"],
Cell[1054470, 45546, 35, 1, 22, "Print"],
Cell[1054508, 45549, 35, 1, 22, "Print"],
Cell[1054546, 45552, 35, 1, 22, "Print"],
Cell[1054584, 45555, 35, 1, 22, "Print"],
Cell[1054622, 45558, 35, 1, 22, "Print"],
Cell[1054660, 45561, 35, 1, 22, "Print"],
Cell[1054698, 45564, 35, 1, 22, "Print"],
Cell[1054736, 45567, 35, 1, 22, "Print"],
Cell[1054774, 45570, 35, 1, 22, "Print"],
Cell[1054812, 45573, 35, 1, 22, "Print"],
Cell[1054850, 45576, 35, 1, 22, "Print"],
Cell[1054888, 45579, 35, 1, 22, "Print"],
Cell[1054926, 45582, 35, 1, 22, "Print"],
Cell[1054964, 45585, 35, 1, 22, "Print"],
Cell[1055002, 45588, 35, 1, 22, "Print"],
Cell[1055040, 45591, 35, 1, 22, "Print"],
Cell[1055078, 45594, 35, 1, 22, "Print"],
Cell[1055116, 45597, 35, 1, 22, "Print"],
Cell[1055154, 45600, 35, 1, 22, "Print"],
Cell[1055192, 45603, 35, 1, 22, "Print"],
Cell[1055230, 45606, 35, 1, 22, "Print"],
Cell[1055268, 45609, 35, 1, 22, "Print"],
Cell[1055306, 45612, 34, 1, 22, "Print"],
Cell[1055343, 45615, 34, 1, 22, "Print"],
Cell[1055380, 45618, 34, 1, 22, "Print"],
Cell[1055417, 45621, 34, 1, 22, "Print"],
Cell[1055454, 45624, 34, 1, 22, "Print"],
Cell[1055491, 45627, 34, 1, 22, "Print"],
Cell[1055528, 45630, 34, 1, 22, "Print"],
Cell[1055565, 45633, 34, 1, 22, "Print"],
Cell[1055602, 45636, 34, 1, 22, "Print"],
Cell[1055639, 45639, 50, 1, 22, "Print"],
Cell[1055692, 45642, 77, 1, 22, "Print"],
Cell[1055772, 45645, 76, 1, 22, "Print"],
Cell[1055851, 45648, 61, 1, 22, "Print"],
Cell[1055915, 45651, 159, 3, 22, "Print"],
Cell[1056077, 45656, 159, 3, 22, "Print"],
Cell[1056239, 45661, 159, 3, 22, "Print"],
Cell[1056401, 45666, 159, 3, 22, "Print"],
Cell[1056563, 45671, 159, 3, 22, "Print"],
Cell[1056725, 45676, 159, 3, 22, "Print"],
Cell[1056887, 45681, 159, 3, 22, "Print"],
Cell[1057049, 45686, 159, 3, 22, "Print"],
Cell[1057211, 45691, 161, 3, 22, "Print"],
Cell[1057375, 45696, 161, 3, 22, "Print"],
Cell[1057539, 45701, 161, 3, 22, "Print"],
Cell[1057703, 45706, 161, 3, 22, "Print"],
Cell[1057867, 45711, 161, 3, 22, "Print"],
Cell[1058031, 45716, 161, 3, 22, "Print"],
Cell[1058195, 45721, 161, 3, 22, "Print"],
Cell[1058359, 45726, 161, 3, 22, "Print"],
Cell[1058523, 45731, 161, 3, 22, "Print"],
Cell[1058687, 45736, 161, 3, 22, "Print"],
Cell[1058851, 45741, 161, 3, 22, "Print"],
Cell[1059015, 45746, 46, 1, 22, "Print"],
Cell[1059064, 45749, 47, 1, 22, "Print"],
Cell[1059114, 45752, 202, 4, 22, "Print"],
Cell[1059319, 45758, 36, 1, 22, "Print"],
Cell[1059358, 45761, 35, 1, 22, "Print"],
Cell[1059396, 45764, 35, 1, 22, "Print"],
Cell[1059434, 45767, 35, 1, 22, "Print"],
Cell[1059472, 45770, 35, 1, 22, "Print"],
Cell[1059510, 45773, 35, 1, 22, "Print"],
Cell[1059548, 45776, 35, 1, 22, "Print"],
Cell[1059586, 45779, 35, 1, 22, "Print"],
Cell[1059624, 45782, 35, 1, 22, "Print"],
Cell[1059662, 45785, 35, 1, 22, "Print"],
Cell[1059700, 45788, 35, 1, 22, "Print"],
Cell[1059738, 45791, 35, 1, 22, "Print"],
Cell[1059776, 45794, 35, 1, 22, "Print"],
Cell[1059814, 45797, 35, 1, 22, "Print"],
Cell[1059852, 45800, 35, 1, 22, "Print"],
Cell[1059890, 45803, 35, 1, 22, "Print"],
Cell[1059928, 45806, 35, 1, 22, "Print"],
Cell[1059966, 45809, 35, 1, 22, "Print"],
Cell[1060004, 45812, 35, 1, 22, "Print"],
Cell[1060042, 45815, 35, 1, 22, "Print"],
Cell[1060080, 45818, 35, 1, 22, "Print"],
Cell[1060118, 45821, 35, 1, 22, "Print"],
Cell[1060156, 45824, 35, 1, 22, "Print"],
Cell[1060194, 45827, 35, 1, 22, "Print"],
Cell[1060232, 45830, 35, 1, 22, "Print"],
Cell[1060270, 45833, 35, 1, 22, "Print"],
Cell[1060308, 45836, 35, 1, 22, "Print"],
Cell[1060346, 45839, 35, 1, 22, "Print"],
Cell[1060384, 45842, 35, 1, 22, "Print"],
Cell[1060422, 45845, 35, 1, 22, "Print"],
Cell[1060460, 45848, 35, 1, 22, "Print"],
Cell[1060498, 45851, 35, 1, 22, "Print"],
Cell[1060536, 45854, 35, 1, 22, "Print"],
Cell[1060574, 45857, 35, 1, 22, "Print"],
Cell[1060612, 45860, 35, 1, 22, "Print"],
Cell[1060650, 45863, 35, 1, 22, "Print"],
Cell[1060688, 45866, 35, 1, 22, "Print"],
Cell[1060726, 45869, 35, 1, 22, "Print"],
Cell[1060764, 45872, 35, 1, 22, "Print"],
Cell[1060802, 45875, 35, 1, 22, "Print"],
Cell[1060840, 45878, 35, 1, 22, "Print"],
Cell[1060878, 45881, 35, 1, 22, "Print"],
Cell[1060916, 45884, 35, 1, 22, "Print"],
Cell[1060954, 45887, 35, 1, 22, "Print"],
Cell[1060992, 45890, 35, 1, 22, "Print"],
Cell[1061030, 45893, 35, 1, 22, "Print"],
Cell[1061068, 45896, 35, 1, 22, "Print"],
Cell[1061106, 45899, 35, 1, 22, "Print"],
Cell[1061144, 45902, 35, 1, 22, "Print"],
Cell[1061182, 45905, 35, 1, 22, "Print"],
Cell[1061220, 45908, 35, 1, 22, "Print"],
Cell[1061258, 45911, 35, 1, 22, "Print"],
Cell[1061296, 45914, 35, 1, 22, "Print"],
Cell[1061334, 45917, 35, 1, 22, "Print"],
Cell[1061372, 45920, 35, 1, 22, "Print"],
Cell[1061410, 45923, 35, 1, 22, "Print"],
Cell[1061448, 45926, 35, 1, 22, "Print"],
Cell[1061486, 45929, 35, 1, 22, "Print"],
Cell[1061524, 45932, 35, 1, 22, "Print"],
Cell[1061562, 45935, 35, 1, 22, "Print"],
Cell[1061600, 45938, 35, 1, 22, "Print"],
Cell[1061638, 45941, 35, 1, 22, "Print"],
Cell[1061676, 45944, 35, 1, 22, "Print"],
Cell[1061714, 45947, 35, 1, 22, "Print"],
Cell[1061752, 45950, 35, 1, 22, "Print"],
Cell[1061790, 45953, 35, 1, 22, "Print"],
Cell[1061828, 45956, 35, 1, 22, "Print"],
Cell[1061866, 45959, 35, 1, 22, "Print"],
Cell[1061904, 45962, 35, 1, 22, "Print"],
Cell[1061942, 45965, 35, 1, 22, "Print"],
Cell[1061980, 45968, 35, 1, 22, "Print"],
Cell[1062018, 45971, 35, 1, 22, "Print"],
Cell[1062056, 45974, 35, 1, 22, "Print"],
Cell[1062094, 45977, 35, 1, 22, "Print"],
Cell[1062132, 45980, 35, 1, 22, "Print"],
Cell[1062170, 45983, 35, 1, 22, "Print"],
Cell[1062208, 45986, 35, 1, 22, "Print"],
Cell[1062246, 45989, 35, 1, 22, "Print"],
Cell[1062284, 45992, 35, 1, 22, "Print"],
Cell[1062322, 45995, 35, 1, 22, "Print"],
Cell[1062360, 45998, 35, 1, 22, "Print"],
Cell[1062398, 46001, 35, 1, 22, "Print"],
Cell[1062436, 46004, 35, 1, 22, "Print"],
Cell[1062474, 46007, 35, 1, 22, "Print"],
Cell[1062512, 46010, 35, 1, 22, "Print"],
Cell[1062550, 46013, 35, 1, 22, "Print"],
Cell[1062588, 46016, 35, 1, 22, "Print"],
Cell[1062626, 46019, 35, 1, 22, "Print"],
Cell[1062664, 46022, 35, 1, 22, "Print"],
Cell[1062702, 46025, 35, 1, 22, "Print"],
Cell[1062740, 46028, 35, 1, 22, "Print"],
Cell[1062778, 46031, 34, 1, 22, "Print"],
Cell[1062815, 46034, 34, 1, 22, "Print"],
Cell[1062852, 46037, 34, 1, 22, "Print"],
Cell[1062889, 46040, 34, 1, 22, "Print"],
Cell[1062926, 46043, 34, 1, 22, "Print"],
Cell[1062963, 46046, 34, 1, 22, "Print"],
Cell[1063000, 46049, 34, 1, 22, "Print"],
Cell[1063037, 46052, 34, 1, 22, "Print"],
Cell[1063074, 46055, 34, 1, 22, "Print"],
Cell[1063111, 46058, 50, 1, 22, "Print"],
Cell[1063164, 46061, 77, 1, 22, "Print"],
Cell[1063244, 46064, 76, 1, 22, "Print"],
Cell[1063323, 46067, 61, 1, 22, "Print"],
Cell[1063387, 46070, 159, 3, 22, "Print"],
Cell[1063549, 46075, 159, 3, 22, "Print"],
Cell[1063711, 46080, 159, 3, 22, "Print"],
Cell[1063873, 46085, 159, 3, 22, "Print"],
Cell[1064035, 46090, 159, 3, 22, "Print"],
Cell[1064197, 46095, 159, 3, 22, "Print"],
Cell[1064359, 46100, 159, 3, 22, "Print"],
Cell[1064521, 46105, 159, 3, 22, "Print"],
Cell[1064683, 46110, 161, 3, 22, "Print"],
Cell[1064847, 46115, 161, 3, 22, "Print"],
Cell[1065011, 46120, 161, 3, 22, "Print"],
Cell[1065175, 46125, 161, 3, 22, "Print"],
Cell[1065339, 46130, 161, 3, 22, "Print"],
Cell[1065503, 46135, 161, 3, 22, "Print"],
Cell[1065667, 46140, 161, 3, 22, "Print"],
Cell[1065831, 46145, 161, 3, 22, "Print"],
Cell[1065995, 46150, 161, 3, 22, "Print"],
Cell[1066159, 46155, 161, 3, 22, "Print"],
Cell[1066323, 46160, 161, 3, 22, "Print"],
Cell[1066487, 46165, 46, 1, 22, "Print"],
Cell[1066536, 46168, 47, 1, 22, "Print"],
Cell[1066586, 46171, 201, 4, 22, "Print"],
Cell[1066790, 46177, 36, 1, 22, "Print"],
Cell[1066829, 46180, 35, 1, 22, "Print"],
Cell[1066867, 46183, 35, 1, 22, "Print"],
Cell[1066905, 46186, 35, 1, 22, "Print"],
Cell[1066943, 46189, 35, 1, 22, "Print"],
Cell[1066981, 46192, 35, 1, 22, "Print"],
Cell[1067019, 46195, 35, 1, 22, "Print"],
Cell[1067057, 46198, 35, 1, 22, "Print"],
Cell[1067095, 46201, 35, 1, 22, "Print"],
Cell[1067133, 46204, 35, 1, 22, "Print"],
Cell[1067171, 46207, 35, 1, 22, "Print"],
Cell[1067209, 46210, 35, 1, 22, "Print"],
Cell[1067247, 46213, 35, 1, 22, "Print"],
Cell[1067285, 46216, 35, 1, 22, "Print"],
Cell[1067323, 46219, 35, 1, 22, "Print"],
Cell[1067361, 46222, 35, 1, 22, "Print"],
Cell[1067399, 46225, 35, 1, 22, "Print"],
Cell[1067437, 46228, 35, 1, 22, "Print"],
Cell[1067475, 46231, 35, 1, 22, "Print"],
Cell[1067513, 46234, 35, 1, 22, "Print"],
Cell[1067551, 46237, 35, 1, 22, "Print"],
Cell[1067589, 46240, 35, 1, 22, "Print"],
Cell[1067627, 46243, 35, 1, 22, "Print"],
Cell[1067665, 46246, 35, 1, 22, "Print"],
Cell[1067703, 46249, 35, 1, 22, "Print"],
Cell[1067741, 46252, 35, 1, 22, "Print"],
Cell[1067779, 46255, 35, 1, 22, "Print"],
Cell[1067817, 46258, 35, 1, 22, "Print"],
Cell[1067855, 46261, 35, 1, 22, "Print"],
Cell[1067893, 46264, 35, 1, 22, "Print"],
Cell[1067931, 46267, 35, 1, 22, "Print"],
Cell[1067969, 46270, 35, 1, 22, "Print"],
Cell[1068007, 46273, 35, 1, 22, "Print"],
Cell[1068045, 46276, 35, 1, 22, "Print"],
Cell[1068083, 46279, 35, 1, 22, "Print"],
Cell[1068121, 46282, 35, 1, 22, "Print"],
Cell[1068159, 46285, 35, 1, 22, "Print"],
Cell[1068197, 46288, 35, 1, 22, "Print"],
Cell[1068235, 46291, 35, 1, 22, "Print"],
Cell[1068273, 46294, 35, 1, 22, "Print"],
Cell[1068311, 46297, 35, 1, 22, "Print"],
Cell[1068349, 46300, 35, 1, 22, "Print"],
Cell[1068387, 46303, 35, 1, 22, "Print"],
Cell[1068425, 46306, 35, 1, 22, "Print"],
Cell[1068463, 46309, 35, 1, 22, "Print"],
Cell[1068501, 46312, 35, 1, 22, "Print"],
Cell[1068539, 46315, 35, 1, 22, "Print"],
Cell[1068577, 46318, 35, 1, 22, "Print"],
Cell[1068615, 46321, 35, 1, 22, "Print"],
Cell[1068653, 46324, 35, 1, 22, "Print"],
Cell[1068691, 46327, 35, 1, 22, "Print"],
Cell[1068729, 46330, 35, 1, 22, "Print"],
Cell[1068767, 46333, 35, 1, 22, "Print"],
Cell[1068805, 46336, 35, 1, 22, "Print"],
Cell[1068843, 46339, 35, 1, 22, "Print"],
Cell[1068881, 46342, 35, 1, 22, "Print"],
Cell[1068919, 46345, 35, 1, 22, "Print"],
Cell[1068957, 46348, 35, 1, 22, "Print"],
Cell[1068995, 46351, 35, 1, 22, "Print"],
Cell[1069033, 46354, 35, 1, 22, "Print"],
Cell[1069071, 46357, 35, 1, 22, "Print"],
Cell[1069109, 46360, 35, 1, 22, "Print"],
Cell[1069147, 46363, 35, 1, 22, "Print"],
Cell[1069185, 46366, 35, 1, 22, "Print"],
Cell[1069223, 46369, 35, 1, 22, "Print"],
Cell[1069261, 46372, 35, 1, 22, "Print"],
Cell[1069299, 46375, 35, 1, 22, "Print"],
Cell[1069337, 46378, 35, 1, 22, "Print"],
Cell[1069375, 46381, 35, 1, 22, "Print"],
Cell[1069413, 46384, 35, 1, 22, "Print"],
Cell[1069451, 46387, 35, 1, 22, "Print"],
Cell[1069489, 46390, 35, 1, 22, "Print"],
Cell[1069527, 46393, 35, 1, 22, "Print"],
Cell[1069565, 46396, 35, 1, 22, "Print"],
Cell[1069603, 46399, 35, 1, 22, "Print"],
Cell[1069641, 46402, 35, 1, 22, "Print"],
Cell[1069679, 46405, 35, 1, 22, "Print"],
Cell[1069717, 46408, 35, 1, 22, "Print"],
Cell[1069755, 46411, 35, 1, 22, "Print"],
Cell[1069793, 46414, 35, 1, 22, "Print"],
Cell[1069831, 46417, 35, 1, 22, "Print"],
Cell[1069869, 46420, 35, 1, 22, "Print"],
Cell[1069907, 46423, 35, 1, 22, "Print"],
Cell[1069945, 46426, 35, 1, 22, "Print"],
Cell[1069983, 46429, 35, 1, 22, "Print"],
Cell[1070021, 46432, 35, 1, 22, "Print"],
Cell[1070059, 46435, 35, 1, 22, "Print"],
Cell[1070097, 46438, 35, 1, 22, "Print"],
Cell[1070135, 46441, 35, 1, 22, "Print"],
Cell[1070173, 46444, 35, 1, 22, "Print"],
Cell[1070211, 46447, 35, 1, 22, "Print"],
Cell[1070249, 46450, 34, 1, 22, "Print"],
Cell[1070286, 46453, 34, 1, 22, "Print"],
Cell[1070323, 46456, 34, 1, 22, "Print"],
Cell[1070360, 46459, 34, 1, 22, "Print"],
Cell[1070397, 46462, 34, 1, 22, "Print"],
Cell[1070434, 46465, 34, 1, 22, "Print"],
Cell[1070471, 46468, 34, 1, 22, "Print"],
Cell[1070508, 46471, 34, 1, 22, "Print"],
Cell[1070545, 46474, 34, 1, 22, "Print"],
Cell[1070582, 46477, 50, 1, 22, "Print"],
Cell[1070635, 46480, 77, 1, 22, "Print"],
Cell[1070715, 46483, 76, 1, 22, "Print"],
Cell[1070794, 46486, 61, 1, 22, "Print"],
Cell[1070858, 46489, 159, 3, 22, "Print"],
Cell[1071020, 46494, 159, 3, 22, "Print"],
Cell[1071182, 46499, 159, 3, 22, "Print"],
Cell[1071344, 46504, 159, 3, 22, "Print"],
Cell[1071506, 46509, 159, 3, 22, "Print"],
Cell[1071668, 46514, 159, 3, 22, "Print"],
Cell[1071830, 46519, 159, 3, 22, "Print"],
Cell[1071992, 46524, 159, 3, 22, "Print"],
Cell[1072154, 46529, 161, 3, 22, "Print"],
Cell[1072318, 46534, 161, 3, 22, "Print"],
Cell[1072482, 46539, 161, 3, 22, "Print"],
Cell[1072646, 46544, 161, 3, 22, "Print"],
Cell[1072810, 46549, 161, 3, 22, "Print"],
Cell[1072974, 46554, 161, 3, 22, "Print"],
Cell[1073138, 46559, 161, 3, 22, "Print"],
Cell[1073302, 46564, 161, 3, 22, "Print"],
Cell[1073466, 46569, 161, 3, 22, "Print"],
Cell[1073630, 46574, 161, 3, 22, "Print"],
Cell[1073794, 46579, 161, 3, 22, "Print"],
Cell[1073958, 46584, 46, 1, 22, "Print"],
Cell[1074007, 46587, 47, 1, 22, "Print"],
Cell[1074057, 46590, 202, 4, 22, "Print"],
Cell[1074262, 46596, 36, 1, 22, "Print"],
Cell[1074301, 46599, 35, 1, 22, "Print"],
Cell[1074339, 46602, 35, 1, 22, "Print"],
Cell[1074377, 46605, 35, 1, 22, "Print"],
Cell[1074415, 46608, 35, 1, 22, "Print"],
Cell[1074453, 46611, 35, 1, 22, "Print"],
Cell[1074491, 46614, 35, 1, 22, "Print"],
Cell[1074529, 46617, 35, 1, 22, "Print"],
Cell[1074567, 46620, 35, 1, 22, "Print"],
Cell[1074605, 46623, 35, 1, 22, "Print"],
Cell[1074643, 46626, 35, 1, 22, "Print"],
Cell[1074681, 46629, 35, 1, 22, "Print"],
Cell[1074719, 46632, 35, 1, 22, "Print"],
Cell[1074757, 46635, 35, 1, 22, "Print"],
Cell[1074795, 46638, 35, 1, 22, "Print"],
Cell[1074833, 46641, 35, 1, 22, "Print"],
Cell[1074871, 46644, 35, 1, 22, "Print"],
Cell[1074909, 46647, 35, 1, 22, "Print"],
Cell[1074947, 46650, 35, 1, 22, "Print"],
Cell[1074985, 46653, 35, 1, 22, "Print"],
Cell[1075023, 46656, 35, 1, 22, "Print"],
Cell[1075061, 46659, 35, 1, 22, "Print"],
Cell[1075099, 46662, 35, 1, 22, "Print"],
Cell[1075137, 46665, 35, 1, 22, "Print"],
Cell[1075175, 46668, 35, 1, 22, "Print"],
Cell[1075213, 46671, 35, 1, 22, "Print"],
Cell[1075251, 46674, 35, 1, 22, "Print"],
Cell[1075289, 46677, 35, 1, 22, "Print"],
Cell[1075327, 46680, 35, 1, 22, "Print"],
Cell[1075365, 46683, 35, 1, 22, "Print"],
Cell[1075403, 46686, 35, 1, 22, "Print"],
Cell[1075441, 46689, 35, 1, 22, "Print"],
Cell[1075479, 46692, 35, 1, 22, "Print"],
Cell[1075517, 46695, 35, 1, 22, "Print"],
Cell[1075555, 46698, 35, 1, 22, "Print"],
Cell[1075593, 46701, 35, 1, 22, "Print"],
Cell[1075631, 46704, 35, 1, 22, "Print"],
Cell[1075669, 46707, 35, 1, 22, "Print"],
Cell[1075707, 46710, 35, 1, 22, "Print"],
Cell[1075745, 46713, 35, 1, 22, "Print"],
Cell[1075783, 46716, 35, 1, 22, "Print"],
Cell[1075821, 46719, 35, 1, 22, "Print"],
Cell[1075859, 46722, 35, 1, 22, "Print"],
Cell[1075897, 46725, 35, 1, 22, "Print"],
Cell[1075935, 46728, 35, 1, 22, "Print"],
Cell[1075973, 46731, 35, 1, 22, "Print"],
Cell[1076011, 46734, 35, 1, 22, "Print"],
Cell[1076049, 46737, 35, 1, 22, "Print"],
Cell[1076087, 46740, 35, 1, 22, "Print"],
Cell[1076125, 46743, 35, 1, 22, "Print"],
Cell[1076163, 46746, 35, 1, 22, "Print"],
Cell[1076201, 46749, 35, 1, 22, "Print"],
Cell[1076239, 46752, 35, 1, 22, "Print"],
Cell[1076277, 46755, 35, 1, 22, "Print"],
Cell[1076315, 46758, 35, 1, 22, "Print"],
Cell[1076353, 46761, 35, 1, 22, "Print"],
Cell[1076391, 46764, 35, 1, 22, "Print"],
Cell[1076429, 46767, 35, 1, 22, "Print"],
Cell[1076467, 46770, 35, 1, 22, "Print"],
Cell[1076505, 46773, 35, 1, 22, "Print"],
Cell[1076543, 46776, 35, 1, 22, "Print"],
Cell[1076581, 46779, 35, 1, 22, "Print"],
Cell[1076619, 46782, 35, 1, 22, "Print"],
Cell[1076657, 46785, 35, 1, 22, "Print"],
Cell[1076695, 46788, 35, 1, 22, "Print"],
Cell[1076733, 46791, 35, 1, 22, "Print"],
Cell[1076771, 46794, 35, 1, 22, "Print"],
Cell[1076809, 46797, 35, 1, 22, "Print"],
Cell[1076847, 46800, 35, 1, 22, "Print"],
Cell[1076885, 46803, 35, 1, 22, "Print"],
Cell[1076923, 46806, 35, 1, 22, "Print"],
Cell[1076961, 46809, 35, 1, 22, "Print"],
Cell[1076999, 46812, 35, 1, 22, "Print"],
Cell[1077037, 46815, 35, 1, 22, "Print"],
Cell[1077075, 46818, 35, 1, 22, "Print"],
Cell[1077113, 46821, 35, 1, 22, "Print"],
Cell[1077151, 46824, 35, 1, 22, "Print"],
Cell[1077189, 46827, 35, 1, 22, "Print"],
Cell[1077227, 46830, 35, 1, 22, "Print"],
Cell[1077265, 46833, 35, 1, 22, "Print"],
Cell[1077303, 46836, 35, 1, 22, "Print"],
Cell[1077341, 46839, 35, 1, 22, "Print"],
Cell[1077379, 46842, 35, 1, 22, "Print"],
Cell[1077417, 46845, 35, 1, 22, "Print"],
Cell[1077455, 46848, 35, 1, 22, "Print"],
Cell[1077493, 46851, 35, 1, 22, "Print"],
Cell[1077531, 46854, 35, 1, 22, "Print"],
Cell[1077569, 46857, 35, 1, 22, "Print"],
Cell[1077607, 46860, 35, 1, 22, "Print"],
Cell[1077645, 46863, 35, 1, 22, "Print"],
Cell[1077683, 46866, 35, 1, 22, "Print"],
Cell[1077721, 46869, 34, 1, 22, "Print"],
Cell[1077758, 46872, 34, 1, 22, "Print"],
Cell[1077795, 46875, 34, 1, 22, "Print"],
Cell[1077832, 46878, 34, 1, 22, "Print"],
Cell[1077869, 46881, 34, 1, 22, "Print"],
Cell[1077906, 46884, 34, 1, 22, "Print"],
Cell[1077943, 46887, 34, 1, 22, "Print"],
Cell[1077980, 46890, 34, 1, 22, "Print"],
Cell[1078017, 46893, 34, 1, 22, "Print"],
Cell[1078054, 46896, 50, 1, 22, "Print"],
Cell[1078107, 46899, 77, 1, 22, "Print"],
Cell[1078187, 46902, 76, 1, 22, "Print"],
Cell[1078266, 46905, 61, 1, 22, "Print"],
Cell[1078330, 46908, 159, 3, 22, "Print"],
Cell[1078492, 46913, 159, 3, 22, "Print"],
Cell[1078654, 46918, 159, 3, 22, "Print"],
Cell[1078816, 46923, 159, 3, 22, "Print"],
Cell[1078978, 46928, 159, 3, 22, "Print"],
Cell[1079140, 46933, 159, 3, 22, "Print"],
Cell[1079302, 46938, 159, 3, 22, "Print"],
Cell[1079464, 46943, 159, 3, 22, "Print"],
Cell[1079626, 46948, 161, 3, 22, "Print"],
Cell[1079790, 46953, 161, 3, 22, "Print"],
Cell[1079954, 46958, 161, 3, 22, "Print"],
Cell[1080118, 46963, 161, 3, 22, "Print"],
Cell[1080282, 46968, 161, 3, 22, "Print"],
Cell[1080446, 46973, 161, 3, 22, "Print"],
Cell[1080610, 46978, 161, 3, 22, "Print"],
Cell[1080774, 46983, 161, 3, 22, "Print"],
Cell[1080938, 46988, 161, 3, 22, "Print"],
Cell[1081102, 46993, 161, 3, 22, "Print"],
Cell[1081266, 46998, 161, 3, 22, "Print"],
Cell[1081430, 47003, 46, 1, 22, "Print"],
Cell[1081479, 47006, 47, 1, 22, "Print"],
Cell[1081529, 47009, 202, 4, 22, "Print"],
Cell[1081734, 47015, 36, 1, 22, "Print"],
Cell[1081773, 47018, 35, 1, 22, "Print"],
Cell[1081811, 47021, 35, 1, 22, "Print"],
Cell[1081849, 47024, 35, 1, 22, "Print"],
Cell[1081887, 47027, 35, 1, 22, "Print"],
Cell[1081925, 47030, 35, 1, 22, "Print"],
Cell[1081963, 47033, 35, 1, 22, "Print"],
Cell[1082001, 47036, 35, 1, 22, "Print"],
Cell[1082039, 47039, 35, 1, 22, "Print"],
Cell[1082077, 47042, 35, 1, 22, "Print"],
Cell[1082115, 47045, 35, 1, 22, "Print"],
Cell[1082153, 47048, 35, 1, 22, "Print"],
Cell[1082191, 47051, 35, 1, 22, "Print"],
Cell[1082229, 47054, 35, 1, 22, "Print"],
Cell[1082267, 47057, 35, 1, 22, "Print"],
Cell[1082305, 47060, 35, 1, 22, "Print"],
Cell[1082343, 47063, 35, 1, 22, "Print"],
Cell[1082381, 47066, 35, 1, 22, "Print"],
Cell[1082419, 47069, 35, 1, 22, "Print"],
Cell[1082457, 47072, 35, 1, 22, "Print"],
Cell[1082495, 47075, 35, 1, 22, "Print"],
Cell[1082533, 47078, 35, 1, 22, "Print"],
Cell[1082571, 47081, 35, 1, 22, "Print"],
Cell[1082609, 47084, 35, 1, 22, "Print"],
Cell[1082647, 47087, 35, 1, 22, "Print"],
Cell[1082685, 47090, 35, 1, 22, "Print"],
Cell[1082723, 47093, 35, 1, 22, "Print"],
Cell[1082761, 47096, 35, 1, 22, "Print"],
Cell[1082799, 47099, 35, 1, 22, "Print"],
Cell[1082837, 47102, 35, 1, 22, "Print"],
Cell[1082875, 47105, 35, 1, 22, "Print"],
Cell[1082913, 47108, 35, 1, 22, "Print"],
Cell[1082951, 47111, 35, 1, 22, "Print"],
Cell[1082989, 47114, 35, 1, 22, "Print"],
Cell[1083027, 47117, 35, 1, 22, "Print"],
Cell[1083065, 47120, 35, 1, 22, "Print"],
Cell[1083103, 47123, 35, 1, 22, "Print"],
Cell[1083141, 47126, 35, 1, 22, "Print"],
Cell[1083179, 47129, 35, 1, 22, "Print"],
Cell[1083217, 47132, 35, 1, 22, "Print"],
Cell[1083255, 47135, 35, 1, 22, "Print"],
Cell[1083293, 47138, 35, 1, 22, "Print"],
Cell[1083331, 47141, 35, 1, 22, "Print"],
Cell[1083369, 47144, 35, 1, 22, "Print"],
Cell[1083407, 47147, 35, 1, 22, "Print"],
Cell[1083445, 47150, 35, 1, 22, "Print"],
Cell[1083483, 47153, 35, 1, 22, "Print"],
Cell[1083521, 47156, 35, 1, 22, "Print"],
Cell[1083559, 47159, 35, 1, 22, "Print"],
Cell[1083597, 47162, 35, 1, 22, "Print"],
Cell[1083635, 47165, 35, 1, 22, "Print"],
Cell[1083673, 47168, 35, 1, 22, "Print"],
Cell[1083711, 47171, 35, 1, 22, "Print"],
Cell[1083749, 47174, 35, 1, 22, "Print"],
Cell[1083787, 47177, 35, 1, 22, "Print"],
Cell[1083825, 47180, 35, 1, 22, "Print"],
Cell[1083863, 47183, 35, 1, 22, "Print"],
Cell[1083901, 47186, 35, 1, 22, "Print"],
Cell[1083939, 47189, 35, 1, 22, "Print"],
Cell[1083977, 47192, 35, 1, 22, "Print"],
Cell[1084015, 47195, 35, 1, 22, "Print"],
Cell[1084053, 47198, 35, 1, 22, "Print"],
Cell[1084091, 47201, 35, 1, 22, "Print"],
Cell[1084129, 47204, 35, 1, 22, "Print"],
Cell[1084167, 47207, 35, 1, 22, "Print"],
Cell[1084205, 47210, 35, 1, 22, "Print"],
Cell[1084243, 47213, 35, 1, 22, "Print"],
Cell[1084281, 47216, 35, 1, 22, "Print"],
Cell[1084319, 47219, 35, 1, 22, "Print"],
Cell[1084357, 47222, 35, 1, 22, "Print"],
Cell[1084395, 47225, 35, 1, 22, "Print"],
Cell[1084433, 47228, 35, 1, 22, "Print"],
Cell[1084471, 47231, 35, 1, 22, "Print"],
Cell[1084509, 47234, 35, 1, 22, "Print"],
Cell[1084547, 47237, 35, 1, 22, "Print"],
Cell[1084585, 47240, 35, 1, 22, "Print"],
Cell[1084623, 47243, 35, 1, 22, "Print"],
Cell[1084661, 47246, 35, 1, 22, "Print"],
Cell[1084699, 47249, 35, 1, 22, "Print"],
Cell[1084737, 47252, 35, 1, 22, "Print"],
Cell[1084775, 47255, 35, 1, 22, "Print"],
Cell[1084813, 47258, 35, 1, 22, "Print"],
Cell[1084851, 47261, 35, 1, 22, "Print"],
Cell[1084889, 47264, 35, 1, 22, "Print"],
Cell[1084927, 47267, 35, 1, 22, "Print"],
Cell[1084965, 47270, 35, 1, 22, "Print"],
Cell[1085003, 47273, 35, 1, 22, "Print"],
Cell[1085041, 47276, 35, 1, 22, "Print"],
Cell[1085079, 47279, 35, 1, 22, "Print"],
Cell[1085117, 47282, 35, 1, 22, "Print"],
Cell[1085155, 47285, 35, 1, 22, "Print"],
Cell[1085193, 47288, 34, 1, 22, "Print"],
Cell[1085230, 47291, 34, 1, 22, "Print"],
Cell[1085267, 47294, 34, 1, 22, "Print"],
Cell[1085304, 47297, 34, 1, 22, "Print"],
Cell[1085341, 47300, 34, 1, 22, "Print"],
Cell[1085378, 47303, 34, 1, 22, "Print"],
Cell[1085415, 47306, 34, 1, 22, "Print"],
Cell[1085452, 47309, 34, 1, 22, "Print"],
Cell[1085489, 47312, 34, 1, 22, "Print"],
Cell[1085526, 47315, 50, 1, 22, "Print"],
Cell[1085579, 47318, 77, 1, 22, "Print"],
Cell[1085659, 47321, 76, 1, 22, "Print"],
Cell[1085738, 47324, 61, 1, 22, "Print"],
Cell[1085802, 47327, 159, 3, 22, "Print"],
Cell[1085964, 47332, 159, 3, 22, "Print"],
Cell[1086126, 47337, 159, 3, 22, "Print"],
Cell[1086288, 47342, 159, 3, 22, "Print"],
Cell[1086450, 47347, 159, 3, 22, "Print"],
Cell[1086612, 47352, 159, 3, 22, "Print"],
Cell[1086774, 47357, 159, 3, 22, "Print"],
Cell[1086936, 47362, 159, 3, 22, "Print"],
Cell[1087098, 47367, 161, 3, 22, "Print"],
Cell[1087262, 47372, 161, 3, 22, "Print"],
Cell[1087426, 47377, 161, 3, 22, "Print"],
Cell[1087590, 47382, 161, 3, 22, "Print"],
Cell[1087754, 47387, 161, 3, 22, "Print"],
Cell[1087918, 47392, 161, 3, 22, "Print"],
Cell[1088082, 47397, 161, 3, 22, "Print"],
Cell[1088246, 47402, 161, 3, 22, "Print"],
Cell[1088410, 47407, 161, 3, 22, "Print"],
Cell[1088574, 47412, 161, 3, 22, "Print"],
Cell[1088738, 47417, 161, 3, 22, "Print"],
Cell[1088902, 47422, 46, 1, 22, "Print"],
Cell[1088951, 47425, 47, 1, 22, "Print"],
Cell[1089001, 47428, 202, 4, 22, "Print"],
Cell[1089206, 47434, 36, 1, 22, "Print"],
Cell[1089245, 47437, 35, 1, 22, "Print"],
Cell[1089283, 47440, 35, 1, 22, "Print"],
Cell[1089321, 47443, 35, 1, 22, "Print"],
Cell[1089359, 47446, 35, 1, 22, "Print"],
Cell[1089397, 47449, 35, 1, 22, "Print"],
Cell[1089435, 47452, 35, 1, 22, "Print"],
Cell[1089473, 47455, 35, 1, 22, "Print"],
Cell[1089511, 47458, 35, 1, 22, "Print"],
Cell[1089549, 47461, 35, 1, 22, "Print"],
Cell[1089587, 47464, 35, 1, 22, "Print"],
Cell[1089625, 47467, 35, 1, 22, "Print"],
Cell[1089663, 47470, 35, 1, 22, "Print"],
Cell[1089701, 47473, 35, 1, 22, "Print"],
Cell[1089739, 47476, 35, 1, 22, "Print"],
Cell[1089777, 47479, 35, 1, 22, "Print"],
Cell[1089815, 47482, 35, 1, 22, "Print"],
Cell[1089853, 47485, 35, 1, 22, "Print"],
Cell[1089891, 47488, 35, 1, 22, "Print"],
Cell[1089929, 47491, 35, 1, 22, "Print"],
Cell[1089967, 47494, 35, 1, 22, "Print"],
Cell[1090005, 47497, 35, 1, 22, "Print"],
Cell[1090043, 47500, 35, 1, 22, "Print"],
Cell[1090081, 47503, 35, 1, 22, "Print"],
Cell[1090119, 47506, 35, 1, 22, "Print"],
Cell[1090157, 47509, 35, 1, 22, "Print"],
Cell[1090195, 47512, 35, 1, 22, "Print"],
Cell[1090233, 47515, 35, 1, 22, "Print"],
Cell[1090271, 47518, 35, 1, 22, "Print"],
Cell[1090309, 47521, 35, 1, 22, "Print"],
Cell[1090347, 47524, 35, 1, 22, "Print"],
Cell[1090385, 47527, 35, 1, 22, "Print"],
Cell[1090423, 47530, 35, 1, 22, "Print"],
Cell[1090461, 47533, 35, 1, 22, "Print"],
Cell[1090499, 47536, 35, 1, 22, "Print"],
Cell[1090537, 47539, 35, 1, 22, "Print"],
Cell[1090575, 47542, 35, 1, 22, "Print"],
Cell[1090613, 47545, 35, 1, 22, "Print"],
Cell[1090651, 47548, 35, 1, 22, "Print"],
Cell[1090689, 47551, 35, 1, 22, "Print"],
Cell[1090727, 47554, 35, 1, 22, "Print"],
Cell[1090765, 47557, 35, 1, 22, "Print"],
Cell[1090803, 47560, 35, 1, 22, "Print"],
Cell[1090841, 47563, 35, 1, 22, "Print"],
Cell[1090879, 47566, 35, 1, 22, "Print"],
Cell[1090917, 47569, 35, 1, 22, "Print"],
Cell[1090955, 47572, 35, 1, 22, "Print"],
Cell[1090993, 47575, 35, 1, 22, "Print"],
Cell[1091031, 47578, 35, 1, 22, "Print"],
Cell[1091069, 47581, 35, 1, 22, "Print"],
Cell[1091107, 47584, 35, 1, 22, "Print"],
Cell[1091145, 47587, 35, 1, 22, "Print"],
Cell[1091183, 47590, 35, 1, 22, "Print"],
Cell[1091221, 47593, 35, 1, 22, "Print"],
Cell[1091259, 47596, 35, 1, 22, "Print"],
Cell[1091297, 47599, 35, 1, 22, "Print"],
Cell[1091335, 47602, 35, 1, 22, "Print"],
Cell[1091373, 47605, 35, 1, 22, "Print"],
Cell[1091411, 47608, 35, 1, 22, "Print"],
Cell[1091449, 47611, 35, 1, 22, "Print"],
Cell[1091487, 47614, 35, 1, 22, "Print"],
Cell[1091525, 47617, 35, 1, 22, "Print"],
Cell[1091563, 47620, 35, 1, 22, "Print"],
Cell[1091601, 47623, 35, 1, 22, "Print"],
Cell[1091639, 47626, 35, 1, 22, "Print"],
Cell[1091677, 47629, 35, 1, 22, "Print"],
Cell[1091715, 47632, 35, 1, 22, "Print"],
Cell[1091753, 47635, 35, 1, 22, "Print"],
Cell[1091791, 47638, 35, 1, 22, "Print"],
Cell[1091829, 47641, 35, 1, 22, "Print"],
Cell[1091867, 47644, 35, 1, 22, "Print"],
Cell[1091905, 47647, 35, 1, 22, "Print"],
Cell[1091943, 47650, 35, 1, 22, "Print"],
Cell[1091981, 47653, 35, 1, 22, "Print"],
Cell[1092019, 47656, 35, 1, 22, "Print"],
Cell[1092057, 47659, 35, 1, 22, "Print"],
Cell[1092095, 47662, 35, 1, 22, "Print"],
Cell[1092133, 47665, 35, 1, 22, "Print"],
Cell[1092171, 47668, 35, 1, 22, "Print"],
Cell[1092209, 47671, 35, 1, 22, "Print"],
Cell[1092247, 47674, 35, 1, 22, "Print"],
Cell[1092285, 47677, 35, 1, 22, "Print"],
Cell[1092323, 47680, 35, 1, 22, "Print"],
Cell[1092361, 47683, 35, 1, 22, "Print"],
Cell[1092399, 47686, 35, 1, 22, "Print"],
Cell[1092437, 47689, 35, 1, 22, "Print"],
Cell[1092475, 47692, 35, 1, 22, "Print"],
Cell[1092513, 47695, 35, 1, 22, "Print"],
Cell[1092551, 47698, 35, 1, 22, "Print"],
Cell[1092589, 47701, 35, 1, 22, "Print"],
Cell[1092627, 47704, 35, 1, 22, "Print"],
Cell[1092665, 47707, 34, 1, 22, "Print"],
Cell[1092702, 47710, 34, 1, 22, "Print"],
Cell[1092739, 47713, 34, 1, 22, "Print"],
Cell[1092776, 47716, 34, 1, 22, "Print"],
Cell[1092813, 47719, 34, 1, 22, "Print"],
Cell[1092850, 47722, 34, 1, 22, "Print"],
Cell[1092887, 47725, 34, 1, 22, "Print"],
Cell[1092924, 47728, 34, 1, 22, "Print"],
Cell[1092961, 47731, 34, 1, 22, "Print"],
Cell[1092998, 47734, 50, 1, 22, "Print"],
Cell[1093051, 47737, 77, 1, 22, "Print"],
Cell[1093131, 47740, 76, 1, 22, "Print"],
Cell[1093210, 47743, 61, 1, 22, "Print"],
Cell[1093274, 47746, 159, 3, 22, "Print"],
Cell[1093436, 47751, 159, 3, 22, "Print"],
Cell[1093598, 47756, 159, 3, 22, "Print"],
Cell[1093760, 47761, 159, 3, 22, "Print"],
Cell[1093922, 47766, 159, 3, 22, "Print"],
Cell[1094084, 47771, 159, 3, 22, "Print"],
Cell[1094246, 47776, 159, 3, 22, "Print"],
Cell[1094408, 47781, 159, 3, 22, "Print"],
Cell[1094570, 47786, 161, 3, 22, "Print"],
Cell[1094734, 47791, 161, 3, 22, "Print"],
Cell[1094898, 47796, 161, 3, 22, "Print"],
Cell[1095062, 47801, 161, 3, 22, "Print"],
Cell[1095226, 47806, 161, 3, 22, "Print"],
Cell[1095390, 47811, 161, 3, 22, "Print"],
Cell[1095554, 47816, 161, 3, 22, "Print"],
Cell[1095718, 47821, 161, 3, 22, "Print"],
Cell[1095882, 47826, 161, 3, 22, "Print"],
Cell[1096046, 47831, 161, 3, 22, "Print"],
Cell[1096210, 47836, 161, 3, 22, "Print"],
Cell[1096374, 47841, 46, 1, 22, "Print"],
Cell[1096423, 47844, 202, 4, 22, "Print"],
Cell[1096628, 47850, 36, 1, 22, "Print"],
Cell[1096667, 47853, 35, 1, 22, "Print"],
Cell[1096705, 47856, 35, 1, 22, "Print"],
Cell[1096743, 47859, 35, 1, 22, "Print"],
Cell[1096781, 47862, 35, 1, 22, "Print"],
Cell[1096819, 47865, 35, 1, 22, "Print"],
Cell[1096857, 47868, 35, 1, 22, "Print"],
Cell[1096895, 47871, 35, 1, 22, "Print"],
Cell[1096933, 47874, 35, 1, 22, "Print"],
Cell[1096971, 47877, 35, 1, 22, "Print"],
Cell[1097009, 47880, 35, 1, 22, "Print"],
Cell[1097047, 47883, 35, 1, 22, "Print"],
Cell[1097085, 47886, 35, 1, 22, "Print"],
Cell[1097123, 47889, 35, 1, 22, "Print"],
Cell[1097161, 47892, 35, 1, 22, "Print"],
Cell[1097199, 47895, 35, 1, 22, "Print"],
Cell[1097237, 47898, 35, 1, 22, "Print"],
Cell[1097275, 47901, 35, 1, 22, "Print"],
Cell[1097313, 47904, 35, 1, 22, "Print"],
Cell[1097351, 47907, 35, 1, 22, "Print"],
Cell[1097389, 47910, 35, 1, 22, "Print"],
Cell[1097427, 47913, 35, 1, 22, "Print"],
Cell[1097465, 47916, 35, 1, 22, "Print"],
Cell[1097503, 47919, 35, 1, 22, "Print"],
Cell[1097541, 47922, 35, 1, 22, "Print"],
Cell[1097579, 47925, 35, 1, 22, "Print"],
Cell[1097617, 47928, 35, 1, 22, "Print"],
Cell[1097655, 47931, 35, 1, 22, "Print"],
Cell[1097693, 47934, 35, 1, 22, "Print"],
Cell[1097731, 47937, 35, 1, 22, "Print"],
Cell[1097769, 47940, 35, 1, 22, "Print"],
Cell[1097807, 47943, 35, 1, 22, "Print"],
Cell[1097845, 47946, 35, 1, 22, "Print"],
Cell[1097883, 47949, 35, 1, 22, "Print"],
Cell[1097921, 47952, 35, 1, 22, "Print"],
Cell[1097959, 47955, 35, 1, 22, "Print"],
Cell[1097997, 47958, 35, 1, 22, "Print"],
Cell[1098035, 47961, 35, 1, 22, "Print"],
Cell[1098073, 47964, 35, 1, 22, "Print"],
Cell[1098111, 47967, 35, 1, 22, "Print"],
Cell[1098149, 47970, 35, 1, 22, "Print"],
Cell[1098187, 47973, 35, 1, 22, "Print"],
Cell[1098225, 47976, 35, 1, 22, "Print"],
Cell[1098263, 47979, 35, 1, 22, "Print"],
Cell[1098301, 47982, 35, 1, 22, "Print"],
Cell[1098339, 47985, 35, 1, 22, "Print"],
Cell[1098377, 47988, 35, 1, 22, "Print"],
Cell[1098415, 47991, 35, 1, 22, "Print"],
Cell[1098453, 47994, 35, 1, 22, "Print"],
Cell[1098491, 47997, 35, 1, 22, "Print"],
Cell[1098529, 48000, 35, 1, 22, "Print"],
Cell[1098567, 48003, 35, 1, 22, "Print"],
Cell[1098605, 48006, 35, 1, 22, "Print"],
Cell[1098643, 48009, 35, 1, 22, "Print"],
Cell[1098681, 48012, 35, 1, 22, "Print"],
Cell[1098719, 48015, 35, 1, 22, "Print"],
Cell[1098757, 48018, 35, 1, 22, "Print"],
Cell[1098795, 48021, 35, 1, 22, "Print"],
Cell[1098833, 48024, 35, 1, 22, "Print"],
Cell[1098871, 48027, 35, 1, 22, "Print"],
Cell[1098909, 48030, 35, 1, 22, "Print"],
Cell[1098947, 48033, 35, 1, 22, "Print"],
Cell[1098985, 48036, 35, 1, 22, "Print"],
Cell[1099023, 48039, 35, 1, 22, "Print"],
Cell[1099061, 48042, 35, 1, 22, "Print"],
Cell[1099099, 48045, 35, 1, 22, "Print"],
Cell[1099137, 48048, 35, 1, 22, "Print"],
Cell[1099175, 48051, 35, 1, 22, "Print"],
Cell[1099213, 48054, 35, 1, 22, "Print"],
Cell[1099251, 48057, 35, 1, 22, "Print"],
Cell[1099289, 48060, 35, 1, 22, "Print"],
Cell[1099327, 48063, 35, 1, 22, "Print"],
Cell[1099365, 48066, 35, 1, 22, "Print"],
Cell[1099403, 48069, 35, 1, 22, "Print"],
Cell[1099441, 48072, 35, 1, 22, "Print"],
Cell[1099479, 48075, 35, 1, 22, "Print"],
Cell[1099517, 48078, 35, 1, 22, "Print"],
Cell[1099555, 48081, 35, 1, 22, "Print"],
Cell[1099593, 48084, 35, 1, 22, "Print"],
Cell[1099631, 48087, 35, 1, 22, "Print"],
Cell[1099669, 48090, 35, 1, 22, "Print"],
Cell[1099707, 48093, 35, 1, 22, "Print"],
Cell[1099745, 48096, 35, 1, 22, "Print"],
Cell[1099783, 48099, 35, 1, 22, "Print"],
Cell[1099821, 48102, 35, 1, 22, "Print"],
Cell[1099859, 48105, 35, 1, 22, "Print"],
Cell[1099897, 48108, 35, 1, 22, "Print"],
Cell[1099935, 48111, 35, 1, 22, "Print"],
Cell[1099973, 48114, 35, 1, 22, "Print"],
Cell[1100011, 48117, 35, 1, 22, "Print"],
Cell[1100049, 48120, 35, 1, 22, "Print"],
Cell[1100087, 48123, 34, 1, 22, "Print"],
Cell[1100124, 48126, 34, 1, 22, "Print"],
Cell[1100161, 48129, 34, 1, 22, "Print"],
Cell[1100198, 48132, 34, 1, 22, "Print"],
Cell[1100235, 48135, 34, 1, 22, "Print"],
Cell[1100272, 48138, 34, 1, 22, "Print"],
Cell[1100309, 48141, 34, 1, 22, "Print"],
Cell[1100346, 48144, 34, 1, 22, "Print"],
Cell[1100383, 48147, 34, 1, 22, "Print"],
Cell[1100420, 48150, 77, 1, 22, "Print"],
Cell[1100500, 48153, 76, 1, 22, "Print"],
Cell[1100579, 48156, 61, 1, 22, "Print"],
Cell[1100643, 48159, 159, 3, 22, "Print"],
Cell[1100805, 48164, 159, 3, 22, "Print"],
Cell[1100967, 48169, 159, 3, 22, "Print"],
Cell[1101129, 48174, 159, 3, 22, "Print"],
Cell[1101291, 48179, 159, 3, 22, "Print"],
Cell[1101453, 48184, 159, 3, 22, "Print"],
Cell[1101615, 48189, 159, 3, 22, "Print"],
Cell[1101777, 48194, 159, 3, 22, "Print"],
Cell[1101939, 48199, 161, 3, 22, "Print"],
Cell[1102103, 48204, 161, 3, 22, "Print"],
Cell[1102267, 48209, 161, 3, 22, "Print"],
Cell[1102431, 48214, 161, 3, 22, "Print"],
Cell[1102595, 48219, 161, 3, 22, "Print"],
Cell[1102759, 48224, 161, 3, 22, "Print"],
Cell[1102923, 48229, 161, 3, 22, "Print"],
Cell[1103087, 48234, 161, 3, 22, "Print"],
Cell[1103251, 48239, 161, 3, 22, "Print"],
Cell[1103415, 48244, 161, 3, 22, "Print"],
Cell[1103579, 48249, 161, 3, 22, "Print"],
Cell[1103743, 48254, 159, 3, 22, "Print"],
Cell[1103905, 48259, 159, 3, 22, "Print"],
Cell[1104067, 48264, 159, 3, 22, "Print"],
Cell[1104229, 48269, 159, 3, 22, "Print"],
Cell[1104391, 48274, 159, 3, 22, "Print"],
Cell[1104553, 48279, 159, 3, 22, "Print"],
Cell[1104715, 48284, 159, 3, 22, "Print"],
Cell[1104877, 48289, 159, 3, 22, "Print"],
Cell[1105039, 48294, 159, 3, 22, "Print"],
Cell[1105201, 48299, 161, 3, 22, "Print"],
Cell[1105365, 48304, 161, 3, 22, "Print"],
Cell[1105529, 48309, 161, 3, 22, "Print"],
Cell[1105693, 48314, 161, 3, 22, "Print"],
Cell[1105857, 48319, 161, 3, 22, "Print"],
Cell[1106021, 48324, 161, 3, 22, "Print"],
Cell[1106185, 48329, 161, 3, 22, "Print"],
Cell[1106349, 48334, 161, 3, 22, "Print"],
Cell[1106513, 48339, 161, 3, 22, "Print"],
Cell[1106677, 48344, 161, 3, 22, "Print"],
Cell[1106841, 48349, 161, 3, 22, "Print"],
Cell[1107005, 48354, 161, 3, 22, "Print"],
Cell[1107169, 48359, 161, 3, 22, "Print"],
Cell[1107333, 48364, 161, 3, 22, "Print"],
Cell[1107497, 48369, 161, 3, 22, "Print"],
Cell[1107661, 48374, 161, 3, 22, "Print"],
Cell[1107825, 48379, 161, 3, 22, "Print"],
Cell[1107989, 48384, 161, 3, 22, "Print"],
Cell[1108153, 48389, 161, 3, 22, "Print"],
Cell[1108317, 48394, 161, 3, 22, "Print"],
Cell[1108481, 48399, 161, 3, 22, "Print"],
Cell[1108645, 48404, 161, 3, 22, "Print"],
Cell[1108809, 48409, 161, 3, 22, "Print"],
Cell[1108973, 48414, 161, 3, 22, "Print"],
Cell[1109137, 48419, 161, 3, 22, "Print"],
Cell[1109301, 48424, 161, 3, 22, "Print"],
Cell[1109465, 48429, 161, 3, 22, "Print"],
Cell[1109629, 48434, 161, 3, 22, "Print"],
Cell[1109793, 48439, 161, 3, 22, "Print"],
Cell[1109957, 48444, 161, 3, 22, "Print"],
Cell[1110121, 48449, 161, 3, 22, "Print"],
Cell[1110285, 48454, 161, 3, 22, "Print"],
Cell[1110449, 48459, 161, 3, 22, "Print"],
Cell[1110613, 48464, 161, 3, 22, "Print"],
Cell[1110777, 48469, 161, 3, 22, "Print"],
Cell[1110941, 48474, 161, 3, 22, "Print"],
Cell[1111105, 48479, 161, 3, 22, "Print"],
Cell[1111269, 48484, 161, 3, 22, "Print"],
Cell[1111433, 48489, 161, 3, 22, "Print"],
Cell[1111597, 48494, 161, 3, 22, "Print"],
Cell[1111761, 48499, 161, 3, 22, "Print"],
Cell[1111925, 48504, 161, 3, 22, "Print"],
Cell[1112089, 48509, 161, 3, 22, "Print"],
Cell[1112253, 48514, 161, 3, 22, "Print"],
Cell[1112417, 48519, 161, 3, 22, "Print"],
Cell[1112581, 48524, 161, 3, 22, "Print"],
Cell[1112745, 48529, 161, 3, 22, "Print"],
Cell[1112909, 48534, 161, 3, 22, "Print"],
Cell[1113073, 48539, 161, 3, 22, "Print"],
Cell[1113237, 48544, 161, 3, 22, "Print"],
Cell[1113401, 48549, 161, 3, 22, "Print"],
Cell[1113565, 48554, 161, 3, 22, "Print"],
Cell[1113729, 48559, 161, 3, 22, "Print"],
Cell[1113893, 48564, 161, 3, 22, "Print"],
Cell[1114057, 48569, 161, 3, 22, "Print"],
Cell[1114221, 48574, 161, 3, 22, "Print"],
Cell[1114385, 48579, 161, 3, 22, "Print"],
Cell[1114549, 48584, 161, 3, 22, "Print"],
Cell[1114713, 48589, 161, 3, 22, "Print"],
Cell[1114877, 48594, 161, 3, 22, "Print"],
Cell[1115041, 48599, 161, 3, 22, "Print"],
Cell[1115205, 48604, 161, 3, 22, "Print"],
Cell[1115369, 48609, 161, 3, 22, "Print"],
Cell[1115533, 48614, 161, 3, 22, "Print"],
Cell[1115697, 48619, 161, 3, 22, "Print"],
Cell[1115861, 48624, 161, 3, 22, "Print"],
Cell[1116025, 48629, 161, 3, 22, "Print"],
Cell[1116189, 48634, 161, 3, 22, "Print"],
Cell[1116353, 48639, 161, 3, 22, "Print"],
Cell[1116517, 48644, 161, 3, 22, "Print"],
Cell[1116681, 48649, 161, 3, 22, "Print"],
Cell[1116845, 48654, 161, 3, 22, "Print"],
Cell[1117009, 48659, 161, 3, 22, "Print"],
Cell[1117173, 48664, 161, 3, 22, "Print"],
Cell[1117337, 48669, 161, 3, 22, "Print"],
Cell[1117501, 48674, 161, 3, 22, "Print"],
Cell[1117665, 48679, 161, 3, 22, "Print"],
Cell[1117829, 48684, 161, 3, 22, "Print"],
Cell[1117993, 48689, 161, 3, 22, "Print"],
Cell[1118157, 48694, 161, 3, 22, "Print"],
Cell[1118321, 48699, 161, 3, 22, "Print"],
Cell[1118485, 48704, 161, 3, 22, "Print"],
Cell[1118649, 48709, 161, 3, 22, "Print"],
Cell[1118813, 48714, 161, 3, 22, "Print"],
Cell[1118977, 48719, 161, 3, 22, "Print"],
Cell[1119141, 48724, 161, 3, 22, "Print"],
Cell[1119305, 48729, 161, 3, 22, "Print"],
Cell[1119469, 48734, 161, 3, 22, "Print"],
Cell[1119633, 48739, 161, 3, 22, "Print"],
Cell[1119797, 48744, 161, 3, 22, "Print"],
Cell[1119961, 48749, 163, 3, 22, "Print"],
Cell[1120127, 48754, 163, 3, 22, "Print"],
Cell[1120293, 48759, 163, 3, 22, "Print"],
Cell[1120459, 48764, 163, 3, 22, "Print"],
Cell[1120625, 48769, 163, 3, 22, "Print"],
Cell[1120791, 48774, 163, 3, 22, "Print"],
Cell[1120957, 48779, 163, 3, 22, "Print"],
Cell[1121123, 48784, 163, 3, 22, "Print"],
Cell[1121289, 48789, 163, 3, 22, "Print"],
Cell[1121455, 48794, 163, 3, 22, "Print"],
Cell[1121621, 48799, 163, 3, 22, "Print"],
Cell[1121787, 48804, 163, 3, 22, "Print"],
Cell[1121953, 48809, 163, 3, 22, "Print"],
Cell[1122119, 48814, 163, 3, 22, "Print"],
Cell[1122285, 48819, 163, 3, 22, "Print"],
Cell[1122451, 48824, 163, 3, 22, "Print"],
Cell[1122617, 48829, 163, 3, 22, "Print"],
Cell[1122783, 48834, 163, 3, 22, "Print"],
Cell[1122949, 48839, 163, 3, 22, "Print"],
Cell[1123115, 48844, 163, 3, 22, "Print"],
Cell[1123281, 48849, 163, 3, 22, "Print"],
Cell[1123447, 48854, 163, 3, 22, "Print"],
Cell[1123613, 48859, 163, 3, 22, "Print"],
Cell[1123779, 48864, 163, 3, 22, "Print"],
Cell[1123945, 48869, 163, 3, 22, "Print"],
Cell[1124111, 48874, 163, 3, 22, "Print"],
Cell[1124277, 48879, 163, 3, 22, "Print"],
Cell[1124443, 48884, 163, 3, 22, "Print"],
Cell[1124609, 48889, 163, 3, 22, "Print"],
Cell[1124775, 48894, 163, 3, 22, "Print"],
Cell[1124941, 48899, 163, 3, 22, "Print"],
Cell[1125107, 48904, 163, 3, 22, "Print"],
Cell[1125273, 48909, 163, 3, 22, "Print"],
Cell[1125439, 48914, 163, 3, 22, "Print"],
Cell[1125605, 48919, 163, 3, 22, "Print"],
Cell[1125771, 48924, 163, 3, 22, "Print"],
Cell[1125937, 48929, 163, 3, 22, "Print"],
Cell[1126103, 48934, 163, 3, 22, "Print"],
Cell[1126269, 48939, 163, 3, 22, "Print"],
Cell[1126435, 48944, 163, 3, 22, "Print"],
Cell[1126601, 48949, 163, 3, 22, "Print"],
Cell[1126767, 48954, 163, 3, 22, "Print"],
Cell[1126933, 48959, 163, 3, 22, "Print"],
Cell[1127099, 48964, 163, 3, 22, "Print"],
Cell[1127265, 48969, 163, 3, 22, "Print"],
Cell[1127431, 48974, 163, 3, 22, "Print"],
Cell[1127597, 48979, 163, 3, 22, "Print"],
Cell[1127763, 48984, 163, 3, 22, "Print"],
Cell[1127929, 48989, 163, 3, 22, "Print"],
Cell[1128095, 48994, 163, 3, 22, "Print"],
Cell[1128261, 48999, 163, 3, 22, "Print"],
Cell[1128427, 49004, 163, 3, 22, "Print"],
Cell[1128593, 49009, 163, 3, 22, "Print"],
Cell[1128759, 49014, 163, 3, 22, "Print"],
Cell[1128925, 49019, 163, 3, 22, "Print"],
Cell[1129091, 49024, 163, 3, 22, "Print"],
Cell[1129257, 49029, 163, 3, 22, "Print"],
Cell[1129423, 49034, 163, 3, 22, "Print"],
Cell[1129589, 49039, 163, 3, 22, "Print"],
Cell[1129755, 49044, 163, 3, 22, "Print"],
Cell[1129921, 49049, 163, 3, 22, "Print"],
Cell[1130087, 49054, 163, 3, 22, "Print"],
Cell[1130253, 49059, 163, 3, 22, "Print"],
Cell[1130419, 49064, 163, 3, 22, "Print"],
Cell[1130585, 49069, 163, 3, 22, "Print"],
Cell[1130751, 49074, 163, 3, 22, "Print"],
Cell[1130917, 49079, 163, 3, 22, "Print"],
Cell[1131083, 49084, 163, 3, 22, "Print"],
Cell[1131249, 49089, 163, 3, 22, "Print"],
Cell[1131415, 49094, 163, 3, 22, "Print"],
Cell[1131581, 49099, 163, 3, 22, "Print"],
Cell[1131747, 49104, 163, 3, 22, "Print"],
Cell[1131913, 49109, 163, 3, 22, "Print"],
Cell[1132079, 49114, 163, 3, 22, "Print"],
Cell[1132245, 49119, 163, 3, 22, "Print"],
Cell[1132411, 49124, 163, 3, 22, "Print"],
Cell[1132577, 49129, 163, 3, 22, "Print"],
Cell[1132743, 49134, 163, 3, 22, "Print"],
Cell[1132909, 49139, 163, 3, 22, "Print"],
Cell[1133075, 49144, 163, 3, 22, "Print"],
Cell[1133241, 49149, 163, 3, 22, "Print"],
Cell[1133407, 49154, 163, 3, 22, "Print"],
Cell[1133573, 49159, 163, 3, 22, "Print"],
Cell[1133739, 49164, 163, 3, 22, "Print"],
Cell[1133905, 49169, 163, 3, 22, "Print"],
Cell[1134071, 49174, 163, 3, 22, "Print"],
Cell[1134237, 49179, 163, 3, 22, "Print"],
Cell[1134403, 49184, 163, 3, 22, "Print"],
Cell[1134569, 49189, 163, 3, 22, "Print"],
Cell[1134735, 49194, 163, 3, 22, "Print"],
Cell[1134901, 49199, 163, 3, 22, "Print"],
Cell[1135067, 49204, 163, 3, 22, "Print"],
Cell[1135233, 49209, 163, 3, 22, "Print"],
Cell[1135399, 49214, 163, 3, 22, "Print"],
Cell[1135565, 49219, 163, 3, 22, "Print"],
Cell[1135731, 49224, 163, 3, 22, "Print"],
Cell[1135897, 49229, 163, 3, 22, "Print"],
Cell[1136063, 49234, 163, 3, 22, "Print"],
Cell[1136229, 49239, 163, 3, 22, "Print"],
Cell[1136395, 49244, 163, 3, 22, "Print"],
Cell[1136561, 49249, 163, 3, 22, "Print"],
Cell[1136727, 49254, 163, 3, 22, "Print"],
Cell[1136893, 49259, 163, 3, 22, "Print"],
Cell[1137059, 49264, 163, 3, 22, "Print"],
Cell[1137225, 49269, 163, 3, 22, "Print"],
Cell[1137391, 49274, 163, 3, 22, "Print"],
Cell[1137557, 49279, 163, 3, 22, "Print"],
Cell[1137723, 49284, 163, 3, 22, "Print"],
Cell[1137889, 49289, 163, 3, 22, "Print"],
Cell[1138055, 49294, 163, 3, 22, "Print"],
Cell[1138221, 49299, 163, 3, 22, "Print"],
Cell[1138387, 49304, 163, 3, 22, "Print"],
Cell[1138553, 49309, 163, 3, 22, "Print"],
Cell[1138719, 49314, 163, 3, 22, "Print"],
Cell[1138885, 49319, 163, 3, 22, "Print"],
Cell[1139051, 49324, 163, 3, 22, "Print"],
Cell[1139217, 49329, 163, 3, 22, "Print"],
Cell[1139383, 49334, 163, 3, 22, "Print"],
Cell[1139549, 49339, 163, 3, 22, "Print"],
Cell[1139715, 49344, 163, 3, 22, "Print"],
Cell[1139881, 49349, 163, 3, 22, "Print"],
Cell[1140047, 49354, 163, 3, 22, "Print"],
Cell[1140213, 49359, 163, 3, 22, "Print"],
Cell[1140379, 49364, 163, 3, 22, "Print"],
Cell[1140545, 49369, 163, 3, 22, "Print"],
Cell[1140711, 49374, 163, 3, 22, "Print"],
Cell[1140877, 49379, 163, 3, 22, "Print"],
Cell[1141043, 49384, 163, 3, 22, "Print"],
Cell[1141209, 49389, 163, 3, 22, "Print"],
Cell[1141375, 49394, 163, 3, 22, "Print"],
Cell[1141541, 49399, 163, 3, 22, "Print"],
Cell[1141707, 49404, 163, 3, 22, "Print"],
Cell[1141873, 49409, 163, 3, 22, "Print"],
Cell[1142039, 49414, 163, 3, 22, "Print"],
Cell[1142205, 49419, 163, 3, 22, "Print"],
Cell[1142371, 49424, 163, 3, 22, "Print"],
Cell[1142537, 49429, 163, 3, 22, "Print"],
Cell[1142703, 49434, 163, 3, 22, "Print"],
Cell[1142869, 49439, 163, 3, 22, "Print"],
Cell[1143035, 49444, 163, 3, 22, "Print"],
Cell[1143201, 49449, 163, 3, 22, "Print"],
Cell[1143367, 49454, 163, 3, 22, "Print"],
Cell[1143533, 49459, 163, 3, 22, "Print"],
Cell[1143699, 49464, 163, 3, 22, "Print"],
Cell[1143865, 49469, 163, 3, 22, "Print"],
Cell[1144031, 49474, 163, 3, 22, "Print"],
Cell[1144197, 49479, 163, 3, 22, "Print"],
Cell[1144363, 49484, 163, 3, 22, "Print"],
Cell[1144529, 49489, 163, 3, 22, "Print"],
Cell[1144695, 49494, 163, 3, 22, "Print"],
Cell[1144861, 49499, 163, 3, 22, "Print"],
Cell[1145027, 49504, 163, 3, 22, "Print"],
Cell[1145193, 49509, 163, 3, 22, "Print"],
Cell[1145359, 49514, 163, 3, 22, "Print"],
Cell[1145525, 49519, 163, 3, 22, "Print"],
Cell[1145691, 49524, 163, 3, 22, "Print"],
Cell[1145857, 49529, 163, 3, 22, "Print"],
Cell[1146023, 49534, 163, 3, 22, "Print"],
Cell[1146189, 49539, 163, 3, 22, "Print"],
Cell[1146355, 49544, 163, 3, 22, "Print"],
Cell[1146521, 49549, 163, 3, 22, "Print"],
Cell[1146687, 49554, 163, 3, 22, "Print"],
Cell[1146853, 49559, 163, 3, 22, "Print"],
Cell[1147019, 49564, 163, 3, 22, "Print"],
Cell[1147185, 49569, 163, 3, 22, "Print"],
Cell[1147351, 49574, 163, 3, 22, "Print"],
Cell[1147517, 49579, 163, 3, 22, "Print"],
Cell[1147683, 49584, 163, 3, 22, "Print"],
Cell[1147849, 49589, 163, 3, 22, "Print"],
Cell[1148015, 49594, 163, 3, 22, "Print"],
Cell[1148181, 49599, 163, 3, 22, "Print"],
Cell[1148347, 49604, 163, 3, 22, "Print"],
Cell[1148513, 49609, 163, 3, 22, "Print"],
Cell[1148679, 49614, 163, 3, 22, "Print"],
Cell[1148845, 49619, 163, 3, 22, "Print"],
Cell[1149011, 49624, 163, 3, 22, "Print"],
Cell[1149177, 49629, 163, 3, 22, "Print"],
Cell[1149343, 49634, 163, 3, 22, "Print"],
Cell[1149509, 49639, 163, 3, 22, "Print"],
Cell[1149675, 49644, 163, 3, 22, "Print"],
Cell[1149841, 49649, 163, 3, 22, "Print"],
Cell[1150007, 49654, 163, 3, 22, "Print"],
Cell[1150173, 49659, 163, 3, 22, "Print"],
Cell[1150339, 49664, 163, 3, 22, "Print"],
Cell[1150505, 49669, 163, 3, 22, "Print"],
Cell[1150671, 49674, 163, 3, 22, "Print"],
Cell[1150837, 49679, 163, 3, 22, "Print"],
Cell[1151003, 49684, 163, 3, 22, "Print"],
Cell[1151169, 49689, 163, 3, 22, "Print"],
Cell[1151335, 49694, 163, 3, 22, "Print"],
Cell[1151501, 49699, 163, 3, 22, "Print"],
Cell[1151667, 49704, 163, 3, 22, "Print"],
Cell[1151833, 49709, 163, 3, 22, "Print"],
Cell[1151999, 49714, 163, 3, 22, "Print"],
Cell[1152165, 49719, 163, 3, 22, "Print"],
Cell[1152331, 49724, 163, 3, 22, "Print"],
Cell[1152497, 49729, 163, 3, 22, "Print"],
Cell[1152663, 49734, 163, 3, 22, "Print"],
Cell[1152829, 49739, 163, 3, 22, "Print"],
Cell[1152995, 49744, 163, 3, 22, "Print"],
Cell[1153161, 49749, 163, 3, 22, "Print"],
Cell[1153327, 49754, 163, 3, 22, "Print"],
Cell[1153493, 49759, 163, 3, 22, "Print"],
Cell[1153659, 49764, 163, 3, 22, "Print"],
Cell[1153825, 49769, 163, 3, 22, "Print"],
Cell[1153991, 49774, 163, 3, 22, "Print"],
Cell[1154157, 49779, 163, 3, 22, "Print"],
Cell[1154323, 49784, 163, 3, 22, "Print"],
Cell[1154489, 49789, 163, 3, 22, "Print"],
Cell[1154655, 49794, 163, 3, 22, "Print"],
Cell[1154821, 49799, 163, 3, 22, "Print"],
Cell[1154987, 49804, 163, 3, 22, "Print"],
Cell[1155153, 49809, 163, 3, 22, "Print"],
Cell[1155319, 49814, 163, 3, 22, "Print"],
Cell[1155485, 49819, 163, 3, 22, "Print"],
Cell[1155651, 49824, 163, 3, 22, "Print"],
Cell[1155817, 49829, 163, 3, 22, "Print"],
Cell[1155983, 49834, 163, 3, 22, "Print"],
Cell[1156149, 49839, 163, 3, 22, "Print"],
Cell[1156315, 49844, 163, 3, 22, "Print"],
Cell[1156481, 49849, 163, 3, 22, "Print"],
Cell[1156647, 49854, 163, 3, 22, "Print"],
Cell[1156813, 49859, 163, 3, 22, "Print"],
Cell[1156979, 49864, 163, 3, 22, "Print"],
Cell[1157145, 49869, 163, 3, 22, "Print"],
Cell[1157311, 49874, 163, 3, 22, "Print"],
Cell[1157477, 49879, 163, 3, 22, "Print"],
Cell[1157643, 49884, 163, 3, 22, "Print"],
Cell[1157809, 49889, 163, 3, 22, "Print"],
Cell[1157975, 49894, 163, 3, 22, "Print"],
Cell[1158141, 49899, 163, 3, 22, "Print"],
Cell[1158307, 49904, 163, 3, 22, "Print"],
Cell[1158473, 49909, 163, 3, 22, "Print"],
Cell[1158639, 49914, 163, 3, 22, "Print"],
Cell[1158805, 49919, 163, 3, 22, "Print"],
Cell[1158971, 49924, 163, 3, 22, "Print"],
Cell[1159137, 49929, 163, 3, 22, "Print"],
Cell[1159303, 49934, 163, 3, 22, "Print"],
Cell[1159469, 49939, 163, 3, 22, "Print"],
Cell[1159635, 49944, 163, 3, 22, "Print"],
Cell[1159801, 49949, 163, 3, 22, "Print"],
Cell[1159967, 49954, 163, 3, 22, "Print"],
Cell[1160133, 49959, 163, 3, 22, "Print"],
Cell[1160299, 49964, 163, 3, 22, "Print"],
Cell[1160465, 49969, 163, 3, 22, "Print"],
Cell[1160631, 49974, 163, 3, 22, "Print"],
Cell[1160797, 49979, 163, 3, 22, "Print"],
Cell[1160963, 49984, 163, 3, 22, "Print"],
Cell[1161129, 49989, 163, 3, 22, "Print"],
Cell[1161295, 49994, 163, 3, 22, "Print"],
Cell[1161461, 49999, 163, 3, 22, "Print"],
Cell[1161627, 50004, 163, 3, 22, "Print"],
Cell[1161793, 50009, 163, 3, 22, "Print"],
Cell[1161959, 50014, 163, 3, 22, "Print"],
Cell[1162125, 50019, 163, 3, 22, "Print"],
Cell[1162291, 50024, 163, 3, 22, "Print"],
Cell[1162457, 50029, 163, 3, 22, "Print"],
Cell[1162623, 50034, 163, 3, 22, "Print"],
Cell[1162789, 50039, 163, 3, 22, "Print"],
Cell[1162955, 50044, 163, 3, 22, "Print"],
Cell[1163121, 50049, 163, 3, 22, "Print"],
Cell[1163287, 50054, 163, 3, 22, "Print"],
Cell[1163453, 50059, 163, 3, 22, "Print"],
Cell[1163619, 50064, 163, 3, 22, "Print"],
Cell[1163785, 50069, 163, 3, 22, "Print"],
Cell[1163951, 50074, 163, 3, 22, "Print"],
Cell[1164117, 50079, 163, 3, 22, "Print"],
Cell[1164283, 50084, 163, 3, 22, "Print"],
Cell[1164449, 50089, 163, 3, 22, "Print"],
Cell[1164615, 50094, 163, 3, 22, "Print"],
Cell[1164781, 50099, 163, 3, 22, "Print"],
Cell[1164947, 50104, 163, 3, 22, "Print"],
Cell[1165113, 50109, 163, 3, 22, "Print"],
Cell[1165279, 50114, 163, 3, 22, "Print"],
Cell[1165445, 50119, 163, 3, 22, "Print"],
Cell[1165611, 50124, 163, 3, 22, "Print"],
Cell[1165777, 50129, 163, 3, 22, "Print"],
Cell[1165943, 50134, 163, 3, 22, "Print"],
Cell[1166109, 50139, 163, 3, 22, "Print"],
Cell[1166275, 50144, 163, 3, 22, "Print"],
Cell[1166441, 50149, 163, 3, 22, "Print"],
Cell[1166607, 50154, 163, 3, 22, "Print"],
Cell[1166773, 50159, 163, 3, 22, "Print"],
Cell[1166939, 50164, 163, 3, 22, "Print"],
Cell[1167105, 50169, 163, 3, 22, "Print"],
Cell[1167271, 50174, 163, 3, 22, "Print"],
Cell[1167437, 50179, 163, 3, 22, "Print"],
Cell[1167603, 50184, 163, 3, 22, "Print"],
Cell[1167769, 50189, 163, 3, 22, "Print"],
Cell[1167935, 50194, 163, 3, 22, "Print"],
Cell[1168101, 50199, 163, 3, 22, "Print"],
Cell[1168267, 50204, 163, 3, 22, "Print"],
Cell[1168433, 50209, 163, 3, 22, "Print"],
Cell[1168599, 50214, 163, 3, 22, "Print"],
Cell[1168765, 50219, 163, 3, 22, "Print"],
Cell[1168931, 50224, 163, 3, 22, "Print"],
Cell[1169097, 50229, 163, 3, 22, "Print"],
Cell[1169263, 50234, 163, 3, 22, "Print"],
Cell[1169429, 50239, 163, 3, 22, "Print"],
Cell[1169595, 50244, 163, 3, 22, "Print"],
Cell[1169761, 50249, 163, 3, 22, "Print"],
Cell[1169927, 50254, 163, 3, 22, "Print"],
Cell[1170093, 50259, 163, 3, 22, "Print"],
Cell[1170259, 50264, 163, 3, 22, "Print"],
Cell[1170425, 50269, 163, 3, 22, "Print"],
Cell[1170591, 50274, 163, 3, 22, "Print"],
Cell[1170757, 50279, 163, 3, 22, "Print"],
Cell[1170923, 50284, 163, 3, 22, "Print"],
Cell[1171089, 50289, 163, 3, 22, "Print"],
Cell[1171255, 50294, 163, 3, 22, "Print"],
Cell[1171421, 50299, 163, 3, 22, "Print"],
Cell[1171587, 50304, 163, 3, 22, "Print"],
Cell[1171753, 50309, 163, 3, 22, "Print"],
Cell[1171919, 50314, 163, 3, 22, "Print"],
Cell[1172085, 50319, 163, 3, 22, "Print"],
Cell[1172251, 50324, 163, 3, 22, "Print"],
Cell[1172417, 50329, 163, 3, 22, "Print"],
Cell[1172583, 50334, 163, 3, 22, "Print"],
Cell[1172749, 50339, 163, 3, 22, "Print"],
Cell[1172915, 50344, 163, 3, 22, "Print"],
Cell[1173081, 50349, 163, 3, 22, "Print"],
Cell[1173247, 50354, 163, 3, 22, "Print"],
Cell[1173413, 50359, 163, 3, 22, "Print"],
Cell[1173579, 50364, 163, 3, 22, "Print"],
Cell[1173745, 50369, 163, 3, 22, "Print"],
Cell[1173911, 50374, 163, 3, 22, "Print"],
Cell[1174077, 50379, 163, 3, 22, "Print"],
Cell[1174243, 50384, 163, 3, 22, "Print"],
Cell[1174409, 50389, 163, 3, 22, "Print"],
Cell[1174575, 50394, 163, 3, 22, "Print"],
Cell[1174741, 50399, 163, 3, 22, "Print"],
Cell[1174907, 50404, 163, 3, 22, "Print"],
Cell[1175073, 50409, 163, 3, 22, "Print"],
Cell[1175239, 50414, 163, 3, 22, "Print"],
Cell[1175405, 50419, 163, 3, 22, "Print"],
Cell[1175571, 50424, 163, 3, 22, "Print"],
Cell[1175737, 50429, 163, 3, 22, "Print"],
Cell[1175903, 50434, 163, 3, 22, "Print"],
Cell[1176069, 50439, 163, 3, 22, "Print"],
Cell[1176235, 50444, 163, 3, 22, "Print"],
Cell[1176401, 50449, 163, 3, 22, "Print"],
Cell[1176567, 50454, 163, 3, 22, "Print"],
Cell[1176733, 50459, 163, 3, 22, "Print"],
Cell[1176899, 50464, 163, 3, 22, "Print"],
Cell[1177065, 50469, 163, 3, 22, "Print"],
Cell[1177231, 50474, 163, 3, 22, "Print"],
Cell[1177397, 50479, 163, 3, 22, "Print"],
Cell[1177563, 50484, 163, 3, 22, "Print"],
Cell[1177729, 50489, 163, 3, 22, "Print"],
Cell[1177895, 50494, 163, 3, 22, "Print"],
Cell[1178061, 50499, 163, 3, 22, "Print"],
Cell[1178227, 50504, 163, 3, 22, "Print"],
Cell[1178393, 50509, 163, 3, 22, "Print"],
Cell[1178559, 50514, 163, 3, 22, "Print"],
Cell[1178725, 50519, 163, 3, 22, "Print"],
Cell[1178891, 50524, 163, 3, 22, "Print"],
Cell[1179057, 50529, 163, 3, 22, "Print"],
Cell[1179223, 50534, 163, 3, 22, "Print"],
Cell[1179389, 50539, 163, 3, 22, "Print"],
Cell[1179555, 50544, 163, 3, 22, "Print"],
Cell[1179721, 50549, 163, 3, 22, "Print"],
Cell[1179887, 50554, 163, 3, 22, "Print"],
Cell[1180053, 50559, 163, 3, 22, "Print"],
Cell[1180219, 50564, 163, 3, 22, "Print"],
Cell[1180385, 50569, 163, 3, 22, "Print"],
Cell[1180551, 50574, 163, 3, 22, "Print"],
Cell[1180717, 50579, 163, 3, 22, "Print"],
Cell[1180883, 50584, 163, 3, 22, "Print"],
Cell[1181049, 50589, 163, 3, 22, "Print"],
Cell[1181215, 50594, 163, 3, 22, "Print"],
Cell[1181381, 50599, 163, 3, 22, "Print"],
Cell[1181547, 50604, 163, 3, 22, "Print"],
Cell[1181713, 50609, 163, 3, 22, "Print"],
Cell[1181879, 50614, 163, 3, 22, "Print"],
Cell[1182045, 50619, 163, 3, 22, "Print"],
Cell[1182211, 50624, 163, 3, 22, "Print"],
Cell[1182377, 50629, 163, 3, 22, "Print"],
Cell[1182543, 50634, 163, 3, 22, "Print"],
Cell[1182709, 50639, 163, 3, 22, "Print"],
Cell[1182875, 50644, 163, 3, 22, "Print"],
Cell[1183041, 50649, 163, 3, 22, "Print"],
Cell[1183207, 50654, 163, 3, 22, "Print"],
Cell[1183373, 50659, 163, 3, 22, "Print"],
Cell[1183539, 50664, 163, 3, 22, "Print"],
Cell[1183705, 50669, 163, 3, 22, "Print"],
Cell[1183871, 50674, 163, 3, 22, "Print"],
Cell[1184037, 50679, 163, 3, 22, "Print"],
Cell[1184203, 50684, 163, 3, 22, "Print"],
Cell[1184369, 50689, 163, 3, 22, "Print"],
Cell[1184535, 50694, 163, 3, 22, "Print"],
Cell[1184701, 50699, 163, 3, 22, "Print"],
Cell[1184867, 50704, 163, 3, 22, "Print"],
Cell[1185033, 50709, 163, 3, 22, "Print"],
Cell[1185199, 50714, 163, 3, 22, "Print"],
Cell[1185365, 50719, 163, 3, 22, "Print"],
Cell[1185531, 50724, 163, 3, 22, "Print"],
Cell[1185697, 50729, 163, 3, 22, "Print"],
Cell[1185863, 50734, 163, 3, 22, "Print"],
Cell[1186029, 50739, 163, 3, 22, "Print"],
Cell[1186195, 50744, 163, 3, 22, "Print"],
Cell[1186361, 50749, 163, 3, 22, "Print"],
Cell[1186527, 50754, 163, 3, 22, "Print"],
Cell[1186693, 50759, 163, 3, 22, "Print"],
Cell[1186859, 50764, 163, 3, 22, "Print"],
Cell[1187025, 50769, 163, 3, 22, "Print"],
Cell[1187191, 50774, 163, 3, 22, "Print"],
Cell[1187357, 50779, 163, 3, 22, "Print"],
Cell[1187523, 50784, 163, 3, 22, "Print"],
Cell[1187689, 50789, 163, 3, 22, "Print"],
Cell[1187855, 50794, 163, 3, 22, "Print"],
Cell[1188021, 50799, 163, 3, 22, "Print"],
Cell[1188187, 50804, 163, 3, 22, "Print"],
Cell[1188353, 50809, 163, 3, 22, "Print"],
Cell[1188519, 50814, 163, 3, 22, "Print"],
Cell[1188685, 50819, 163, 3, 22, "Print"],
Cell[1188851, 50824, 163, 3, 22, "Print"],
Cell[1189017, 50829, 163, 3, 22, "Print"],
Cell[1189183, 50834, 163, 3, 22, "Print"],
Cell[1189349, 50839, 163, 3, 22, "Print"],
Cell[1189515, 50844, 163, 3, 22, "Print"],
Cell[1189681, 50849, 163, 3, 22, "Print"],
Cell[1189847, 50854, 163, 3, 22, "Print"],
Cell[1190013, 50859, 163, 3, 22, "Print"],
Cell[1190179, 50864, 163, 3, 22, "Print"],
Cell[1190345, 50869, 163, 3, 22, "Print"],
Cell[1190511, 50874, 163, 3, 22, "Print"],
Cell[1190677, 50879, 163, 3, 22, "Print"],
Cell[1190843, 50884, 163, 3, 22, "Print"],
Cell[1191009, 50889, 163, 3, 22, "Print"],
Cell[1191175, 50894, 163, 3, 22, "Print"],
Cell[1191341, 50899, 163, 3, 22, "Print"],
Cell[1191507, 50904, 163, 3, 22, "Print"],
Cell[1191673, 50909, 163, 3, 22, "Print"],
Cell[1191839, 50914, 163, 3, 22, "Print"],
Cell[1192005, 50919, 163, 3, 22, "Print"],
Cell[1192171, 50924, 163, 3, 22, "Print"],
Cell[1192337, 50929, 163, 3, 22, "Print"],
Cell[1192503, 50934, 163, 3, 22, "Print"],
Cell[1192669, 50939, 163, 3, 22, "Print"],
Cell[1192835, 50944, 163, 3, 22, "Print"],
Cell[1193001, 50949, 163, 3, 22, "Print"],
Cell[1193167, 50954, 163, 3, 22, "Print"],
Cell[1193333, 50959, 163, 3, 22, "Print"],
Cell[1193499, 50964, 163, 3, 22, "Print"],
Cell[1193665, 50969, 163, 3, 22, "Print"],
Cell[1193831, 50974, 163, 3, 22, "Print"],
Cell[1193997, 50979, 163, 3, 22, "Print"],
Cell[1194163, 50984, 163, 3, 22, "Print"],
Cell[1194329, 50989, 163, 3, 22, "Print"],
Cell[1194495, 50994, 163, 3, 22, "Print"],
Cell[1194661, 50999, 163, 3, 22, "Print"],
Cell[1194827, 51004, 163, 3, 22, "Print"],
Cell[1194993, 51009, 163, 3, 22, "Print"],
Cell[1195159, 51014, 163, 3, 22, "Print"],
Cell[1195325, 51019, 163, 3, 22, "Print"],
Cell[1195491, 51024, 163, 3, 22, "Print"],
Cell[1195657, 51029, 163, 3, 22, "Print"],
Cell[1195823, 51034, 163, 3, 22, "Print"],
Cell[1195989, 51039, 163, 3, 22, "Print"],
Cell[1196155, 51044, 163, 3, 22, "Print"],
Cell[1196321, 51049, 163, 3, 22, "Print"],
Cell[1196487, 51054, 163, 3, 22, "Print"],
Cell[1196653, 51059, 163, 3, 22, "Print"],
Cell[1196819, 51064, 163, 3, 22, "Print"],
Cell[1196985, 51069, 163, 3, 22, "Print"],
Cell[1197151, 51074, 163, 3, 22, "Print"],
Cell[1197317, 51079, 163, 3, 22, "Print"],
Cell[1197483, 51084, 163, 3, 22, "Print"],
Cell[1197649, 51089, 163, 3, 22, "Print"],
Cell[1197815, 51094, 163, 3, 22, "Print"],
Cell[1197981, 51099, 163, 3, 22, "Print"],
Cell[1198147, 51104, 163, 3, 22, "Print"],
Cell[1198313, 51109, 163, 3, 22, "Print"],
Cell[1198479, 51114, 163, 3, 22, "Print"],
Cell[1198645, 51119, 163, 3, 22, "Print"],
Cell[1198811, 51124, 163, 3, 22, "Print"],
Cell[1198977, 51129, 163, 3, 22, "Print"],
Cell[1199143, 51134, 163, 3, 22, "Print"],
Cell[1199309, 51139, 163, 3, 22, "Print"],
Cell[1199475, 51144, 163, 3, 22, "Print"],
Cell[1199641, 51149, 163, 3, 22, "Print"],
Cell[1199807, 51154, 163, 3, 22, "Print"],
Cell[1199973, 51159, 163, 3, 22, "Print"],
Cell[1200139, 51164, 163, 3, 22, "Print"],
Cell[1200305, 51169, 163, 3, 22, "Print"],
Cell[1200471, 51174, 163, 3, 22, "Print"],
Cell[1200637, 51179, 163, 3, 22, "Print"],
Cell[1200803, 51184, 163, 3, 22, "Print"],
Cell[1200969, 51189, 163, 3, 22, "Print"],
Cell[1201135, 51194, 163, 3, 22, "Print"],
Cell[1201301, 51199, 163, 3, 22, "Print"],
Cell[1201467, 51204, 163, 3, 22, "Print"],
Cell[1201633, 51209, 163, 3, 22, "Print"],
Cell[1201799, 51214, 163, 3, 22, "Print"],
Cell[1201965, 51219, 163, 3, 22, "Print"],
Cell[1202131, 51224, 163, 3, 22, "Print"],
Cell[1202297, 51229, 163, 3, 22, "Print"],
Cell[1202463, 51234, 163, 3, 22, "Print"],
Cell[1202629, 51239, 163, 3, 22, "Print"],
Cell[1202795, 51244, 163, 3, 22, "Print"],
Cell[1202961, 51249, 163, 3, 22, "Print"],
Cell[1203127, 51254, 163, 3, 22, "Print"],
Cell[1203293, 51259, 163, 3, 22, "Print"],
Cell[1203459, 51264, 163, 3, 22, "Print"],
Cell[1203625, 51269, 163, 3, 22, "Print"],
Cell[1203791, 51274, 163, 3, 22, "Print"],
Cell[1203957, 51279, 163, 3, 22, "Print"],
Cell[1204123, 51284, 163, 3, 22, "Print"],
Cell[1204289, 51289, 163, 3, 22, "Print"],
Cell[1204455, 51294, 163, 3, 22, "Print"],
Cell[1204621, 51299, 163, 3, 22, "Print"],
Cell[1204787, 51304, 163, 3, 22, "Print"],
Cell[1204953, 51309, 163, 3, 22, "Print"],
Cell[1205119, 51314, 163, 3, 22, "Print"],
Cell[1205285, 51319, 163, 3, 22, "Print"],
Cell[1205451, 51324, 163, 3, 22, "Print"],
Cell[1205617, 51329, 163, 3, 22, "Print"],
Cell[1205783, 51334, 163, 3, 22, "Print"],
Cell[1205949, 51339, 163, 3, 22, "Print"],
Cell[1206115, 51344, 163, 3, 22, "Print"],
Cell[1206281, 51349, 163, 3, 22, "Print"],
Cell[1206447, 51354, 163, 3, 22, "Print"],
Cell[1206613, 51359, 163, 3, 22, "Print"],
Cell[1206779, 51364, 163, 3, 22, "Print"],
Cell[1206945, 51369, 163, 3, 22, "Print"],
Cell[1207111, 51374, 163, 3, 22, "Print"],
Cell[1207277, 51379, 163, 3, 22, "Print"],
Cell[1207443, 51384, 163, 3, 22, "Print"],
Cell[1207609, 51389, 163, 3, 22, "Print"],
Cell[1207775, 51394, 163, 3, 22, "Print"],
Cell[1207941, 51399, 163, 3, 22, "Print"],
Cell[1208107, 51404, 163, 3, 22, "Print"],
Cell[1208273, 51409, 163, 3, 22, "Print"],
Cell[1208439, 51414, 163, 3, 22, "Print"],
Cell[1208605, 51419, 163, 3, 22, "Print"],
Cell[1208771, 51424, 163, 3, 22, "Print"],
Cell[1208937, 51429, 163, 3, 22, "Print"],
Cell[1209103, 51434, 163, 3, 22, "Print"],
Cell[1209269, 51439, 163, 3, 22, "Print"],
Cell[1209435, 51444, 163, 3, 22, "Print"],
Cell[1209601, 51449, 163, 3, 22, "Print"],
Cell[1209767, 51454, 163, 3, 22, "Print"],
Cell[1209933, 51459, 163, 3, 22, "Print"],
Cell[1210099, 51464, 163, 3, 22, "Print"],
Cell[1210265, 51469, 163, 3, 22, "Print"],
Cell[1210431, 51474, 163, 3, 22, "Print"],
Cell[1210597, 51479, 163, 3, 22, "Print"],
Cell[1210763, 51484, 163, 3, 22, "Print"],
Cell[1210929, 51489, 163, 3, 22, "Print"],
Cell[1211095, 51494, 163, 3, 22, "Print"],
Cell[1211261, 51499, 163, 3, 22, "Print"],
Cell[1211427, 51504, 163, 3, 22, "Print"],
Cell[1211593, 51509, 163, 3, 22, "Print"],
Cell[1211759, 51514, 163, 3, 22, "Print"],
Cell[1211925, 51519, 163, 3, 22, "Print"],
Cell[1212091, 51524, 163, 3, 22, "Print"],
Cell[1212257, 51529, 163, 3, 22, "Print"],
Cell[1212423, 51534, 163, 3, 22, "Print"],
Cell[1212589, 51539, 163, 3, 22, "Print"],
Cell[1212755, 51544, 163, 3, 22, "Print"],
Cell[1212921, 51549, 163, 3, 22, "Print"],
Cell[1213087, 51554, 163, 3, 22, "Print"],
Cell[1213253, 51559, 163, 3, 22, "Print"],
Cell[1213419, 51564, 163, 3, 22, "Print"],
Cell[1213585, 51569, 163, 3, 22, "Print"],
Cell[1213751, 51574, 163, 3, 22, "Print"],
Cell[1213917, 51579, 163, 3, 22, "Print"],
Cell[1214083, 51584, 163, 3, 22, "Print"],
Cell[1214249, 51589, 163, 3, 22, "Print"],
Cell[1214415, 51594, 163, 3, 22, "Print"],
Cell[1214581, 51599, 163, 3, 22, "Print"],
Cell[1214747, 51604, 163, 3, 22, "Print"],
Cell[1214913, 51609, 163, 3, 22, "Print"],
Cell[1215079, 51614, 163, 3, 22, "Print"],
Cell[1215245, 51619, 163, 3, 22, "Print"],
Cell[1215411, 51624, 163, 3, 22, "Print"],
Cell[1215577, 51629, 163, 3, 22, "Print"],
Cell[1215743, 51634, 163, 3, 22, "Print"],
Cell[1215909, 51639, 163, 3, 22, "Print"],
Cell[1216075, 51644, 163, 3, 22, "Print"],
Cell[1216241, 51649, 163, 3, 22, "Print"],
Cell[1216407, 51654, 163, 3, 22, "Print"],
Cell[1216573, 51659, 163, 3, 22, "Print"],
Cell[1216739, 51664, 163, 3, 22, "Print"],
Cell[1216905, 51669, 163, 3, 22, "Print"],
Cell[1217071, 51674, 163, 3, 22, "Print"],
Cell[1217237, 51679, 163, 3, 22, "Print"],
Cell[1217403, 51684, 163, 3, 22, "Print"],
Cell[1217569, 51689, 163, 3, 22, "Print"],
Cell[1217735, 51694, 163, 3, 22, "Print"],
Cell[1217901, 51699, 163, 3, 22, "Print"],
Cell[1218067, 51704, 163, 3, 22, "Print"],
Cell[1218233, 51709, 163, 3, 22, "Print"],
Cell[1218399, 51714, 163, 3, 22, "Print"],
Cell[1218565, 51719, 163, 3, 22, "Print"],
Cell[1218731, 51724, 163, 3, 22, "Print"],
Cell[1218897, 51729, 163, 3, 22, "Print"],
Cell[1219063, 51734, 163, 3, 22, "Print"],
Cell[1219229, 51739, 163, 3, 22, "Print"],
Cell[1219395, 51744, 163, 3, 22, "Print"],
Cell[1219561, 51749, 163, 3, 22, "Print"],
Cell[1219727, 51754, 163, 3, 22, "Print"],
Cell[1219893, 51759, 163, 3, 22, "Print"],
Cell[1220059, 51764, 163, 3, 22, "Print"],
Cell[1220225, 51769, 163, 3, 22, "Print"],
Cell[1220391, 51774, 163, 3, 22, "Print"],
Cell[1220557, 51779, 163, 3, 22, "Print"],
Cell[1220723, 51784, 163, 3, 22, "Print"],
Cell[1220889, 51789, 163, 3, 22, "Print"],
Cell[1221055, 51794, 163, 3, 22, "Print"],
Cell[1221221, 51799, 163, 3, 22, "Print"],
Cell[1221387, 51804, 163, 3, 22, "Print"],
Cell[1221553, 51809, 163, 3, 22, "Print"],
Cell[1221719, 51814, 163, 3, 22, "Print"],
Cell[1221885, 51819, 163, 3, 22, "Print"],
Cell[1222051, 51824, 163, 3, 22, "Print"],
Cell[1222217, 51829, 163, 3, 22, "Print"],
Cell[1222383, 51834, 163, 3, 22, "Print"],
Cell[1222549, 51839, 163, 3, 22, "Print"],
Cell[1222715, 51844, 163, 3, 22, "Print"],
Cell[1222881, 51849, 163, 3, 22, "Print"],
Cell[1223047, 51854, 163, 3, 22, "Print"],
Cell[1223213, 51859, 163, 3, 22, "Print"],
Cell[1223379, 51864, 163, 3, 22, "Print"],
Cell[1223545, 51869, 163, 3, 22, "Print"],
Cell[1223711, 51874, 163, 3, 22, "Print"],
Cell[1223877, 51879, 163, 3, 22, "Print"],
Cell[1224043, 51884, 163, 3, 22, "Print"],
Cell[1224209, 51889, 163, 3, 22, "Print"],
Cell[1224375, 51894, 163, 3, 22, "Print"],
Cell[1224541, 51899, 163, 3, 22, "Print"],
Cell[1224707, 51904, 163, 3, 22, "Print"],
Cell[1224873, 51909, 163, 3, 22, "Print"],
Cell[1225039, 51914, 163, 3, 22, "Print"],
Cell[1225205, 51919, 163, 3, 22, "Print"],
Cell[1225371, 51924, 163, 3, 22, "Print"],
Cell[1225537, 51929, 163, 3, 22, "Print"],
Cell[1225703, 51934, 163, 3, 22, "Print"],
Cell[1225869, 51939, 163, 3, 22, "Print"],
Cell[1226035, 51944, 163, 3, 22, "Print"],
Cell[1226201, 51949, 163, 3, 22, "Print"],
Cell[1226367, 51954, 163, 3, 22, "Print"],
Cell[1226533, 51959, 163, 3, 22, "Print"],
Cell[1226699, 51964, 163, 3, 22, "Print"],
Cell[1226865, 51969, 163, 3, 22, "Print"],
Cell[1227031, 51974, 163, 3, 22, "Print"],
Cell[1227197, 51979, 163, 3, 22, "Print"],
Cell[1227363, 51984, 163, 3, 22, "Print"],
Cell[1227529, 51989, 163, 3, 22, "Print"],
Cell[1227695, 51994, 163, 3, 22, "Print"],
Cell[1227861, 51999, 163, 3, 22, "Print"],
Cell[1228027, 52004, 163, 3, 22, "Print"],
Cell[1228193, 52009, 163, 3, 22, "Print"],
Cell[1228359, 52014, 163, 3, 22, "Print"],
Cell[1228525, 52019, 163, 3, 22, "Print"],
Cell[1228691, 52024, 163, 3, 22, "Print"],
Cell[1228857, 52029, 163, 3, 22, "Print"],
Cell[1229023, 52034, 163, 3, 22, "Print"],
Cell[1229189, 52039, 163, 3, 22, "Print"],
Cell[1229355, 52044, 163, 3, 22, "Print"],
Cell[1229521, 52049, 163, 3, 22, "Print"],
Cell[1229687, 52054, 163, 3, 22, "Print"],
Cell[1229853, 52059, 163, 3, 22, "Print"],
Cell[1230019, 52064, 163, 3, 22, "Print"],
Cell[1230185, 52069, 163, 3, 22, "Print"],
Cell[1230351, 52074, 163, 3, 22, "Print"],
Cell[1230517, 52079, 163, 3, 22, "Print"],
Cell[1230683, 52084, 163, 3, 22, "Print"],
Cell[1230849, 52089, 163, 3, 22, "Print"],
Cell[1231015, 52094, 163, 3, 22, "Print"],
Cell[1231181, 52099, 163, 3, 22, "Print"],
Cell[1231347, 52104, 163, 3, 22, "Print"],
Cell[1231513, 52109, 163, 3, 22, "Print"],
Cell[1231679, 52114, 163, 3, 22, "Print"],
Cell[1231845, 52119, 163, 3, 22, "Print"],
Cell[1232011, 52124, 163, 3, 22, "Print"],
Cell[1232177, 52129, 163, 3, 22, "Print"],
Cell[1232343, 52134, 163, 3, 22, "Print"],
Cell[1232509, 52139, 163, 3, 22, "Print"],
Cell[1232675, 52144, 163, 3, 22, "Print"],
Cell[1232841, 52149, 163, 3, 22, "Print"],
Cell[1233007, 52154, 163, 3, 22, "Print"],
Cell[1233173, 52159, 163, 3, 22, "Print"],
Cell[1233339, 52164, 163, 3, 22, "Print"],
Cell[1233505, 52169, 163, 3, 22, "Print"],
Cell[1233671, 52174, 163, 3, 22, "Print"],
Cell[1233837, 52179, 163, 3, 22, "Print"],
Cell[1234003, 52184, 163, 3, 22, "Print"],
Cell[1234169, 52189, 163, 3, 22, "Print"],
Cell[1234335, 52194, 163, 3, 22, "Print"],
Cell[1234501, 52199, 163, 3, 22, "Print"],
Cell[1234667, 52204, 163, 3, 22, "Print"],
Cell[1234833, 52209, 163, 3, 22, "Print"],
Cell[1234999, 52214, 163, 3, 22, "Print"],
Cell[1235165, 52219, 163, 3, 22, "Print"],
Cell[1235331, 52224, 163, 3, 22, "Print"],
Cell[1235497, 52229, 163, 3, 22, "Print"],
Cell[1235663, 52234, 163, 3, 22, "Print"],
Cell[1235829, 52239, 163, 3, 22, "Print"],
Cell[1235995, 52244, 163, 3, 22, "Print"],
Cell[1236161, 52249, 163, 3, 22, "Print"],
Cell[1236327, 52254, 163, 3, 22, "Print"],
Cell[1236493, 52259, 163, 3, 22, "Print"],
Cell[1236659, 52264, 163, 3, 22, "Print"],
Cell[1236825, 52269, 163, 3, 22, "Print"],
Cell[1236991, 52274, 163, 3, 22, "Print"],
Cell[1237157, 52279, 163, 3, 22, "Print"],
Cell[1237323, 52284, 163, 3, 22, "Print"],
Cell[1237489, 52289, 163, 3, 22, "Print"],
Cell[1237655, 52294, 163, 3, 22, "Print"],
Cell[1237821, 52299, 163, 3, 22, "Print"],
Cell[1237987, 52304, 163, 3, 22, "Print"],
Cell[1238153, 52309, 163, 3, 22, "Print"],
Cell[1238319, 52314, 163, 3, 22, "Print"],
Cell[1238485, 52319, 163, 3, 22, "Print"],
Cell[1238651, 52324, 163, 3, 22, "Print"],
Cell[1238817, 52329, 163, 3, 22, "Print"],
Cell[1238983, 52334, 163, 3, 22, "Print"],
Cell[1239149, 52339, 163, 3, 22, "Print"],
Cell[1239315, 52344, 163, 3, 22, "Print"],
Cell[1239481, 52349, 163, 3, 22, "Print"],
Cell[1239647, 52354, 163, 3, 22, "Print"],
Cell[1239813, 52359, 163, 3, 22, "Print"],
Cell[1239979, 52364, 163, 3, 22, "Print"],
Cell[1240145, 52369, 163, 3, 22, "Print"],
Cell[1240311, 52374, 163, 3, 22, "Print"],
Cell[1240477, 52379, 163, 3, 22, "Print"],
Cell[1240643, 52384, 163, 3, 22, "Print"],
Cell[1240809, 52389, 163, 3, 22, "Print"],
Cell[1240975, 52394, 163, 3, 22, "Print"],
Cell[1241141, 52399, 163, 3, 22, "Print"],
Cell[1241307, 52404, 163, 3, 22, "Print"],
Cell[1241473, 52409, 163, 3, 22, "Print"],
Cell[1241639, 52414, 163, 3, 22, "Print"],
Cell[1241805, 52419, 163, 3, 22, "Print"],
Cell[1241971, 52424, 163, 3, 22, "Print"],
Cell[1242137, 52429, 163, 3, 22, "Print"],
Cell[1242303, 52434, 163, 3, 22, "Print"],
Cell[1242469, 52439, 163, 3, 22, "Print"],
Cell[1242635, 52444, 163, 3, 22, "Print"],
Cell[1242801, 52449, 163, 3, 22, "Print"],
Cell[1242967, 52454, 163, 3, 22, "Print"],
Cell[1243133, 52459, 163, 3, 22, "Print"],
Cell[1243299, 52464, 163, 3, 22, "Print"],
Cell[1243465, 52469, 163, 3, 22, "Print"],
Cell[1243631, 52474, 163, 3, 22, "Print"],
Cell[1243797, 52479, 163, 3, 22, "Print"],
Cell[1243963, 52484, 163, 3, 22, "Print"],
Cell[1244129, 52489, 163, 3, 22, "Print"],
Cell[1244295, 52494, 163, 3, 22, "Print"],
Cell[1244461, 52499, 163, 3, 22, "Print"],
Cell[1244627, 52504, 163, 3, 22, "Print"],
Cell[1244793, 52509, 163, 3, 22, "Print"],
Cell[1244959, 52514, 163, 3, 22, "Print"],
Cell[1245125, 52519, 163, 3, 22, "Print"],
Cell[1245291, 52524, 163, 3, 22, "Print"],
Cell[1245457, 52529, 163, 3, 22, "Print"],
Cell[1245623, 52534, 163, 3, 22, "Print"],
Cell[1245789, 52539, 163, 3, 22, "Print"],
Cell[1245955, 52544, 163, 3, 22, "Print"],
Cell[1246121, 52549, 163, 3, 22, "Print"],
Cell[1246287, 52554, 163, 3, 22, "Print"],
Cell[1246453, 52559, 163, 3, 22, "Print"],
Cell[1246619, 52564, 163, 3, 22, "Print"],
Cell[1246785, 52569, 163, 3, 22, "Print"],
Cell[1246951, 52574, 163, 3, 22, "Print"],
Cell[1247117, 52579, 163, 3, 22, "Print"],
Cell[1247283, 52584, 163, 3, 22, "Print"],
Cell[1247449, 52589, 163, 3, 22, "Print"],
Cell[1247615, 52594, 163, 3, 22, "Print"],
Cell[1247781, 52599, 163, 3, 22, "Print"],
Cell[1247947, 52604, 163, 3, 22, "Print"],
Cell[1248113, 52609, 163, 3, 22, "Print"],
Cell[1248279, 52614, 163, 3, 22, "Print"],
Cell[1248445, 52619, 163, 3, 22, "Print"],
Cell[1248611, 52624, 163, 3, 22, "Print"],
Cell[1248777, 52629, 163, 3, 22, "Print"],
Cell[1248943, 52634, 163, 3, 22, "Print"],
Cell[1249109, 52639, 163, 3, 22, "Print"],
Cell[1249275, 52644, 163, 3, 22, "Print"],
Cell[1249441, 52649, 163, 3, 22, "Print"],
Cell[1249607, 52654, 163, 3, 22, "Print"],
Cell[1249773, 52659, 163, 3, 22, "Print"],
Cell[1249939, 52664, 163, 3, 22, "Print"],
Cell[1250105, 52669, 163, 3, 22, "Print"],
Cell[1250271, 52674, 163, 3, 22, "Print"],
Cell[1250437, 52679, 163, 3, 22, "Print"],
Cell[1250603, 52684, 163, 3, 22, "Print"],
Cell[1250769, 52689, 163, 3, 22, "Print"],
Cell[1250935, 52694, 163, 3, 22, "Print"],
Cell[1251101, 52699, 163, 3, 22, "Print"],
Cell[1251267, 52704, 163, 3, 22, "Print"],
Cell[1251433, 52709, 163, 3, 22, "Print"],
Cell[1251599, 52714, 163, 3, 22, "Print"],
Cell[1251765, 52719, 163, 3, 22, "Print"],
Cell[1251931, 52724, 163, 3, 22, "Print"],
Cell[1252097, 52729, 163, 3, 22, "Print"],
Cell[1252263, 52734, 163, 3, 22, "Print"],
Cell[1252429, 52739, 163, 3, 22, "Print"],
Cell[1252595, 52744, 163, 3, 22, "Print"],
Cell[1252761, 52749, 163, 3, 22, "Print"],
Cell[1252927, 52754, 163, 3, 22, "Print"],
Cell[1253093, 52759, 163, 3, 22, "Print"],
Cell[1253259, 52764, 163, 3, 22, "Print"],
Cell[1253425, 52769, 163, 3, 22, "Print"],
Cell[1253591, 52774, 163, 3, 22, "Print"],
Cell[1253757, 52779, 163, 3, 22, "Print"],
Cell[1253923, 52784, 163, 3, 22, "Print"],
Cell[1254089, 52789, 163, 3, 22, "Print"],
Cell[1254255, 52794, 163, 3, 22, "Print"],
Cell[1254421, 52799, 163, 3, 22, "Print"],
Cell[1254587, 52804, 163, 3, 22, "Print"],
Cell[1254753, 52809, 163, 3, 22, "Print"],
Cell[1254919, 52814, 163, 3, 22, "Print"],
Cell[1255085, 52819, 163, 3, 22, "Print"],
Cell[1255251, 52824, 163, 3, 22, "Print"],
Cell[1255417, 52829, 163, 3, 22, "Print"],
Cell[1255583, 52834, 163, 3, 22, "Print"],
Cell[1255749, 52839, 163, 3, 22, "Print"],
Cell[1255915, 52844, 163, 3, 22, "Print"],
Cell[1256081, 52849, 163, 3, 22, "Print"],
Cell[1256247, 52854, 163, 3, 22, "Print"],
Cell[1256413, 52859, 163, 3, 22, "Print"],
Cell[1256579, 52864, 163, 3, 22, "Print"],
Cell[1256745, 52869, 163, 3, 22, "Print"],
Cell[1256911, 52874, 163, 3, 22, "Print"],
Cell[1257077, 52879, 163, 3, 22, "Print"],
Cell[1257243, 52884, 163, 3, 22, "Print"],
Cell[1257409, 52889, 163, 3, 22, "Print"],
Cell[1257575, 52894, 163, 3, 22, "Print"],
Cell[1257741, 52899, 163, 3, 22, "Print"],
Cell[1257907, 52904, 163, 3, 22, "Print"],
Cell[1258073, 52909, 163, 3, 22, "Print"],
Cell[1258239, 52914, 163, 3, 22, "Print"],
Cell[1258405, 52919, 163, 3, 22, "Print"],
Cell[1258571, 52924, 163, 3, 22, "Print"],
Cell[1258737, 52929, 163, 3, 22, "Print"],
Cell[1258903, 52934, 163, 3, 22, "Print"],
Cell[1259069, 52939, 163, 3, 22, "Print"],
Cell[1259235, 52944, 163, 3, 22, "Print"],
Cell[1259401, 52949, 163, 3, 22, "Print"],
Cell[1259567, 52954, 163, 3, 22, "Print"],
Cell[1259733, 52959, 163, 3, 22, "Print"],
Cell[1259899, 52964, 163, 3, 22, "Print"],
Cell[1260065, 52969, 163, 3, 22, "Print"],
Cell[1260231, 52974, 163, 3, 22, "Print"],
Cell[1260397, 52979, 163, 3, 22, "Print"],
Cell[1260563, 52984, 163, 3, 22, "Print"],
Cell[1260729, 52989, 163, 3, 22, "Print"],
Cell[1260895, 52994, 163, 3, 22, "Print"],
Cell[1261061, 52999, 163, 3, 22, "Print"],
Cell[1261227, 53004, 163, 3, 22, "Print"],
Cell[1261393, 53009, 163, 3, 22, "Print"],
Cell[1261559, 53014, 163, 3, 22, "Print"],
Cell[1261725, 53019, 163, 3, 22, "Print"],
Cell[1261891, 53024, 163, 3, 22, "Print"],
Cell[1262057, 53029, 163, 3, 22, "Print"],
Cell[1262223, 53034, 163, 3, 22, "Print"],
Cell[1262389, 53039, 163, 3, 22, "Print"],
Cell[1262555, 53044, 163, 3, 22, "Print"],
Cell[1262721, 53049, 163, 3, 22, "Print"],
Cell[1262887, 53054, 163, 3, 22, "Print"],
Cell[1263053, 53059, 163, 3, 22, "Print"],
Cell[1263219, 53064, 163, 3, 22, "Print"],
Cell[1263385, 53069, 163, 3, 22, "Print"],
Cell[1263551, 53074, 163, 3, 22, "Print"],
Cell[1263717, 53079, 163, 3, 22, "Print"],
Cell[1263883, 53084, 163, 3, 22, "Print"],
Cell[1264049, 53089, 163, 3, 22, "Print"],
Cell[1264215, 53094, 163, 3, 22, "Print"],
Cell[1264381, 53099, 163, 3, 22, "Print"],
Cell[1264547, 53104, 163, 3, 22, "Print"],
Cell[1264713, 53109, 163, 3, 22, "Print"],
Cell[1264879, 53114, 163, 3, 22, "Print"],
Cell[1265045, 53119, 163, 3, 22, "Print"],
Cell[1265211, 53124, 163, 3, 22, "Print"],
Cell[1265377, 53129, 163, 3, 22, "Print"],
Cell[1265543, 53134, 163, 3, 22, "Print"],
Cell[1265709, 53139, 163, 3, 22, "Print"],
Cell[1265875, 53144, 163, 3, 22, "Print"],
Cell[1266041, 53149, 163, 3, 22, "Print"],
Cell[1266207, 53154, 163, 3, 22, "Print"],
Cell[1266373, 53159, 163, 3, 22, "Print"],
Cell[1266539, 53164, 163, 3, 22, "Print"],
Cell[1266705, 53169, 163, 3, 22, "Print"],
Cell[1266871, 53174, 163, 3, 22, "Print"],
Cell[1267037, 53179, 163, 3, 22, "Print"],
Cell[1267203, 53184, 163, 3, 22, "Print"],
Cell[1267369, 53189, 163, 3, 22, "Print"],
Cell[1267535, 53194, 163, 3, 22, "Print"],
Cell[1267701, 53199, 163, 3, 22, "Print"],
Cell[1267867, 53204, 163, 3, 22, "Print"],
Cell[1268033, 53209, 163, 3, 22, "Print"],
Cell[1268199, 53214, 163, 3, 22, "Print"],
Cell[1268365, 53219, 163, 3, 22, "Print"],
Cell[1268531, 53224, 163, 3, 22, "Print"],
Cell[1268697, 53229, 163, 3, 22, "Print"],
Cell[1268863, 53234, 163, 3, 22, "Print"],
Cell[1269029, 53239, 163, 3, 22, "Print"],
Cell[1269195, 53244, 163, 3, 22, "Print"],
Cell[1269361, 53249, 165, 3, 22, "Print"],
Cell[1269529, 53254, 43451, 1475, 275, 24236, 1235, "GraphicsData", \
"PostScript", "Graphics"],
Cell[1312983, 54731, 77, 1, 22, "Print"],
Cell[1313063, 54734, 76, 1, 22, "Print"],
Cell[1313142, 54737, 61, 1, 22, "Print"],
Cell[1313206, 54740, 159, 3, 22, "Print"],
Cell[1313368, 54745, 159, 3, 22, "Print"],
Cell[1313530, 54750, 159, 3, 22, "Print"],
Cell[1313692, 54755, 159, 3, 22, "Print"],
Cell[1313854, 54760, 159, 3, 22, "Print"],
Cell[1314016, 54765, 159, 3, 22, "Print"],
Cell[1314178, 54770, 159, 3, 22, "Print"],
Cell[1314340, 54775, 159, 3, 22, "Print"],
Cell[1314502, 54780, 161, 3, 22, "Print"],
Cell[1314666, 54785, 161, 3, 22, "Print"],
Cell[1314830, 54790, 161, 3, 22, "Print"],
Cell[1314994, 54795, 161, 3, 22, "Print"],
Cell[1315158, 54800, 161, 3, 22, "Print"],
Cell[1315322, 54805, 161, 3, 22, "Print"],
Cell[1315486, 54810, 161, 3, 22, "Print"],
Cell[1315650, 54815, 161, 3, 22, "Print"],
Cell[1315814, 54820, 161, 3, 22, "Print"],
Cell[1315978, 54825, 161, 3, 22, "Print"],
Cell[1316142, 54830, 161, 3, 22, "Print"],
Cell[1316306, 54835, 38501, 1245, 275, 21022, 1026, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

